一个完整的腾讯云 API 请求需要两类请求参数：公共请求参数和接口请求参数。本文将介绍腾讯云 API 请求需要用到的 6 个公共请求参数，有关接口请求参数的详细说明请参见 [接口请求参数](/doc/api/372/接口请求参数) 章节。
公共请求参数是每个接口都需要使用到的请求参数，开发者每次使用腾讯云 API 发送请求时都需要携带这些公共请求参数，否者会导致请求失败。公共请求参数的首字母均为大写，以此区分于接口请求参数。

公共请求参数具体列表如下：
>**注意：**
>文章中的接口实例以腾讯云 CVM 为例，各腾讯云产品的具体使用方式请对应实际产品。

| 参数名称 |  描述 |类型 |必选|
|---------|---------|---------|---------|
| Action | 具体操作的指令接口名称，例如腾讯云 CVM 用户调用 [查询实例列表](/doc/api/229/831) 接口，则 Action 参数即为 DescribeInstances。 | String |是|
| Region | 地域参数，用来标识希望操作哪个地域的实例。详细信息可参见 [地域和可用区](/doc/product/213/6091) 列表，或使用 [查询地域列表](/doc/api/213/9456) API 接口查看。<br>**注意：**1. 正常情况下此参数是必须的，如无需传入，则会在相应接口中进行说明。<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. 部分区域正在内测中，目前仅面向部分用户开放。| String |否|
| Timestamp | 当前 UNIX 时间戳，可记录发起 API 请求的时间。| UInt |是|
| Nonce | 随机正整数，与 Timestamp 联合起来， 用于防止重放攻击。| UInt |是|
| SecretId | 在 [云API密钥](https://console.cloud.tencent.com/capi) 上申请的标识身份的 SecretId，一个 SecretId 对应唯一的 SecretKey , 而 SecretKey 会用来生成请求签名 Signature。具体可参考 [签名方法](/doc/api/372/4214) 章节。|String|是|
| Signature | 请求签名，用来验证此次请求的合法性，需要用户根据实际的输入参数计算得出。计算方法可参考  [签名方法](/doc/api/372/4214) 章节。|String|是|
| SignatureMethod | 签名方式，目前支持 HmacSHA256 和 HmacSHA1。只有指定此参数为 HmacSHA256 时，才使用 HmacSHA256 算法验证签名，其他情况均使用 HmacSHA1 验证签名。详细签名计算方法可参考  [签名方法](/doc/api/372/4214) 章节。|String|否|
| Token | 临时证书所用的 Token，需要结合临时密钥一起使用。长期密钥不需要 Token。|String|否|

### 使用示例
腾讯各云产品 API 请求链接中，公共请求参数的形式如下，以腾讯云 CVM 为例，假设用户想要查询广州地域的云服务器实例列表，则其请求链接的形式为：

<pre>
https://cvm.api.qcloud.com/v2/index.php?
Action=DescribeInstances
&SecretId=xxxxxxx
&Region=ap-guangzhou
&Timestamp=1465055529
&Nonce=59485
&Signature=mysignature
&SignatureMethod=HmacSHA256
&<<a href="https://cloud.tencent.com/document/api/377/4154">接口求参数</a>>
</pre>


