一个完整的腾讯云 API 请求需要两类请求参数：公共请求参数和接口请求参数。本文将介绍腾讯云 API 请求需要用到的接口请求参数，有关公共请求参数的详细说明请参见 [公共请求参数](/doc/api/372/公共请求参数) 章节。
接口请求参数与具体的接口有关，不同的接口支持的接口请求参数也不一样。接口请求参数的首字母均为小写，以此区分于公共请求参数。
>**注意：**
>文章中的参数以腾讯云 CVM 为例，各腾讯云产品的实际参数请对应实际产品 API 参数说明。

以下参数列表以腾讯云 CVM [查询实例列表](/doc/api/229/831) 接口（DescribeInstances）为例，该 API 支持的接口请求参数如下：

| 参数名称 |   描述 | 类型 |必选  |
|---------|---------|---------|---------|
| instanceIds.n  |要查询的 CVM 实例 ID 数组，数组下标从 0 开始。可以使用 instanceId 和 unInstanceId，建议使用统一资源 ID:unInstanceId。| String |否 |  
| lanIps.n | 要查询的云服务器的内网 IP 数组。 | String | 否 | 
| searchWord | 用户设定的主机别名。| String | 否 |
| offset |偏移量，默认为 0。 |   Int | 否 |
| limit | 一次最多可查询的服务器数量，默认为 20，最大为 100。|Int | 否 | 
| status | 待查询的主机状态。| Int | 否 |
| projectId |  项目 ID，不传则查询全部项目的 CVM 实例。0 表示默认项目，如需指定其他项目，可调用 [查询项目列表](/document/product/378/4400)（DescribeProject）接口查询。| String |否 |
| simplify | 获取非实时数据，当传参添加 simplify=1 时获取非实时数据。| Int | 否 |
| zoneId |可用区 ID，不传则查询所有可用区的 CVM 实例。如需指定可用区，可调用 [查询可用区](/doc/api/229/1286)（DescribeAvailabilityZones）接口查询。|  Int | 否 |

其中各字段的说明如下：

**参数名称：**该接口支持的请求参数名，用户可以在使用此接口时将其作为接口请求参数。如果参数名称以`“.n”`结尾，则表明此参数为一个数组，使用时需要依次传入数组参数。
**必选：**标志此参数是否是必须的，若为“是”，则表明调用该接口必须传入此参数；若为“否”，表示可以不传入。
**类型：**此接口参数的数据类型。
** 描述：**简要描述了此接口请求参数的内容。

### 使用示例
腾讯各云产品 API 请求链接中，接口请求参数的形式如下，以腾讯云 CVM 为例，假设用户想要查询伸缩组列表，则其请求链接的形式为：

<pre>
https://cvm.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&instanceIds.0=ins-0hm4gvho
&instanceIds.1=ins-8oby8q00
&offset=0
&limit=20
&status=2
&zoneId=100003
</pre>

