### 拼接规则
腾讯云 API 接口请求 URL 的拼接规则为：
> **https:// + 请求域名 +请求路径 + ? +最终请求参数串**

组成部分说明：
-  **请求域名：**请求域名由接口所属的产品或所属产品的模块决定，不同产品或不同产品的模块的请求域名会有不同，如腾讯云 CVM 的查询实例列表（DescribeInstances）的请求域名为：`cvm.api.qcloud.com`。具体产品请求域名详见各接口说明。
-  **请求路径：** 腾讯云 API 对应产品的请求路径，一般是一个产品对应一个固定路径（如腾讯云 CVM 请求路径固定为`/v2/index.php`）。
- **最终请求参数串：** 接口的请求参数串包括公共请求参数和接口请求参数。

### 使用示例
腾讯云 API 接口最终的请求 URL 结构形式如下：
以腾讯云 CVM [查询实例列表](/doc/api/229/831) 接口（DescribeInstances）为例，其中前 6 个参数为公共请求参数，后 6 个参数为接口请求参数。

```
https://cvm.api.qcloud.com/v2/index.php?
Action=DescribeInstances
&SecretId=xxxxxxx
&Region=gz
&Timestamp=1465055529
&Nonce=59485
&Signature=mysignature       //公共请求参数
&instanceIds.0=ins-0hm4gvho
&instanceIds.1=ins-8oby8q00
&offset=0
&limit=20
&status=2
&zoneId=100003      //接口请求参数
```
