##  公共错误码

返回结果中的错误码表示了用户调用云 API 的结果。其中，code 为公共错误码，适用于所有腾讯云产品的 API 接口。若 code 为 0，表示调用成功，否则表示调用失败。当调用失败后，用户可以根据下表确定错误原因并采取相应措施。

| 错误代码 | 错误类型 | 描述 |
|---------|---------|---------|
| 4000|请求参数非法| 缺少必要参数，或者参数值格式不正确，具体错误信息请查看错误描述 message 字段。|
| 4100|身份认证失败| 身份认证失败，一般是由于签名计算错误导致的，请参考文档中 [签名方法](https://cloud.tencent.com/document/api/213/6984) 部分。|
| 4101|未授权访问接口| 子账号未被主账号授权访问该接口，请联系主帐号管理员开通接口权限。|
| 4102|未授权访问资源| 子账号未被主账号授权访问特定资源，请联系主帐号管理员开通资源权限。|
| 4103|未授权访问当前接口所操作的资源| 子账号没有被主账户授权访问该接口中所操作的特定资源，请联系主帐号管理员开通资源权限。|
|4104|密钥不存在|用于请求的密钥不存在，请确认后重试。|
|4105| token 错误| token 错误。|
| 4106| MFA 校验失败| MFA 校验失败。|
| 4110| 其他 CAM 鉴权失败|其他 CAM 鉴权失败。|
| 4300| 拒绝访问| 帐号被封禁，或者不在接口针对的用户范围内等。|
| 4400|超过配额| 请求的次数超过了配额限制，请参考文档请求配额部分。|
|4500| 重放攻击|请求的 Nonce 和 Timestamp 参数用于确保每次请求只会在服务器端被执行一次，所以本次的 Nonce 和上次的不能重复，Timestamp 与腾讯服务器相差不能超过 5 分钟。|
|4600| 协议不支持| 协议不支持，当前 API 仅支持 https 协议，不支持 http 协议。|
| 5000| 资源不存在|资源标识对应的实例不存在，或者实例已经被退还，或者访问了其他用户的资源。|
| 5100| 资源操作失败|对资源的操作失败，具体错误信息请查看错误描述 message 字段，稍后重试或者联系客服人员帮忙解决。|
| 5200| 资源购买失败|购买资源失败，可能是不支持实例配置，资源不足等等。|
| 5300| 余额不足|用户帐号余额不足，无法完成购买或升级。|
| 5400|部分执行成功|批量操作部分执行成功，详情见方法返回值。|
|5500| 用户资质审核未通过|购买资源失败，用户资质审核未通过。|
| 6000|服务器内部错误|服务器内部出现错误，请稍后重试或者联系客服人员帮忙解决。|
| 6100|版本暂不支持|本版本内不支持此接口或该接口处于维护状态等。<br>**注意：** 出现这个错误时，请先确定接口的域名是否正确，不同的模块，域名可能不一样。|
| 6200|接口暂时无法访问|当前接口处于停服维护状态，请稍后重试。|

## 模块错误码
message 字段表示与模块相关的错误。
如错误返回示例：
```
 {
    "code": 5100,
    "message": "(100004)projectId 不正确",
}
```
其中： `"message": "(100004)projectId 不正确"` 它由错误代码和错误描述两部分组成，`(100004)`为模块错误代码（具体信息详见对应产品的 API 接口中错误码列表），`projectId 不正确`为具体的错误描述。
不同模块可能产生的错误情况是不一样的，用户可以根据具体的错误描述定位错误信息。


