## 1. 接口描述
本接口(DomainCreate)用于添加域名。
接口请求域名：<font style="color:red">cns.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DomainList。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| domain | 是 | String | 要添加的域名（主域名，不包括 www，例如：qcloud.com） |
| projectId | 否 | Int | 项目ID，如果不填写，则为“默认项目” |

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | API返回的数据。 |

如果添加成功，会返回 data 字段，包含了域名的信息，其中，

domain 字段为添加成功后，返回的基本信息：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| id | String | 域名的ID  |
| punycode  | String | punycode 编码后的域名 |
| domain | String | 域名 |

## 4. 示例
```
https://cns.api.qcloud.com/v2/index.php?
&<公共请求参数>
&Action=DomainCreate
&domain=qcloud.com
&projectId=0
```


返回示例如下：
```
{
	"code": 0,
	"message": "",
	"codeDesc": "Success",
	"data": {
		"domain": {
			"id": "55309561",
			"punycode": "qcloud.com",
			"domain": "qcloud.com"
		}
	}
}
```
