## 1. 接口描述
本接口(DomainList)用于获取帐号下的域名。
接口请求域名：<font style="color:red">cns.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DomainList。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| offset | 否 | Int | 偏移量，默认为0。关于offset的更进一步介绍参考 API 简介中的相关小节。 |
| length | 否 | Int | 返回数量，默认 20，最大值 100。关于limit的更进一步介绍参考 API 简介中的相关小节。 |
| keyword | 否 | String | （过滤条件）根据关键字搜索域名 |
| qProjectId | 否 | Int | （过滤条件）项目ID |

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | API返回的数据。 |

data 参数包含了帐号下域名的数量信息，以及域名列表，其中，

info 的描述：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
|  domain_total    |  Int | 帐号下的域名总数 |

domains 包含每一个域名的详细信息，字段描述为：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| domain_total    |  Int | 帐号下的域名总数 |
| id | Int | 域名的ID |
| status | String | 域名的状态，"enable"、"pause"、"spam"、"lock" 分别代表"正常"、"暂停解析"、"已被封禁"、"已锁定" |
| group_id | String | 域名分组的ID |
| searchengine_push | String | 搜索引擎优先推送，"yes" 和 "no" 分别代表 "开启" 和 "关闭" |
| is_mark | String | 域名是否是星标状态，"yes" 和 "no" 分别代表 "是" 和 "否" |
| ttl | String | 域名下的解析记录默认的 TTL 值 |
| cname_speedup | String | "enable"、"disable" 分别代表"开启" 和 "关闭" |
| remark | String | 域名的备注信息 |
| created_on | String |域名的添加时间 |
| updated_on | String | 域名的最后修改时间 |
| q_project_id | Int | 域名所在项目的ID |
| punycode | String | punycode 编码后的域名 |
| ext_status | String | 域名扩展的状态信息，"notexist"、"dnserror"、"" 分别代表"域名未注册"、"DNS设置错误"、"正常" |
| src_flag | String | 域名的来源标记，"QCLOUD"、"DNSPOD" 分别代表"腾讯云解析"、"DNSPod" |
| name | String | 域名 |
| grade | String | 域名的等级 |
| grade_title | String | 域名等级的名称 |
| is_vip | String | 是否为 VIP 域名，"yes" 和 "no" 分别代表"是"和"否" |
| owner | String | 域名所有者对应的邮箱帐号 |
| records | String | 域名下的解析记录条数 |
| min_ttl | Int | 当前域名允许的最小的 TTL |

## 4. 示例
```
https://cns.api.qcloud.com/v2/index.php?
&<公共请求参数>
&Action=DomainList
&offset=0
&length=10
```


返回参考， code 为 0 表示成功
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "info": {
            "domain_total": 18
        },
        "domains": [
            {
                "id": 53980930,
                "status": "enable",
                "group_id": "1",
                "searchengine_push": "no",
                "is_mark": "no",
                "ttl": "600",
                "cname_speedup": "disable",
                "remark": "",
                "created_on": "2017-02-08 18:05:22",
                "updated_on": "2017-02-08 18:05:22",
                "q_project_id": 0,
                "punycode": "yizero.wang",
                "ext_status": "dnserror",
                "src_flag": "QCLOUD",
                "name": "yizero.wang",
                "grade": "DP_Free",
                "grade_title": "新免费套餐",
                "is_vip": "no",
                "owner": "100000@qq.com",
                "records": "2",
                "min_ttl": 600
            }
        ]
    }
}
```

