## 1. 接口描述
本接口(RecordCreate)用于添加解析记录。
接口请求域名：<font style="color:red">cns.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DomainList。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| domain | 是 | String | 要添加解析记录的域名（主域名，不包括 www，例如：qcloud.com） |
| subDomain | 是 | String | 子域名，例如：www |
| recordType | 是 | String | 记录类型，可选的记录类型为："A", "CNAME", "MX", "TXT", "NS", "AAAA", "SRV" |
| recordLine | 是 | String | 记录的线路名称，如："默认" |
| value | 是 | String | 记录值, 如 IP:192.168.10.2, CNAME: cname.dnspod.com., MX: mail.dnspod.com. |
| ttl | 否 | Int | TTL 值，范围1-604800，不同等级域名最小值不同，默认为 600 |
| mx | 否 | Int | MX优先级，范围为 0~50，当记录类型为 MX 时必选 |

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | API返回的数据。 |

如果添加成功，会返回 data 字段，包含了记录的信息，其中，

record 字段为添加成功后，返回的基本信息：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| id | String | 解析记录的ID  |
| name  | String | 子域名 |
| status | String | 解析记录的状态 |
| weight | Int | 解析记录的权重，默认为 null |


## 4. 示例
```
https://cns.api.qcloud.com/v2/index.php?
&<公共请求参数>
&Action=RecordCreate
&domain=qcloud.com
&subDomain=www
&recordType=A
&recordLine=默认
&value=192.168.10.2
```


返回示例如下：
```
{
	"code": 0,
	"message": "",
	"codeDesc": "Success",
	"data": {
		"record": {
			"id": "282529423",
			"name": "yizero1487857213",
			"status": "enabled",
			"weight": null
		}
	}
}
```
