## 1. 接口描述
 
域名：yunsou.api.qcloud.com
接口名: DataManipulation

对数据进行添加和删除操作

 

## 2. 输入参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> appId
<td> 是
<td> Int
<td> 云搜的业务ID，用以表明当前数据请求的业务
<tr>
<td> op_type
<td> 是
<td> String
<td> 操作类型，可为"add"或者"del"
<tr>
<td> contents.n
<td> 是
<td> Array
<td> 文档内容（UTF-8编码，长度限制在63k以下）
</tbody></table>

 

## 3. 输出参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message
<td> String
<td> 错误信息
<tbody>
<table>

## 4. 示例
 
添加输入
```
  https://domain/v2/index.php?Action=DataManipulation
  &op_type=add 
  &appId=1
  &contents.0.NA=1000
  &contents.0.TA=test1
  &contents.0.TB=testtitle1
  &contents.0.TC=testcontent1
  &contents.1.NA=2000
  &contents.1.TA=test2
  &contents.1.TB=testtitle2
  &contents.1.TC=testcontent2
```
删除输入
```
  https://domain/v2/index.php?Action=DataManipulation
  &op_type=del 
  &appId=1
  &contents.0.doc_id=1000
  &contents.1.doc_id=2000
```
> 注：在命令行中输入contents.0.doc_id可能会出现为空的情况，建议使用数组

输出
```

{
    retcode: 0,
    errmsg: "succ",
    data: {
        app_id: 14950002,
        result: [
        {
            doc_id: "1000",
            errno: 0,
            result: "succ"
        },
        {
            doc_id: "2000",
            errno: 0,
            result: "succ"
        }
        ],
        seq: 1427872563,
        total_result: "succ"
    },
    code: 0,
    message: ""
}

```

