## 1. 接口描述
 
域名：yunsou.api.qcloud.com
接口名: DataSearch

对数据进行查询操作

 

## 2. 输入参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> appId
<td> 是
<td> Int
<td> 云搜的业务ID，用以表明当前数据请求的业务
<tr>
<td> search_query
<td> 是
<td> String
<td> 检索串
<tr>
<td> page_id
<td> 是
<td> Int
<td> 当前页，从第0页开始计算
<tr>
<td> num_per_page
<td> 是
<td> Int
<td> 每页结果数
<tr>
<td> search_id
<td> 否
<td> String
<td> 当前检索号，用于定位问题，建议指定并且全局唯一
<tr>
<td> query_encode
<td> 否
<td> Int
<td> 请求编码，0表示utf8，1表示gbk，建议指定
<tr>
<td> rank_type
<td> 否
<td> Int
<td> 排序类型
<tr>
<td> num_filter
<td> 否
<td> String
<td> 数值过滤，结果中按属性过滤（格式参见后面说明）
<tr>
<td> cl_filter
<td> 否
<td> String
<td> 分类过滤，导航类检索请求（格式参见后面说明）
<tr>
<td> extra
<td> 否
<td> String
<td> 检索用户相关字段（格式参见后面说明））
<tr>
<td> source_id
<td> 否
<td> Int
<td> 检索来源
<tr>
<td> second_search
<td> 否
<td> Int
<td> 是否进行二次检索，0关闭，1打开,默认是0
<tr>
<td> max_doc_return
<td> 否
<td> Int
<td> 指定返回最大篇数，无特殊原因不建议指定，默认300篇
<tr>
<td> is_smartbox
<td> 否
<td> Int
<td> 是否smartbox检索，0关闭，1打开,默认是0
<tr>
<td> enable_abs_highlight
<td> 否
<td> Int
<td> 是否打开高红标亮，0关闭，1打开,默认是0
<tr>
<td> qc_bid
<td> 否
<td> Int
<td> 指定访问QC业务ID
</tbody></table>

 

## 3. 输出参数
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
</tr>
<tr>
<td> message</td>
<td> String</td>
<td> 错误信息
</td>
</tr>
 </tbody></table>
 

## 4.过滤说明

腾讯云搜主要包括两类过滤方式：数值过滤和分类过滤。
数值过滤
对应检索请求中的num_filter字段，基本表达式可以描述为:
```
              [N:meta:start:end]
```
该表达式含义为：属性满足start<=meta值<=end的文档将会被留下，其它的被过滤。其中，meta字段必须为数值字段
另外，数值过滤表达式之间支持“与”“或”关系。用&和|符号连接，支持使用括号标识优先级。如，
```
[N:meta1:start:end]&([N:meta2:start:end]|[N:meta3:start:end])
```
分类过滤
对应检索请求中的cl_filter字段，基本表达式可以描述为：
```
                [C:meta:value]
```
该表达式含义为：对该meta域使用特殊的倒排索引进行检索，特别适用于导航检索。其中meta字段可为数字或数值。
另外，分类检索表达式支持“与”“或”关系。用&和|符号连接，支持使用括号标识优先级。如，
```
[C:meta1:value1]&([C:meta2:value2]|[C:meta3:value3])。
```

## 5.检索字段附加说明

extra相关性排序字段说明
检索请求中包含extra字段用来标识当次检索结果排序的情况。其基本格式为：
```
              META1_TYPE1_META2_TYPE2_rel_TYPE3```

以上表达式表示的含义为，排序分成三档，仅在前一档值相同情况下，才会进行下一档排序:
 第一档按照META1的属性值进行排序，排序类型为TYPE1

 第二档按照META2的属性值进行排序，排序类型为TYPE2

 第三档按照rel（即文本相关性得分进行排序），排序类型为TYPE3。注意：rel字段的值非业务数据，而是搜索侧的计算结果

表达式取值方法：
 1) Meta：meta本身为属性字段名即可（不含下划线，避免冲突），但是需要保证需要进行排序的属性是数值字段

 2) Type:

   Type=0: 当前属性越小，排序越靠前

   Type=1：当前属性越大，排序越靠前

rank_type字段说明
 1) rank_type=0：文本相关性打分降序排列

 2) rank_type=1：文本相关性打分升序排列

 3) rank_type=2：按照用户输入的extra字段，结合用户在高级组件中定制的排序对返回结果的顺序进行排序

 4) rank_type=5：不使用额外的排序策略，按搜索结果直接返回


## 6.示例
输入
```
 https://domain/v2/index.php?Action=DataSearch
 &appId=1
 &search_query=qq
 &page_id=0 
&num_per_page=10
 ```
输出
```
{
    "code": 0,
    "message": ""
    "data": {
        "cost_time": 19,
        "display_num": 2,
        "echo": "",
        "eresult_num": 2,
        "result_list": [
            {
                "doc_id": "200",
                "doc_meta": "{
                              "AA": "41",
                              "NA": "200",
                              "TA": "qq",
                              "TB": "cloudsearchdoc",
                              "TC": "qq"
                              }",
                "l2_score": 0,
                "search_debuginfo": ""
            },
            {
                "doc_id": "11005",
                "doc_meta": "{
                              "AA": "41",
                              "NA": "200",
                              "TA": "qq",
                              "TB": "cloudsearchdoc",
                              "TC": "qq"
                                   }",
                "l2_score": 0,
                "search_debuginfo": ""
            }
        ],
        "result_num": 2,
        "seg_list": [
            {
                "seg_str": "qq"
            },
            {
                "seg_str": "腾讯"
            }
        ]
    },
}
```
