## 1. 接口描述
 
本接口(EmrDescribeCluster)用于查询集群详细信息。

接口请求域名：<font style="color:red">emr.api.qcloud.com</font>

## 2. 输入参数
 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为EmrDescribeCluster。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| ClusterIds.n | 否 | string数组 | emr集群ID，emr-xxxx格式 |
| ClusterNames.n | 否 | string数组 | emr集群名字 |
| ProjectIds.n | 否 | int数组 | 项目id |
| PageNo | 否 | int | 第几页，首页从1开始 |
| PageSize | 否 | int | 每页记录数，默认20 |

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| data.totalCnt | int | 查询的集群总个数。|
| data.n.clusterId | string | 集群ID |
| data.n.ftitle | string | 集群状态描述 |
| data.n.clusterName | string | 集群名称 |
| data.n.regionId | int | 地区ID |
| data.n.zoneId | int | 可用区ID |
| data.n.appId | int | 应用id |
| data.n.uin | string | 用户id |
| data.n.projectId | int | 项目id |
| data.n.vpcId | int | vpcId |
| data.n.subnetId | int | 子网ID |
| data.n.status | int | 集群状态： 1：流程中，2：运行中 |
| data.n.addtime | string | 集群创建时间 |
| data.n.runetime | string | 集群运行时间 |
| data.n.config.softInfo | string数组 | 部署软件 |
| data.n.config.masterNodes | int | master节点个数 |
| data.n.config.coreNodes | int | core节点个数 |
| data.n.config.taskNodes | int | task节点个数 |
| data.n.config.comNodes | int | common节点个数 |
| data.n.config.masterResource.spec | string | master,cvm规格 |
| data.n.config.masterResource.storageType | int | 硬盘类型，1:本地盘，2:云硬盘，3:SSD本地盘 |
| data.n.config.masterResource.memSize | int | 内存容量，单位为G |
| data.n.config.masterResource.cpu | int | cpu核数 |
| data.n.config.masterResource.diskSize | int | 数据盘容量，单位为G |
| data.n.config.coreResource.spec | string | core,cvm规格 |
| data.n.config.coreResource.storageType | int | 硬盘类型，1:本地盘，2:云硬盘，3:SSD本地盘 |
| data.n.config.coreResource.memSize | int | 内存容量，单位为G |
| data.n.config.coreResource.cpu | int | cpu核数 |
| data.n.config.coreResource.diskSize | int | 数据盘容量，单位为G |
| data.n.config.taskResource.spec | string | task,cvm规格 |
| data.n.config.taskResource.storageType | int | 硬盘类型，1:本地盘，2:云硬盘，3:SSD本地盘 |
| data.n.config.taskResource.memSize | int | 内存容量，单位为G |
| data.n.config.taskResource.cpu | int | cpu核数 |
| data.n.config.taskResource.diskSize | int | 数据盘容量，单位为G |
| data.n.config.comResource.spec | string | common,cvm规格 |
| data.n.config.comResource.storageType | int | 硬盘类型，1:本地盘，2:云硬盘，3:SSD本地盘 |
| data.n.config.comResource.memSize | int | 内存容量，单位为G |
| data.n.config.comResource.cpu | int | cpu核数 |
| data.n.config.comResource.diskSize | int | 数据盘容量，单位为G |
| data.n.config.oncos | bool | 是否集成cos |
| data.n.config.logCosPath | string | cos日志文件路径 |
| data.n.config.cosInfo.secretId | string | cos的secretId |
| data.n.config.cosInfo.secretKey | string | cos的secretKey |
| data.n.masterIp | string | 集群外网IP |
| data.n.emrVersion | string | 集群版本 |

## 4. 示例
 
输入
<pre>
  https://emr.api.qcloud.com/v2/index.php?Action=EmrDescribeCluster
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
  &ClusterId=emr-jhgtdrk6

</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "totalCnt": 1,
        "clusterList": [
            {
                "clusterId": "emr-jov423ny",
                "ftitle": "集群运行中",
                "clusterName": "",
                "regionId": 1,
                "zoneId": 100002,
                "appId": 1253534036,
                "projectId": 0,
                "vpcId": 8247,
                "subnetId": 26036,
                "status": 2,
                "addtime": "2017-05-10 16:09:54",
                "runetime": "0天1小时27分钟33秒",
                "config": {
                    "softInfo": [
                        "hadoop-2.7.3",
                        "zookeeper-3.4.9",
                        "hive-2.1.1",
                        "hbase-1.2.4",
                        "ganglia-3.7.2"
                    ],
                    "masterResource": {
                        "spec": "标准型.S1",
                        "storageType": 1,
                        "cpu": 8,
                        "memSize": 16,
                        "diskSize": 100
                    },
                    "coreResource": {
                        "spec": "标准型.S1",
                        "storageType": 1,
                        "cpu": 8,
                        "memSize": 16,
                        "diskSize": 500
                    },
                    "taskResource": {
                        "spec": "标准型.S1",
                        "storageType": 1,
                        "cpu": 4,
                        "memSize": 16,
                        "diskSize": 100
                    },
                    "comResource": {
                        "spec": "标准型.S1",
                        "storageType": 0,
                        "cpu": 2,
                        "memSize": 4,
                        "diskSize": 50
                    },
                    "oncos": false,
                    "logCosPath": "",
                    "cosInfo": {
                        "secretId": "",
                        "secretKey": ""
                    },
                    "masterNodes": 1,
                    "coreNodes": 2,
                    "taskNodes": 0,
                    "comNodes": 0
                },
                "masterIp": "123.207.27.199",
                "emrVersion": "EMR-V0.0.1"
            }
        ]
    }
}
```
