欢迎使用腾讯云内容分发网络（Content Delivery Network）服务！

内容分发网络（CDN）通过将您的业务内容发布到离用户最近的边缘节点，使用户能够就近获取所需内容，提高用户访问的响应速度和成功率。解决因地域分布、带宽、服务器能力等因素影响，而导致的访问延迟高、用户体验较差等问题。

用户可以使用本文档介绍的 API 对 CDN 服务进行相关操作，如接入域名、修改域名配置、查询消耗数据、刷新资源等，具体支持的操作可参考 [API概览](https://cloud.tencent.com/doc/api/231/1723) 。 

请确保在使用这些接口前，已经充分了解 [CDN 产品说明](https://cloud.tencent.com/doc/product/228/2939) 和 [计费说明](https://cloud.tencent.com/document/product/228/2949) 。

## 1. 术语表
为了让您快速了解内容分发网络，我们对其中的一些常用术语进行了解释，如下表：

| 术语     | 中文                                       | 说明                                 |
| ------ | ---------------------------------------- | ---------------------------------- |
| CDN    | [内容分发网络](https://cloud.tencent.com/doc/product/228/2939) | 一种通过将业务内容发布至边缘节点，使用户更快触达所需内容的加速方式。 |
| CNAME  | 别名                                       | 域名解析中的别名记录，您可以到域名服务提供商处进行设置。       |
| Origin | 源站                                       | 用户自有的业务服务器                         |


## 2. API 快速入门

为了使用内容分发网络，您需要完成以下两个步骤：

1. 添加域名
   您可以通过 [新增加速域名](https://cloud.tencent.com/doc/api/231/1406) 接口将域名添加入 CDN，域名需要通过工信部备案且尚未添加入腾讯云 CDN，添加成功后，CDN 会为其分配对应的 CNAME（可在控制台查看）。

2. 配置 CNAME
   根据第一步获取的CNAME，您需要到域名服务商处[设置 CNAME](https://cloud.tencent.com/doc/product/228/3121) ，待域名解析生效时，即开始使用内容分发网络服务。

## 3. 使用限制
目前，所有用户在任何情况下均能使用内容分发网络服务。


