Content delivery network (CDN) service deploys your business content to the edge node nearest to your users so as to allow them to acquire desired content from the node, improving response speed and success rate for user accesses. This will solve the problems such as high latency, poor user experience caused by factors like regions, bandwidth and server capacities.

Users can perform relevant operations such as connecting domains, modifying domain configurations, querying consumption data, purging resources, by using APIs which will be introduced in this document. For details about supported operations, please refer to [API Overview](https://cloud.tencent.com/doc/api/231/1723). 

Please make sure that you have a thorough understanding of [CDN Product Introductions](https://cloud.tencent.com/doc/product/228/2939) and [Billing Instructions](https://cloud.tencent.com/doc/product/228/562) before using these APIs.

## 1. Glossary
To allow you to understand the concepts of CDN faster, we have made explanations about some of the commonly used terms in this table:

| Term     | Full Name                                       | Description                                 |
| ------ | ---------------------------------------- | ---------------------------------- |
| CDN    | [Content Delivery Network](https://cloud.tencent.com/doc/product/228/2939) | Acceleration method, which deploys business contents to edge nodes and allow users to acquire desired content faster.  |
| CNAME  | Canonical Name                                       | Canonical name record used for domain resolution. You can set CNAME at the domain service provider.        |
| Origin | Origin Server                                       | Business server owned by the user                         |


## 2. API Quick Start

You need to complete the following two steps before you can use CDN:

1. Adding Domain
   You can use the [Add Accelerated Domain](https://cloud.tencent.com/doc/api/231/1406) API to add your domain into CDN (The domain is required to have been licensed by MIIT and have not been connected to Tencent Cloud CDN). Once added, CDN will assign a corresponding CNAME for the domain, which can be viewed from the console.

2. Configuring CNAME
   Go to the domain service provider and [configure CNAME](https://cloud.tencent.com/doc/product/228/3121) which you obtained in the last step. You will be able to start using CDN service once the domain resolution is in effect.

## 3. Service Limits
Currently, all users may use CDN service in any scenarios.



