## 1. 域名管理

| 接口名       | Action Name                              | 功能描述                                     |
| --------- | ---------------------------------------- | ---------------------------------------- |
| 新增加速域名    | [AddCdnHost](https://cloud.tencent.com/document/product/228/1406) | 添加域名至 CDN                                |
| 开启 CDN 域名 | [OnlineHost](https://cloud.tencent.com/document/product/228/1402) | 根据域名 ID 启动该域名的加速服务                       |
| 关闭 CDN 域名 | [OfflineHost](https://cloud.tencent.com/document/product/228/1403) | 根据域名 ID 关闭该域名的加速服务，解析回源站。节点若仍然收到请求（绑定host），则会直接返回404 |
| 删除加速域名    | [DeleteCdnHost](https://cloud.tencent.com/document/product/228/1396) | 根据域名 ID 删除该域名，删除域名的状态必须为下线状态             |
| 修改域名配置    | [UpdateCdnConfig](https://cloud.tencent.com/document/product/228/3933) | 根据域名 ID 和项目 ID，设置域名对应的缓存配置、缓存模式、防盗链配置、回源HOST配置、全路径缓存配置、源站配置等 |
| 切换域名所属项目  | [UpdateCdnProject](https://cloud.tencent.com/document/product/228/3935) | 根据域名 ID，并指定需要切换到的项目 ID，进行项目间切换           |

## 2. 域名查询

| 接口名        | Action Name                              | 功能描述                             |
| ---------- | ---------------------------------------- | -------------------------------- |
| 域名列表查询     | [DescribeCdnHosts](https://cloud.tencent.com/document/product/228/3937) | 查询所有域名详细信息，包括所有配置信息，支持分页查询       |
| 域名配置查询（域名） | [GetHostInfoByHost](https://cloud.tencent.com/document/product/228/3938) | 查询指定域名对应的域名详情，支持多个域名一起查询         |
| 域名配置查询（Id） | [GetHostInfoById](https://cloud.tencent.com/document/product/228/3939) | 查询指定域名 ID 对应的域名详情，支持多个域名 ID 一起查询 |

## 3. 消耗及统计量查询接口

| 接口名           | Action Name                              | 功能描述                                     |
| ------------- | ---------------------------------------- | ---------------------------------------- |
| 消耗统计查询        | [DescribeCdnHostInfo](https://cloud.tencent.com/document/product/228/3941) | 根据时间区间、项目 ID、域名等，查询对应的流量、带宽、请求数、IP访问数、命中率（请求数）。 |
| 消耗明细查询        | [DescribeCdnHostDetailedInfo](https://cloud.tencent.com/document/product/228/3942) | 根据时间区间、项目 ID、域名等，查询对应的流量、带宽、请求数、IP访问数、命中率（请求数）统计明细，目前时间区间为 1 - 3 日的时间粒度为 5 分钟，4 - 7日的明细粒度为 1 小时，8 - 90日的明细粒度为 1 天 |
| 域名明细查询        | [GetCdnHostsDetailStatistics](https://cloud.tencent.com/document/product/228/9703) | 根据时间区间、域名，查询对应带宽、流量、请求数、状态码、命中流量、命中请求数等明细数据。 |
| 状态码统计查询       | [GetCdnStatusCode](https://cloud.tencent.com/document/product/228/3943) | 根据时间区间、项目 ID、域名、时间粒度等，查询返回码 200、206、304、404、416、500 统计明细 |
| 回源明细查询        | [GetCdnHostsHyStat](https://cloud.tencent.com/document/product/228/7352) | 查询域名级回源带宽/流量数据。                          |
| TOP 100 URL查询 | [GetCdnStatTop](https://cloud.tencent.com/doc/api/231/3944) | 查询指定时间区间、项目、域名、统计类型，对应的各省份、运营商、URL排名TOP100统计。 |
| 运营商/省份明细查询    | [GetCdnProvIspDetailStat](https://cloud.tencent.com/document/product/228/7356) | 查询指定日期、指定运营商、指定省份、指定域名的带宽消耗明细，时间粒度为5分钟，一天288个统计点。由于运营商/省份需要从日志中分析，数据延迟大概为20-30分钟。 |

## 4. 内容刷新接口

| 接口名    | Action Name                              | 功能描述                                     |
| ------ | ---------------------------------------- | ---------------------------------------- |
| 查询刷新记录 | [GetCdnRefreshLog](https://cloud.tencent.com/doc/api/231/3948) | 根据用户输入的信息，如时间区间、URL，查询对应的刷新记录            |
| URL刷新  | [RefreshCdnUrl](https://cloud.tencent.com/doc/api/231/3946) | 根据用户提交的资源URL（可多个），将对应资源从节点中删除，此时再有用户访问，会直接回源站获取最新内容 |
| 目录刷新   | [RefreshCdnDir](https://cloud.tencent.com/doc/api/231/3947) | 根据用户提交的资源目录（可多个），将其中的资源从节点删除，此时再有用户访问，会直接回源站获取最新内容 |


## 5. 日志查询接口

| 接口名          | Action Name                              | 功能描述                                   |
| ------------ | ---------------------------------------- | -------------------------------------- |
| 查询日志下载链接(V1) | [GenerateLogList](https://cloud.tencent.com/doc/api/231/3950) | 根据用户输入的域名 ID（仅支持一个），查询该域名一个月内每天的日志下载链接 |
| 查询日志下载链接(V2) | [GetCdnLogList](https://cloud.tencent.com/document/product/228/8087) | 根据用户输入的域名，查询指定时间区间的日志下载链接              |





