The calls to Tencent Cloud APIs are achieved by sending requests to the server IP addresses of these APIs and adding relevant request parameters in the requests as described in API descriptions. A request for calling Tencent Cloud API is made up of the following elements:

## 1. Service Address
The service connection address of Tencent Cloud APIs depend on the modules. For more details, refer to the API descriptions.

## 2. Communication Protocol
All Tencent Cloud APIs make communications over **HTTPS** to provide high-security channels.

## 3. Request Methods

Tencent Cloud APIs support both POST and GET requests.
**Note:**
**1. The two methods cannot be mixed. If GET method is used, parameters are obtained from the Querystring. If POST method is used, parameters are obtained from the Request Body, and the parameters in the Querystring will be ignored. The rules for parameter formats are the same for both methods. Generally, GET method is used, while POST method is used if the parameter strings are too long. **
**2. If GET method is used, all request parameters need to be encoded with URL encoding. If POST method is used, this is not needed.**

## 4. Request Parameters
Two kinds of parameters are needed to specified for each request for Tencent Cloud APIs - common request parameters and API request parameters. Common request parameters are the parameters common to all APIs (For more details, refer to [Common Request Parameters](https://cloud.tencent.com/doc/api/231/4473) section), while API request parameters are parameters specific to each API (For more information, refer to "Request Parameters" description of each API.)

## 5. Character Encoding
All requests for Tencent Cloud APIs and returned results use UTF-8 character set for encoding.
