接口请求参数与具体的接口有关，不同的接口支持的接口请求参数也不一样。接口请求参数的首字母均为小写，以此区分于公共请求参数。

以 [根据域名查询域名信息](https://cloud.tencent.com/doc/api/231/3938) (GetHostInfoByHost) 为例，其支持的接口请求参数如下：

| 参数名称   | 是否必选   | 类型   | 描述          |
| ------ | ---- | ---- | ----------- |
| hosts.n  | 是    | String  | 需要查询的域名 |

其中各字段的说明如下：
<table class="t">
<tbody>
<td> 参数名称
</td><td> 该接口支持的请求参数名，用户可以在使用此接口时将其作为接口请求参数。<br>
注意：如果参数名称以“.n”结尾，则表明此参数为一个数组，使用时需要依次传入数组参数。如在根据域名查询域名信息 (GetHostInfoByHost) 接口中，若传入参数hosts.0=www.abc.com&hosts.1=www.def.com，则说明仅查询host为www.abc.com和www.def.com两个域名的相关信息。
</td></tr>
<tr>
<td> 是否必选
</td><td> 标志此参数是否是必须的，若为“是”，则表明调用该接口必须传入此参数；若为“否”，表示可以不传入。若所有接口请求参数均不是必选的，则仅使用公共请求参数就能完成正常的接口调用。
</td></tr>
<tr>
<td> 类型
</td><td> 此接口参数的数据类型。
</td></tr>
<tr>
<td> 描述
</td><td> 简要描述了此接口请求参数的内容。
</td></tr>
</tbody></table>

假设用户想要查询www.abc.com和www.def.com这两个域名的详情，则其请求链接的形式可能如下:
```
https://cdn.api.qcloud.com/v2/index.php?
&<公共请求参数>
&hosts.0=www.abc.com
&hosts.1=www.def.com
```
一个完整的请求需要两类请求参数：公共请求参数和接口请求参数。这里只列出了接口请求参数，并未列出公共请求参数，有关公共请求参数的说明可见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)小节。


