API request parameters are specific to each API. This means that different APIs support different API request parameters. The first letter of each API request parameter is lowercase so that the parameter can be differentiated from common request parameters.

Take [Query Domain Information by Domain](https://cloud.tencent.com/doc/api/231/3938) (GetHostInfoByHost) as an example. This API supports the following API request parameters:

| Parameter Name   | Required   | Type   | Description          |
| ------ | ---- | ---- | ----------- |
| hosts.n  | Yes    | String | Domain to be queried |

The description of each field is as follows:
<table class="t">
<tbody>
<td> Parameter Name
</td><td> The name of request parameter supported by the API, which the user can use as an API request parameter when using this API.<br>
Note: When a parameter name ends with ".n", it means the parameter is an array, and you need to pass the array parameters in sequence when using it. For example, when using "Query Domain Information by Domain" API (GetHostInfoByHost), if you pass the parameter hosts.0=www.abc.com&hosts.1=www.def.com, you will be querying information about two domains whose hosts are www.abc.com and www.def.com, respectively.
</td></tr>
<tr>
<td> Required
</td><td> Indicate whether this parameter is required. If it is "Yes", it means that the parameter is mandatory for the API; If it is "No", the parameter is not mandatory. If all the API request parameters are not mandatory, the API call can be achieved simply by using common request parameters.
</td></tr>
<tr>
<td> Type
</td><td> The data type of the API parameter.
</td></tr>
<tr>
<td> Description
</td><td> A brief description of the API request parameter.
</td></tr>
</tbody></table>

Assuming that a user wants to query the details of www.abc.com and www.def.com, the request link may be as follows:
```
https://cdn.api.qcloud.com/v2/index.php?
&<Common request parameters>
&hosts.0=www.abc.com
&hosts.1=www.def.com
```
A complete request needs two types of request parameters: common request parameters and API request parameters. Only API request parameters are listed above. For information on common request parameters, refer to [Common Request Parameters](https://cloud.tencent.com/doc/api/231/4473) section.



