## 1. 公共错误码

返回结果中的错误码表示了用户调用云API的结果。其中，code为公共错误码，其适用于所有模块的API接口。若code为0，表示调用成功，否则，表示调用失败。当调用失败后，用户可以根据下表确定错误原因并采取相应措施。

<table class="t">
<tbody><tr>
<th> <b>错误代码</b>
</th><th> <b>错误类型</b>
</th><th> <b>描述</b>
</th></tr>
<tr>
<td> 4000
</td><td> 请求参数非法
</td><td> 缺少必要参数，或者参数值格式不正确，具体错误信息请查看错误描述 message 字段。
</td></tr>
<tr>
<td> 4100
</td><td> 鉴权失败
</td><td> 签名鉴权失败，请参考文档中鉴权部分。
</td></tr>
<tr>
<td> 4200
</td><td> 请求过期
</td><td> 请求已经过期，请参考文档中请求有效期部分。
</td></tr>
<tr>
<td> 4300
</td><td> 拒绝访问
</td><td> 帐号被封禁，或者不在接口针对的用户范围内等。
</td></tr>
<tr>
<td> 4400
</td><td> 超过配额
</td><td> 请求的次数超过了配额限制，请参考文档请求配额部分。
</td></tr>
<tr>
<td> 4500
</td><td> 重放攻击
</td><td> 请求的 Nonce 和 Timestamp 参数用于确保每次请求只会在服务器端被执行一次,所以本次的 Nonce 和上次的不能重复, Timestamp 与腾讯服务器相差不能超过 2 小时。
</td></tr>
<tr>
<td> 4600
</td><td> 协议不支持
</td><td> 协议不支持，请参考文档说明。
</td></tr>
<tr>
<td> 5000
</td><td> 资源不存在
</td><td> 资源标识对应的实例不存在，或者实例已经被退还，或者访问了其他用户的资源。
</td></tr>
<tr>
<td> 5100
</td><td> 资源操作失败
</td><td> 对资源的操作失败，具体错误信息请查看错误描述 message 字段，稍后重试或者联系客服人员帮忙解决。
</td></tr>
<tr>
<td> 5200
</td><td> 资源购买失败
</td><td> 购买资源失败，可能是不支持实例配置，资源不足等等。
</td></tr>
<tr>
<td> 5300
</td><td> 资源购买失败
</td><td> 购买资源失败，余额不足。
</td></tr>
<tr>
<td> 5400
</td><td> 部分执行成功
</td><td> 批量操作部分执行成功, 详情见方法返回值。
</td></tr>
<tr>
<td> 5500
</td><td> 用户资质审核未通过
</td><td> 购买资源失败，用户资质审核未通过。
</td></tr>
<tr>
<td> 6000
</td><td> 服务器内部错误
</td><td> 服务器内部出现错误，请稍后重试或者联系客服人员帮忙解决。
</td></tr>
<tr>
<td> 6100
</td><td> 版本暂不支持
</td><td> 本版本内不支持此接口或该接口处于维护状态等。注意: 出现这个错误时, 请先确定接口的域名是否正确, 不同的模块, 域名可能不一样。
</td></tr>
<tr>
<td> 6200
</td><td> 接口暂时无法访问
</td><td> 当前接口处于停服维护状态，请稍后重试。
</td></tr></tbody></table>

## 2. 模块错误码
message字段表示与模块相关的错误。
其示例如下：
"message": "(100004)projectId不正确"
它由两部分组成，()内的为模块错误代码，()后的为具体的错误描述。
不同模块可能产生的错误情况是不一样的，用户可以根据具体的错误描述确定错误所在，由于版本原因部分状态码含义存在重复。

<table class="t">
<tbody>
<tr>
<th><b>错误代码</b></th>
<th><b>错误描述</b></th>
</tr>
<tr>
<td> -9021</td>
<td>COS接口异常，请稍后重试</td>
</tr>
<tr>
<td> -9018</td>
<td>域名检查失败</td>
</tr>
<tr>
<td> -9015</td>
<td>系统错误，请联系厂商处理</td>
</tr>
<tr>
<td> -9014</td>
<td>数据库错误，请联系厂商处理</td>
</tr>
<tr>
<td> -9011</td>
<td>域名配置接口超时，请稍后重试</td>
</tr>
<tr>
<td> -9009</td>
<td>满足所查询条件的记录不存在</td>
</tr>
<tr>
<td>1001</td>
<td>实名认证审核中</td>
</tr>
<tr>
<td>1002</td>
<td>未进行实名认证，请前往腾讯云官网进行认证</td>
</tr>
<tr>
<td>1003</td>
<td>未开通FTP账号</td>
</tr>
<tr>
<td>9000</td>
<td>系统错误，请稍后重试</td>
</tr>
<tr>
<td>9003</td>
<td>参数错误</td>
</tr>
<tr>
<td>9089</td>
<td>当前账户接入域名到达上限</td>
</tr>
<tr>
<td>9092</td>
<td>域名已被其他用户添加</td>
</tr>
<tr>
<td>9093</td>
<td>域名对应泛域名已被其他用户添加</td>
</tr>
<tr>
<td>9103</td>
<td>仅待认证、审核中和已关闭的域名才可进行删除操作</td>
</tr>
<tr>
<td>9105</td>
<td>域名不存在，请确认后重试</td>
</tr>
<tr>
<td>9107</td>
<td>域名格式不合法，请确认后重试</td>
</tr>
<tr>
<td>9108</td>
<td>源站列表不合法，请确认后重试</td>
</tr>
<tr>
<td>9109</td>
<td>缓存过期规则设置格式不合法，请确认后重试</td>
</tr>
<tr>
<td>9110</td>
<td>域名不存在，请确认后重试</td>
</tr>
<tr>
<td>9111</td>
<td>未开通CDN服务</td>
</tr>
<tr>
<td>9112</td>
<td>操作域名需要为【开启中】状态，请确认后重试</td>
</tr>
<tr>
<td>9114</td>
<td>FTP系统错误，请联系厂商处理</td>
</tr>
<tr>
<td>9115</td>
<td>输入IP不能是内网IP，请修改后重试</td>
</tr>
<tr>
<td>9116</td>
<td>源站设置超出长度限制（250字节），请确认后重试</td>
</tr>
<tr>
<td>9118</td>
<td>FTP系统错误，请联系厂商处理</td>
</tr>
<tr>
<td>9126</td>
<td>时间大小设置错误，请确认后重试</td>
</tr>
<tr>
<td>9127</td>
<td>缓存类型设置错误，请确认后重试</td>
</tr>
<tr>
<td>9128</td>
<td>文件后缀设置错误，请确认后重试</td>
</tr>
<tr>
<td>9129</td>
<td>目录设置错误，请确认后重试</td>
</tr>
<tr>
<td>9130</td>
<td>referer设置错误，请确认后重试</td>
</tr>
<tr>
<td>9131</td>
<td>referer类型设置错误，请确认后重试</td>
</tr>
<tr>
<td>9132</td>
<td>referer列表错误，请确认后重试</td>
</tr>
<tr>
<td>9133</td>
<td>referer内容错误，请确认后重试</td>
</tr>
<tr>
<td>9135</td>
<td>域名处理中，请稍后再试</td>
</tr>
<tr>
<td>9137</td>
<td>域名已被自己添加</td>
</tr>
<tr>
<td>9138</td>
<td>域名已经被他人添加</td>
</tr>
<tr>
<td>9141</td>
<td>域名对应泛域名已被其他用户添加</td>
</tr>
<tr>
<td>9150</td>
<td>查询日期区间不合法，请确认后重试</td>
</tr>
<tr>
<td>9151</td>
<td>内部错误，请联系厂商处理</td>
</tr>
<tr>
<td>9153</td>
<td>回源Host超出长度限制（250字节），请修改后重试</td>
</tr>
<tr>
<td>9154</td>
<td>回源Host不能设置为IP</td>
</tr>
<tr>
<td>9156</td>
<td>回源Host内容不合法，请确认后重试</td>
</tr>
<tr>
<td>9160</td>
<td>统计数据类型不合法，请确认后重试</td>
</tr>
<tr>
<td>9161</td>
<td>域名存在特殊配置，已被锁定，请联系运维处理</td>
</tr>
<tr>
<td>9162</td>
<td>数量超出限制（400个），请修改后重试</td>
</tr>
<tr>
<td>9163</td>
<td>操作频繁，请稍后再试</td>
</tr>
<tr>
<td>9166</td>
<td>添加域名为空，请确认后重试</td>
</tr>
<tr>
<td>9169</td>
<td>账号被封禁，请联系厂商处理</td>
</tr>
<tr>
<td>9170</td>
<td>试用账号，无法进行该操作</td>
</tr>
<tr>
<td>9175</td>
<td>无法操作部署中的域名</td>
</tr>
<tr>
<td>9176</td>
<td>无法操作下线的域名</td>
</tr>
<tr>
<td>9177</td>
<td>无法操作上线的域名</td>
</tr>
<tr>
<td>9182</td>
<td>FTP系统错误，请联系厂商处理</td>
</tr>
<tr>
<td>9192</td>
<td>设置的缓存过期时间单位错误，请修改后重试</td>
</tr>
<tr>
<td>9193</td>
<td>端口设置错误（0-65535），请修改后重试</td>
</tr>
<tr>
<td>9194</td>
<td>缓存过期规则设置不合法，请修改后重试</td>
</tr>
<tr>
<td>9302</td>
<td>域名已被其他用户添加</td>
</tr>
<tr>
<td>9303</td>
<td>域名格式不合法，请确认后重试</td>
</tr>
<tr>
<td>9305</td>
<td>源站设置不合法，请确认后重试</td>
</tr>
<tr>
<td>9307</td>
<td>域名不存在，请确认后重试</td>
</tr>
<tr>
<td>9313</td>
<td>无法操作下线的域名</td>
</tr>
<tr>
<td>9314</td>
<td>无法操作上线的域名</td>
</tr>
<tr>
<td>9315</td>
<td>无法删除未下线的域名，请操作后重试</td>
</tr>
<tr>
<td>9320</td>
<td>缓存过期规则设置格式不合法，请确认后重试</td>
</tr>
<tr>
<td>9334</td>
<td>证书格式需要为pem，请确认后重试</td>
</tr>
<tr>
<td>9335</td>
<td>证书或秘钥不能为空，请确认后重试</td>
</tr>
<tr>
<td>9336</td>
<td>删除证书失败</td>
</tr>
<tr>
<td>9339</td>
<td>Https回源源站需要设置为443端口</td>
</tr>
<tr>
<td>9362</td>
<td>证书或私钥不能为空，请确认后重试</td>
</tr>
<tr>
<td>9363</td>
<td>证书格式需要为pem，请确认后重试</td>
</tr>
<tr>
<td>9364</td>
<td>证书不能为空，请确认后重试</td>
</tr>
<tr>
<td>9365</td>
<td>私钥格式需要为pem，请确认后重试</td>
</tr>
<tr>
<td>9366</td>
<td>私钥不能为空，请确认后重试</td>
</tr>
<tr>
<td>9367</td>
<td>证书与私钥不匹配，请确认后重试</td>
</tr>
<tr>
<td>9400</td>
<td>查询监控信息失败</td>
</tr>
<tr>
<td>9404</td>
<td>提交的IP超出单次查询上限</td>
</tr>
<tr>
<td>20004</td>
<td>域名未备案，请备案后重试</td>
</tr>
<tr>
<td>20005</td>
<td>域名格式不合法，请确认后重试</td>
</tr>
<tr>
<td>20006</td>
<td>内部保留域名</td>
</tr>
<tr>
<td>20007</td>
<td>限制域名，暂时无法接入</td>
</tr>
<tr>
<td>20008</td>
<td>限制域名，如有接入需要请提交工单处理</td>
</tr>
<tr>
<td>20009</td>
<td>恶意域名，已被加入黑名单，无法接入</td>
</tr>
<tr>
<td>20010</td>
<td>腾讯电脑管家黑名单域名，无法接入</td>
</tr>
<tr>
<td>20011</td>
<td>源站填写不合法，请确认后重试</td>
</tr>
<tr>
<td>21000</td>
<td>预拉热次数超过当日限额</td>
</tr>
<tr>
<td>21001</td>
<td>查询的task_id不存在</td>
</tr>
<tr>
<td>21002</td>
<td>单次预拉热超出长度限制</td>
</tr>
<tr>
<td>22035</td>
<td>Https类型错误，请确认后重试</td>
</tr>
<tr>
<td>22036</td>
<td>域名错误，请确认后重试</td>
</tr>
<tr>
<td>22037</td>
<td>开启Https加速失败，请稍后重试</td>
</tr>
<tr>
<td>22038</td>
<td>关闭Https加速失败，请稍后重试</td>
</tr>
<tr>
<td>22041</td>
<td>域名尚未开通CDN服务，请开通后重试</td>
</tr>
<tr>
<td>22043</td>
<td>单次提交刷新URL超出上限</td>
</tr>
<tr>
<td>22044</td>
<td>URL刷新数目超出单日限额</td>
</tr>
<tr>
<td>22045</td>
<td>单次提交刷新目录超出上限</td>
</tr>
<tr>
<td>22046</td>
<td>目录刷新数目超出单日限额</td>
</tr>
<tr>
<td>22063</td>
<td>操作频繁，请稍后再试</td>
</tr>
<tr>
<td>22200</td>
<td>解析修改内部异常，请稍后重试</td>
</tr>
<tr>
<td>22300</td>
<td>没有对应的日志列表</td>
</tr>
<tr>
<td>22401</td>
<td>COS bucket无效，请确认后重试</td>
</tr>
<tr>
<td>22402</td>
<td>bucket绑定失败，请稍后重试</td>
</tr>
<tr>
<td>22403</td>
<td>COS默认加速域名，不允许修改bucket</td>
</tr>
<tr>
<td>22405</td>
<td>bucket不存在，请确认后重试</td>
</tr>
<tr>
<td>22701</td>
<td>域名格式不合法，请确认后重试</td>
</tr>
<tr>
<td>22704</td>
<td>FTP/COS源域名不支持Https回源</td>
</tr>
<tr>
<td>22708</td>
<td>证书错误，请确认后重试</td>
</tr>
<tr>
<td>22709</td>
<td>证书与域名不匹配，请确认后重试</td>
</tr>
<tr>
<td>22711</td>
<td>证书已过期，请确认后重试</td>
</tr>
<tr>
<td>22712</td>
<td>证书剩余有效期不足24小时，无法添加</td>
</tr>
<tr>
<td>22713</td>
<td>证书链无法补齐，您可以自行补齐证书链后重试，或提交工单联系我们</td>
</tr>
<tr>
<td>22714</td>
<td>上传的证书不是泛域名证书</td>
</tr>
<tr>
<td>22716</td>
<td>最多可选择10个域名进行批量部署</td>
</tr>
<tr>
<td>22721</td>
<td>域名未成功配置证书，无法开启强制HTTPS跳转</td>
</tr>
<tr>
<td>22800</td>
<td>系统错误，请稍后重试</td>
</tr>
<tr>
<td>23100</td>
<td>单次提交预热URL超出上限</td>
</tr>
<tr>
<td>23101</td>
<td>URL预热超出当日额度限制</td>
</tr>
<tr>
<td>23103</td>
<td>无调用该接口权限，请联系厂商处理</td>
</tr>
<tr>
<td>23200</td>
<td>暂时不允许设置此项Http Header</td>
</tr>
<tr>
<td>23201</td>
<td>Http Header设置失败，请稍后重试</td>
</tr>
<tr>
<td>23226</td>
<td>强制Https配置格式错误</td>
</tr>
<tr>
<td>23227</td>
<td>备份源站配置格式错误</td>
</tr>
<tr>
<td>23228</td>
<td>FTP源站域名，不可修改源站</td>
</tr>
<tr>
<td>23229</td>
<td>托管源(COS/FTP源)暂时不支持设置备用源站</td>
</tr>
<tr>
<td>23230</td>
<td>源站设置错误</td>
</tr>
<tr>
<td>23232</td>
<td>回源Host不能设置为泛域名</td>
</tr>
<tr>
<td>23234</td>
<td>配置错误，请稍后重试</td>
</tr>
<tr>
<td>23235</td>
<td>中间源配置错误，请稍后重试</td>
</tr>
<tr>
<td>25002</td>
<td>没有该资源(域名/项目)的权限</td>
</tr>
<tr>
<td>25010</td>
<td>您暂无权限进行此操作，请联系开发商开通访问权限</td>
</tr>
<tr>
<td>25015</td>
<td>当前账户暂不支持接入海外加速域名，如需支持请联系客服</td>
</tr>
<tr>
<td>25016</td>
<td>该域名暂不支持修改，如需修改，请联系腾讯云技术人员</td>
</tr>
<tr>
<td>28006</td>
<td>预热域名已关闭，请先开启域名的CDN加速</td>
</tr>
<tr>
<td>28007</td>
<td>刷新域名已关闭，请先开启域名的CDN加速</td>
</tr>
<tr>
<td>28008</td>
<td>操作域名未上线，请开启后操作</td>
</tr>
</tbody></table>