为了帮助您快速使用内容分发网络（CDN）API，这里给出一个使用示例。
要使用内容分发网络，您需要先向 CDN 添加一个加速域名，该域名必须满足以下条件：

+ 尚未添加入腾讯云 CDN；
+ 已通过工信部备案。



## 新增加速域名
这里我们向腾讯云 CDN 添加一个域名 www.test.com ，指定所属项目为默认项目（项目ID为 0），接入方式为自有源接入，源站的IP地址为 8.8.8.8，具体的接口请求参数见下表：

| 参数名称      | 描述   | 取值     |
| --------------- | ---------------------------- | ------------------ |
| host      | 要添加的域名host    | www.test.com |
| projectId | 指定域名加入的项目    | 0 |
| hostType  | 接入类型，只有两种取值方式，若为 'cname'，则表示是用户使用的为自己的源站；若为'ftp'，则表示用户使用了 CDN 提供的 FTP 托管源。**注意：若选择 FTP源，则无需填充源站配置。**     | cname |
| origin    | 源站配置，可以设置为一个源站域名，或者配置多个源站IP（支持 'ip:port' 类型，如 8.8.8.8:8080），端口支持大于0小于等于65535    | 8.8.8.8 |

结合公共请求参数和接口请求参数，最终得到的请求形式如下：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=AddCdnHost
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462440051
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXXXXXXX
&host=www.test.com
&projectId=0
&hostType=cname
&origin=8.8.8.8
```

上述请求的返回结果如下，由结果可知，已成功添加域名：

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}

```









