## 1. 接口描述

本接口（OnlineHost）用于启动指定的 CDN 域名。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

**注意事项：** 

+ 一次支持一个域名的启动操作
+ 仅针对处于关闭状态的域名进行
+ 默认调用频次限制为 100次/分钟

<br/>

[调用Demo](https://cloud.tencent.com/document/product/228/1734)

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为OnlineHost。

| 参数名称   | 是否必选 | 类型     | 描述         |
| ------ | ---- | ------ | ---------- |
| host   | 否    | String | 需要启动的加速域名  |
| hostId | 否    | Int    | 需要启动的域名 ID |

#### 注意事项
+ 可使用接口 [根据域名查询域名信息](https://cloud.tencent.com/doc/api/231/3938) 、[查询域名信息](https://cloud.tencent.com/doc/api/231/3937) 获取 host 对应的ID；
+ 域名与hostId 指定一个查询即可；
+ 域名状态为【部署中】无法进行启动操作。

## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |

## 4. 示例

### 4.1 输入示例 
> hostId: 1234

### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=OnlineHost
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462436277
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXX
&hostId=1234
```

### 4.3 POST 请求
POST请求时，参数填充在HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'OnlineHost',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
  'hostId' => 1234
)
```

### 4.4 返回结果示例
#### 启动成功

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}
```

#### 启动失败

```json
{
    "code": 4000,
    "message": "(9177)域名已上线 cdn host online[host online]",
    "codeDesc": 9177
}
```




