## 1. 接口描述
本接口（OfflineHost）用于关闭指定的 CDN 域名。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

**注意事项：** 

+ 一次仅允许关闭一个 CDN 域名
+ 域名关闭后，访问到CDN节点会统一返回 404，关闭域名前确保解析已从 CDN 切走
+ 默认调用频次限制为 100次/分钟

<br/>

[调用Demo](https://cloud.tencent.com/document/product/228/1734)

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为OfflineHost。

| 参数名称   | 是否必选 | 类型     | 描述         |
| ------ | ---- | ------ | ---------- |
| hostId | 否    | Int    | 需要关闭的域名 ID |
| host   | 否    | String | 需要关闭的加速域名  |

#### 注意事项

+ 可使用接口 [根据域名查询域名信息](https://cloud.tencent.com/doc/api/231/3938) 、[查询域名信息](https://cloud.tencent.com/doc/api/231/3937) 获取 host 对应的ID；
+ 域名与 hostId 指定一个查询即可；
+ 状态为【部署中】的域名调用关闭 API 会返回失败。


## 3. 输出参数


| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |



## 4. 示例

### 4.1 输入示例

> hostId: 1234



### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=OfflineHost
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462436277
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXX
&hostId=1234
```

### 4.3 POST 请求

POST 请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded等格式，参数数组如下：

```
array (
  'Action' => 'OfflineHost',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
  'hostId' => 1234
)
```



### 4.4 返回结果示例

#### 关闭成功

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}
```

#### 关闭失败

```json
{
    "code": 4000,
    "message": "(9175)部署中状态 cdn host in progress[host in progress]",
    "codeDesc": 9175
}
```



