## 1. 接口描述

本接口（DeleteCdnHost）用于删除指定的 CDN 域名。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

1）一次仅支持删除一个域名；
2）只有关闭状态的域名才可以进行删除操作。

[调用Demo](https://cloud.tencent.com/document/product/228/1734)

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为DeleteCdnHost。

| 参数名称   | 是否必选 | 类型     | 描述        |
| ------ | ---- | ------ | --------- |
| hostId | 否    | Int    | 需要删除的域名ID |
| host   | 否    | String | 需要删除的加速域名 |

#### 注意事项

- 可使用接口 [根据域名查询域名信息](https://cloud.tencent.com/doc/api/231/3938) 、[查询域名信息](https://cloud.tencent.com/doc/api/231/3937) 获取 host 对应的ID；
- 域名与hostId 指定一个查询即可；
- 关闭状态的 COS 同步而来的只读域名，如 .file.myqcloud.com 后缀域名也可以删除。


## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |



## 4. 示例

### 4.1 输入示例

> hostId: 1234



### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=DeleteCdnHost
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462436277
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXX
&hostId=1234
```



### 4.3 POST 请求

POST请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'DeleteCdnHost',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX=',
  'hostId' => 1234,
)
```


### 4.4 返回结果示例

#### 删除成功

```json
{
    "retcode": 0,
    "errmsg": "ok",
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": []
}
```

#### 删除失败

```json
{
    "code": 4000,
    "message": "(22200)Dnspod接口异常 cdn dp system error[cdn dp system error[connect() timed out!]]",
    "codeDesc": 22200
}
```

