## 1. API Description

This API (DeleteCdnHost) is used to delete the specified CDN domain.

Domain for API request:<font style="color:red">cdn.api.qcloud.com</font>

1) Only one domain can be deleted at a time;
2) Only domains in Closed status can be deleted.

[Call Demo](https://cloud.tencent.com/document/product/228/1734)

## 2. Input Parameters
The following request parameter list only provides API request parameters. Common request parameters need to be added when the API is called. For more information, refer to [Common Request Parameters](https://cloud.tencent.com/doc/api/231/4473). The Action field for this API is DeleteCdnHost.

| Parameter Name   | Required | Type   | Description        |
| ------ | ---- | ---- | --------- |
| hostId | Yes    | Int  | The domain ID to be deleted |

#### Note

- You can use APIs [Query Domain Information by Domain Name](https://cloud.tencent.com/doc/api/231/3938) and [Query Domain Information](https://cloud.tencent.com/doc/api/231/3937) to obtain the ID of the host;
- Closed COS-synchronized read-only domains, such as domains with ".file.myqcloud.com" as suffix, can also be deleted.


## 3. Output Parameters

| Parameter Name     | Type     | Description                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | Common error code; 0: Succeeded; other values: Failed. For more information, refer to [Common Error Codes](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81) on Error Code page.  |
| message  | String | Module error message description depending on API.                           |
| codeDesc | String | English error message or error code at business side.                           |



## 4. Example

### 4.1 Input Example

> hostId: 1234



### 4.2 GET Request

For GET request, all the parameters are required to be appended to the URL:

```
https://cdn.api.qcloud.com/v2/index.php?
Action=DeleteCdnHost
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462436277
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXX
&hostId=1234
```



### 4.3 POST Request

For POST request, the parameters need to be filled in HTTP Request-body. Request address:

```
https://cdn.api.qcloud.com/v2/index.php
```

Formats such as form-data and x-www-form-urlencoded are supported for the parameters. The array of parameters is as follows:

```
array (
  'Action' => 'DeleteCdnHost',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX=',
  'hostId' => 1234,
)
```


### 4.4 Example of Returned Result

#### Deleted successfully

```json
{
    "retcode": 0,
    "errmsg": "ok",
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": []
}
```

#### Deletion failed

```json
{
    "code": 4000,
    "message": "(22200) Dnspod API exception cdn dp system error[cdn dp system error[connect () timed out!]]",
    "codeDesc": 22200
}
```


