## 1. API Description

This API (UpdateCdnProject) is used to switch the project of domain.

Domain name for API request:<font style="color:red">cdn.api.qcloud.com</font>

[Call Demo](https://cloud.tencent.com/document/product/228/1734)

## 2. Input Parameters
The following request parameter list only provides API request parameters. Common request parameters need to be added when the API is called. See the [Common Request Parameters](https://cloud.tencent.com/doc/api/231/4473) page for details. The Action field for this API is UpdateCdnProject.

| Parameter Name      | Required | Type   | Description           |
| --------- | ---- | ---- | ------------ |
| projectId | Yes    | Int  | Project ID to be set |
| hostId    | Yes    | Int  | Domain ID        |



#### Note

+ You can use APIs [Query Domain Information by Domain Name](https://cloud.tencent.com/doc/api/231/3938) and [Query Domain Information](https://cloud.tencent.com/doc/api/231/3937) to obtain the ID of the host;
+ The project of domains in Closed or Deploying status cannot be switched via this API.


## 3. Output Parameters

| Parameter Name     | Type     | Description                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | Common error code; 0: Succeeded; other values: Failed. For more information, refer to [Common Error Codes](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81) on Error Code page.  |
| message  | String | Module error message description depending on API.                           |
| codeDesc | String | English error message or error code at business side.                           |


## 4. Example

### 4.1 Example of Input

> hostId: 1234
>
> projectId: 0



### 4.2 GET Request

All the parameters are required to be added after URL in GET request:

```
https://cdn.api.qcloud.com/v2/index.php?
Action=UpdateCdnProject
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462519632
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
&hostId=1234
&projectId=0
```



### 4.3 POST Request

In POST request, the parameters will be filled in HTTP Request-body. The request address is:

```
https://cdn.api.qcloud.com/v2/index.php
```

Such formats of parameters as form-data, x-www-form-urlencoded are supported. The array of parameters is as follows:

```
array (
  'Action' => 'UpdateCdnProject',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
  'projectId' => '0',
  "hostId" => '1234'
)
```


### 4.4 Example of Returned Result

#### Switch Successful

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}
```

#### Switch Failed

```json
{
    "code": 4000,
    "message": "(9175) Deploying status cdn host in progress[host in progress]",
    "codeDesc": 9175
}
```


