## 1. 接口描述

本接口（GetCdnHostsDetailStat）用于查询指定日期内，指定项目中，每一个域名的带宽消耗明细（每天288个点），或指定域名的消耗明细查询。支持查询边缘节点带宽明细或是中间源消耗明细。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>


## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为 GetCdnHostsDetailStat。

| 参数名称    | 是否必选 | 类型     | 描述                                       |
| ------- | ---- | ------ | ---------------------------------------- |
| date    | 是    | String | 查询日期，格式必须为：2016-09-28                    |
| projects.n | 否 | String | 要查询的项目ID，[点击查看项目ID](https://console.cloud.tencent.com/project) |
| hosts.n | 否    | String | 要查询的域名 |
| sources.n  | 否    | String | 要查询的网络层级 |

**注意事项：**

- date：查询日期，支持最大90天的查询，如设置为 2016-05-03 时，查询的起始时间为：2016-05-03 00:00:00，结束时间为2016-05-03 23:55:00；
- projects.n：指定项目ID，可指定多个：projects.0=123&projects.1=456...，默认项目的ID为0，结果为指定项目下所有域名的消耗；
- hosts.n：指定域名，可指定多个：hosts.0=www.test1.com&hosts.1=www.test2.com，返回结果为各域名指定日期的带宽消耗明细，每5分钟一个点，每天共288个点，单位为bps。当输入域名需要指定域名对应的项目ID；
- 当projects.n和hosts.n均为空时，查询的是名下所有域名的消耗；
- sources.n:数据来源，oc代表边缘节点，middle代表中间源，只能为oc或者middle,或者二者都有，默认为oc。


## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Object | 结果数据，详细说明见下文                             |

## 4. 示例

### 4.1 输入示例

> date: 2016-09-28
> projects.0:0
> hosts.0: www.test.com

### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=GetCdnHostsDetailStat
&SecretId=XXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462416887
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXX
&date=2016-09-28
&projects.0=0
&hosts.0=www.test.com
```

### 4.3 POST 请求

POST请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'GetCdnHostsDetailStat',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
  'date' => '2016-09-28',
  'projects.0' => '0',
  'hosts.0' => 'www.test.com'
)

```

### 4.4 返回结果示例

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data":{
        "2016-09-28":{
            "www.test.com":[
            	0,
            	0,
            	...
            	0
            ]
        }
    }
}
```























