## 1. 接口描述

本接口（GetTimeBandwidth）适用于腾讯云签约的CDN月结带宽计费大客户，用于查询计费相关数据、信息。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

<font style="color:orange">该接口由白名单管控，调用前请联系CDN团队进行白名单开启操作</font?>

**详细说明：**

+ 支持查询海外、国内计费数据；
+ 支持提交多个域名，返回每一个域名按计费结算方式统计后的数据；
+ ​

[调用Demo](https://cloud.tencent.com/document/product/228/1734)

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为 GetTimeBandwidth。

| 参数名称    | 是否必选 | 类型     | 描述                                       |
| ------- | ---- | ------ | ---------------------------------------- |
| start   | 是    | String | 查询起始日期，如 2017-10-01                      |
| end     | 是    | String | 查询结束日期，如 2017-10-31                      |
| type    | 否    | Int    | 查询国内/海外数据，若填充 1 代表国内计费数据查询，填充 2 代表海外计费数据查询 |
| hosts.n | 否    | String | 域名级别查询，支持提交多个域名，查询每一个的计费数据；不填充则返回该账号的计费数据 |



## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Object | 结果数据，详细说明见下文                             |

##### data 字段说明

| 名称        | 类型     | 说明           |
| --------- | ------ | ------------ |
| month     | String | 指定查询的月份      |
| stat_data | Object | 统计数据，详细说明见下文 |

##### stat_data 字段说明

| 名称        | 类型     | 说明                    |
| --------- | ------ | --------------------- |
| host      | String | 查询的域名，只有指定域名查询时才包含该字段 |
| bandwidth | Int    | 月95带宽值，单位为bps         |

## 4. 示例

### 4.1 输入示例

> month: 2016-12
> hosts.0: www.test.com
> prjects.0: 0

### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=GetMonthData
&SecretId=XXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462416887
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXX
&month=2016-12
&hosts.0=www.test.com
&projects.0=0
```

### 4.3 POST 请求

POST请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'GetMonthData',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
  'month' => '2016-12',
  'hosts.0' => 'www.test.com',
  'projects.0' => '0'
)

```

### 4.4 返回结果示例

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "month": "2016-12",
        "stat_data": [
            {
                "host": "www.test.com",
                "bandwidth": 29153733
            }
        ]
    }
}
```























