## 1. 接口描述
本接口（GetCdnMonitorData）用于查询 CDN 各省份运营商监控延迟、可用性数据。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

**注意事项**

+ 接口拉取到的为最新的延迟、可用性数据，数据一分钟更新一次，请勿频繁调用。


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为 GetCdnMonitorData。本接口无输入参数。


## 3. 输出参数
| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Array | 返回结果数据，详情见下文 |

**data字段说明**

| 参数名称             | 类型    | 描述             |
| ---------------- | ----- | -------------- |
| succ_rate | Array   | 可用性数据 |
| delay_time | Array | 时延数据 |

**succ_rate/delay_time字段说明**

| 参数名称      | 类型     | 描述                            |
| --------- | ------ | ----------------------------- |
| pro_id        | Int | 省份id                         |
| name  | String | 省份名称 |
| value | Array | 移动、电信、联通，及部分运营商平均数据                        |

**注意事项**
+ value 中 1: 电信；2: 联通；4：移动；16777215：平均值，单位均为ms；
+ 平均值包含了电信、移动、联通、长城宽带、铁通、电信通6个运营商。


## 4. 示例
### 4.1 GET 请求
GET 请求需要将所有参数都加在 URL 后（逗号进行转码）：
```
https://cdn.api.qcloud.com/v2/index.php?
Action=GetCdnMonitorData
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462436277
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXX
```

### 4.2 POST请求
POST请求时，参数填充在HTTP Requestbody中，请求地址：
```
https://cdn.api.qcloud.com/v2/index.php
```
参数支持 formdata、xwwwformurlencoded 等格式，参数数组如下：

```
array (
	'Action' => 'GetCdnMonitorData',
	'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
	'Timestamp' => 1462782282,
	'Nonce' => 123456789,
	'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX'
)
```

### 4.3 返回示例
注意：示例中IP仅供参考。
```
{
    "code":0,
    "message":"",
    "codeDesc":"Success",
    "data":{
        "succ_rate":
           [{
                "pro_id":1,
                "name":"黑龙江",
                "value":{
                    "1":98.289166666667,
                    "2":99.073333333333,
                    "4":100,
                    "16777215":98.789166666667
                }
            }....
           ]
        "delay_time":
           [{
                "pro_id":1,
                "name":"黑龙江",
                "value":{
                    "1":491.16666666667,
                    "2":260.58333333333,
                    "4":280.91666666667,
                    "16777215":357.91666666667
                }
            }
            .....
      	]
    }
}
```


