## 1. 接口描述
本接口（Md5Check）用于提交文件一致性校验任务。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

**接口说明：**
+ 一次仅支持提交一个需要校验的URL；
+ 每一个域名每天最多提交50个URL；
+ 接口一分钟最多调用10次。


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为 Md5Check。

| 参数名称 | 是否必选 | 类型     | 描述                |
| ---- | ---- | ------ | ----------------- |
| url  | 是    | String | 需要进行校验的URL，如 http: //www.test.com/1.jpg |

**注意事项：**
+ 若填充url时不写http:/ /或 https:// 默认填充 http://


## 3. 输出参数
| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Object | 返回taskId                                   |


## 4. 示例
### 4.1 输入示例
> url: http://www.test.com/1.jpg

### 4.2 GET 请求
GET 请求需要将所有参数都加在 URL 后：
```
https://cdn.api.qcloud.com/v2/index.php?
Action=Md5Check
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462436277
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXX
&url=http%3A%2F%2Fwww.test.com%2F1.jpg
```

### 4.2 POST请求
POST请求时，参数填充在HTTP Requestbody中，请求地址：
```
https://cdn.api.qcloud.com/v2/index.php
```
参数支持 formdata、xwwwformurlencoded 等格式，参数数组如下：

```
array (
	'Action' => 'Md5Check',
	'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
	'Timestamp' => 1462782282,
	'Nonce' => 123456789,
	'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
	'url' => 'http://www.test.com/1.jpg'
)
```

### 4.3 返回示例
注意：示例中IP仅供参考。
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "taskId": 4278
    }
}
```


