## 1. 接口描述

本接口（GetCdnHostsLogStat）用于查询指定日期、指定域名（项目）下，日志统计的带宽数据明细。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

<font style="color:orange">日志计算的为应用层数据，与网卡统计数据存在一定差异。根据客户需求及计费方式，此接口可调整上浮比例，根据客户需求而定。默认情况下不上浮。</font>

**详细说明：**

+ 支持查询一个或多个域名的详细带宽数据，均为5分钟粒度，每天288个统计点；
+ 支持查询一个或多个项目下，每一个域名的带宽数据明细；
+ 若不指定域名、项目参数进行查询，则默认返回该用户所有域名的，每一个的明细数据；
+ 指定日期返回 288 个统计点，第一个为 00:00:00 ，表示 00:00:00 - 00:04:59 时间区间的带宽；
+ 该接口每分钟限频1000次。

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的 Action 字段为 GetCdnHostsLogStat。

| 参数名称       | 是否必选 | 类型     | 描述                                       |
| ---------- | ---- | ------ | ---------------------------------------- |
| date       | 是    | String | 查询日期，格式必须为：2016-09-28                    |
| hosts.n    | 否    | String | 域名，支持多个，如hosts.0=www.test.com&hosts.1=www.test2.com，当查询域名时，需要填充对应的项目ID，[点击查看](https://console.cloud.tencent.com/project) |
| projects.n | 否    | String | 项目ID，支持多个，如 projects.0=1&projects.1=2    |




## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Object | 统计数据                                     |


## 4. 示例

### 4.1 输入示例

> date: 2016-11-25
> hosts.0: www.test.com
> projects.0: 0

### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=GetCdnHostsLogStat
&SecretId=XXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462416887
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXX
&date=2016-11-25
&hosts.0=www.test.com
&projects.0=0
```

### 4.3 POST 请求

POST请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'GetCdnHostsLogStat',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
  'date' => '2016-11-25',
  'hosts.0' => 'www.test.com',
  'projects.0' => '0'
)

```

### 4.4 返回结果示例

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
 		"2016-11-25":{
        	"www.test.com":[
            	1,
                1,
                0,
                ...
            ]
        }
    }
}
```























