## 1. 接口描述
本接口（GetConsistencyResult）用于查询文件一致性校验任务的执行状态。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为 GetConsistencyResult。

| 参数名称 | 是否必选 | 类型     | 描述                |
| ---- | ---- | ------ | ----------------- |
| taskId  | 是    | String | 需要进行查询的任务ID |


## 3. 输出参数
| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Object | 返回任务的状态信息  |
| begin_time | String | 校验任务提交的时间 |
| end_time | String | 结束时间，未结束时为 null |
| status | String | 当前状态，'init' 表示任务尚未结束，'done' 表示任务已经结束 | 
| url | String | 提交校验的URL |
| taskId | Int | 查询的taskId |
| result | Array | 返回每一个边缘节点的文件校验信息 |

##### result 字段说明
| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| url | String | 提交校验的URL |
| ip | String | 边缘节点IP |
| isp | String | 节点省份运营商信息 |
| status_code | String | 状态码 |
| md5_value | String | 文件的MD5值 |
| rcv_len | Int | 接收文件长度 |
| file_len | Int | 文件长度 |
| update_time | String | 对应 http 响应头中 last_modify 字段 |

## 4. 示例
### 4.1 输入示例
> taskId: 123

### 4.2 GET 请求
GET 请求需要将所有参数都加在 URL 后：
```
https://cdn.api.qcloud.com/v2/index.php?
Action=GetConsistencyResult
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462436277
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXX
&taskId=123
```

### 4.2 POST请求
POST请求时，参数填充在HTTP Requestbody中，请求地址：
```
https://cdn.api.qcloud.com/v2/index.php
```
参数支持 formdata、xwwwformurlencoded 等格式，参数数组如下：

```
array (
	'Action' => 'GetConsistencyResult',
	'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
	'Timestamp' => 1462782282,
	'Nonce' => 123456789,
	'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
	'taskId' => '123'
)
```

### 4.3 返回示例
注意：示例中IP仅供参考。
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "begin_time": "2015-07-14 14:44:32",
        "end_time": "2015-07-14 14:58:45",
        "status": "done",
        "url": "http://www.test.com/1.jpg",
        "taskId": 123,
  		"result": [{
     		"url": "http://www.test.com/1.jpg",
     		"ip": "111.1.*.*",
     		"isp": "浙江移动",
     		"status_code": 200,
     		"md5_value": "93fe53ff45072e87407665e5a2b917f8",
     		"rcv_len": 594,
     		"file_len": 594,
     		"update_time": "2015-03-01 23:27:01"},
      		...
        	]
    	}
}
```


