More APIs will be available for international CDN in the future. 

## 1. Statistics Query

| API      | Action Name                              | Description                                     |
| --------- | ---------------------------------------- | -------------------------------- |
| Query consumption details    | [GetCdnOverseaStat](https://cloud.tencent.com/doc/api/445/6394) | Query consumption details by domains and dates.                |
| Query number of requests     | [GetCdnOverseaPv](https://cloud.tencent.com/doc/api/445/6395) | Query number of requests by domains and dates.                |
| Query status code details    | [GetCdnOverseaStat](https://cloud.tencent.com/doc/api/445/6396) | Query details of status codes (including 2XX, 3XX, 4XX, 5XX) by domains and dates.                |
| Details of consumption by regional ISPs | [GetCdnOverseaProvIspDetailStat](https://cloud.tencent.com/doc/api/445/7192) | Get details of bandwidth, number of requests and traffic consumption by domains, dates and ISPs.     |

## 2. Purging and Prefetching

| API      | Action Name                              | Description                                     |
| -------- | ---------------------------------------- | ---------------------------------------- |
| Purge Overseas URL | [RefreshCdnOverSeaUrl](https://cloud.tencent.com/doc/api/445/6709) | Delete a resource from the overseas node based on the submitted resource URL (multiple URLs are allowed). If any user accesses the resource following the deletion, the request will be directly sent to origin server for the latest content. |
| Query overseas purge log    | [GetCdnOverseaRefreshLog](https://cloud.tencent.com/doc/api/445/6710)| Query the overseas purge log based on the information entered by user, such as time range and URL. |
| Prefetch overseas URL | [CdnOverseaPushser](https://cloud.tencent.com/doc/api/445/6711) | Cache a resource on the overseas node based on the submitted resource URL (multiple URLs are allowed). If any user accesses the resource following the caching, he or she will acquire the resource directly from the overseas node. |
| Query overseas prefetch log    | [GetCdnOverseaPushLogs](https://cloud.tencent.com/doc/api/445/6712)| Query the overseas prefetch log based on the information entered by user, such as time range and URLs. |


