## 1. 接口描述

本接口（GetOvIdMapping）用于查询地区编码与国家或地区的映射关系表。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

[调用Demo](https://cloud.tencent.com/document/product/228/1734)

## 2. 输入参数

本接口调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为GetOvIdMapping。

## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Array  | 各个洲的结果数据，详细说明见下文                             |

#### data 字段说明

| 参数名称  | 类型   | 描述                |
| -------- | ------ | ------------------- |
| name     | String | 洲名称 |
| provs    | String | ID与国家或地区的映射关系|



**注意事项**：

- 未在上述文档中说明的字段为 **无效字段**，可直接忽略。

## 4. 示例

### 4.1 输入示例

> 无

### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=GetOvIdMapping
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462434006
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXX
```

### 4.3 POST 请求

POST 请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'GetOvIdMapping',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
)
```

### 4.4 返回结果示例

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": [
        {
            "name": "大洋洲",
            "provs": {
                "1": "澳大利亚",
                "1036": "新西兰",
                "-10": "大洋洲其它"
            }
        },
        {
            "name": "欧洲",
            "provs": {
                "192": "法国",
                "207": "英国",
                "208": "瑞典",
                "209": "德国",
                "213": "意大利",
                "214": "西班牙",
                "397": "乌克兰",
                "398": "俄罗斯",
                "428": "葡萄牙",
                "443": "希腊",
                "529": "丹麦",
                "578": "挪威",
                "707": "瑞士",
                "714": "荷兰",
                "717": "罗马尼亚",
                "725": "匈牙利",
                "734": "奥地利",
                "770": "芬兰",
                "773": "比利时",
                "837": "波兰",
                "896": "爱尔兰",
                "971": "卢森堡",
                "1255": "冰岛",
                "-12": "欧洲其它"
            }
        },
        {
            "name": "非洲",
            "provs": {
                "1559": "南非",
                "1567": "埃及",
                "-11": "非洲其它"
            }
        },
        {
            "name": "北美洲",
            "provs": {
                "669": "美国",
                "2626": "墨西哥",
                "3839": "加拿大",
                "-13": "北美洲其它"
            }
        },
        {
            "name": "亚洲",
            "provs": {
                "2": "中国大陆",
                "57": "泰国",
                "73": "印度",
                "144": "越南",
                "386": "阿联酋",
                "391": "以色列",
                "471": "沙特阿拉伯",
                "565": "伊朗",
                "1044": "日本",
                "1158": "柬埔寨",
                "1159": "澳门",
                "1176": "新加坡",
                "1186": "蒙古",
                "1195": "印度尼西亚",
                "1200": "香港",
                "2026": "台湾",
                "2083": "缅甸",
                "2435": "老挝",
                "2488": "东帝汶",
                "2588": "菲律宾",
                "3379": "韩国",
                "3701": "马来西亚",
                "-15": "亚洲其它"
            }
        },
        {
            "name": "南美洲",
            "provs": {
                "1129": "阿根廷",
                "1543": "智利",
                "2150": "巴拿马",
                "2175": "哥伦比亚",
                "2609": "委内瑞拉",
                "2612": "玻利维亚",
                "2613": "巴西",
                "2661": "秘鲁",
                "-14": "南美洲其它"
            }
        },
        {
            "name": "其他",
            "provs": {
                "-2": "海外其它"
            }
        }
    ]
}
```