API request parameters are specific to each API. This means that different APIs support different API request parameters. The first letter of each API request parameter is lowercase so that the parameter can be differentiated from common request parameters.

Take [Query Consumption Details](https://cloud.tencent.com/doc/api/445/6394) (GetCdnOverseaStat) as an example, the API request parameters supported by it are as follows:

| Parameter Name    | Required | Type    | Description                    |
| ------ | ---- | ---- | ----------- |
| date | Yes    | String | The date for the data to be queried. The format is yyyy-mm-dd. For example: 2016-09-22|
| host  | Yes    | String | The domain to be queried. |

The description of each field is as follows:
<table class="t">
<tbody>
<td> Parameter Name
</td>
<td> The name of request parameter supported by the API, which the user can use as an API request parameter when using this API.
</td>
<tr>
<td> Required
</td><td> Indicate whether this parameter is required. "Yes" means that the parameter is mandatory for the API; "No" means that the parameter is not mandatory. If all the API request parameters are not mandatory, the API call can be achieved simply by using common request parameters.
</td></tr>
<tr>
<td> Type
</td><td> The data type of the API parameter.
</td></tr>
<tr>
<td> Description
</td><td> A brief description of the API request parameter.
</td></tr>
</tbody></table>

Assuming that the user wants to query the overseas consumption details of www.test.com on Sept. 22, 2016, the request link may be as follows:
```
https://cdn.api.qcloud.com/v2/index.php?
&<Common request parameters>
&date=2016-09-22
&host=www.test.com
```
A complete request needs two types of request parameters: common request parameters and API request parameters. Only API request parameters are listed above. For information on common request parameters, refer to [Common Request Parameters](https://cloud.tencent.com/document/api/228/4473) section.



