## 1. 接口描述

本接口（GetCdnOverseaRefreshLog）用于查询指定时间的海外CDN刷新日志、刷新次数，可指定URL、域名查询。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

**接口说明：**

- 支持指定日期、指定URL、指定域名查询；
- 暂时仅支持30天内某一天提交的刷新任务的执行状态。

[调用Demo](https://www.qcloud.com/document/product/228/1734)

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://www.qcloud.com/doc/api/231/4473)页面。其中，此接口的Action字段为GetCdnOverseaRefreshLog。

| 参数名称 | 是否必选 | 类型     | 描述              |
| ---- | ---- | ------ | --------------- |
| date | 是    | String | 查询日期（日）         |
| url  | 否    | String | 需要查询的刷新URL（可为空） |
| host | 否    | String | 需要查询的刷新域名（可为空）  |



## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://www.qcloud.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Array  | 返回结果数据                                   |

#### data 字段说明

| 参数名称  | 类型    | 描述   |
| ----- | ----- | ---- |
| logs  | Array | 日志详情 |
| total | Int   | 刷新次数 |

#### logs 字段说明

| 参数名称       | 类型     | 描述                           |
| ---------- | ------ | ---------------------------- |
| id         | Int    | 编号                           |
| app_id     | Int    | 用户APP ID                     |
| project_id | Int    | 项目ID                         |
| host       | String | 域名                           |
| url        | String | 刷新时提交的URL                    |
| datetime   | String | 提交时间                         |
| status     | Int    | 刷新结果；1表示刷新中，2表示刷新成功，-1表示刷新失败 |



## 4. 示例

### 4.1 输入示例

> date: 20161027



### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=GetCdnOverseaRefreshLog
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462422547
&Nonce=12345678
&Signature=XXXXXXXXXXXXXXXXXXXXXXXXX
&date=20161027
```



### 4.3 POST 请求

POST请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'GetCdnOverseaRefreshLog',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
  'date' => '20161027',
)
```



### 4.4 返回结果示例

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
      	"total":1,
        "logs": [
            {
                "id": 7,
                "app_id": 1251007194,
                "project_id": 0,
                "host": "www.test.com",
                "url": "http://www.test.com/1.jpg",
                "datetime": "2016-10-27 19:30:29",
                "status": 2
            },
        ]
    }
}
```


