## 1. 接口描述

本接口（GetCdnOverseaPushLogs）用于查询已经提交的海外预热任务的执行状态。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

**接口说明：**

+ 支持指定日期、指定任务，指定URL的查询；
+ 暂时仅支持30天内某一天提交的预热任务的执行状态。


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为GetCdnOverseaPushLogs。

| 参数名称    | 是否必选 | 类型     | 描述                                       |
| ------- | ---- | ------ | ---------------------------------------- |
| date    | 是    | String | 查询指定提交日期的预热任务，格式为：2016-07-03             |
| type    | 是    | String | 查询的类型，type为url则按URL查询，为task则按任务查询        |
| keyword | 是    | String | 查询的关键字，当type为task，keyword对应task ID，当type为url，keyword指定某一个URL中部分字符串进行过滤查询 |

## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81) |
| message  | String | 模块错误信息描述，与接口相关                           |
| codeDesc | String | 英文错误信息，或业务侧错误码                           |
| data     | Array  | 返回结果数据，具体说明见下文                           |

#### data 字段说明

当type为task，用户按预热任务查询时：

| 参数名称             | 类型     | 描述                                       |
| ---------------- | ------ | ---------------------------------------- |
| task_id          | String | 查询预热任务的taskid                            |
| app_id           | Int    | 用户APP ID                                 |
| urls             | Array  | 预热任务中的URL列表                              |
| status           | String | 预热任务的状态，按任务查询时status为pending时代表预热任务正在等待处理，为in-process时代表预热任务正在处理，为done时代表预热任务已完成 |
| task_create_time | String | 预热任务生成时间                                 |

当type为url，用户按URL查询时

| 参数名称             | 类型     | 描述                                       |
| ---------------- | ------ | ---------------------------------------- |
| task_id          | String | 查询的预热URL所属预热任务的taskid                    |
| app_id           | Int    | 用户APP ID                                 |
| url              | String | 预热URL                                    |
| status           | String | 预热URL的状态，按URL查询时，status为in-process是表示预热中，为done是表示预热完成 |
| task_create_time | String | 预热URL所属预热任务的生成时间                         |

****注意事项：****当使用按URL方式查询时，若该url所属任务处在等待处理状态中，将返回空。



## 4. 示例

### 4.1 输入示例

> date: 2016-10-27
>
> type=task
>
> keyword=20161027-5811b70c7cbff

### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=GetCdnOverseaPushLogs
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462422547
&Nonce=12345678
&Signature=XXXXXXXXXXXXXXXXXXXXXXXXX
&date=2016-10-27
&type=task
&keyword=20161027-5811b70c7cbff
```

### 4.3 POST 请求

POST请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'GetCdnOverseaPushLogs',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
  'date' => '2016-10-27',
  'type' => 'task',
  'keyword' => '20161027-5811b70c7cbff'
)
```

### 4.4 返回结果示例

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": [
        {
            "app_id": 12345678,
            "urls": [
                "http://www.test.com/1.jpg"
            ],
            "status": "done",
            "task_id": "20161027-5811b70c7cbff",
            "task_create_time": "2016-10-27 16:13:00"
        }
    ]
}
```

