## 1. 接口描述

本接口（GetFlushQuota）用于查询用户的资源刷新配额，包括URL刷新配额，目录刷新配额和资源预热配额等信息。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

[调用Demo](https://cloud.tencent.com/document/product/228/1734)

## 2. 输入参数

本接口调用时只需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为GetFlushQuota。

## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Array  | 结果数据，详细说明见下文                             |

#### data 字段说明

| 参数名称      | 类型   | 描述                |
| ------------ | ----- | ------------------- |
| app_id       | Int   | 腾讯云服务账号[点击查看](http://console.cloud.tencent.com/cloudAccount)，与UIN对应 |
| ov_url_flush | Array | 海外URL刷新配额      |
| ov_dir_flush | Array | 海外目录刷新配额      |
| ov_url_push  | Array | 海外URL预热配额      |

#### ov\_url\_flush 字段说明

| 参数名称         | 类型     | 描述                                       |
| ------------ | ------ | ---------------------------------------- |
| batch        | Int    | 用户每次刷新能提交的URL数量限制              |
| total        | Int    | 用户每天的URL刷新数量配额                   |
| available    | Int    | 用户当前剩余的今日URL刷新数量配额            |

#### ov\_dir\_flush 字段说明

| 参数名称         | 类型     | 描述                                       |
| ------------ | ------ | ---------------------------------------- |
| batch        | Int    | 用户每次刷新能提交的目录数量限制             |
| total        | Int    | 用户每天的目录刷新数量配额                  |
| available    | Int    | 用户当前剩余的今日目录刷新数量配额           |

#### ov\_url\_push 字段说明

| 参数名称         | 类型     | 描述                                       |
| ------------ | ------ | ---------------------------------------- |
| batch        | Int    | 用户每次预热能提交的URL数量限制              |
| total        | Int    | 用户每天的URL预热数量配额                   |
| available    | Int    | 用户当前剩余的今日URL预热数量配额            |


**注意事项**：

- 未在上述文档中说明的字段为 **无效字段**，可直接忽略。

## 4. 示例

### 4.1 输入示例

> 无

### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=GetFlushQuota
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462434006
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXX
```

### 4.3 POST 请求

POST 请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'GetFlushQuota',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
)
```

### 4.4 返回结果示例

#### 查询成功

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "app_id": 123456789,
        "ov_url_flush": {
            "batch": 1000,
            "total": 10000,
            "available": 10000
        },
        "ov_dir_flush": {
            "batch": 20,
            "total": 100,
            "available": 100
        },
        "ov_url_push": {
            "batch": 20,
            "total": 1000,
            "available": 1000
        }
    }
}
```

#### 查询失败

```json
{
    "code": 4100,
    "message": "鉴权失败，请参考文档中鉴权部分。",
    "codeDesc": "AuthFailure"
}
```