## 1. 接口描述

本接口（RefreshCdnOverSeaDir）用于将节点上指定资源目录下的内容设置为过期。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

1) 使用本接口刷新的域名需要已经接入海外CDN；

2) 每一个用户每天可以目录刷新的限额为100条；

3) 每一次最多可以提交20条。

[调用Demo](https://cloud.tencent.com/document/product/228/1734)

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为RefreshCdnOverSeaDir。

| 参数名称   | 是否必选 | 类型     | 描述                  |
| ------ | ---- | ------ | ------------------- |
| dirs.n | 是    | String | 需要刷新的目录，支持刷新一个或多个目录 |



#### 注意事项

+ 支持一个或多个目录刷新：
    ```
    dirs.0=http://www.test.com/abc/&dirs.1=http://www.test.com/def/
    ```

+ 注意URL必须以 'http://' 或 'https://' 开头，否则会报错。


## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Array  | 详细说明见下文                                  |

**data字段说明：**

| 参数名称  | 类型   | 描述           |
| ----- | ---- | ------------ |
| count | Int  | 此次刷新提交的URL数目 |



## 4. 示例

### 4.1 输入示例

> dirs.0: http://www.test.com/test/



### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=RefreshCdnOverSeaDir
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462521628
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
&dirs.0=https%3A%2F%2Fwww.test.com%2Fabc
```



### 4.3 POST 请求

POST请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'RefreshCdnOverSeaDir',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462865178,
  'Nonce' => 279749933,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'dirs.0' => 'http://www.test.com/test/'
)
```





### 4.4 返回结果示例

#### 刷新提交成功

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
    "data": {
        "count": 1
    }
}
```

#### 刷新提交失败

```json
{
    "code": 4000,
    "message": "(9110)没有这个域名的信息 cdn no such host",
    "codeDesc": 9110
}
```
