## 1. 接口描述

本接口（GetOverseaOpList）用于查询用户对某个域名的历史操作记录清单。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

[调用Demo](https://cloud.tencent.com/document/product/228/1734)

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为GetOverseaOpList。

| 参数名称   | 是否必选 | 类型   | 描述                   |
| ------ | ---- | ---- | -------------------- |
| hostId | 是    | Int  | 海外CDN域名ID             |

## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Array  | 结果数据，详细说明见下文                             |

#### 注意事项
- 默认返回最近100个任务操作记录。

#### data 字段说明

| 参数名称      | 类型   | 描述                |
| ------------ | ------ | ------------------- |
| task_id      | String | 操作任务ID |
| host_id      | Int    | 海外域名ID      |
| ckey         | String | 操作的对象      |
| from_value   | String | 操作之前的值      |
| to_value     | String | 操作之后的值      |
| status       | String | 任务执行状态      |
| create_time  | String | 任务创建时间      |
| status_msg   | String | 任务执行状态描述信息      |
| msg          | String | 任务描述信息      |


**注意事项**：

- 未在上述文档中说明的字段为 **无效字段**，可直接忽略。

## 4. 示例

### 4.1 输入示例

> hostId:11111111

### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=GetOverseaOpList
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462434006
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXX
&hostId=11111111
```

### 4.3 POST 请求

POST 请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'GetOverseaOpList',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
  'hostId' => '11111111',
)
```

### 4.4 返回结果示例

```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": [
        {
            "task_id": 8656,
            "host_id": 11111111,
            "ckey": "域名",
            "from_value": "",
            "to_value": "add",
            "status": "success",
            "create_time": "2017-08-08 11:26:32",
            "status_msg": "成功",
            "msg": "域名接入"
        }
    ]
}
```