## 1. 接口描述

本接口（CheckOvHost）用于查询某个域名是否已经接入腾讯云CDN服务。如果未接入，返回该域名的顶级域名。

接口请求域名：<font style="color:red">cdn.api.qcloud.com</font>

[调用Demo](https://cloud.tencent.com/document/product/228/1734)

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/231/4473)页面。其中，此接口的Action字段为CheckOvHost。

| 参数名称   | 是否必选 | 类型   | 描述                   |
| ------ | ---- | ---- | -------------------- |
| host | 是    | String  | 海外CDN域名             |

## 3. 输出参数

| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/231/5078#1.-.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 |
| message  | String | 模块错误信息描述，与接口相关。                          |
| codeDesc | String | 英文错误信息，或业务侧错误码。                          |
| data     | Array  | 结果数据，详细说明见下文                             |

#### data 字段说明

| 参数名称      | 类型   | 描述                |
| ------------ | ------ | ------------------- |
| host         | String | 查询的域名 |
| domain       | String | 域名对应的顶级域名      |


**注意事项**：

- 未在上述文档中说明的字段为 **无效字段**，可直接忽略。

## 4. 示例

### 4.1 输入示例

> host:www.test.com

### 4.2 GET 请求

GET 请求需要将所有参数都加在 URL 后：

```
https://cdn.api.qcloud.com/v2/index.php?
Action=CheckOvHost
&SecretId=XXXXXXXXXXXXXXXXXXXXXXXXXXX
&Timestamp=1462434006
&Nonce=123456789
&Signature=XXXXXXXXXXXXXXXXXXXXX
&host=www.test.com
```

### 4.3 POST 请求

POST 请求时，参数填充在 HTTP Request-body 中，请求地址：

```
https://cdn.api.qcloud.com/v2/index.php
```

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
  'Action' => 'CheckOvHost',
  'SecretId' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
  'Timestamp' => 1462782282,
  'Nonce' => 123456789,
  'Signature' => 'XXXXXXXXXXXXXXXXXXXXXXXX',
  'host' => 'www.test.com',
)
```

### 4.4 返回结果示例

####域名未接入的结果示例
```json
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "host": "www.test.com",
        "domain": "test.com"
    }
}
```

###域名已被接入的结果示例
```json
{
    "code": 4000,
    "message": "(9138)域名已经被他人添加",
    "codeDesc": "UserRequestError"
}
```