
## 功能描述
使用该 API 对腾讯云对象存储中某个文件进行删除。删除文件须确认该目录下的文件已存在。

## 请求
语法示例：
```
POST /files/v2/<APPID>/<BucketName>/<DirName>/  HTTP/1.1
Host: <Region>.file.myqcloud.com
Authorization: <OnceSignature>
Content-Length: <ContentLength>
```
> Authorization: &lt;OnceSignature&gt; 单次有效签名（详细参见 [签名算法](https://cloud.tencent.com/document/product/436/6054) 章节）
> Content-Length: &lt;ContentLength&gt; RFC 2616 中定义的 HTTP 请求内容长度（字节）


### 请求参数
该请求不带请求参数。<style  rel="stylesheet"> table th:nth-of-type(1) { width: 180px; }</style>

### 请求体
该 API 接口请求的请求体具体节点内容为：
```
{
    "op": "delete"
}
```
具体内容描述如下：

|参数名称|	描述	|类型|	必选|
|---|---|---|---|
|op|	操作类型，填“delete”	|String	|是|

## 响应

### 响应体

该响应体返回为 **application/json** 数据，包含完整节点数据的内容展示如下：
```
 {
	"code":0,
	"message":"SUCCESS",
	"request_id":"NTk5YmZhNGFfMjQ4OGY3MGFfMWE1NF84Mg=="
}
```
具体的参数描述如下：

| 参数名称 | 描述     | 类型 |
|------|------|------|
| code     |服务端返回码，如果没有发生任何错误取值为**0**；如果发生错误该参数指称具体的错误码。COS 服务相关的错误码可以查看 [COS 错误码汇总](https://cloud.tencent.com/document/product/436/8432) |  Number   |
|request_id| 该请求的唯一标识 id |String  | 
| message  |服务端提示内容，如果发生错误该字段将详细描述发生错误的情况。  |  String | 

## 实际案例

### 请求
```
POST /files/v2/7319456/test777/test.txt HTTP/1.1
Host: tj.file.myqcloud.com
Authorization: XYFfi6Vso2e83izny5TJmFgG84hhPTczMTk0NTYmaz1BS0lEWmZiT0FvN2NsbGdQdkY5Y1hGckpEMGExSUN2Ujk4Sk0mZT0xNTA1OTU3Mzg2JnQ9MTUwMzM2NTM4NiZyPTQ3OTUwNTI2MSZmPSZiPXRlc3Q3Nzc=
Content-Length: 16
```

### 响应
```
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Content-Length: 82
Date: Tue, 22 Aug 2017 09:32:59 GMT
Server: tencent-cos
x-cos-request-id: NTk5YmZhNGFfMjQ4OGY3MGFfMWE1NF84Mg==

{"code":0,"message":"SUCCESS","request_id":"NTk5YmZhNGFfMjQ4OGY3MGFfMWE1NF84Mg=="}
```

