## 功能描述
使用该 API 对腾讯云对象存储中某个目录进行删除。删除目录前必须先清空目录下的文件。无法删除 Bucket。


## 请求
语法示例：
```
POST /files/v2/<APPID>/<BucketName>/<DirName>/  HTTP/1.1
Host: <Region>.file.myqcloud.com
Authorization: <OnceSignature>
Content-Type: application/json
Content-Length: <ContentLength>
```

> Authorization: &lt;OnceSignature&gt; 单次有效签名（详细参见 [签名算法](https://cloud.tencent.com/document/product/436/6054) 章节）
> Content-Length: &lt;ContentLength&gt; RFC 2616 中定义的 HTTP 请求内容长度（字节）

### 请求体
该 API 接口请求的请求体具体节点内容为：<style  rel="stylesheet"> table th:nth-of-type(1) { width: 180px; }</style>

```
{"op": "delete"}
```
具体内容描述如下：

|参数名称|	描述	|类型|	必选|
|---|---|---|---|
|op|	操作类型，填“delete”	|String	|是|

## 响应

### 响应体

该响应体返回为 **application/json** 数据，包含完整节点数据的内容展示如下：
```
 {
    "code": 0, 
    "message": "SUCCESS"
}
```
具体的参数描述如下：

|参数名称|描述|类型|
|---|-- |--|
| code     |服务端返回码，如果没有发生任何错误取值为**0**；如果发生错误该参数指称具体的错误码。COS服务相关的错误码可以查看 [COS 错误码汇总](https://cloud.tencent.com/document/product/436/8432) |  Number   | 
| message  |服务端提示内容，如果发生错误该字段将详细描述发生错误的情况。  |  String |   


## 实际案例

### 请求
```
POST /files/v2/10055004/accesslog/testfolder/ HTTP/1.1
Host: sh.file.myqcloud.com
Authorization: JYv1bYoo9SdiJSBMxZYveGsB001hPTEwMDU1MDA0Jms9QUtJRHpuOHd3S3VYanhpeFFBa1JCQzJEUlhCdFBkN0NybEpRJmU9MCZ0PTE0NzI2MzkwNzEmcj03ODgwMTAxNTQmZj0vMTAwNTUwMDQvYWNjZXNzbG9nL3Rlc3Rmb2xkZXIvJmI9YWNjZXNzbG9n
Content-Type: application/json
Content-Length: 15

{
    "op": "delete"
}
```

### 响应
```
HTTP/1.1 200 OK
Content-Length': 616
Content-Type: application/json; charset=utf-8
Server: tencent-cos
Connection: keep-alive
Date: Tue, 22 Aug 2017 07:35:36 GMT 
x-cos-request-id: NTk5YmRlYzhfMmFhYzM1MGFfNzcwNF9mNTU0OQ==
		
{
    "code": 0, 
    "message": "SUCCESS"
}
```

