## 功能描述
使用该 API 对腾讯云对象存储中某个文件进行进移动或重命名操作。“请求地址”中的参数为源文件的位置，“请求内容”中的参数 dest_fileid 指明移动至的目标路径（以及新的文件名）。使用该API 操作需确认该文件已存在，且目标目录也已存在。否则移动文件操作失败。

>**注意：**
>当移动文件 A 至目标目录时，若目标目录下存在与 A 同名的文件，则请求中的 to_over_write 将决定是否覆盖该同名文件。若选择覆盖，则移动操作成功，若选择不覆盖，则移动操作失败。

## 请求
语法示例：
```
POST /files/v2/7319456/test777/sevenyou_json2.txt?to_over_write=0&dest_fileid=sevenyou_dest_2.txt&op=move  HTTP/1.1
Host: <Region>.file.myqcloud.com
Content-Type: multipart/form-data
Authorization: <OnceSignature>
Content-Length: <ContentLength>
```
> Authorization: &lt;OnceSignature&gt; 单次有效签名（详细参见 [签名算法](https://cloud.tencent.com/document/product/436/6054) 章节）
> Content-Length: &lt;ContentLength&gt; RFC 2616 中定义的 HTTP 请求内容长度（字节）



### 请求参数
该请求带请求参数如下：<style  rel="stylesheet"> table th:nth-of-type(1) { width: 180px; }</style>

|参数名称|描述|类型|必选|
|------|-------|-----|------|
|op|操作类型，填 “move”| String|是|
|dest_fileid|目标路径（不带路径则为当前路径下，带路径则会移动到携带指定的路径下）| String|是|
|to_over_write|覆盖写入目标文件选项，有效值:0 不覆盖（若已存在重名文件，则不做覆盖，返回“移动失败”）1 覆盖。默认值为 0 不覆盖。| Number |否|
### 请求体
该 API 接口请求的请求体为空。

## 响应

### 响应体

该响应体返回为 **application/json** 数据，包含完整节点数据的内容展示如下：
```
{
	"code":0,
	"message":"SUCCESS",
	"request_id":"NTlhMDA1ZWNfOGViMjM1MGFfNDQxN18xMmU3ODQ=="
}
```
具体的参数描述如下：

|参数名称|描述|类型|
|---|-- |--|
| code     |服务端返回码，如果没有发生任何错误取值为**0**；如果发生错误改参数指称具体的错误码。COS服务相关的错误码可以查看 [COS 错误码汇总](https://cloud.tencent.com/document/product/436/8432) |  Number   | 
| message  |服务端提示内容，如果发生错误改字段将详细描述发生错误的情况。  |  String | 
|request_id| 该请求的唯一标识 id |String  | 

## 实际案例

### 请求
```
POST /files/v2/7319456/test777/sevenyou_json2.txt?to_over_write=0&dest_fileid=sevenyou_dest_2.txt&op=move HTTP/1.1
Host: tj.file.myqcloud.com
Authorization: XYFfi6Vso2e83izny5TJmFgG84hhPTczMTk0NTYmaz1BS0lEWmZiT0FvN2NsbGdQdkY5Y1hGckpEMGExSUN2Ujk4Sk0mZT0xNTA1OTU3Mzg2JnQ9MTUwMzM2NTM4NiZyPTQ3OTUwNTI2MSZmPSZiPXRlc3Q3Nzc=
```

### 响应
```
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Content-Length: 86
Date: Tue, 22 Aug 2017 09:32:59 GMT
Server: tencent-cos
x-cos-request-id: NTk5YmZhNGFfMjQ4OGY3MGFfMWE1NF84Mg==
{"code":0,"message":"SUCCESS","request_id":"NTlhMDA1ZWNfOGViMjM1MGFfNDQxN18xMmU3ODQ=="}
```

