## 描述

使用 API 进行文件的删除操作。

前置条件：该文件已存在。

> <font color=red>**注意：对象一旦删除，不可恢复。**</font>

## 请求

### 请求语法

``` http
POST /files/v2/<appid>/<bucket_name>[/dir_name]/<file_name>  HTTP/1.1
Host: <Region>.file.myqcloud.com
Content-Type: application/json
Authorization: <once_signature>
```

说明：<箭头括号>表示 ***必须***  替换为有效值的变量，[英文方括号]表示可选的命令或参数。

### 请求内容

| **参数名称** | **必选** | **类型** | **描述**         |
| -------- | ------ | ------ | -------------- |
| op       | 是      | String | 操作类型，填”delete” |

## 返回

### 返回内容

| **参数名称** | **必选** | **类型** | **描述**  |
| -------- | ------ | ------ | ------- |
| code     | 是      | Int    | 服务端返回码  |
| message  | 是      | String | 服务端提示内容 |

## 示例

#### 请求

``` http
POST /files/v2/10055004/accesslog/testfolder/111.txt HTTP/1.1
Host: sh.file.myqcloud.com
Authorization: NvUbNZcimJ20OGI4tTVMX6GwGD5hPTEwMDU1MDA0Jms9QUtJRHpuOHd3S3VYanhpeFFBa1JCQzJEUlhCdFBkN0NybEpRJmU9MCZ0PTE0NzI2NDU4NTgmcj0yMzY2NjE2NDkmZj0vMTAwNTUwMDQvYWNjZXNzbG9nL3Rlc3Rmb2xkZXIvMTExLnR4dCZiPWFjY2Vzc2xvZw==
Content-Type: application/json
Content-Length: 15

{
    "op": "delete"
}
```

#### 返回

``` http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Content-Length: 30
Date: Wed Aug 31 20:17:38 2016
Server: tencent-cos

{
    "code": 0, 
    "message": "SUCCESS"
}
```
