## 描述

使用 API 进行文件的复制操作。“请求地址”中的参数为源文件的位置，“请求内容”中的参数 dest_fileid 指明复制至的目标路径（以及新的文件名）。

说明：当复制文件 A 至目标目录时，若目标目录下存在与 A 同名的文件，则请求中的 to_over_write 将决定是否覆盖该同名文件。若选择覆盖，则复制操作成功，若选择不覆盖，则复制操作失败。

前置条件：该文件已存在，且目标目录也已存在。

## 请求

### 请求语法

``` http
POST /files/v2/<appid>/<bucket_name>/[dir_name]/<file_name> HTTP/1.1
Host: <Region>.file.myqcloud.com
Content-Type: multipart/form-data
Authorization: <once_signature>
```

说明：<箭头括号>表示 ***必须***  替换为有效值的变量，[英文方括号]表示可选的命令或参数。

### 请求内容

| **参数名称**      | **必选** | **类型** | **描述**                                   |
| ------------- | ------ | ------ | ---------------------------------------- |
| op            | 是      | String | 操作类型，填”copy"                             |
| dest_fileid   | 是      | String | 目标路径（不带路径则为当前路径下，带路径则会复制到携带指定的路径下）       |
| to_over_write | 否      | Int    | 覆盖写入目标文件选项，有效值:<br />0 不覆盖（若已存在重名文件，则不做覆盖，返回“复制失败”）<br />1 覆盖<br />默认值为 0 不覆盖。 |

## 返回

### 返回内容

| **参数名称** | **必选** | **类型** | **描述**  |
| -------- | ------ | ------ | ------- |
| code     | 是      | Int    | 服务端返回码  |
| message  | 是      | String | 服务端提示内容 |

## 示例

#### 请求

``` http
POST /files/v2/251668577/rabbitliutest4x/rabbit.txt HTTP/1.1
Authorization:ksYXsEbCG1G9ELdP15bp3LH9WQthPTEyNTE2Njg1Nzcmaz1BS0lEV3RUQ0JZak01T3dMQjlDQXdBMVFiMlRoVFNVamZHRk8mZT0xNDc5Mzg4Njg3JnQ9MTQ3Njc5NjY4NyZyPTk1OTM4ODQwNSZmPSZiPXJhYmJpdGxpdXRlc3Q0eA==
Host: gz.file.myqcloud.com
Content-Length: 255
Content-Type: multipart/form-data; boundary=----------------------------e492f6322ce5

HTTP/1.1 100 Continue

------------------------------e492f6322ce5
Content-Disposition: form-data; name="op"

copy
------------------------------e492f6322ce5
Content-Disposition: form-data; name="dest_fileid"

rabbit.txt.bak
------------------------------e492f6322ce5--
```

#### 返回

``` http
HTTP/1.1 200 OK
Server: tencent-cos
Date: Thu, 15 Jun 2016 06:46:48 GMT
Content-Type: */*
Content-Length: 41

{
    "code": 0, 
    "message": "SUCCESS"
}
```
