## 描述

使用 API 在 Bucket 中创建一个名为 dir_name 的新目录。

前置条件：已经在控制台创建 Bucket 。

## 请求

### 请求语法

``` http
POST /files/v2/<appid>/<bucket_name>/<dir_name>/  HTTP/1.1
Host: <Region>.file.myqcloud.com	 
Content-Type: application/json
Authorization: <multi_effect_signature>
```

说明：<箭头括号>表示 ***必须***  替换为有效值的变量，[英文方括号]表示可选的命令或参数。

### 请求内容

| **参数名称** | **必选** | **类型** | **描述**         |
| -------- | ------ | ------ | -------------- |
| op       | 是      | String | 操作类型，填”create” |
| biz_attr       | 否      | String | 自定义属性 |

## 返回

### 返回内容

| **参数名称** | **必选** | **类型** | **描述**     |
| -------- | ------ | ------ | ---------- |
| code     | 是      | Int    | 服务端返回码，如果没有发生任何错误取值为**0**；如果发生错误改参数指称具体的错误码。COS服务相关的错误码可以查看[COS 错误码汇总](https://cloud.tencent.com/document/product/436/8432) |
| message  | 是      | String | 服务端提示内容，如果发生错误改字段将详细描述发生错误的情况。  |
| data     | 否      | 数据集合   | 服务端返回的应答数据，改内容代表了接口返回的具体的业务数据。 |

data 数据集合

| **参数名称**      | **必选** | **类型** | **描述**             |
| ------------- | :----- | ------ | ------------------ |
| ctime         | 是      | String | 创建时间，10 位 Unix 时间戳（UNIX时间是从协调世界时1970年1月1日0时0分0秒起的总秒数） |

## 示例

#### 请求

``` http
POST /files/v2/10055004/accesslog/testfolder/ HTTP/1.1
Host: sh.file.myqcloud.com
Authorization: 9s9dacKhIAAMwBOFpGFpPifhc91hPTEwMDU1MDA0Jms9QUtJRHpuOHd3S3VYanhpeFFBa1JCQzJEUlhCdFBkN0NybEpRJmU9MTQ3MjYzOTI1MSZ0PTE0NzI2MzkwNzEmcj0xMDcyMTgzMDAzJmY9JmI9YWNjZXNzbG9n
Content-Type: application/json
Content-Length: 29

{
    "op": "create", 
    "biz_attr": ""
}
```

#### 返回

``` http
HTTP/1.1 200 OK
Content-Length: 58
Date: Wed Aug 31 18:24:31 2016
Server: tencent-cos

{
    "code": 0, 
    "message": "SUCCESS", 
    "data": {
        "ctime": 1472639071
    }
}
```
