## 描述

使用 API 删除指定目录。

前置条件：必须已清空该目录下的所有文件或文件夹。

限制条件：目标目录不可填写『/』，无法删除根目录，即无法删除Bucket。

## 请求

### 请求语法

``` http
POST /files/v2/<appid>/<bucket_name>/<dir_name>/  HTTP/1.1
Host: <Region>.file.myqcloud.com 
Content-Type: application/json
Authorization: <once_signature>
```

说明：<箭头括号>表示 ***必须***  替换为有效值的变量，[英文方括号]表示可选的命令或参数。

### 请求内容

| **参数名称** | **必选** | **类型** | **描述**          |
| -------- | ------ | ------ | --------------- |
| op       | 是      | String | 操作类型，填 ”delete” |

## 返回

### 返回内容

| **参数名称** | **必选** | **类型** | **描述**  |
| -------- | ------ | ------ | ------- |
| code     | 是      | Int    | 服务端返回码  |
| message  | 是      | String | 服务端提示内容 |

## 示例

#### 请求

``` http
POST /files/v2/10055004/accesslog/testfolder/ HTTP/1.1
Host: sh.file.myqcloud.com
Authorization: JYv1bYoo9SdiJSBMxZYveGsB001hPTEwMDU1MDA0Jms9QUtJRHpuOHd3S3VYanhpeFFBa1JCQzJEUlhCdFBkN0NybEpRJmU9MCZ0PTE0NzI2MzkwNzEmcj03ODgwMTAxNTQmZj0vMTAwNTUwMDQvYWNjZXNzbG9nL3Rlc3Rmb2xkZXIvJmI9YWNjZXNzbG9n
Content-Type: application/json
Content-Length: 15

{
    "op": "delete"
}
```

#### 返回

``` http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Content-Length: 30
Date: Wed Aug 31 18:24:31 2016
Server: tencent-cos

{
    "code": 0, 
    "message": "SUCCESS"
}
```