## 描述

使用 API 查询目录的属性信息，包括：目录名、目录属性、创建时间、修改时间。

前置条件：该目录已存在。

## 请求

### 请求语法

``` http
GET /files/v2/<appid>/<bucket_name>/<dir_name>/?op=stat	HTTP/1.1
Host: <Region>.file.myqcloud.com
Authorization: <multi_effect_signature>
```

说明：<箭头括号>表示 ***必须***  替换为有效值的变量，[英文方括号]表示可选的命令或参数。

## 返回

### 返回内容

| **参数名称** | **必选** | **类型** | **描述**     |
| -------- | ------ | ------ | ---------- |
| code     | 是      | Int    | 服务端返回码     |
| message  | 是      | String | 服务端提示内容    |
| data     | 是      | 数据集合   | 服务器返回的应答数据 |

data 数据集合

| 参数名称     | 必选   | 类型     | 描述                 |
| -------- | ---- | ------ | ------------------ |
| biz_attr | 是    | String | 目录属性，业务端维护         |
| ctime    | 是    | String | 创建时间，10 位 Unix 时间戳 |
| mtime    | 是    | String | 修改时间，10 位 Unix 时间戳 |

## 示例

#### 请求

``` http
GET /files/v2/10055004/accesslog/testfolder/?op=stat HTTP/1.1
Host: sh.file.myqcloud.com
Authorization: Lb6JYSxu9GXfRGQybwu2ofs1kOlhPTEwMDU1MDA0Jms9QUtJRHpuOHd3S3VYanhpeFFBa1JCQzJEUlhCdFBkN0NybEpRJmU9MTQ3MjYzOTI1MSZ0PTE0NzI2MzkwNzEmcj0xMzc2NzQ0MzAmZj0mYj1hY2Nlc3Nsb2c=
```

#### 返回

``` http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Content-Length: 91
Date: Wed Aug 31 18:24:31 2016
Server: tencent-cos

{
    "code": 0, 
    "message": "SUCCESS", 
    "data": {
        "biz_attr": "", 
        "ctime": 1472639071, 
        "mtime": 1472639071
    }
}
```