### 服务端 SDK 错误码

-1 指定的上传文件不存在

-2 网络请求失败（一般是用户主机和我们的服务无法连通）

-3 参数错误

-4 分片大小非法

### 下载状态码

-200  正常

-206 (部分内容) 服务器成功处理了部分 GET 请求

-403  鉴权错误或者命中了refer黑名单

-404 文件不存在

-405 请求方法不能被用于请求相应的资源。

-500 内部服务器错误

-6101 文件不存在

-45062 文件未上传完成

### 后端HTTP返回码

400 HTTP_BAD_REQUEST 请求不合法，包体格式错误

401 HTTP_UNAUTHORIZED 权限验证失败

403 HTTP_FORBIDDEN 鉴权信息不合法，禁止访问

413 HTTP_REQUEST_ENTITY_TOO_LARGE 文件大小超长

500 HTTP_INTERNAL_SERVER_ERROR 服务内部错误

503 HTTP_SERVICE_UNAVAILABLE 服务不可用

504 HTTP_GATEWAY_TIME_OUT 后端服务超时

599 HTTP_UNKOWN_INTERNAL_SERVER_ERROR 未知服务器内部错误

612 HTTP_FILE_NOTEXIST 查无此文件

631 HTTP_INVALID_APPID 非法的业务ID

### 业务返回码

_SUCCESS 0 成功

-9999 UNKOWN 未知错误

### PROXY 错误码

-99 ERROR_PROXY_GET_CONFIG proxy读取配置失败

-98 ERROR_PROXY_AUTH_INVOKE 调用签名服务失败

-97 ERROR_PROXY_AUTH_FAILED 非法签名

-96 ERROR_PROXY_AUTH_EXPIRED 签名过期

-95 ERROR_PROXY_NO_SESSION 消息缺少session信息

-94 ERROR_PROXY_WRONG_SESSION 携带错误session信息

-89 ERROR_PROXY_ROUTE_CMD proxy转发cmd服务失败

-88 ERROR_PROXY_ENCODE_CMD 编码cmd服务消息失败

-87 ERROR_PROXY_DECODE_CMD 解析cmd服务消息失败

-86 ERROR_PROXY_ROUTE_PROCESS proxy转发process服务失败

-85 ERROR_PROXY_DECODE_PROCESS_RSP 解析process服务应答失败

-84 ERROR_PROXY_GET_PROCESS_L5 获取processL5失败

-83 ERROR_PROXY_AUTH_UNPACK 签名服务解包失败

-82 ERROR_PROXY_AUTH_APPID_NOEXIST 不存在此appid

-81 ERROR_PROXY_AUTH_SIGN_EMPTY 签名为空

-80 ERROR_PROXY_INVALID_APPID 非法的业务ID

-79 ERROR_PROXY_AUTH_SECRETID_NOEXIST secretid不存在

-78 ERROR_PROXY_INVALID_PROTOCOL SDK协议不匹配,请升级

-77 ERROR_PROXY_AUTH_REPLAY_ATTACH 单次性签名已不可用

-76 ERROR_PROXY_AUTH_ONCESIGN_NOFILEID 单次签名没有url

-75 ERROR_PROXY_AUTH_UNSUPPORTED_OP 不支持此操作

-74 ERROR_PROXY_AUTH_MULTISIGN_EXPIREDEMPTY 多次签名-过期时间为0

-73 ERROR_PROXY_AUTH_ONCESIGN_EXPIREDNOTEMPTY 单次签名-过期时间不为0

-72 ERROR_PROXY_APP_SIGN_FAILED 签名失败

-71 ERROR_PROXY_FREQ_CONTROL 操作太频繁,请稍后再试

-70 ERROR_PROXY_APPID_USERID_NOTMATCH 输入的appid与签名不匹配

-69 ERROR_PROXY_INVALID_PARAM_DOWNLOAD_URL_EMPTY 输入参数错误:download_urlempty

-68 ERROR_PROXY_ENCODE ip直通车打包失败

-67 ERROR_PROXY_DECODE ip直通车解包失败

-66 ERROR_PROXY_NETWORK 网络请求失败

-65 ERROR_PROXY_CONTINUE_TRANSFER_WITH_DATA 断点续传不支持携带数据包

-64 ERROR_PROXY_FORBID_APPID 该业务已经被屏蔽

-63 ERROR_PROXY_FILEID_NOTMATCH fileid与签名不匹配

-62 ERROR_PROXY_AUTH_APPID appid与secretid不匹配

-61 ERROR_PROXY_SIGN_BUCKET_NOTMATCH bucket与签名中的bucket不匹配

-61 ERROR_PROXY_INVALID_CMD_REQ 非法的CMD请求

-60 ERROR_PROXY_AUTH_INVALID_TOKEN 非法token值

### CMD 错误码

-199 ERROR_CMD_FILE_MOVE_ERROR 文件移动失败

-198 ERROR_CMD_REDIRECT_ERROR 重定向错误

-197 ERROR_CMD_FILE_NOTEXIST 查无此文件

-196 ERROR_CMD_BACKEND_NETWORK 网络请求失败

-195 ERROR_CMD_BACKEND_RSP_DECODE 后端解包失败

-194 ERROR_CMD_BACKEND_REQ_ENCODE 后端打包失败

-193 ERROR_CMD_RSP_ENCODE 返回包打包失败

-192 ERROR_CMD_REQ_DECODE 请求包解析失败

-191 ERROR_CMD_URL_PARAMS_NOTMATCH url参数解析不匹配

-190 ERROR_CMD_FILE_DEL_ERROR 文件删除失败

-189 ERROR_CMD_INVALID_PARAM_DOWNLOAD_URL_EMPTY 输入参数错误:download_urlempty

-187 ERROR_CMD_URL_PARSE_ERROR 从url中解析参数失败

-186 ERROR_CMD_VIDEO_MOVE 暂不支持视频文件复制

-185 ERROR_CMD_PRE_PROCESS 业务预处理失败

-184 ERROR_CMD_POST_PROCESS 业务后处理失败

-183 ERROR_CMD_GET_ROUTE 获取路由失败

-182 ERROR_CMD_PARAM_INVALID 参数检验失败

-181 ERROR_CMD_COS_ERROR 存储后端错误

-180 ERROR_CMD_COS_INVALID_PATH 非法路径

-179 ERROR_CMD_COS_INVALID_MOD_FLAG 修改标志非法

-178 ERROR_CMD_COS_PATH_CONFLICT 路径冲突

-177 ERROR_CMD_COS_FILE_EXIST 文件已存在

-176 ERROR_CMD_COS_BUCKET_EXIST Bucket已存在

-175 ERROR_CMD_COS_FILE_SIZE_NOT_EQU 文件大小不一致

-174 ERROR_CMD_COS_SHA_NOT_EQU 文件SHA不一致

-173 ERROR_CMD_COS_DIR_NOT_EMPTY 目录非空

-172 ERROR_CMD_COS_BUCKET_NUM_LIMIT Bucket数量限制

-171 ERROR_CMD_COS_INVALID_APP_TYPE AppType非法

-170 ERROR_CMD_COS_INVALID_LIST_NUM LIST数量非法

-169 ERROR_CMD_COS_INVALID_QUERY_FLAG 查询标记非法

-168 ERROR_CMD_COS_INVALID_SHA 非法SHA

-167 ERROR_CMD_COS_INVALID_CNAME 非法的CNAME

-166 ERROR_CMD_COS_INDEX_ERROR 索引不存在

-165 ERROR_CMD_COS_MAX_NUM 单次拉取目录最大支持199

-164 ERROR_CMD_PARAM_PATH_EMPTY path为空

-163 ERROR_CMD_PARAM_PATH_ELEMENT_MISSING path字段缺少元素

-162 ERROR_CMD_PARAM_PATH_ELEMENT_NOT_MATCH path字段元素不匹配

-161 ERROR_CMD_PARAM_PATH_DIR_MISSING_SLASH 目录path字段缺少slash结尾

-160 ERROR_CMD_PARAM_PAHT_FILE_SURPLUS_SLASH 文件path多余slash结尾

-159 ERROR_CMD_PARAM_CNAME_ERROR cname数量必须小于等于10

-158 ERROR_CMD_PARAM_AUTH_TYPE 鉴权类别错误//鉴权类别错误

-157 ERROR_CMD_PARAM_MIN_NUM 单次拉取条目最小为1//DirListReq中拉取数据条数

-156 ERROR_CMD_INVALID_VIDEO_NAME 非法的视频名

-155 ERROR_CMD_INVALID_FORMAT 非法视频FORMAT

-154 ERR_CMD_APP_VIDEO_NOMATCH 文件BUCKET中设置视频参数

-153 ERR_CMD_INVALID_VIDEO_APP 非法的视频APP

-152 ERR_CMD_COS_TIMEOUT 存储后端超时

-151 ERROR_CMD_PARAM_REFER_ERROR refer数量必须小于等于10

-150 ERROR_CMD_PARAM_SOURCE_DOMAIN_EMPTY 创建bucket时设置的回源路径不能为空

-149 ERROR_CMD_INVALID_REFER refer中含有非法字符

-148 ERROR_CMD_INVALID_CNAME cname中含有非法字符

-147 ERROR_CMD_NOT_UTF8_ENCODING 参数含非utf8编码

-146 ERROR_CMD_INVALID_HOST_NAME 回源地址不合法

-145 ERROR_CMD_INVALID_COVER 是否需要封面参数不合法

-144 ERROR_CMD_INDEX_NO_EXIST 索引不存在

-143 ERROR_CMD_INDEX_ERROR 索引错误

### 文件缓存的错误码

-300 ERROR_PROCESS_OVERLOAD 服务过载

-299 ERROR_PROCESS_UNKNOWN_CMD 命令字未知

-298 ERROR_PROCESS_REQ2MSG 解包失败

-297 ERROR_PROCESS_FRAME 框架handleprocess错误

-296 2RSP 打包失败

-295 ERROR_PROCESS_WRITEFILE 文件数据异常

-294 ERROR_PROCESS_READFILE 文件数据异常

-293 ERROR_PROCESS_NOTIFY 通知插件失败

-292 ERROR_PROCESS_CREATEFILE 文件缓存服务器错误

-291 ERROR_PROCESS_ENCODE_SESSION 编码session失败

-290 ERROR_PROCESS_OFFSET 无效的session

-289 ERROR_PROCESS_DENY 插件拒绝上传

-288 ERROR_PROCESS_ENCODE process打包失败

-287 ERROR_PROCESS_DECODE process解包失败

-286 ERROR_PROCESS_DECODE_SESSION 解码session失败

-285 ERROR_PROCESS_FILE_TOO_LARGE 文件过大

-284 ERROR_PROCESS_WRONG_SLICE_SIZE 分片大小不一致

-283 ERROR_PROCESS_SLICE_TOO_SMALL 分片过小

-282 ERROR_PROCESS_ANALYZE 图片分析失败

### 文件插件错误码

-4000 ErrDecodeReq 请求体解包失败

-4001 ErrEncodeRsp 回包打包失败

-4002 ErrParamInvalid 请求参数错误

-4003 ErrNoSetErrCode 插件处理错误

-4004 ErrCosRspHeadCode 入库出错

-4005 ErrCosRspInvalidOffset 入库返回非法偏移

-4006 ErrCosRspInvalidHeadFlag 入库返回非法的头部标记

-4007 ErrTmemRspSsdError 获取TMEM配置错误

-4008 ErrParserShmError 解析共享内存TMEM配置错误

-4010 ErrCreateControlFile 创建控制文件错误

-4011 ErrReadControlFile 读取控制文件错误

-4012 ErrGetInputData 获取入库数据失败

-4013 ErrDecodeSession 解session失败

-4014 ErrQueryOffset 查询分片错误

-4015 ErrTheSameOffset 同一个offset多次返回

-4016 ErrNotSameSHA sha校验失败

-4017 ErrHttpSvr 文件入库错误

-4018 ErrSameFileUpload 相同文件已上传过

-4019 ErrOffsetToZero 入库失败，请重新上传

-4020 ErrParamInvalidCheckTypeShouldBeSHA 校验类型需要SHA

-4021 ErrParamInvalidSessionDecodeError 参数session解码失败

-4022 ErrParamInvalidFilePathInvalid 获取bucket路径失败

-4023 ErrParamInvalidCheckSumSizeInvalid 校验和大小错误

-4024 ErrOffGoBack 偏移量回退，请重试

-4025 ErrHttpTimeout 文件入库超时

-4026 ErrOffsetBackTooMuch 索引被删除或SHA不一致，请重新上传

-4027 ErrOffsetRedo 索引错误，请重新上传

### CGI 错误码

-5999 ERROR_CGI_PARAM 参数错误

-5998 ERROR_CGI_AUTHORIZATION 签名格式错误

-5997 ERROR_CGI_NETWORK 后端网络错误

-5996 ERROR_CGI_REQ_METHOD HTTP请求方法错误

-5995 ERROR_CGI_FILESIZE 文件大小错误

-5994 ERROR_CGI_URL_NOTMATCH url参数解析不匹配'

-5993 ERROR_CGI_FORM_ERR multipart/formdata参数错误

-5992 ERROR_CGI_REQ_PARAM 请求参数错误

-5991 ERROR_CGI_SLICE 分片过大

-5990 ERROR_CGI_MISSING_FILECONTENT 找不到filecontent

-5989 ERROR_CGI_UPLOAD_FAIL 上传失败

-5988 ERROR_CGI_INIT cgi初始化错误

-5987 ERROR_CGI_WUP_ENCODE wup编码失败

-5986 ERROR_CGI_WUP_DECODE wup解码失败

-5985 ERROR_CGI_NETWORK_L5 获取路由失败

-5984 ERROR_CGI_SHA_NOT_MATCH sha1不匹配

-5983 ERROR_CGI_WRONG_SESSION 错误的session

-5982 ERROR_CGI_SOCK_CREATE 建立连接错误

-5981 ERROR_CGI_SOCK_CONNECT 建立连接错误

-5980 ERROR_CGI_PARAM_MISSING_OP 缺少参数:op

-5979 ERROR_CGI_PARAM_MISSING_SHA 缺少参数:sha

-5978 ERROR_CGI_PDU_ENCODE pdu编码失败

-5977 ERROR_CGI_PDU_DECODE pdu解码失败

-5976 ERROR_CGI_REQ_PARAM_FLAG_NOTMATCH bucketflag与实际参数不一致

-5975 ERROR_CGI_JSON_PARSE_ERROR json解析失败

-5974 ERROR_CGI_VIDEO_FORMAT 视频码率错误

-5973 ERROR_CGI_CROSS_BUCKET_COPY 不允许跨存储空间复制

-5972 ERROR_CGI_UNSUPPORTED_METHOD 此方法不支持于当前版本

-5971 ERROR_CGI_PARAM_MISSING_FILESIZE 缺少参数:filesize

### OSS 错误码

-6999 ERROR_OSS_UNKNOWN 未知错误

-6998 ERROR_OSS_INVALID_PROTOCOL 协议错误

-6997 ERROR_OSS_INVALID_PARAM 参数错误

-6996 ERROR_OSS_FILESIZE 文件过大

-6995 ERROR_OSS_MKDIR 创建目录失败

-6994 ERROR_OSS_GZIP gzip压缩失败

-6993 ERROR_OSS_WRITE_FILE 写文件失败

-6992 ERROR_OSS_FILE_NOTEXIST 文件不存在

-6991 ERROR_OSS_READ_FILE 读文件失败

