## 描述

使用 API 进行文件的移动或重命名操作。“请求地址”中的参数为原文件的位置，“请求内容”中的参数 dest_fileid 指明了所要移动至的目标路径（以及新的文件名）。

说明：当移动文件 A 至目标目录时，若目标目录下存在与 A 同名的文件，则请求中的 to_over_write 将决定是否覆盖该同名文件。若选择覆盖，则移动操作成功，若选择不覆盖，则移动操作失败。

前置条件：该文件已存在，且目标目录也已存在。

## 请求

### 请求语法

``` http
POST /files/v1/<appid>/<bucket_name>[/dir_name]/<file_name> HTTP/1.1
Host: web.file.myqcloud.com
Content-Type: application/json
Authorization: <once_signature>
```

说明：<箭头括号>表示 ***必须***  替换为有效值的变量，[英文方括号]表示可选的命令或参数。

### 请求内容

| **参数名称**      | **必选** | **类型** | **描述**                                   |
| ------------- | ------ | ------ | ---------------------------------------- |
| op            | 是      | String | 操作类型，填”move"                             |
| dest_fileid   | 是      | String | 目标路径（不带路径则为当前路径下，带路径则会移动到携带指定的路径下）       |
| to_over_write | 否      | Int    | 覆盖写入目标文件选项，有效值:<br />0 不覆盖（若已存在重名文件，则不做覆盖，返回“移动失败”）<br />1 覆盖<br />默认值为 0 不覆盖。 |

## 返回

### 返回内容

| **参数名称** | **必选** | **类型** | **描述**  |
| -------- | ------ | ------ | ------- |
| code     | 是      | Int    | 服务端返回码  |
| message  | 是      | String | 服务端提示内容 |

## 示例

#### 请求

``` http
POST http://web.file.myqcloud.com/files/v1/10000202/jonnxu5/foldertest/test_upload.pptx  HTTP/1.1
Host: web.file.myqcloud.com
Content-Type: application/json
Content-Length: 72
Authorization: kGd7atRRqgIggDTbWreU9McRq/hhPTEwMDAwMjAyJms9QUtJRFBOUHVyNUIyN3FjdVJhakNFbXpLVjkzVTdrOFZjZXFXJmU9MCZ0PTE0NjYwNTk2MDgmcj0xMDA4NjU3NDgmZj0vMTAwMDAyMDIvam9ubnh1NS9zZGt0ZXN0L3Rlc3QudHh0JmI9am9ubnh1NQ==

{
    "op": "move", 
    "dest_fileid": "/foldertest/rename_test_upload.pptx", 
    "to_over_write": 1
}
```

#### 返回

``` http
HTTP/1.1 200 OK
Server: nginx
Date: Thu, 15 Jun 2016 06:46:48 GMT
Content-Type: */*
Content-Length: 41

{
    "code": 0, 
    "message": "SUCCESS"
}
```