## 描述

使用 API 在 Bucket 中创建一个名为 dir_name 的新目录。

前置条件：已经在控制台创建 Bucket 。

## 请求

### 请求语法

``` http
POST /files/v1/<appid>/<bucket_name>/<dir_name>/  HTTP/1.1
Host: web.file.myqcloud.com	 
Content-Type: application/json
Authorization: <multi_effect_signature>
```

说明：<箭头括号>表示 ***必须***  替换为有效值的变量，[英文方括号]表示可选的命令或参数。

### 请求内容

| **参数名称** | **必选** | **类型** | **描述**         |
| -------- | ------ | ------ | -------------- |
| op       | 是      | String | 操作类型，填”create” |

## 返回

### 返回内容

| **参数名称** | **必选** | **类型** | **描述**     |
| -------- | ------ | ------ | ---------- |
| code     | 是      | Int    | 服务端返回码     |
| message  | 是      | String | 服务端提示内容    |
| data     | 否      | 数据集合   | 服务端返回的应答数据 |

data 数据集合

| **参数名称**      | **必选** | **类型** | **描述**             |
| ------------- | :----- | ------ | ------------------ |
| ctime         | 是      | String | 创建时间，10 位 Unix 时间戳 |
| resource_path | 是      | String | 目录的路径              |

## 示例

#### 请求

``` http
POST /files/v1/10000202/buckettest/foldertest/  HTTP/1.1
Host: web.file.myqcloud.com
Content-Type: application/json
Content-Length: 15
Authorization: 1k2i3/EXIiTDirFg9DoKgWNHc4JhPTEwMDAwMjAyJms9QUtJRFBOUHVyNUIyN3FjdVJhakNFbXpLVjkzVTdrOFZjZXFXJmU9MTQ2NTg3NTU0OSZ0PTE0NjU4NzUzNjkmcj03MTI5NDYyMzQmZj0mYj1qb25ueHU1

{
    "op": "create"
}
```

#### 返回

``` http
HTTP/1.1 200 OK
Server: nginx
Date: Tue, 14 Jun 2016 03:36:12 GMT
Content-Length: 109

{
    "code": 0, 
    "message": "SUCCESS", 
    "data": {
        "ctime": "1465875372", 
        "resource_path": "/10000202/buckettest/foldertest/"
    }
}
```
