## 描述

使用 API 删除指定目录。

前置条件：必须已清空该目录下的所有文件或文件夹。

## 请求

### 请求语法

``` http
POST /files/v1/<appid>/<bucket_name>/<dir_name>/  HTTP/1.1
Host: web.file.myqcloud.com 
Content-Type: application/json
Authorization: <once_signature>
```

说明：<箭头括号>表示 ***必须***  替换为有效值的变量，[英文方括号]表示可选的命令或参数。

### 请求内容

| **参数名称** | **必选** | **类型** | **描述**          |
| -------- | ------ | ------ | --------------- |
| op       | 是      | String | 操作类型，填 ”delete” |

## 返回

### 返回内容

| **参数名称** | **必选** | **类型** | **描述**  |
| -------- | ------ | ------ | ------- |
| code     | 是      | Int    | 服务端返回码  |
| message  | 是      | String | 服务端提示内容 |

## 示例

#### 请求

``` http
POST http://web.file.myqcloud.com/files/v1/10000202/buckettest/test/  HTTP/1.1
Host: web.file.myqcloud.com
Content-Type: application/json
Content-Length: 15
Authorization: JCPOQg4NPJydgZlQoIKg0vFQeshhPTEwMDAwMjAyJms9QUtJRFBOUHVyNUIyN3FjdVJhakNFbXpLVjkzVTdrOFZjZXFXJmU9MCZ0PTE0NjU4Njk3OTcmcj0xMDYyMTc5MzE3JmY9LzEwMDAwMjAyL2pvbm54dTUvdGVzdC8mYj1qb25ueHU1

{
    "op": "delete"
}
```

#### 返回

``` http
HTTP/1.1 200 OK
Server: nginx
Date: Tue, 14 Jun 2016 02:03:17 GMT
Content-Type: /
Content-Length: 30

{
    "code": 0, 
    "message": "SUCCESS"
}
```