## 描述

使用 API 查询目录的属性信息，包括：目录名、目录属性、创建时间、修改时间。

前置条件：该目录已存在。

## 请求

### 请求语法

``` http
GET /files/v1/<appid>/<bucket_name>/<dir_name>/?op=stat	HTTP/1.1
Host: web.file.myqcloud.com
Authorization: <multi_effect_signature>
```

说明：<箭头括号>表示 ***必须***  替换为有效值的变量，[英文方括号]表示可选的命令或参数。

## 返回

### 返回内容

| **参数名称** | **必选** | **类型** | **描述**     |
| -------- | ------ | ------ | ---------- |
| code     | 是      | Int    | 服务端返回码     |
| message  | 是      | String | 服务端提示内容    |
| data     | 是      | 数据集合   | 服务器返回的应答数据 |

data 数据集合

| 参数名称           | 必选   | 类型     | 描述                 |
| -------------- | ---- | ------ | ------------------ |
| name           | 是    | String | 目录名                |
| biz_attr       | 是    | String | 目录属性，业务端维护         |
| ctime          | 是    | String | 创建时间，10 位 Unix 时间戳 |
| mtime          | 是    | String | 修改时间，10 位 Unix 时间戳 |
| custom_headers | 是    | JSON   | 用户自定义头部            |

## 示例

#### 请求

``` http
GET /files/v1/10000202/jonnxu5/foldertest/?op=stat HTTP/1.1
Host: web.file.myqcloud.com
Authorization: xXzhTDL8CxL2AUC9PCQnwYACBU9hPTEwMDAwMjAyJms9QUtJRFBOUHVyNUIyN3FjdVJhakNFbXpLVjkzVTdrOFZjZXFXJmU9MTQ2NTg3NzAyMCZ0PTE0NjU4NzY4NDAmcj0zNDc1NzUzMDcmZj0mYj1qb25ueHU1
```

#### 返回

``` http
HTTP/1.1 200 OK
Server: nginx
Date: Tue, 14 Jun 2016 04:00:40 GMT
Content-Type: /
Content-Length: 149

{
    "code": 0, 
    "message": "SUCCESS", 
    "data": {
        "biz_attr": "new attribute", 
        "ctime": "1465876840", 
        "custom_headers": { }, 
        "mtime": "1465876840", 
        "name": "foldertest"
    }
}
```