## 描述

对象存储服务的 RESTful API 是一种轻量级的，无连接状态的，可以直接通过 http/https 的请求和响应，来和腾讯云对象存储（COS）后台进行交互操作的 Web 服务。

在查阅其他的 API 文档之前，首先请详细阅读 调用方式 和 签名鉴权 。

## 基本信息

本部分介绍是为了您更有效的使用 COS ，而必须要了解的主要概念和术语。

| 名称        | 描述                                       |
| --------- | ---------------------------------------- |
| Appid     | 开发者访问 COS 服务时每个项目拥有的唯一资源标识。              |
| SecretID  | SecretID 是开发者拥有的项目身份识别 ID。               |
| SecretKey | SecretKey 是开发者拥有的项目身份密钥。                 |
| Bucket    | 存储桶是 COS 中用于存储数据的容器，是用户存储在 Appid 下的第一级目录，每个对象都存储在一个存储桶中。 |
| Object    | 对象是 COS 中存储的具体文件，是存储的基本实体。               |

## 快速入门

要使用对象存储 API，需要先执行以下步骤：

1. 在控制台 创建一个 Bucket
2. 获取 Appid、SecretID、SecretKey 内容
3. 编写一个 签名鉴权 算法程序（或使用任何一种服务端 SDK）
4. 计算签名，调用 API 执行操作