## 描述

腾讯云对象存储的 RESTful API 统一返回 HTTP 标准的状态码，HTTP 标准的头部信息以及 json 格式的返回包内容。

常见的返回格式如下：

| 参数名称              | 类型     | 描述        |
| ----------------- | ------ | --------- |
| HTTP Status Code | Int    | HTTP 状态码  |
| HTTP Headers      | String | HTTP 头部信息 |
| Response Body     | 数据集合   | Http 响应正文 |

Response Body 数据集合

| **参数名称** | **类型** | **描述**     |
| -------- | ------ | ---------- |
| code     | Int    | 服务端返回码     |
| message  | String | 服务端提示内容    |
| data     | 数据集合   | 服务端返回的应答数据 |

## 示例

### 返回

```http
HTTP/1.1 200 OK
Server: nginx
Date: Tue, 14 Jun 2016 03:36:12 GMT
Content-Length: 109

{
    "code": 0, 
    "message": "SUCCESS", 
    "data": {
    }
}
```

