

## 功能描述
<!-- 描述该 API 的功能、背景、条件等-->
Put Bucket Replication 请求用于向开启版本管理的Bucket添加replication配置。如果Bucket已经拥有replication配置，那么该请求会替换现有配置。

## 请求
<!-- 完整结构的请求语法示例，包括请求行、请求头、请求体。请求行中要有必选参数，非必选的不用写-->
语法示例：
```
PUT /?replication HTTP/1.1
Host: <BucketName>-<APPID>.cos.<Region>.myqcloud.com
Date: GMT Date
Authorization: Auth String
Content-MD5: MD5

Replication configuration XML in the body
```
<!-- 代码块中注意：
       1. HTTP 是全大写；
       2. 每一个冒号后面都有一个空格；
       3. Dete 格式是 GMT Date；
       4. Authorization 统一为 Auth String -->
> Authorization: Auth String (详细参见 [请求签名](https://cloud.tencent.com/document/product/436/7778) 章节)

### 请求行
<!-- 将以上完整结构的请求语法示例中的请求行单独描述说明-->
```
PUT /?replication HTTP/1.1
```
该 API 接口接受 PUT 请求。

### 请求头

#### 公共头部
该请求操作的实现使用公共请求头,了解公共请求头详细请参见 [公共请求头部](https://cloud.tencent.com/document/product/436/7728) 章节。

| 名称               | 描述      | 类型     | 必选   |
| ---------------- | ----------- | ------ | ---- |
| Content-Length       | RFC 2616 中定义的 HTTP 请求内容长度（字节） | String | 是    |
| Content-MD5 | RFC 1864 中定义的经过Base64编码的128-bit 内容 MD5 校验值。此头部用来校验文件内容是否发生变化 | String | 是    |


#### 非公共头部
<!-- 如果实际 API 中没有非公共头部内容，表述的语句为：该请求操作无特殊的请求头部信息。
并且以下“必选头部”、“推荐头部”和“权限相关头部”都不用说明。-->
该请求操作无特殊的请求头部信息。

### 请求体
<!-- 如果实际 API 中没有请求体,表述的语句为：该请求的请求体为空。-->
该 API 接口请求的请求体具体节点内容为：
```
<ReplicationConfiguration>
    <Role>qcs::cam::uin/[UIN]:uin/[Subaccount]</Role>
    <Rule>
        <Status></Status>
        <ID></ID>
        <Prefix></Prefix>
        <Destination>
            <Bucket>qcs:id/0:cos:[Region]:appid/[AppId]:[Bucketname]</Bucket>
        </Destination>
    </Rule>
    <Rule>
        ...
    </Rule>
</ReplicationConfiguration>
```
具体内容描述如下：

|节点名称（关键字）|    父节点|    描述    |类型|    必选|
|---|---|---|---|---|
|ReplicationConfiguration    |无    |说明所有跨区域配置信息    |Container    |是|
|Role|ReplicationConfiguration    |具体配置信息，最多支持1000个，所有策略只能指向一个目标存储桶    |String    |是|
|Rule    |ReplicationConfiguration    |具体配置信息，最多支持1000个，所有策略只能指向一个目标存储桶    |Container    |是|
|ID    |ReplicationConfiguration.Rule    |用来标注具体Rule的名称    |String    |否|
|Status    |ReplicationConfiguration.Rule    |标识Rule是否生效，枚举值：Enabled, Disabled    |String    |是|
|Prefix    |ReplicationConfiguration.Rule    |前缀匹配策略，不可重叠，重叠返回错误。前缀匹配根目录为空    |String    |是|
|Destination    |ReplicationConfiguration.Rule    |目标存储桶信息    |Container    |是|
|Bucket    |ReplicationConfiguration.Rule.Destination    |资源标识符：qcs:id/0:cos:[region]:appid/[AppId]:[bucketname]    |String    |是|
|StorageClass    |ReplicationConfiguration.Rule.Destination    |存储级别，枚举值：Standard, Standard_IA, Nearline；默认值：原存储桶级别    |String    |否|

## 响应

### 响应头
#### 公共响应头 
该响应使用公共响应头,了解公共响应头详细请参见 [公共响应头部](https://cloud.tencent.com/document/product/436/7729) 章节。
#### 特有响应头
<!-- 如果实际 API 中没有特有响应头，表述的语句为：该响应无特殊的响应头。-->
该响应无特殊的响应头。

### 响应体
<!-- 如果实际 API 中没有请求体,表述的语句为：该响应体返回为空。-->
该响应体返回为空。

## 实际案例

### 请求
```
PUT /?replication HTTP/1.1
Date: Mon, 28 Aug 2017 02:53:38 GMT
Authorization: q-sign-algorithm=sha1&q-ak=AKIDZfbOAo7cllgPvF9cXFrJD0a1ICvR98JM&q-sign-time=1503888878;1503889238&q-key-time=1503888878;1503889238&q-header-list=host&q-url-param-list=replication&q-signature=254bf9cd3d6615e89a36ab652437f9d45c5f63f9
Content-MD5: AAq+9nzrpsz5LJ4UEe1f6Q==
Host: sevenyounorthtest-7319456.cos.cn-north.myqcloud.com
Content-Length: 312

<ReplicationConfiguration>
    <Role>qcs::cam::uin/123456789:uin/987654543</Role>
    <Rule>
        <Status>Enabled</Status>
        <ID>RuleId_01</ID>
        <Prefix>sevenyou_10m</Prefix>
        <Destination>
            <Bucket>qcs:id/0:cos:cn-south:appid/132213432:sevenyousouthtest</Bucket>
        </Destination>
    </Rule>
</ReplicationConfiguration>

```

### 响应
```
HTTP/1.1 200 OK

Content-Type: application/xml
Content-Length: 0
Date: Mon, 28 Aug 2017 02:53:38 GMT
Server: tencent-cos
x-cos-request-id: NTlhMzg1ZWVfMjQ4OGY3MGFfMWE1NF84Y2M
```

## Get Bucket Replication

## 功能描述
<!-- 描述该 API 的功能、背景、条件等-->
Get Bucket Replication请求实现读取用户跨区域复制配置。

## 请求
<!-- 完整结构的请求语法示例，包括请求行、请求头、请求体。请求行中要有必选参数，非必选的不用写-->
语法示例：
```
GET /?replication HTTP/1.1
Host: <BucketName>-<APPID>.cos.<Region>.myqcloud.com
Date: GMT Date
Authorization: Auth String
```
<!-- 代码块中注意：
       1. HTTP 是全大写；
       2. 每一个冒号后面都有一个空格；
       3. Dete 格式是 GMT Date；
       4. Authorization 统一为 Auth String -->
> Authorization: Auth String (详细参见 [请求签名](https://cloud.tencent.com/document/product/436/7778) 章节)

### 请求行
<!-- 将以上完整结构的请求语法示例中的请求行单独描述说明-->
```
GET /?replication HTTP/1.1
```
该 API 接口接受 GET 请求。

### 请求头

#### 公共头部
该请求操作的实现使用公共请求头,了解公共请求头详细请参见 [公共请求头部](https://cloud.tencent.com/document/product/436/7728) 章节。

#### 非公共头部
<!-- 如果实际 API 中没有非公共头部内容，表述的语句为：该请求操作无特殊的请求头部信息。
并且以下“必选头部”、“推荐头部”和“权限相关头部”都不用说明。-->
该请求操作无特殊的请求头部信息。

### 请求体
<!-- 如果实际 API 中没有请求体,表述的语句为：该请求的请求体为空。-->
该请求的请求体为空。

## 响应

### 响应头
#### 公共响应头 
该响应使用公共响应头,了解公共响应头详细请参见 [公共响应头部](https://cloud.tencent.com/document/product/436/7729) 章节。
#### 特有响应头
<!-- 如果实际 API 中没有特有响应头，表述的语句为：该响应无特殊的响应头。-->
该响应无特殊的响应头。

### 响应体
<!-- 如果实际 API 中没有请求体,表述的语句为：该响应体返回为空。-->

该响应体返回为 **application/xml** 数据，包含完整节点数据的内容展示如下：
```
<ReplicationConfiguration>
    <Role>qcs::cam::uin/[UIN]:uin/[Subaccount]</Role>
    <Rule>
        <Status></Status>
        <ID></ID>
        <Prefix></Prefix>
        <Destination>
            <Bucket>qcs:id/0:cos:[Region]:appid/[AppId]:[Bucketname]</Bucket>
        </Destination>
    </Rule>
    <Rule>
        ...
    </Rule>
</ReplicationConfiguration>
```
具体内容描述如下：

|节点名称（关键字）|    父节点|    描述    |类型|    必选|
|---|---|---|---|---|
|ReplicationConfiguration    |无    |说明所有跨区域配置信息    |Container    |是|
|Role|ReplicationConfiguration    |具体配置信息，最多支持1000个，所有策略只能指向一个目标存储桶    |String    |是|
|Rule    |ReplicationConfiguration    |具体配置信息，最多支持1000个，所有策略只能指向一个目标存储桶    |Container    |是|
|ID    |ReplicationConfiguration.Rule    |用来标注具体Rule的名称    |String    |否|
|Status    |ReplicationConfiguration.Rule    |标识Rule是否生效，枚举值：Enabled, Disabled    |String    |是|
|Prefix    |ReplicationConfiguration.Rule    |前缀匹配策略，不可重叠，重叠返回错误。前缀匹配根目录为空    |String    |是|
|Destination    |ReplicationConfiguration.Rule    |目标存储桶信息    |Container    |是|
|Bucket    |ReplicationConfiguration.Rule.Destination    |资源标识符：qcs:id/0:cos:[region]:appid/[AppId]:[bucketname]    |String    |是|
|StorageClass    |ReplicationConfiguration.Rule.Destination    |存储级别，枚举值：Standard, Standard_IA, Nearline；默认值：原存储桶级别    |String    |否|


## 实际案例

### 请求
```
GET /?replication HTTP/1.1
Date: Mon, 28 Aug 2017 02:53:38 GMT
Authorization: q-sign-algorithm=sha1&q-ak=AKIDZfbOAo7cllgPvF9cXFrJD0a1ICvR98JM&q-sign-time=1503895278;1503895638&q-key-time=1503895278;1503895638&q-header-list=host&q-url-param-list=replication&q-signature=f77900be432072b16afd8222b4b349aabd837cb9
Host: sevenyounorthtest-7319456.cos.cn-north.myqcloud.com
Content-Length: 0
```

### 响应
```
HTTP/1.1 200 OK

Content-Type: application/xml
Content-Length: 331
Date: Mon, 28 Aug 2017 02:53:38 GMT
Server: tencent-cos
x-cos-request-id: NTlhMzg1ZWVfMjQ4OGY3MGFfMWE1NF84Y2M

<ReplicationConfiguration
    <Roleqcs::cam::uin/491107630:uin/491107630/Role>
    <Rule
        <IDRuleId_01/ID>
        <StatusEnabled/Status>
        <Prefixsevenyou_10m/Prefix>
        <Destination
            <Bucketqcs:id/0:cos:cn-south:appid/7319456:sevenyousouthtest/Bucket>
            <StorageClass>
        </Destination>
    </Rule>
</ReplicationConfiguration>
```

## Delete Bucket Replication

## 功能描述
<!-- 描述该 API 的功能、背景、条件等-->
Delete Bucket Replication请求实现删除用户跨区域复制配置。

## 请求
<!-- 完整结构的请求语法示例，包括请求行、请求头、请求体。请求行中要有必选参数，非必选的不用写-->
语法示例：
```
DELETE /?replication HTTP/1.1
Host: <BucketName>-<APPID>.cos.<Region>.myqcloud.com
Date: GMT Date
Authorization: Auth String
```
<!-- 代码块中注意：
       1. HTTP 是全大写；
       2. 每一个冒号后面都有一个空格；
       3. Dete 格式是 GMT Date；
       4. Authorization 统一为 Auth String -->
> Authorization: Auth String (详细参见 [请求签名](https://cloud.tencent.com/document/product/436/7778) 章节)

### 请求行
<!-- 将以上完整结构的请求语法示例中的请求行单独描述说明-->
```
DELETE /?replication HTTP/1.1
```
该 API 接口接受 Delete 请求。

### 请求头

#### 公共头部
该请求操作的实现使用公共请求头,了解公共请求头详细请参见 [公共请求头部](https://cloud.tencent.com/document/product/436/7728) 章节。

#### 非公共头部
<!-- 如果实际 API 中没有非公共头部内容，表述的语句为：该请求操作无特殊的请求头部信息。
并且以下“必选头部”、“推荐头部”和“权限相关头部”都不用说明。-->
该请求操作无特殊的请求头部信息。

### 请求体
<!-- 如果实际 API 中没有请求体,表述的语句为：该请求的请求体为空。-->
该请求的请求体为空。

## 响应

### 响应头
#### 公共响应头 
该响应使用公共响应头,了解公共响应头详细请参见 [公共响应头部](https://cloud.tencent.com/document/product/436/7729) 章节。
#### 特有响应头
<!-- 如果实际 API 中没有特有响应头，表述的语句为：该响应无特殊的响应头。-->
该响应无特殊的响应头。

### 响应体
<!-- 如果实际 API 中没有请求体,表述的语句为：该响应体返回为空。-->

该响应体返回为空。

## 实际案例

### 请求
```
DELETE /?replication HTTP/1.1
Date: Mon, 28 Aug 2017 02:53:38 GMT
Authorization: q-sign-algorithm=sha1&q-ak=AKIDZfbOAo7cllgPvF9cXFrJD0a1ICvR98JM&q-sign-time=1503901499;1503901859&q-key-time=1503901499;1503901859&q-header-list=host&q-url-param-list=replication&q-signature=761f3f6449c6a11684464f4b09c6f292f0a4e7e0
Host: sevenyounorthtest-7319456.cos.cn-north.myqcloud.com
```

### 响应
```
HTTP/1.1 204 No Content 

Content-Type: application/xml
Content-Length: 0
Date: Mon, 28 Aug 2017 02:53:38 GMT
Server: tencent-cos
x-cos-request-id: NTlhM2I3M2JfMjQ4OGY3MGFfMWE1NF84ZTU=
```
