## 描述

对象存储的 XML API 是一种轻量级的，无连接状态的接口。您可以调用此套接口直接通过 http/https 发出请求和接受响应，从而实现与腾讯云对象存储（COS）后台进行交互操作。此套API的请求和响应内容都为XML格式。

在查阅其他的 API 文档之前，首先请详细阅读签名鉴权 。

## 基本信息

本部分介绍是为了您更有效的使用 COS ，而必须要了解的主要概念和术语。

| 名称          | 描述                                       |
| ----------- | ---------------------------------------- |
| AppID | 开发者访问 COS 服务时拥有的用户维度唯一资源标识，用以标示资源。       |
| SecretID    | SecretID 是开发者拥有的项目身份识别 ID，用以身份认证         |
| SecretKey   | SecretKey 是开发者拥有的项目身份密钥。                 |
| Bucket      | 存储桶是 COS 中用于存储数据的容器，是用户存储在 Appid 下的第一级目录，每个对象都存储在一个存储桶中。 |
| Object      | 对象是 COS 中存储的具体文件，是存储的基本实体。               |
| Region      | 域名中的地域信息，枚举值：cn-east（华东），cn-north（华北），cn-south（华南），sg（新加坡） |

## 快速入门

要使用对象存储 API，需要先执行以下步骤：

1. 获取 Appid、SecretID、SecretKey 内容
2. 编写一个 签名鉴权 算法程序（或使用任何一种服务端 SDK）
3. 计算签名，调用 API 执行操作

## 其他版本API

### JSON API

JSON API即2016年10月之后，用户接入COS使用的API，上传域名为[Region].file.myqcloud.com。JSON API接口日后将保持维护状态，可以正常使用但是不发展新特性。其与标准XML的API 底层架构相同，数据互通，可以交叉使用，但是接口不兼容，域名不一致。[文档链接](/document/product/436/6053)

### 历史版本API

历史版本API即2016年10月之前，用户接入COS使用的API，上传域名为web.file.myqcloud.com。使用该版本接口的用户，COS将主动帮助用户缓慢迁移数据，并转发请求，用户若无新功能使用诉求，无需主动更换接口。其与标准XML的API 底层架构不同，数据不互通，接口不兼容。[文档链接](/document/product/430/6012)
