## 描述

归档存储的 API 是一种轻量级的、无连接状态的接口。您可以调用此套接口直接通过 http/https 发出请求和接受响应，从而实现与腾讯云归档存储（CAS）后台进行交互操作。此套 API 的请求和响应内容都为 JSON 格式。

在查阅其他的 API 文档之前，首先请详细阅读认证与鉴权 。

## 基本信息

本部分介绍是为了您更有效的使用归档存储 ，而必须要了解的主要概念和术语。

| 名称         | 描述                                       |
| ---------- | ---------------------------------------- |
| APPID（UID） | 开发者访问归档存储服务时拥有的用户标识，每个用户拥有一个UID，用来记录资源归属的账户。 |
| SecretID   | SecretID 是开发者拥有的身份识别 ID，用以身份认证 。         |
| SecretKey  | SecretKey 是开发者拥有的身份密钥。                   |
| Vault      | 文件库是用于存储档案的容器，是用户存储在UID下的第一级目录，每个档案都存储在一个文件库中。 |
| Archive    | 档案是归档存储存储的具体文件和基本存储单位。                   |
| Region     | 域名中的地域信息，枚举值：ap-chengdu（成都）、ap-beijing（北京）、ap-guangzhou（广州）、ap-shanghai（上海）。 |
| Job        | 获取档案文件的任务实例，用户通过发起下载任务来获取保存在归档存储中数据。     |

## 命名规则

创建文件库时，必须给文件库命名。文件库的命名规则如下：

- 名称的长度为 1 至 255 个字符。
- 允许的字符类型为 `a–z`、`A–Z`、`0–9`、`_`（下划线）、`-`（连字符）和 `.`（句点）。




## 快速入门

要使用归档存储 API，需要先执行以下步骤：

1. 获取 Uid、SecretID、SecretKey 内容。
2. 下载开发工具包，编写一个 认证鉴权 算法程序（或使用一种服务端 SDK）。
3. 计算签名，调用 API 执行操作。
