## 概述
本文将为您介绍请求出错时返回的错误码和对应错误信息，以帮助您排除遇到的错误。

## 错误信息返回格式
**返回头部**  

Content-Type: application/json

**返回内容 **  

```JSON
HTTP/1.1    HTTP状态码
x-cas-requestId: 
Content-Length: 
Date: 
{
  "code": "错误码",
  "message": "错误信息",
  "type": "类型"
}
```

## 错误码列表

### 客户端   

| 错误码                                 | 描述                                       | HTTP 状态码            |
| ----------------------------------- | ---------------------------------------- | ------------------- |
| AccessDeniedException               | 如果尝试访问无权限的资源，或者在请求 URI 中使用了错误的账户 ID，则返回此异常。 | 403 Forbidden       |
| BadRequest                          | 如果无法处理请求，则返回此异常。                         | 400 Bad Request     |
| ExpiredTokenException               | 如果请求中使用的安全令牌已过期，则返回此异常。                  | 403 Forbidden       |
| InvalidParameterValueException      | 如果错误地指定了请求的参数，则返回此异常。                    | 400 Bad Request     |
| InvalidSignatureException           | 如果请求签名无效，则返回此异常。                         | 400 Bad Request     |
| LimitExceededException              | 如果请求导致超出文件库限制或标签限制，则会返回此异常。              | 400 Bad Request     |
| MissingAuthenticationTokenException | 如果没有为请求找到身份验证数据，则返回此异常。                  | 400 Bad Request     |
| MissingParameterValueException      | 如果请求中缺失必需的头部被或参数，则返回此异常。                 | 400 Bad Request     |
| PolicyEnforcedException             | 如果检索请求将超出当前数据策略的检索速率限制，则返回此异常。           | 400 Bad Request     |
| ResourceNotFoundException           | 如果指定的资源（例如文件库、上传 ID 或任务 ID）不存在，则返回此异常。   | 404 Not Found       |
| RequestTimeoutException             | 如果正在上传档案并且 CAS 在接收上传时超时，则返回此异常。          | 408 Request Timeout |
| SerializationException              | 如果请求正文无效，则返回此异常。如果内容为JSON，则检查其格式是否正确。    | 400 Bad Request     |
| ThrottlingException                 | 如果您需要降低向CAS发送请求的速率，则返回此异常。               | 400 Bad Request     |
| UnrecognizedClientException         | 如果访问密钥 ID 或安全令牌无效，则返回此异常。                | 400 Bad Request     |

### 服务端

| 错误码                         | 描述                 | HTTP 状态码                  |
| --------------------------- | ------------------ | ------------------------- |
| ServiceUnavailableException | 如果服务无法完成请求，则返回此异常。 | 500 Internal Server Error |

