## 1. 接口描述
对注册保护、登录保护、活动防刷进行误报和漏报反馈。
协议：HTTPS  
域名：csec.api.qcloud.com  
接口名：Feedback

## 2. 输入参数
| 参数名称        | 是否必选           | 类型  | 描述 |
| ------------- |:-------------:| :-----|:-----|
| accountType  | 必须 |  UInt | 用户账号类型<br>0：其他账号<br>1：QQ开放帐号<br>2：微信开放帐号<br>4：手机账号<br>6：手机动态码<br>7：邮箱账号 |
| appId  | 可选 |  String | accountType是QQ或微信开放账号时，该参数必填，表示QQ或微信分配给给网站或应用的appId，用来唯一标识网站或应用 |
| uid  | 必须 |  String | 用户ID，accountType不同对应不同的用户ID。如果是QQ或微信用户则填入对应的openId |
| userIp  | 必须 |  String | 用户IP |
| nickName |可选| String|用户昵称 　
| phoneNumber  | 可选 |  String | 手机号；国家代码-手机号， 如0086-15912345687. 注意0086前不需要+号 |
| emailAddress|可选|String|邮箱地址|
| interfaceName |必须|String|调用天御接口名称|
| queryTime|必须|UInt|调用天御接口时间戳|
| result|必须|UInt|调用天御接口返回的level值|
| feedbackType|必选|UInt|反馈类型<br> 1：误报 反馈天御识别为恶意的正常用户，下次调用API返回恶意等级0 <br>2：漏报 反馈天御未识别的恶意用户 ，下次调用API返回恶意等级4|
| reason|可选|String|原因|



## 3. 输出参数
无



## 4. 示例
输入
```
https://csec.api.qcloud.com/v2/index.php?Action=Feedback&Nonce=98307&Region=all&SecretId=AKIDZfxTHCIq8m7oYZbQnnYZZsV7uSYd76vA&Timestamp=1463536038&accountType=4&emailAddress=373909726%40qq.com&feedbackReason=%E4%BB%80%E4%B9%88%EF%BC%8C%E5%8E%9F%E5%9B%A0&feedbackType=1&interfaceName=RegisterProtection&nickName=arlis&phoneNumber=13246208548&queryTime=1436664316&result=1&uid=18665911514&userIp=8.8.8.8&Signature=souhVdKLgZbb%2BwqrED8K5azrl7o%3D
```
输出
```
{
    "code": 0,
    "message": "OK"
}
```
