## 1. 接口描述
识别文件是否为恶意识文件，支持对APK、PE、图片等文件的识别，其中黄图识别由优图提供支持。
协议：HTTP/HTTPS
域名：csec.api.qcloud.com
接口名：FileDetection

## 2. 输入参数
<table class="t">
<tbody><tr>
<th> <b>参数名称</b>
</th><th> <b>是否必须</b>
</th><th> <b>类型</b>
</th><th> <b>描述</b>
</th></tr>
<tr>
<td> fileUrl
</td><td> 可选
</td><td> String
</td><td> 文件下载URL
</td></tr>
<tr>
<td> fileMd5
</td><td> 可选
</td><td> String
</td><td> 文件MD5值
</td></tr>
<tr>
<td> fileSha1
</td><td> 可选
</td><td> String
</td><td> 文件SHA1值
</td></tr>
<tr>
<td> fileName
</td><td> 必须
</td><td> String
</td><td> 文件名
</td></tr></tbody></table>

## 3. 输出参数
<table class="t">
<tbody><tr>
<th> <b>参数名称</b>
</th><th> <b>类型</b>
</th><th> <b>描述</b>
</th></tr>
<tr>
<td> level
</td><td> int
</td><td> 0：表示无恶意<br>1：文件名恶意<br>2：文件内容恶意<br>3：文件名和内容恶意
</td></tr>
<tr>
<td> contentType
</td><td> int
</td><td> 文件内容恶意类型：<br>0：未知<br>1：安全<br>2：风险<br>3：病毒
<tr>
<td> confidence
</td><td> double
</td><td>识别为黄图的置信度，范围0-100；<br>是normalScore, hotScore, pornScore的综合评分，confidence大于83定为疑似图片
<tr>
<td> normalScore
</td><td> double
</td><td>图片为正常图片的评分
<tr>
<td> hotScore
</td><td> double
</td><td>图片为性感图片的评分
<tr>
<td> pornScore
</td><td> double
</td><td>图片为色情图片的评分
</td></tr></tbody></table>
## 4. 示例
输入
```
http://csec.api.qcloud.com/v2/index.php?Action=FileDetection
```
输出
```
{
    "code": 0,
    "message": "No Error",
    "level": 0,
    "contentType": 1
}
```

