## 1. 接口描述
注册保护接口提供恶意注册识别等能力，根据用户账号、信用和注册的行为和来源判断当次注册的恶意等级。
协议：HTTP/HTTPS
域名：csec.api.qcloud.com
接口名：RegisterProtection

## 2. 输入参数
<font color="red">注意：以下每一个参数对于识别恶意都非常重要，任何参数的缺少都有可能影响识别效果 。</font>
<table class="t">
<tbody><tr>
<th> <b>参数名称</b>
</th><th> <b>是否必须</b>
</th><th> <b>类型</b>
</th><th> <b>描述</b>
</th></tr>
<tr>
<td> accountType
</td><td> 必选
</td><td> UInt
</td><td>用户账号类型<br>0：其他账号<br>1：QQ开放帐号<br>2：微信开放帐号<br>4：手机账号<br>6：手机动态码<br>7：邮箱账号
</td></tr>
<tr>
<td> appId
</td><td> 可选
</td><td> string
</td><td> accountType是QQ或微信开放账号时，该参数必填，表示QQ或微信分配给给网站或应用的appId，用来唯一标识网站或应用
</td></tr>
<tr>
<td> uid
</td><td> 必选
</td><td> string
</td><td> 用户ID，accountType不同对应不同的用户ID。如果是QQ或微信用户则填入对应的openId
</td></tr>
<tr>
<td> associateAccount
</td><td> 可选
</td><td> string
</td><td> accountType是QQ或微信开放账号时，用于标识QQ或微信用户登录后关联业务自身的账号ID
</td></tr>
<tr>
<td> nickName
</td><td> 可选
</td><td> string
</td><td> 昵称，utf8编码
</td></tr>
<tr>
<td> phoneNumber
</td><td> 可选
</td><td> string
</td><td> 手机号；国家代码-手机号， 如0086-15912345687. 注意0086前不需要+号
</td></tr>
<tr>
<td> emailAddress
</td><td> 可选
</td><td> string
</td><td> 用户邮箱地址（非系统自动生成）
</td></tr>
<tr>
<td> passwordHash
</td><td> 可选
</td><td> string
</td><td> 用户密码进行2次hash的值，只要保证相同密码dHash值一致即可
</td></tr>
<tr>
<tr>
<td> cookieHash
</td><td> 可选
</td><td> string
</td><td> 用户Http请求中的cookie进行2次hash的值，只要保证相同cookie的Hash值一致即可
</td></tr>
<td> registerTime
</td><td> 必选
</td><td> UInt
</td><td> 注册时间戳，单位秒
</td></tr>
<tr>
<td> registerIp
</td><td> 必选
</td><td> string
</td><td> 注册来源的外网IP
</td></tr>
<tr>
<td> registerSource
</td><td> 可选
</td><td> string
</td><td> 注册来源<br>0：其他<br>1：PC网页<br>2：移动页面<br>3：APP<br>4：微信公众号
</td></tr>
<tr>
<td> referer
</td><td> 可选
</td><td> string
</td><td> 用户Http请求的referer值
</td></tr>
<tr>
<td> jumpUrl
</td><td> 可选
</td><td> string
</td><td> 注册成功后跳转页面
</td></tr>
<tr>
<td> userAgent
</td><td> 可选
</td><td> string
</td><td> 用户Http请求的userAgent
</td></tr>
<tr>
<td> xForwardedFor
</td><td> 可选
</td><td> string
</td><td> 用户Http请求中的x_forward_for
</td></tr>
<tr>
<td> mouseClickCount
</td><td> 可选
</td><td> UInt
</td><td> 用户操作过程中鼠标点击次数
</td></tr>
<tr>
<td> keyboardClickCount
</td><td> 可选
</td><td> UInt
</td><td> 用户操作过程中键盘点击次数
</td></tr>
<tr>
<td> registerSpend
</td><td> 可选
</td><td> UInt
</td><td> 登录耗时，单位秒
</td></tr>
<tr>
<td> result
</td><td> 可选
</td><td> UInt
</td><td> 注册结果<br>0：失败<br>1：成功
</td></tr>
<tr>
<td> reason
</td><td> 可选
</td><td> UInt
</td><td> 失败原因<br>0：其他<br>1：参数错误 未按要求填写数据<br>2：帐号冲突 帐号已经存在<br>3：验证码错误 图片验证码和手机邮箱等验证码错误
</td></tr>
<td> macAddress
</td><td> 可选
</td><td> string
</td><td> mac地址或设备唯一标识
</td></tr>
<tr>
<td> vendorId
</td><td> 可选
</td><td> string
</td><td> 手机制造商ID，如果手机注册，请带上此信息
</td></tr>
<tr>
<td> appVersion
</td><td> 可选
</td><td> string
</td><td> APP客户端版本
</td></tr>
<tr>
<td> imei
</td><td> 可选
</td><td> string
</td><td> 手机设备号
</td></tr>
<td> businessId
</td><td> 可选
</td><td> UInt
</td><td> 业务ID，网站或应用在多个业务中使用此服务，通过此ID区分统计数据
</td><td>
</td></tr>
<tr>
<td> sceneId
</td><td> 可选
</td><td> UInt
</td><td> 场景ID，网站或应用的业务下有多个场景使用此服务，通过此ID区分统计数据
</td></tr></tbody></table>

## 3. 输出参数
<table class="t">
<tbody><tr>
<th> <b>参数名称</b>
</th><th> <b>类型</b>
</th><th> <b>描述</b>
</th></tr>
<tr>
<td> Nonce
</td><td> UInt
</td><td> 同请求参数
</td></tr>
<tr>
<td> registerIp
</td><td> string
</td><td> 同请求参数
</td></tr>
<tr>
<td> registerTime
</td><td> string
</td><td> 同请求参数
</td></tr>
<tr>
<td> uid
</td><td> string
</td><td> 同请求参数
</td></tr>
<tr>
<td> associateAccount
</td><td> string
</td><td> 同请求参数
</td></tr>
<tr>
<td> level
</td><td> int
</td><td> 0：表示无恶意<br>1～4：恶意等级由低到高
</td></tr></tbody></table>
## 4. 示例
输入
<pre>
http://csec.api.qcloud.com/v2/index.php?Action=RegisterProtection&
&accountType=1
&appId=100273020
&uid=00000000000000000000000033121475
&associateAccount=SpFsjpyvaJ27329
&nickName=%E6%B5%8B%E8%AF%95%E6%98%B5%E7%A7%B0
&phoneNumber=0086-186659115142
&emailAddress=testaccount@qq.com
&registerTime=1436662984
&registerIp=121.14.96.121
&register_source=1
&passwordHash=f158abb2a762f7919846ee9bf8445c7f22a244c5
&referer=https%3A//ui.ptlogin2.qq.com/cgi-bin/login%3Fdaid%3D164%26target
%3Dself%26style%3D16%26mibao_css%3Dm_webqq%26appId%3D501004106%2
6enable_qlogin%3D0%26no_verifyimg%3D1%26s_url%3Dhttp%253A%252F%252F
w.qq.com%252Fproxy.html%26f_url%3Dloginerroralert%26strong_login%3D1%26l
ogin_state%3D10%26t%3D20131024001
&jumUrl=web.qq.com
&cookieHash=0cc62d098effb4dd6c7835a28740f4542d190bdd
&userAgent=Mozilla/5.0%20%28Windows%20NT%205.1%29%20AppleWebKit/53
7.36%20%28KHTML%2C%20like%20Gecko%29%20Chrome/43.0.2357.132%20Safa
ri/537.36&mouseClickCount=10
&keyboardClickCount=50
&macAddress=00-05-9A-3C-7A-00
&registerSpend=323
&result=1
&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>
输出
```
{
    "code": 0,
    "message": "No Error",
    "level": 0,
    "registerIp": "121.14.96.121",
    "registerTime": 1436662984,
    "uid": "00000000000000000000000033121475",
    "associateAccount": "SpFsjpyvaJ27329"
}
```

