## 1. 接口描述
识别用户产生的文本内容中是否含有政治、色情、广告、恶意竞争等关键词，并进一步根据用户行为判断行为是否有恶意。
协议：HTTP/HTTPS
域名：csec.api.qcloud.com
接口名：UgcAntiSpam

## 2. 输入参数
<font color="red">注意：以下每一个参数对于识别恶意都非常重要，任何参数的缺少都有可能影响识别效果 。</font>
<table class="t">
<tbody><tr>
<th> <b>参数名称</b>
</th><th> <b>是否必须</b>
</th><th> <b>类型</b>
</th><th> <b>描述</b>
</th></tr>
<tr>
<td> accountType
</td><td> 必选
</td><td> UInt
</td><td>用户账号类型<br>0：其他账号<br>1：QQ开放帐号<br>2：微信开放帐号<br>4：手机账号<br>6：手机动态码<br>7：邮箱账号
</td></tr>
<tr>
<td> appId
</td><td> 可选
</td><td> string
</td><td> accountType是QQ或微信开放账号时，该参数必填，表示QQ或微信分配给给网站或应用的appId，用来唯一标识网站或应用
</td></tr>
<tr>
<td> uid
</td><td> 必选
</td><td> string
</td><td> 用户ID，accountType不同对应不同的用户ID。如果是QQ或微信用户则填入对应的openId
</td></tr>
<tr>
<td> associateAccount
</td><td> 可选
</td><td> string
</td><td> accountType是QQ或微信开放账号时，用于标识QQ或微信用户登录后关联业务自身的账号ID
</td></tr>
<tr>
<td> toAccountType
</td><td> 可选
</td><td> UInt
</td><td> 接收者的账号类型，同accountType相类
</td></tr>
<tr>
<td> toUid
</td><td> 可选
</td><td> string
</td><td> 接收者的ID，同uid相类
</td></tr>
<tr>
<td> relationship
</td><td> 可选
</td><td> UInt
</td><td> 1：C2C好友<br>2：C2C非好友<br>3：群组<br>4：公开<br>5：B2C<br>6：C2B
</td></tr>
<tr>
<td> messageStruct
</td><td> 必选
</td><td> string
</td><td> 用户产生的内容，参考消息结构体介绍
</td></tr>
<tr>
<td> messageId
</td><td> 可选
</td><td> string
</td><td> 用户产生内容的ID。如果传入此ID，将可以通过恶意结果查询接口获取进一步的信息
</td></tr>
<tr>
<td> postIp
</td><td> 必选
</td><td> string
</td><td> 操作来源的外网IP
</td></tr>
<tr>
<td> postTime
</td><td> 可选
</td><td> UInt
</td><td> 用户内容产生时间戳，单位秒
</td></tr>
<tr>
<td> nickName
</td><td> 可选
</td><td> string
</td><td> 昵称，utf8编码
</td></tr>
<tr>
<td> phoneNumber
</td><td> 可选
</td><td> string
</td><td> 手机号；国家代码-手机号， 如0086-15912345687. 注意0086前不需要+号
</td></tr>
<tr>
<td> emailAddress
</td><td> 可选
</td><td> string
</td><td> 用户邮箱地址（非系统自动生成）
</td></tr>
<tr>
<td> registerTime
</td><td> 可选
</td><td> UInt
</td><td> 注册时间戳，单位秒
</td></tr>
<tr>
<td> registerIp
</td><td> 可选
</td><td> string
</td><td> 注册来源的外网IP
</td></tr>
<tr>
<td> loginSource
</td><td> 可选
</td><td> int
</td><td> 登录来源<br>0：其他<br>1：PC网页<br>2：移动页面<br>3：APP<br>4：微信公众号
</td></tr>
<tr>
<td> loginType
</td><td> 可选
</td><td> int
</td><td> 登录方式<br>0：其他<br>1：手动帐号密码输入<br>2：动态短信密码登录<br>3：二维码扫描登录
</td></tr>
<tr>
<td> macAddress
</td><td> 可选
</td><td> string
</td><td> mac地址或设备唯一标识
</td></tr>
<tr>
<td> vendorId
</td><td> 可选
</td><td> string
</td><td> 手机制造商ID，如果手机注册，请带上此信息
</td></tr>
<tr>
<td> imei
</td><td> 可选
</td><td> string
</td><td> 手机设备号
</td></tr>
<tr>
<td> businessId
</td><td> 可选
</td><td> UInt
</td><td> 业务ID，网站或应用在多个业务中使用此服务，通过此ID区分统计数据
</td></tr>
<tr>
<td> sceneId
</td><td> 可选
</td><td> UInt
</td><td> 场景ID，网站或应用的业务下有多个场景使用此服务，通过此ID区分统计数据
</td></tr></tbody></table>

## 3. 输出参数
<table class="t">
<tbody><tr>
<th> <b>参数名称</b>
</th><th> <b>类型</b>
</th><th> <b>描述</b>
</th></tr>
<tr>
<td> postIp
</td><td> string
</td><td> 同请求参数
</td></tr>
<tr>
<td> postTime
</td><td> string
</td><td> 同请求参数
</td></tr>
<tr>
<td> messageId
</td><td> string
</td><td> 同请求参数
</td></tr>
<tr>
<td> uid
</td><td> string
</td><td> 同请求参数
</td></tr>
<tr>
<td> associateAccount
</td><td> string
</td><td> 同请求参数
</td></tr>
<tr>
<td> level
</td><td> Int
</td><td> 恶意等级<br>0：无恶意，为匹配关键词<br>1~4：恶意等级由低到高
</td></tr>
<tr>
<td> type
</td><td> Int
</td><td> 系统命中关键词类别<br>0    其他<br>1    广告<br>2    色情<br>3    敏感<br>4    灌水<br>5    跨站追杀<br>6    个性
</td></tr>
<tr>
<td> selfType
</td><td> Int
</td><td> 用户自定义关键词分类
<tr>
<td> beatTips
</td><td> String
</td><td> 打击原因，如命中的关键词
</td></tr></tbody></table>

## 4. 消息结构体介绍
消息结构体用于存储用户输入的文本、图片、视频和系统表情等内容，使用 TLV 格式存储，其中 Type 是 4 个字节，Length 是 4 个字节，Value 的值通过 Length 指定，Type 和 Length 都是网络字节序，其中所有的中文字符均为 UTF8 编码。目前支持的 Type 类型如下：
<table class="t">
<tbody><tr>
<th> <b>值</b>
</th><th> <b>类型</b>
</th><th> <b>说明</b>
</th></tr>
<tr>
<td> 1
</td><td> 文本
</td><td> 字符串内容，使用UTF8编码。
</td></tr>
<tr>
<td> 2
</td><td> 图片超链接
</td><td> 如果无法提供超链接，通过 Length=0表示存在图片。
</td></tr>
<tr>
<td> 3
</td><td> 视频超链接
</td><td> 如果无法提供超链接，通过 Length=0表示存在视频。
</td></tr>
<tr>
<td> 4
</td><td> 音频超链接
</td><td> 如果无法提供超链接，通过 Length=0表示存在音频。
</td></tr>
<tr>
<td> 5
</td><td> 网站超链接
</td><td> 如果无法提供超链接，通过 Length=0表示存在网站。
</td></tr>
<tr>
<td> 6
</td><td> 系统表情
</td><td> 无需传入系统表情编码，通过 Length=0表示存在系统表情
</td></tr>
<tr>
<td> 7
</td><td> 文章标题
</td><td> 字符串内容，使用UTF8编码。
</td></tr>
<tr>
<td> 8
</td><td> 位置
</td><td> 无需传入位置，通过 Length=0表示存在位置。
</td></tr>
<tr>
<td> 9
</td><td> 第三方自定义
</td><td> 无需传入第三方内容，通过 Length=0表示存在第三方内容。
</td></tr>
<tr>
<td> 10
</td><td> 文件
</td><td> 无需传入文件，通过 Length=0表示存在文件。
</td></tr>
<tr>
<td> 1000
</td><td> 其他
</td><td> 无需传入其他内容，通过 Length=0表示存在其他内容。
</td></tr></tbody></table>
## 5. 示例
输入
<pre>
http://csec.api.qcloud.com/v2/index.php?Action=UgcAntiSpam
&accountType=1
&appId=100273020
&uid=00000000000000000000000033121475
&associateAccount=SpFsjpyvaJ27329
&nickName=%E6%B5%8B%E8%AF%95%E6%98%B5%E7%A7%B0
&phoneNumber=0086-186659115142
&emailAddress=testaccount@qq.com
&registerTime=1436665734
&registerIp=8.8.8.8
&loginSource=1
&loginType=1
&loginIp=8.8.8.8
&loginTime=1436674734
&postTime=1436675734
&passwordHash=f158abb2a762f7919846ee9bf8445c7f22a244c5
&referer=https%3A//ui.ptlogin2.qq.com/cgi-bin/login%3Fdaid%3D164%26target
%3Dself%26style%3D16%26mibao_css%3Dm_webqq%26appId%3D501004106%2
6enable_qlogin%3D0%26no_verifyimg%3D1%26s_url%3Dhttp%253A%252F%252F
w.qq.com%252Fproxy.html%26f_url%3Dloginerroralert%26strong_login%3D1%26l
ogin_state%3D10%26t%3D20131024001
&jumUrl=web.qq.com
&cookieHash=0cc62d098effb4dd6c7835a28740f4542d190bdd
&userAgent=Mozilla/5.0%20%28Windows%20NT%205.1%29%20AppleWebKit/53
7.36%20%28KHTML%2C%20like%20Gecko%29%20Chrome/43.0.2357.132%20Safa
ri/537.36&mouseClickCount=10&keyboardClickCount=50&messageStruct=AAAA
AQAAAELmtYvor5Xlj5HluJbvvIzmnInkurrmiZPlh7vkuYjvvJ/og7bmsLTvvIzkvaDmmK
/ms5Xova7lip/niLHlpb3ogIUAAAADAAAAQWh0dHA6Ly9pbWcuemNvb2wuY24vY
29tbXVuaXR5LzAzMzIwZGQ1NTRjNzVjNzAwMDAwMTU4ZmNlMTcyMDkuanBn
&messageId=UEBWM19590jbWPo19592
&macAddress=00-05-9A-3C-7A-00
&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>
输出
```
{
    "code": 0,
    "message": "No Error",
    "level": 0,
    "messageId":"UEBWM19590jbWPo19592",
    "postTime": 1436675734,
    "uid": "00000000000000000000000033121475",
    "associateAccount": "SpFsjpyvaJ27329"
}
```

