## 1. 接口描述
域名：csec.api.qcloud.com  
接口名: CaptchaVerify  

## 2. 输入参数
|参数名称         | 必选           | 类型  | 描述 |
| ------------- |:-------------:| -----:|:-------------:|
| accountType      | 可选 | UInt | 用户账号类型<br>0：其他账号<br>1：QQ开放帐号<br>2：微信开放帐号<br>4：手机账号<br>6：手机动态码<br>7：邮箱账号          |
| appId      | 可选 | string | accountType是QQ或微信开放账号时，该参数必填，表示QQ或微信分配给给网站或应用的appId，用来唯一标识网站或应用 |
| uid      | 可选      |   string | 用户ID<br>accountType不同对应不同的用户ID。如果是QQ或微信用户则填入对应的openId          |
|associateAccount| 可选 | string   | accountType是QQ或微信开放账号时，用于标识QQ或微信用户登录后关联业务自身的账号ID          |
|registerTime| 可选      |  UInt   | 注册时间戳，单位秒          |
|userIp| 可选      |  string   | 用户操作来源的外网IP          |
|xForwardedFor| 可选      |  string   | 用户Http请求中的x_forward_for          |
|captchaSig |必选|string| 验证码图片的签名|
|verifyCode |必选|string| 验证码输入字符  |
|captchaType| 可选      |  string   | 验证码类型,参考验证码类型说明          |
|macAddress| 可选      |  string   | mac地址或设备唯一标识          |
|imei| 可选      |  string   | 手机设备号          |
|businessId| 可选      |  UInt   |   业务ID<br>网站或应用在多个业务中使用此服务，通过此ID区分统计数据        |
|sceneId| 可选      |  UInt   |   场景ID<br>网站或应用的业务下有多个场景使用此服务，通过此ID区分统计数据        |

## 3. 输出参数
|参数名称         |  类型  | 描述 |
| ------------- |:-------------:| -----:|
| is_right      | UInt | 0：输入验证码错误<br>1：输入验证码正确          |

## 4. 示例
输入

```
https://csec.api.qcloud.com/v2/index.php?Action=CaptchaVerify
&accountType=4
&appId=201293
&associateAccount=373909726
&businessId=0
&captchaSig=b01B-QY1ZGpgg8V3wCiAu3hvWNdKyHWgNFqZSXTum4jH-yI8iiQFeJqYLTxFB3MVPDa26GniGEGYFWCBfcW6178x85fSwS-qWTDrkLPsp8hRSk*
&captchaType=5
&imei=54654654646
&macAddress=00-05-9A-3C-7A-00
&sceneId=1
&uid=15013465759
&userIp=8.8.8.8
&verifyCode=uazm
&xForwardedFor=121.14.96.121
&COMMON_PARAMS
```

输出

```
{
    "code":0,
    "message":"No Error",
    "is_right":0
}
```

## 5. 样例代码
[样例代码](https://console.cloud.tencent.com/tianyu/guide/service/Captcha)
