## 1. 接口描述
 
域名：csec.api.qcloud.com
<br>接口名: CaptchaCheck
<br>用户输入验证码之后会获取API返回的票据，必须将此票据通过本接口进行校验，以确认票据是从安全API返回的，否则将可能导致验证码功能被绕过

## 2. 输入参数
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> accountType
</td><td> 可选
</td><td> UInt
</td><td>用户账号类型<br>0：其他账号<br>1：QQ开放帐号<br>2：微信开放帐号<br>4：手机账号<br>6：手机动态码<br>7：邮箱账号
</td></tr>
<tr>
<td> appId
</td><td> 可选
</td><td> string
</td><td> accountType是QQ或微信开放账号时，该参数必填，表示QQ或微信分配给给网站或应用的appId，用来唯一标识网站或应用
</td></tr>
<tr>
<td> uid
</td><td> 可选
</td><td> string
</td><td> 用户ID，accountType不同对应不同的用户ID。如果是QQ或微信用户则填入对应的openId
</td></tr>
<tr>
<td> associateAccount
</td><td> 可选
</td><td> string
</td><td> accountType是QQ或微信开放账号时，用于标识QQ或微信用户登录后关联业务自身的账号ID
</td></tr>
<tr>
<tr>
<td> registerTime
</td><td> 必选
</td><td> UInt
</td><td> 注册时间戳，单位秒
</td></tr>
<td> userIp <td> 是   <td> String <td> 用户操作来源的外网IP
<tr>
<td> xForwardedFor
</td><td> 可选
</td><td> string
</td><td> 用户Http请求中的x_forward_for
</td></tr>
<tr>
<td> captchaType <td> 是   <td> Int <td> 验证码图片的类型
<tr>
<td> ticket <td> 是   <td> String    <td> API返回给用户的票据
<tr>
<td> macAddress
</td><td> 可选
</td><td> string
</td><td> mac地址或设备唯一标识
</td></tr>
<tr>
<td> imei
</td><td> 可选
</td><td> string
</td><td> 手机设备号
</td></tr>
<tr>
<td> businessId <td> 必选  <td> UInt <td> 业务ID，网站或应用在多个业务中使用此服务，通过此ID区分统计数据
<tr>
<td> sceneId <td> 可选   <td> UInt    <td> 场景ID，网站或应用的业务下有多个场景使用此服务，通过此ID区分统计数据
<tr>
</tbody></table>

注：userIp,businessId,captchaType,uid,sceneId需要与CaptchaQuery接口中的值一致。

 
## 3. 输出参数
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码 0: 成功 5100: 验证失败 其他值表示请求失败
<tr>
<td> message
<td> String
<td> 错误信息
</tbody></table>

## 4. 示例
 
输入
```
  https://csec.api.qcloud.com/v2/index.php?Action=CaptchaCheck
  &userIp=10.64.10.1
  &businessId=1
  &captchaType=1
  &uid=1
  &sceneId=1
  &ticket=1
  &COMMON_PARAMS
```

输出
```
{
  "code" : 0,
  "message" : "No Error"
}

```

## 5. 样例代码
[样例代码](https://console.cloud.tencent.com/tianyu/guide/service/Captcha)