## 1. 接口描述
本接口(getDayuStatPoints)用于根据用户输入，展示一段时间内的大禹流量。
接口请求域名：dayu.api.qcloud.com

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="https://cloud.tencent.com/document/product/297/7291" title="公共请求参数">公共请求参数</a>
页面。其中，此接口的Action字段为getDayuStatPoints。

| 参数名称 | 是否必选 | 类型 | 描述 |
|---------|---------|---------|---------|
| startDate | 是 | date | 流量查看开始时间 |
| endDate | 是 | date | 流量查看结束时间 |
| statType | 是 | String | 可选值：flux（流量）|
| hosts.n  | 否 | String | 域名。此处可以填写域名数组，如果不填则表示所有域名 |
| projectIds.n | 否 | String | 域名对应项目的项目ID。此处可以填写项目ID数组 |

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/document/product/297/7297" title="公共错误码">公共错误码</a>。 
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | 返回的数组 |

其中，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| name | String | 返回的数据名称 |
| desc | String | 返回的数据描述 |
| unit | String | 单位 |
| period | Int | 统计周期，例如为5时表示每5分钟进行一次数据统计 |
| points | Array | 开始时间到结束时间段内返回的数据 |
| hosts_count | Int | 域名个数 |

## 4. 示例
<pre>
https://dayu.api.qcloud.com/v2/index.php?Action=getDayuStatPoints
&<<a href="https://cloud.tencent.com/document/product/297/7291">公共请求参数</a>>
&startDate=2016-05-09
&endDate=2016-05-10
&statType=flux
</pre>

返回示例如下：
```
{
    "code":"0",
    "message":"",
    "data":[
        {
            "name":"flux",
            "desc":"流量",
            "unit":"Byte",
            "period":"5",
            "points":[
                "2133673835",
                "2027661057",
                "1887727087",
                "1796585019",
                "1703948468",
                "1699091287",
                "1498467913",
                "1412180576",
                "1374662133",
                "1391190183",
                "1261338050",
                "1162391518",
                "1105905099",
                "991949544",
                "929692711",
                "906262504",
                "813591336",
                "847061223",
                "796145931",
                "729579059",
                "696333185",
                "727465969",
                "602613606",
                "552102749",
                "527029049",
                "495742328",
                "504459263",
                "462692748",
                "460685854",
                "464286749",
                "398373168",
                "397614097",
                "382040710",
                "383590232",
                "351936778",
                "320258476",
                "219338933",
                "307635328",
                "293094569",
                "287851417",
                "270596752",
                "263837929",
                "248533870",
                "248022977",
                "226873574",
                "249485820",
                "234313756",
                "220662526",
                "210337892",
                "229962392",
                "204897468",
                "227445744",
                "198295705",
                "226197936",
                "206121965",
                "200489607",
                "210175134",
                "211220205",
                "189195726",
                "195604143",
                "189655742",
                "188507916",
                "224937095",
                "203102669",
                "198518644",
                "216133004",
                "224060046",
                "219706341",
                "226635695",
                "258691017",
                "259231035",
                "276906317",
                "277169222",
                "280579520",
                "308970856",
                "337244932",
                "354876436",
                "390303408",
                "390927349",
                "407901942",
                "439780665",
                "494327107",
                "498792300",
                "523225445",
                "570221610",
                "613621870",
                "618742459",
                "669953260",
                "664547960",
                "711214976",
                "727760077",
                "770819822",
                "779990866",
                "815897198",
                "824122735",
                "832922441",
                "876746871",
                "931359166",
                "964302571",
                "1024710864",
                "1032804780",
                "1108155931",
                "1171651897",
                "1168665108",
                "1252483708",
                "1341592155",
                "1318701701",
                "1326288727",
                "1364967630",
                "1419410104",
                "1465487000",
                "1487200515",
                "1548875275",
                "1592587125",
                "1609380616",
                "1581722042",
                "1568919643",
                "1623864855",
                "1601377159",
                "1611811794",
                "1634637414",
                "1956989386",
                "1944322704",
                "1971301532",
                "1981177684",
                "2062570428",
                "2041073156",
                "2055862074",
                "2033410501",
                "2118546274",
                "2181858372",
                "2128919629",
                "2107879217",
                "2090528494",
                "2090240137",
                "2049919502",
                "2069943899",
                "2080186479",
                "2039181923",
                "1887892913",
                "1821462734",
                "1797814271",
                "1713557192",
                "1737278225",
                "1693249601",
                "1752541230",
                "1819318021",
                "1875710733",
                "1824430926",
                "1819169968",
                "1902044175",
                "1937569632",
                "1947272100",
                "2087797337",
                "2101938105",
                "2125256902",
                "2143051158",
                "2164931707",
                "2106470715",
                "2051063126",
                "1995262300",
                "2015285407",
                "1974955869",
                "1915297105",
                "1859110250",
                "1978020833",
                "1927643732",
                "1910996947",
                "1919475426",
                "1984247488",
                "1986074107",
                "1990113950",
                "1949929501",
                "2015222997",
                "2021210880",
                "2010988845",
                "2019746799",
                "2063899545",
                "2014043170",
                "2081749511",
                "2034231049",
                "2038512203",
                "2025532243",
                "2049204028",
                "2039809464",
                "2030070681",
                "2039482812",
                "2025870516",
                "2032285818",
                "2106969964",
                "2042577072",
                "2048770983",
                "2081522814",
                "2068711438",
                "2028663350",
                "2032777784",
                "2010302435",
                "2010708487",
                "2000495314",
                "1955761793",
                "1905948838",
                "2066849743",
                "1972233331",
                "1909763250",
                "1931745084",
                "1949825193",
                "1839405806",
                "1818309296",
                "1833970609",
                "1716754833",
                "1795979529",
                "1725632369",
                "1633933659",
                "1618187433",
                "1663594426",
                "1618172408",
                "1620157101",
                "1607912960",
                "1542027220",
                "1499378814",
                "1552059956",
                "1640333228",
                "1643732245",
                "1617195586",
                "1634165752",
                "1648672279",
                "1649205811",
                "1654872931",
                "1706088285",
                "1731175738",
                "1729987046",
                "1750790176",
                "1771121621",
                "1880681088",
                "1872676344",
                "1848115003",
                "1805061544",
                "1821528229",
                "1858000683",
                "1824626387",
                "1781021399",
                "1871708713",
                "1901468298",
                "1921432506",
                "2038244524",
                "2215956704",
                "2295254028",
                "2241743857",
                "2247536439",
                "2329767718",
                "2369630776",
                "2344209769",
                "2414110983",
                "2451741274",
                "2434929138",
                "2478203510",
                "2548981435",
                "2890045084",
                "3045225542",
                "3255190000",
                "3498115769",
                "3361709244",
                "3243507388",
                "3100811295",
                "3147084808",
                "3160142667",
                "3167494244",
                "3030742457",
                "3093231309",
                "3131066887",
                "3154259828",
                "3089077681",
                "3085686127",
                "3084548507",
                "3107277408",
                "3075314822",
                "3003427906",
                "2901600947",
                "2773788059",
                "2697418604",
                "2652990434",
                "2646569595",
                "2617919146",
                "2402032717",
                "2357038817",
                "2309584374",
                "2317392982",
                "2241030331",
                "2122654979",
                "2048246847",
                "1789108592",
                "1662008858",
                "1806621669",
                "1742134104",
                "1556253373",
                "1508068936",
                "1482549593",
                "1419894825",
                "1241516155",
                "1320718183",
                "1077686611",
                "985012736",
                "916921862",
                "796179770",
                "803207931",
                "859021614",
                "779177395",
                "691946078",
                "650507722",
                "703483839",
                "602300807",
                "572650186",
                "573296343",
                "504214796",
                "534524782",
                "479097349",
                "499819965",
                "513911121",
                "457446169",
                "453033506",
                "436724140",
                "478538287",
                "420683349",
                "423631054",
                "2809148",
                "369863350",
                "351267443",
                "374694914",
                "352490685",
                "358570231",
                "336792236",
                "362393937",
                "322371858",
                "338249533",
                "318913218",
                "312440836",
                "347331566",
                "355690305",
                "287932186",
                "268627168",
                "288676222",
                "300759366",
                "291853157",
                "294068692",
                "277939669",
                "280621695",
                "270131323",
                "297879139",
                "324070238",
                "300129936",
                "294492112",
                "278197231",
                "283124203",
                "310714065",
                "300127007",
                "297063344",
                "320438604",
                "331241057",
                "319737092",
                "328943727",
                "374050814",
                "393469650",
                "418402274",
                "404730671",
                "416638815",
                "442029591",
                "460838413",
                "493316556",
                "526973183",
                "575367546",
                "580452489",
                "655498798",
                "637483553",
                "645614401",
                "722947559",
                "740684680",
                "752902739",
                "802750010",
                "811679509",
                "851177420",
                "865167158",
                "890662053",
                "897135735",
                "929815227",
                "971892816",
                "1012426285",
                "1053359780",
                "1085728303",
                "1152151506",
                "1220971285",
                "1239070276",
                "1259628917",
                "1344428155",
                "1430775876",
                "1482642182",
                "1467822186",
                "1431571830",
                "1507880904",
                "1523702717",
                "1558966072",
                "1586808643",
                "1637563920",
                "1641092536",
                "1612209302",
                "1616710537",
                "1687409903",
                "1708033871",
                "1681836588",
                "1708539431",
                "1909795840",
                "2013443774",
                "1842899487",
                "2057540147",
                "2092018387",
                "2101308187",
                "2126302730",
                "2114155741",
                "2177148769",
                "2175088122",
                "2194255009",
                "2184439496",
                "2203250396",
                "2152929756",
                "2123810425",
                "2099666244",
                "2118990948",
                "2074508669",
                "1850592873",
                "1850453068",
                "1847307735",
                "1795544981",
                "1759135146",
                "1683028357",
                "1654247920",
                "1657249451",
                "1699986967",
                "1727278469",
                "1872351126",
                "1845625352",
                "1942753216",
                "2036473522",
                "2126272113",
                "2096914995",
                "2125457267",
                "2197476082",
                "2232378248",
                "2156155177",
                "2122007595",
                "2038320950",
                "2014481720",
                "2030592377",
                "1991401781",
                "1970877168",
                "2039864908",
                "1998207733",
                "1921083533",
                "1934427090",
                "1900583331",
                "1976609280",
                "1968045441",
                "1974695237",
                "2069347379",
                "2001122428",
                "2015791964",
                "2028722787",
                "1991547276",
                "2027775385",
                "2062807092",
                "2043371631",
                "2024504624",
                "1972147764",
                "2002191021",
                "2037288626",
                "2077327760",
                "2092160070",
                "2075030874",
                "2005453998",
                "2045441968",
                "2039444728",
                "2017983066",
                "2041313555",
                "2031501670",
                "1963256405",
                "1967829770",
                "1938610768",
                "1971387539",
                "1965299207",
                "1949473948",
                "2020271274",
                "2001521473",
                "2026325281",
                "1994140225",
                "1987969131",
                "1888474255",
                "1797988437",
                "1788044292",
                "1786001172",
                "1817327635",
                "1742805772",
                "1628944264",
                "1605020995",
                "1677449893",
                "1630252092",
                "1562966382",
                "1599146369",
                "1555891219",
                "1539985909",
                "1526320280",
                "1525795941",
                "1588046120",
                "1569975425",
                "1574874532",
                "1554737447",
                "1615643476",
                "1628581511",
                "1613311900",
                "1580391097",
                "1650466266",
                "1647937697",
                "1644040272",
                "1645263704",
                "1740240045",
                "1698635932",
                "1717358060",
                "1657652506",
                "1712914542",
                "1762989851",
                "1762302819",
                "1734327083",
                "1971523220",
                "2004347911",
                "2077182444",
                "2169846877",
                "2179733476",
                "2242668871",
                "2276045073",
                "2321979753",
                "2633657495",
                "2852493910",
                "2889247215",
                "2989490844",
                "2977310428",
                "2730249236",
                "2746241954",
                "2759229934",
                "2785143976",
                "2864839703",
                "2873913432",
                "2849272442",
                "2992653774",
                "2915297341",
                "2809965809",
                "2909543014",
                "2993097445",
                "2955264964",
                "3033395622",
                "2993452912",
                "3068269071",
                "3121748009",
                "3057428262",
                "2950636987",
                "2983563662",
                "2952165096",
                "2862307628",
                "2934277441",
                "2828232867",
                "2881057364",
                "2624427540",
                "2689418601",
                "2873645089",
                "2674388530",
                "2577401325",
                "2499267937",
                "2478079057",
                "2491606989",
                "2307232268"
            ],
            "hosts_count":"2"
        }
    ]
}
```
