本文档提供棋牌盾下所有配置信息相关接口，开发者需要通过调用云 API 来完成相应的功能，关于云 API 的调用规范，请参见云 API 文档[ 请求结构](https://cloud.tencent.com/document/product/297/7290)、[返回结果](https://cloud.tencent.com/document/product/297/7295)、[签名方法](https://cloud.tencent.com/document/product/297/7299)。**注意在计算签名时请使用<font color=red>shield.api.qcloud.com</font color=red>作为请求域名**，而非后文提到的shield-safe.api.dayugf.com

### 1.关于参数
本文档中所有的接口都需要上传公共参数，可以参见云 API [公共参数说明](https://cloud.tencent.com/document/product/297/7291)，其余参数将在每个接口中给出
### 2.关于返回值
若 API 调用成功，则最终返回结果中的错误码 code 为 0，错误信息 message 为空，并且会显示返回的结果数据。示例如下：
```
{
    "code": 0,
    "message": "",
    "data": {
    }
}
```
后面每个接口的返回值都会放在 data 中。返回值中的错误码可以参见云 API [错误码说明](https://cloud.tencent.com/document/product/297/7297)。
### 3.完整的请求形式
完整的请求 URL 由以下几部分组成：
1)  棋牌盾域名对应的服务IP:
查询实例列表 (ShieldGetServicePacks) 的请求域名为：shield-safe.api.dayugf.com。这里不建议使用域名直接访问， 请通过 HTTPDNS 的形式获得棋牌盾域名对应的服务 IP，获取方式如下：
http://119.29.29.29/d?dn=shield-safe.api.dayugf.com. （注意域名必须包含最后的点）
通过以上结果得到棋牌盾服务器的 IP 列表，多个 IP 之间使用分号隔开。
返回结果示例：
```
1.1.1.1;2.2.2.2
```
HTTPDNS 的访问方式详细信息https://cloud.tencent.com/document/product/379/3524
2) 请求路径: 云 API 的请求路径固定为 /v2/index.php。
3) 最终请求参数串: 包括公共请求参数和接口请求参数。
最终的请求 URL 的拼接规则为: <font color=red>https:// + API 服务器 IP + 请求路径 +  ?  + 最终请求参数串</font color=red>
因此，我们得到最终的请求 URL 如下，其中前 6 个参数为公共请求参数，后面参数为接口请求参数。
**https://1.1.1.1/v2/index.php?**
Action = ShieldGetServicePacks
&SecretId = xxxxxxx
&Region = gz
&Timestamp = 1465055529
&Nonce = 59485
&Signature = mysignature
&<参数>
4) 发送请求时请在 HTTP 请求头中把 Host 设置为棋牌盾的请求域名 shield-safe.api.dayugf.com，即：
GET / HTTP/1.1
Host: shield-safe.api.dayugf.com
User-Agent: XXX
Connection: XXX
对应的 php 代码为：
```
$header = array (
	"Host: shield-safe.api.dayugf.com"
);
curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
```
