## 1. 接口描述
本接口(CreateMongoDB)用于创建副本集实例（包年包月）。
接口请求域名：<font style='color:red'>mongodb.api.qcloud.com </font>

1. 首先请使用[查询可创建实例规格](/document/product/240/8318)接口查询可创建的实例规格信息，然后请使用[查询实例价格（包年包月）](/document/product/240/8311)接口查询可创建实例的售卖价格；
2. 支持的实例类型：GIO（高IO版）、TGIO（高IO万兆）；
3. 支持的云数据库版本：MONGO_3_WT；
4. 单次创建的实例时长取值范围 [1,2,3,4,5,6,7,8,9,10,11,12,24,36] 单位：月。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='https://cloud.tencent.com/document/product/213/6976' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为CreateMongoDB。

| 参数名称 | 是否必选  | 类型 | 描述 |
|:---------|---------|---------|---------|
| zoneId | 是 | Int | 可用区ID，请使用[查询可创建实例规格](/document/product/240/8318)接口获取可创建的可用区 |
| typeId | 是 | String | 实例类型英文名称。 GIO：高IO版；TGIO：高IO万兆 |
| memory | 是 | Int | 实例内存大小，每一个内存值对应一个可选的磁盘大小范围，单位：MB |
| diskSize | 是 | Int | 实例磁盘大小，单位：GB |
| secondaryNum | 是 | Int | 复制集从节点个数，暂时只支持节点数为2 |
| version | 是 | Int | 数据库版本号，暂时只支持 MONGO_3_WT |
| goodsNum | 是 | Int | 一次购买的实例数 |
| period | 是 | Int | 购买时长, 单位：月， 取值范围 [1,2,3,4,5,6,7,8,9,10,11,12,24,36]|
| password | 是 | String | 实例密码，密码规则：1.长度为8-16个字符；2:至少包含字母、数字和字符（!@#%^()）中的两种 |
| unVpcId | 否 | String | 私有网络ID，如果不传则默认选择基础网络，请使用[私有网络列表](https://cloud.tencent.com/doc/api/245/1372) 查询 返回的unVpcId为准，如：vpc-kd7d06of|
| unSubnetId | 否 | String | 基础网络下， subnetId无效； vpc子网下，取值以查询[查询子网列表](https://cloud.tencent.com/document/product/215/1371) 返回的unSubnetId为准，如：subnet-3lzrkspo|
| projectId | 否 | Int | 项目id，取值以用户账户 > 用户账户相关接口查询 > [项目列表](https://cloud.tencent.com/doc/api/403/4400)返回的projectId为准|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 错误信息描述, 成功时，该值为空 |
| codeDesc | String | 业务侧错误码英文描述。成功时返回Success，错误时返回具体业务错误原因。 |
| data | Object | 返回的订单ID|

其中，data 表示订单ID，其参数构成如下：

| 参数名称 | 类型 | 描述 |
|:---------|---------|---------|
| data.dealId | String | 订单号，可通过 [DescribeMongodbDealDetail](/document/product/240/8313) 接口查询订单详情 |

## 4. 错误码
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
|11050|InvalidParameter|业务参数错误|
|11060|ServiceUnavailable|请求的区域暂时不提供服务|
|11071|UserNotInWhiteList|用户不在白名单中|
|11061|TypeIdIllegal|无效的typeId|
|11062|MemSizeExceedMaxLimit|请求的内存容量超过最大上限|
|11063|MemSizeIllegal|请求的内存内存不是1024的整数倍|
|11064|MemSizeNotInRange|请求的内存容量不在售卖范围内|
|11065|RequestSizeIllegal|请求的内存或磁盘容量非法，内存容量必须是1024整数倍，磁盘容量必须是整数|
|11066|DiskSizeNotInRange|请求的磁盘不在售卖范围内|
|11067|PeriodNotInRange|请求的时长不在售卖范围内，时长取值范围 [1,2,3,4,5,6,7,8,9,10,11,12,24,36]，单位：月|
|11072|SecondaryNumNotInRange|副本集实例，从节点个数不在售卖范围内，从节点数取值范围[1,2]|
|11059|PasswordRuleError|密码规则错误，密码必须是8-16位字符，且至少包含字母、数字和字符（!@#%^*()）中的两种|
|100207|OperationConstraints.AccountBalanceNotEnough|账号余额不足，请充值|
|11075|UnVpcIdNotExists|unVpcId 不存在|
|11076|UnSubnetIdNotExists|unSubnetId 不存在|

## 5. 示例
输入
<pre>
https://mongodb.api.qcloud.com/v2/index.php?Action=CreateMongoDB
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&zoneId=100002
&typeId=GIO
&memory=4096
&diskSize=30
&secondaryNum=2
&version=MONGO_3_MMAP
&goodsNum=1
&period=1
&password=49A2d!e@f12e
</pre>
输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "dealId": "3373037"
    }
}

```
