## 1. 接口描述
本接口(UpgradeMongoDB)用于升级副本集实例(包年包月),请确保账号余额充足。
接口请求域名：<font style='color:red'>mongodb.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/372/4153' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为UpgradeMongoDB。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| instanceId | 是 | String | 待操作的实例ID，可通过 [DescribeMongoDBInstances](/document/product/240/8312) 接口返回值中的 instanceId 获取。 |
| memory | 是 | Int | 升级后的实例内存大小，每一个内存值对应一个可选的磁盘大小范围，单位：MB|
| diskSize | 是 | Int | 升级后的实例磁盘大小，单位：GB|

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 错误信息描述, 成功时，该值为空 |
| codeDesc | String | 业务侧错误码英文描述。成功时返回Success，错误时返回具体业务错误原因。 |
| data | Array |返回的订单ID|

其中，data 表示订单ID，其参数构成如下：

| 参数名称 | 类型 | 描述 |
|:---------|---------|---------|
| data.dealId | String | 订单号，可通过 [DescribeMongodbDealDetail](/document/product/240/8313) 接口查询订单详情 |


## 4. 错误码
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
|11050|InvalidParameter|业务参数错误|
|11056|InstanceNotExists|没有找到对应实例|
|11051|InstanceDeleted|实例到期已被回收|
|11068|UpgradeNotAllowedOnZoneId|该区域不支持升级实例|
|11069|DiskSizeLessThanRealSize|请求的磁盘容量小于实际值|
|11070|MemSizeLessThanRealSize|请求的内存容量小于实际值|
|100207|OperationConstraints.AccountBalanceNotEnough|账号余额不足，请充值|

## 5. 示例
输入
<pre>
https://mongodb.api.qcloud.com/v2/index.php?Action=UpgradeMongoDB
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&instanceId=cmgo-6ozqe0uh
&memory=8192
&diskSize=60
</pre>
输出
```
{
    "code":"0",
    "message":"",
	"codeDesc": "Success",
	"data":{
		"dealId":"432587"
	}
}
```