## 1. 接口描述
本接口（DescribeRedisZones）用于查询售卖可用区。
接口请求域名：<font style='color:red'>redis.api.qcloud.com </font>

本接口查询可以创建 Redis 的可用区列表和对应的名称， 如果用户不能购买某个可用区的CRS实例， 该可用区将不会在返回的列表中。申请购买某地域白名单可以提交[工单](https://console.cloud.tencent.com/workorder/create?level1_id=10&level2_id=103&level1_name=%E6%95%B0%E6%8D%AE%E5%BA%93&level2_name=%E4%BA%91%E5%AD%98%E5%82%A8Redis%20CRS)。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/260/1753' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为DescribeRedisZones。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| 无 | 无 | 无 | 无 |

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 错误信息描述, 成功时，该值为空 |
| codeDesc | String | 业务侧错误码英文描述。成功时返回Success，错误时返回具体业务错误原因。 |
| data | Array |  |
| data.zones | Array | 所有可用区列表 | 
| data.zones.100002 | String | 可用区id对应的名称，比如：可用区id为10002，对应名称为广州二区 | 

## 4. 错误码
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
|11052|UserNotInWhiteList|用户不在白名单中|

## 5. 示例
输入
<pre>
https://redis.api.qcloud.com/v2/index.php?Action=DescribeRedisZones
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>
输出
```
{
    "code":"0",
    "message":"",
	"codeDesc": "Success",
    "data":{
        "zones":[
            {
                "100002":"广州二区"
            },
            {
                "200001":"上海一区"
            },
            {
                "300001":"香港一区"
            },
            {
                "400001":"北美一区"
            }
        ]
    },
}
```