## 1. 接口描述
本接口(DescribeRedisProduct)用于查询售卖规格。
接口请求域名：<font style='color:red'>redis.api.qcloud.com </font>

本接口查询指定可用区和实例类型下 CRS 的售卖规格， 如果用户不在购买白名单中，将不能查询该可用区或该类型的售卖规格详情。申请购买某地域白名单可以提交[工单](https://console.cloud.tencent.com/workorder/create?level1_id=10&level2_id=103&level1_name=%E6%95%B0%E6%8D%AE%E5%BA%93&level2_name=%E4%BA%91%E5%AD%98%E5%82%A8Redis%20CRS)

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/260/1753' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为DescribeRedisProduct。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| zoneIds.n | 否 | String | 可用区id组成的数组，数组下标从0开始, 若不传此参数将返回所有区域产品信息, 取值以[查询售卖可用区](http://cloud.tencent.com/doc/api/260/4951)返回为准|
| typeId | 否 | UInt | 实例类型：1 – 集群版，2 – 主从版, 0 – 所有类型|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 错误信息描述, 成功时，该值为空 |
| codeDesc | String | 业务侧错误码英文描述。成功时返回Success，错误时返回具体业务错误原因。 |
| data | Array | 返回的实例数据数组  |

**data数组的结构：**

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| zoneId| UInt |   可用区id| 
| name | String |可用区名称 |
| data.types | Array | 实例类型数组 | 

**data.types数组的结构：**

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| data.types.typeId | UInt | 实例类型 ID 数组 | 

**data.types.typeId数组的结构：**

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| data.types.typeId.type | UInt | 实例类型，1 – 集群版；2 – 主从版 | 
| data.types.typeId.typeName | String | 实例类型名称 | 
| data.types.typeId.minMemSize | UInt | 单个实例最小容量，单位:MB | 
| data.types.typeId.maxMemSize | UInt | 单个实例最大容量，单位:MB | 
| data.types.typeId.minBuyNum | UInt | 单次购买的最小实例数 | 
| data.types.typeId.maxBuyNum | UInt | 单次购买的最大实例数 |

## 4. 错误码
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
|11201|InvalidParameter|业务参数错误|
|11052|UserNotInWhiteList|用户不在白名单中|

## 5. 示例
输入
<pre>
https://redis.api.qcloud.com/v2/index.php?Action=DescribeRedisProduct
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&zoneIds.0=100002
&typeId=1
</pre>
输出
```
{
    "code": 0,
    "message": "",
	"codeDesc": "Success",
    "data": [
        {
            "zoneId": 100002,
            "name": "广州二区",
            "types": {
                "1": {
                    "type": 1,
                    "typeName": "集群版",
                    "minMemSize": 1024,
                    "maxMemSize": 204800,
                    "minBuyNum": 1,
                    "maxBuyNum": 10
                }
            }
        }
    ]
}
```