## 1. 接口描述
本接口(GetBackupDownloadUrl)用于查询CRS实例备份的下载地址。
接口请求域名：<font style='color:red'>redis.api.qcloud.com </font>

1. 内网地址和本地下载地址有效期为12个小时，过期后请重新获取；
2. 使用wget下载时需要对URL添加英文引号；

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='https://cloud.tencent.com/document/product/213/6976' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetBackupDownloadUrl。

| 参数名称 | 是否必选  | 类型 | 描述 |
|:---------|---------|---------|---------|
| redisId | 是 | String | 待操作的实例ID，可通过 [DescribeRedis](/document/product/239/1384) 接口返回值中的 redisId 获取。|
| backupId | 是 | String | 备份ID，可通过 [GetRedisBackupList](/document/product/239/1384) 接口返回值中的 backupId 获取。 |

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 错误信息描述, 成功时，该值为空 |
| codeDesc | String | 业务侧错误码英文描述。成功时返回Success，错误时返回具体业务错误原因。 |
| data | Object | 备份的下载地址 |

其中，data 表示备份的下载地址，其参数构成如下：

| 参数名称 | 类型 | 描述 |
|:---------|---------|---------|
| data.intranet | 内网地址 | 内网下载地址，仅支持在CVM上获取，有效期为12个小时，过期后请重新获取|
| data.extranet | 外网地址 | 外网地址，有效期为12个小时，过期后请重新获取|

## 4. 错误码
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
|11201|InvalidParameter|业务参数错误|
|10701|InstanceNotExists|没有找到serialId对应的实例|
|10711|BackupStatusAbnormal|备份状态异常，暂不能执行该操作|
|11213|BackupNotExists|根据backupId，没有找到实例对应的备份|

## 5. 示例
<pre>
https://redis.api.qcloud.com/v2/index.php?Action=GetBackupDownloadUrl
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&redisId=crs-c7xq4kqu
&backupId=fb8d2cd6-f6ee-11e6-ac36-525400394272
</pre>
返回示例如下：
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "intranet": "http://10.66.183.31:5500/download/dump.rdb?NuRTyoDugir/5bQ3o46lHIVXtwJKTEtotpngKa5R4A4AytZn+XjX7ywuP5QTV+ayfvQR3BIJRA12ECRSSGOzIM7qsLQ6TkjFVSkuoLqNJ0jCdm721qkJpQ==",
        "extranet": "http://203.195.128.115:9097/download/dump.rdb?NuRTyoDugir/5bQ3o46lHIVXtwJKTEtotpngKa5R4A4AytZn+XjX7ywuP5QTV+ayfvQR3BIJRA12ECRSSGOzIM7qsLQ6TkjFVSkuoLqNJ0jCdm721qkJpQ=="
    }
}
```