## 1. 接口描述
本接口(GetCdbJobList)用于查询云数据库任务列表。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbJobList。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| jobId | 否 | Int | 任务ID，执行 CDB 相关操作返回的 jobId |
| taskTypeList | 否 | Array | 任务类型，不传值则查询所有任务类型，可能取的值：2-SQL操作；3-数据导入；5-参数设置；6-初始化；7-重启；8-开启GTID；9-只读实例升级；10-数据库回档；11-主实例升级；12-删除库表；13-切换为主实例； |
| taskStatusList | 否 | Int | 任务状态，不传值则查询所有任务状态，可能返回的值：0-运行中；2-执行成功；3-执行失败；4-已中止；5-已删除；6-正在中止 |
| startTimeBegin | 否 | String | 任务开始时间，时间格式如：Y-m-d |
| startTimeEnd | 否 | String | 任务结束时间，时间格式如：Y-m-d |
| offset | 否 | Int | 记录偏移量，默认值为0 |
| limit | 否 | Int | 单次请求返回的数量，默认值为20，最大值为100 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关 |
| codeDesc | String | 错误码描述 |
| data | Array | 返回的任务状态数据 |
其中， data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | String | 任务错误码, 0表示成功，其他值表示失败。 |
| message | String | 任务信息，如果任务失败，则返回出错信息。 |
| jobId | Int | 任务ID |
| type | Int | 任务类型，可能返回的值：2-SQL操作；3-数据导入；5-参数设置；6-初始化；7-重启；8-开启GTID；9-只读实例升级；11-主实例升级；12-删除库表；13-切换为主实例 |
| status | Int | 任务状态，可能返回值：0-运行中；2-执行成功；3-执行失败；4-已中止；5-已删除；6-正在中止 |
| progress | Int | 任务进度，取值范围：[0-100]；其中，0表示任务开始，100表示任务完成。 |
| startTime | String | 任务开始时间，时间格式如：2017-02-05 18:19:08 |
| endTime | String | 任务结束时间，时间格式如：2017-02-05 18:19:08 |
| detail | Object | 任务详情 |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9000 | SystemError | 系统内部错误 |
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9013 | InternalError | 系统内部错误 |
| 9016 | InternalError | 系统内部错误 |
| 9544 | OperationDenied | 实例不存在 |
| 9572 | InstanceNotExists | 实例不存在 |
| 9576 | OperationDenied | 实例状态非运行中，不可操作 |
| 9593 | IncorrectInstanceStatus | 实例状态异常|

## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbJobList
&<<a href="/document/product/236/6921">公共请求参数</a>>
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "totalCount": "1",
    "data": [
        {
            "code": "0",
            "message": "参数设置成功",
            "jobId": "132",
            "type": "5",
            "status": "2",
            "progress": "100",
            "startTime": "2017-02-13 17:21:23",
            "endTime": "2017-02-13 17:25:27",
            "detail": [
                {
                    "code": 0,
                    "message": "设置参数成功",
                    "progress": 100,
                    "startTime": "2017-02-13 17:25:25",
                    "endTime": "2017-02-13 17:25:27",
                    "cdbInstanceId": "qcdb6bfd419f2e054beb210b8fa12b68fc15",
                    "paramList": [
                        {
                            "code": 0,
                            "message": "ok",
                            "name": "auto_increment_increment",
                            "cur_value": "5",
                            "old_value": "4"
                        }
                    ]
                }
            ]
        }
    ]
}
```

