## 1. 接口描述
本接口(AddCdbParamTemplate)用于新增一个云数据库实例的参数模板。
您还可以使用[查询参数模板列表](/doc/api/253/7185)接口查询参数模版列表信息。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为AddCdbParamTemplate。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| name | 是 | String | 模板名称，名称不能重复 |
| desc | 否 | String | 模板描述 |
| engineVersion | 否 | String | 数据库版本号，值包括：5.1，5.5和5.6；如未传templateId字段，则该值为必填。 |
| templateId | 否 | Int | 模板ID，如传该值，则传paramList字段将无效。 |
| paramList.n| 否 | String | 参数列表，参数格式：paramList.0.name=auto_increment_increment&paramList.0.value=1 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回的数据 |
其中，data的参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| templateId | Int | 模板ID| 


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9612 | InternalError | 插入数据库错误 |
| 9613 | InternalError | 查询数据库错误 |
| 20001 | InternalError.ReachedMaximum | 参数模板数量达到最大 |
| 20002 | InvalidParameter.DuplicateName | 参数模板名称重复 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=AddCdbParamTemplate
&<<a href="/document/product/236/6921">公共请求参数</a>>
&engineVersion=5.6
&name=test
&amp;paramList.0.name=connect_timeout
&amp;paramList.0.value=10
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "templateId":"1"
    }
}
```

