## 1. 接口描述
本接口(GetCdbModifyParamsJobTask)用于查询修改参数任务详情。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见 [公共参数](/doc/api/236/6921) 页面。其中，此接口的Action字段为GetCdbModifyParamsJobTask。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| jobId | 是 | Int | 修改参数的任务ID，是 [修改参数](/document/product/236/6368) 时返回的任务ID |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/253/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>|
| message | String | 模块错误信息描述，与接口相关|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回的数据 |
其中， data 的参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | String | 返回码，0成功，其他失败 |
| message | String | 错误码的信息 |
| jobId | Int | 任务ID |
| type | Int | 任务类型，可能返回的值：5-修改参数 |
| status | Int | 任务状态，可能返回的值：0-初始化；1-运行中；2-成功；3-失败；4-终止；5-已删除 |
| progress | Int | 任务进度，用百分比表示，100表示完成 |
| startTime | String | 任务开始时间，时间格式：yyyy-mm-dd hh:mm:ss |
| endTime | String | 任务结束时间，时间格式：yyyy-mm-dd hh:mm:ss |
| detail | Object | 任务信息 |
其中， detail 的参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| cdbInstanceId | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用 [查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| paramList | Object | 修改的参数列表 |
其中， paramList 的参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | String | 返回码，0成功，其他失败 |
| message | String | 错误码的信息 |
| name | String | 修改的参数名称 |
| cur_value| String | 修改后的参数值 |
| old_value| String | 修改前的参数值 |


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9613 | InternalError | 查询数据库错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbModifyParamsJobTask
&<<a href="/document/product/236/6921">公共请求参数</a>>
&jobId=7
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "code": 0,
        "message": "参数设置成功",
        "jobId": 129,
        "type": 5,
        "status": 2,
        "progress": 100,
        "startTime": "2016-12-25 19:55:48",
        "endTime": "2016-12-25 19:56:29",
        "detail": [
            {
                "cdbInstanceId": "qcdbd392646a080c1f373f189d018f266c27",
                "paramList": [
                    {
                        "code": 0,
                        "message": "ok",
                        "name": "lower_case_table_names",
                        "cur_value": "1",
                        "old_value": "0"
                    },
                    {
                        "code": 0,
                        "message": "Same value",
                        "name": "character_set_server",
                        "cur_value": "utf8",
                        "old_value": "utf8"
                    }
                ]
            }
        ]
    }
}
```

