## 1. 接口描述
本接口(GetCdbParamsModifyHistory)用于查询参数修改记录。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见 [公共参数](/doc/api/236/6921) 页面。其中，此接口的Action 字段为 GetCdbParamsModifyHistory。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用 [查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| page | 否 | Int | 拉取第几页，默认值为1 |
| pageSize | 否 | Int | 每一页的数量，默认值为20，最大值100|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回的数据 |

其中， data 的参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| totalCount | Int | 总的修改记录数 |
| paramList | Array | 修改历史列表 |

其中， paramList 包含了多个参数信息，每个参数信息的数据结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| paramName | String | 参数名 | 
| oldValue | String | 旧值 | 
| newValue | String | 新值 | 
| isSucess | Int | 修改是否成功，可能返回的值：1-成功；0-失败 | 
| modifyTime | String | 修改时间，时间格式：yyyy-mm-dd hh:mm:ss | 
| cdbInstanceId | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用 [查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |

## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9543 | NameNotExists  | 重命名实例，旧实例名称不存在 |
| 9613 | InternalError | 查询数据库错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbParamsModifyHistory
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-jcti2cuw
&page=1
&pageSize=10
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "totalCount": 1,
        "paramList": [
            {
                "paramName": "back_log",
                "oldValue": "211",
                "newValue": "212",
                "isSucess": 1,
                "modifyTime": "2017-02-13 16:36:25",
                "cdbInstanceId": "qcdb6bfd419f2e054beb210b8fa12b68fc15"
            }
        ]
    }
}
```

