## 1. 接口描述
本接口(GetCdbParamTemplateList)用于查询云数据库实例的参数模板列表。
您还可以使用[修改参数模板](/doc/api/253/7188)、[删除参数模版](/doc/api/253/7187)、[新增参数模版](/doc/api/253/7186)来操作参数模版。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbParamTemplateList。


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回的数据 |
其中，data的参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| templateId | Int | 模板ID |
| name | String | 模板名称 |
| desc | String | 模板描述 |
| engineVersion | String | 数据库版本号，可能返回值：5.1，5.5和5.6 |


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9613 | InternalError | 查询数据库错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbParamTemplateList
&<<a href="/document/product/236/6921">公共请求参数</a>>
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":[
        {
            "templateId":"1",
            "name":"test",
            "desc":"",
            "engineVersion":"5.6"
        }
    ]
}
```

