## 1. 接口描述
本接口(RollbackCdbDatabaseTables)用于批量回档云数据库实例的库表。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为RollbackCdbDatabaseTables。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| instances.n.cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| instances.n.para | 是 | String | JSON字符串，请按照示例封装输入参数，支持多库、多表批量回档|

其中para字符串经过解析后，可得到如下结构：

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| rollbacktime | 是 | String | 数据库回档时间，时间格式为：yyyy-mm-dd hh:mm:ss，可使用[查询可回档时间](/doc/api/253/7168)接口获得 |
| strategy | 否 | String | 数据库回档策略，可选参数为table、db、full，该参数默认值为full。table——急速回档模式，仅导入所选中表级别的备份和binlog，如有跨表操作，且关联表未被同时选中，将会导致回档失败，该模式下参数dbs必须为空；db——快速模式，仅导入所选中库级别的备份和binlog，如有跨库操作，且关联库未被同时选中，将会导致回档失败；full——普通回档模式，将导入整个实例的备份和binlog，速度较慢。|
| dbs | 否 | Array | 待回档的数据库信息，表示整库回档，可使用[查询数据库](/doc/api/253/7167)接口查询实例的数据库信息 |
| tables | 否 | Array | 待回档的数据库表信息，表示按表回档，可使用[查询数据库](/doc/api/253/7167)和[查询数据库表](/doc/api/253/7176)接口查询实例的数据库表信息 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回数据 |

其中， data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| jobId | String | 任务ID，可使用[查询回档任务详情](/document/product/236/4114)接口查询任务详情。|


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9570 | OperationDenied | 不允许执行任务 |
| 9590 | OperationDenied | 任务数据库访问错误 |
| 9592 | OperationDenied | 任务正在运行 |
| 11041 | InternalError.CDBNotExist | CDB实例不存在 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=RollbackCdbDatabaseTables
&<<a href="/document/product/236/6921">公共请求参数</a>>
&instances.0.cdbInstanceId=cdb-mo64xu70
&instances.0.para={"rollbacktime":"2016-10-31 12:00:00","strategy":"full","dbs": [{"dbname": "db1","newname": "db1_bak"}],"tables":[{"db":"db2","table":[{"tablename":"table1","newname":"table1_bak"}]}]}
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "jobId":"111"
    }
}
```

