## 1. 接口描述
本接口(QueryCdbRollbackRangeTime)用于查询云数据库实例可回档的时间范围。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为QueryCdbRollbackRangeTime。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceIds.n | 是 | String | 一个或者多个实例ID，n表示从0开始的数组下标。实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回数据报文 |
其中， data 参数的元素构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 查询数据库错误码 |
| message | String |  查询数据库错误信息 |
| cdbInstanceId | String | 实例ID |
| times | Array | 可回档时间范围 | 
| times.begin | String | 实例可回档开始时间，时间格式：2016-10-29 01:06:04 |
| times.end | String | 实例可回档结束时间，时间格式：2016-11-02 11:44:47 |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 11041 | InternalError.CDBNotExist | CDB实例不存在 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=QueryCdbRollbackRangeTime
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceIds.0=cdb-mo64xu70
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":[
        {
            "code":"0",
            "message":"ok",
            "cdbInstanceId":"cdb-mo64xu70",
            "times":[
                {
                    "begin":"2016-10-29 01:06:04",
                    "end":"2016-11-02 11:44:47"
                }
            ]
        }
    ]
}
```

