## 1. 接口描述
本接口(GetCdbRollbackJob)用于查询回档任务列表。
接口请求域名：<font style="color:red">cdb.api.qcloud.com</font>

1. 根据云数据库实例ID查询云数据库实例回档任务列表；
2. 单次请求最多可返回100条任务记录。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbRollbackJob。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| offset | 否 | Int | 偏移量，默认为0|
| limit | 否 | Int | 返回任务数量，默认为50，最大值为100|

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回的回档任务集合 |

其中， data 参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| taskCount | Int | 回档任务总数 |
| taskList | Array | 回档任务集合 |

其中， taskList 表示任务列表数据，构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | String | 错误码 |
| message | String | 回档错误信息 |
| jobId | String | 任务ID |
| startTime | String | 开始时间 |
| endTime | String | 结束时间 |
| name | String | 待回档库表 |
| newName | String | 回档后库表 |
| progress | String | 回档进度 |
| status | Int | 回档状态 |
| taskMessage | String | 任务执行结果 |
| taskProgress | String | 任务执行进度 |
| taskStatus | String | 任务执行状态 |
| type | String | 任务类型。可能返回值：1-数据库回档；10-批量数据库回档 |
| taskContext | Array | 任务详情 |

其中， taskContext 表示任务的详细信息，构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| data | Array | 任务具体详情 |
| data.operator | String | 操作者UIN |
| data.uInstanceId | String | 实例短ID |
| data.strategy | String | 回档模式 |
| data.rollbackTime | String | 回档时间点 |
| data.dbs | Array | 回档库详情 |
| data.tables | Array | 回档库表详情 |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9013 | InternalError | 系统内部错误 |
| 9016 | InternalError | DES系统内部错误 |
| 9590 | InternalFailure | 任务数据库访问错误 |
| 9593 | IncorrectInstanceStatus | 实例状态异常 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbRollbackJob
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-c1nl9rpv
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "taskCount":"1",
        "taskList":[
            {
                "code":"0",
                "message":"",
                "jobId":"1343",
                "startTime":"2016-01-25 17:32:59",
                "endTime":"2016-01-25 17:35:02",
                "progress":"100",
                "status":"2",
                "taskMessage":"回档成功",
                "taskProgress":"100",
                "taskStatus":"2",
                "type":"10",
                "taskContext":{
                    "data":{
                        "operator":"231323",
                        "uInstanceId": "cdb-haubp2gm",
                        "strategy": "full",
                        "rollbackTime":"2016-01-25 17:32:39",
                        "dbs":[
                            {
                                "dbname":"test1",
                                "newname":"test1_bak"
                            }
                        ],
                        "tables": [
                            {
                                "db": "test2",
                                "table": [
                                    {
                                        "tablename": "test",
                                        "newname": "test_bak"
                                    }
                                ]
                            }
                        ]
                    }
                }
            }
        ]
    }
}
```
