## 1. 接口描述
本接口(GetCdbRollbackJobTask)用于查询回档任务详情。
接口请求域名：<font style="color:red">cdb.api.qcloud.com</font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbRollbackJobTask。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| jobId | 是 | Int | 回档任务ID，请使用[查询回档任务列表](/doc/api/253/4115)接口查询任务ID |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回的数据 |

其中， data 参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| jobInfo | Object | 任务信息 |
| taskDetail | Object | 任务详情 |

其中， jobInfo 表示任务信息，其结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | String | 错误码，0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| jobId | Int | 任务ID |
| type | Int | 任务类型，可能返回的值：10-数据库回档 |
| status | Int | 任务状态 |
| progress | Int | 任务进度 |
| startTime | String | 任务开始时间 |
| endTime | String | 任务结束时间 |
| detail | Array | 任务详情 |

其中， detail 表示任务详情，其结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| operator | String | 操作者 |
| cdbInstanceId | String | 实例ID |
| rollbackTime | String | 回档时间 |
| dbs | Array | 数据库信息 |
| tables | Array | 数据库表信息 |

其中， taskDetail 表示任务信息，其结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | int | 错误码，可能返回值：0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| status | String | 任务状态 |
| progress | String | 任务进度 |
| startTime | String | 开始时间 |
| endTime | String | 结束时间 |
| taskInfo | Array | 任务信息 |

其中， taskInfo 表示任务信息，其结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| operator | String | 操作者UIN |
| cdbInstanceId | String | 实例ID |
| rollbackTime | String | 回档时间 |
| dbs | Array | 数据库 |
| tables | Array | 数据库表信息 |

## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9013 | InternalError | 系统内部错误 |
| 9016 | InternalError | DES系统内部错误 |
| 9590 | InternalFailure | 任务数据库访问错误 |
| 9593 | IncorrectInstanceStatus | 实例状态异常 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbRollbackJobTask
&<<a href="/document/product/236/6921">公共请求参数</a>>
&jobId=12782
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "jobInfo": {
            "jobId": "12732",
            "type": "10",
            "status": "2",
            "progress": "100",
            "code": "0",
            "message": "所有实例回档成功",
            "startTime": "2016-03-22 17:26:23",
            "endTime": "2016-03-22 17:28:01",
            "detail": [
                {
                    "operator": "909619400",
                    "cdbInstanceId": "cdb-haubp2gm",
                    "rollbackTime": "2016-03-22 17:26:06",
                    "strategy": "full",
                    "dbs": [
                        {
                            "dbname": "test",
                            "newname": "test_bak_1"
                        }
                    ],
                    "tables": [
                        {
                            "db": "test2",
                            "table": [
                                {
                                    "tablename": "test",
                                    "newname": "test_bak"
                                }
                            ]
                        }
                    ]
                }
            ]
        },
        "taskDetail": [
            {
                "taskInfo": {
                    "operator": "909619400",
                    "cdbInstanceId": "cdb-haubp2gm",
                    "rollbackTime": "2016-03-22 17:26:06",
                    "strategy": "full",
                    "dbs": [
                        {
                            "dbname": "test",
                            "newname": "test_bak_1"
                        }
                    ],
                    "tables": [
                        {
                            "db": "test2",
                            "table": [
                                {
                                    "tablename": "test",
                                    "newname": "test_bak"
                                }
                            ]
                        }
                    ]
                },
                "status": "2",
                "progress": "100",
                "code": "0",
                "message": "回档成功",
                "startTime": "2016-03-22 17:27:01",
                "endTime": "2016-03-22 17:28:01"
            }
        ]
    }
}
```

