## 1. 接口描述
本接口(GetCdbExportLogUrl)用于查询云数据库实例数据与日志的下载地址。
接口请求域名：<font style="color:red">cdb.api.qcloud.com</font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/253/1739' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbExportLogUrl。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| type | 是 | String | 日志类型，可传值：coldbackup（冷备），binlog（二进制日志）和slowlog_day（慢查询日志）|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回的导出地址集合 |
其中，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| data.file_name | String | 备份文件名 | 
| data.size | Int | 备份文件大小，单位：Byte | 
| data.date | String | 备份快照时间，时间格式：2016-03-17 02:10:37 | 
| data.in_url | String | 内网下载地址，该值为空表示当天没有备份、binlog、或者慢日志文件 | 
| data.type | String | 日志具体类型，可能的值有：mysql（逻辑冷备）；xtrabackup（物理冷备）；binlog（二进制日志）；slowlog（慢查询日志） | 


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9000 | SystemError | 系统内部错误 |
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9013 | InternalError | 系统内部错误 |
| 9016 | InternalError | DES系统内部错误 |
| 9544 | OperationDenied | 实例不存在 |
| 9572 | InstanceNotExists | 实例不存在 |
| 9576 | OperationDenied | 实例状态非运行中，不可操作 |
| 9593 | IncorrectInstanceStatus | 实例状态异常 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbExportLogUrl
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-c1nl9rpv
&type=coldbackup
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":[
        {
            "file_name":"%E6%B5%8B%E8%AF%952_backup_2016-03-17",
            "size":"14131139",
            "type":"mysql",
            "date":"2016-03-17 02:10:37",
            "in_url":"http://gz.dl.cdb.tencentyun.com:33003/5822923d304b5083c3e63a916177b9?appid=1251004065&time=1458551053&sign=SbPKB1kKmn2eVZjSzm5sk7zPpnU%3D"
        },
        {
            "file_name":"%E6%B5%8B%E8%AF%952_backup_2016-03-18",
            "size":"14132919",
            "type":"mysql",
            "date":"2016-03-18 02:17:01",
            "in_url":"http://gz.dl.cdb.tencentyun.com:33003/865591074008fe3a04d4d5798b21f3?appid=1251004065&time=1458551053&sign=sPnnfyTq%2BU%2FIbMYKpVLce1c14Mc%3D"
        },
        {
            "file_name":"%E6%B5%8B%E8%AF%952_backup_2016-03-19",
            "size":"14178767",
            "type":"mysql",
            "date":"2016-03-19 02:33:27",
            "in_url":"http://gz.dl.cdb.tencentyun.com:33003/98a1bf8851ecc90f2d68ed150275f1?appid=1251004065&time=1458551053&sign=Q5zlJu0kRhTOr9Vmfpu%2B0MbYDyo%3D"
        },
        {
            "file_name":"%E6%B5%8B%E8%AF%952_backup_2016-03-20",
            "size":"14201855",
            "type":"mysql",
            "date":"2016-03-20 01:58:37",
            "in_url":"http://gz.dl.cdb.tencentyun.com:33003/3e21316c7a4ba8b2cba2748ce89df4?appid=1251004065&time=1458551053&sign=jAwb%2ByBMXcQUggjIiawmwHiSk0w%3D"
        },
        {
            "file_name":"%E6%B5%8B%E8%AF%952_backup_2016-03-21",
            "size":"14213659",
            "type":"mysql",
            "date":"2016-03-21 02:01:23",
            "in_url":"http://gz.dl.cdb.tencentyun.com:33003/31b07c76e8fe83d8b733ae5079bc2c?appid=1251004065&time=1458551053&sign=ij6QVPnU3NBxAWKKz1ROGa%2FO6IU%3D"
        }
    ]
}
```

