## 1. 接口描述
本接口(GetExportBackupUrl)用于查询备份的下载地址，支持指定库表来获取备份的下载地址。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>

1.内网地址和本地下载地址有效期为12个小时，过期后请重新获取；
2.使用wget下载时需要对URL添加英文引号；
3.仅支持下载库表结构和数据内容，暂无法下载视图、存储过程，用户自定义函数、触发器等内容。


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetExportBackupUrl。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| date | 是 | String | 备份时间，时间格式：2015-11-05 02:18:23，可使用[查询备份与日志](/doc/api/253/4691)接口获取 |
| dbTableList | 是 | Array | 库表内容，数组转换为JSON字符串，格式如：[{"dbname":"test1","tableList":[]},{"dbname":"mysql","tableList":["general_log","slow_log"]}] |

其中，dbTableList参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| dbname | String | 数据库名称 | 
| tableList | Array | 数据库表 | 


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 错误码描述 |
| data | Array | 备份数据 |

其中，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| file_name | String | 备份文件名称 | 
| size | Int | 备份文件大小，单位：Byte | 
| date | String | 备份快照时间，时间格式：2016-07-06 01:04:54 | 
| in_url | String | 内网下载地址，仅支持在CVM上获取，有效期为12个小时，过期后请重新获取 |
| type | String | 日志具体类型，可能的值有：mysql（逻辑冷备）；xtrabackup（物理冷备）；binlog（二进制日志）；slowlog（慢查询日志） | 


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9000 | SystemError | 系统内部错误 |
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9013 | InternalError | 系统内部错误 |
| 9016 | InternalError | DES系统内部错误 |
| 9544 | OperationDenied | 实例不存在 |
| 9572 | InstanceNotExists | 实例不存在 |
| 9576 | OperationDenied | 实例状态非运行中，不可操作 |
| 9593 | IncorrectInstanceStatus | 实例状态异常 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetExportBackupUrl
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-c1nl9rpv
&date=2016-07-06 01:04:54
&dbTableList=[{"dbname":"test1","tableList":[]},{"dbname":"mysql","tableList":["general_log","slow_log"]}]
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":[
        {
            "file_name":"cdb154153_backup_2016-07-06 01:04:54",
            "size":"671224",
			"type":"mysql",
            "date":"2016-07-06 01:04:54",
            "in_url":"http://gz.dl.cdb.tencentyun.com/**?appid=1351000042&time=1467971011&sign=ChupJ1dMt8W%2BcYHLlYGAE6ccEnk%3D&dbtbcode=272"
        }
    ]
}
```

