## 1. 接口描述
本接口(DescribeCdbSlowQueryLog)用于获取云数据库实例的慢查询日志。<font style="color:red">已废弃，推荐使用</font>[查询备份与日志](/document/product/236/4691)接口来下载慢查询日志。

接口请求域名：<font style="color:red">cdb.api.qcloud.com</font>

1. 根据云数据库实例ID获取慢查询日志；
2. 接口只返回一天的日志信息；
3. 单次请求最多可返回100条日记记录。


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/253/1739' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为DescribeCdbSlowQueryLog。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| date | 否 | String | 日期，只保存最近七天数据，含当天，默认为今天，返回一天的记录信息。格式：yyyy-mm-dd |
| offset | 否 | Int | 偏移量，默认值为0 |
| limit | 否 | Int | 返回记录数量，默认值为20，最大值为100 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| totalCount | Int | 返回符合查询条件的日志总数 |
| slowLogSet | Array | 慢查询日志，默认按照日志产生时间来排序 |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9013 | InternalError | 系统内部错误 |
| 9016 | InternalError | DES系统内部错误 |
| 9544 | OperationDenied | 实例不存在 |
| 9572 | InstanceNotExists | 实例不存在 |
| 9590 | InternalFailure | 任务数据库访问错误 |
| 9593 | IncorrectInstanceStatus | 数据库状态异常 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=DescribeCdbSlowQueryLog
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-c1nl9rpv
</pre>

输出
```
{
  "code":0,
  "message":"",
  "codeDesc":"Success",
  "totalCount":1,
  "slowLogSet":["SEL﻿﻿﻿ECT_ * FROM table"]
}

```

