## 1. 接口描述
本接口(CreateCdb)用于创建包年包月的实例（包括主实例和只读实例），可通过传入实例规格、MySQL 版本号、购买时长和数量等信息创建云数据库实例。
您还可以使用[查询实例列表](/doc/api/253/1266)接口查询该实例的详细信息。
接口请求域名：<font style="color:red">cdb.api.qcloud.com</font>

1. 首先请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口查询可创建的实例规格信息，然后请使用[查询价格（包年包月）](/doc/api/253/1332)接口查询可创建实例的售卖价格；
2. 单次创建实例最大支持 10 个，实例时长最大支持 36 个月；
3. 支持创建 MySQL5.5 和 MySQL5.6 版本；
4. 支持创建主实例、只读实例，暂不支持创建灾备实例，您可使用[创建实例（按量计费）](/doc/api/253/5175)接口创建灾备实例；


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为CreateCdb。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbType | 是 | String | 实例规格，支持固定规格和自定义规格。传 CUSTOM 代表自定义规格； 固定规格的取值，请使用[查询可创建规格](/doc/api/253/1333)接口获取。<font style='color:red'> 固定规格类型将会下线，推荐使用自定义规格。</font> |
| engineVersion | 是 | String | MySQL版本，值包括：5.5和5.6，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可创建的实例版本 |
| period | 是 | Int | 实例时长，单位：月，最小值1，最大值为36，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可创建的实例时长，该接口返回字段timeSpan表示时长可选值 |
| goodsNum | 是 | Int | 实例数量，默认值为1, 最小值1，最大值为10，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可创建的实例数量 |
| vpcId | 否 | String | 私有网络ID，<font style='color:red'>格式为 gz_vpc_64 或者 64</font>，如果不传则默认选择基础网络，请使用[查询私有网络列表](/doc/api/245/1372) |
| subnetId | 否 | String | 私有网络下的子网ID，<font style='color:red'>格式为 gz_subnet_18748 或者 18748</font>，如果设置了 vpcId，则 subnetId 必填，请使用[查询子网列表](/doc/api/245/1371) |
| projectId | 否 | Int | 项目ID，不填为默认项目。请使用[查询项目列表](/document/product/378/4400)接口获取项目ID |
| memory | 否 | Int | 实例内存大小，单位：MB，当 cdbType 值为 CUSTOM 时， memory 为必填；当 cdbType 为整型值时，传入 memory 值将无效，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可创建的内存规格 |
| volume | 否 | Int | 实例硬盘大小，单位：GB，当 cdbType 值为 CUSTOM 时， volume 为必填；当 cdbType 为整型值时，传入 volume 值将无效，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可创建的硬盘范围 |
| zoneId | 否 | Int | 可用区ID，该参数缺省时，系统会自动选择一个可用区，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可创建的可用区 |
| port | 否 | Int | 自定义端口，端口支持范围：[ 1024-65535 ] |
| password | 否 | String | 设置root帐号密码，密码规则：8-16个字符，至少包含字母、数字、字符（支持的字符：!@#$%^*()）中的两种，购买主实例时可指定该参数，购买只读实例或者灾备实例时指定该参数无意义|
| instanceRole | 否 | String |实例类型，默认为 master，支持值包括：master-表示主实例，ro-表示只读实例|
| cdbInstanceId | 否 | String | 实例ID，购买只读实例时必填，该字段表示只读实例的主实例ID，请使用[查询实例列表](/doc/api/253/1266)接口查询云数据库实例ID |
| protectMode | 否 | Int | 数据复制方式，默认为0，支持值包括：0-表示异步复制，1-表示半同步复制，2-表示强同步复制|
| deployMode | 否 | Int | 多可用区域，默认为0，支持值包括：0-表示单可用区，1-表示多可用区|
| slaveZoneFirst | 否 | Int | 备库1的可用区ID，默认为zoneId的值|
| slaveZoneSecond | 否 | Int | 备库2的可用区ID，默认为0|

其中paramList为修改实例的参数列表，是一个数组，其中每一个元素包含name和value字段，格式描述如下（购买主实例时可指定该参数，购买只读实例或者灾备实例时指定该参数无意义）：

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| paramList.n.name | 否 | String | 待修改参数的名 |
| paramList.n.value | 否 | String | 待修改参数的值 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| dealIds | Array | 短订单ID，用于调用云API相关接口，如[获取订单信息](/doc/api/403/4392) |

其中， data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| dealIds | Array | 短订单ID，用于调用云API相关接口，如[获取订单信息](/doc/api/403/4392) |
| dealNames | Array | 长订单ID，用于反馈订单问题给腾讯云官方客服 |
| cdbInstanceIds | Object | 实例ID列表，以长订单ID为键，实例ID为值（Array） |


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 100207 | OperationConstraints.AccountBalanceNotEnough | 帐户余额不足 |
| 9301 | InvalidParameter | 交易参数错误。实际调用的时候，会返回具体的错误信息 |
| 9006 | InternalError | 数据库内部错误 |
| 9003 | InvalidParameter | 参数错误。实际调用的时候，会返回具体的错误信息 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=CreateCdb
&<<a href="/document/product/236/6921">公共请求参数</a>>
&engineVersion=5.6
&cdbType=custom
&goodsNum=1
&memory=360
&volume=10
&zoneId=100002
&period=1
&amp;paramList.0.name=connect_timeout
&amp;paramList.0.value=11
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "dealIds": [
        "2722497"
    ],
    "data": {
        "dealNames": [
            "20161123119511"
        ],
        "dealIds": [
            "2722497"
        ],
        "cdbInstanceIds": {
            "20161123119511": [
                "cdb-dgnbhovw"
            ]
        }
    }
}

```
