## 1. 接口描述
本接口(CdbMysqlInit)用于初始化云数据库实例，初始化实例时可设置实例的字符集、端口、表名大小写是否敏感和 root 帐号的密码；实例初始化完成后，就可以投入使用了。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为CdbMysqlInit。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| charset | 是 | String | 字符集，支持字符集：[ latin1、utf8、gbk、utf8mb4 ] |
| port | 是 | Int | 自定义端口，端口支持范围：[ 1024-65535 ] |
| lowerCaseTableNames | 是 | Int | 表名是否只存储为小写，可能返回值：1-表名存储为小写； 0-表名大小写敏感 |
| password | 是 | String | 设置root帐号密码，密码规则：8-16个字符，至少包含字母、数字、字符（支持的字符：!@#$%^*()）中的两种 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| jobId | Int | 任务ID，请使用[查询初始化异步任务详情](/doc/api/253/5334)接口查询任务详情。 |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9587 | InvalidParameter | 密码验证错误 |
| 9590 | InternalFailure | 任务数据库访问错误 |
| 9593 | IncorrectInstanceStatus | 实例状态异常 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=CdbMysqlInit
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-c1nl9rpv
&charset=utf8
&port=3306
&password=cloud123456
&lowerCaseTableNames=0
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "jobId":"12894"
}
```

