## 1. 接口描述
本接口(UpgradeCdb)用于升级云数据库实例，实例类型支持主实例、灾备实例和只读实例。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为UpgradeCdb。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| memory | 是 | Int | 升级后的内存大小，单位：MB，为保证传入 memory 值有效，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可升级的内存规格。 |
| volume | 是 | Int | 升级后的硬盘大小，单位：GB，为保证传入 volume 值有效，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可升级的硬盘范围。 |
| instanceRole | 否 | String | 实例类型，默认为master，支持值包括：master-表示主实例、灾备实例和ro-表示只读实例。 |
| protectMode | 否 | Int | 数据复制方式，默认为0，支持值包括：0-表示异步复制，1-表示半同步复制，2-表示强同步复制，升级主实例时可指定该参数，升级只读实例或者灾备实例时指定该参数无意义 |
| deployMode | 否 | Int | 多可用区域，默认为0，支持值包括：0-表示单可用区，1-表示多可用区，升级主实例时可指定该参数，升级只读实例或者灾备实例时指定该参数无意义 |
| slaveZoneFirst | 否 | Int | 备库1的可用区ID，默认为zoneId的值，升级主实例时可指定该参数，升级只读实例或者灾备实例时指定该参数无意义|
| slaveZoneSecond | 否 | Int | 备库2的可用区ID，默认为0，升级主实例时可指定该参数，升级只读实例或者灾备实例时指定该参数无意义|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回数据 |

其中实例计费模式为包年包月时，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| dealIds | Array | 短订单ID，用于调用云API相关接口，如[获取订单信息](/doc/api/403/4392) |
| dealNames | Array | 长订单ID，用于反馈订单问题给腾讯云官方客服 |
| jobId | Int | 升级任务ID，可使用[查询任务列表](/doc/api/236/8010)获取其执行情况 |

其中实例计费模式为按量计费时，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| dealIds | Array | 按量计费升级订单ID，用于反馈订单问题给腾讯云官方客服 |
| jobId | Int | 升级任务ID，可使用[查询任务列表](/doc/api/236/8010)获取其执行情况 |


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误码 | 英文错误码 | 描述 |
|---------|---------|---------|
| 100207 | OperationConstraints.AccountBalanceNotEnough | 帐户余额不足 |
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9301 | InvalidParameter | 交易参数错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=UpgradeCdb
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-8qrg9t04
&memory=4000
&volume=25
&instanceRole=master
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "dealIds": [
            "20161123160000035193343514402319"
        ],
        "jobId":"111"
    }
}
```

