## 1. 接口描述
本接口(UpgradeCdbEngineVersion)用于升级云数据库实例的引擎版本。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为UpgradeCdbEngineVersion。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| engineVersion | 是 | String | MySQL版本，值包括：5.5和5.6|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回数据 |

其中实例计费模式为包年包月时，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| dealIds | Array | 短订单ID，用于调用云API相关接口，如[获取订单信息](/doc/api/403/4392) |
| dealNames | Array | 长订单ID，用于反馈订单问题给腾讯云官方客服 |
| jobId | Int | 升级任务ID，可使用[查询任务列表](/doc/api/236/8010)获取其执行情况 |

其中实例计费模式为按量计费时，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| dealIds | Array | 按量计费订单ID，用于反馈订单问题给腾讯云官方客服 |
| jobId | Int | 升级任务ID，可使用[查询任务列表](/doc/api/236/8010)获取其执行情况 |


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误码 | 英文错误码 | 描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9301 | InvalidParameter | 交易参数错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=UpgradeCdbEngineVersion
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-8qrg9t04
&engineVersion=5.6
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "dealIds": [
            "20161123160000035193343514402319"
        ],
        "jobId":"111"
    }
}
```

