## 1. 接口描述
本接口(OpenCdbExtranetAccess)用于开通云数据库实例的外网访问。开通外网访问后，您可通过外网域名和端口访问实例，可使用[查询实例列表](/doc/api/253/1266)接口获取外网域名和端口信息。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为OpenCdbExtranetAccess。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| password | 是 | String | 外网访问密码，至少包含字母、数字和字符（_+-&=!@#$%^*()）中的两种，长度为8-16个字符 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回任务数据 |
其中， data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| jobId | String | 任务ID |


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9572 | InstanceNotExists | 操作的实例不存在 |
| 9573 | OperationDenied | 外网权限已经开通 |
| 9574 | OperationDenied | 外网权限未开通 |
| 9575 | OperationDenied | 外网权限操作处理中 |
| 9576 | OperationDenied | 实例状态非运行中，不可操作 |
| 9587 | InvalidParameter | 密码验证错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=OpenCdbExtranetAccess
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-8qrg9t04
&password=abc123456
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "jobId": 168137
    }
}
```

