## 1. 接口描述
本接口(OpenCdbHour)用于恢复按量计费且已被隔离的实例，恢复实例前请确保账户已充值。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为OpenCdbHour。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceIds.n | 是 | String | 一个或者多个实例ID，n表示从0开始的数组下标。实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| instanceRole | 否 | String | 实例类型，默认为master，支持的值：master-主实例或灾备实例；ro-只读实例 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回数据 |

其中， data 的参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| instanceRole | String | 实例类型，默认为master，支持的值：master-主实例或灾备实例；ro-只读实例 |
| cdbInstanceIds | Array | 恢复实例结果列表 |
其中， cdbInstanceIds 的参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 处理结果，可能包含的值：0-成功，非0-失败 |
| message | String | 错误描述，当 code 为非0时，该值有效 |
| oldStatus | String | 实例更改前的状态值，可能包含的值：1-运行中；5-为隔离中 |
| cdbInstanceId | String | 实例ID |


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 100207 | OperationConstraints.AccountBalanceNotEnough | 帐户余额不足 |
| 9003 | InvalidParameter | 参数错误 |
| 9640 | InternalFailure | 查询账户余额失败 |
| 9572 | InstanceNotExists | 实例不存在 |
| 9548 | IncorrectInstanceStatus | 数据库不处于隔离状态 |
| 9592 | OperationDenied | 任务运行中 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=OpenCdbHour
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceIds.0=cdb-41lrk52w
&instanceRole=master
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "cdbInstanceIds":[
            {
                "oldStatus":"5",
                "code":"0",
                "message":"",
                "cdbInstanceId":"cdb-41lrk52w"
            }
        ],
        "instanceRole":"master"
    }
}
```

