## 1. 接口描述
本接口(InquiryCdbPrice)用于查询云数据库实例某一个类型的包年包月价格（包括主实例和只读实例），可传入实例类型、购买时长、购买数量、内存大小、硬盘大小和可用区ID来查询实例价格。
您还可以使用[创建实例（包年包月）](/doc/api/253/1334)接口来创建一个新实例。
接口请求域名：<font style="color:red">cdb.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为InquiryCdbPrice。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbType | 是 | String | 实例规格，支持固定规格和自定义规格；传 CUSTOM 代表自定义规格， 固定规格的取值，请使用[查询可创建规格](/doc/api/253/1333)接口获取。<font style='color:red'> 固定规格类型将会下线，推荐使用自定义规格。</font>|
| period | 是 | Int | 实例时长，单位：月，最小值1，最大值为36，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可创建的实例时长，该接口返回字段timeSpan表示时长可选值|
| goodsNum | 是 | Int | 实例数量，默认值为1, 最小值1，最大值为10，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可创建的实例数量|
| memory | 否 | Int | 实例内存大小，单位：MB，当 cdbType 值为 CUSTOM 时， memory 为必填；当 cdbType 为整型值时，传入 memory 值将无效，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可创建的内存规格 |
| volume | 否 | Int | 实例硬盘大小，单位：GB，当 cdbType 值为 CUSTOM 时， volume 为必填；当 cdbType 为整型值时，传入 volume 值将无效，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可创建的硬盘范围 |
| zoneId | 否 | Int | 可用区ID，该参数缺省时，系统会自动选择一个可用区，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可创建的可用区 |
| instanceRole | 否 | String |实例类型，默认为 master，支持值包括：master-表示主实例，ro-表示只读实例|
| protectMode | 否 | Int | 数据复制方式，默认为0，支持值包括：0-表示异步复制，1-表示半同步复制，2-表示强同步复制|

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| price | Int | 实例价格，单位：分（人民币） |


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9301 | InvalidParameter | 交易参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9003 | InvalidParameter | 参数错误 |


## 5. 示例

输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=InquiryCdbPrice
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbType=CUSTOM
&memory=1000
&volume=25
&period=1
&goodsNum=1
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "price": 12804
}
```
