## 1. 接口描述
本接口(GetCdbInitInfo)用于查询初始化任务详情。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbInitInfo。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| jobId | 是 | Int | 初始化任务ID，是执行[初始化实例](/document/product/236/5335)时返回的任务ID。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 任务详情 |
其中， data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | String | 任务错误码, 0表示成功，其他值表示失败。 |
| message | String | 任务信息，如果任务失败，则返回出错信息。 |
| jobId | Int | 任务ID |
| type | Int | 任务类型，可能返回的值：6-初始化实例 |
| status | Int | 任务状态，可能返回值：0-运行中；2-执行成功；3-执行失败；4-已中止；5-已删除；6-正在中止。 |
| progress | Int | 任务进度，取值范围：[0-100]，其中，0表示任务开始，100表示任务完成。 |
| startTime | String | 任务开始时间，时间格式如：2017-02-05 18:19:08 |
| endTime | String | 任务结束时间，时间格式如：2017-02-05 18:19:08 |
| detail | Object | 任务信息 |
其中， detail 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| cdbInstanceId | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9590 | InternalFailure | 任务数据库访问错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbInitInfo
&<<a href="/document/product/236/6921">公共请求参数</a>>
&jobId=9
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "code": "0",
        "message": "success",
        "jobId": "47197",
        "type": "6",
        "status": "2",
        "progress": "100",
        "startTime": "2017-02-13 01:16:53",
        "endTime": "2017-02-13 01:17:56",
        "detail": [
            {
                "cdbInstanceId": "qcdbcb931d7017291f2a0431dd659f1005bf"
            }
        ]
    }
}
```

