## 1. 接口描述
本接口(InquiryCdbUpgradePrice)用于查询云数据库实例的升级价格，实例类型包括主实例、灾备实例和只读实例。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为InquiryCdbUpgradePrice。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| memory | 是 | Int | 升级后的内存大小，单位：MB，为保证传入 memory 值有效，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可升级的内存规格 |
| volume | 是 | Int | 升级后的硬盘大小，单位：GB，为保证传入 volume 值有效，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口获取可升级的硬盘范围 |
| instanceRole | 否 | String | 实例类型，默认为master，支持值包括：master-表示主实例、灾备实例和ro-表示只读实例 |
| protectMode | 否 | Int | 数据复制方式，默认为0，支持值包括：0-表示异步复制，1-表示半同步复制，2-表示强同步复制，查询主实例时可指定该参数，查询只读实例或者灾备实例时指定该参数无意义 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| price | Int | 升级实例的价格，单位：分（人民币）。对于包年包月实例，表示升级实例所需要额外支付的总价；对于按量计费实例，表示升级实例后新的计费单价 |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9301 | InvalidParameter | 交易参数错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=InquiryCdbUpgradePrice
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-jcti2cuw
&memory=2000
&volume=60
&instanceRole=master
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "price":"73"
}
```

