## 1. 接口描述
本接口(GetCdbUpgradeJobInfo)用于查询实例升级的任务详情，支持查询主实例、灾备实例和只读实例的升级详情。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbUpgradeJobInfo。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| jobId | 是 | Int | 升级实例任务ID，是执行[升级实例](/document/product/236/7164)时返回的任务ID。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 任务详情 |
其中， data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | String | 任务错误码, 0表示成功，其他值表示失败。 |
| message | String | 任务信息，如果任务失败，则返回出错信息。 |
| jobId | Int | 任务ID |
| type | Int | 任务类型，可能返回的值：9-只读实例升级；11-主实例升级； |
| status | Int | 任务状态，可能返回值：0-运行中；2-执行成功；3-执行失败；4-已中止；5-已删除；6-正在中止 |
| progress | Int | 任务进度，取值范围：[0-100]，其中，0表示任务开始，100表示任务完成。 |
| startTime | String | 任务开始时间，时间格式如：2017-02-05 18:19:08 |
| endTime | String | 任务结束时间，时间格式如：2017-02-05 18:19:08 |
| detail | Object | 任务详情 |
其中， detail 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| cdbInstanceId | String | 实例ID |
| dealName | String | 长订单ID，用于反馈订单问题给腾讯云官方客服 |
| before | Object | 升级前实例信息 |
| after | Object | 升级后实例信息 |
其中， before 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| cdbType | String | 升级前的实例规格 |
| memory | Int | 升级前的内存大小，单位：MB |
| volume | Int | 升级前的硬盘大小，单位：GB |
| engineVersion | String | 升级前的MySQL版本 |
| protectMode | String | 升级前的数据复制方式 |
| deployMode | String | 升级前的多可用区域，可能包括的值：0-单可用区部署 1-多可用区部署 |
| masterZone | String | 升级前的主库区域ID |
| slaveZoneFirst | Int | 升级前的备库_1的区域ID |
| slaveZoneSecond | Int | 升级前的备库_2的区域ID |
其中， after 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| cdbType | String | 升级后的实例规格 |
| memory | Int | 升级后的内存大小，单位：MB |
| volume | Int | 升级后的硬盘大小，单位：GB |
| engineVersion | String | 升级后的MySQL版本 |
| protectMode | String | 升级后的数据复制方式 |
| deployMode | String | 升级后的多可用区域，可能包括的值：0-单可用区部署 1-多可用区部署 |
| masterZone | String | 升级后的主库区域ID |
| slaveZoneFirst | Int | 升级后的备库_1的区域ID |
| slaveZoneSecond | Int | 升级后的备库_2的区域ID |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9590 | InternalFailure | 任务数据库访问错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbUpgradeJobInfo
&<<a href="/document/product/236/6921">公共请求参数</a>>
&jobId=12944
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "code": "0",
        "message": "success",
        "jobId": "47258",
        "type": "11",
        "status": "2",
        "progress": "100",
        "startTime": "2017-02-13 15:14:31",
        "endTime": "2017-02-13 15:18:32",
        "detail": [
            {
                "cdbInstanceId": "cdb-pdn63pw5",
                "dealName": "",
                "before": {
                    "memory": 1000,
                    "volume": 35,
                    "engineVersion": "5.5",
                    "protectMode": "",
                    "deployMode": "",
                    "masterZone": 100003,
                    "slaveZoneFirst": 100003,
                    "slaveZoneSecond": "",
                    "cdbType": ""
                },
                "after": {
                    "memory": 1000,
                    "volume": 40,
                    "engineVersion": "5.5",
                    "protectMode": "",
                    "deployMode": "",
                    "masterZone": 100003,
                    "slaveZoneFirst": 100003,
                    "slaveZoneSecond": 100003,
                    "cdbType": ""
                }
            }
        ]
    }
}
```

