## 1. 接口描述
本接口(GetCdbReadOnlyInstances)用于查询主实例关联的只读实例列表，支持按多个主实例ID查询。
您还可以使用[查询实例列表](/doc/api/253/1266)接口查询主实例和灾备实例列表。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbReadOnlyInstances。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceIds.n | 是 | String | 一个或者多个主实例ID，n表示从0开始的数组下标。实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 只读实例数据 |
其中， data 的参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| masterCdbInstanceId | String | 只读实例的主实例ID，可使用[查询实例列表](/doc/api/253/1266)接口查询实例ID |
| groupId | Int | 只读实例组ID，每个主实例暂支持三个只读实例组 |
| groupName | String | 只读实例组名 |
| cdbVersion | String | 只读实例数据库引擎版本，可能返回值：5.5和5.6 |
| cdbType | String | 只读实例规格描述，如：CUSTOM，请使用[查询可创建规格](/doc/api/253/1333)接口查询cdbType详情 |
| status | Int | 只读实例状态，可能返回值：<br>0-创建中<br>1-运行中<br>4-删除中<br>5-隔离中 |
| vip | String | 只读实例访问IP |
| vport | Int | 只读实例访问端口 |
| vpcId | Int | 只读实例所在私有网络ID，请使用[查询私有网络列表](/doc/api/245/1372) |
| subnetId| Int | 只读实例所在私有网络子网ID，请使用[查询私有网络列表](/doc/api/245/1372) |
| addTimeStamp | Int | 只读实例组创建时间，时间格式：yyyy-mm-dd hh:mm:ss |
| modTimeStamp | Int | 只读实例组最后修改时间，时间格式：yyyy-mm-dd hh:mm:ss |
| roList| Int | 只读实例组包含的只读实例列表，每个只读实例组目前暂支持一个只读实例 |
其中， roList 的参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| groupId | Int | 只读实例所在的只读实例组ID | 
| cdbInstanceId | String | 只读实例 UUID （已废弃），推荐使用 uInstanceId 替代。实例创建成功后才返回此ID，创建中的实例只返回实例ID。 |
| uInstanceId | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| cdbInstanceName | String | 只读实例名称 | 
| status | Int | 只读实例状态，可能返回值：<br>0-创建中<br>1-运行中<br>4-删除中<br>5-隔离中 | 
| taskStatus | Int | 只读实例任务状态，可能返回值：<br>0-当前没有任务<br>-升级任务<br>2-数据导入<br>3-开放slave读<br>4-外网访问开通中<br>5-批量操作<br>6-回档<br>7-外网访问关闭中<br>8-修改密码<br>9-改名<br>10-参数修改任务<br>11-初始化任务<br>12-自建迁移| 
| cdbVersion | String | 只读实例数据库引擎版本，可能返回值：5.5和5.6 | 
| cdbType | String | 只读实例规格描述，如：CUSTOM | 
| typeName | String | 只读实例类型名称，如：高IO版 | 
| initFlag | Int | 只读实例初始化标记，可能返回值：0-未初始化;1-已初始化 | 
| autoRenewFlag | Int | 只读实例自动续费标记，可能返回值：0-不自动续费;1-自动续费 | 
| dealId | String | 只读实例订单ID | 
| payType | Int | 只读实例计费类型，可能返回值：0-包年包月；1-按量计费；2-后付费月结 | 
| cdbMem | Int | 只读实例内存大小，单位：MB | 
| cdbVolume | Int | 只读实例硬盘大小，单位：GB | 
| cdbQps | Int | 只读实例最大查询次数，单位：次/秒 | 
| zoneId | Int | 只读实例所在可用区ID | 
| deadline | String | 只读实例到期时间，如实例为按量计费模式，则此字段值为0000-00-00 00:00:00。时间格式：yyyy-mm-dd hh:mm:ss | 
| modTimeStamp | String | 只读实例修改时间，时间格式：yyyy-mm-dd hh:mm:ss | 
| addTimeStamp | String | 只读实例创建时间，时间格式：yyyy-mm-dd hh:mm:ss | 
| binlogSize | Int | binglog大小，单位：GB |


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbReadOnlyInstances
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceIds.0=cdb-c1nl9rpv
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": [
        {
            "groupId": 46,
            "groupName": "Rogroup_86216464",
            "cdbVersion": "5.6",
            "cdbType": "CUSTOM",
            "status": 1,
            "vip": "10.66.149.97",
            "vport": 3306,
            "vpcId": 0,
            "subnetId": 0,
            "addTimeStamp": "2016-10-11 11:58:28",
            "modTimeStamp": "2016-10-11 11:58:30",
            "roList": [
                {
                    "groupId": 46,
                    "status": 1,
                    "cdbVersion": "5.6",
                    "cdbType": "CUSTOM",
                    "taskStatus": 0,
                    "initFlag": 1,
                    "autoRenewFlag": 0,
                    "deadline": "2016-10-11 12:58:28",
                    "modTimeStamp": "2016-11-04 18:30:05",
                    "addTimeStamp": "2016-10-11 11:58:28",
                    "dealId": "86216464",
                    "payType": 1,
                    "uInstanceId": "cdbro-quaopawc",
                    "cdbMem": 4000,
                    "cdbVolume": 110,
                    "zoneId": 800001,
                    "cdbQps": 4400,
                    "typeName": "高IO版",
                    "type": "CUSTOM",
                    "cdbInstanceId": "qcdbfbde368e4f3d549f5eeef81b411bb541",
                    "cdbInstanceName": "cdb_ro_46"
                }
            ],
            "masterCdbInstanceId": "cdb-c1nl9rpv"
        },
        {
            "groupId": 56,
            "groupName": "Rogroup_12561826",
            "cdbVersion": "5.6",
            "cdbType": "CUSTOM",
            "status": 1,
            "vip": "10.66.186.93",
            "vport": 3306,
            "vpcId": 0,
            "subnetId": 0,
            "addTimeStamp": "2016-11-04 18:25:30",
            "modTimeStamp": "2016-11-04 18:25:31",
            "roList": [
                {
                    "groupId": 56,
                    "status": 1,
                    "cdbVersion": "5.6",
                    "cdbType": "CUSTOM",
                    "taskStatus": 0,
                    "initFlag": 1,
                    "autoRenewFlag": 0,
                    "deadline": "2016-11-04 19:25:30",
                    "modTimeStamp": "2016-11-04 18:26:32",
                    "addTimeStamp": "2016-11-04 18:25:30",
                    "dealId": "12561826",
                    "payType": 1,
                    "uInstanceId": "cdbro-oio5hxy8",
                    "cdbMem": 4000,
                    "cdbVolume": 100,
                    "zoneId": 800001,
                    "cdbQps": 4400,
                    "typeName": "高IO版",
                    "type": "CUSTOM",
                    "cdbInstanceId": "qcdb521128295126d5f62d88322e92eb0436",
                    "cdbInstanceName": "cdb_ro_56"
                }
            ],
            "masterCdbInstanceId": "cdb-c1nl9rpv"
        }
    ]
}
```

