## 1. 接口描述
本接口(DescribeCdbProductList)用于查询可创建的云数据库实例规格，返回可创建实例的购买时长和单次购买数量限制，以及按基础网络和私有网络分类返回可创建实例的数据库版本号下可创建实例的规格信息。<font style="color:red">**该接口不支持可用区和配置自定义，推荐使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口来查询实例可创建规格**</font>。
您还可以使用[查询价格（包年包月）](/doc/api/253/1332)或[查询价格（按量计费）](/doc/api/253/5176)接口查询可创建实例的价格，使用[创建实例（包年包月）](/doc/api/253/1334)或[创建实例（按量计费）](/doc/api/253/5175)接口创建一个新实例。
接口请求域名：<font style="color:red">cdb.api.qcloud.com</font>

## 2. 输入参数
此接口没有请求参数，正式调用时只需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为DescribeCdbProductList。

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| configs | Object | 可创建实例规格的配置信息 |
其中， configs 表示可创建实例规格的配置信息，其参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| timeSpan | Array | 当前用户、地域下可购买的时长，单位：月 |
| minGoodsNumPerDeal | Int |  单次允许购买的最小数量 |
| maxGoodsNumPerDeal | Int | 单次允许购买的最大数量 |
| goodsDescription | Object | 可创建实例的规格信息 |
其中， goodsDescription 表示实例配置信息，其参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| baseNet | Object | 基础网络，可创建实例的网络类型，可能返回值： baseNet 和 VPCNet |
| VPCNet | Object | 私有网络，可创建实例的网络类型，可能返回值： baseNet 和 VPCNet |
其中， baseNet 表示基础网络，其参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| MySQL5.5 | Object | 基础网络下可创建实例的数据库引擎版本号，可能返回值： MySQL5.5 和 MySQL5.6 |
| MySQL5.6 | Object | 基础网络下可创建实例的数据库引擎版本号，可能返回值： MySQL5.5 和 MySQL5.6 |
其中， MySQL5.5 或 MySQL5.6 表示可创建的数据库版本号，其参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| 20 | Object | 实例规格信息，每一种实例规格用一个数字表示，其包含该规格的配置内容 |
| 20.cdbType | Int | 实例规格，可用于查询价格和创建实例，自定义规格该字段值为 CUSTOM，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口查询支持可用区和自定义的实例规格 |
| 20.typeName | String | 实例类型中文名称，如：高IO版 |
| 20.subTypeName | String | 实例类型扩展名称，如：微型 |
| 20.volume | Int | 实例磁盘大小，单位：GB |
| 20.memory | Int | 实例内存大小，单位：MB |
| 20.visits | Int | 支持的每秒访问次数，单位：次/秒 |
| 20.binlogSize | Int | binlog大小，单位GB |
| 20.suitinfo | String | 每一种规格推荐使用的场景描述 |
| 20.typeOrder | Int | 排序用字段 |
| 20.subTypeOrder | Int | 排序用字段 |
其中， VPCNet 表示私有网络，其参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| MySQL5.5 | Object | 私有网络下可创建实例的数据库引擎版本号，可能返回值： MySQL5.5 和 MySQL5.6 |
| MySQL5.6 | Object | 私有网络下可创建实例的数据库引擎版本号，可能返回值： MySQL5.5 和 MySQL5.6 |
其中， MySQL5.5 或 MySQL5.6 表示可创建实例的数据库引擎版本号，其参数构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| 20 | Object | 实例规格信息，每一种实例规格用一个数字表示，其包含该规格的配置内容 |
| 20.cdbType | Int | 实例规格，可用于查询价格和创建实例，自定义规格该字段值为 CUSTOM，请使用[查询可创建规格（支持可用区、配置自定义）](/doc/api/253/6109)接口查询支持可用区和自定义的实例规格 |
| 20.typeName | String | 实例类型中文名称，如：高IO版 |
| 20.subTypeName | String | 实例类型扩展名称，如：微型 |
| 20.volume | Int | 实例磁盘大小，单位：GB |
| 20.memory | Int | 实例内存大小，单位：MB |
| 20.visits | Int | 实例每秒访问次数，单位：次/秒 |
| 20.binlogSize | Int | binlog大小，单位：GB |
| 20.suitinfo | String | 每一种规格推荐使用的场景描述 |
| 20.typeOrder | Int | 排序用字段 |
| 20.subTypeOrder | Int | 排序用字段 |


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9013 | InternalError | 系统内部错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=DescribeCdbProductList
&<<a href="/document/product/236/6921">公共请求参数</a>>
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc":"Success",
    "configs": {
        "timeSpan": [
            1,
            2,
            3,
            4,
            5,
            6,
            7,
            8,
            9,
            12,
            24,
            36
        ],
        "minGoodsNumPerDeal": 1,
        "maxGoodsNumPerDeal": 10,
        "goodsDescription": {
            "baseNet": {
                "MySQL5.5": {
                    "20": {
                        "cdbType": 20,
                        "typeName": "高IO版",
                        "subTypeName": "微型",
                        "volume": 25,
                        "visits": 1000,
                        "binlogSize": 3,
                        "suitinfo": "日活跃用户数上万的小型游戏应用或百万人级别的工具类应用",
                        "typeOrder": 3,
                        "subTypeOrder": 1,
                        "memory": 1000
                    },
                    "21": {
                        "cdbType": 21,
                        "typeName": "高IO版",
                        "subTypeName": "小型",
                        "volume": 50,
                        "visits": 2400,
                        "binlogSize": 7,
                        "suitinfo": "日活跃用户数上万的小型游戏应用或百万人级别的工具类应用",
                        "typeOrder": 3,
                        "subTypeOrder": 2,
                        "memory": 2000
                    },
                    "22": {
                        "cdbType": 22,
                        "typeName": "高IO版",
                        "subTypeName": "C型",
                        "volume": 100,
                        "visits": 4400,
                        "binlogSize": 15,
                        "suitinfo": "日活跃用户数上十万人级别的中型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 3,
                        "memory": 4000
                    },
                    "23": {
                        "cdbType": 23,
                        "typeName": "高IO版",
                        "subTypeName": "中型",
                        "volume": 250,
                        "visits": 15000,
                        "binlogSize": 65,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 5,
                        "memory": 12000
                    },
                    "24": {
                        "cdbType": 24,
                        "typeName": "高IO版",
                        "subTypeName": "大型",
                        "volume": 500,
                        "visits": 23000,
                        "binlogSize": 100,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 7,
                        "memory": 24000
                    },
                    "25": {
                        "cdbType": 25,
                        "typeName": "高IO版",
                        "subTypeName": "超大型",
                        "volume": 1000,
                        "visits": 37000,
                        "binlogSize": 200,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 8,
                        "memory": 48000
                    },
                    "26": {
                        "cdbType": 26,
                        "typeName": "高IO版",
                        "subTypeName": "A型",
                        "volume": 400,
                        "visits": 18000,
                        "binlogSize": 65,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 6,
                        "memory": 16000
                    },
                    "27": {
                        "cdbType": 27,
                        "typeName": "高IO版",
                        "subTypeName": "B型",
                        "volume": 200,
                        "visits": 7200,
                        "binlogSize": 30,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 4,
                        "memory": 8000
                    }
                },
                "MySQL5.6": {
                    "20": {
                        "cdbType": 20,
                        "typeName": "高IO版",
                        "subTypeName": "微型",
                        "volume": 25,
                        "visits": 1000,
                        "binlogSize": 3,
                        "suitinfo": "日活跃用户数上万的小型游戏应用或百万人级别的工具类应用",
                        "typeOrder": 3,
                        "subTypeOrder": 1,
                        "memory": 1000
                    },
                    "21": {
                        "cdbType": 21,
                        "typeName": "高IO版",
                        "subTypeName": "小型",
                        "volume": 50,
                        "visits": 2400,
                        "binlogSize": 7,
                        "suitinfo": "日活跃用户数上万的小型游戏应用或百万人级别的工具类应用",
                        "typeOrder": 3,
                        "subTypeOrder": 2,
                        "memory": 2000
                    },
                    "22": {
                        "cdbType": 22,
                        "typeName": "高IO版",
                        "subTypeName": "C型",
                        "volume": 100,
                        "visits": 4400,
                        "binlogSize": 15,
                        "suitinfo": "日活跃用户数上十万人级别的中型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 3,
                        "memory": 4000
                    },
                    "23": {
                        "cdbType": 23,
                        "typeName": "高IO版",
                        "subTypeName": "中型",
                        "volume": 250,
                        "visits": 15000,
                        "binlogSize": 65,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 5,
                        "memory": 12000
                    },
                    "24": {
                        "cdbType": 24,
                        "typeName": "高IO版",
                        "subTypeName": "大型",
                        "volume": 500,
                        "visits": 23000,
                        "binlogSize": 100,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 7,
                        "memory": 24000
                    },
                    "25": {
                        "cdbType": 25,
                        "typeName": "高IO版",
                        "subTypeName": "超大型",
                        "volume": 1000,
                        "visits": 37000,
                        "binlogSize": 200,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 8,
                        "memory": 48000
                    },
                    "26": {
                        "cdbType": 26,
                        "typeName": "高IO版",
                        "subTypeName": "A型",
                        "volume": 400,
                        "visits": 18000,
                        "binlogSize": 65,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 6,
                        "memory": 16000
                    },
                    "27": {
                        "cdbType": 27,
                        "typeName": "高IO版",
                        "subTypeName": "B型",
                        "volume": 200,
                        "visits": 7200,
                        "binlogSize": 30,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 4,
                        "memory": 8000
                    }
                }
            },
            "VPCNet": {
                "MySQL5.5": {
                    "20": {
                        "cdbType": 20,
                        "typeName": "高IO版",
                        "subTypeName": "微型",
                        "volume": 25,
                        "visits": 1000,
                        "binlogSize": 3,
                        "suitinfo": "日活跃用户数上万的小型游戏应用或百万人级别的工具类应用",
                        "typeOrder": 3,
                        "subTypeOrder": 1,
                        "memory": 1000
                    },
                    "21": {
                        "cdbType": 21,
                        "typeName": "高IO版",
                        "subTypeName": "小型",
                        "volume": 50,
                        "visits": 2400,
                        "binlogSize": 7,
                        "suitinfo": "日活跃用户数上万的小型游戏应用或百万人级别的工具类应用",
                        "typeOrder": 3,
                        "subTypeOrder": 2,
                        "memory": 2000
                    },
                    "22": {
                        "cdbType": 22,
                        "typeName": "高IO版",
                        "subTypeName": "C型",
                        "volume": 100,
                        "visits": 4400,
                        "binlogSize": 15,
                        "suitinfo": "日活跃用户数上十万人级别的中型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 3,
                        "memory": 4000
                    },
                    "23": {
                        "cdbType": 23,
                        "typeName": "高IO版",
                        "subTypeName": "中型",
                        "volume": 250,
                        "visits": 15000,
                        "binlogSize": 65,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 5,
                        "memory": 12000
                    },
                    "24": {
                        "cdbType": 24,
                        "typeName": "高IO版",
                        "subTypeName": "大型",
                        "volume": 500,
                        "visits": 23000,
                        "binlogSize": 100,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 7,
                        "memory": 24000
                    },
                    "25": {
                        "cdbType": 25,
                        "typeName": "高IO版",
                        "subTypeName": "超大型",
                        "volume": 1000,
                        "visits": 37000,
                        "binlogSize": 200,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 8,
                        "memory": 48000
                    },
                    "26": {
                        "cdbType": 26,
                        "typeName": "高IO版",
                        "subTypeName": "A型",
                        "volume": 400,
                        "visits": 18000,
                        "binlogSize": 65,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 6,
                        "memory": 16000
                    },
                    "27": {
                        "cdbType": 27,
                        "typeName": "高IO版",
                        "subTypeName": "B型",
                        "volume": 200,
                        "visits": 7200,
                        "binlogSize": 30,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 4,
                        "memory": 8000
                    }
                },
                "MySQL5.6": {
                    "20": {
                        "cdbType": 20,
                        "typeName": "高IO版",
                        "subTypeName": "微型",
                        "volume": 25,
                        "visits": 1000,
                        "binlogSize": 3,
                        "suitinfo": "日活跃用户数上万的小型游戏应用或百万人级别的工具类应用",
                        "typeOrder": 3,
                        "subTypeOrder": 1,
                        "memory": 1000
                    },
                    "21": {
                        "cdbType": 21,
                        "typeName": "高IO版",
                        "subTypeName": "小型",
                        "volume": 50,
                        "visits": 2400,
                        "binlogSize": 7,
                        "suitinfo": "日活跃用户数上万的小型游戏应用或百万人级别的工具类应用",
                        "typeOrder": 3,
                        "subTypeOrder": 2,
                        "memory": 2000
                    },
                    "22": {
                        "cdbType": 22,
                        "typeName": "高IO版",
                        "subTypeName": "C型",
                        "volume": 100,
                        "visits": 4400,
                        "binlogSize": 15,
                        "suitinfo": "日活跃用户数上十万人级别的中型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 3,
                        "memory": 4000
                    },
                    "23": {
                        "cdbType": 23,
                        "typeName": "高IO版",
                        "subTypeName": "中型",
                        "volume": 250,
                        "visits": 15000,
                        "binlogSize": 65,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 5,
                        "memory": 12000
                    },
                    "24": {
                        "cdbType": 24,
                        "typeName": "高IO版",
                        "subTypeName": "大型",
                        "volume": 500,
                        "visits": 23000,
                        "binlogSize": 100,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 7,
                        "memory": 24000
                    },
                    "25": {
                        "cdbType": 25,
                        "typeName": "高IO版",
                        "subTypeName": "超大型",
                        "volume": 1000,
                        "visits": 37000,
                        "binlogSize": 200,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 8,
                        "memory": 48000
                    },
                    "26": {
                        "cdbType": 26,
                        "typeName": "高IO版",
                        "subTypeName": "A型",
                        "volume": 400,
                        "visits": 18000,
                        "binlogSize": 65,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 6,
                        "memory": 16000
                    },
                    "27": {
                        "cdbType": 27,
                        "typeName": "高IO版",
                        "subTypeName": "B型",
                        "volume": 200,
                        "visits": 7200,
                        "binlogSize": 30,
                        "suitinfo": "日活跃用户数在百万人级别的大型游戏应用",
                        "typeOrder": 3,
                        "subTypeOrder": 4,
                        "memory": 8000
                    }
                }
            }
        }
    }
}
```
