## 1. 接口描述
本接口(DescribeCdbInstances)用于查询云数据库实例列表，支持通过项目ID、实例ID、访问地址、实例状态等来筛选实例。
接口请求域名：<font style="color:red">cdb.api.qcloud.com</font>

1. 可根据项目ID、实例ID、访问地址或实例状态作为过滤条件来查询实例列表；
2. 不指定任何过滤条件, 则默认返回20条实例记录，单次请求最多支持返回100条实例记录；
3. 支持查询主实例和灾备实例列表，暂不支持查询只读实例列表，您可使用[查询只读实例列表](/doc/api/253/6417)接口来查询只读实例列表。


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为DescribeCdbInstances。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| projectId | 否 | Int | 项目ID，请使用[查询项目列表](/document/product/378/4400)接口查询项目ID|
| cdbInstanceIds.n | 否 | String | 一个或者多个实例ID，n表示从0开始的数组下标。实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| cdbInstanceVips.n | 否 | String | 一个或者多个实例访问地址，n表示从0开始的数组下标。请使用[查询实例列表](/doc/api/253/1266)接口查询云数据库实例访问地址 |
| status.n | 否 | Int | 实例状态，默认值为1，一个或者多个状态值，n表示从0开始的数组下标，值包括：<br>0-创建中<br>1-运行中<br>4-删除中<br>5-隔离中 |
| offset | 否 | Int | 记录偏移量，默认值为0 |
| limit | 否 | Int | 单次请求返回的数量，默认值为20，最大值为100 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| totalCount | Int | 符合查询条件的实例总数|
| cdbInstanceSet | Array | 返回的实例信息 |
其中， cdbInstanceSet 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| uInstanceId | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面显示的实例ID相同，可用于查询或操作实例。<font style="color:red">推荐使用</font> |
| cdbInstanceId | String | 实例 UUID （已废弃），推荐使用 uInstanceId 替代。实例创建成功后才生成实例 UUID ，创建中的实例只包含 uInstanceId。 |
| initFlag | Int | 实例初始化标记，可能返回值：0-未初始化；1-已初始化 | 
| cdbInstanceType | Int | 实例类型，可能返回值：1-主实例；2-灾备实例 |
| storageSize | Int | 实例存储容量，同 volume 字段值相同，推荐使用 volume 字段，单位：G | 
| maxQueryCount | Int | 实例最大查询次数，单位：次/秒 | 
| cdbInstanceName | String | 实例名称 | 
| cdbInstanceVip | String | 实例访问IP | 
| cdbInstanceVport | Int | 实例访问端口 | 
| cdbWanStatus  | Int | 外网访问状态，可能返回值：<br>0-未开通<br>1-已开通<br>2-已关闭<br>3-处理中 |
| cdbWanDomain | String | 外网访问域名 |
| cdbWanPort | Int | 外网访问端口 |
| status | Int | 实例状态，可能返回值：<br>0-创建中<br>1-运行中<br>4-删除中<br>5-隔离中<br>101-锁定中 | 
| taskStatus | Int | 实例任务状态，可能返回值：<br>0-没有任务<br>1-升级中<br>2-数据导入中<br>3-开放Slave中<br>4-外网访问开通中<br>5-批量操作执行中<br>6-回档中<br>7-外网访问关闭中<br>8-密码修改中<br>9-实例名修改中<br>10-重启中<br>12-自建迁移中<br>13-删除库表中<br>14-灾备实例创建同步中 | 
| engineVersion | String | 实例数据库引擎版本，可能返回值：5.1、5.5和5.6 | 
| cdbInstanceCreateTime | String | 实例创建时间，时间格式：yyyy-mm-dd hh:mm:ss | 
| cdbInstanceDeadlineTime | String | 实例到期时间，如实例为按量计费模式，则此字段值为0000-00-00 00:00:00。时间格式：yyyy-mm-dd hh:mm:ss | 
| cdbTypeSet | String | 实例类型的序号，可用此参数购买同类型实例或者查询同类型实例的续费价格 | 
| cdbType | String | 实例规格描述，如：CUSTOM ，请使用[查询可创建规格](/doc/api/253/1333)接口查询cdbType详情 | 
| memory | Int | 实例内存大小，单位：MB | 
| volume | Int | 实例硬盘大小，单位：GB | 
| autoRenew | Int | 自动续费标记，可能返回值：0-不自动续费；1-自动续费 | 
| zoneId | Int | 实例所在可用区ID | 
| vpcId | Int | 实例所在私有网络ID，请使用[查询私有网络列表](/doc/api/245/1372) | 
| subnetId | Int | 实例所在私有网络子网ID，请使用[查询私有网络列表](/doc/api/245/1372) | 
| projectId | Int | 实例所在项目ID，请使用[查询项目列表](/document/product/378/4400)接口获取项目ID | 
| payType | Int | 实例计费类型，可能返回值：0-包年包月；1-按量计费；2-后付费月结 | 
| masterInfo | Array | 主实例信息，如实例是灾备实例或只读实例，则该字段返回其主实例信息，否则返回null |
| roInfo | Array | 只读实例信息 |
| drInfo | Array | 灾备实例信息 |
| protectMode | Int | 数据保护方式 |
| slaveZoneFirst | Int | 备库1可用区Id |
| slaveZoneSecond | Int | 备库2可用区Id,若无则为0 |
| slaveSecondVip | String | 备库2的IP，若无则为空 |
| slaveSecondVport | Int | 备库2的端口，若无则为0 |
| deployMode | Int | 部署方式，0为单可用部署，1为多可用区部署 |
| binlogSize | Int | binglog大小，单位：GB |

其中， masterInfo 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| region | String | 区域ID，详见[<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>](/doc/api/229/6976) |
| zoneId | Int | 实例所在可用区ID |
| uInstanceId | String | 实例ID，实例唯一标识。功能同cdbInstanceId字段。<font style="color:red">推荐使用</font> |
| status | Int | 实例状态，可能返回值：<br>0-创建中<br>1-运行中<br>4-删除中<br>5-隔离中 |

其中， roInfo 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| region | String | 区域ID，详见[<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>](/doc/api/229/6976) |
| zoneId | Int | 实例所在可用区ID |
| uInstanceId | String | 实例ID，实例唯一标识。功能同cdbInstanceId字段。<font style="color:red">推荐使用</font> |
| status | Int | 只读实例状态，可能返回值：<br>0-创建中<br>1-运行中<br>4-删除中<br>5-隔离中 |

其中， drInfo 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| region | String | 区域ID，详见[<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>](/doc/api/229/6976) |
| zoneId | Int | 实例所在可用区ID |
| uInstanceId | String | 实例ID，实例唯一标识。功能同cdbInstanceId字段。<font style="color:red">推荐使用</font> |
| status | Int | 实例状态，可能返回值：<br>0-创建中<br>1-运行中<br>4-删除中<br>5-隔离中 |
| syncStatus | Int | 同步状态，可能返回值：<br>0-未同步<br>1-创建同步中<br>2-创建同步完成<br>3-同步失败<br>4-同步修复中 |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9013 | InternalError | 系统内部错误 |
| 9016 | InternalError | 系统内部错误 |
| 9544 | OperationDenied | 实例不存在 |
| 9572 | InstanceNotExists | 实例不存在 |
| 9593 | IncorrectInstanceStatus | 实例状态异常|


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=DescribeCdbInstances
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceIds.0=cdb-c1nl9rpv
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "totalCount": "71",
    "cdbInstanceSet": [
        {
            "cdbInstanceId": "qcdba886a764b05a5f79be07a2ddbcdb85d5",
            "uInstanceId": "cdb-lnmynajd",
            "initFlag": 1,
            "cdbInstanceType": 1,
            "storageSize": 100,
            "maxQueryCount": 4400,
            "cdbInstanceName": "cdb129402",
            "cdbInstanceVip": "10.66.189.110",
            "cdbInstanceVport": 3306,
            "cdbWanStatus": 0,
            "cdbWanDomain": "",
            "cdbWanPort": 0,
            "status": 1,
            "taskStatus": 6,
            "engineVersion": "5.6",
            "cdbInstanceCreateTime": "2016-11-21 16:37:40",
            "cdbInstanceDeadlineTime": "0000-00-00 00:00:00",
            "cdbTypeSet": "4000000100",
            "cdbType": "CUSTOM",
            "memory": 4000,
            "volume": 100,
            "autoRenew": 0,
            "zoneId": 100003,
            "vpcId": 0,
            "subnetId": 0,
            "projectId": 0,
            "payType": 1,
            "roInfo": [
                {
                    "region": "gz",
                    "zoneId": 100003,
                    "uInstanceId": "cdbro-41ralnrf",
                    "status": 1
                },
                {
                    "region": "gz",
                    "zoneId": 100003,
                    "uInstanceId": "cdbro-d0q1umpp",
                    "status": 1
                }
            ],
            "drInfo": [],
            "masterInfo": null
        },
        {
            "cdbInstanceId": "qcdb45f66d70c5867d1619921638dd6871bf",
            "uInstanceId": "cdb-boljtt5g",
            "initFlag": 1,
            "cdbInstanceType": 1,
            "storageSize": 25,
            "maxQueryCount": 1000,
            "cdbInstanceName": "ivansqwu-test",
            "cdbInstanceVip": "10.66.187.51",
            "cdbInstanceVport": 3306,
            "cdbWanStatus": 0,
            "cdbWanDomain": "",
            "cdbWanPort": 0,
            "status": 1,
            "taskStatus": 0,
            "engineVersion": "5.6",
            "cdbInstanceCreateTime": "2016-11-15 16:22:28",
            "cdbInstanceDeadlineTime": "2017-01-15 16:20:35",
            "cdbTypeSet": "1000000025",
            "cdbType": "CUSTOM",
            "memory": 1000,
            "volume": 25,
            "autoRenew": 0,
            "zoneId": 100002,
            "vpcId": 0,
            "subnetId": 0,
            "projectId": 1005722,
            "payType": 0,
            "roInfo": [],
            "drInfo": [
                {
                    "region": "bj",
                    "zoneId": 800001,
                    "uInstanceId": "cdb-qsb71ep1",
                    "status": 1,
                    "syncStatus": 2
                }
            ],
            "masterInfo": null
        }
    ]
}
```

