## 1. 接口描述
本接口(GetCdbInstanceNumByVpcSubnetId)用于查询私有网络子网下的实例数量。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbInstanceNumByVpcSubnetId。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| vpcId | 是 | Int | 私有网络ID值，请使用[查询私有网络列表](/doc/api/245/1372)获取 |
| subnetIds.n | 否 | String | 一个或者多个子网ID，n表示从0开始的数组下标。私有网络下的子网ID，请使用[查询子网列表](/doc/api/245/1371)获取 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 错误码描述 |
| info | Array | 返回数据 |
其中，info参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| total | int | 私有网络子网下的实例数量 |
| vpcId | int | 私有网络ID |
| subnetIds | Array | 私有网络下的子网ID |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbInstanceNumByVpcSubnetId
&<<a href="/document/product/236/6921">公共请求参数</a>>
&vpcId=13
&subnetIds.1=1115
&subnetIds.2=220
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "total":"2",
        "vpcId":"13",
        "subnetIds":{
            "220":"1",
            "1115":"1"
        }
    }
}
```

