## 1. 接口描述
本接口(StartCdbImportJob)用于发起文件导入任务。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为StartCdbImportJob。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| uInstanceId | 是 | Int | 需要执行导入的实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| dbName | 否 | Int | 导入的目标数据库名，不传表示不指定数据库 |
| rootPassword | 是 | Int | 实例的root密码 |
| fileName | 是 | Int | 需要导入的文件名称，可以从查询导入文件列表接口获取 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。 |
| message | String | 模块错误信息描述，与接口相关。 |
| codeDesc | String | 英文错误描述 |
| data | Object | 导入任务详情 |
其中， data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| jobId | Int | 任务ID，可用于终止任务 |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9520 | InternalError | 文件导入内部错误 |
| 9541 | Import.FileSize  | 文件内容不能为空 |
| 9572 | InstanceNotExists | 实例不存在 |
| 9576 | OperationDenied | 实例不在运行中，或正在执行其它操作 |
| 9587 | InvalidParameter | 密码错误 |
| 9590 | InternalFailure | 文件导入内部错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=StartCdbImportJob
&<<a href="/document/product/236/6921">公共请求参数</a>>
&uInstanceId=cdb-2d9mgksg
&rootPassword=xxxxxxxx
&fileName=test.sql
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "jobId": "18302"
     }
}
```

