## 1. 接口描述
本接口(GetCdbImportSQLFileList)用于查询已上传的导入文件列表。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbImportSQLFileList。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| offset | 否 | Int | 记录偏移量，默认值为0 |
| limit | 否 | Int | 单次请求返回的数量，默认值为20 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。 |
| message | String | 模块错误信息描述，与接口相关。 |
| codeDesc | String | 英文错误描述 |
| totalCount | Int | 已上传的文件总数 |
| files | Array | 返回的数据 |
其中， files 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| fileId | String | 文件的唯一标识 | 
| fileName | String | 文件名称 | 
| fileSize | Int | 文件大小，单位：Byte | 
| uploadTime | String | 文件上传时间 | 
| isUploadFinished | Int | 整个文件是否上传成功，取值： 1表示上传成功， 0表示上传中 | 
| uploadInfo | Array | 文件上传进度信息 | 
其中， uploadInfo 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| allSliceNum | Int | 该文件总共需要上传的分片数 | 
| completeNum | Int | 当前已上传完成的分片数 | 


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |


## 5. 示例
输入

<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbImportSQLFileList
&<<a href="/document/product/236/6921">公共请求参数</a>>
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "totalCount": 1,
    "files": [
        {
            "fileId": "5596d7433fe211da4b487228db4e7c57",
            "fileName": "joellwang.sql",
            "fileSize": 8581633,
            "uploadTime": "2016-11-28 15:16:13",
            "isUploadFinished": 0,
            "uploadInfo": {
                "allSliceNum": 5,
                "completeNum": 3
            }
        }
    ]
}
```

