## 1. 接口描述
本接口(GetCdbImportSQLFileHistory)用于查询最近导入文件记录。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/document/product/236/6921' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbImportSQLFileHistory。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| startTime | 否 | String | 开始时间，时间格式如：2016-01-01 00:00:01 |
| endTime | 否 | String | 结束时间，时间格式如：2016-01-01 23:59:59 |
| offset | 否 | Int | 记录偏移量，默认值为0 |
| limit | 否 | Int | 单次请求返回的数量，默认值为20 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。 |
| message | String | 模块错误信息描述，与接口相关。 |
| codeDesc | String | 英文错误描述 |
| totalCount | Int | 导入记录总数 |
| data | Array | 返回的数据 |
其中， data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | String | 导入任务错误码, 0表示成功，其他值表示失败。 |
| message | String | 导入任务信息，如果任务失败，则返回出错信息。 |
| jobId | Int | 任务ID |
| status | Int | 任务状态，可能返回值：-1-运行失败； 0-运行成功； 1-运行中； 1000-初始化； 9529-已终止。 |
| cdbInstanceId | Int | 实例ID |
| fileName | String | 文件名称 |
| fileSize | Int | 文件大小，单位：Byte |
| dbName | String | 导入的目标数据库名称 |
| process | Int | 导入进度 |
| costTime | String | 导入花费时间，单位：秒 |
| createTime | String | 导入任务创建时间 |


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbImportSQLFileHistory
&<<a href="/document/product/236/6921">公共请求参数</a>>
cdbInstanceId=cdb-0pzitle8
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "totalCount": "0",
    "data": []
}
```

