## 1. 接口描述
本接口(ModifyCdbDataMigrationTask)用于修改数据迁移任务，处于非运行状态的任务才能进行该操作，其状态集合包括：未配置状态（status=0）、已配置状态（status = 1）、校验失败状态（status = 3）、校验成功状态（status = 4）、迁移失败状态（status = 8）、迁移成功状态（status = 9）。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>

1. 通过本接口修改数据迁移任务之后，需使用[开始校验数据迁移任务](/document/product/236/7726)接口发起校验，主要内容包括：源MySQL和目标实例是否满足迁移条件；
2. 发起校验之后，您可以使用[查询数据迁移任务列表](/document/product/236/7461)接口来查询实时的校验结果；
3. 校验通过后，您就可以使用[启动数据迁移任务](/document/product/236/7712)接口来启动迁移任务。
4. 如果校验失败，您可以使用该接口来继续修改任务参数，然后回到第1步重新发起任务校验；

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/372/4153' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为ModifyCdbDataMigrationTask，此接口的Region字段为目标实例的地域值。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| jobId | 是 | Int | 待修改的数据迁移任务ID，请使用查询数据迁移任务列表接口查询任务ID |
| jobName | 是 | String | 数据迁移任务名称|
| runMode | 是 | Int | 任务运行模式，值包括：1-立即执行，2-定时执行|
| expectTime | 否 | String | 期望执行时间，当runMode=2时，该字段必填，时间格式：yyyy-mm-dd hh:mm:ss|
| migrateType | 是 | Int | 数据迁移类型，值包括：<br>1-结构迁移<br>2-全量迁移<br>3-全量+增量迁移|
| type | 是 | Int | 任务类型，值包括：<br>1-源实例为公网自建MySQL，<br>2-源实例为基础网络自建MySQL，<br>3-源实例为VPC网络自建MySQL，<br>4-源实例通过专线接入，<br>5-源实例通过云VPN接入，<br>6-源实例通过自建VPN接入|
| srcInfo | 是 | Object | 源实例信息，具体内容跟迁移任务类型相关|
| dstInfo | 是 | Object | 目的实例信息，仅包含一个属性cdbUInstanceId，格式如：cdb-c1nl9rpv，与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。|

其中， type 和 srcInfo 参数的构成跟迁移任务类型相关，可细分为六种。

1. 源实例为公网自建MySQL，此时type=1，其中srcInfo构成如下

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| mysqlIp | 是 | String | 公网自建MySQL实例的IP地址 |
| mysqlPort | 是 | Int | 公网自建MySQL实例的端口 |
| mysqlUser | 是 | String | 公网自建MySQL实例的用户名 |
| mysqlPwd | 是 | String | 公网自建MySQL实例的密码 |
| dbInfo | 是 | Array | 需要迁移的源数据库表信息，如果您需要迁移的是整个实例，可传入一个空数组，每个元素具体构成见下表 |
| isOverrideRoot | 是 | Int | 是否用源库Root账户覆盖目标库，值包括：0-不覆盖，1-覆盖，选择库表或者结构迁移时默认为0 |

2. 源实例为基础网络CVM自建MySQL，此时type=2，其中srcInfo构成如下

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cvmUInstanceId | 是 | String | CVM实例短ID，格式如：ins-olgl89y8，与云主机控制台页面显示的实例ID相同 |
| mysqlIp | 是 | String | CVM自建MySQL实例的IP地址 |
| mysqlPort | 是 | Int | CVM自建MySQL实例的端口 |
| mysqlUser | 是 | String | CVM自建MySQL实例的用户名 |
| mysqlPwd | 是 | String | CVM自建MySQL实例的密码 |
| dbInfo | 是 | Array | 需要迁移的源数据库表信息，如果您需要迁移的是整个实例，可传入一个空数组，每个元素具体构成见下表 |
| isOverrideRoot | 是 | Int | 是否用源库Root账户覆盖目标库，值包括：0-不覆盖，1-覆盖，选择库表或者结构迁移时默认为0 |

3. 源实例为VPC网络CVM自建MySQL，此时type=3，其中srcInfo构成如下

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cvmUInstanceId | 是 | String | CVM实例短ID，格式如：ins-olgl89y8，与云主机控制台页面显示的实例ID相同 |
| vpcId | 是 | Int | 私有网络ID |
| subnetId | 是 | Int | 私有网络下的子网ID |
| mysqlIp | 是 | String | CVM自建MySQL实例的IP地址 |
| mysqlPort | 是 | Int | CVM自建MySQL实例的端口 |
| mysqlUser | 是 | String | CVM自建MySQL实例的用户名 |
| mysqlPwd | 是 | String | CVM自建MySQL实例的密码 |
| dbInfo | 是 | Array | 需要迁移的源数据库表信息，如果您需要迁移的是整个实例，可传入一个空数组，每个元素具体构成见下表 |
| isOverrideRoot | 是 | Int | 是否用源库Root账户覆盖目标库，值包括：0-不覆盖，1-覆盖，选择库表或者结构迁移时默认为0 |

4. 源实例通过专线接入，此时type=4，其中srcInfo构成如下

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| uniqDcgId | 是 | String | 系统分配的专线网关ID |
| vpcId | 是 | Int | 私有网络ID |
| subnetId | 是 | Int | 私有网络下的子网ID |
| mysqlIp | 是 | String | 自建MySQL实例的IP地址 |
| mysqlPort | 是 | Int | 自建MySQL实例的端口 |
| mysqlUser | 是 | String | 自建MySQL实例的用户名 |
| mysqlPwd | 是 | String | 自建MySQL实例的密码 |
| dbInfo | 是 | Array | 需要迁移的源数据库表信息，如果您需要迁移的是整个实例，可传入一个空数组，每个元素具体构成见下表 |
| isOverrideRoot | 是 | Int | 是否用源库Root账户覆盖目标库，值包括：0-不覆盖，1-覆盖，选择库表或者结构迁移时默认为0 |

5. 源实例通过云VPN接入，此时type=5，其中srcInfo构成如下

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| uniqVpnGwId | 是 | String | 系统分配的VPN网关ID |
| vpcId | 是 | Int | 私有网络ID |
| subnetId | 是 | Int | 私有网络下的子网ID |
| mysqlIp | 是 | String | 自建MySQL实例的IP地址 |
| mysqlPort | 是 | Int | 自建MySQL实例的端口 |
| mysqlUser | 是 | String | 自建MySQL实例的用户名 |
| mysqlPwd | 是 | String | 自建MySQL实例的密码 |
| dbInfo | 是 | Array | 需要迁移的源数据库表信息，如果您需要迁移的是整个实例，可传入一个空数组，每个元素具体构成见下表 |
| isOverrideRoot | 是 | Int | 是否用源库Root账户覆盖目标库，值包括：0-不覆盖，1-覆盖，选择库表或者结构迁移时默认为0 |

6. 源实例通过自建VPN接入，此时type=6，其中srcInfo构成如下

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cvmUInstanceId | 是 | String | CVM实例短ID，格式如：ins-olgl89y8，与云主机控制台页面显示的实例ID相同 |
| vpnSelfBuildIP | 是 | String | 自建VPN的网关IP地址 |
| vpcId | 是 | Int | 私有网络ID |
| subnetId | 是 | Int | 私有网络下的子网ID |
| mysqlIp | 是 | String | 自建MySQL实例的IP地址 |
| mysqlPort | 是 | Int | 自建MySQL实例的端口 |
| mysqlUser | 是 | String | 自建MySQL实例的用户名 |
| mysqlPwd | 是 | String | 自建MySQL实例的密码 |
| dbInfo | 是 | Array | 需要迁移的源数据库表信息，如果您需要迁移的是整个实例，可传入一个空数组，每个元素具体构成见下表 |
| isOverrideRoot | 是 | Int | 是否用源库Root账户覆盖目标库，值包括：0-不覆盖，1-覆盖，选择库表或者结构迁移时默认为0 |

其中，dbInfo 可指定需要迁移的数据库表信息，数组中的每个元素为Object，其构成如下：

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| database | 是 | String | 数据库名 |
| table | 是 | Array | 当前数据库下的表名，如果您需要迁移的是当前数据库的所有表，可传入一个空数组 |

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。 |
| message | String | 模块错误信息描述，与接口相关。 |
| codeDesc | String | 英文错误描述 |
| data | Object | 任务详情 |

其中， data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| jobId | Int | 数据迁移任务ID |

## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9013 | InternalError | 系统内部错误 |
| 9572 | InstanceNotExists | 实例不存在 |
| 30000 | InvalidParameter | 迁移参数错误 |
| 30001 | InvalidParameter | 迁移类型错误 |
| 30002 | InvalidParameter | 迁移运行模式错误 |
| 30004 | InvalidParameter | 源信息参数错误 |
| 30005 | InvalidParameter | 目的信息参数错误 |
| 30009 | InvalidParameter | 迁移任务不存在 |
| 30010 | OperationDenied | 迁移任务正在运行，不允许修改 |
| 30011 | InvalidParameter | CVM信息错误 |
| 30012 | OperationDenied | 该可用区不支持灾备 |
| 30013 | InvalidParameter | 实例地域信息错误 |
| 30016 | InvalidParameter | 当前迁移状态下，不允许执行该操作 |
| 30016 | InvalidParameter | 当前迁移状态下，不允许执行该操作 |

## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=ModifyCdbDataMigrationTask
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&jobId=206
&jobName=myJobName
&runMode=1
&type=2
&migrateType=3
&srcInfo.cvmUInstanceId=ins-olgl89y8
&srcInfo.mysqlIp=127.0.0.1
&srcInfo.mysqlPort=3306
&srcInfo.mysqlUser=root
&srcInfo.mysqlPwd=password
&srcInfo.dbInfo.0.database=myDB
&srcInfo.dbInfo.0.table.0=myTable0
&srcInfo.dbInfo.0.table.1=myTable1
&srcInfo.isOverrideRoot=0
&dstInfo.cdbUInstanceId=cdb-d2sagyed
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "jobId":206
    }
}
```