## 1. 接口描述
本接口(GetCdbDataMigrationTaskList)用于查询数据迁移任务列表，返回数据迁移任务的详细信息。
接口请求域名：<font style='color:red'>cdb.api.qcloud.com </font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/372/4153' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetCdbDataMigrationTaskList。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| jobId | 否 | Int | 数据迁移任务ID，通过该ID可获得其执行详情 |
| jobName | 否 | String | 数据迁移任务名称 |
| status | 否 | Array | 数据迁移任务状态集合，可取值包括：<br>0-未配置<br>1-已配置<br>2-校验中<br>3-校验失败<br>4-校验成功<br>5-准备迁移<br>6-迁移中<br>7-待切换<br>8-迁移失败<br>9-迁移成功 |
| migrateType | 否 | Int |数据迁移类型，值包括：<br>1-结构迁移<br>2-全量迁移<br>3-全量+增量迁移 |
| dstUInstanceId | 否 | String | 目标实例ID，格式如：cdb-c1nl9rpv，与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| type | 否 | Array | 任务类型，值包括：<br>1-源实例为公网自建MySQL，<br>2-源实例为基础网络自建MySQL，<br>3-源实例为VPC网络自建MySQL，<br>4-源实例通过专线接入，<br>5-源实例通过云VPN接入，<br>6-源实例通过自建VPN接入，<br>7-源实例为CDB实例 |
| runMode | 否 | Int | 任务运行模式，值包括：1-立即执行，2-定时执行|
| order | 否 | String | 排序字段，可以取值为jobId、status、jobName、migrateType、type、runMode、submitTime |
| orderSeq | 否 | String | 排序方式，升序为ASC，降序为DESC |
| offset | 否 | Int | 偏移量，默认为0 |
| limit | 否 | Int | 返回实例数量，默认20，有效区间[1,100] |
| submitTimeStart | 否 | String | 任务提交时间起始点，格式为 yyyy-mm-dd hh:mm:ss |
| submitTimeEnd | 否 | String | 任务提交时间结束点，格式为 yyyy-mm-dd hh:mm:ss |

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。 |
| message | String | 模块错误信息描述，与接口相关。 |
| codeDesc | String | 英文错误描述 |
| data | Object | 返回的数据 |
| data.totalCount | Int | 满足查询条件的数据迁移任务条数 |
| data.jobList | Array | 数据迁移任务分页列表 |

其中， jobList 中每一个元素为Object，其构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 数据迁移任务执行状态码，0表示成功，其他表示失败 |
| message | String | 数据迁移任务执行状态信息 |
| jobId | Int | 数据迁移任务 ID |
| type | Int | 数据迁移任务类型，值包括：<br>0-未配置，<br>1-源实例为公网自建MySQL，<br>2-源实例为基础网络自建MySQL，<br>3-源实例为VPC网络自建MySQL，<br>4-源实例通过专线接入，<br>5-源实例通过云VPN接入，<br>6-源实例通过自建VPN接入，<br>7-源实例为CDB实例|
| status | Int | 数据迁移任务执行状态，值包括：<br>0-未配置<br>1-已配置<br>2-校验中<br>3-校验失败<br>4-校验成功<br>5-准备迁移<br>6-迁移中<br>7-待切换<br>8-迁移失败<br>9-迁移成功 |
| progress | Int | 数据迁移任务执行进度 |
| startTime | String | 数据迁移任务开始时间，格式为 yyyy-mm-dd hh:mm:ss |
| EndTime | String | 数据迁移任务结束时间，格式为 yyyy-mm-dd hh:mm:ss |
| detail | Object | 数据迁移任务的其他详细信息 |

其中， detail 的构成为：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| jobName | String | 数据迁移任务名称 |
| runMode | Int | 任务运行模式，值包括：1-立即执行，2-定时执行|
| migrateType | Int | 数据迁移类型，值包括：<br>1-结构迁移<br>2-全量迁移<br>3-全量+增量迁移|
| extMsg | String | 数据迁移任务执行出错的提示信息|
| srcInfo | Object | 源实例信息，具体内容跟迁移任务类型type相关，可参见创建迁移任务中的相关描述 |
| dstInfo | Object | 目的实例信息，包含cdbUInstanceId | 
| jobInput | Object | 用户停止任务的相关信息|
| checkInfo | Object | 校验数据迁移任务的相关信息 |
| jobOutput | Object | 迁移任务执行过程的相关信息 |
| expectTime | String | 迁移任务期望执行时间，格式为 yyyy-mm-dd hh:mm:ss |
| updateTime | String | 迁移任务状态更新时间，格式为 yyyy-mm-dd hh:mm:ss | 
| submitTime | String | 迁移任务提交时间，格式为 yyyy-mm-dd hh:mm:ss |

其中， jobInput 的构成为：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| stopStatus | Int | 数据迁移任务中止状态码，100-任务强行停止中，101-任务停止成功，102-任务停止失败 |
| stopMsg | String | 数据迁移任务中止信息 |

其中， checkInfo 的构成为：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| checkFlag | Int | 数据迁移任务的校验情况，0-未校验，1-校验通过，2-校验未通过 |
| checkResult | Object | 数据迁移任务校验详情，分步骤展示，具体参见示例 |

其中， jobOutput 的构成为：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 数据迁移任务执行的状态码，0表示成功，其他表示失败 |
| message | String | 数据迁移任务执行的错误提示信息 |
| stepAll | Int | 数据迁移任务的执行步骤总数 |
| stepNow | Int | 数据迁移任务当前执行的步骤ID |
| stepName | Int | 数据迁移任务当前执行的步骤名 |
| stepPercent | String | 数据迁移任务当前执行的百分比 |
| costTime | Int | 数据迁移任务已经执行的时间，单位秒 |
| createTime | String | 数据迁移任务的后台创建时间 |
| masterSlaveDistance | Int | 主从同步距离，单位MB |
| secondsBehindMaster | Int | 主从同步延时，单位S |
| stepInfo | Object | 数据迁移任务执行过程的步骤信息，具体参见示例 |

## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9013 | InternalError | 系统内部错误 |
| 9016 | InternalError | 系统内部错误 |
| 9544 | OperationDenied | 实例不存在 |
| 9572 | InstanceNotExists | 实例不存在 |
| 9590 | InternalFailure | 迁移任务数据库访问错误 |
| 9593 | IncorrectInstanceStatus | 实例状态异常 |

## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=GetCdbDataMigrationTaskList
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&jobId=121
&jobName=源实例通过自建VPN接入
&status.0=1
&migrateType=3
&dstUInstanceId=cdb-eg60tvyu
&type.0=6
&runMode=1
&order=jobId
&orderSeq=ASC
&offset=0
&limit=1
&submitTimeStart=2017-02-22 11:35:04
&submitTimeEnd=2017-02-22 11:35:06
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "totalCount": 1,
        "jobList": [
            {
                "code": 0,
                "message": "任务已终止",
                "jobId": 121,
                "type": 6,
                "status": 1,
                "progress": 14,
                "startTime": "2017-02-22 12:47:37",
                "endTime": "2017-02-22 13:00:13",
                "detail": {
                    "jobName": "源实例通过自建VPN接入",
                    "runMode": "1",
                    "migrateType": "3",
                    "extMsg": "ok",
                    "srcInfo": {
                        "cvmUInstanceId": "ins-qjzk0p8m",
                        "mysqlIp": "10.104.62.7",
                        "mysqlPort": 3306,
                        "mysqlUser": "root",
                        "dbInfo": [],
                        "vpcId": 725,
                        "subnetId": 25961,
                        "unVpcId": "vpc-f7xkdzdv",
                        "unSubnetId": "subnet-b54d3t3w",
                        "vpnSelfBuildIP": "10.0.0.116",
                        "isOverrideRoot": 0
                    },
                    "dstInfo": {
                        "cdbUInstanceId": "cdb-eg60tvyu"
                    },
                    "jobInput": {
                        "stopStatus": 100,
                        "stopMsg": "任务正在终止"
                    },
                    "checkInfo": {
                        "checkFlag": 2
                        "checkResult": {
                            "code": 0,
                            "message": "ok",
                            "status": "finished",
                            "isSuccess": 0,
                            "stepInfo": [
                                {
                                    "stepNo": 1,
                                    "stepName": "检查参数",
                                    "code": 0,
                                    "message": "检验成功"
                                },
                                {
                                    "stepNo": 2,
                                    "stepName": "查询目标实例信息",
                                    "code": 0,
                                    "message": "检验成功"
                                },
                                {
                                    "stepNo": 3,
                                    "stepName": "申请dfw权限",
                                    "code": 0,
                                    "message": "检验成功"
                                },
                                {
                                    "stepNo": 4,
                                    "stepName": "尝试连接源实例",
                                    "code": -1,
                                    "message": "检查源实例权限失败[ SQL ERROR[errno:2013, errors:Lost connection to MySQL server at 'reading initial communication packet', system error: 110]]"
                                },
                                {
                                    "stepNo": 5,
                                    "stepName": "检查源实例权限",
                                    "code": -3,
                                    "message": "待检查"
                                },
                                {
                                    "stepNo": 6,
                                    "stepName": "检查源实例配置",
                                    "code": -3,
                                    "message": "待检查"
                                },
                                {
                                    "stepNo": 7,
                                    "stepName": "检查兼容性",
                                    "code": -3,
                                    "message": "待检查"
                                },
                                {
                                    "stepNo": 8,
                                    "stepName": "获取源实例待迁移数据大小",
                                    "code": -3,
                                    "message": "待检查"
                                },
                                {
                                    "stepNo": 9,
                                    "stepName": "检查目标机器剩余空间",
                                    "code": -3,
                                    "message": "待检查"
                                },
                                {
                                    "stepNo": 10,
                                    "stepName": "检查目标实例是否为空",
                                    "code": -3,
                                    "message": "待检查"
                                },
                                {
                                    "stepNo": 11,
                                    "stepName": "检查目标实例空间足够",
                                    "code": -3,
                                    "message": "待检查"
                                },
                                {
                                    "stepNo": 12,
                                    "stepName": "检查待迁移库表是否重复",
                                    "code": -3,
                                    "message": "待检查"
                                },
                                {
                                    "stepNo": 13,
                                    "stepName": "检查目标实例日志过滤",
                                    "code": -3,
                                    "message": "待检查"
                                },
                                {
                                    "stepNo": 14,
                                    "stepName": "检查外键引擎等",
                                    "code": -3,
                                    "message": "待检查"
                                },
                                {
                                    "stepNo": 15,
                                    "stepName": "释放dfw权限",
                                    "code": -3,
                                    "message": "待检查"
                                }
                            ]
                        }
                    },
                    "jobOutput": {
                        "code": 0,
                        "message": "迁移任务已停止"
                        "stepAll": 7,
                        "stepNow": 1,
                        "stepName": "检查参数",
                        "stepPercent": "0.00",
                        "costTime": 756,
                        "createTime": "2017-02-22 12:47:37",
                        "masterSlaveDistance": 0,
                        "secondsBehindMaster": 0,
                        "stepInfo": [
                            {
                                "stepNo": 1,
                                "stepName": "检查参数",
                                "stepRemark": ""
                            },
                            {
                                "stepNo": 2,
                                "stepName": "迁移配置",
                                "stepRemark": ""
                            },
                            {
                                "stepNo": 3,
                                "stepName": "导出冷备",
                                "stepRemark": ""
                            },
                            {
                                "stepNo": 4,
                                "stepName": "导入冷备",
                                "stepRemark": ""
                            },
                            {
                                "stepNo": 5,
                                "stepName": "构建主从日志同步",
                                "stepRemark": ""
                            },
                            {
                                "stepNo": 6,
                                "stepName": "数据对比",
                                "stepRemark": ""
                            },
                            {
                                "stepNo": 7,
                                "stepName": "停止主从",
                                "stepRemark": ""
                            }
                        ]
                    },
                    "expectTime": "0000-00-00 00:00:00",
                    "updateTime": "2017-02-22 13:27:01",
                    "submitTime": "2017-02-22 11:35:05"
                }
            }
        ]
    }
}
```

