## 1. 接口描述
本接口(QueryCdbStatisticsInfo)用于查询云数据库实例统计信息，查询的是最近一分钟的统计数据。
接口请求域名：<font style="color:red">cdb.api.qcloud.com</font>

可以在云监控中[MySQL监控数据接口](https://cloud.tencent.com/document/api/248/11006)通过云API来获取CDB实例的监控指标。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见 [公共参数](https://cloud.tencent.com/document/api/236/6921) 页面。其中，此接口的Action字段为QueryCdbStatisticsInfo。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| cdbStatInfo | Object | 状态信息 |
其中， cdbStatInfo 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| allStorageSize | Int | 占用空间总量，包含日志，单位：Byte | 
| dbStorageSize | Int | 数据库占用空间，不含日志，单位：Byte | 
| queryCount | Int | 访问频次，单位：次/分钟 | 
| slowQueryCount | Int | 慢查询访问频次，单位：次/分钟 | 
| charset | String | 字符集，可能返回值：latin1, utf8, gbk, utf8mb4 | 


## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 数据库内部错误 |
| 9013 | InternalError | 系统内部错误 |
| 9016 | InternalError | DES系统内部错误 |
| 9544 | OperationDenied | 实例不存在 |
| 9572 | InstanceNotExists | 实例不存在 |
| 9593 | IncorrectInstanceStatus | 实例状态异常|


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=QueryCdbStatisticsInfo
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-c1nl9rpv
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "cdbStatInfo": {
        "charset": "utf8",
        "allStorageSize": 4173332480,
        "dbStorageSize": 3088056320,
        "queryCount": 0,
        "slowQueryCount": 0
    }
}
```

