公共请求参数是每个接口都需要使用到的请求参数，如非必要, 在各个接口单独的文档中不再对这些参数进行说明, 但<font style="color:red">每次请求均需要携带这些参数, 才能正常发起请求</font>。公共请求参数的首字母均为大写，以此区分于接口请求参数。

公共请求参数具体列表如下：

<table class="t">
<tbody><tr>
<th> <b>参数名称</b>
</th><th width="50"> <b>是否必选</b>
</th><th> <b>类型</b>
</th><th> <b>描述</b>
</th></tr>
<tr>
<td> Action
</td><td> 是
</td><td> 具体操作的指令接口名称，例如想要调用<a href="/document/product/236/1266" title="查询实例列表">查询实例列表</a>接口，则Action参数即为DescribeCdbInstances。
</td><td> String
</td></tr>
<tr>
<td> Region
</td><td> 否
</td><td> 区域参数，用来标识希望操作哪个区域的实例。各区域的参数值为: <br>北京:ap-beijing，北京黑石:ap-beijing-bls，广州:ap-guangzhou，上海:ap-shanghai，香港:ap-hongkong，多伦多:na-toronto，硅谷:na-siliconvalley，新加坡:ap-singapore，上海金融:ap-shanghai-fsi，深圳金融:ap-shenzhen-fsi，广州open专区:ap-guangzhou-open，成都:ap-chengdu，法兰克福:eu-frankfurt，首尔:ap-seoul<br>查看所有<a href="/doc/product/213/6091" title="区域和可用区">区域和可用区</a>列表，查看<a href="/doc/api/213/9456" title="查询地域列表">查询地域列表</a>API接口。<br><B>注意：1、正常情况下此参数是必须的，如无需传入，则会在相应接口中进行说明。<br>2、部分区域正在内测中，目前仅面向部分用户开放。</B>
</td><td> String
</td></tr>
<tr>
<td> Timestamp
</td><td> 是
</td><td> 当前UNIX时间戳，可记录发起API请求的时间。
</td><td> UInt
</td></tr>
<tr>
<td> Nonce
</td><td> 是
</td><td> 随机正整数，与 Timestamp 联合起来, 用于防止重放攻击。
</td><td> UInt
</td></tr>
<tr>
<td> SecretId
</td><td> 是
</td><td> 在<a href="https://console.cloud.tencent.com/capi">云API密钥</a>上申请的标识身份的 SecretId，一个 SecretId 对应唯一的 SecretKey , 而 SecretKey 会用来生成请求签名 Signature。具体可参考 <a href="/document/product/236/1738" title="签名方法">签名方法</a> 页面。
</td><td> String
</td></tr>
<tr>
<td> Signature
</td><td> 是
</td><td> 请求签名，用来验证此次请求的合法性，需要用户根据实际的输入参数计算得出。计算方法可参考 <a href="/document/product/236/1738" title="签名方法">签名方法</a> 页面。
</td><td> String
</td></tr><tr>
<td> SignatureMethod
</td><td> 否
</td><td> 签名方式，目前支持HmacSHA256和HmacSHA1。只有指定此参数为HmacSHA256时，才使用HmacSHA256算法验证签名，其他情况均使用HmacSHA1验证签名。签名计算方法可参考 <a href="/document/product/236/1738" title="签名方法">签名方法</a> 页面。
</td><td> String
</td></tr><tr>
<td> Token
</td><td> 否
</td><td> 临时证书所用的Token，需要结合临时密钥一起使用。长期密钥不需要Token。
</td><td> String
</td></tr></tbody></table>

假设用户想要查询广州地域的云数据库实例列表，则其请求链接的形式可能如下:

```
https://cdb.api.qcloud.com/v2/index.php?
Action=DescribeCdbInstances
&SecretId=xxxxxxx
&Region=ap-guangzhou
&Timestamp=1465055529
&Nonce=59485
&Signature=mysignature
&SignatureMethod=HmacSHA256
&<接口请求参数>
```

一个完整的请求需要两类请求参数：公共请求参数和接口请求参数。这里只列出了上述6个公共请求参数，并未列出接口请求参数，有关接口请求参数的说明可见<a href="/document/product/236/6922" title="接口请求参数">接口请求参数</a>小节。