接口请求参数与具体的接口有关，不同的接口支持的接口请求参数也不一样。接口请求参数的首字母均为小写，以此区分于公共请求参数。
以<a href="/document/product/236/1266" title="查询实例列表">查询实例列表</a>(DescribeCdbInstances)为例，其支持的接口请求参数如下：

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| projectId | 否 | Int | 项目ID，请使用[查询项目列表](/document/product/378/4400)接口查询项目ID|
| cdbInstanceIds.n | 否 | String | 一个或者多个实例ID，n表示从0开始的数组下标。实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取，其值为输出参数中字段 uInstanceId 的值。 |
| cdbInstanceVips.n | 否 | String | 一个或者多个实例访问地址，n表示从0开始的数组下标。请使用[查询实例列表](/doc/api/253/1266)接口查询云数据库实例访问地址 |
| status.n | 否 | Int | 实例状态，默认值为1，一个或者多个状态值，n表示从0开始的数组下标，值包括：<br>0-创建中<br>1-运行中<br>4-删除中<br>5-隔离中 |
| offset | 否 | Int | 记录偏移量，默认值为0 |
| limit | 否 | Int | 单次请求返回的数量，默认值为20，最大值为100 |

其中各字段的说明如下：
<table class="t">
<tbody>
<td> 参数名称
</td><td> 该接口支持的请求参数名，用户可以在使用此接口时将其作为接口请求参数。<br>
注意：如果参数名称以“.n”结尾，则表明此参数为一个数组，使用时需要依次传入数组参数。如在查询实例列表(DescribeCdbInstances)接口中，若传入参数cdbInstanceIds.0=cdb-0hm4gvho&cdbInstanceIds.1=cdb-0hm4gvho，则说明仅查询Id为cdb-0hm4gvho和cdb-0hm4gvho的CDB实例。
</td></tr>
<tr>
<td> 是否必选
</td><td> 标志此参数是否是必须的，若为“是”，则表明调用该接口必须传入此参数；若为“否”，表示可以不传入。在查询实例列表(DescribeCdbInstances)接口中，所有接口请求参数均不是必选的，因此仅使用公共请求参数就能完成正常的接口调用。
</td></tr>
<tr>
<td> 类型
</td><td> 此接口参数的数据类型。
</td></tr>
<tr>
<td> 描述
</td><td> 简要描述了此接口请求参数的内容。
</td></tr>
</tbody></table>

假设用户想要查询CDB实例列表，则其请求链接的形式可能如下:

<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=DescribeCdbInstances
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceIds.0=cdb-c1nl9rpv
</pre>

一个完整的请求需要两类请求参数：公共请求参数和接口请求参数。这里只列出了接口请求参数，并未列出公共请求参数，有关公共请求参数的说明可见<a href="/document/product/236/6921" title="公共请求参数">公共请求参数</a>小节。