## 1. 接口描述
本接口(ModifyCdbInstanceAccountPrivileges)用于修改云数据库实例帐号的访问权限。
接口请求域名：<font style="color:red">cdb.api.qcloud.com</font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/253/1739' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为ModifyCdbInstanceAccountPrivileges。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | String | 实例ID，格式如：cdb-c1nl9rpv。与云数据库控制台页面中显示的实例ID相同，可使用[查询实例列表](/doc/api/253/1266) 接口获取。 |
| user | 是 | String | 帐号名称，规则：长度1-16位，支持大小写英文字母、数字、下划线， 其中首字母不能为下划线|
| host | 是 | String | 主机，规则：长度1-32 位，支持大小写字母、数字、特殊字符（%.:）|
| globalPriv.n | 否 | String | 一个或者多个全局权限，n表示从0开始的数组下标。|
| dbPriv | 否 | Array | 数据库权限参数|
| tbPriv | 否 | Array | 库表权限参数|
| colPriv | 否 | Array | 列权限参数|
其中， dbPriv 参数的元素构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| db | String | 数据库名 |
| priv.n | String | 一个或者多个数据库权限，n表示从0开始的数组下标。 |
其中， tbPriv 参数的元素构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| db | String | 所属数据库名 |
| tb | String | 数据表名 |
| priv.n | String | 一个或者多个数据表权限，n表示从0开始的数组下标。 |
其中， colPriv 参数的元素构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| db | String | 所属数据库名 |
| tb | String | 所属数据表名 |
| col | String | 列名 |
| priv.n | String | 一个或者多个列权限，n表示从0开始的数组下标。 |

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 数据 |


## 4. 错误码表
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 9003 | InvalidParameter | 参数错误 |
| 9587 | InvalidParameter | 密码格式错误 |
| 9572 | InstanceNotExists | 实例不存在 |
| 9537 | ConnectRefusedRootPassword  | 连接实例被拒绝，root 密码错误 |
| 9533 | SqlExecFailUnknown   | SQL执行错误 |


## 5. 示例
输入
<pre>
https://cdb.api.qcloud.com/v2/index.php?Action=ModifyCdbInstanceAccountPrivileges
&<<a href="/document/product/236/6921">公共请求参数</a>>
&cdbInstanceId=cdb-rharhmka
&user=root
&host=localhost
&globalPriv.0=SELECT
&globalPriv.1=INSERT
&dbPriv.0.db=test
&dbPriv.0.priv.0=SELECT
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc":"Success",
    "data": []
}
```

