## 1. 接口描述
本接口(DescribeRegions)用于查询地域列表。
接口请求域名：<font style='color:red'>postgres.api.qcloud.com </font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/238/7328' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为DescribeRegions。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| Version | 是 | String | 表示API版本号，主要用于标识请求的不同API版本。 本接口第一版本可传：2017-03-12。|

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| RequestId | String | 唯一请求ID。每次请求都会返回`RequestId`。当用户调用接口失败找后台研发人员处理时需提供该`RequestId`。|
| RegionList | Array | 地域列表 |

其中，RegionList 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| Id | Int | 地域数字代码 |
| Name | String | 地域中文名称 |
| Short_name | String | 地域短英文名称 |
| Code | String | 地域长英文名称 |

## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多错误码详见<a href="https://www.qcloud.com/doc/api/238/7334">公共错误码</a>。

| 错误码 | 描述 |
|---------|---------|
|SystemError| 系统错误，请联系客服人员。|
| ParamsAssertError | 参数断言转换错误 |
| Wrapper.InterfaceNameNotFound | 接口名没有找到 |
| DBConnectError | 数据库连接错误 |


## 5. 示例
输入
<pre>
https://postgres.api.qcloud.com/v2/index.php?Action=DescribeRegions
&Version=2017-03-12
&<<a href="https://www.qcloud.com/document/api/238/7328">公共请求参数</a>>
</pre>
输出
```
{
    "Response":{
        "RegionList":[
            {
                "Id":1,
                "Name":"广州",
                "Short_name":"gz",
                "Code":"ap-guangzhou"
            },
            {
                "Id":2,
                "Name":"汕头",
                "Short_name":"st",
                "Code":"ap-shantou"
            }
        ],
        "RequestId":"6EF60BEC-0242-43AF-BB20-270359FB54A7"
    }
}
```

