## 1. 接口描述
本接口(CreateResource)用于创建实例资源。
接口请求域名：<font style='color:red'>postgres.api.qcloud.com </font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/238/7328' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为CreateResource。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| Version | 是 | String | 表示API版本号，主要用于标识请求的不同API版本。 本接口第一版本可传：2017-03-12。|
| RegionId | 是 | Int | 实例所在地域ID，详见`查询实例列表`文档中的`地域ID` |
| ZoneId | 是 | Int | 实例所在可用区ID，详见`查询实例列表`文档中的`可用区ID` |
| ProjectId | 否 | Int | 实例所在项目ID，请使用[查询项目列表](/doc/api/229/1330)接口获取项目ID |
| SpecCode | 是 | String | 实例规格码 |
| DBVersion | 是 | String | 实例版本 |
| Storage | 是 | Int | 实例存储空间大小，单位G |
| SubnetId | 否 | Int | 实例所在私有网络子网ID，请使用[查询私有网络列表](/doc/api/245/1372) |
| VpcId | 否 | Int | 实例所在私有网络ID，请使用[查询私有网络列表](/doc/api/245/1372) |
| Number | 是 | Int | 实例数量 |
| TimeSpan | 是 | Int | 实例时长 |
| TimeUnit | 是 | String | 时间单位， 默认为”m“ |
| MasterIp | 否 | String | 指定主机ip |
| SlaveIp | 否 | String | 指定备机ip |
| Operator | 是 | String | 操作者UIN/RTX |


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| RequestId | String | 唯一请求ID。每次请求都会返回`RequestId`。当用户调用接口失败找后台研发人员处理时需提供该`RequestId`。|
| TaskId | Int | 任务Id |
| ResourceIdList | Array of Strings | 实例Id列表 |


## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多错误码详见<a href="https://www.qcloud.com/doc/api/238/7334">公共错误码</a>。

| 错误码 | 描述 |
|---------|---------|
|SystemError| 系统错误，请联系客服人员。|
| ParamsAssertError | 参数断言转换错误 |
| Wrapper.InterfaceNameNotFound | 接口名没有找到 |
| DBConnectError | 数据库连接错误 |
| OssError | Oss接口错误 |



## 5. 示例
输入
<pre>
https://postgres.api.qcloud.com/v2/index.php?Action=CreateResource
&Version=2017-03-12
&<<a href="https://www.qcloud.com/document/api/238/7328">公共请求参数</a>>
&RegionId=1
&ZoneId=100002
&ProjectId=0
&SpecCode=cdb.pg.c1.1g
&DBVersion=9.3.5
&Storage=10
&SubnetId=1
&VpcId=1
&Number=1
&TimeSpan=10
&TimeUnit=m
&MasterIp=127.0.0.2
&SlaveIp=127.0.0.3
&Operator=120000746388
</pre>
输出
```
{
    "Response":{
        "TaskId":447338,
        "ResourceIdList":[
            "postgres-9yyzeg2z"
        ],
        "RequestId":"6EF60BEC-0242-43AF-BB20-270359FB54A7"
    }
}
```

