## 1. 接口描述
本接口(DescribeInstances)用于查询实例列表。
接口请求域名：<font style='color:red'>postgres.api.qcloud.com </font>

* “实例状态” 字段指明了实例当前所属的状态，包含在下列所述情形范围内：
 
| 状态ID | 状态名 |
|--------|-------|
| 1 | 申请中 |
| 2 | 运行中 |
| 3 | 受限运行中 (主备切换中) |
| 4 | 已隔离 | 
| 5 | 回收中 |
| 6 | 已回收 |
| 7 | 任务执行中 (实例做备份，回档等操作) |
| 8 | 已下线 |
| 9 | 实例扩容中 |
| 10| 实例迁移中 |
| 11| 实例待初始化 |
| 12| 实例初始化中 |

* “地域ID” 字段表明地域映射的int值，包含在下列所述情形范围内：
 
| 地域ID | 地域名 |
|---------|---------|
| 1 | 广州 |
| 4 | 上海 |
| 5 | 香港 |
| 7 | 上海金融 | 
| 8 | 北京 |
| 11 | 深圳金融 |

* “可用区ID” 字段表明可用区映射的int值，包含在下列所述情形范围内：

| 可用区ID | 可用区名 |
|---------|---------|
| 100002 | 广州二区 |
| 100003 | 广州三区 |
| 200001 | 上海一区 |
| 300001 | 香港一区 |
| 700001 | 上海金融一区 | 
| 800001 | 北京一区 |
| 110001 | 深圳金融一区 |


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/238/7328' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为DescribeInstances。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| Version | 是 | String | 表示API版本号，主要用于标识请求的不同API版本。 本接口第一版本可传：2017-03-12。|
| ProjectIds.n | 否 | Int | 一个或者多个项目ID，n表示从0开始的数组下标。项目ID，请使用[查询项目列表](/doc/api/229/1330)接口查询项目ID|
| ResourceIds.n | 否 | String | 一个或者多个实例ID，n表示从0开始的数组下标。实例ID，格式如：mssql-si2823jyl |
| RegionId | 否 | Int | 地域ID，请使用[查看地域ID列表](/doc/api/238/9144)  |
| ZoneId | 否 | Int | 可用区ID，请使用[查看可用区ID列表](/doc/api/238/9144)|
| Statuses.n | 否 | Int | 一个或者多个实例状态值，n表示从0开始的数组下标。实例状态值，请使用[查看实例状态列表](/doc/api/238/9144) |
| Offset | 否 | Int | 偏移量 |
| Limit | 否 | Int | 返回数量 |



## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| RequestId | String | 唯一请求ID。每次请求都会返回`RequestId`。当用户调用接口失败找后台研发人员处理时需提供该`RequestId`。|
| TotalCount | Int | 实例个数 |
| Instances | Array | 实例详情列表 |

其中，Instances 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| ResourceId | String | 实例ID |
| Name | String | 实例名称 |
| ProjectId | Int | 实例所在项目ID，请使用[查询项目列表](/doc/api/229/1330)接口获取项目ID |
| RegionId | Int | 实例所在地域ID |
| ZoneId | Int | 实例所在可用区ID |
| VpcId | Int | 实例所在私有网络ID，请使用[查询私有网络列表](/doc/api/245/1372) |
| SubnetId | Int | 实例所在私有网络子网ID，请使用[查询私有网络列表](/doc/api/245/1372) |
| Status | Int | 实例状态，请使用[查看实例状态列表](/doc/api/238/9144) |
| Vip | String | 实例访问ip |
| Vport | Int | 实例访问端口 |
| CreateTime | String | 实例创建时间 |
| UpdateTime | String | 实例更新时间 |
| StartTime | String | 实例计费开始时间 |
| EndTime | String | 实例计费结束时间 |
| VersionName | String | 实例版本 |
| Memory | Int | 实例内存大小，单位M |
| Storage | Int | 实例存储空间大小，单位G |
| RenewFlag | Int | 实例续费标记，0-正常续费，1-自动续费，2-到期不续费|
| IsolatedTimestamp | String | 实例隔离时间 |


## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多错误码详见<a href="https://www.qcloud.com/doc/api/238/7334">公共错误码</a>。

| 错误码 | 描述 |
|---------|---------|
|SystemError| 系统错误，请联系客服人员。|
| ParamsAssertError | 参数断言转换错误 |
| Wrapper.InterfaceNameNotFound | 接口名没有找到 |
| DBConnectError | 数据库连接错误 |
| OssError | Oss接口错误 |

## 5. 示例
输入
<pre>
https://postgres.api.qcloud.com/v2/index.php?Action=DescribeInstances
&Version=2017-03-12
&<<a href="https://www.qcloud.com/document/api/238/7328">公共请求参数</a>>
&RegionId=1
&ResourceIds.0=postgres-r5hh4d0j
&PageSize=20
&PageNo=0
</pre>
输出
```
{
    "Response": {
        "TotalCount": 1,
        "Instances": [
            {
                "ResourceId": "postgres-r5hh4d0j",
                "Name": "ab43d155-41e0-4f8d-b586-51fd3b362518",
                "ProjectId": 0,
                "RegionId": 1,
                "ZoneId": 100003,
                "VpcId": 0,
                "SubnetId": 0,
                "Status": 2,
                "Vip": "10.66.18.9",
                "Vport": 5432,
                "CreateTime": "2016-12-19 11:54:38",
                "UpdateTime": "2017-10-19 17:36:25",
                "StartTime": "2016-12-19 12:39:17",
                "EndTime": "2017-01-19 12:39:17",
                "VersionName": "PostgreSQL 9.3.5(内核优化版)",
                "Memory": 1024,
                "Storage": 100,
                "RenewFlag": 0,
                "IsolatedTimestamp": "2016-12-29 21:06:19"
            }
        ],
        "RequestId":"6EF60BEC-0242-43AF-BB20-270359FB54A7"
    }
}
```

