## 1. 接口描述
本接口(DescribeSpecs)用于查询实例规格列表。
接口请求域名：<font style='color:red'>postgres.api.qcloud.com </font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/238/7328' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为DescribeSpecs。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| Version | 是 | String | 表示API版本号，主要用于标识请求的不同API版本。 本接口第一版本可传：2017-03-12。|
| RegionId | 否 | Int | 实例所在地域ID，详见`查询实例列表`文档中的`地域ID` |
| ZoneId | 否 | Int | 实例所在可用区ID，详见`查询实例列表`文档中的`可用区ID` |

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| RequestId | String | 唯一请求ID。每次请求都会返回`RequestId`。当用户调用接口失败找后台研发人员处理时需提供该`RequestId`。|
| SpecList | Array | 实例规格列表 |

其中，SpecList 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| RegionId | Int | 实例所在地域ID |
| ZoneId | Int | 实例所在可用区ID |
| Info | Array | 实例规格详细信息 |

其中，Info 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| SpecCode | String | 规格码 |
| Version | String | 实例版本 |
| VersionName | String | 实例版本详细名称 |
| Type | String | 实例所在机型 |
| Cpu | Int | 实例CPU核数 |
| Memory | Int | 实例内存大小 |
| MaxStorage | Int | 实例可售卖存储上限 |
| MinStorage | Int | 实例可售卖存储下限 |
| Qps | Int | 实例Qps |
| SuitInfo | String | 规格说明信息 |
| Pid | Int | 计费Pid |

## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多错误码详见<a href="https://www.qcloud.com/doc/api/238/7334">公共错误码</a>。

| 错误码 | 描述 |
|---------|---------|
|SystemError| 系统错误，请联系客服人员。|
| ParamsAssertError | 参数断言转换错误 |
| Wrapper.InterfaceNameNotFound | 接口名没有找到 |
| DBConnectError | 数据库连接错误 |


## 5. 示例
输入
<pre>
https://postgres.api.qcloud.com/v2/index.php?Action=DescribeSpecs
&Version=2017-03-12
&<<a href="https://www.qcloud.com/document/api/238/7328">公共请求参数</a>>
&RegionId=1
&ZoneId=100002
</pre>
输出
```
{
    "Response":{
        "SpecList":[
            {
                "RegionId":1,
                "ZoneId":100002,
                "Info":[
                    {
                        "SpecCode":"cdb.pg.z1.1g",
                        "Version":"9.3.5",
                        "VersionName":"PostgreSQL 9.3.5(内核优化版)",
                        "Type":"Z3",
                        "Cpu":1,
                        "Memory":1024,
                        "MaxStorage":1000,
                        "MinStorage":10,
                        "Qps":800,
                        "SuitInfo":"日独立用户数百人级别的小型应用",
                        "Pid":11004
                    }
                ]
            }
        ],
        "RequestId":"6EF60BEC-0242-43AF-BB20-270359FB54A7"
    }
}
```

