## 1. 接口描述
本接口(CreateBackup)用于创建备份。
接口请求域名：<font style='color:red'>sqlserver.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='https://cloud.tencent.com/document/api/238/7328
' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的 Action 字段为 CreateBackup。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| resourceId | 是 | String | 实例id|
| strategy | 否 | Int | 备份策略(0-实例备份 1-多库备份)|
| dbList.n ( dbList 为数组，此处入参需要填写数组元素) | 否 | string | 需要备份库名的列表(多库备份才填写)


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/238/7334#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | 返回数据 |

其中，data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| flowId | Int | 流程ID |

## 4. 错误码表

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 50 | InstanceNotFound | 实例不存在 |
| 51 | AbnormalInstanceStatus | 实例状态异常 |
| 1000 | SystemError | 系统错误，请联系客服人员。 |
| 1002 | DBConnectError | 数据库连接错误 |
| 1005 | CreateFlowFailed | 任务流程创建失败 |

## 5. 示例
输入
<pre>
https://sqlserver.api.qcloud.com/v2/index.php?Action=CreateBackup
&<<a href="https://cloud.tencent.com/document/api/238/7328">公共请求参数</a>>
&resourceId=mssql-q6g71pcf
&strategy=1
&dbList.0=test1
&dbList.1=test2
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "data":{
        "flowId":5293
    }
}
```

