## 1. 接口描述
本接口(ListBackup)用于查看备份列表。
接口请求域名：<font style='color:red'>sqlserver.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='https://cloud.tencent.com/document/api/238/7328
' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的 Action 字段为 ListBackup。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| resourceId | 是 | String | 实例id|
| startTime | 是 | String | 开始时间(yyyy-MM-dd HH:mm:ss)|
| endTime | 是 | String | 结束时间(yyyy-MM-dd HH:mm:ss)|
| pageSize | 否 | Int | 分页大小|
| pageNo | 否 | Int | 页号|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/238/7334#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | 返回数据 |

其中，data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| totalCount | Int | 备份总数量 |
| backupList | Array | 备份列表详情 |

其中，backupList 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| fileName | String | 文件名 | 
| size | Int | 文件大小，单位 KB | 
| startTime | String | 备份开始时间 | 
| endTime | String | 备份结束时间 | 
| internalAddr | String | 内网下载地址 | 
| externalAddr | String | 外网下载地址 | 
 
## 4. 错误码表

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 50 | InstanceNotFound | 实例不存在 |
| 1000 | SystemError | 系统错误，请联系客服人员。 |
| 1002 | DBConnectError | 数据库连接错误 |
| 1005 | CreateFlowFailed | 任务流程创建失败 |

## 5. 示例
输入
<pre>
https://sqlserver.api.qcloud.com/v2/index.php?Action=ListBackup
&<<a href="https://cloud.tencent.com/document/api/238/7328">公共请求参数</a>>
&resourceId=mssql-q6g71pcf
&startTime=2016-09-27 00:00:00
&endTime=2016-09-28 00:00:00
&pageSize=10
&pageNo=0
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "data":{
        "backupList":[
            {
                "fileName":"backup_540316.tar",
                "size":"1440",
                "startTime":"2016-09-27 02:03:15",
                "endTime":"2016-09-27 02:21:45",
                "internalAddr":"http://10.66.185.141:58366/download/backup_540316.tar?YJW3gzNLKt2LCrywP9JslJXZo6TXiqprJ6x+tRJfDqzPsYYttIeozrDQeh2yfY/Dq/8OltqtK/+Bg3+plnNy5TzRhaYuCh+DpYehlAXVPBHPARU+zHUfxGkimTw+RxB5BBmgF/TTvwQXHfyjCr2DnQ==",
                "externalAddr":"http://119.29.47.51:9097/download/backup_540316.tar?YJW3gzNLKt2LCrywP9JslJXZo6TXiqprJ6x+tRJfDqzPsYYttIeozrDQeh2yfY/Dq/8OltqtK/+Bg3+plnNy5TzRhaYuCh+DpYehlAXVPBHPARU+zHUfxGkimTw+RxB5BBmgF/TTvwQXHfyjCr2DnQ=="
            }
        ],
        "totalCount":"1"
    }
}
```

