## 1. 接口描述
本接口(CreateBackup)用于创建备份。
接口请求域名：<font style='color:red'>sqlserver.api.qcloud.com </font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='https://www.qcloud.com/document/api/238/7328
' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的 Action 字段为 CreateBackup。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| Version | 是 | String | 表示API版本号，主要用于标识请求的不同API版本。 本接口第一版本可传：2017-03-12。|
| ResourceId | 是 | String | 实例id|
| Strategy | 否 | Int | 备份策略(0-实例备份 1-多库备份)|
| DbList.n ( dbList 为数组，此处入参需要填写数组元素) | 否 | String | 需要备份库名的列表(多库备份才填写)


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| RequestId | String | 唯一请求ID。每次请求都会返回`RequestId`。当用户调用接口失败找后台研发人员处理时需提供该`RequestId`。|
| FlowId | Int | 流程ID |


## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多错误码详见<a href="https://www.qcloud.com/doc/api/238/7334">公共错误码</a>。

| 错误码 | 描述 |
|---------|---------|
|SystemError| 系统错误，请联系客服人员。|
| ParamsAssertError | 参数断言转换错误 |
| Wrapper.InterfaceNameNotFound | 接口名没有找到 |
| InstanceNotFound | 实例不存在 |
| AbnormalInstanceStatus | 实例状态异常 |
| DBConnectError | 数据库连接错误 |
| CreateFlowFailed | 任务流程创建失败 |


## 5. 示例
输入
<pre>
https://sqlserver.api.qcloud.com/v2/index.php?Action=CreatBackup
&Version=2017-03-12
&<<a href="https://www.qcloud.com/document/api/238/7328">公共请求参数</a>>
&ResourceId=mssql-q6g71pcf
&Strategy=1
&DbList.0=test1
&DbList.1=test2
</pre>
输出
```
{
    "Response": {
        "FlowId":5293,
        "RequestId":"6EF60BEC-0242-43AF-BB20-270359FB54A7"
    }
}
```

