## 1. 接口描述
本接口(DescribeBackups)用于查看备份列表。
接口请求域名：<font style='color:red'>sqlserver.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='https://www.qcloud.com/document/api/238/7328
' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的 Action 字段为 DescribeBackups。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| Version | 是 | String | 表示API版本号，主要用于标识请求的不同API版本。 本接口第一版本可传：2017-03-12。|
| ResourceId | 是 | String | 实例id|
| StartTime | 是 | String | 开始时间(yyyy-MM-dd HH:mm:ss)|
| EndTime | 是 | String | 结束时间(yyyy-MM-dd HH:mm:ss)|
| Offset | 否 | Int | 偏移量 |
| Limit | 否 | Int | 返回数量 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| RequestId | String | 唯一请求ID。每次请求都会返回`RequestId`。当用户调用接口失败找后台研发人员处理时需提供该`RequestId`。|
| TotalCount | Int | 备份总数量 |
| BackupList | Array | 备份列表详情 |

其中，BackupList 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| FileName | String | 文件名 | 
| Size | Int | 文件大小，单位 KB | 
| StartTime | String | 备份开始时间 | 
| EndTime | String | 备份结束时间 | 
| InternalAddr | String | 内网下载地址 | 
| ExternalAddr | String | 外网下载地址 | 
 
## 4. 错误码

以下错误码表仅列出了该接口的业务逻辑错误码，更多错误码详见<a href="https://www.qcloud.com/doc/api/238/7334">公共错误码</a>。

| 错误码 | 描述 |
|---------|---------|
|SystemError| 系统错误，请联系客服人员。|
| ParamsAssertError | 参数断言转换错误 |
| Wrapper.InterfaceNameNotFound | 接口名没有找到 |
|InstanceNotFound| 实例不存在|
|DBConnectError| 数据库连接错误|
|CreateFlowFailed| 任务流程创建失败|



## 5. 示例
输入
<pre>
https://postgres.api.qcloud.com/v2/index.php?Action=DescribeBackups
&Version=2017-03-12
&<<a href="https://www.qcloud.com/document/api/238/7328">公共请求参数</a>>
&ResourceId=mssql-q6g71pcf
&StartTime=2016-09-27 00:00:00
&EndTime=2016-09-28 00:00:00
&PageSize=10
&PageNo=0
</pre>
输出
```
{
    "Response": {
        "BackupList":[
            {
                "FileName":"backup_540316.tar",
                "Size":1440,
                "StartTime":"2016-09-27 02:03:15",
                "EndTime":"2016-09-27 02:21:45",
                "InternalAddr":"http://10.66.185.141:58366/download/backup_540316.tar?YJW3gzNLKt2LCrywP9JslJXZo6TXiqprJ6x+tRJfDqzPsYYttIeozrDQeh2yfY/Dq/8OltqtK/+Bg3+plnNy5TzRhaYuCh+DpYehlAXVPBHPARU+zHUfxGkimTw+RxB5BBmgF/TTvwQXHfyjCr2DnQ==",
                "ExternalAddr":"http://119.29.47.51:9097/download/backup_540316.tar?YJW3gzNLKt2LCrywP9JslJXZo6TXiqprJ6x+tRJfDqzPsYYttIeozrDQeh2yfY/Dq/8OltqtK/+Bg3+plnNy5TzRhaYuCh+DpYehlAXVPBHPARU+zHUfxGkimTw+RxB5BBmgF/TTvwQXHfyjCr2DnQ=="
            }
        ],
        "TotalCount":1,
        "RequestId":"6EF60BEC-0242-43AF-BB20-270359FB54A7"
    }
}

```

