## 1. 接口描述
本接口(GetInstanceList)用于查询实例列表。
接口请求域名：<font style='color:red'>sqlserver.api.qcloud.com </font>

* “实例状态” 字段指明了实例当前所属的状态，包含在下列所述情形范围内：
 
| 状态ID | 状态名 |
|--------|-------|
| 1 | 申请中 |
| 2 | 运行中 |
| 3 | 受限运行中 (主备切换中) |
| 4 | 已隔离 | 
| 5 | 回收中 |
| 6 | 已回收 |
| 7 | 任务执行中 (实例做备份，回档等操作) |
| 8 | 已下线 |
| 9 | 实例扩容中 |
| 10| 实例迁移中 |

* “地域ID” 字段表明地域映射的int值，包含在下列所述情形范围内：
 
| 地域ID | 地域名 |
|---------|---------|
| 1 | 广州 |
| 4 | 上海 |
| 5 | 香港 |
| 7 | 上海金融 | 
| 8 | 北京 |
| 11 | 深圳金融 |

* “可用区ID” 字段表明可用区映射的int值，包含在下列所述情形范围内：

| 可用区ID | 可用区名 |
|---------|---------|
| 100002 | 广州二区 |
| 100003 | 广州三区 |
| 200001 | 上海一区 |
| 300001 | 香港一区 |
| 700001 | 上海金融一区 | 
| 800001 | 北京一区 |
| 110001 | 深圳金融一区 |


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/238/7328' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为GetInstanceList。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| projectId | 否 | Int | 项目ID，请使用[查询项目列表](/doc/api/229/1330)接口查询项目ID|
| resourceIds.n | 否 | String | 一个或者多个实例ID，n表示从0开始的数组下标。实例ID，格式如：mssql-si2823jyl |
| regionId | 否 | Int | 地域ID，请使用[查看地域ID列表](/doc/api/238/9144)  |
| zoneId | 否 | Int | 可用区ID，请使用[查看可用区ID列表](/doc/api/238/9144)|
| status | 否 | Int | 实例状态值，请使用[查看实例状态列表](/doc/api/238/9144) |
| pageNo | 否 | Int | 页号，默认值为0 |
| pageSize | 否 | Int | 每页返回的数量，默认50 |


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/238/7334#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | 返回的数据 |

其中，data 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| totalCount | Int | 实例个数 |
| details | Array | 实例详情列表 |

其中，details 参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| resourceId | String | 实例ID |
| name | String | 实例名称 |
| projectId | Int | 实例所在项目ID，请使用[查询项目列表](/doc/api/229/1330)接口获取项目ID |
| regionId | Int | 实例所在地域ID |
| zoneId | Int | 实例所在可用区ID |
| vpcId | Int | 实例所在私有网络ID，请使用[查询私有网络列表](/doc/api/245/1372) |
| subnetId | Int | 实例所在私有网络子网ID，请使用[查询私有网络列表](/doc/api/245/1372) |
| status | Int | 实例状态，请使用[查看实例状态列表](/doc/api/238/9144) |
| vip | String | 实例访问ip |
| vport | Int | 实例访问端口 |
| createTime | String | 实例创建时间 |
| updateTime | String | 实例更新时间 |
| startTime | String | 实例计费开始时间 |
| endTime | String | 实例计费结束时间 |
| isolateTime | String | 实例隔离时间 |
| memory | Int | 实例内存大小，单位G |
| used | Int | 实例已经使用存储空间大小，单位G |
| storage | Int | 实例存储空间大小，单位G |
| versionName | String | 实例版本 |
| renewFlag | Int | 实例续费标记，0-正常续费，1-自动续费，2-到期不续费|
| model | Int | 实例高可用， 1-双机高可用，2-单机|


## 4. 输出参数

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
| 1000 | SystemError | 系统错误，请联系客服人员。 |
| 1002 | DBConnectError | 数据库连接错误 |
| 1004 | OssError | Oss接口错误 |


## 5. 示例
输入
<pre>
https://sqlserver.api.qcloud.com/v2/index.php?Action=GetInstanceList
&<<a href="https://cloud.tencent.com/doc/api/238/7328">公共请求参数</a>>
&regionId=1
&resourceIds.0=mssql-pf20sran
&pageSize=20
&pageNo=0
</pre>
输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "totalCount": 1,
        "details": [
            {
                "resourceId": "mssql-pf20sran",
                "name": "ab43d155-41e0-4f8d-b586-51fd3b362518",
                "projectId": 0,
                "regionId": 1,
                "zoneId": 100002,
                "vpcId": 0,
                "subnetId": 0,
                "status": 2,
                "vip": "10.66.19.118",
                "vport": 1433,
                "createTime": "2017-03-16 17:35:38",
                "updateTime": "2017-03-16 18:58:13",
                "startTime": "2017-03-16 18:58:13",
                "endTime": "2017-04-16 18:58:13",
                "isolateTime": "0000-00-00 00:00:00",
                "memory": 2,
                "used": 1,
                "storage": 50,
                "versionName": "SQL Server 2008 R2",
                "renewFlag": 0,
                "model": 1
            }
        ]
    }
}
```

