为了帮助您快速使用云数据库TDSQL API，这里给出一个使用示例。
要使用云数据库TDSQL服务， 您首先需要创建一个云数据库TDSQL的实例，下面将为您展示创建实例的流程：
首先，通过调用[查询实例规格](/doc/api/309/5537)接口，来查看都有哪些可以创建的实例规格。每种规格都有一个pid字段作为它的产品标识，选定规格后，可以拿对应的 pid 来[查询价格](/doc/api/309/5538)和[创建实例](/doc/api/309/5539)。

## 1. 查询实例规格
创建CDB实例前，我们首先要查看下都有哪些实例规格， 由于这个接口不需要传额外的参数，所以只需传公共请求参数。

结合公共请求参数和接口请求参数，最终得到的请求形式如下：
```
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlGetSpecList
&SecretId=AKID6SYaSQcgHd5xxxxxxxlAWpGkaDa55q8
&Nonce=39586
&Timestamp=1470125343
&Region=gz
&Signature=DL6pfNGL1ZC5zM6ceOTVsF7qEKs%3D
```

上述请求的返回结果如下，由结果可知每种规格的配置及对应的dbType(返回中的pid字段)。 
实例到期之后可调用[续费实例](/doc/api/309/5541)接口进行续费。

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "spec": [
            {
                "machine": "Z3",
                "specinfos": [
                    {
                        "machine": "Z3",
                        "specid": 1,
                        "mem": 48000,
                        "data_disk": 800000,
                        "log_disk": 200000,
                        "title": "超大规格",
                        "typeName": "标准版",
                        "tdsqlVersion": "兼容MySQL 5.5/5.6",
                        "suitInfo": "日独立用户数在百万人级别的超大型应用",
                        "qps": 36300,
                        "pid": 10554
                    },
                    {
                        "machine": "Z3",
                        "specid": 2,
                        "mem": 24000,
                        "data_disk": 400000,
                        "log_disk": 100000,
                        "title": "大规格",
                        "typeName": "标准版",
                        "tdsqlVersion": "兼容MySQL 5.5/5.6",
                        "suitInfo": "日独立用户数在百万人级别的大型应用",
                        "qps": 19300,
                        "pid": 10553
                    },
                    {
                        "machine": "Z3",
                        "specid": 4,
                        "mem": 12000,
                        "data_disk": 200000,
                        "log_disk": 50000,
                        "title": "中规格",
                        "typeName": "标准版",
                        "tdsqlVersion": "兼容MySQL 5.5/5.6",
                        "suitInfo": "日独立用户数上十万人级别的中大型应用",
                        "qps": 6800,
                        "pid": 10552
                    },
                    {
                        "machine": "Z3",
                        "specid": 8,
                        "mem": 6000,
                        "data_disk": 100000,
                        "log_disk": 25000,
                        "title": "小规格",
                        "typeName": "标准版",
                        "tdsqlVersion": "兼容MySQL 5.5/5.6",
                        "suitInfo": "日独立用户数上万人级别的中型应用",
                        "qps": 4100,
                        "pid": 10551
                    }
                ]
            }
        ]
    }
}
```

## 2. 查询价格
在选定一种规格之后， 可以拿对应的 dbType 来查询价格。
这里我们选择 dbType=10551 的规格，它的内存是 6000MB，硬盘容量是 100GB。 时长选择 1 个月，实例数量为 1 个。具体的接口请求参数见下表：

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| costType | 否 | Int | 计费类型0:包年包月1:按量计费。目前仅支持包年包月|
| dbType | 是 | Int | 产品号，详见[查询实例规格](/doc/api/309/5537)中的pid字段|
| goodsNum | 否 | Int | 商品数|
| period | 否 | Int | 时长，单位为月，查询包年包月类型时有效|

结合公共请求参数和接口请求参数，最终得到的请求形式如下：
```
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlGetPrice
&SecretId=AKID6SYaSQcgHxxxxxxxm4ZlAWpGkaDa55q8
&Nonce=62962
&Timestamp=1470125880
&Region=gz
&dbType=10551
&period=1
&goodsNum=1
&Signature=WXyClJY9nt5cqURjxSBaiTsCs1M%3D
```
上述请求的结果如下，可以看到这个规格的实例，一个月的费用是 1600.00 元。
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "originalPrice": 160000,
    "price": 160000
}
```

## 3. 创建实例
现在调用具体的创建接口来创建实例。
这里我们选择 dbType=10551 的规格，它的内存是 6000MB，硬盘容量是 100GB。 时长选择 1 个月，实例数量为 1 个。具体的接口请求参数见下表：

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| period | 是 | Int | 时长,单位为月|
| dbType | 是 | Int | 产品型号，可以通过[查看实例规格](/doc/api/309/5537)获取|
| vpcId | 否 | Int | 私有网络ID。字段暂时无效，目前只能分配到默认网络|
| subnetId | 否 |Int | 私有网络子网ID。字段暂时无效，目前只能分配到默认网络|
| projectId | 否 | Int | 项目ID，可以通过[查看项目列表](/doc/api/309/5604)获取|
| goodsNum | 是 | Int | 数量|

结合公共请求参数和接口请求参数，最终得到的请求形式如下：
```
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlCreateInstance
&SecretId=AKID6SYaSQcgHxxxxxxJm4ZlAWpGkaDa55q8
&Nonce=695
&Timestamp=1470126034
&Region=gz
&dbType=10551
&period=1
&goodsNum=1
&Signature=YzvTqVYgBIdXbR%2FSvBzVYhPCjto%3D
```

上述请求的结果如下，可以看到生成了一个订单号，这时我们的机房正在为您发货，稍等一下就可以通过[查询实例列表](/doc/api/309/5447)查看您刚刚创建的实例。
或者直接通过[查询订单信息](/doc/api/309/5690)来查看该订单创建的实例ID等信息。
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "dealNames": [
            "20160802121453"
        ],
        "dealIds": [
            "1970063"
        ]
    }
}
```