## 1. 接口描述
本接口(CdbTdsqlModifyConfig)用于修改数据库参数。
接口请求域名：<font style="color:red">tdsql.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976
)。其中，此接口的Action字段为CdbTdsqlModifyConfig。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| config.n(config 为数组，此处入参需要填写数组元素 )  | 是 | String | 参数列表，每一个元素是Param和Value的组合,见示例|
| dbMode | 否 | Int | 0单机版;1分布式(目前只开放单机功能，此参数无效)|

## 3. 输出参数
公共返回值结构在[返回值](https://cloud.tencent.com/document/api/213/6976)可以查看，此处只列出data字段的返回值格式。

成功返回被影响的参数信息，失败返回错误原因。
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
| EINSTANCEDELETED | 实例已删除 |
| InstanceStatusAbnormal | 实例状态异常(非删除), 不能进行操作 |
| OssOpertaionFailed | OSS内部失败 |
| InstanceHasBeenLocked | tdsql已经被其它流程锁定 |
| GetDbconfigFailed | 获取参数失败 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=CdbTdsqlModifyConfig
&cdbInstanceId=40732
&config.0.Param=auto_increment_increment
&config.0.Value=2
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "id": 40732,
        "config": [
            {
                "param": "auto_increment_increment",
                "code": 0
            }
        ]
    }
}
```

