## 1. 接口描述
本接口(CdbTdsqlGetConfigList)用于获取数据库的当前参数设置。
接口请求域名：<font style="color:red">tdsql.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976
)。其中，此接口的Action字段为CdbTdsqlGetConfigList。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| dbMode | 否 | Int | 0单机版;1分布式(目前只开放单机功能，此参数无效)|

## 3. 输出参数

公共返回值结构在[返回值](https://cloud.tencent.com/document/api/213/6976)可以查看，此处只列出data字段的返回值格式。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| id | Int |实例Id|
| config | Array | 具体的参数和相关的值，参看示例 |
| config.param | String | 参数名 |
| config.value | String | 参数的值 |
| config.set_value | String | 最近一次被用户设置过的值 |
| config.default | String | 系统默认值 |
| config.constraint.type | String | 约束类型,如枚举enum，区间section |
| config.constraint.min | String |约束类型为section时的最小值 |
| config.constraint.max | String |约束类型为section时的最大值 |
| config.constraint.enum | String |约束类型为enum时的可选值列表 |
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
| EINSTANCEDELETED | 实例已删除 |
| InstanceStatusAbnormal | 实例状态异常(非删除), 不能进行操作 |
| OssOpertaionFailed | OSS内部失败 |
| GetDbconfigFailed | 获取参数失败 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=CdbTdsqlGetConfigList
&cdbInstanceId=40732
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "id": 40732,
        "config": [
            {
                "param": "auto_increment_increment",
                "value": "1",
                "set_value": "",
                "default": "1",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "65535"
                    }
                }
            },
            {
                "param": "auto_increment_offset",
                "value": "1",
                "set_value": "",
                "default": "1",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "65535"
                    }
                }
            },
            {
                "param": "autocommit",
                "value": "ON",
                "set_value": "",
                "default": "ON",
                "constraint": {
                    "type": "enum",
                    "enum": "ON,OFF"
                }
            },
            {
                "param": "character_set_server",
                "value": "utf8",
                "set_value": "",
                "default": "utf8",
                "constraint": {
                    "type": "enum",
                    "enum": "utf8,latin1,gbk,utf8mb4"
                }
            },
            {
                "param": "connect_timeout",
                "value": "10",
                "set_value": "",
                "default": "10",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "3600"
                    }
                }
            },
            {
                "param": "default_week_format",
                "value": "0",
                "set_value": "",
                "default": "0",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "0",
                        "max": "7"
                    }
                }
            },
            {
                "param": "delay_key_write",
                "value": "ON",
                "set_value": "",
                "default": "ON",
                "constraint": {
                    "type": "enum",
                    "enum": "ON,OFF,ALL"
                }
            },
            {
                "param": "delayed_insert_limit",
                "value": "100",
                "set_value": "",
                "default": "100",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "4294967295"
                    }
                }
            },
            {
                "param": "delayed_insert_timeout",
                "value": "300",
                "set_value": "",
                "default": "300",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "3600"
                    }
                }
            },
            {
                "param": "delayed_queue_size",
                "value": "1000",
                "set_value": "",
                "default": "1000",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "4294967295"
                    }
                }
            },
            {
                "param": "div_precision_increment",
                "value": "4",
                "set_value": "",
                "default": "4",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "0",
                        "max": "30"
                    }
                }
            },
            {
                "param": "group_concat_max_len",
                "value": "1024",
                "set_value": "",
                "default": "1024",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "4",
                        "max": "1844674407370954752"
                    }
                }
            },
            {
                "param": "innodb_concurrency_tickets",
                "value": "5000",
                "set_value": "",
                "default": "5000",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "100",
                        "max": "10000"
                    }
                }
            },
            {
                "param": "innodb_large_prefix",
                "value": "OFF",
                "set_value": "",
                "default": "OFF",
                "constraint": {
                    "type": "enum",
                    "enum": "OFF,ON"
                }
            },
            {
                "param": "innodb_lock_wait_timeout",
                "value": "50",
                "set_value": "",
                "default": "50",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "1073741824"
                    }
                }
            },
            {
                "param": "innodb_max_dirty_pages_pct",
                "value": "10",
                "set_value": "",
                "default": "10",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "10",
                        "max": "90"
                    }
                }
            },
            {
                "param": "innodb_old_blocks_pct",
                "value": "37",
                "set_value": "",
                "default": "37",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "5",
                        "max": "95"
                    }
                }
            },
            {
                "param": "innodb_old_blocks_time",
                "value": "1000",
                "set_value": "",
                "default": "1000",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "0",
                        "max": "1000"
                    }
                }
            },
            {
                "param": "innodb_page_size",
                "value": "4096",
                "set_value": "",
                "default": "4096",
                "constraint": {
                    "type": "enum",
                    "enum": "4096,8192,16384,32768,65536"
                }
            },
            {
                "param": "innodb_purge_batch_size",
                "value": "300",
                "set_value": "",
                "default": "300",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "1024"
                    }
                }
            },
            {
                "param": "innodb_read_ahead_threshold",
                "value": "56",
                "set_value": "",
                "default": "56",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "0",
                        "max": "64"
                    }
                }
            },
            {
                "param": "innodb_stats_method",
                "value": "nulls_equal",
                "set_value": "",
                "default": "nulls_equal",
                "constraint": {
                    "type": "enum",
                    "enum": "nulls_equal,nulls_unequal,nulls_ignored"
                }
            },
            {
                "param": "innodb_stats_on_metadata",
                "value": "OFF",
                "set_value": "",
                "default": "OFF",
                "constraint": {
                    "type": "enum",
                    "enum": "ON,OFF"
                }
            },
            {
                "param": "innodb_stats_sample_pages",
                "value": "8",
                "set_value": "",
                "default": "8",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "4294967296"
                    }
                }
            },
            {
                "param": "innodb_strict_mode",
                "value": "OFF",
                "set_value": "",
                "default": "OFF",
                "constraint": {
                    "type": "enum",
                    "enum": "ON,OFF"
                }
            },
            {
                "param": "innodb_table_locks",
                "value": "ON",
                "set_value": "",
                "default": "ON",
                "constraint": {
                    "type": "enum",
                    "enum": "ON,OFF"
                }
            },
            {
                "param": "innodb_thread_concurrency",
                "value": "0",
                "set_value": "",
                "default": "0",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "0",
                        "max": "128"
                    }
                }
            },
            {
                "param": "innodb_thread_sleep_delay",
                "value": "10000",
                "set_value": "",
                "default": "10000",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "3600000"
                    }
                }
            },
            {
                "param": "interactive_timeout",
                "value": "28800",
                "set_value": "",
                "default": "28800",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "10",
                        "max": "86400"
                    }
                }
            },
            {
                "param": "key_cache_block_size",
                "value": "1024",
                "set_value": "",
                "default": "1024",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "512",
                        "max": "16384"
                    }
                }
            },
            {
                "param": "key_cache_division_limit",
                "value": "100",
                "set_value": "",
                "default": "100",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "100"
                    }
                }
            },
            {
                "param": "lock_wait_timeout",
                "value": "5",
                "set_value": "",
                "default": "5",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "31536000"
                    }
                }
            },
            {
                "param": "log_queries_not_using_indexes",
                "value": "OFF",
                "set_value": "",
                "default": "OFF",
                "constraint": {
                    "type": "enum",
                    "enum": "ON,OFF"
                }
            },
            {
                "param": "long_query_time",
                "value": "1.000000",
                "set_value": "",
                "default": "1.000000",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "0.5",
                        "max": "10"
                    }
                }
            },
            {
                "param": "low_priority_updates",
                "value": "OFF",
                "set_value": "",
                "default": "OFF",
                "constraint": {
                    "type": "enum",
                    "enum": "OFF,ON"
                }
            },
            {
                "param": "lower_case_table_names",
                "value": "0",
                "set_value": "",
                "default": "1",
                "constraint": {
                    "type": "enum",
                    "enum": "0,1"
                }
            },
            {
                "param": "max_allowed_packet",
                "value": "134217728",
                "set_value": "",
                "default": "134217728",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "16384",
                        "max": "1073741824"
                    }
                }
            },
            {
                "param": "max_connect_errors",
                "value": "2000",
                "set_value": "",
                "default": "2000",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "4096"
                    }
                }
            },
            {
                "param": "myisam_sort_buffer_size",
                "value": "4194304",
                "set_value": "",
                "default": "4194304",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "262144",
                        "max": "16777216"
                    }
                }
            },
            {
                "param": "net_read_timeout",
                "value": "30",
                "set_value": "",
                "default": "30",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "3153600"
                    }
                }
            },
            {
                "param": "net_retry_count",
                "value": "10",
                "set_value": "",
                "default": "10",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "4294967295"
                    }
                }
            },
            {
                "param": "net_write_timeout",
                "value": "60",
                "set_value": "",
                "default": "60",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "3153600"
                    }
                }
            },
            {
                "param": "query_alloc_block_size",
                "value": "8192",
                "set_value": "",
                "default": "8192",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1024",
                        "max": "16384"
                    }
                }
            },
            {
                "param": "query_cache_limit",
                "value": "1048576",
                "set_value": "",
                "default": "1048576",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "1048576"
                    }
                }
            },
            {
                "param": "query_cache_size",
                "value": "0",
                "set_value": "",
                "default": "0",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "0",
                        "max": "104857600"
                    }
                }
            },
            {
                "param": "query_cache_type",
                "value": "OFF",
                "set_value": "",
                "default": "OFF",
                "constraint": {
                    "type": "enum",
                    "enum": "OFF,ON,DEMAND"
                }
            },
            {
                "param": "query_prealloc_size",
                "value": "8192",
                "set_value": "",
                "default": "8192",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "8192",
                        "max": "1048576"
                    }
                }
            },
            {
                "param": "slow_launch_time",
                "value": "2",
                "set_value": "",
                "default": "2",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "1",
                        "max": "1024"
                    }
                }
            },
            {
                "param": "table_definition_cache",
                "value": "400",
                "set_value": "",
                "default": "400",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "400",
                        "max": "2048"
                    }
                }
            },
            {
                "param": "table_open_cache",
                "value": "1024",
                "set_value": "",
                "default": "1024",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "400",
                        "max": "524288"
                    }
                }
            },
            {
                "param": "tmp_table_size",
                "value": "33554432",
                "set_value": "",
                "default": "33554432",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "262144",
                        "max": "67108864"
                    }
                }
            },
            {
                "param": "tx_isolation",
                "value": "REPEATABLE-READ",
                "set_value": "",
                "default": "REPEATABLE-READ",
                "constraint": {
                    "type": "enum",
                    "enum": "REPEATABLE-READ,SERIALIZABLE,READ-COMMITTED,READ-UNCOMMITTED"
                }
            },
            {
                "param": "wait_timeout",
                "value": "28800",
                "set_value": "",
                "default": "28800",
                "constraint": {
                    "type": "section",
                    "range": {
                        "min": "60",
                        "max": "259200"
                    }
                }
            }
        ]
    }
}
```

