## 1. 接口描述
本接口(CdbTdsqlGetLog)用于获取数据库的各种日志列表。
接口请求域名：<font style="color:red">tdsql.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976
)。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| type | 是 | Int |  1: binlog; 2: 冷备; 3: errlog; 4:slowlog|
| dbMode | 否 | Int | 0标准版;1分布式(目前为开放，此参数无效)|

## 3. 输出参数

公共返回值结构在[返回值](https://cloud.tencent.com/document/api/213/6976)可以查看，此处只列出data字段的返回值格式。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| id | Int |实例Id|
| type | Int | 1: binlog; 2: 冷备; 3: errlog; 4:slowlog |
| total | Int | 日志总个数 |
| files | Array | 包含uri、length、mtime（修改时间）等信息 |
| vpcpreifx | String | 如果是VPC网络的实例，做用本前缀加上URI为下载地址 |
| normalpreifx | String | 如果是普通网络的实例，做用本前缀加上URI为下载地址 |
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
| EINSTANCEDELETED | 实例已删除 |
| InstanceStatusAbnormal | 实例状态异常(非删除), 不能进行操作 |
| GetInstanceInfoFailed | 获取实例信息失败 |
| CheckDbInfoFailed | 检查数据库错误 |
| HDFSError | HDFS错误 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=CdbTdsqlGetLog
&cdbInstanceId=40732
&type=1
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "id": 40732,
        "type": 1,
        "total": 1,
        "files": [
            {
                "uri": "/1/noshard_108/set_1468578840_203059/1468578832/859932065/000001/5ce7d1a8f26c2dfcf1de22d4e9792b11b0b0057450684d266e1bf9a8aa6ea272",
                "length": 5253724,
                "mtime": 1468822981
            }
        ],
        "vpcpreifx": "http://169.254.0.27:8083",
        "normalpreifx": "http://10.66.255.253:8083"
    }
}
```

