## 1. 接口描述
本接口(CdbTdsqlCreateInstance)用于创建实例（包年包月）。
接口请求域名：<font style='color:red'>tdsql.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/309/7016' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为CdbTdsqlCreateInstance。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| period | 是 | Int | 时长,单位为月|
| dbType | 是 | Int | 产品型号，可以通过[查看实例规格](/doc/api/309/5537)获取|
| vpcId | 否 | Int | 私有网络ID。字段暂时无效，目前只能分配到默认网络|
| subnetId | 否 |Int | 私有网络子网ID。字段暂时无效，目前只能分配到默认网络|
| projectId | 否 | Int | 项目ID，可以通过[查看项目列表](/doc/api/309/5604)获取|
| goodsNum | 是 | Int | 数量|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/309/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String |逻辑错误码描述 |
| data | Array | 回的数据包字段 |
| data.dealNames | Array | 长订单ID，反馈订单问题给官方客服使用此ID| 
| data.dealIds | Array | 订单号ID，调用云API时使用此ID，如[查询订单信息](/doc/api/309/5690)| 
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| PriceParamError | 计费接口参数错误 |
| GetPriceError | 获取价格失败 |
| PriceDBError | 计费DB操作失败 |
| InvalidCoupon | 无效的代金券 |
| GetGoodsConfigFailed | 获取商品配置失败 |
| IllegalGoodsID | 商品ID无效 |
| IllegalGoodsOperation | 不允许对商品进行对应操作 |
| FailedToPay | 支付失败 |
| SomeBillsFailed | 支付成功但部分订单发货失败 |
| PayError | 支付过程出错 |
| BalanceIsNotEnough | 余额不足 |
| ReachTheAmounLimit | 购买数量超过限制 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlCreateInstance
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&dbType=10551
&period=1
&goodsNum=1
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "dealNames":[
            "20160726110027"
        ],
        "dealIds":[
            "454034"
        ]
    }
}
```

