## 1. 接口描述
本接口(CdbTdsqlInitInstance)用于初始化实例。
接口请求域名：<font style='color:red'>tdsql.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/309/7016' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为CdbTdsqlInitInstance。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceIds.n (cdbInstanceIds 为数组，此处入参需要填写数组元素 ) | 是 | String | 要初始化的实例,n从0开始|
| config.n (config 为数组，此处入参需要填写数组元素 ) | 否 | String | 参数列表，每一个元素是Param和Value的组合，可以通过查看[查看数据库参数](/doc/api/309/5403)获取参数信息，n从0开始。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/309/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 逻辑错误码描述 |
| data | Array | 返回的数据 |
| data.ids | Array | 受影响的实例ID| 
| data.flowid | Int | 任务流程ID| 
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
| IllegalInitParam | 初始化实例参数非法 |
| InnerSystemError | 内部系统错误，和业务无关 |
| InstanceStatusError | 实例状态错误 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlInitInstance
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&cdbInstanceIds.0=40727
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "ids":[
            "40727"
        ],
        "flowid":"3329"
    }
}
```

