## 1. 接口描述
本接口(CdbTdsqlGetInstanceList)用于查看实例列表。
接口请求域名：<font style='color:red'>tdsql.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/309/7016' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为CdbTdsqlGetInstanceList。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceIds.n (cdbInstanceIds 为数组，此处入参需要填写数组元素 ) | 否 | String | 指定实例id拉取,n从0开始|
| originSerialIds.n (originSerialIds 为数组，此处入参需要填写数组元素 ) | 否 | String | 指定originSerialIds进行查询,n从0开始|
| pageSize | 否 | Int | 大于1，每页最多显示的记录数|
| pageNo | 否 | Int | 取第几页的数据，下标从0开始|
| orderBy | 否 | String | 排序字段，projectId,createtime,instancename三者之一|
| orderByType | 否 | String | 排序类型，desc或者asc|
| searchKey | 否 | String | 实例名按此模糊搜索|
| projectIds.n (projectIds 为数组，此处入参需要填写数组元素 ) | 否 | String | 按项目ID进行过滤,n从0开始|
| isFilterVpc | 否 | Int | 0为false 1为true，表示是否根据VPC网络来搜索|
| vpcId | 否 | Int | IsFilterVpc为true时，私有网络ID|
| subnetId | 否 | Int | IsFilterVpc为true时，子网的ID|
| uuids.n (uuids 为数组，此处入参需要填写数组元素 ) | 否 | String | 通过uuids进行过滤,n从0开始|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/309/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 逻辑错误码描述 |
| data | Array | 回的数据包字段 |
| data.instances | Array | 实例列表| 
| data.instances.id | Int | 实例ID| 
| data.instances.uuid | String | 全局唯一的uuid| 
| data.instances.instancename | String | 实例名称| 
| data.instances.appid | Int | 应用ID| 
| data.instances.originSerialId | 原始实例ID| 
| data.instances.projectId | Int | 项目ID| 
| data.instances.regionId | Int | 区域ID| 
| data.instances.zoneId | Int | 分区ID| 
| data.instances.vpcId | Int | 私有网络ID| 
| data.instances.subnetId | Int | 子网ID| 
| data.instances.status | Int | 实例状态| 
| data.instances.vip | String | 内网IP| 
| data.instances.vport | Int | 内网PORT| 
| data.instances.wanDomain | String | 外网域名| 
| data.instances.wanVip | String | 外网IP| 
| data.instances.wanPort | String | 外网端口| 
| data.instances.createtime | String | 实例创建时间| 
| data.instances.updatetime | String | 更新时间| 
| data.instances.autoRenewFlag | Int | 自动续费标志，0否，1是| 
| data.instances.specId | Int | 规格ID| 
| data.instances.periodendtime | String | 实例到期时间| 
| data.instances.uin | String | QQ号| 
| data.instances.pid | String | 产品类型ID| 
| data.instances.tdsqlVersion | String | TDSQL的版本信息| 
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
| FenceError | 围拢接口错误 |
| IllegalExclusterID | 非法的独享集群ID |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlGetInstanceList
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&originSerialIds.0=set_1468822879_203063
&projectIds.0=0
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "totalCnt":"1",
        "instances":[
            {
                "id":"40734",
                "uuid":"tdsql-0gfryg60",
                "instancename":"tdsql40734",
                "appid":"1351000042",
                "originSerialId":"set_1468822879_203063",
                "projectId":"0",
                "regionId":"1",
                "zoneId":"100002",
                "vpcId":"0",
                "subnetId":"0",
                "status":"1",
                "vip":"10.66.17.243",
                "vport":"3306",
                "wanDomain":"",
                "wanVip":"",
                "wanPort":"0",
                "createtime":"2016-07-18 14:21:01",
                "updatetime":"2016-07-18 14:21:59",
                "autoRenewFlag":"0",
                "specId":"8",
                "periodendtime":"2016-10-18 14:21:01",
                "uin":"",
                "pid":10551,
                "tdsqlVersion":"兼容MySQL 5.5/5.6"
            }
        ]
    }
}
```

