## 1. 接口描述
本接口(CdbTdsqlGetSpecList)用于查询实例规格。
接口请求域名：<font style='color:red'>tdsql.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/309/7016' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为CdbTdsqlGetSpecList。

无。


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/309/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 逻辑错误码描述  |
| data | Array | 返回的规格信息 |
| data.spec | Array | 规格列表| 
| data.spec.specinfos | Array | 规格信息| 
| data.spec.specinfos.machine | String | 机型| 
| data.spec.specinfos.specid | Int | 规格ID| 
| data.spec.specinfos.mem | Int | 内存，单位M| 
| data.spec.specinfos.data_disk | Int | 磁盘，单位M| 
| data.spec.specinfos.log_disk | Int | 日志盘，单位M| 
| data.spec.specinfos.title | String | 规格名称| 
| data.spec.specinfos.typeName | String | 规格版本| 
| data.spec.specinfos.tdsqlVersion | String | 数据库版本| 
| data.spec.specinfos.suitInfo | String | 适用场景| 
| data.spec.specinfos.qps | Int | 每秒请求数| 
| data.spec.specinfos.pid | Int | 产品型号ID| 
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlGetSpecList
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "spec":[
            {
                "machine":"Z3",
                "specinfos":[
                    {
                        "machine":"Z3",
                        "specid":"1",
                        "mem":"48000",
                        "data_disk":"800000",
                        "log_disk":"200000",
                        "title":"超大规格",
                        "typeName":"标准版",
                        "tdsqlVersion":"兼容MySQL 5.5/5.6",
                        "suitInfo":"日独立用户数在百万人级别的超大型应用",
                        "qps":"36300",
                        "pid":"10554"
                    },
                    {
                        "machine":"Z3",
                        "specid":"2",
                        "mem":"24000",
                        "data_disk":"400000",
                        "log_disk":"100000",
                        "title":"大规格",
                        "typeName":"标准版",
                        "tdsqlVersion":"兼容MySQL 5.5/5.6",
                        "suitInfo":"日独立用户数在百万人级别的大型应用",
                        "qps":"19300",
                        "pid":"10553"
                    },
                    {
                        "machine":"Z3",
                        "specid":"4",
                        "mem":"12000",
                        "data_disk":"200000",
                        "log_disk":"50000",
                        "title":"中规格",
                        "typeName":"标准版",
                        "tdsqlVersion":"兼容MySQL 5.5/5.6",
                        "suitInfo":"日独立用户数上十万人级别的中大型应用",
                        "qps":"6800",
                        "pid":"10552"
                    },
                    {
                        "machine":"Z3",
                        "specid":"8",
                        "mem":"6000",
                        "data_disk":"100000",
                        "log_disk":"25000",
                        "title":"小规格",
                        "typeName":"标准版",
                        "tdsqlVersion":"兼容MySQL 5.5/5.6",
                        "suitInfo":"日独立用户数上万人级别的中型应用",
                        "qps":"4100",
                        "pid":"10551"
                    },
                    {
                        "machine":"Z3",
                        "specid":"16",
                        "mem":"3000",
                        "data_disk":"50000",
                        "log_disk":"12500",
                        "title":"超小规格",
                        "typeName":"标准版",
                        "tdsqlVersion":"兼容MySQL 5.5/5.6",
                        "suitInfo":"用于业务功能测试",
                        "qps":"2500",
                        "pid":"10555"
                    }
                ]
            }
        ]
    }
}
```

