## 1. 接口描述
本接口(CdbTdsqlGetProjectList)用于查询项目列表。
接口请求域名：<font style='color:red'>tdsql.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/309/7016' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为CdbTdsqlGetProjectList。
无。


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/309/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 逻辑错误码描述 |
| data | Array | 返回的数据 |
| data.projectId | Int | 项目ID| 
| data.ownerUin | Int | 拥有者| 
| data.appid | Int | 应用ID| 
| data.name | String |项目名称| 
| data.creatorUin | Int | 创建者| 
| data.srcPlat | String | 来源平台qcloud| 
| data.srcAppid | Int | 来源应用ID| 
| data.status | Int | 项目状态,0正常，-1关闭。默认项目为3| 
| data.createTime | String | 创建时间| 
| data.isDefault | Int | 是否默认项目，1是0不是| 
| data.info | String | 项目信息| 
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlGetProjectList
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>

</pre>
输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":[
        {
            "projectId":"0",
            "ownerUin":"0",
            "appid":"0",
            "name":"默认项目",
            "creatorUin":"0",
            "srcPlat":"qcloud",
            "srcAppid":"0",
            "status":"3",
            "createTime":"0000-00-00 00:00:00",
            "isDefault":"1",
            "info":"默认项目"
        },
        {
            "projectId":"1006677",
            "ownerUin":"909619400",
            "appid":"1251001049",
            "name":"cjcj",
            "creatorUin":"909619400",
            "srcPlat":"qcloud",
            "srcAppid":"1351000042",
            "sourceAppkey":"",
            "sourceAppId":"",
            "class":"",
            "onlinestatus":"0",
            "servicestatus":"0",
            "status":"0",
            "createTime":"2016-05-16 15:21:39",
            "isDefault":"0",
            "info":""
        }
    ]
}
```

