## 1. 接口描述
本接口(CdbTdsqlGetBackupTime)用于获取自定义备份时间。
接口请求域名：<font style='color:red'>tdsql.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/309/7016' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为CdbTdsqlGetBackupTime。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceIds.n (cdbInstanceIds 为数组，此处入参需要填写数组元素 ) | 否 | String | 要拉取的实例ID,n从0开始|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/309/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误提示 |
| data | Array | 返回数据 |
| data.instances | Array |返回的实例列表| 
| data.instances.id | Int |实例ID| 
| data.instances.uuid | String |实例的UUID| 
| data.instances.sbackuptime | String |实例每天备份区间的开始时间，实际执行可能会有一点误差| 
| data.instances.ebackuptime | String |实例每天备份区间的结束时间，实际执行可能会有一点误差| 
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
| OssOpertaionFailed | OSS内部失败 |
| OSSGetInstanceError | OSS获取实例信息错误 |
| InnerSystemError | 内部系统错误，和业务无关 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlGetBackupTime
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&cdbInstanceIds.0=40746
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "totalCnt":"1",
        "instances":[
            {
                "id":"40746",
                "uuid":"tdsql-33y5ai5p",
                "sbackuptime":"00:00",
                "ebackuptime":"23:59"
            }
        ]
    }
}
```

