## 1. 接口描述
本接口(CdbTdsqlChangeUserDesc)用于修改数据库帐号描述。
接口请求域名：<font style="color:red">tdsql.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976
)。其中，此接口的Action字段为CdbTdsqlChangeUserDesc。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| userName | 是 | String | 用户名|
| host | 是 | String | 用户允许的访问host|
| description | 否 | String | 用户描述|
| dbMode | 否 | Int | 0单机版;1分布式(目前只开放单机功能，此参数无效)|

## 3. 输出参数
公共返回值结构在[返回值](https://cloud.tencent.com/document/api/213/6976
)可以查看，此处只列出data字段的返回值格式。

成功返回被修改的帐号信息，失败返回错误原因。
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
| UserHostDoesNotExist | 用户不存在 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=CdbTdsqlChangeUserDesc
&cdbInstanceId=40732
&userName=testuser1
&host=172.17.%.%
&description=new desc
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "id": 40732,
        "user": "testuser1",
        "host": "172.17.%.%"
    }
}
```

