## 1. 接口描述
本接口(CdbTdsqlAddUser)用于创建TDSQL数据库帐号。
接口请求域名：<font style="color:red">tdsql.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976
)。其中，此接口的Action字段为CdbTdsqlAddUser。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| userName | 是 | String | 用户名|
| host | 是 | String | 用户允许的访问host|
| password | 是 | String | 新密码|
| description | 否 | String | 用户描述|
| readOnly | 否 | Int | 0:默认值; 1:该账号的sql请求优先选择备机执行，备机不可用时选择主机执行 2:优先选择备机执行，备机不可用时操作失败。|
| delayThresh | 否 | Int | 单位秒。readOnly非0时有效，备机sql查询的最长响应时间，如果超过这个时间，认为备机不可用。填0或不填则采用系统默认值。|
| dbMode | 否 | Int | 0单机版;1分布式(目前只开放单机功能，此参数无效)|

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/309/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 逻辑错误码描述 |
| data.id | Int | 影响的实例ID |
| data.user | String | 用户名 |
| data.host | String | 允许访问的host |
| data.readonly | Int | 透传输入参数中的值 |
| data.delaythresh | Int | 透传输入参数中的值 |
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| InstanceHasBeenLocked | tdsql已经被其它流程锁定 |
| CharacterError | 错误的字符 |
| DbOperationFailed | DB内部失败 |
| InstanceAlreadyDeleted | 实例已删除 |
| InstanceStatusAbnormal | 实例状态异常(非删除), 不能进行操作 |
| OssOpertaionFailed | OSS内部失败 |
| ProxyNeedsUpgrade | 当前PROXY版本较低，需要升级 |
| SuperUserForbidden | 不允许操作超级用户tdsql |
| GetUserListFailed | 获取用户列表失败 |
| UserHostExistsAlready | 用户已经存在 |
| CreateUserFailed | 创建用户失败 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=CdbTdsqlAddUser
&cdbInstanceId=40732
&userName=testuser1
&host=172.17.%.%
&password=1234qweri#
&description=测试帐号
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "id": 40732,
        "user": "testuser1",
        "host": "172.17.%.%",
        "readonly": 0,
        "delaythresh": 0,
    }
}
```

