## 1. 接口描述
本接口(CdbTdsqlCopyRight)用于账号间复制权限。
接口请求域名：<font style="color:red">tdsql.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976)。其中，此接口的Action字段为CdbTdsqlCopyRight。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| srcUserName | 是 | String | 源用户名|
| srcHost | 是 | String | 源Host|
| srcReadOnly | 否 | Int | 0:默认值; 1:该账号的操作优先选择备机，备机不可用时主机 2:优先选择备机，备机不可用时失败。|
| dstUserName | 是 | String | 目的用户名|
| dstHost | 是 | String | 目的Host|
| dstReadOnly | 否 | Int | 0:默认值; 1:该账号的操作优先选择备机，备机不可用时主机 2:优先选择备机，备机不可用时失败。只读帐号的权限只能接收来自于只读帐号的复制。|
| dbMode | 否 | Int | 0单机版;1分布式(目前只开放单机功能，此参数无效)|

## 3. 输出参数
公共返回值结构在[返回值](https://cloud.tencent.com/document/api/213/6976)可以查看，此处只列出data字段的返回值格式。

成功返回受影响的实例ID。
失败返回错误原因。
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| BadUserType | 错误的用户类型 |
| InstanceHasBeenLocked | tdsql已经被其它流程锁定 |
| DbOperationFailed | DB内部失败 |
| InstanceAlreadyDeleted | 实例已删除 |
| InstanceStatusAbnormal | 实例状态异常(非删除), 不能进行操作 |
| CopyRightError | 复制权限错误 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=CdbTdsqlCopyRight
&dstUserName=testuser2
&dstHost=%
&srcUserName=testuser1
&srcHost=172.17.%.%
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "id": 40732
    }
}
```

