## 1. 接口描述
本接口(CdbTdsqlGetUserList)用于查看数据库帐号列表。
接口请求域名：<font style="color:red">tdsql.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976
)。其中，此接口的Action字段为CdbTdsqlGetUserList。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| dbMode | 否 | Int | 0单机版;1分布式(目前只开放单机功能，此参数无效)|

## 3. 输出参数
公共返回值结构在[返回值](https://cloud.tencent.com/document/api/213/6976
)可以查看，此处只列出data字段的返回值格式。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| id | Int |实例Id|
| users | Array | 用户列表，具体字段意义请参照[创建帐号](/doc/api/309/5394)的输入参数 |
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
| InstanceAlreadyDeleted | 实例已删除 |
| InstanceStatusAbnormal | 实例状态异常(非删除), 不能进行操作 |
| GetUserListFailed | 获取用户列表失败 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=CdbTdsqlGetUserList
&cdbInstanceId=40732
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "id": 40732,
        "users": [
            {
                "user": "testuser1",
                "host": "172.17.%.%",
                "description": "测试帐号",
                "createTime": "2016-07-15 18:39:47",
                "updateTime": "2016-07-18 12:42:31",
                "readonly": 0,
                "delay_thresh": 0
            },
            {
                "user": "testuser2",
                "host": "%",
                "description": "测试帐号",
                "createTime": "2016-07-18 11:51:33",
                "updateTime": "2016-07-18 12:42:44",
                "readonly": 0,
                "delay_thresh": 0
            }
        ]
    }
}
```

