## 1. 接口描述
本接口(CdbTdsqlGetRightList)用于设置数据库帐号权限。
接口请求域名：<font style="color:red">tdsql.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976
)。其中，此接口的Action字段为CdbTdsqlGetRightList。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| userName | 是 | String | 用户名|
| host | 是 | String | 用户允许的访问host|
| dbName | 是 | String | 数据库名。如果为 \*，表示设置全局权限（即 \*.\*），此时忽略 type 和 object 参数|
| type | 是 | String | 类型,可以填入 table 、 view 、 proc 、 func 和 \*。当 DbName 为具体数据库名，type为 \* 时，表示设置该数据库权限（即db.*），此时忽略 object 参数|
| object | 否 | String | 具体的 Type 的名称，比如 type 为 table 时就是具体的表名。DbName 和 Type 都为具体名称，则 Object 表示具体对象名，不能为 \* 或者为空|
| colName | 否 | String | 当 type=table 时，ColName 为 \* 表示对表授权，如果为具体字段名，表示对字段授权|
| dbMode | 否 | Int | 0：单机版；1：分布式(目前只开放单机功能，此参数无效)|

## 3. 输出参数
公共返回值结构在[返回值](https://cloud.tencent.com/document/api/213/6976
)可以查看，此处只列出data字段的返回值格式。

成功返回请求对象对应的权限列表，失败返回错误原因。
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
| InstanceAlreadyDeleted | 实例已删除 |
| InstanceStatusAbnormal | 实例状态异常(非删除), 不能进行操作 |
| GetRightFailed | 获取权限失败 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=CdbTdsqlGetRightList
&cdbInstanceId=40732
&userName=testuser1
&host=172.17.%.%
&dbName=*
&type=*
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "id": 40732,
        "user": "testuser1",
        "host": "172.17.%.%",
        "db": "*",
        "type": "",
        "object": "",
        "col": "",
        "rights": [
            "SELECT",
            "UPDATE"
        ]
    }
}
```

