## 1. 接口描述
本接口(CdbTdsqlGetPerformanceInfoDetail)用于查看实例性能数据详情。
接口请求域名：<font style='color:red'>tdsql.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976
)页面。其中，此接口的Action字段为CdbTdsqlGetPerformanceInfoDetail。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| shardId | 否 | Int | 分片id, 0的时候表示获取整个集群的监控或者单机实例的监控|
| startTime | 是 | date | 开始日期，格式yyyy-mm-dd|
| endTime | 是 | date | 结束日期，格式yyyy-mm-dd|


## 3. 输出参数


返回值为对应性能的点阵。
按时间顺序先后返回各个时间段的数据值，连续时间段如果值相同将被合并为{段数，值}的形式。比如[2，3]就表示连续2个时间段的值为3，一个时间段的长度由请求的开始时间和结束时间的差值决定，小于1天是5分钟一段，大于1天小于7天是30分钟一段，大于7天是2个小时一段。
本接口与[查看实例性能数据](/doc/api/309/5409)略有不同，本接口返回的是主备机器的具体数据。[查看实例性能数据](/doc/api/309/5409)
返回的是整个实例的汇总信息。master/slave1/slave2分别为主、备1、备2机器的信息。


指标列表

|指标名|含义|
|------|-----|
|conn_active|活跃连接数|
|delete_total|删除操作数DELETE|
|disk_iops|磁盘每秒IO次数|
|insert_total|插入操作数INSERT|
|is_master_switched|是否发生主备切换，1为发生，0否|
|long_query|慢查询数|
|mem_hit_rate|缓存命中率|
|select_total|查询操作数SELECT|
|update_total|更新操作数UPDATE|
|slave_delay|主备延迟|
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| BaradError | Barad错误 |
| NoInstanceFound | 实例不存在 |
| InnerSystemError | 内部系统错误，和业务无关 |
| InstanceStatusError | 实例状态错误 |
| ShardNotExist | 分片不存在 |
| MetricNotExist | 指定的维度不存在 |
| OssOpertaionFailed | OSS内部失败 |
| MakeRequestFailed | 拼接请求时发生错误 |
| BadRequest | 发起请求错误 |
| ReadDataFailed | 读取返回数据错误 |
| NoDataFetched | 未拉取到数据 |
| JsonUnmarshaFailed | json 解析错误 |
| NoDataFetched | 未拉取到数据 |
| BaradError | Barad数据合并错误 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlGetPerformanceInfoDetail
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&cdbInstanceId=40746
&startTime=2016-08-21
&endTime=2016-08-22
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "master":{
            "conn_active":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "124",
                        "4"
                    ],
                    "4.2",
                    [
                        "127",
                        "4"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "delete_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "disk_iops":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    "3.61",
                    "2.96",
                    "4.05",
                    "3.3",
                    "5.13",
                    "2.86",
                    "3.09",
                    "3.22",
                    "3.71",
                    "3.63",
                    "2.86",
                    "3.44",
                    "3.31",
                    "3.15",
                    "3.16",
                    "3.21",
                    "2.93",
                    "2.63",
                    "3.24",
                    "2.86",
                    "3.41",
                    "2.88",
                    "2.48",
                    "3.07",
                    "2.96",
                    "3.07",
                    "3.51",
                    "2.92",
                    "2.61",
                    "3.37",
                    "3.47",
                    "3.01",
                    "2.91",
                    "2.52",
                    "3.7",
                    "4.19",
                    "3.95",
                    "2.81",
                    "2.4",
                    "2.82",
                    "2.71",
                    "2.55",
                    [
                        "2",
                        "2.86"
                    ],
                    "2.85",
                    "2.86",
                    "3.74",
                    "3.3",
                    "2.7",
                    "3.03",
                    "3.36",
                    "4.61",
                    "3.05",
                    "3.06",
                    "2.84",
                    "3.07",
                    "3.46",
                    "2.68",
                    "2.98",
                    "3.16",
                    [
                        "2",
                        "2.99"
                    ],
                    "2.88",
                    "3.91",
                    "3.04",
                    "2.78",
                    "2.9",
                    "3.37",
                    "3.43",
                    "3.39",
                    "3.68",
                    "3.79",
                    "2.59",
                    "2.75",
                    "2.32",
                    "2.96",
                    "2.91",
                    "2.94",
                    "2.93",
                    "3.7",
                    "3.74",
                    "2.38",
                    "2.94",
                    "3.03",
                    "3.49",
                    "3.1",
                    "3.41",
                    "3.25",
                    "2.85",
                    "4.21",
                    "3.01",
                    "2.8",
                    "3.17",
                    "3.6",
                    "4.37",
                    "3.6",
                    "2.7",
                    "3.07",
                    "2.86",
                    "2.7",
                    "3.1",
                    "2.65",
                    "3.17",
                    "2.8",
                    "2.93",
                    "2.89",
                    "4.25",
                    "2.92",
                    "3.6",
                    "2.83",
                    "3.25",
                    "3.1",
                    "2.84",
                    "2.71",
                    "2.66",
                    "2.83",
                    "2.62",
                    "3.66",
                    "3.52",
                    "2.93",
                    "3.17",
                    "3.27",
                    "2.71",
                    "2.88",
                    "2.89",
                    "2.66",
                    "2.77",
                    "4.65",
                    "2.72",
                    "4.64",
                    "4.05",
                    "4.25",
                    "2.77",
                    "3.65",
                    "3.13",
                    "4.4",
                    "5.09",
                    "2.89",
                    "2.96",
                    "3.14",
                    "2.74",
                    "3.26",
                    "2.91",
                    "3.23",
                    "3.15",
                    "2.93",
                    "3.38",
                    "2.7",
                    "2.85",
                    "2.69",
                    "2.75",
                    "2.47",
                    "3.62",
                    "3.55",
                    "3.34",
                    "5.2",
                    "3.06",
                    "2.76",
                    "3.2",
                    "5.57",
                    "2.74",
                    "3.31",
                    "4.64",
                    "4.58",
                    "4.16",
                    "2.34",
                    "2.87",
                    "3.23",
                    "2.78",
                    "3.06",
                    "3.74",
                    "2.9",
                    "2.73",
                    "4.06",
                    "3.75",
                    "3.47",
                    "4.93",
                    "2.97",
                    "2.76",
                    "3.18",
                    "3.03",
                    "4.19",
                    "3.63",
                    "3.38",
                    "3.4",
                    "2.9",
                    "2.67",
                    "2.99",
                    "4.51",
                    "2.98",
                    "3.26",
                    "3.57",
                    "3.32",
                    "3.17",
                    "3.97",
                    "3.07",
                    "4.42",
                    "3.56",
                    "4.07",
                    "3.27",
                    "3",
                    "3.36",
                    "3.02",
                    "2.81",
                    "3.28",
                    [
                        "2",
                        "2.86"
                    ],
                    "3.95",
                    "3.25",
                    "3.93",
                    "2.56",
                    "3.65",
                    "3.58",
                    "3.09",
                    "3.39",
                    "2.62",
                    "2.97",
                    "3.11",
                    "2.41",
                    "3.37",
                    "3.62",
                    "2.96",
                    "1.99",
                    "1.6",
                    "1.76",
                    "1.49",
                    "1.71",
                    "1.51",
                    "1.84",
                    "1.31",
                    "1.74",
                    "1.53",
                    "1.47",
                    "1.4",
                    "1.58",
                    "1.53",
                    "1.36",
                    "2.14",
                    "1.34",
                    "1.4",
                    "1.65",
                    "2.11",
                    "1.26",
                    "1.25",
                    "1.57",
                    "1.8",
                    "1.6",
                    "1.5",
                    "1.84",
                    "1.98",
                    "1.32",
                    "1.34",
                    [
                        "36",
                        null
                    ]
                ]
            },
            "insert_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "is_master_switched":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "long_query":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "mem_hit_rate":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "99"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "select_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "10",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "4",
                        "1.45"
                    ],
                    [
                        "2",
                        "1.44"
                    ],
                    [
                        "2",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "10",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "2",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "8",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "8",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "2",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "3",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "8",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "2",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "3",
                        "1.45"
                    ],
                    "1.44",
                    "1.45",
                    "1.44",
                    "1.45",
                    "1.44",
                    [
                        "4",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "11",
                        "1.45"
                    ],
                    [
                        "2",
                        "1.44"
                    ],
                    "1.45",
                    "1.44",
                    [
                        "4",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "2",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "11",
                        "1.45"
                    ],
                    [
                        "2",
                        "1.44"
                    ],
                    "1.45",
                    "1.44",
                    "1.45",
                    "1.44",
                    [
                        "3",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "3",
                        "1.45"
                    ],
                    [
                        "2",
                        "1.44"
                    ],
                    "1.45",
                    "1.44",
                    "1.45",
                    "1.44",
                    [
                        "3",
                        "1.45"
                    ],
                    [
                        "2",
                        "1.44"
                    ],
                    "1.45",
                    [
                        "2",
                        "1.44"
                    ],
                    "1.45",
                    "1.44",
                    [
                        "3",
                        "1.45"
                    ],
                    [
                        "3",
                        "1.44"
                    ],
                    [
                        "2",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "5",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "3",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "3",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "5",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "7",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "5",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "3",
                        "1.45"
                    ],
                    [
                        "2",
                        "1.44"
                    ],
                    "1.45",
                    "1.44",
                    "1.45",
                    "1.44",
                    [
                        "2",
                        "1.45"
                    ],
                    [
                        "2",
                        "1.44"
                    ],
                    [
                        "7",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "5",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "4",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "3",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "3",
                        "1.45"
                    ],
                    "1.44",
                    "1.45",
                    "1.44",
                    "1.45",
                    "1.44",
                    [
                        "2",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "5",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "4",
                        "1.45"
                    ],
                    "1.44",
                    [
                        "4",
                        "1.45"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "slave_delay":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "update_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            }
        },
        "slave1":{
            "conn_active":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "110",
                        "1"
                    ],
                    "1.2",
                    [
                        "14",
                        "1"
                    ],
                    "1.2",
                    [
                        "55",
                        "1"
                    ],
                    "1.2",
                    [
                        "70",
                        "1"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "delete_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "disk_iops":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    "5.95",
                    "10.09",
                    "8.23",
                    "7.19",
                    "25.45",
                    "5.83",
                    "6.23",
                    "6.66",
                    "5.47",
                    "5.5",
                    "5.43",
                    "5.61",
                    "6.64",
                    "5.37",
                    "5.46",
                    "7.16",
                    "5.9",
                    "6.8",
                    "6.5",
                    "4.56",
                    "7.06",
                    "6.19",
                    "6.28",
                    "4.99",
                    "7.25",
                    "5.92",
                    "5.42",
                    "4.34",
                    "6.93",
                    "6.58",
                    "4.9",
                    "5.32",
                    "4.82",
                    "4.97",
                    "7.57",
                    "6.56",
                    "7.74",
                    "6.4",
                    "6.01",
                    "4.89",
                    "6.93",
                    "7.19",
                    "6.61",
                    "6.44",
                    "7.28",
                    "6.01",
                    "9.65",
                    "5.13",
                    "5.54",
                    "5.9",
                    "5.01",
                    "6.39",
                    "7.49",
                    "8.72",
                    "7.8",
                    "6.9",
                    "6.46",
                    "7.69",
                    "8.5",
                    "5.02",
                    "7.45",
                    "6.34",
                    "5.8",
                    "5.83",
                    "7.14",
                    "9.44",
                    "7.53",
                    "7.33",
                    "9.84",
                    "5.83",
                    "8.41",
                    "6.29",
                    "6.16",
                    "6.02",
                    "6.55",
                    "6.73",
                    "9.8",
                    "6.44",
                    "5.48",
                    "4.98",
                    "5.07",
                    "5.93",
                    "6.22",
                    "5.27",
                    "4.85",
                    "5.41",
                    "6.34",
                    "5.77",
                    "5.97",
                    "6.38",
                    "4.57",
                    "6.3",
                    "6.04",
                    "4.65",
                    "5.73",
                    "6.24",
                    "9.8",
                    "5.02",
                    "5.77",
                    "7.45",
                    "6.62",
                    "6.26",
                    "6.1",
                    [
                        "2",
                        "5.42"
                    ],
                    "5.3",
                    "5.01",
                    "4.54",
                    "5.94",
                    "8.16",
                    "5.4",
                    "6.54",
                    "7.52",
                    "5.76",
                    "5.75",
                    "4.82",
                    "4.5",
                    "6.77",
                    "8.08",
                    "7.14",
                    "5.18",
                    "6.92",
                    "8.73",
                    "7.12",
                    "6.78",
                    "9.4",
                    "6.23",
                    "5.34",
                    "6.2",
                    "6.07",
                    "8.26",
                    "7.05",
                    "6.22",
                    "5.15",
                    "5.85",
                    "6.4",
                    "7.7",
                    "7.13",
                    "6.05",
                    "7.03",
                    "9.31",
                    "4.87",
                    "6.86",
                    "5.4",
                    "5.65",
                    "6.22",
                    "4.71",
                    "6.89",
                    "8.91",
                    "8.41",
                    "5.91",
                    "7.35",
                    [
                        "2",
                        "5.41"
                    ],
                    "6.69",
                    "9.56",
                    "7.25",
                    "4.85",
                    "6.72",
                    "4.73",
                    "7.46",
                    "4.47",
                    "7.52",
                    "7.7",
                    "8.09",
                    "5.33",
                    "6.25",
                    "5.72",
                    "4.95",
                    "5.64",
                    "4.87",
                    "6.94",
                    "7.26",
                    "8.11",
                    "6.55",
                    "6.69",
                    "7.84",
                    "6.8",
                    "5.79",
                    "4.67",
                    "5.48",
                    "6.1",
                    "4.76",
                    "6.03",
                    "5.47",
                    "6.3",
                    "5.41",
                    "4.89",
                    "5.6",
                    "7.28",
                    "4.73",
                    "6.49",
                    "4.92",
                    "6.42",
                    "5.4",
                    "6.86",
                    "5.52",
                    "6.8",
                    "5.74",
                    "6.88",
                    "6.54",
                    "5.7",
                    "5.89",
                    "4.63",
                    "7",
                    "5.57",
                    "5.8",
                    "6.05",
                    "5.96",
                    "7.06",
                    "6.82",
                    "5.9",
                    "5.6",
                    "6.89",
                    "8.14",
                    "8.1",
                    "6.33",
                    "5.09",
                    "7.24",
                    "8.29",
                    "6.95",
                    "6.32",
                    "3.59",
                    "2.79",
                    "2.14",
                    "3.28",
                    "3.1",
                    "2.5",
                    "3.11",
                    "3.25",
                    "2.35",
                    "2.39",
                    "2.75",
                    "2.04",
                    "2.54",
                    "3.51",
                    "1.86",
                    "2.18",
                    "2.17",
                    "2.23",
                    "2.13",
                    "2.4",
                    "2.58",
                    "2.16",
                    "2.17",
                    "2.34",
                    "3.68",
                    "1.89",
                    "3.5",
                    "2.76",
                    "2.53",
                    "2.05",
                    [
                        "36",
                        null
                    ]
                ]
            },
            "insert_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "is_master_switched":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "long_query":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "mem_hit_rate":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "99"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "select_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    "2.07",
                    "1.78",
                    "1.76",
                    [
                        "5",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.78"
                    ],
                    "1.76",
                    "1.78",
                    [
                        "6",
                        "1.77"
                    ],
                    [
                        "3",
                        "1.78"
                    ],
                    "1.77",
                    "1.76",
                    "1.77",
                    "1.78",
                    [
                        "5",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.78"
                    ],
                    "1.77",
                    "1.76",
                    "1.77",
                    [
                        "2",
                        "1.78"
                    ],
                    [
                        "2",
                        "1.76"
                    ],
                    "1.78",
                    "1.77",
                    "1.76",
                    "1.77",
                    [
                        "2",
                        "1.78"
                    ],
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    "1.78",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.78",
                    [
                        "2",
                        "1.76"
                    ],
                    "1.78",
                    "1.77",
                    "1.76",
                    "1.77",
                    "1.78",
                    "1.76",
                    "1.78",
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "4",
                        "1.77"
                    ],
                    [
                        "2",
                        "1.76"
                    ],
                    "1.78",
                    [
                        "4",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.78",
                    "1.76",
                    "1.77",
                    [
                        "3",
                        "1.78"
                    ],
                    "1.76",
                    "1.78",
                    [
                        "2",
                        "1.77"
                    ],
                    [
                        "3",
                        "1.78"
                    ],
                    "1.76",
                    "1.78",
                    "1.75",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.78",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    "1.78",
                    "1.77",
                    "1.76",
                    [
                        "4",
                        "1.78"
                    ],
                    [
                        "6",
                        "1.77"
                    ],
                    "1.76",
                    "1.78",
                    "1.76",
                    "1.77",
                    [
                        "2",
                        "1.78"
                    ],
                    "1.77",
                    "1.78",
                    "1.77",
                    "1.78",
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    "1.78",
                    "1.77",
                    "1.76",
                    "1.77",
                    [
                        "2",
                        "1.78"
                    ],
                    [
                        "2",
                        "1.77"
                    ],
                    "1.78",
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "2",
                        "1.77"
                    ],
                    "1.78",
                    "1.74",
                    [
                        "2",
                        "1.77"
                    ],
                    [
                        "2",
                        "1.78"
                    ],
                    "1.77",
                    "1.76",
                    "1.77",
                    "1.78",
                    [
                        "3",
                        "1.77"
                    ],
                    [
                        "2",
                        "1.78"
                    ],
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "3",
                        "1.78"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.78"
                    ],
                    "1.77",
                    [
                        "2",
                        "1.76"
                    ],
                    "1.77",
                    "1.78",
                    "1.77",
                    [
                        "3",
                        "1.78"
                    ],
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    "1.78",
                    "1.77",
                    "1.76",
                    "1.77",
                    "1.78",
                    "1.76",
                    [
                        "2",
                        "1.78"
                    ],
                    [
                        "3",
                        "1.77"
                    ],
                    "1.78",
                    "1.76",
                    "1.78",
                    "1.77",
                    "1.78",
                    "1.76",
                    [
                        "7",
                        "1.77"
                    ],
                    [
                        "2",
                        "1.76"
                    ],
                    "1.78",
                    "1.77",
                    "1.76",
                    "1.78",
                    "1.77",
                    "1.76",
                    "1.78",
                    "1.77",
                    "1.78",
                    "1.77",
                    "1.78",
                    "1.76",
                    "1.77",
                    "1.76",
                    "1.78",
                    [
                        "4",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.78",
                    "1.77",
                    "1.78",
                    "1.77",
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    "1.78",
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    "1.78",
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "slave_delay":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    "2.2",
                    "2.4",
                    "2.2",
                    [
                        "2",
                        "2.4"
                    ],
                    "2",
                    "2.4",
                    "1.8",
                    "2.4",
                    "2",
                    [
                        "3",
                        "2.4"
                    ],
                    "1.8",
                    "1.6",
                    [
                        "2",
                        "1.4"
                    ],
                    "1.2",
                    "1.4",
                    [
                        "2",
                        "1.2"
                    ],
                    "1.6",
                    "1.2",
                    "1.4",
                    "2.6",
                    "2.4",
                    "2.2",
                    "1.6",
                    [
                        "3",
                        "2.4"
                    ],
                    "2",
                    "2.6",
                    [
                        "2",
                        "2.2"
                    ],
                    "1.4",
                    "2.2",
                    [
                        "2",
                        "1"
                    ],
                    "2.2",
                    "1.4",
                    "1.2",
                    [
                        "2",
                        "1.8"
                    ],
                    "0.6",
                    "1.2",
                    "2",
                    "1.6",
                    "2",
                    "1.4",
                    "2.2",
                    "2.6",
                    [
                        "2",
                        "2.2"
                    ],
                    [
                        "2",
                        "2.6"
                    ],
                    "2.4",
                    "2",
                    "1.4",
                    "1.6",
                    [
                        "2",
                        "1.2"
                    ],
                    "1.4",
                    "1.2",
                    [
                        "4",
                        "1.4"
                    ],
                    "1.2",
                    "1.6",
                    "1.4",
                    "1.6",
                    "1.2",
                    [
                        "2",
                        "1.4"
                    ],
                    "1.2",
                    [
                        "2",
                        "1.4"
                    ],
                    "1.2",
                    [
                        "4",
                        "1.4"
                    ],
                    "1.2",
                    [
                        "2",
                        "1.4"
                    ],
                    "1.6",
                    "1.4",
                    "1.2",
                    [
                        "4",
                        "1.4"
                    ],
                    "1.6",
                    "2.2",
                    "2.6",
                    "2",
                    "2.2",
                    "1.4",
                    "1.2",
                    "1.6",
                    "1.8",
                    "1.4",
                    "0.8",
                    "2",
                    "1.8",
                    "2.2",
                    "1.4",
                    "0.8",
                    "1.8",
                    "1",
                    "1.8",
                    "1.6",
                    "1",
                    "1.6",
                    "2",
                    "1.8",
                    "1.6",
                    "1.8",
                    "1.6",
                    "1.4",
                    "1.6",
                    "1.2",
                    "1",
                    "1.2",
                    "1.4",
                    "1.6",
                    "1.4",
                    "1.6",
                    "1.4",
                    "1.6",
                    "1.2",
                    "1.4",
                    [
                        "3",
                        "1.2"
                    ],
                    "2",
                    "1.8",
                    "1.2",
                    [
                        "3",
                        "1.4"
                    ],
                    "1.2",
                    "1.4",
                    "1",
                    [
                        "2",
                        "1.2"
                    ],
                    [
                        "2",
                        "1.6"
                    ],
                    "1.4",
                    "1.2",
                    "1.4",
                    "1.2",
                    "1.6",
                    [
                        "2",
                        "1.2"
                    ],
                    "1.4",
                    "1.6",
                    "1.4",
                    "1.2",
                    "1.6",
                    "0.4",
                    "1.4",
                    "0.8",
                    "1.6",
                    "1",
                    "1.6",
                    "1.4",
                    "1",
                    "2.2",
                    "1.2",
                    "1.6",
                    "1.4",
                    "2",
                    "1.6",
                    "1.4",
                    "1.6",
                    "2.2",
                    "2.4",
                    "2.2",
                    [
                        "5",
                        "2"
                    ],
                    "2.2",
                    [
                        "2",
                        "2.4"
                    ],
                    [
                        "2",
                        "2.2"
                    ],
                    "2.6",
                    [
                        "2",
                        "2.4"
                    ],
                    "2.2",
                    [
                        "3",
                        "2.4"
                    ],
                    "1.8",
                    "2.6",
                    [
                        "5",
                        "2.2"
                    ],
                    "2.6",
                    [
                        "3",
                        "2.2"
                    ],
                    "1.4",
                    [
                        "2",
                        "1.2"
                    ],
                    "1.4",
                    [
                        "2",
                        "1.6"
                    ],
                    [
                        "2",
                        "1.4"
                    ],
                    "1.6",
                    "1",
                    [
                        "2",
                        "1.4"
                    ],
                    "1.2",
                    "1.4",
                    [
                        "2",
                        "2.4"
                    ],
                    [
                        "3",
                        "2.2"
                    ],
                    "2.4",
                    "2.2",
                    [
                        "3",
                        "2.4"
                    ],
                    "2.2",
                    "2.4",
                    "2.2",
                    "2.6",
                    [
                        "3",
                        "2.4"
                    ],
                    [
                        "2",
                        "2.2"
                    ],
                    "2.4",
                    "2.2",
                    [
                        "2",
                        "2"
                    ],
                    [
                        "2",
                        "2.2"
                    ],
                    "2",
                    [
                        "2",
                        "2.4"
                    ],
                    "2.2",
                    "2.4",
                    [
                        "36",
                        null
                    ]
                ]
            },
            "update_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            }
        },
        "slave2":{
            "conn_active":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "56",
                        "0"
                    ],
                    "0.2",
                    [
                        "195",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "delete_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "disk_iops":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    "5.02",
                    "4.69",
                    "4.84",
                    "6.89",
                    "7.2",
                    "7.96",
                    "5.31",
                    "7.2",
                    "4.89",
                    "6.36",
                    "6.44",
                    "4.8",
                    "6.32",
                    "4.44",
                    "5.06",
                    "5.2",
                    "5.75",
                    "6.18",
                    "5.7",
                    "6.97",
                    "4.8",
                    "4.45",
                    "5.08",
                    "5.8",
                    "4.4",
                    "10.25",
                    "7.73",
                    "6.02",
                    "5.28",
                    "4.62",
                    "4.43",
                    "4.47",
                    "5.71",
                    "5.17",
                    "4.37",
                    "3.62",
                    "5.75",
                    "4.93",
                    "4.69",
                    "4.99",
                    "5.22",
                    "6.69",
                    "7.11",
                    "4.59",
                    "4.85",
                    "5.79",
                    "6.54",
                    "6.72",
                    "6.04",
                    "4.31",
                    "4.09",
                    "6.74",
                    "5.97",
                    "4.97",
                    "5.31",
                    "5.5",
                    "4.42",
                    "5.07",
                    "5.49",
                    "6.35",
                    "4.84",
                    "7.1",
                    "5.38",
                    "4.42",
                    "6.18",
                    "5.61",
                    "4.74",
                    "5.87",
                    "4.46",
                    "5.08",
                    "7.41",
                    "5.84",
                    "4.82",
                    "4.91",
                    "4.69",
                    "5.18",
                    "5.62",
                    "7.2",
                    "4.6",
                    "5.7",
                    "5.57",
                    "5.94",
                    "4.75",
                    "6.94",
                    "5.5",
                    "5.57",
                    "4.73",
                    "6.36",
                    "5.61",
                    "3.86",
                    "5.08",
                    "6.67",
                    "4.86",
                    "7.04",
                    "4.22",
                    "5.04",
                    "6.38",
                    "5.41",
                    "5.58",
                    "4.74",
                    "6.46",
                    "5.47",
                    "5.42",
                    "4.6",
                    "4.7",
                    "4.75",
                    "6.58",
                    "5.39",
                    "5.56",
                    "5.36",
                    "5.14",
                    "6.19",
                    "4.44",
                    "3.97",
                    "7.68",
                    "4.38",
                    "6.32",
                    "4.42",
                    "4.48",
                    "4.98",
                    "4.37",
                    "4.75",
                    "5.14",
                    "6.85",
                    "6.52",
                    "5.62",
                    "7",
                    "9.1",
                    "5.37",
                    "4.21",
                    "6.89",
                    "4.49",
                    "7.11",
                    "5.94",
                    "4.38",
                    "5.85",
                    "4.43",
                    "5.1",
                    "5.12",
                    "4.17",
                    "4.86",
                    "4.63",
                    "6.13",
                    "4.31",
                    "4.37",
                    "6.91",
                    "5.94",
                    "6.07",
                    "5.3",
                    "6.13",
                    "6.05",
                    "5.07",
                    "5.97",
                    "6.98",
                    "4",
                    "6.74",
                    "4.43",
                    "6.03",
                    "7.9",
                    "5.55",
                    "4.92",
                    "3.83",
                    "7.11",
                    "6.69",
                    "4.92",
                    "7.98",
                    "6.36",
                    "5.16",
                    "6.16",
                    "5.77",
                    "6.55",
                    "6.93",
                    "4.58",
                    "5.13",
                    "6.99",
                    "5.97",
                    "7.5",
                    "6.55",
                    "5.85",
                    "5.49",
                    "6.39",
                    "6.5",
                    "6.06",
                    "6.57",
                    "5.24",
                    "5.55",
                    "4.13",
                    "4.6",
                    "4.89",
                    "4.53",
                    "5.82",
                    "6.04",
                    "4.26",
                    "3.73",
                    [
                        "2",
                        "4.72"
                    ],
                    "4.43",
                    "4.5",
                    "4.16",
                    "5.12",
                    "6.46",
                    "4.8",
                    "5.15",
                    "4.32",
                    "6.55",
                    "4.1",
                    "4.44",
                    "5.32",
                    "4.91",
                    "6.23",
                    "5.11",
                    "5.18",
                    "4.08",
                    "4.53",
                    "5.79",
                    "6.36",
                    "4.9",
                    "4.37",
                    "4.68",
                    "5.32",
                    "4.95",
                    "4.82",
                    "3.51",
                    "2.23",
                    "2.29",
                    "2.8",
                    "2.83",
                    "2.72",
                    "2.97",
                    "1.97",
                    "2",
                    "2.72",
                    "1.97",
                    "1.84",
                    "1.63",
                    "1.62",
                    "2.04",
                    "2.66",
                    "1.76",
                    "1.88",
                    "3.5",
                    "2.23",
                    "3.36",
                    "2.55",
                    "2.49",
                    "1.98",
                    "3.32",
                    "2.37",
                    "1.71",
                    "1.87",
                    "1.79",
                    "2.45",
                    [
                        "36",
                        null
                    ]
                ]
            },
            "insert_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "is_master_switched":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "long_query":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "mem_hit_rate":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "99"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            },
            "select_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "9",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    "1.76",
                    [
                        "4",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "4",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "4",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "6",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    "1.76",
                    "1.77",
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    [
                        "2",
                        "1.76"
                    ],
                    "1.77",
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "4",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    [
                        "2",
                        "1.76"
                    ],
                    "1.77",
                    "1.76",
                    "1.77",
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "4",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "4",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    "1.76",
                    "1.77",
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.78",
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "4",
                        "1.77"
                    ],
                    [
                        "4",
                        "1.76"
                    ],
                    "1.77",
                    "1.76",
                    [
                        "7",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    [
                        "3",
                        "1.76"
                    ],
                    "1.77",
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.78",
                    [
                        "5",
                        "1.77"
                    ],
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "4",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    "1.76",
                    "1.77",
                    "1.78",
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "5",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    [
                        "2",
                        "1.76"
                    ],
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "7",
                        "1.77"
                    ],
                    "1.76",
                    [
                        "2",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    "1.76",
                    "1.77",
                    "1.76",
                    [
                        "3",
                        "1.77"
                    ],
                    "1.76",
                    "1.77",
                    [
                        "36",
                        null
                    ]
                ]
            },
            "slave_delay":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    "1.4",
                    "2",
                    "1",
                    "1.6",
                    "1.8",
                    "1.6",
                    "1.2",
                    "2.4",
                    "3",
                    "1.8",
                    "1.2",
                    [
                        "2",
                        "2.6"
                    ],
                    "1.8",
                    "1.4",
                    "1.8",
                    [
                        "2",
                        "1.6"
                    ],
                    "2",
                    [
                        "2",
                        "1.8"
                    ],
                    "2",
                    "2.8",
                    "1.6",
                    "2.2",
                    "1.4",
                    "0.6",
                    "2.4",
                    "1.8",
                    "0.2",
                    "1.4",
                    "2.6",
                    "1",
                    "1.6",
                    "2.2",
                    "1.6",
                    "1.8",
                    "3",
                    "1.4",
                    "1.6",
                    "1.8",
                    "2.4",
                    "1.8",
                    "2.4",
                    "2.6",
                    [
                        "3",
                        "2.4"
                    ],
                    "2.2",
                    "2.4",
                    "2",
                    "1.4",
                    [
                        "2",
                        "1.2"
                    ],
                    "1.4",
                    "2.4",
                    "2",
                    "2.6",
                    "1.4",
                    "1",
                    "0.8",
                    "1",
                    "1.6",
                    "2.2",
                    "2.4",
                    "1.8",
                    "0.6",
                    "2",
                    "1.6",
                    "1.4",
                    "2",
                    "1.8",
                    "2.8",
                    "1.4",
                    "1.2",
                    "1",
                    "1.4",
                    "1.2",
                    "1.4",
                    "2.8",
                    "1.8",
                    "0.8",
                    "2.6",
                    "1.4",
                    "0.6",
                    [
                        "2",
                        "2.2"
                    ],
                    "2",
                    [
                        "2",
                        "1.4"
                    ],
                    "2.8",
                    "1.6",
                    "2.2",
                    "1.6",
                    "1.2",
                    "1",
                    "1.2",
                    "1.4",
                    [
                        "4",
                        "1.6"
                    ],
                    "0",
                    "2",
                    "0.8",
                    "2.2",
                    "0.4",
                    [
                        "2",
                        "1"
                    ],
                    "1.8",
                    [
                        "2",
                        "1.4"
                    ],
                    "2.2",
                    "1.6",
                    "1.4",
                    "1.2",
                    "2",
                    "3",
                    "1.6",
                    "2.2",
                    "0.8",
                    "3",
                    "1.4",
                    "1.8",
                    "2.6",
                    "1.4",
                    [
                        "5",
                        "1.2"
                    ],
                    "1",
                    "1.6",
                    [
                        "3",
                        "1.4"
                    ],
                    "1.8",
                    "1.4",
                    "2",
                    [
                        "2",
                        "2.2"
                    ],
                    "1.6",
                    "2.2",
                    "2.6",
                    "2.2",
                    "2.6",
                    "3",
                    "2",
                    "1.8",
                    "1",
                    "2",
                    "3",
                    "2.2",
                    "0.8",
                    "1.8",
                    "2.4",
                    "2",
                    [
                        "2",
                        "1.8"
                    ],
                    [
                        "2",
                        "1.6"
                    ],
                    "2.2",
                    "2.6",
                    "2.4",
                    [
                        "3",
                        "2.2"
                    ],
                    "2.6",
                    "2.4",
                    "1.4",
                    [
                        "2",
                        "1"
                    ],
                    "1.4",
                    "0.8",
                    "1",
                    "1.4",
                    "2.2",
                    [
                        "2",
                        "1.2"
                    ],
                    "1.4",
                    [
                        "4",
                        "1"
                    ],
                    "1.2",
                    "1.4",
                    "1.2",
                    "1.6",
                    "0.8",
                    "1.4",
                    "2.6",
                    [
                        "2",
                        "2.4"
                    ],
                    "2.2",
                    "2.4",
                    "2.2",
                    "2.4",
                    "1.6",
                    "2.2",
                    [
                        "2",
                        "2.4"
                    ],
                    "2.6",
                    "2.4",
                    "2.6",
                    "2.4",
                    "2.2",
                    "2.6",
                    "1.8",
                    [
                        "2",
                        "1.4"
                    ],
                    "1",
                    [
                        "3",
                        "1.4"
                    ],
                    "1.2",
                    [
                        "2",
                        "1.4"
                    ],
                    "1",
                    [
                        "2",
                        "1.2"
                    ],
                    "1",
                    "1.2",
                    "1.4",
                    "1.2",
                    "1",
                    "1.4",
                    "1.2",
                    "1.4",
                    "1.2",
                    [
                        "2",
                        "1.4"
                    ],
                    "1",
                    [
                        "4",
                        "1.2"
                    ],
                    "1",
                    "1.4",
                    [
                        "2",
                        "1.2"
                    ],
                    "1",
                    "1.6",
                    "2.2",
                    "2.4",
                    [
                        "2",
                        "2"
                    ],
                    "2.2",
                    "1.8",
                    [
                        "2",
                        "2.2"
                    ],
                    "2",
                    "2.2",
                    [
                        "36",
                        null
                    ]
                ]
            },
            "update_total":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "252",
                        "0"
                    ],
                    [
                        "36",
                        null
                    ]
                ]
            }
        }
    }
}
```

