## 1. 接口描述
本接口(CdbTdsqlGetResourceUsageInfoDetail)用于查看实例资源使用详情。
接口请求域名：<font style='color:red'>tdsql.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976
)页面。其中，此接口的Action字段为CdbTdsqlGetResourceUsageInfoDetail。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| shardId | 否 | Int | 分片id, 0的时候表示获取整个集群的监控或者单机实例的监控|
| startTime | 是 | date | 开始日期，格式yyyy-mm-dd|
| endTime | 是 | date | 结束日期，格式yyyy-mm-dd|


## 3. 输出参数
返回值为对应性能的点阵。
按时间顺序先后返回各个时间段的数据值，连续时间段如果值相同将被合并为{段数，值}的形式。比如[2，3]就表示连续2个时间段的值为3，一个时间段的长度由请求的开始时间和结束时间的差值决定，小于1天是5分钟一段，大于1天小于7天是30分钟一段，大于7天是2个小时一段。
本接口与[查看实例性能数据](/doc/api/309/5408)略有不同，本接口返回的是主备机器的具体数据。[查看实例性能数据](/doc/api/309/5408)
返回的是整个实例的汇总信息。master/slave1/slave2分别为主、备1、备2机器的信息。

指标列表

|指标名|含义|
|------|-----|
|binlog_disk_available|binlog日志磁盘可用空间,单位GB|
|cpu_usage_rate|CPU利用率|
|mem_available|内存可用空间,单位GB|
|data_disk_available|磁盘可用空间,单位GB|
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| BaradError | Barad错误 |
| NoInstanceFound | 实例不存在 |
| InnerSystemError | 内部系统错误，和业务无关 |
| InstanceStatusError | 实例状态错误 |
| ShardNotExist | 分片不存在 |
| MetricNotExist | 指定的维度不存在 |
| OssOpertaionFailed | OSS内部失败 |
| MakeRequestFailed | 拼接请求时发生错误 |
| BadRequest | 发起请求错误 |
| ReadDataFailed | 读取返回数据错误 |
| NoDataFetched | 未拉取到数据 |
| JsonUnmarshaFailed | json 解析错误 |
| NoDataFetched | 未拉取到数据 |
| BaradError | Barad数据合并错误 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlGetResourceUsageInfoDetail
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&cdbInstanceId=40746
&startTime=2016-08-21
&endTime=2016-08-22
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "master":{
            "binlog_disk_available":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "149",
                        "20.89"
                    ],
                    [
                        "109",
                        "20.88"
                    ],
                    [
                        "30",
                        null
                    ]
                ]
            },
            "cpu_usage_rate":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    "3.6",
                    "11",
                    "10.4",
                    "10.6",
                    [
                        "2",
                        "3.6"
                    ],
                    "4",
                    "6.6",
                    "10.6",
                    "11.4",
                    "10.4",
                    "4",
                    "3.6",
                    "4.2",
                    "10.4",
                    "10.6",
                    "10",
                    "3.8",
                    [
                        "2",
                        "3.6"
                    ],
                    "10.6",
                    "11",
                    "10.8",
                    [
                        "3",
                        "3.6"
                    ],
                    "10.8",
                    "11",
                    "10.4",
                    [
                        "2",
                        "3.6"
                    ],
                    [
                        "2",
                        "4"
                    ],
                    [
                        "2",
                        "10.4"
                    ],
                    "10.6",
                    "3.8",
                    "4",
                    "3.6",
                    "12.2",
                    "10.6",
                    "10.8",
                    "4.8",
                    [
                        "2",
                        "3.6"
                    ],
                    "9.4",
                    "10.8",
                    "11",
                    "5.2",
                    [
                        "2",
                        "3.6"
                    ],
                    "10",
                    "11",
                    "10.6",
                    "5.6",
                    [
                        "2",
                        "3.6"
                    ],
                    "4",
                    "10.6",
                    [
                        "2",
                        "10.4"
                    ],
                    "3.6",
                    "4",
                    "3.8",
                    "6.8",
                    "10.4",
                    "10.6",
                    "7.4",
                    "4",
                    "3.6",
                    "7.6",
                    "10.6",
                    "10.8",
                    "6.4",
                    [
                        "2",
                        "3.6"
                    ],
                    "9.2",
                    "10.6",
                    "11",
                    "5.8",
                    [
                        "2",
                        "3.6"
                    ],
                    "8.6",
                    "11",
                    [
                        "2",
                        "10.6"
                    ],
                    [
                        "2",
                        "3.6"
                    ],
                    "4",
                    [
                        "2",
                        "10.6"
                    ],
                    "10.4",
                    "3.6",
                    "10.4",
                    "10.8",
                    "10.6",
                    "11.2",
                    "11.4",
                    "5.2",
                    "3.6",
                    "4.4",
                    "6.4",
                    "10.8",
                    [
                        "3",
                        "10.6"
                    ],
                    "10.4",
                    "11",
                    [
                        "3",
                        "10.6"
                    ],
                    "4.8",
                    "4",
                    "3.8",
                    "3.6",
                    "10.4",
                    "10.8",
                    "11",
                    "9.8",
                    [
                        "3",
                        "3.6"
                    ],
                    "10.8",
                    "11",
                    "9.6",
                    [
                        "3",
                        "3.6"
                    ],
                    "10.8",
                    [
                        "2",
                        "10.6"
                    ],
                    [
                        "2",
                        "3.6"
                    ],
                    "4",
                    "10.6",
                    "10.4",
                    "10.6",
                    "3.6",
                    "4",
                    "3.8",
                    "7.2",
                    [
                        "2",
                        "10.6"
                    ],
                    "7.4",
                    [
                        "3",
                        "3.6"
                    ],
                    "10.6",
                    "11",
                    "10.8",
                    [
                        "3",
                        "3.6"
                    ],
                    "11",
                    "10.6",
                    "10.4",
                    "3.6",
                    [
                        "2",
                        "4"
                    ],
                    "10",
                    "9.4",
                    "10.8",
                    [
                        "2",
                        "11"
                    ],
                    "7",
                    [
                        "2",
                        "3.6"
                    ],
                    "6.4",
                    "11",
                    "10.6",
                    "9.2",
                    "3.6",
                    [
                        "2",
                        "4"
                    ],
                    "10.2",
                    [
                        "2",
                        "10.4"
                    ],
                    "5.8",
                    "4",
                    "3.6",
                    "4.4",
                    "10.4",
                    [
                        "2",
                        "11"
                    ],
                    [
                        "3",
                        "3.6"
                    ],
                    [
                        "2",
                        "11"
                    ],
                    [
                        "2",
                        "10.6"
                    ],
                    "5",
                    [
                        "2",
                        "4"
                    ],
                    "3.6",
                    [
                        "2",
                        "10.6"
                    ],
                    "9.2",
                    "4",
                    [
                        "2",
                        "3.6"
                    ],
                    "10.4",
                    "11",
                    "10.8",
                    [
                        "3",
                        "3.6"
                    ],
                    "9",
                    "10.4",
                    "10.6",
                    "6.8",
                    "3.6",
                    [
                        "2",
                        "4"
                    ],
                    [
                        "2",
                        "10.6"
                    ],
                    "7",
                    [
                        "2",
                        "4"
                    ],
                    "3.6",
                    "10.6",
                    "10.8",
                    "11",
                    "6.6",
                    [
                        "2",
                        "3.6"
                    ],
                    "8.4",
                    [
                        "2",
                        "11"
                    ],
                    "5.2",
                    [
                        "3",
                        "3.6"
                    ],
                    [
                        "2",
                        "10.8"
                    ],
                    "9.2",
                    [
                        "2",
                        "3.6"
                    ],
                    "3.8",
                    "10.8",
                    [
                        "2",
                        "10.4"
                    ],
                    [
                        "2",
                        "3.6"
                    ],
                    "4",
                    "6.6",
                    [
                        "2",
                        "10.6"
                    ],
                    "10.4",
                    [
                        "2",
                        "4"
                    ],
                    "3.6",
                    [
                        "3",
                        "10.4"
                    ],
                    "4",
                    "3.6",
                    "3.4",
                    [
                        "30",
                        null
                    ]
                ]
            },
            "data_disk_available":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "258",
                        "100"
                    ],
                    [
                        "30",
                        null
                    ]
                ]
            },
            "mem_available":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "15",
                        "3.84"
                    ],
                    [
                        "4",
                        "3.83"
                    ],
                    [
                        "26",
                        "3.84"
                    ],
                    [
                        "2",
                        "3.83"
                    ],
                    [
                        "28",
                        "3.84"
                    ],
                    [
                        "3",
                        "3.83"
                    ],
                    [
                        "19",
                        "3.84"
                    ],
                    [
                        "8",
                        "3.85"
                    ],
                    [
                        "2",
                        "3.83"
                    ],
                    [
                        "28",
                        "3.84"
                    ],
                    [
                        "2",
                        "3.83"
                    ],
                    [
                        "28",
                        "3.84"
                    ],
                    [
                        "3",
                        "3.83"
                    ],
                    [
                        "27",
                        "3.84"
                    ],
                    [
                        "2",
                        "3.83"
                    ],
                    [
                        "29",
                        "3.84"
                    ],
                    [
                        "2",
                        "3.83"
                    ],
                    [
                        "13",
                        "3.84"
                    ],
                    [
                        "3",
                        "3.83"
                    ],
                    [
                        "14",
                        "3.84"
                    ],
                    [
                        "30",
                        null
                    ]
                ]
            }
        },
        "slave1":{
            "binlog_disk_available":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "121",
                        "20.88"
                    ],
                    [
                        "113",
                        "20.87"
                    ],
                    [
                        "24",
                        "20.86"
                    ],
                    [
                        "30",
                        null
                    ]
                ]
            },
            "cpu_usage_rate":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    "11.2",
                    [
                        "3",
                        "3.8"
                    ],
                    "4.2",
                    "4",
                    "11.6",
                    "3.8",
                    [
                        "3",
                        "4"
                    ],
                    "4.2",
                    "5",
                    "3.8",
                    [
                        "2",
                        "4"
                    ],
                    "4.2",
                    "3.8",
                    "4",
                    "3.8",
                    "4.4",
                    "4",
                    [
                        "2",
                        "3.8"
                    ],
                    "4",
                    "4.2",
                    [
                        "2",
                        "3.8"
                    ],
                    "3.6",
                    [
                        "2",
                        "4.2"
                    ],
                    "4",
                    "4.2",
                    [
                        "3",
                        "4"
                    ],
                    "7.4",
                    "3.8",
                    "4",
                    "8",
                    "3.8",
                    "4",
                    "7.6",
                    "4.2",
                    "4",
                    "7.4",
                    "3.8",
                    "4",
                    "7.4",
                    "3.8",
                    "4",
                    "3.8",
                    "4",
                    [
                        "2",
                        "4.2"
                    ],
                    "3.8",
                    "4",
                    "4.4",
                    "4.2",
                    [
                        "3",
                        "3.8"
                    ],
                    "4.4",
                    "4",
                    [
                        "3",
                        "3.8"
                    ],
                    [
                        "2",
                        "4.2"
                    ],
                    [
                        "3",
                        "4"
                    ],
                    "4.2",
                    "4",
                    "3.8",
                    "7.6",
                    "4",
                    "4.2",
                    "7.8",
                    [
                        "2",
                        "3.8"
                    ],
                    "7.8",
                    "4.2",
                    "3.6",
                    "7.4",
                    [
                        "2",
                        "4"
                    ],
                    "8.4",
                    "3.8",
                    "4",
                    "7.2",
                    "4.2",
                    "3.8",
                    "15.2",
                    "4.2",
                    "4",
                    "7.6",
                    "4.4",
                    "3.8",
                    "3.6",
                    "4",
                    "3.8",
                    "4",
                    "3.6",
                    "3.8",
                    "3.6",
                    "3.8",
                    "4",
                    [
                        "2",
                        "3.6"
                    ],
                    "3.8",
                    [
                        "2",
                        "4"
                    ],
                    "3.8",
                    "3.6",
                    "7.4",
                    [
                        "2",
                        "4"
                    ],
                    "7.6",
                    "4",
                    "3.8",
                    "8",
                    "4",
                    "3.8",
                    "7.8",
                    "3.8",
                    "4",
                    "7.6",
                    "3.6",
                    "3.8",
                    "7.8",
                    "4",
                    [
                        "3",
                        "3.6"
                    ],
                    [
                        "2",
                        "4"
                    ],
                    "3.6",
                    "3.8",
                    "3.6",
                    "4",
                    [
                        "3",
                        "3.8"
                    ],
                    "3.6",
                    "4",
                    "3.8",
                    "3.6",
                    [
                        "3",
                        "4"
                    ],
                    "3.6",
                    [
                        "2",
                        "3.8"
                    ],
                    "4",
                    [
                        "3",
                        "3.6"
                    ],
                    [
                        "2",
                        "4"
                    ],
                    "5",
                    "3.8",
                    "3.6",
                    "7.8",
                    "3.6",
                    "3.8",
                    "8",
                    [
                        "2",
                        "4"
                    ],
                    "8",
                    "3.6",
                    "4",
                    "7.6",
                    [
                        "2",
                        "3.6"
                    ],
                    "6.6",
                    "3.8",
                    "4",
                    "7.6",
                    [
                        "2",
                        "3.6"
                    ],
                    [
                        "2",
                        "4"
                    ],
                    "3.8",
                    "3.6",
                    "3.8",
                    "4",
                    "3.8",
                    [
                        "2",
                        "3.6"
                    ],
                    "3.8",
                    "4",
                    "3.8",
                    [
                        "2",
                        "3.6"
                    ],
                    [
                        "3",
                        "4"
                    ],
                    "3.8",
                    "3.6",
                    [
                        "2",
                        "4"
                    ],
                    "6.8",
                    [
                        "2",
                        "3.6"
                    ],
                    "8",
                    "4",
                    "3.6",
                    "7.4",
                    "3.8",
                    "4",
                    "7.8",
                    [
                        "2",
                        "3.6"
                    ],
                    "8",
                    "4",
                    "3.6",
                    "7.8",
                    "3.6",
                    "4",
                    "7.6",
                    [
                        "2",
                        "3.6"
                    ],
                    "7",
                    "4",
                    "3.8",
                    "8",
                    [
                        "2",
                        "3.6"
                    ],
                    [
                        "3",
                        "4"
                    ],
                    "3.6",
                    [
                        "2",
                        "3.8"
                    ],
                    "4",
                    "3.6",
                    "3.8",
                    [
                        "2",
                        "3.6"
                    ],
                    "4",
                    "3.8",
                    [
                        "2",
                        "3.6"
                    ],
                    "3.8",
                    "4",
                    "3.6",
                    "3.8",
                    "3.6",
                    "3.8",
                    "7.8",
                    "3.6",
                    "3.8",
                    "7.2",
                    "3.6",
                    "4",
                    "7.4",
                    "3.8",
                    [
                        "30",
                        null
                    ]
                ]
            },
            "data_disk_available":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "258",
                        "100"
                    ],
                    [
                        "30",
                        null
                    ]
                ]
            },
            "mem_available":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "258",
                        "3.92"
                    ],
                    [
                        "30",
                        null
                    ]
                ]
            }
        },
        "slave2":{
            "binlog_disk_available":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "121",
                        "20.88"
                    ],
                    [
                        "113",
                        "20.87"
                    ],
                    [
                        "24",
                        "20.86"
                    ],
                    [
                        "30",
                        null
                    ]
                ]
            },
            "cpu_usage_rate":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    "3.8",
                    "4",
                    "4.2",
                    [
                        "3",
                        "3.8"
                    ],
                    "4",
                    "4.2",
                    [
                        "3",
                        "3.8"
                    ],
                    [
                        "2",
                        "4.2"
                    ],
                    [
                        "3",
                        "3.8"
                    ],
                    [
                        "2",
                        "4.2"
                    ],
                    [
                        "3",
                        "3.8"
                    ],
                    [
                        "2",
                        "4.2"
                    ],
                    [
                        "3",
                        "3.8"
                    ],
                    [
                        "2",
                        "4.2"
                    ],
                    [
                        "3",
                        "3.8"
                    ],
                    "4.2",
                    "4",
                    [
                        "3",
                        "3.8"
                    ],
                    "4.2",
                    "4",
                    [
                        "3",
                        "3.8"
                    ],
                    "4.2",
                    [
                        "3",
                        "3.8"
                    ],
                    "4",
                    "4.2",
                    [
                        "3",
                        "3.8"
                    ],
                    "4",
                    "4.2",
                    [
                        "3",
                        "3.8"
                    ],
                    "4",
                    "4.2",
                    [
                        "3",
                        "3.8"
                    ],
                    [
                        "2",
                        "4.2"
                    ],
                    "4",
                    [
                        "3",
                        "3.8"
                    ],
                    "4.2",
                    [
                        "3",
                        "3.8"
                    ],
                    "4",
                    "4.2",
                    [
                        "4",
                        "3.8"
                    ],
                    "4.2",
                    [
                        "3",
                        "3.8"
                    ],
                    "4",
                    "4.2",
                    [
                        "3",
                        "3.8"
                    ],
                    [
                        "2",
                        "4.2"
                    ],
                    [
                        "3",
                        "3.8"
                    ],
                    "4",
                    "4.2",
                    "3.8",
                    "3.6",
                    [
                        "2",
                        "4"
                    ],
                    "4.2",
                    "4",
                    [
                        "3",
                        "3.6"
                    ],
                    "3.8",
                    "4",
                    [
                        "3",
                        "3.6"
                    ],
                    "3.8",
                    "4",
                    [
                        "4",
                        "3.6"
                    ],
                    "4",
                    [
                        "4",
                        "3.6"
                    ],
                    "4",
                    "3.8",
                    [
                        "3",
                        "3.6"
                    ],
                    "4",
                    "3.8",
                    [
                        "3",
                        "3.6"
                    ],
                    "4",
                    "3.8",
                    [
                        "3",
                        "3.6"
                    ],
                    "4",
                    "3.8",
                    [
                        "3",
                        "3.6"
                    ],
                    "4",
                    [
                        "4",
                        "3.6"
                    ],
                    "4",
                    [
                        "4",
                        "3.6"
                    ],
                    "4",
                    "3.8",
                    [
                        "3",
                        "3.6"
                    ],
                    "4",
                    [
                        "3",
                        "3.6"
                    ],
                    [
                        "2",
                        "4"
                    ],
                    [
                        "3",
                        "3.6"
                    ],
                    "4",
                    "3.8",
                    [
                        "2",
                        "3.6"
                    ],
                    "3.8",
                    "4",
                    "3.8",
                    [
                        "3",
                        "3.6"
                    ],
                    "4",
                    [
                        "3",
                        "3.6"
                    ],
                    [
                        "2",
                        "4"
                    ],
                    [
                        "3",
                        "3.6"
                    ],
                    [
                        "2",
                        "4"
                    ],
                    [
                        "3",
                        "3.6"
                    ],
                    "3.8",
                    "4",
                    [
                        "3",
                        "3.6"
                    ],
                    [
                        "2",
                        "4"
                    ],
                    [
                        "3",
                        "3.6"
                    ],
                    [
                        "2",
                        "4"
                    ],
                    [
                        "3",
                        "3.6"
                    ],
                    [
                        "2",
                        "4"
                    ],
                    [
                        "3",
                        "3.6"
                    ],
                    [
                        "2",
                        "4"
                    ],
                    [
                        "3",
                        "3.6"
                    ],
                    "4",
                    "3.8",
                    [
                        "3",
                        "3.6"
                    ],
                    "4",
                    [
                        "4",
                        "3.6"
                    ],
                    "4",
                    [
                        "2",
                        "3.6"
                    ],
                    "3.4",
                    "3.6",
                    "4",
                    "3.4",
                    [
                        "3",
                        "3.6"
                    ],
                    "3.8",
                    "4",
                    [
                        "2",
                        "3.4"
                    ],
                    [
                        "2",
                        "3.6"
                    ],
                    [
                        "2",
                        "3.8"
                    ],
                    "3.2",
                    [
                        "2",
                        "3.4"
                    ],
                    [
                        "2",
                        "3.8"
                    ],
                    [
                        "2",
                        "3.6"
                    ],
                    "3.4",
                    "3.6",
                    "4",
                    [
                        "3",
                        "3.6"
                    ],
                    "3.4",
                    "4",
                    [
                        "2",
                        "3.6"
                    ],
                    [
                        "3",
                        "3.4"
                    ],
                    [
                        "30",
                        null
                    ]
                ]
            },
            "data_disk_available":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "258",
                        "100"
                    ],
                    [
                        "30",
                        null
                    ]
                ]
            },
            "mem_available":{
                "StartTime":"2016-08-21 00:00:00",
                "EndTime":"2016-08-22 23:59:59",
                "Data":[
                    [
                        "2",
                        "3.91"
                    ],
                    "3.92",
                    [
                        "3",
                        "3.91"
                    ],
                    "3.92",
                    "3.91",
                    "3.92",
                    [
                        "4",
                        "3.91"
                    ],
                    [
                        "3",
                        "3.92"
                    ],
                    [
                        "4",
                        "3.91"
                    ],
                    "3.92",
                    [
                        "26",
                        "3.91"
                    ],
                    "3.92",
                    [
                        "210",
                        "3.91"
                    ],
                    [
                        "30",
                        null
                    ]
                ]
            }
        }
    }
}
```

