## 1. 接口描述
本接口(CdbTdsqlGetSlowLogList)用于查询慢查询日志列表。
接口请求域名：<font style='color:red'>tdsql.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976
)页面。其中，此接口的Action字段为CdbTdsqlGetSlowLogList。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| start | 是 | Int | 从结果的第几条数据开始返回|
| num | 是 | Int | 返回的结果条数|
| startTime | 否 | datetime | 查询的起始时间，形如2016-07-23 14:55:20|
| endTime | 否 | datetime | 查询的结束时间，形如2016-08-22 14:55:20|
| db | 否 | String | 要查询的具体数据库名称|
| orderBy | 否 | String | 排序指标，query_time_sum或者query_count|
| orderByType | 否 | String | 排序类型，desc或者asc|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/309/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data | Array | 返回的数据 |
| data.data | Array | 数据| 
| data.data.checksum | String | 语句校验和,用于查询详情 | 
| data.data.db | String | 数据库名称 | 
| data.data.fingerprint | String | 抽象的SQL语句 | 
| data.data.lock_time_avg | String | 平均的锁时间 | 
| data.data.lock_time_max | String | 最大锁时间 | 
| data.data.lock_time_min | String | 最小锁时间 | 
| data.data.lock_time_sum | String | 锁时间总和 | 
| data.data.query_count | String | 查询次数 | 
| data.data.query_time_avg | String | 平均查询时间 | 
| data.data.query_time_max | String | 最大查询时间 | 
| data.data.query_time_min | String | 最小查询时间 | 
| data.data.query_time_sum | String | 查询时间总和 | 
| data.data.rows_examined_sum | String | 扫描行数 | 
| data.data.rows_sent_sum | String | 发送行数 | 
| data.data.ts_max | String | 首次执行时间 | 
| data.data.ts_min | String | 最后执行时间 | 
| data.data.user | String | 帐号 | 
| data.lock_time_sum | Int | 所有语句锁时间总和 | 
| data.query_count | Int | 所有语句查询总次数 | 
| data.query_time_sum | String | 所有语句查询时间总和 | 
| data.total | Int | 总记录数 | 
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| IllegalTime | 错误的时间参数 |
| DbOperationFailed | DB内部失败 |
| EINSTANCEDELETED | 实例已删除 |
| InstanceStatusAbnormal | 实例状态异常(非删除), 不能进行操作 |
| GetInstanceInfoFailed | 获取实例信息失败 |
| LogDBFailed | logDB接口错误 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlGetSlowLogList
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&cdbInstanceId=10338
&start=0
&num=20
&begin=2016-08-10
&end=2016-08-23
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
        "data":[
            {
                "checksum":"14090621765287179955",
                "db":"",
                "fingerprint":"replace into sysdb.statustable set ts = from_unixtime(?),ip=?,port=?",
                "lock_time_avg":"0.00",
                "lock_time_max":"0.00",
                "lock_time_min":"0.00",
                "lock_time_sum":"0.00",
                "query_count":"1",
                "query_time_avg":"1.13",
                "query_time_max":"1.13",
                "query_time_min":"1.13",
                "query_time_sum":"1.13",
                "rows_examined_sum":"0.00",
                "rows_sent_sum":"0.00",
                "ts_max":"2016-08-06 11:32:10",
                "ts_min":"2016-08-06 11:32:10",
                "user":"agent"
            }
        ],
        "lock_time_sum":"0",
        "query_count":"1",
        "query_time_sum":"1.13",
        "total":"1"
    }
}
```

