## 1. 接口描述
本接口(CdbTdsqlGetSlowLogAnalysis)用于获取慢查询记录详情。
接口请求域名：<font style='color:red'>tdsql.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共参数](https://cloud.tencent.com/document/api/213/6976
)页面。其中，此接口的Action字段为CdbTdsqlGetSlowLogAnalysis。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| cdbInstanceId | 是 | Int | 实例ID|
| startTime | 是 | datetime | 查询的起始时间，形如2016-07-23 14:55:20|
| endTime | 是 | datetime | 查询的结束时间，形如2016-08-22 14:55:20|
| db | 是 | String | 要查询的慢查询语句对应的数据库名称|
| user | 是 | String | 要查询的慢查询语句对应的用户名称|
| checkSum | 是 | String | 要查询的慢查询语句的校验和，可以通过查询慢查询日志列表获得|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/309/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 英文错误描述 |
| data.StartTime | String | 慢查询SQL的开始时间 |
| data.EndTime | String | 慢查询SQL的结束时间 |
| data.Data | Array | 返回的慢查询详情数据，格式为[份数，值]的形式。比如[2，3]就表示连续2个时间段的值为3，一个时间段的长度由请求的开始时间和结束时间的差值决定，小于1天是5分钟一段，大于1天小于7天是30分钟一段，大于7天是2个小时一段。|
## 4. 错误码表

以下是本接口常见的错误码，如果有不在此列的错误请查阅[TDSQL错误码表](/doc/api/309/7150)

| 错误码 | 描述 |
|---------|---------|
| DbOperationFailed | DB内部失败 |
| EINSTANCEDELETED | 实例已删除 |
| InstanceStatusAbnormal | 实例状态异常(非删除), 不能进行操作 |
| IllegalTime | 错误的时间参数 |
| GetInstanceInfoFailed | 获取实例信息失败 |
| LogDBFailed | logDB接口错误 |
| OssOpertaionFailed | OSS内部失败 |
| InnerSystemError | 内部系统错误，和业务无关 |
## 5. 示例
输入
<pre>
https://tdsql.api.qcloud.com/v2/index.php?Action=CdbTdsqlGetSlowLogAnalysis
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&cdbInstanceId=40746
&startTime=2016-08-05 18:20:00
&endTime=2016-08-06 18:30:50
&user=test_slow
&checkSum=17988922643135866314
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":{
    	"StartTime": "2016-08-06 02:31:55",
    	"EndTime": "2016-08-06 02:36:55",
    	"Data": [
        	[
            	1,
            	3
        	],
        	[
            	1,
            	9
        	]
    	]
	}
}
```

