## 1. 接口描述
 
域名: cmem.api.qcloud.com
接口名: DescribeCmem

查询CMEM实例列表
可调用地域：广州、上海、北美

 

## 2. 输入参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> limit <td> 否 <td> Int <td> 页面大小，默认为20 最大100
<tr>
<td> offset <td> 否 <td> Int <td> 偏移量，默认为0
<tr>
<td> vpcId <td> 否 <td> Int <td> VPC网络ID，可选值为 -1、0以及正常的vpcId，其中-1表示所有网络，0表示基础网络
<tr>
<td> subnetId <td> 否 <td> Int <td> VPC网络子网ID，默认值为-1，-1表示忽略此参数
</tbody></table>

 

## 3. 输出参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code <td> Int <td> 错误码, 0: 成功, 其他值: 失败
<tr>
<tr>
<td> totalCount <td> Int <td> 符合除limit和offset参数以外的条件的总实例数，可以结合limit和offset用于翻页查询
<tr>
<td> message <td> String <td> 错误信息
<tr>
<td> data <td> Array <td> 返回数组
<tr>
<td> data.cmemId <td> Int <td> MemcachedID
<tr>
<td> data.cmemName <td> String <td> 实例名称
<tr>
<td> data.expire <td> Int <td> 是否开启expire过期, 0未开启;1已开启
<tr>
<td> data.status <td> Int <td> status等于1时可以进行改名、清空、开启expire等操作
<tr>
<td> data.autoRenew <td> Int <td>自动续费标识 0未开启;1已开启
<tr>
<td> data.wanIp <td> String <td> 实例Ip
<tr>
<td> data.port <td> Int <td> 实例服务端口
</tbody></table>

 

## 4. 示例
 
输入
<pre>
  https://cmem.api.qcloud.com/v2/index.php?Action=DescribeCmem
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
  &limit=10
  &offset=0

</pre>
输出
```

{
    "code": 0,
    "message": "",
    "totalCount": 1,
    "data": [
        {
            "cmemId": 104017148,
            "cmemName": "test",
            "expire": 1,
            "status": 1,
            "autoRenew": 0,
            "wanIp": "10.66.152.150",
            "port": 9101,
            "projectId": 0
        }
    ]
}

```

