## 1. 接口描述
本接口(QueryClientDeals)用于查询指定代理商名下所有订单，包括代理商自付、代付订单以及代理商名下代客自付订单。
接口请求域名：<font style="color:red">partners.api.qcloud.com</font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为QueryClientDeals。

| 参数名称                | 是否必选 | 类型     | 描述                                       |
| ------------------- | ---- | ------ | ---------------------------------------- |
| creatTimeRangeStart | 否    | String | 下单时间范围起始，格式为2016-11-11 00:00:00          |
| creatTimeRangeEnd   | 否    | String | 下单时间范围结束，格式为2016-11-11 00:00:00          |
| page                | 否    | Int    | 分页号，从0开始                                 |
| rows                | 否    | Int    | 页码大小，最大值为30                              |
| order               | 否    | Int    | 按下单时间对订单列表排序，0：降序；1：升序                   |
| status              | 否    | Int    | 订单的状态<br>1：未支付<br>2：已支付<br>3：发货中<br>4：已发货<br>5：发货失败<br>6：已退款<br>7：已关单<br>8：订单过期<br>9：订单已失效<br>10：产品已失效<br>11：代付拒绝<br>12：支付中 |
| ownerUin            | 否    | Int    | 下单人uin                                   |
| payerMode           | 否    | Int    | 支付方式，0:自付;1:代付                           |



## 3. 输出参数
| 参数名称     | 类型     | 描述                                       |
| -------- | ------ | ---------------------------------------- |
| code     | Int    | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。 |
| codeDesc | String | 业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。       |
| message  | String | 模块错误信息描述，与接口相关。                          |
| data     | Array  | 输出结果，包含查询到的所有定时任务列表信息。                   |

其中，data参数的构成如下：

| 参数名称     | 类型    | 描述        |
| -------- | ----- | --------- |
| totalNum | Int   | 查询到的订单总数量 |
| deals    | Array | 指定分页的订单集合 |

其中，deals中每个订单根据订单对应商品类型，包含的信息会有不同，每个订单的基本信息如下：

| 参数名称            | 类型     | 描述           |
| --------------- | ------ | ------------ |
| dealId          | Int    | 订单自增ID       |
| dealName        | String | 订单号          |
| goodsCategoryId | Int    | 商品类型ID       |
| goodsDetail     | String | 商品详情，json字符串 |
| ownerUin        | Int    | 订单所有者        |
| appId           | Int    | 订单所有者对应appId |
| goodsNum        | String | 商品数量         |
| goodsPrice      | String | 价格详情，json字符串 |
| creater         | String | 下单人          |
| creatTime       | String | 下单时间         |
| billId          | String | 扣费流水号        |
| payer           | String | 支付人          |
| payerMode       | int    | 0:自付;1:代付    |
| status          | Int    | 订单状态         |
| goodsName       | String | 产品名称         |
| clientRemark    | String | 客户备注         |
## 4. 示例

```
https://partners.api.qcloud.com/v2/index.php?
&<公共请求参数>
&page=0&rows=1
```
返回示例如下，符合条件订单有69个，但是分页指定仅返回一个：
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "totalNum": "69",
        "deals": [
            {
                "dealId": "1574344",
                "dealName": "20160526120978",
                "bigDealId": "20160526120979",
                "goodsCategoryId": "100019",
                "goodsDetail": {
                    "timeUnit": "m",
                    "type": "VSELF",
                    "cpu": 1,
                    "mem": 1,
                    "bandwidth": 1,
                    "isWinOs": 0,
                    "payment": {
                        "goodsNum": 1,
                        "timeUnit": "m",
                        "cvmPayMode": 1,
                        "timeSpan": 1,
                        "networkPayMode": 1
                    },
                    "location": {
                        "regionId": 1,
                        "zoneId": 100002,
                        "projectId": 0
                    },
                    "compute": {
                        "cpu": 1,
                        "mem": 1
                    },
                    "diskInfo": {
                        "root": {
                            "target": "xvda",
                            "type": 2,
                            "size": 20
                        },
                        "data": [
                            {
                                "target": "xvde",
                                "type": 2,
                                "size": 0
                            }
                        ]
                    },
                    "network": {
                        "vpcId": 0,
                        "isVpcGateway": 0,
                        "bandwidth": 1,
                        "wanIp": 1,
                        "isBandwidthPackage": 0,
                        "subnetId": 0,
                        "sgId": "sg-kjdh0l0v"
                    },
                    "image": {
                        "os": "ubuntu14.04x86_64",
                        "osName": "Ubuntu Server 14.04.1 LTS 64位",
                        "customId": 1,
                        "isCustom": 0,
                        "agentList": {
                            "security": 1,
                            "monitor": 1
                        }
                    },
                    "alias": "未命名",
                    "account": {
                        "passwd": "zaq1@WSX"
                    },
                    "rootCbs": 20,
                    "cbsSize": 0,
                    "timeSpan": 1,
                    "trafficBandwidthUnLimitFlag": 0,
                    "productInfo": [
                        {
                            "name": "地域",
                            "value": "华南地区（广州）"
                        },
                        {
                            "name": "可用区",
                            "value": "广州二区"
                        },
                        {
                            "name": "机型",
                            "value": "标准型、1核CPU、1G内存"
                        },
                        {
                            "name": "镜像",
                            "value": "Ubuntu Server 14.04.1 LTS 64位"
                        },
                        {
                            "name": "存储",
                            "value": "系统盘（20G 云硬盘）、无数据盘"
                        },
                        {
                            "name": "网络",
                            "value": "基础网络"
                        },
                        {
                            "name": "带宽",
                            "value": "按带宽计费(带宽1Mbps)"
                        },
                        {
                            "name": "名称",
                            "value": "未命名"
                        }
                    ]
                },
                "ownerUin": "3455636980",
                "platform": "1",
                "regionId": "1",
                "appId": "1252225953",
                "goodsNum": "1",
                "goodsPrice": {
                    "price": 6500,
                    "totalCost": 6500,
                    "realTotalCost": 6500,
                    "timeSpan": 1,
                    "timeUnit": "m",
                    "goodsNum": 1,
                    "priceModel": 4,
                    "policy": 100,
                    "unitPrice": 6500
                },
                "creater": "3455636980",
                "creatTime": "2016-05-26 20:13:01",
                "overdueTime": "2016-06-10 20:13:01",
                "payer": "3455636980",
                "billId": null,
                "endTime": null,
                "cartRecId": "0",
                "payStartTime": "0000-00-00 00:00:00",
                "payEndTime": "0000-00-00 00:00:00",
                "taskStartTime": null,
                "taskEndTime": null,
                "taskDetail": null,
                "status": "8",
                "reserved": "0",
                "retry": "0",
                "reportFlag": "0",
                "payMode": "1",
                "voucherDecline": null,
                "voucherId": null,
                "projectId": "0",
                "payerMode": "0",
                "agentPayer": null,
                "dealType": "0",
                "activityId": "",
                "phone": "",
                "ticket": "",
                "goodsExpiredTime": null,
                "updateTime": "2016-06-10 20:34:07",
                "zoneId": "100002",
                "providerOwnerUin": ""
            }
        ]
    }
}
```

