### 1 接口描述

调用本接口 (close) 可以为玩家手机关闭 4G 加速服务。

接口请求域名：`https://qos.api.cloud.tencent.com/qos`

* 请求方式：GET。

### 2 输入参数

| 参数名称| 类型| 是否必选| 描述|
|---------|---------|---------|---------|
| Action | String | 是 | 固定值为 "close" |
| ReqType | int | 是 | 0：客户端发起，1：服务器发起。 |
| GameId | String | 是 | 游戏 ID，可登陆到腾讯云控制台查看，在创建服务时生成的。 |
| SecretId | String | 是 | 秘钥 ID，可登陆到腾讯云控制台查看，在创建服务时生成的。 |
| VersionId | String | 否 | 游戏版本号，可用于定位具体某一个用户网络状况，非必填项。 |
| PrivateIP | String | 是 | 用户手机内网 IP |
| PublicIP | String | 否/是 | 用户手机外网 IP（若 ReqType=1，必填）|
| PhoneNO | String | 是 | 加密后的用户手机号码，是手机用户在运营商系统的唯一标识值，参见 [获取手机用户唯一标识值](/document/product/594/10036) 页面。 
| DstIP | String | 是 | 目标 IP（最多 4 个，逗号分开），如游戏服务器IP："1.1.1.1,2.2.2.2" | 
| DeviceCode | String | 否 | 用户手机设备码，可用于定位具体某一个用户网络状况，非必填项。|
| Timestamp | int | 是 | 时间戳，系统 timestamp 值 |
| Nonce | int | 是 | 随机生成的整数，如 12345 |
| Signature | String | 是 | 签名信息，参见 [签名和鉴权文档](/document/product/594/10034) 页面。|

> **注意:**
> 有一些电信的用户无法获得 PhoneNO 参数，则传一个空字符 "" 代替。

### 3 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| errno | int | 处理结果标识码，0 表求请求成功，其他表示失败|
| errmsg | String | 处理结果描述，"success" 为成功，其他为失败原因 |

### 4 示例

输入
<pre>
https://qos.api.qcloud.com/qos?Action=close
&ReqType=1
&GameId=8282828
&SecretId=AKIDz8krbsJ5yKBZQpn74WFkmLPx3gnPhESA
&VersionId=1.2
&PrivateIP=23.4.5.5
&PublicIP=124.4.5.6
&PhoneNO=aSesdHJJsdx
&DstIP=1.1.1.1,2.2.2.2
&DeviceCode=xxx-yyy
&Timestamp=1496203804
&Nonce=345666
&Signature=ORFGm9wSTiI++b/NAIG63NRuEhA0x1AjXvrg72yls5Y=
</pre>

输出
<pre>
{
"errno"：0,           
"errmsg"："success" 
}
</pre>
