### 1. 接口描述
本接口 (ListProducts) 用于列出产品列表。

接口请求域名：`iothub.api.qcloud.com`

### 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](https://cloud.tencent.com/document/api/213/6976) 页面。

| 参数名称 | 必选 | 类型 | 描述 |
|---------|---------|---------|---------|
| pageSize | 是 | Int | 分页大小，当前页面中显示的最大数量。值范围 10-250。|
| pageNum | 是 | Int | 分页的页数，当前页面会返回第pageNum页的结果。|

### 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0 表示成功，其他值表示失败。详见[公共错误码](https://cloud.tencent.com/document/product/634/12279)页面。|
| message | String | 模块错误信息描述，格式为 "(模块错误码)模块错误信息" 详见本页面的[模块错误信息](#module_error_info)。|
| codeDesc | String | 模块错误码的英文描述。|
| totalCnt | Int | 产品总数。 |
| products | Array | 产品对象的数组。|

产品对象的结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| productMetadata | Object | 包含产品的其他信息，包括产品创建日期时间。|
| productProperties | Object | 包含有关产品的信息，包括产品描述。|
| productName | String | 产品名称。|

productProperties 部分的结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| productDescription | String | 产品描述。|

productMetadata 部分的结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| creationDate | DateTime | 产品创建的UNIX时间戳。|

### 4. 示例
 
输入
<pre>
  GET https://iothub.api.qcloud.com.com/v2/index.php?Action=ListProducts
  &<<a href="https://cloud.tencent.com/document/api/213/6976">公共请求参数</a>>
</pre>

输出
```
{
    "totalCnt": 2, 
    "products": [
        {
            "productMetadata": {
                "creationDate": 1509453755000
            }, 
            "productProperties": { }, 
            "productName": "Test_1"
        }, 
        {
            "productMetadata": {
                "creationDate": 1508913066000
            }, 
            "productProperties": {
                "productDescription": "1yy"
            }, 
            "productName": "Test_2"
        }, 
    ],
    "message": "",
    "codeDesc": "Success",
    "code": 0
}
```

<span id = "module_error_info"></span>
### 5. 模块错误信息

|模块错误码|描述|
|---------|----|
|6|后台内部错误，请重试。|
|1004|获取产品列表的分页参数非法。|