## 1 云服务器
腾讯云云服务器（Cloud Virtual Machine，以下又称CVM）是指运行在腾讯云数据中心里的服务器。 具体介绍请参考<a href="/document/product/213" title="云服务器简介">云服务器简介</a>页面。
查询云服务器监控数据，入参取值如下：
namespace：qce/cvm
dimensions.0.name=unInstanceId
dimensions.0.value为云服务器ID，调用[DescribeInstances](http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E7%9C%8B%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8)接口获取的unInstanceId字段。


**metricName可选取值范围**
### 1.1 不需要安装监控agent，就能获取数据的监控指标

<table class="t">
<tbody><tr>
<th> <b>指标名称</b>
</th><th> <b>含义</b>
</th><th> <b>单位</b>
</th><th> <b>维度</b>
</th></tr>
<tr>
<td> lan_outtraffic
</td><td> 内网出带宽
</td><td> Mbps
</td><td>unInstanceId云服务器ID
</td></tr>
<tr>
<td> lan_intraffic
</td><td> 内网入带宽
</td><td> Mbps
</td><td>unInstanceId云服务器ID
</td></tr>
<tr>
<td> lan_outpkg
</td><td> 内网出包量
</td><td> 个/秒
</td><td> unInstanceId云服务器ID
</td></tr>
<tr>
<td> lan_inpkg
</td><td> 内网入包量
</td><td> 个/秒
</td><td> unInstanceId云服务器ID
</td></tr>
<tr>
<td> wan_outtraffic
</td><td> 外网出带宽
</td><td> Mbps
</td><td>unInstanceId云服务器ID
</td></tr>
<tr>
<td> wan_intraffic
</td><td> 外网入带宽
</td><td> Mbps
</td><td> unInstanceId云服务器ID
</td></tr>
<tr>
<td> acc_outtraffic
</td><td> 外网出流量
</td><td> MB
</td><td>unInstanceId云服务器ID
</td></tr>
<tr>
<td> wan_outpkg
</td><td> 外网出包量
</td><td> 个/秒
</td><td> unInstanceId云服务器ID
</td></tr>
<tr>
<td> wan_inpkg
</td><td> 外网入包量
</td><td> 个/秒
</td><td> unInstanceId云服务器ID
</td></tr>
</td></tr></tbody></table>

### 1.2 安装监控agent才能获取数据的监控指标

<table class="t">
<tbody><tr>
<th> <b>指标名称</b>
</th><th> <b>含义</b>
</th><th> <b>单位</b>
</th><th> <b>维度</b>
</th></tr>
<tr>
<td> cpu_usage
</td><td> CPU使用率
</td><td>%
</td><td> unInstanceId云服务器ID
</td></tr>
<tr>
<td> cpu_loadavg
</td><td>CPU平均负载，分析/proc/loadavg中的数据，取1分钟内cpu平均负载最大值得到
(windows机器没有此指标)
</td><td>
</td><td> unInstanceId云服务器ID
</td></tr>
<tr>
<td> mem_used
</td><td> 内存使用量
</td><td> MByte
</td><td>unInstanceId云服务器ID
</td></tr>
<tr>
<td> mem_usage
</td><td> 内存利用率
</td><td>% 
</td><td> unInstanceId云服务器ID
</td></tr>
<tr>
<td> disk_read_traffic
</td><td> 磁盘读流量
</td><td> KB/s
</td><td> unInstanceId云服务器ID
</td></tr>
<tr>
<td> disk_write_traffic
</td><td> 磁盘写流量
</td><td> KB/s
</td><td> unInstanceId云服务器ID
</td></tr>
<tr>
<td> disk_io_await
</td><td> 磁盘IO等待
</td><td> ms
</td><td> unInstanceId云服务器ID
</td></tr></tbody></table>

### 1.3 读取云服务器监控指标示例

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/cvm
&metricName=cpu_usage
&dimensions.0.name=unInstanceId
&dimensions.0.value=ins-e24d4dzf
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "cpu_usage",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		5.6,
		7.7
	]
}
```



## 2 专线接入
专线接入提供了一种快速连接腾讯云与本地数据中心的方法，您可以通过一条物理专线一次性打通位于多地域的腾讯云计算资源，实现灵活可靠的混合云部署。具体介绍请参考<a href="/doc/product/216/产品概述" title="产品概述">专线接入简介</a>页面。
查询专线接入产品监控数据，入参取值如下：

### 2.1  物理专线
物理专线指的是连接腾讯云与本地数据中心的物理线路连接。
namespace: qce/dc_line
dimensions.0.name=directconnectid
dimensions.0.value为专线ID

**metricName可选取值范围**

<table class="t"><tbody><tr>
<th><b>指标名称</b></th>
<th><b>含义</b></th>
<th><b>单位</b></th>
<th><b>维度</b></th>
<tr>
<td> intraffic
<td> 入流量
<td> kb
<td> directconnectid 专线ID
<tr>
<td> outtraffic
<td> 出流量
<td> kb
<td> directconnectid 专线ID
</tbody></table>

**读取物理专线监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/dc_line
&metricName=inpkg
&dimensions.0.name=directconnectid
&dimensions.0.value=dc-e6p0gw5f
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "inpkg",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		15.6,
		20.3
	]
}
```

### 2.2 专线通道
专线通道是物理专线的网络链路划分。
namespace: qce/dc_channel
dimensions.0.name=directconnectconnid
dimensions.0.value为专线通道ID

**metricName可选取值范围**

<table class="t"><tbody><tr>
<th><b>指标名称</b></th>
<th><b>含义</b></th>
<th><b>单位</b></th>
<th><b>维度</b></th>
<tr>
<td> delay
<td> 延时
<td> ms
<td>  directconnectconnid 专线通道ID
<tr>
<td> inpkg
<td> 入包量
<td> 个/s
<td>  directconnectconnid 专线通道ID
<tr>
<td> intraffic
<td> 入流量
<td> kb
<td>directconnectconnid 专线通道ID
<tr>
<td> outpkg
<td> 出包量
<td> 个/s
<td> directconnectconnid 专线通道ID
<tr>
<td> outtraffic
<td> 出流量
<td> kb
<td> directconnectconnid 专线通道ID
<tr>
<td> pkgdrop
<td> 丢包
<td> %
<td> directconnectconnid 专线通道ID
</tbody></table>

**读取专线通道监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/dc_channel
&metricName=delay
&dimensions.0.name=directconnectconnid 
&dimensions.0.value=dc-081qsbc7
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "delay",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		5.6,
		7.7
	]
}
```

## 3 负载均衡

负载均衡（Cloud Load Balancer）是对多台云服务器进行流量分发的服务。具体介绍请参考<a href="/doc/product/214/概述" title="概述">负载均衡简介</a>页面。
当前负载均衡可展示的指标（metricName）列表如下：

| 指标名称       | 含义    | 单位   |
| ---------- | ----- | ---- |
| connum     | 当前连接数 | 个    |
| new_conn   | 新增连接数 | 个    |
| intraffic  | 入流量   | Mbps |
| outtraffic | 出流量   | Mbps |
| inpkg      | 入包量   | 个/s  |
| outpkg     | 出包量   | 个/s  |

当前负载均衡支持三种命名空间qce/lb_public、qce/lb_private和qce/lb_rs_private，其中qce/lb_public是公网负载均衡命名空间，包括负载均衡维度和后端机器维度；qce/lb_private和qce/lb_rs_private都是内网负载均衡命名空间，区别在于qce/lb_private对应的是负载均衡维度的监控数据，而qce/lb_rs_private对应的是后端机器维度的监控数据。各自的监控维度说明如下：

### 3.1 公网负载均衡命名空间qce/lb_public
qce/lb_public是公网负载均衡对应的命名空间，您可以在此空间查询到公网负载均衡的所有监控数据。
qce/lb_public支持以下4种维度组合：

1）、公网负载均衡维度

此维度体现的是一个公网负载均衡器的整体监控指标，需要传入的维度（dimensions.n.name）如下：

| 维度   | 维度解释    | 格式                     |
| ---- | ------- | ---------------------- |
| vip  | 负载均衡VIP | ip地址类型，如111.111.111.11 |

此维度调用方式示例：
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=GetMonitorData
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/lb_public
&metricName=connum
&dimensions.0.name=vip
&dimensions.0.value=111.111.111.11
</pre>

2）、公网负载均衡端口维度

此维度体现的是一个公网负载均衡器端口的监控指标，需要传入的维度（dimensions.n.name）如下：

| 维度               | 维度解释    | 格式                     |
| ---------------- | ------- | ---------------------- |
| vip              | 负载均衡VIP | ip地址类型，如111.111.111.11 |
| loadBalancerPort | 端口      | int类型，如80              |
| protocol         | 协议      | string类型，如http         |

此维度调用方式示例：
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=GetMonitorData
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/lb_public
&metricName=connum
&dimensions.0.name=vip
&dimensions.0.value=111.111.111.11
&dimensions.1.name=loadBalancerPort
&dimensions.1.value=80
&dimensions.2.name=protocol
&dimensions.2.value=http
</pre>

3）、公网负载均衡后端服务器维度

此维度体现的是一个公网负载均衡所绑定的后端服务器的监控指标，需要传入的维度（dimensions.n.name）如下：

| 维度               | 维度解释          | 格式                     |
| ---------------- | ------------- | ---------------------- |
| vip              | 负载均衡VIP       | ip地址类型，如111.111.111.11 |
| loadBalancerPort | 负载均衡端口        | int类型，如80              |
| protocol         | 协议            | string类型，如http         |
| vpcId            | 负载均衡所在私有网络的Id | int类型，如1111            |
| lanIp            | 负载均衡绑定机器的Ip   | ip地址类型，如111.111.111.11 |

此维度调用方式示例：
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=GetMonitorData
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/lb_public
&metricName=connum
&dimensions.0.name=vip
&dimensions.0.value=111.111.111.11
&dimensions.1.name=loadBalancerPort
&dimensions.1.value=80
&dimensions.2.name=protocol
&dimensions.2.value=http
&dimensions.3.name=vpcId
&dimensions.3.value=1111
&dimensions.4.name=lanIp
&dimensions.4.value=111.222.111.22
</pre>

4）、公网负载均衡后端服务器端口维度
此维度体现的是一个公网负载均衡所绑定的后端服务器某个端口的监控指标，需要传入的维度（dimensions.n.name）如下：

| 维度               | 维度解释          | 格式                     |
| ---------------- | ------------- | ---------------------- |
| vip              | 负载均衡VIP       | ip地址类型，如111.111.111.11 |
| loadBalancerPort | 负载均衡端口        | int类型，如80              |
| protocol         | 协议            | string类型，如http         |
| vpcId            | 负载均衡所在私有网络的Id | int类型，如1111            |
| lanIp            | 负载均衡绑定机器的Ip   | ip地址类型，如111.111.111.11 |
| port             | 负载均衡绑定机器的端口号  | int类型，如80              |

此维度调用方式示例：
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=GetMonitorData
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/lb_public
&metricName=connum
&dimensions.0.name=vip
&dimensions.0.value=111.111.111.11
&dimensions.1.name=loadBalancerPort
&dimensions.1.value=80
&dimensions.2.name=protocol
&dimensions.2.value=http
&dimensions.3.name=vpcId
&dimensions.3.value=1111
&dimensions.4.name=lanIp
&dimensions.4.value=111.222.111.22
&dimensions.5.name=port
&dimensions.5.value=80
</pre>

### 3.2 内网负载均衡负载均衡维度命名空间qce/lb_private
qce/lb_private是内网负载均衡负载均衡维度的命名空间，您可以在此空间查询到内网负载均衡维度相关监控数据。
qce/lb_private支持以下2种维度组合：

1）、内网负载均衡维度

此维度体现的是一个内网负载均衡器的整体监控指标，需要传入的维度（dimensions.n.name）如下，由于内网vip有可能重复，所以还需要传入vpcId才能唯一指定一个lb：

| 维度    | 维度解释          | 格式                     |
| ----- | ------------- | ---------------------- |
| vip   | 负载均衡VIP       | ip地址类型，如111.111.111.11 |
| vpcId | 负载均衡所在私有网络的Id | int类型，如1111            |

此维度调用方式示例：
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=GetMonitorData
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/lb_private
&metricName=connum
&dimensions.0.name=vip
&dimensions.0.value=111.111.111.11
&dimensions.1.name=vpcId
&dimensions.1.value=1111
</pre>

2）、内网负载均衡端口维度

此维度体现的是一个内网负载均衡器端口的监控指标，需要传入的维度（dimensions.n.name）如下：

| 维度               | 维度解释          | 格式                     |
| ---------------- | ------------- | ---------------------- |
| vip              | 负载均衡VIP       | ip地址类型，如111.111.111.11 |
| vpcId            | 负载均衡所在私有网络的Id | int类型，如1111            |
| loadBalancerPort | 负载均衡端口        | int类型，如80              |
| protocol         | 协议            | string类型，如http         |

此维度调用方式示例：
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=GetMonitorData
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/lb_private
&metricName=connum
&dimensions.0.name=vip
&dimensions.0.value=111.111.111.11
&dimensions.1.name=vpcId
&dimensions.1.value=1111
&dimensions.2.name=loadBalancerPort
&dimensions.2.value=80
&dimensions.3.name=protocol
&dimensions.3.value=http
</pre>

### 3.3 内网负载均衡后端服务器维度命名空间qce/lb_rs_private
qce/lb_private是内网负载均衡负载均衡维度的命名空间，您可以在此空间查询到内网负载均衡维度相关监控数据。
qce/lb_private支持以下2种维度组合：

1）、内网负载均衡后端机器维度

此维度体现的是一个内网负载均衡绑定的后端机器的监控指标，需要传入的维度（dimensions.n.name）如下，由于内网vip有可能重复，所以还需要传入vpcId才能唯一指定一个lb：

| 维度               | 维度解释          | 格式                     |
| ---------------- | ------------- | ---------------------- |
| vip              | 负载均衡VIP       | ip地址类型，如111.111.111.11 |
| vpcId            | 负载均衡所在私有网络的Id | int类型，如1111            |
| loadBalancerPort | 负载均衡端口        | int类型，如80              |
| protocol         | 协议            | string类型，如http         |
| lanIp            | 负载均衡绑定机器ip    | ip地址类型，如111.111.111.11 |

此维度调用方式示例：
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=GetMonitorData
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/lb_rs_private
&metricName=connum
&dimensions.0.name=vip
&dimensions.0.value=111.111.111.11
&dimensions.1.name=vpcId
&dimensions.1.value=1111
&dimensions.2.name=loadBalancerPort
&dimensions.2.value=80
&dimensions.3.name=protocol
&dimensions.3.value=http
&dimensions.4.name=lanIp
&dimensions.4.value=111.222.111.22
</pre>

2）、内网负载均衡后端机器端口维度

此维度体现的是内网负载均衡绑定的后端机器的某个端口监控指标，需要传入的维度（dimensions.n.name）如下：

| 维度               | 维度解释          | 格式                     |
| ---------------- | ------------- | ---------------------- |
| vip              | 负载均衡VIP       | ip地址类型，如111.111.111.11 |
| vpcId            | 负载均衡所在私有网络的Id | int类型，如1111            |
| loadBalancerPort | 负载均衡端口        | int类型，如80              |
| protocol         | 协议            | string类型，如http         |
| lanIp            | 负载均衡绑定机器ip    | ip地址类型，如111.111.111.11 |
| port             | 负载均衡绑定机器port  | int类型，如80              |

此维度调用方式示例：
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=GetMonitorData
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/lb_rs_private
&metricName=connum
&dimensions.0.name=vip
&dimensions.0.value=111.111.111.11
&dimensions.1.name=vpcId
&dimensions.1.value=1111
&dimensions.2.name=loadBalancerPort
&dimensions.2.value=80
&dimensions.3.name=protocol
&dimensions.3.value=http
&dimensions.4.name=lanIp
&dimensions.4.value=111.222.111.22
&dimensions.5.name=port
&dimensions.5.value=80
</pre>


## 4 内容分发网络
内容分发网络CDN（Content Delivery Network），在现有的Internet中增加一层新的网络架构，将网站的内容发布到最接近用户的“网络”。具体介绍请参考<a href="/doc/product/228/产品概述" title="产品概述">内容分发网络简介</a>页面。
查询内容分发网络产品监控数据，入参取值如下：
namespace: qce/cdn
维度名称取值：projectid、domain
dimensions.0.name=projectid&dimensions.1.name=domain
dimensions.0.value和dimensions.1.value为项目id和域名

**metricName可选取值范围**

| 指标名称      | 含义   | 单位   | 维度               |
| --------- | ---- | ---- | ---------------- |
| bandwidth | 带宽   | bps  | projectid、domain |
| requests  | 请求数  | 个    | projectid、domain |

**读取内容分发网络监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/cdn
&metricName=requests
&dimensions.0.name=projectid
&dimensions.0.value=1
&dimensions.0.name=domain
&dimensions.0.value=www.test.com
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "requests",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		5,
		7
	]
}
```

## 5 云数据库MySQL

云数据库MySQL（Cloud Database for MySQL）是腾讯云基于全球最受欢迎的开源数据库MySQL专业打造的高性能分布式数据存储服务。具体介绍请参考<a href="/doc/product/236/简介" title="简介">云数据库MySQL</a>页面。
查询云数据库（MySQL）产品监控数据，入参取值如下：
namespace: qce/cdb
维度名称取值：uInstanceId
dimensions.0.name=uInstanceId
dimensions.0.value为cdb实例id

**metricName可选取值范围**

| 指标名称                  | 含义             | 单位     | 维度          |
| --------------------- | -------------- | ------ | ----------- |
| slow_queries          | 慢查询数           | 次/秒    | uInstanceId |
| max_connections       | 最大连接数          | 个      | uInstanceId |
| select_scan           | 全表扫描数          | 次/秒    | uInstanceId |
| select_count          | 查询数            | 次/秒    | uInstanceId |
| com_update            | 更新数            | 次/秒    | uInstanceId |
| com_delete            | 删除数            | 次/秒    | uInstanceId |
| com_insert            | 插入数            | 次/秒    | uInstanceId |
| com_replace           | 覆盖数            | 次/秒    | uInstanceId |
| queries               | 总请求数           | 次/秒    | uInstanceId |
| threads_connected     | 当前打开连接数        | 个      | uInstanceId |
| real_capacity         | 磁盘使用空间         | MB     | uInstanceId |
| capacity              | 磁盘占用空间         | MB     | uInstanceId |
| bytes_sent            | 内网出流量          | Byte/秒 | uInstanceId |
| bytes_received        | 内网入流量          | Byte/秒 | uInstanceId |
| qcache_use_rate       | 缓存使用率          | %      | uInstanceId |
| qcache_hit_rate       | 缓存命中率          | %      | uInstanceId |
| table_locks_waited    | 等待表锁次数         | 次/秒    | uInstanceId |
| created_tmp_tables    | 临时表数量          | 次/秒    | uInstanceId |
| innodb_cache_use_rate | innodb缓存使用率    | %      | uInstanceId |
| innodb_cache_hit_rate | innodb缓存命中率    | %      | uInstanceId |
| innodb_os_file_reads  | innodb读磁盘数量    | 次/秒    | uInstanceId |
| innodb_os_file_writes | innodb写磁盘数量    | 次/秒    | uInstanceId |
| innodb_os_fsyncs      | innodb fsync数量 | 次/秒    | uInstanceId |
| key_cache_use_rate    | myisam缓存使用率    | %      | uInstanceId |
| key_cache_hit_rate    | myisam缓存命中率    | %      | uInstanceId |
| volume_rate           | 容量使用率          | %      | uInstanceId |
| query_rate            | 查询使用率          | %      | uInstanceId |
| qps                   | 每秒执行操作数        | 次/秒    | uInstanceId |
| tps                   | 每秒执行事务数        | 次/秒    | uInstanceId |
| cpu_use_rate          | CPU占比          | %      | uInstanceId |
| memory_use            | 内存占用           | MB     | uInstanceId |

**读取云数据库MySQL监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/cdb
&metricName=slow_queries
&dimensions.0.name=uInstanceId
&dimensions.0.value=cdb-e242adzf
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "slow_queries",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		55,
		46，
		33
	]
}
```

## 6 云数据库TDSQL

腾讯云云数据库TDSQL定位于OLTP场景下高安全性的企业级云数据库，十余年来一直应用于腾讯计费业务，TDSQL兼容MySQL语法，拥有诸如线程池、审计、异地容灾等高级功能，同时具有云数据库的易扩展性、简单性和性价比。具体介绍请参考<a href="/doc/product/237/产品概述" title="产品概述">云数据库TDSQL简介</a>页面。
查询云数据库TDSQL产品监控数据，入参取值如下：

namespace: qce/tdsql
维度名称取值：uuid 
dimensions.0.name=uuid 
dimensions.0.value为实例的uuid


**metricName可选取值范围**

| 指标名称                  | 含义           | 单位   | 维度   |
| --------------------- | ------------ | ---- | ---- |
| data_disk_available   | 数据磁盘可用大小     | GB   | uuid |
| binlog_disk_available | BINLOG磁盘可用大小 | GB   | uuid |
| select_total          | SELECT请求总数   | 次/秒  | uuid |
| long_query            | SELECT慢查询数   | 次/秒  | uuid |
| update_total          | UPDATE请求总数   | 次/秒  | uuid |
| insert_total          | INSERT请求总数   | 次/秒  | uuid |
| delete_total          | DELETE请求总数   | 次/秒  | uuid |
| mem_available         | 内存可用大小       | GB   | uuid |
| disk_iops             | 磁盘IOPS       | 次/秒  | uuid |
| conn_active           | 活跃连接数        | 次/秒  | uuid |
| conn_running          | 连接数          | 次/秒  | uuid |
| is_mater_switched     | 监控是否主备切换     | 无    | uuid |
| cpu_usage_rate        | CPU使用率       | %    | uuid |

**读取云数据库TDSQL监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/tdsql
&metricName=data_disk_available
&dimensions.0.name=uuid
&dimensions.0.value=tdsql-0gfryg60
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "data_disk_available",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		28.3,
		28.3
	]
}
```

## 7 云数据库SQL Server

云数据库SQL Server是腾讯云基于微软公司推出的SQL Server专业打造的云数据库。具体介绍请参考<a href="/doc/product/238/产品概述" title="产品概述">云数据库SQL Server</a>页面。
查询云数据库SQL Server产品监控数据，入参取值如下：

namespace: qce/sqlserver
维度名称取值：resourceId 
dimensions.0.name=resourceId 
dimensions.0.value为实例的资源 Id

**metricName可选取值范围**

| 指标名称                   | 含义                    | 单位   | 维度         |
| ---------------------- | --------------------- | ---- | ---------- |
| cpu                    | 实例CPU消耗的百分比           | %    | resourceId |
| transactions           | 平均每秒的事务数              | 次/秒  | resourceId |
| connections            | 平均每秒用户连接数据库的个数        | 个    | resourceId |
| requests               | 每秒请求次数                | 次/秒  | resourceId |
| logins                 | 每秒登录次数                | 次/秒  | resourceId |
| logouts                | 每秒登出次数                | 次/秒  | resourceId |
| storage                | 实例数据库文件和日志文件占用的空间总和   | GB   | resourceId |
| in_flow                | 所有连接输入包大小总和           | MB/s | resourceId |
| out_flow               | 所有连接输出包大小总和           | MB/s | resourceId |
| iops                   | 磁盘读写次数                | 次/秒  | resourceId |
| disk_reads             | 每秒读取磁盘次数              | 次/秒  | resourceId |
| disk_writes            | 每秒写入磁盘次数              | 次/秒  | resourceId |
| slow_queries           | 运行时间超过1秒的查询数量         | 个    | resourceId |
| blocks_processes       | 当前阻塞数量                | 个    | resourceId |
| lock_requests          | 平均每秒锁请求的次数            | 次/秒  | resourceId |
| user_errors            | 平均每秒错误数               | 次/秒  | resourceId |
| sql_compilations       | 平均每秒SQL编译次数           | 次/秒  | resourceId |
| sql_recompilations     | 平均每秒SQL重编译次数          | 次/秒  | resourceId |
| full_scans             | 每秒不受限制的完全扫描数          | 次/秒  | resourceId |
| buffer_cache_hit_ratio | 数据缓存（内存）命中率           | %    | resourceId |
| latch_waits            | 每秒闩锁等待数量              | 次/秒  | resourceId |
| lock_waits             | 每个导致等待的锁请求的平均等待时间     | ms   | resourceId |
| network_io_waits       | 平局网络IO延迟时间            | ms   | resourceId |
| plan_cache_hit_ratio   | 每个SQL有一个执行计划，执行计划的命中率 | %    | resourceId |

**读取云数据库SQL Server监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/sqlserver
&metricName=cpu
&dimensions.0.name=resourceId
&dimensions.0.value=mssql-dh01nvsb
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "cpu",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		50,
		44
	]
}
```

## 8 云存储Redis

云存储Redis（Cloud Redis Store，以下简称CRS）是腾讯云基于分布式缓存领域多年技术沉淀和Redis类业务运营的需求，打造的一款高可用、高可靠的Redis服务平台。具体介绍请参考<a href="/doc/product/239/产品介绍" title="产品介绍">云存储Redis简介</a>页面。
查询云存储Redis产品监控数据，入参取值如下：

namespace: qce/redis
维度名称取值：redis_uuid
dimensions.0.name=redis_uuid
dimensions.0.value为实例的uuid

**metricName可选取值范围**

| 指标名称             | 含义          | 单位   | 维度         |
| ---------------- | ----------- | ---- | ---------- |
| cache_hit_ratio  | cache命中率    | %    | redis_uuid |
| cmdstat_get      | get命令数      | 次/分钟 | redis_uuid |
| cmdstat_getbit   | getbit命令数   | 次/分钟 | redis_uuid |
| cmdstat_getrange | getrange命令数 | 次/分钟 | redis_uuid |
| cmdstat_hget     | hget命令数     | 次/分钟 | redis_uuid |
| cmdstat_hgetall  | hgetall命令数  | 次/分钟 | redis_uuid |
| cmdstat_hmget    | hmget命令数    | 次/分钟 | redis_uuid |
| cmdstat_hmset    | hmset命令数    | 次/分钟 | redis_uuid |
| cmdstat_hset     | hset命令数     | 次/分钟 | redis_uuid |
| cmdstat_hsetnx   | hsetnx命令数   | 次/分钟 | redis_uuid |
| cmdstat_lset     | lset命令数     | 次/分钟 | redis_uuid |
| cmdstat_mget     | mget命令数     | 次/分钟 | redis_uuid |
| cmdstat_mset     | mset命令数     | 次/分钟 | redis_uuid |
| cmdstat_msetnx   | msetnx命令数   | 次/分钟 | redis_uuid |
| cmdstat_set      | set命令数      | 次/分钟 | redis_uuid |
| cmdstat_setbit   | setbit命令数   | 次/分钟 | redis_uuid |
| cmdstat_setex    | setex命令数    | 次/分钟 | redis_uuid |
| cmdstat_setnx    | setnx命令数    | 次/分钟 | redis_uuid |
| cmdstat_setrange | setrange命令数 | 次/分钟 | redis_uuid |
| connections      | 外部链接数       | 个    | redis_uuid |
| cpu_us           | 处理请求数       | 微秒   | redis_uuid |
| in_flow          | 外部请求包长度     | Mb   | redis_uuid |
| keys             | 主key量       | 个    | redis_uuid |
| out_flow         | 外部返回包长度     | Mb   | redis_uuid |
| stat_get         | 所有get命令数    | 次/分钟 | redis_uuid |
| stat_set         | 所有set命令数    | 次/分钟 | redis_uuid |
| storage          | 占用空间        | Mb   | redis_uuid |
| storage_us       | 占用空间占比      | %    | redis_uuid |

**读取云存储Redis监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/redis
&metricName=cache_hit_ratio
&dimensions.0.name=redis_uuid
&dimensions.0.value=00953d35-f6b7-4c2d-b86e-613b81f4cfcc
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "cache_hit_ratio",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		50,
		30
	]
}
```


## 9 云数据库MongoDB

查询文档数据库MongoDB产品监控数据，入参取值如下：
namespace: qce/cmongo
维度名称固定取值：target
dimensions.0.name=target
dimensions.0.value=视查询维度而定

下面来说明下dimensions.0.value的取值。
腾讯云提供的MongoDB是集群服务，通过本API可以查询“整个集群”、“某个副本集”、“某个节点”三个维度的监控数据。
其中：
“整个集群”代表了您所购买的某一个MongoDB实例，这个维度可以查询整个实例的读写请求次数、容量使用率、超时请求等。
“某个副本集”维度可查询集群下的某一个副本集内部的容量使用率和主从延迟。副本集实例本身只包含一个副本集，分片实例的每一片都是一个副本。
“某个节点”维度可以查询集群内的任意节点的CPU、内存等信息。

dimensions.0.value 取值参照表

| 取值类型  | 取值示例                                     | 描述                                       |
| ----- | ---------------------------------------- | ---------------------------------------- |
| 实例ID  | cmgo-6ielucen                            | 实例ID一个MongoDB实例的唯一标识；<br/>可以在<a href="https://console.cloud.tencent.com/mongodb">MongoDB控制台</a>查询到；<br/>或者调用MognoDB的API也可以获取 |
| 副本集ID | cmgo-6ielucen_0<br/>cmgo-6ielucen_2      | 在实例ID后面拼接 “_索引号”可以得到副本集ID；<br/>“索引号”从0开始，最大值为副本集个数-1；<br/>副本集实例只有一个副本集，所以固定拼接“_0”即可；<br/>分片实例有多个片，每一片都是副本集，举例：第3个片的副本集ID就是拼接“_2” |
| 节点ID  | cmgo-6ielucen_0-node-primary<br/>cmgo-6ielucen_1-node-slave0<br/>cmgo-6ielucen_3-node-slave2 | 在副本集ID后面拼接“-node-primary”得到该副本集的主节点ID；<br/>拼接“-node-slave从节点索引号”可得到对应的从节点的ID，<br/>“从节点索引号”从0开始，最大值为从节点个数-1 |

metricName可选取值范围

| 指标                | 含义                        | 单位   | 集群/实例 | dimensions.0.value取值 |
| ----------------- | ------------------------- | ---- | ----- | -------------------- |
| inserts           | 单位时间内写入次数                 | 次    | 集群/实例 | 实例ID                 |
| reads             | 单位时间内读取次数                 | 次    | 集群/实例 | 实例ID                 |
| updates           | 单位时间内更新次数                 | 次    | 集群/实例 | 实例ID                 |
| deletes           | 单位时间内删除次数                 | 次    | 集群/实例 | 实例ID                 |
| counts            | 单位时间内ount次数               | 次    | 集群/实例 | 实例ID                 |
| aggregates        | 单位时间内aggregates次数         | 次    | 集群/实例 | 实例ID                 |
| cluster_diskusage | 集群容量使用率                   | %    | 集群/实例 | 实例ID                 |
| success           | 单位时间内成功请求次数               | 次    | 集群/实例 | 实例ID                 |
| delay_10          | 单位时间内成功请求延迟在10ms-50ms次数   | 次    | 集群/实例 | 实例ID                 |
| delay_50          | 单位时间内成功请求延迟在50ms-100ms次数 | 次    | 集群/实例 | 实例ID                 |
| delay_100         | 单位时间内成功请求延迟在100ms以上次数     | 次    | 集群/实例 | 实例ID                 |
| timeouts          | 单位时间内成功请求延迟在10ms-53ms次数   | 次    | 集群/实例 | 实例ID                 |
| replica_diskusage | 副本集容量使用率                  | %    | 副本集   | 副本集ID                |
| slavedelay        | 主从单位时间内平均延迟               | 秒    | 副本集   | 副本集ID                |
| cpuusage          | CPU使用率                    | %    | 节点    | 节点ID                 |
| memusage          | 内存使用率                     | %    | 节点    | 节点ID                 |
| qr                | Read请求等待队列中的个数            | 个    | 节点    | 节点ID                 |
| qw                | Write请求等待队列中的个数           | 个    | 节点    | 节点ID                 |
| conn              | 连接数                       | 个    | 节点    | 节点ID                 |
| netin             | 网络入流量                     | MB/s | 节点    | 节点ID                 |
| netout            | 网络出流量                     | MB/s | 节点    | 节点ID                 |

读取文档数据库MongoDB监控指标示例

查询某个集群/实例大于100ms的请求数 输入：

```
https://monitor.api.qcloud.com/v2/index.php?
&<公共请求参数>
&namespace=qce/cmongo
&metricName=delay_100
&dimensions.0.name=target
&dimensions.0.value=cmgo-6ielucen
&startTime=2017-01-09 20:22:00
&endTime=2017-01-09 20:38:00
```

查询某个集群/实例大于100ms的请求数 输出：

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "metricName": "delay_100",
    "startTime": "2017-01-09 20:20:00",
    "endTime": "2017-01-09 20:35:00",
    "period": 300,
    "dataPoints": [
        257,
        1399,
        2272
    ]
}
```

查询某个副本集的主从延时 输入：

```
https://monitor.api.qcloud.com/v2/index.php?
&<公共请求参数>
&namespace=qce/cmongo
&metricName=slavedelay
&dimensions.0.name=target
&dimensions.0.value=cmgo-6ielucen_0
&startTime=2017-01-09 20:22:00
&endTime=2017-01-09 20:38:00
```

查询某个副本集的主从延时 输出：

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "metricName": "slavedelay",
    "startTime": "2017-01-09 20:20:00",
    "endTime": "2017-01-09 20:35:00",
    "period": 300,
    "dataPoints": [
        0,
        1,
        0
    ]
}
```

查询某个节点的连接数 输入：

```
https://monitor.api.qcloud.com/v2/index.php?
&<公共请求参数>
&namespace=qce/cmongo
&metricName=slavedelay
&dimensions.0.name=target
&dimensions.0.value=cmgo-6ielucen_0
&startTime=2017-01-09 20:22:00
&endTime=2017-01-09 20:38:00
```

查询某个节点的连接数 输出：

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "metricName": "conn",
    "startTime": "2017-01-09 20:20:00",
    "endTime": "2017-01-09 20:35:00",
    "period": 300,
    "dataPoints": [
        75,
        77,
        79,
        79
    ]
}
```

## 10 黑石负载均衡

黑石提供了负载均衡能力。
查询黑石负载均衡产品监控数据的参数
namespace: qce/bm_lb
维度中英文对照表:

| 英文       | 中文含义    |
| -------- | ------- |
| protocol | 协议      |
| vip      | 负载均衡VIP |
| vport    | 负载均衡端口  |
| rsip     | 后端服务器IP |
| rsport   | 后端服务器端口 |
| vpcid    | 私有网络ID  |

dimensions.0.name=protocol
dimensions.0.value为协议值，tcp或者udp
dimensions.1.name=vip
dimensions.1.value为负载均衡的vip
dimensions.2.name=vport
dimensions.2.value为负载均衡的端口
dimensions.3.name=rsip
dimensions.3.value为后端服务器的ip
dimensions.4.name=rsport
dimensions.4.value为后端服务器的端口
dimensions.5.name=vpcid
dimensions.5.value私有网络ID

**metricName可选取值范围**

| 指标名称       | 含义    | 单位   | 维度                                   |
| ---------- | ----- | ---- | ------------------------------------ |
| inpkg      | 入包量   | 个/秒  | protocol,vip,vport,rsip,rsport,vpcid |
| outpkg     | 出包量   | 个/秒  | protocol,vip,vport,rsip,rsport,vpcid |
| intraffic  | 入带宽   | Mbps  | protocol,vip,vport,rsip,rsport,vpcid |
| outtraffic | 出带宽   | Mbps  | protocol,vip,vport,rsip,rsport,vpcid |
| connum     | 当前连接数 | 个    | protocol,vip,vport,rsip,rsport,vpcid |

**读取黑石负载均衡监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/bm_lb
&metricName=inpkg
&dimensions.0.name=protocol
&dimensions.0.value=tcp
&dimensions.1.name=vip
&dimensions.1.value=1.2.3.4
&dimensions.2.name=vport
&dimensions.2.value=80
&dimensions.3.name=rsip
&dimensions.3.value=11.22.33.44
&dimensions.4.name=rsport
&dimensions.4.value=8080
&dimensions.5.name=vpcid
&dimensions.5.value=1
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "inpkg",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		30,
		40
	]
}
```

## 11 消息队列CMQ

腾讯云消息服务（Cloud Message Queue）是分布式消息队列服务，能够为分布式部署的不同应用之间或者一个应用的不同组件之间，提供基于消息的可靠的异步通信机制，消息被存储在高可靠、高可用的CMQ队列中，多进程可以同时读写，互不干扰。
CMQ 分为两种模型：queue和topic，分别监控如下

### 11.1 消息队列CMQ Queue 监控数据查询

查询消息服务CMQ产品监控数据，入参取值如下：

namespace: qce/cmq

维度名称取值：queueId,queueName

dimensions.0.name=queueId
dimensions.0.value为CMQ 队列实例id

dimensions.1.name=queueName
dimensions.1.value为CMQ 队列实例名称

**metricName可选取值范围**

| 指标名称                 | 含义         | 单位   | 维度                |
| -------------------- | ---------- | ---- | ----------------- |
| invisibleMsgNum      | 队列不可见消息数量  | 条    | queueId,queueName |
| visibleMsgNum        | 队列可见消息数量   | 条    | queueId,queueName |
| sendMsgReqCount      | 发送消息请求量    | 次    | queueId,queueName |
| sendMsgNum           | 发送的消息数量    | 条    | queueId,queueName |
| recvMsgReqCount      | 接收消息请求量    | 次    | queueId,queueName |
| recvMsgNum           | 接收的消息数量    | 条    | queueId,queueName |
| recvNullMsgNum       | 接收空消息的数量   | 条    | queueId,queueName |
| batchRecvNullMsgNum  | 批量接收空消息的数量 | 条    | queueId,queueName |
| delMsgReqCount       | 删除消息的请求量   | 次    | queueId,queueName |
| delMsgNum            | 删除消息的数量    | 条    | queueId,queueName |
| sendMsgSize          | 发送的消息大小    | MB   | queueId,queueName |
| batchSendMsgSize     | 批量发送的消息大小  | MB   | queueId,queueName |
| batchSendMsgReqCount | 批量发送消息的请求量 | 次    | queueId,queueName |
| batchRecvMsgReqCount | 批量接收消息的请求量 | 次    | queueId,queueName |
| batchDelMsgReqCount  | 批量删除消息的请求量 | 次    | queueId,queueName |

**读取消息队列CMQ监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/cmq
&metricName=invisibleMsgNum
&dimensions.0.name=queueId
&dimensions.0.value=queue-06c1jrku
&dimensions.1.name=queueName
&dimensions.1.value=qta-cbeba170-a6d9-11e6-8372-9000e086cbc0
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "invisibleMsgNum",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		50,
		20
	]
}
```

### 11.2 消息队列CMQ Topic 监控数据查询

查询消息服务CMQ Topic产品监控数据，入参取值如下：

namespace: qce/cmqtopic
维度名称取值：topicId,subscriptionId

dimensions.0.name=topicId
dimensions.0.value为CMQ 主题实例id

dimensions.1.name=subscriptionId
dimensions.1.value为CMQ 订阅实例id

**metricName可选取值范围**

| 指标名称                     | 含义          | 单位   | 维度                     |
| ------------------------ | ----------- | ---- | ---------------------- |
| NumOfMsgPublished        | 已发布消息的数量    | 条    | topicId                |
| NumOfMsgBatchPublished   | 批量已发布消息的数量  | 条    | topicId                |
| CountOfMsgPublished      | 已发布消息的请求量   | 次    | topicId                |
| CountOfMsgBatchPublished | 批量已发布消息的请求量 | 次    | topicId                |
| PublishSize              | 已发布消息的大小    | MB   | topicId                |
| BatchPublishSize         | 批量已发布消息的大小  | MB   | topicId                |
| NumOfNotify              | 总投递消息的数量    | 条    | topicId,subscriptionId |
| NumOfSuccNotify          | 成功投递消息的数量   | 条    | topicId,subscriptionId |

**读取消息队列CMQ监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/cmqtopic
&metricName=NumOfMsgPublished
&dimensions.0.name=topicId
&dimensions.0.value=topic-06c1jrku
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "NumOfMsgPublished",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		50,
		20
	]
}
```

## 12 私有网络
腾讯云私有网络（Virtual Private Cloud，VPC）是一块您在腾讯云上自定义的逻辑隔离网络空间，与您在数据中心运行的传统网络相似，托管在腾讯云私有网络内的是您在腾讯云上的服务资源，包括云服务器、负载均衡、云数据库等云服务资源。您可以完全掌握您的私有网络环境，包括自定义网段划分、IP地址和路由策略等，并通过网络ACL和安全组等实现多层安全防护。同时，您也可以通过IPsec VPN/专线连通私有网络与您的数据中心，灵活部署混合云。具体介绍请参考<a href="https://cloud.tencent.com/document/product/215/535" title="产品概述">私有网络产品概述</a>页面。
查询私有网络产品监控数据，入参取值如下：

### 12.1  对等连接
VPC 对等连接是一种连接两个私有网络的服务，可以使私有网络 IP 在对等 VPC 之间路由流量，就像它们属于同一网络一样。

查询对等连接产品监控数据，入参取值如下：

维度名称取值：vpcId,peeringConnectionId

namespace: qce/vpc_region_conn

dimensions.0.name=peeringConnectionId
dimensions.0.value为对等连接ID

dimensions.1.name=vpcId
dimensions.1.value为本端vpcId

**metricName可选取值范围**

| 指标名称       | 含义   | 单位   | 维度                        |
| ---------- | ---- | ---- | ------------------------- |
| inpkg      | 入包量  | 个/秒  | vpcId,peeringConnectionId |
| intraffic  | 入带宽  | Mbps | vpcId,peeringConnectionId |
| outpkg     | 出包量  | 个/秒  | vpcId,peeringConnectionId |
| outtraffic | 出带宽  | Mbps | vpcId,peeringConnectionId |
| pkgdrop    | 丢包率  | %    | vpcId,peeringConnectionId |

**读取对等连接监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/vpc_region_conn
&metricName=inpkg
&dimensions.0.name=peeringConnectionId
&dimensions.0.value=pcx-086ypwc8
&dimensions.1.name=vpcId
&dimensions.1.value=vpc-086ypwc8
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "inpkg",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		30,
		40
	]
}
```

### 12.2  基础网络跨地域互联
VPC 基础网络跨地域互联就是不同地域的基础网络云主机互通，就像它们属于同一网络一样。

查询基础网络跨地域互联产品监控数据，入参取值如下：

维度名称取值：peeringConnectionId

namespace: qce/pcx

dimensions.0.name=peeringConnectionId
dimensions.0.value为基础网络跨地域互联ID

**metricName可选取值范围**

| 指标名称         | 含义   | 单位   | 维度                  |
| ------------ | ---- | ---- | ------------------- |
| inpkg        | 入包量  | 个/秒  | peeringConnectionId |
| inbandwidth  | 入带宽  | Mbps | peeringConnectionId |
| outpkg       | 出包量  | 个/秒  | peeringConnectionId |
| outbandwidth | 出带宽  | Mbps | peeringConnectionId |
| pkgdrop      | 丢包率  | %    | peeringConnectionId |

**读取对等连接监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/pcx
&metricName=inpkg
&dimensions.0.name=peeringConnectionId
&dimensions.0.value=pcx-086ypwc8
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "inpkg",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		30,
		40
	]
}
```

### 12.3  VPN网关
VPN 连接是一种通过公网加密通道连接您的对端 IDC 和私有网络的方式。

查询VPN网关产品监控数据，入参取值如下：

维度名称取值：vpnGwId

namespace: qce/vpngw

dimensions.0.name=vpnGwId
dimensions.0.value为VPN网关ID

**metricName可选取值范围**

| 指标名称         | 含义    | 单位   | 维度      |
| ------------ | ----- | ---- | ------- |
| outbandwidth | 外网出带宽 | Mbps | vpnGwId |
| inbandwidth  | 外网入带宽 | Mbps | vpnGwId |
| outpkg       | 出包量   | 个/秒  | vpnGwId |
| inpkg        | 入包量   | 个/秒  | vpnGwId |

**读取VPN网关监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/vpngw
&metricName=inpkg
&dimensions.0.name=vpnGwId
&dimensions.0.value=vpngw-q7v069tf
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "inpkg",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 60,
	"dataPoints": [
		30,
		40
	]
}
```

### 12.4  VPN通道
VPN网关和对端网关建立后，即可建立VPN通道，用于私有网络和外部 IDC 之间的加密通信。

查询VPN通道产品监控数据，入参取值如下：

维度名称取值：vpnConnId

namespace: qce/vpnx

dimensions.0.name=vpnConnId
dimensions.0.value为VPN通道ID

**metricName可选取值范围**

| 指标名称         | 含义    | 单位   | 维度        |
| ------------ | ----- | ---- | --------- |
| outbandwidth | 外网出带宽 | Mbps | vpnConnId |
| inbandwidth  | 外网入带宽 | Mbps | vpnConnId |
| outpkg       | 出包量   | 个/秒  | vpnConnId |
| inpkg        | 入包量   | 个/秒  | vpnConnId |
| pkgdrop      | 丢包率   | 百分比  | vpnConnId |
| delay        | 时延    | 秒    | vpnConnId |

**读取VPN通道监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/vpnx
&metricName=inpkg
&dimensions.0.name=vpnConnId
&dimensions.0.value=vpnx-q7v069tf
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "inpkg",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 60,
	"dataPoints": [
		30,
		40
	]
}
```

### 12.5  专线网关
私有网络的专线流量入口，可以通过接入多个专线通道与多个不同的 IDC 互联。

查询专线网关产品监控数据，入参取值如下：

维度名称取值：directConnectGatewayId

namespace: qce/dcg

dimensions.0.name=directConnectGatewayId
dimensions.0.value为专线网关ID

**metricName可选取值范围**

| 指标名称         | 含义    | 单位   | 维度                     |
| ------------ | ----- | ---- | ---------------------- |
| outbandwidth | 外网出带宽 | Mbps | directConnectGatewayId |
| inbandwidth  | 外网入带宽 | Mbps | directConnectGatewayId |
| outpkg       | 出包量   | 个/秒  | directConnectGatewayId |
| inpkg        | 入包量   | 个/秒  | directConnectGatewayId |

**读取专线网关监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/dcg
&metricName=inpkg
&dimensions.0.name=directConnectGatewayId
&dimensions.0.value=dcg-4d545d
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "inpkg",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 60,
	"dataPoints": [
		30,
		40
	]
}
```

### 12.6  NAT网关
NAT网关是一种将私有网络中内网 IP 地址和公网 IP 地址进行转换的网关，是私有网络内无公网 IP 的云资源访问 Internet 的一种方式。

查询NAT网关产品监控数据，入参取值如下：

维度名称取值：vpcId,natId

namespace: qce/nat_gateway

dimensions.0.name=natId
dimensions.0.value为NAT网关ID
dimensions.1.name=vpcId
dimensions.1.value为私有网络ID


**metricName可选取值范围**

| 指标名称         | 含义    | 单位   | 维度          |
| ------------ | ----- | ---- | ----------- |
| outbandwidth | 外网出带宽 | Mbps | vpcId,natId |
| inbandwidth  | 外网入带宽 | Mbps | vpcId,natId |
| outpkg       | 出包量   | 个/秒  | vpcId,natId |
| inpkg        | 入包量   | 个/秒  | vpcId,natId |
| conns        | 连接数   | 个/秒  | vpcId,natId |

**读取NAT网关监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/nat_gateway
&metricName=inpkg
&dimensions.0.name=natId
&dimensions.0.value=nat-4d545d
&dimensions.1.name=vpcId
&dimensions.1.value=vpc-4d545d
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "inpkg",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 60,
	"dataPoints": [
		30,
		40
	]
}
```


## 13 容器服务
腾讯云容器服务为用户解决容器集群的搭建以及运维管理工作，无缝衔接了腾讯云的计算、网络、存储、监控、安全能力，帮助用户升级开发模式、变更应用交付、重构数据管理方式。助力企业快速上云、提速应用部署、简化集群管理，将精力花在刀刃上。具体介绍请参考<a href="https://cloud.tencent.com/document/product/457/6759">容器服务产品概述</a>页面。


### 13.1 集群维度监控指标
查询集群维度监控数据，入参取值如下：

维度名称取值：docker_clusterid

namespace: qce/cvm

dimensions.0.name=docker_clusterid
dimensions.0.value为集群ID，请填写[查询集群列表](https://cloud.tencent.com/document/api/457/9448)接口中返回的clusterId(集群的Id)字段


**metricName可选取值范围**

| 监控项      | 指标名称         | 单位   | 说明             |
| -------- | ------------ | ---- | -------------- |
| 集群CPU利用率 | dc_cpu_usage | %    | 集群内节点的平均CPU利用率 |
| 集群内存利用率  | dc_mem_usage | %    | 集群内节点的平均内存利用率  |

**查询集群维度监控数据示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/cvm
&metricName=dc_cpu_usage
&dimensions.0.name=docker_clusterid
&dimensions.0.value=cls-xxxxx
&startTime=2017-03-28 14:10:00
&endTime=2016-03-28 15:10:00
&period=60
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "dc_cpu_usage",
	"startTime": "2017-03-28 14:10:00",
	"endTime": "2016-03-28 15:10:00",
	"period": 60,
	"dataPoints": [
		30,
		40,
        ....
	]
}
```



### 13.2 服务维度监控指标
查询服务维度监控数据，入参取值如下：

维度名称取值：clusterId，serviceName，namespace

namespace: qce/docker

dimensions.0.name=clusterId
dimensions.0.value为集群ID，请填写[查询集群列表](https://cloud.tencent.com/document/api/457/9448)接口中返回的clusterId(集群的Id)字段

dimensions.1.name=serviceName
dimensions.1.value为服务名称，请填写[查询服务列表](https://cloud.tencent.com/document/api/457/9440)接口中返回的serviceName(服务名)字段

dimensions.2.name=namespace
dimensions.2.value为命名空间名称，请填写[查询服务列表](https://cloud.tencent.com/document/api/457/9440)接口中返回的namespace(命名空间)字段


**metricName可选取值范围**

| 监控项           | 指标名称                          | 单位   | 说明                 |
| ------------- | ----------------------------- | ---- | ------------------ |
| 服务CPU使用情况     | service_cpu_used              | 核    | 服务内所有容器实例CPU使用之和   |
| 服务CPU使用率(占集群) | service_cpu_usage_for_cluster | %    | 服务使用CPU占集群比率       |
| 服务内存使用情况      | service_mem_used              | MiB  | 服务内所有容器实例内存使用之和    |
| 服务内存使用率(占集群)  | service_mem_usage_for_cluster | %    | 服务使用内存占集群比率        |
| 服务网络入流量       | service_in_flux               | MB   | 服务内所有实例在该时间窗口入流量之和 |
| 服务网络出流量       | service_out_flux              | MB   | 服务内所有实例在该时间窗口出流量之和 |
| 服务网络入带宽       | service_in_bandwidth          | Mbps | 服务内所有实例的入带宽之和      |
| 服务网络出带宽       | service_out_bandwidth         | Mbps | 服务内所有实例的出带宽之和      |
| 服务网络入包量       | service_in_packets            | 个/s  | 服务内所有实例的入包量之和      |
| 服务网络出包量       | service_out_packets           | 个/s  | 服务内所有实例的出包量之和      |

**查询服务维度监控数据示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/docker
&metricName=service_cpu_used
&dimensions.0.name=clusterId
&dimensions.0.value=cls-xxxxx
&dimensions.1.name=serviceName
&dimensions.1.value=test
&dimensions.2.name=namespace
&dimensions.2.value=default
&startTime=2017-03-28 14:10:00
&endTime=2016-03-28 15:10:00
&period=60
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "service_cpu_used",
	"startTime": "2017-03-28 14:10:00",
	"endTime": "2016-03-28 15:10:00",
	"period": 60,
	"dataPoints": [
		30,
		40,
        ....
	]
}
```


### 13.3 实例维度监控指标
查询实例维度监控数据，入参取值如下：

维度名称取值：clusterId，serviceName，namespace，podName

namespace: qce/docker

dimensions.0.name=clusterId
dimensions.0.value为集群ID，请填写[查询集群列表](https://cloud.tencent.com/document/api/457/9448)接口中返回的clusterId(集群的Id)字段

dimensions.1.name=serviceName
dimensions.1.value为服务名称，请填写[查询服务列表](https://cloud.tencent.com/document/api/457/9440)接口中返回的serviceName(服务名)字段

dimensions.2.name=namespace
dimensions.2.value为命名空间名称，请填写[查询服务列表](https://cloud.tencent.com/document/api/457/9440)接口中返回的namespace(命名空间)字段

dimensions.3.name=podName
dimensions.3.value为实例名称，请填写[查询服务实例列表](https://cloud.tencent.com/document/api/457/9433)接口中返回的name(实例名称)字段



**metricName可选取值范围**

| 监控项     | 指标名称              | 单位   | 说明                        |
| ------- | ----------------- | ---- | ------------------------- |
| 实例网络入带宽 | pod_in_bandwidth  | Mbps | 同一实例内容器共享网络，实例(pod)的网络入带宽 |
| 实例网络出带宽 | pod_out_bandwidth | Mbps | 同一实例内容器共享网络，实例(pod)的网络出带宽 |
| 实例网络入流量 | pod_in_flux       | MB   | 同一实例内容器共享网络，实例(pod)的网络入流量 |
| 实例网络出流量 | pod_out_flux      | MB   | 同一实例内容器共享网络，实例(pod)的网络出流量 |
| 实例网络入包量 | pod_in_packets    | 个/s  | 同一实例内容器共享网络，实例(pod)的网络入包量 |
| 实例网络出包量 | pod_out_packets   | 个/s  | 同一实例内容器共享网络，实例(pod)的网络出包量 |

**查询实例维度监控数据示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/docker
&metricName=pod_in_bandwidth
&dimensions.0.name=clusterId
&dimensions.0.value=cls-xxxxx
&dimensions.1.name=serviceName
&dimensions.1.value=test
&dimensions.2.name=namespace
&dimensions.2.value=default
&dimensions.3.name=podName
&dimensions.3.value=test-3488000495-nj6s9
&startTime=2017-03-28 14:10:00
&endTime=2016-03-28 15:10:00
&period=60
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "pod_in_bandwidth",
	"startTime": "2017-03-28 14:10:00",
	"endTime": "2016-03-28 15:10:00",
	"period": 60,
	"dataPoints": [
		30,
		40,
        ....
	]
}
```


### 13.4 容器维度监控指标
查询容器维度监控数据，入参取值如下：

维度名称取值：clusterId，serviceName，namespace，podName，containerId

namespace: qce/docker

dimensions.0.name=clusterId
dimensions.0.value为集群ID，请填写[查询集群列表](https://cloud.tencent.com/document/api/457/9448)接口中返回的clusterId(集群的Id)字段

dimensions.1.name=serviceName
dimensions.1.value为服务名称，请填写[查询服务列表](https://cloud.tencent.com/document/api/457/9440)接口中返回的serviceName(服务名)字段

dimensions.2.name=namespace
dimensions.2.value为命名空间名称，请填写[查询服务列表](https://cloud.tencent.com/document/api/457/9440)接口中返回的namespace(命名空间)字段

dimensions.3.name=podName
dimensions.3.value为实例名称，请填写[查询服务实例列表](https://cloud.tencent.com/document/api/457/9433)接口中返回的name(实例名称)字段


dimensions.4.name=containerId
dimensions.4.value为容器ID，请填写[查询服务实例列表](https://cloud.tencent.com/document/api/457/9433)接口中返回的containerId(容器id)字段。<font style="color:red"><strong>注意：容器Id只用取开头12位即可</strong></font>


**metricName可选取值范围**

| 监控项                | 指标名称                            | 单位    | 说明              |
| ------------------ | ------------------------------- | ----- | --------------- |
| 容器CPU使用情况          | container_cpu_used              | 核     | 容器CPU使用量        |
| 容器CPU使用率(占主机)      | container_cpu_usage_for_node    | %     | 容器CPU使用占主机      |
| 容器CPU使用率(占Request) | container_cpu_usage_for_request | %     | 容器CPU使用占Request |
| 容器CPU使用率(占Limit)   | container_cpu_usage_for_limit   | %     | 容器CPU使用占Limit   |
| 容器内存使用情况           | container_mem_used              | MiB   | 容器内存使用量         |
| 容器内存使用率(占主机)       | container_mem_usage_for_node    | %     | 容器内存使用占主机       |
| 容器内存使用率(占Request)  | container_mem_usage_for_request | %     | 容器内存使用占Request  |
| 容器内存使用率(占Limit)    | container_mem_usage_for_limit   | %     | 容器内存使用占Limit    |
| 容器磁盘读流量            | container_disk_read_traffic     | KB/s  | 容器对磁盘读流量        |
| 容器磁盘写流量            | container_disk_write_traffic    | KB/s  | 容器对磁盘写流量        |
| 容器磁盘读IOPS          | container_disk_read             | count | 容器对磁盘读IOPS      |
| 容器磁盘写IOPS          | container_disk_write            | count | 容器对磁盘写IOPS      |

**查询容器维度监控数据示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/docker
&metricName=container_cpu_used
&dimensions.0.name=clusterId
&dimensions.0.value=cls-xxxxx
&dimensions.1.name=serviceName
&dimensions.1.value=test
&dimensions.2.name=namespace
&dimensions.2.value=default
&dimensions.3.name=podName
&dimensions.3.value=test-3488000495-nj6s9
&dimensions.4.name=containerId
&dimensions.4.value=01c5509d2b39
&startTime=2017-03-28 14:10:00
&endTime=2016-03-28 15:10:00
&period=60
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "container_cpu_used",
	"startTime": "2017-03-28 14:10:00",
	"endTime": "2016-03-28 15:10:00",
	"period": 60,
	"dataPoints": [
		30,
		40,
        ....
	]
}
```

## 14 黑石物理服务器

查询黑石物理服务器监控数据的参数
namespace: qce/cpm
维度中英文对照表:

| 英文       | 中文含义    |
| -------- | ------- |
| instanceId | 黑石物理服务器实例ID，通过查询黑石物理服务器接口[DescribeDevice](/document/product/386/6728)获得|

dimensions.0.name=instanceId
dimensions.0.value为黑石物理机的实例ID

**metricName可选取值范围**
> 当前黑石物理服务器监控维度的取值周期为300秒(period参数)，暂不支持更细粒度的数据获取

| 指标名称 | 含义 | 单位 | 纬度 | 
|----|----|----|----|
| cpu_usage | CPU使用率 | % | instanceId | 
| cpu_load_avg | CPU平均负载 | 标量，无单位 | instanceId | 
| mem_use | MEM内存使用量 | MByte | instanceId | 
| mem_proc_use | 应用内存使用量 | MByte | instanceId | 
| mem_virtual_use | 虚拟内存使用量 | MByte | instanceId | 
| mem_usage | 内存使用率 | MByte | instanceId | 
| io_read_traffic | 磁盘IO读流量 | KByte/s | instanceId | 
| io_write_traffic | 磁盘IO写流量 | KByte/s | instanceId | 
| io_await | 磁盘IO等待时间 | ms | instanceId | 
| io_util | 磁盘IO的CPU使用率 | % | instanceId | 
| io_service_time | 磁盘IO的服务时间 | ms | instanceId | 
| lan_outtraffic | 内网网卡出带宽(多个网卡，取最大值) | Mbps | instanceId | 
| lan_intraffic | 内网网卡入带宽(多个网卡，取最大值) | Mbps | instanceId | 
| lan_outpkg | 内网网卡出包量(多个网卡，取最大值) | 个/秒 | instanceId | 
| lan_inpkg | 内网网卡入包量(多个网卡，取最大值) | 个/秒 | instanceId | 
| wan_outtraffic | 外网出带宽 | Mbps | instanceId | 
| wan_intraffic | 外网入带宽 | Mbps | instanceId | 
| wan_outpkg | 外网出包量 | 个/秒 | instanceId | 
| wan_inpkg | 外网入包量 | 个/秒 | instanceId | 
| wan_outflux | 外网出流量 | GByte | instanceId | 


**读取黑石物理服务器监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/cpm
&metricName=cpu_usage
&dimensions.0.name=instanceId
&dimensions.0.value=cpm-xxxx
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
&period=300
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "cpu_usage",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		30,
		40
	]
}
```

## 15 黑石弹性公网IP(EIP)

查询黑石弹性公网IP(EIP)监控数据的参数
namespace: qce/bm_lb
维度中英文对照表:

| 英文       | 中文含义    |
| -------- | ------- |
| vip | 弹性公网IP地址，可以通过查询EIP列表接口[DescribeEipBm](/document/product/386/6671)查看自己账户已申请的EIP列表 |


dimensions.0.name=vip
dimensions.0.value为要查询的EIP的地址信息

**metricName可选取值范围**
> 当前黑石弹性公网IP监控维度的取值周期为300秒(period参数)，暂不支持更细粒度的数据获取

| 指标名称 | 含义 | 单位 | 纬度 | 
|----|----|----|----|
| eip_outtraffic | 外网出带宽 | Mbps | vip | 
| eip_intraffic | 外网入带宽 | Mbps | vip | 
| eip_outpkg | 外网出包量 | 个/秒 | vip | 
| eip_inpkg | 外网入包量 | 个/秒 | vip | 


**读取黑石弹性公网IP(EIP)监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/bm_lb
&metricName=eip_outpkg
&dimensions.0.name=vip
&dimensions.0.value=115.115.115.115
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
&period=300
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "eip_outpkg",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		30,
		40,
		...
	]
}
```

## 16 黑石外网负载均衡监听器

查询黑石外网负载均衡监听器的参数
namespace: qce/bm_lb
维度中英文对照表:

| 英文       | 中文含义    |
| -------- | ------- |
| protocol | 协议      |
| vip      | 负载均衡VIP |
| vport    | 负载均衡端口  |

dimensions.0.name=protocol
dimensions.0.value为协议值，tcp或者udp
dimensions.1.name=vip
dimensions.1.value为负载均衡的vip
dimensions.2.name=vport
dimensions.2.value为负载均衡的端口

**metricName可选取值范围**

| 指标名称       | 含义    | 单位   | 维度                                   |
| ---------- | ----- | ---- | ------------------------------------ |
| listener_inpkg      | 入包量   | 个/秒  | protocol,vip,vport |
| listener_outpkg     | 出包量   | 个/秒  | protocol,vip,vport |
| listener_intraffic  | 入带宽   | Mbps  | protocol,vip,vport |
| listener_outtraffic | 出带宽   | Mbps  | protocol,vip,vport |

**读取黑石负载均衡监听器监控指标示例**

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=qce/bm_lb
&metricName=listener_inpkg
&dimensions.0.name=protocol
&dimensions.0.value=tcp
&dimensions.1.name=vip
&dimensions.1.value=1.2.3.4
&dimensions.2.name=vport
&dimensions.2.value=80
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "listener_inpkg",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		30,
		40
	]
}
```