## 1. 接口描述

本接口 (DescribeRegions) 用于查询地域信息。

接口请求域名：<font style="color:red">cvm.api.qcloud.com</font>

* 地域的定义详见[产品文档中的地域一节](https://cloud.tencent.com/doc/product/213/497#2.-.E5.8F.AF.E7.94.A8.E5.8C.BA)。

## 2. 输入参数

本接口无接口请求参数，只需传入公共请求参数即可，见[公共请求参数](/document/api/213/6976)页面。
<font style="color:red">注意：此接口可以不用传入公共请求参数中的Region参数。</font>


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| RequestId| String| 请求ID。|
| TotalCount| Integer| 地域数量。|
| RegionSet| array of [Region]() objects| 地域列表。|


## 4. 错误码

<font style="color:red">待添加......</font>


## 5. 示例

输入

<pre>
https://cvm.api.qcloud.com/v2/index.php?Action=DescribeRegions
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>

输出

<pre>
{
    "Response": {
        "TotalCount": 9,
        "RegionSet": [
            {
                "Region": "CA_TORONTO",
                "RegionName": "北美",
                "RegionState": "AVAILABLE"
            },
            {
                "Region": "CN_BEIJING",
                "RegionName": "北京",
                "RegionState": "AVAILABLE"
            },
            {
                "Region": "CN_GUANGZHOU",
                "RegionName": "广州",
                "RegionState": "AVAILABLE"
            },
            {
                "Region": "CN_GUANGZHOU_OPEN",
                "RegionName": "广州Open",
                "RegionState": "AVAILABLE"
            },
            {
                "Region": "CN_HONGKONG",
                "RegionName": "香港",
                "RegionState": "AVAILABLE"
            },
            {
                "Region": "CN_SHANGHAI",
                "RegionName": "上海",
                "RegionState": "AVAILABLE"
            },
            {
                "Region": "CN_SHANGHAI_FINANCE",
                "RegionName": "上海金融",
                "RegionState": "AVAILABLE"
            },
            {
                "Region": "CN_SHENZHEN_FINANCE",
                "RegionName": "深圳金融",
                "RegionState": "AVAILABLE"
            },
            {
                "Region": "SG_SINGAPORE",
                "RegionName": "新加坡",
                "RegionState": "AVAILABLE"
            }
        ],
        "RequestId": "F036E410-FBEA-7D3C-1F47-58EC454D77FB"
    }
}
</pre>