## 1. 接口描述

域名：monitor.api.qcloud.com
接口名: DescribeBaseMetrics

查询基础监控指标的种类。查询到对应的名字空间下面的监控指标类型。

 

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](https://cloud.tencent.com/doc/api/405/%E5%85%AC%E5%85%B1%E8%AF%B7%E6%B1%82%E5%8F%82%E6%95%B0)页面。
其中此接口的Action字段为DescribeBaseMetrics。

| 参数名称       | 必选   | 类型     | 描述                                       |
| ---------- | ---- | ------ | ---------------------------------------- |
| namespace  | 是    | String | 命名空间：一个命名空间表示某一大类资源，指定命名空间，即可获取该指定大类资源下的所有监控指标类型。目前该接口支持的namespace与[读取监控数据(新)](https://cloud.tencent.com/document/api/248/4667)中提供的namespace一致，即所有可通过GetMonitorData接口拉取到监控数据的命名空间 |
| metricName | 否    | String | 监控指标的名称，例如“cpu_usage"，"mem_usage”最小为1个字符，最大为64个字符, 如不传则返回 namespace下的所有指标列表 |

 

## 3. 输出参数

| 参数名称      | 类型     | 描述                         |
| --------- | ------ | -------------------------- |
| code      | Int    | 错误码, 0: 成功, 其他值表示失败，详见错误码表 |
| message   | String | 错误信息                       |
| metricSet | Array  | 指标集合                       |



metricSet的内容：

| 参数名称        | 类型     | 描述                    |
| ----------- | ------ | --------------------- |
| namespace   | String | 指标所在的名字空间, 如 qce/cvm  |
| metricName  | String | 指标名称                  |
| metricCname | String | 指标中文名称                |
| dimensions  | String | 维度名称                  |
| period      | Array  | 支持的统计粒度，单个统计周期的时长，单位秒 |
| unit        | String | 指标单位(null 表示无单位)      |
| unitCname   | String | 指标单位中文名称(null 表示无单位)  |



## 4. 错误码表

| 错误代码 | 错误描述    | 英文描述                                 |
| ---- | ------- | ------------------------------------ |
| -502 | 资源不存在   | OperationDenied.SourceNotExists      |
| -503 | 请求参数有误  | InvalidParameter                     |
| -505 | 参数缺失    | InvalidParameter.MissingParameter    |
| -507 | 超出限制    | OperationDenied.ExceedLimit          |
| -509 | 错误的维度组合 | InvalidParameter.DimensionGroupError |
| -513 | DB操作失败  | InternalError.DBoperationFail        |



## 5. 示例

输入

```
https://monitor.api.qcloud.com/v2/index.php?
&<公共请求参数>
&namespace=qce/cvm`
```

输出

```
{
    "code" : 0,
    "message" : "ok",
    "metricSet" : [
        {
            "namespace" : "qce/cvm",
            "metricName" : "outtraffic",
            "metricCname" : "外网出流量",
            "dimensions" : "instanceId", // 维度
            "unit" : "Bps", // 单位
            "unitCname" : "字节每秒",
            "period" : [300]
        },
        {
            "namespace" : "qce/cvm",
            "metricName" : "inpkg",
            "metricCname" : "外网入包量",
            "dimensions" : "instanceId", // 维度
            "unit" : "count/s", // 单位
            "unitCname" : "个/秒",
            "period" : [300]
        }
    ]
}
```

