## 1. 接口描述

域名：monitor.api.qcloud.com
接口：GetMonitorData

物理专线指的是连接腾讯云与本地数据中心的物理线路连接。

查询物理专线监控数据，入参取值如下：
namespace: qce/dc
dimensions.0.name=directconnectid
dimensions.0.value为专线ID

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/405/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为GetMonitorData。

### 2.1输入参数

| 参数名称               | 必选   | 类型       | 输入内容            | 描述                                       |
| ------------------ | ---- | -------- | --------------- | ---------------------------------------- |
| namespace          | 是    | String   | qce/dc          | 命名空间，每个云产品会有一个命名空间，具体名称见输入内容一栏。          |
| metricName         | 是    | String   | 具体的指标名称         | 指标名称，具体名称见2.2                            |
| dimensions.0.name  | 是    | String   | directconnectid | 入参为专线ID                                  |
| dimensions.0.value | 是    | String   | 专线的具体ID         | 调用[DescribeInstances](http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E7%9C%8B%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8)接口获取的unInstanceId字段 |
| period             | 否    | Int      | 60/300          | 监控统计周期，支持60s统计粒度。                        |
| startTime          | 否    | Datetime | 起始时间            | 起始时间，如"2016-01-01 10:25:00"。 默认时间为当天的”00:00:00” |
| endTime            | 否    | Datetime | 结束时间            | 结束时间，默认为当前时间。 endTime不能小于startTime       |
### 2.2 指标名称

| 指标名称（metricName） | 含义   | 单位   | 统计粒度（period） |
| ---------------- | ---- | ---- | ------------ |
| inbandwidth      | 入带宽  | bps  | 60s          |
| outbandwidth     | 出带宽  | bps  | 60s          |


## 3. 输出参数

| 参数名称       | 类型       | 描述                  |
| ---------- | -------- | ------------------- |
| code       | Int      | 错误码, 0: 成功, 其他值表示失败 |
| message    | String   | 返回信息                |
| startTime  | Datetime | 起始时间                |
| endTime    | Datetime | 结束时间                |
| metricName | String   | 指标名称                |
| period     | Int      | 监控统计周期              |
| dataPoints | Array    | 监控数据列表              |


## 4. 错误码表

| 错误代码 | 错误描述    | 英文描述                                 |
| ---- | ------- | ------------------------------------ |
| -502 | 资源不存在   | OperationDenied.SourceNotExists      |
| -503 | 请求参数有误  | InvalidParameter                     |
| -505 | 参数缺失    | InvalidParameter.MissingParameter    |
| -507 | 超出限制    | OperationDenied.ExceedLimit          |
| -509 | 错误的维度组合 | InvalidParameter.DimensionGroupError |
| -513 | DB操作失败  | InternalError.DBoperationFail        |

## 5. 示例

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<a href="/doc/api/405/公共请求参数" title="公共请求参数">公共请求参数</a>
&namespace=qce/dc
&metricName=inbandwidth
&dimensions.0.name=directconnectid
&dimensions.0.value=dc-e6p0gw5f
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "inbandwidth",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		15.6,
		17.9
		20.3
	]
}
```
