## 1. 接口描述

域名：monitor.api.qcloud.com
接口：GetMonitorData

负载均衡（Cloud Load Balancer）是对多台云服务器进行流量分发的服务。具体介绍请参考<a href="/doc/product/214/概述" title="概述">负载均衡简介</a>页面。
当前负载均衡支持三种命名空间qce/lb_public、qce/lb_private和qce/lb_rs_private。

qce/lb_public：公网负载均衡命名空间，包括负载均衡维度和后端机器维度
qce/lb_private：内网负载均衡命名空间，包括负载均衡维度监控数据
qce/lb_rs_private：内网负载均衡命名空间，包括后端服务器维度的监控数据

qce/lb_rs_private是内网负载均衡后端服务器维度的命名空间，您可以在此空间查询到内网负载均衡后端服务器维度相关监控数据。

qce/lb_rs_private支持以下2种维度组合的查询方式，四种入参取值如下：

### 1.1内网负载均衡后端服务器维度，入参取值

由于内网vip有可能重复，所以还需要传入vpcId才能唯一指定一个lb：

namespace: qce/lb_rs_private
dimensions.0.name=vip
dimensions.0.value为IP地址
&dimensions.1.name=vpcId
&dimensions.1.value为负载均衡所在私有网络的Id
&dimensions.2.name=loadBalancerPort
&dimensions.2.value为端口号
&dimensions.3.name=protocol
&dimensions.3.value为协议类型
&dimensions.4.name=lanIp
&dimensions.4.value为负载均衡绑定机器的IP


### 1.2内网负载均衡后端服务器端口维度，入参取值

由于内网vip有可能重复，所以还需要传入vpcId才能唯一指定一个lb：

namespace: qce/lb_rs_private
dimensions.0.name=vip
dimensions.0.value为IP地址
&dimensions.1.name=vpcId
&dimensions.1.value为负载均衡所在私有网络的Id
&dimensions.2.name=loadBalancerPort
&dimensions.2.value为端口号
&dimensions.3.name=protocol
&dimensions.3.value为协议类型
&dimensions.4.name=lanIp
&dimensions.4.value为负载均衡绑定机器的IP
&dimensions.5.name=port
&dimensions.5.value为负载均衡绑定机器的端口号

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/405/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为GetMonitorData。

### 2.1输入参数

#### 2.1.1输入参数总览

| 参数名称               | 必选   | 类型       | 输入内容    | 描述                                       |
| ------------------ | ---- | -------- | ------- | ---------------------------------------- |
| namespace          | 是    | String   | qce/cvm | 命名空间，每个云产品会有一个命名空间，具体名称见输入内容一栏。          |
| metricName         | 是    | String   | 具体的指标名称 | 指标名称，具体名称见2.2                            |
| dimensions.n.name  | 是    | String   | 维度的名称   | 维度的名称，具体维度名称见第2.1.2小节，与dimensions.n.value配合使用。 |
| dimensions.n.value | 是    | String   | 对应的维度的值 | 对应的维度的值，具体维度名称见第2.1.2小节，与dimensions.n.name配合使用。 |
| period             | 否    | Int      | 60/300  | 监控统计周期，绝大部分指标支持60s统计粒度，部分指标仅支持300s统计粒度，统计粒度根据指标的不同而变。输入参数时可参考2.2的指标详情列表。 |
| startTime          | 否    | Datetime | 起始时间    | 起始时间，如"2016-01-01 10:25:00"。 默认时间为当天的”00:00:00” |
| endTime            | 否    | Datetime | 结束时间    | 结束时间，默认为当前时间。 endTime不能小于startTime       |
#### 2.1.2各维度对应参数总览

| 参数名称               | 维度名称             | 维度解释          | 格式                            |
| ------------------ | ---------------- | ------------- | ----------------------------- |
| dimensions.0.name  | vip              | 负载均衡VIP       | String类型维度名称：vip              |
| dimensions.0.value | vip              | 负载均衡VIP       | 具体ip地址，如111.111.111.11        |
| dimensions.1.name  | vpcId            | 负载均衡所在私有网络的Id | String类型维度名称：vpcId            |
| dimensions.1.value | vpcId            | 负载均衡所在私有网络的Id | 具体私有网络ID，如1111                |
| dimensions.2.name  | loadBalancerPort | 负载均衡端口        | String类型维度名称：loadBalancerPort |
| dimensions.2.value | loadBalancerPort | 负载均衡端口        | 具体端口号，如80                     |
| dimensions.3.name  | protocol         | 协议            | String类型维度名称：protocol         |
| dimensions.3.value | protocol         | 协议            | string类型，如http                |
| dimensions.4.name  | lanIp            | 负载均衡绑定机器的Ip   | String类型维度名称：lanIp            |
| dimensions.4.value | lanIp            | 负载均衡绑定机器的Ip   | 具体ip地址，如111.111.111.11        |
| dimensions.5.name  | port             | 负载均衡绑定机器的端口号  | String类型维度名称：port             |
| dimensions.5.value | port             | 负载均衡绑定机器的端口号  | 具体端口号，如80                     |

### 2.2 指标名称

| 指标名称（metricName） | 含义    | 单位   |
| ---------------- | ----- | ---- |
| connum           | 当前连接数 | 个    |
| new_conn         | 新增连接数 | 个    |
| intraffic        | 入流量   | Mbps |
| outtraffic       | 出流量   | Mbps |
| inpkg            | 入包量   | 个/s  |
| outpkg           | 出包量   | 个/s  |


## 3. 输出参数

| 参数名称       | 类型       | 描述                  |
| ---------- | -------- | ------------------- |
| code       | Int      | 错误码, 0: 成功, 其他值表示失败 |
| message    | String   | 返回信息                |
| startTime  | Datetime | 起始时间                |
| endTime    | Datetime | 结束时间                |
| metricName | String   | 指标名称                |
| period     | Int      | 监控统计周期              |
| dataPoints | Array    | 监控数据列表              |


## 4. 错误码表

| 错误代码 | 错误描述    | 英文描述                                 |
| ---- | ------- | ------------------------------------ |
| -502 | 资源不存在   | OperationDenied.SourceNotExists      |
| -503 | 请求参数有误  | InvalidParameter                     |
| -505 | 参数缺失    | InvalidParameter.MissingParameter    |
| -507 | 超出限制    | OperationDenied.ExceedLimit          |
| -509 | 错误的维度组合 | InvalidParameter.DimensionGroupError |
| -513 | DB操作失败  | InternalError.DBoperationFail        |

## 5. 示例

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<a href="/doc/api/405/公共请求参数" title="公共请求参数">公共请求参数</a>
&namespace=qce/lb_public
&metricName=intraffic
&dimensions.0.name=vip
&dimensions.0.value=111.111.111.11
&dimensions.1.name=vpcId
&dimensions.1.value=1111
&dimensions.2.name=loadBalancerPort
&dimensions.2.value=80
&dimensions.3.name=protocol
&dimensions.3.value=http
&dimensions.4.name=lanIp
&dimensions.4.value=111.222.111.22
&dimensions.5.name=port
&dimensions.5.value=80
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
	"code": 0,
	"message": "",
	"metricName": "intraffic",
	"startTime": "2016-06-28 14:10:00",
	"endTime": "2016-06-28 14:20:00",
	"period": 300,
	"dataPoints": [
		5.6,
		6.5
		7.7
	]
}
```