## 1. 接口描述

域名：monitor.api.qcloud.com
接口：GetMonitorData

黑石提供了负载均衡能力。

查询黑石外网负载均衡监听器监控数据，入参取值如下：
namespace：qce/bm_lb
dimensions.0.name=protocol
dimensions.0.value为协议值，tcp或者udp
dimensions.1.name=vip
dimensions.1.value为负载均衡的vip
dimensions.2.name=vport
dimensions.2.value为负载均衡的端口

| 英文       | 中文含义    |
| -------- | ------- |
| protocol | 协议      |
| vip      | 负载均衡VIP |
| vport    | 负载均衡端口  |

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/405/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为GetMonitorData。

### 2.1输入参数

| 参数名称               | 必选   | 类型       | 输入内容    | 描述                                       |
| ------------------ | ---- | -------- | ------- | ---------------------------------------- |
| namespace          | 是    | String   | qce/cvm | 命名空间，每个云产品会有一个命名空间，具体名称见输入内容一栏。          |
| metricName         | 是    | String   | 具体的指标名称 | 指标名称，具体名称见2.2                            |
| dimensions.n.name  | 是    | String   | 维度的名称   | 维度的名称，具体维度名称见第1节，与dimensions.n.value配合使用。 |
| dimensions.n.value | 是    | String   | 对应的维度的值 | 对应的维度的值，具体维度名称见第1节，与dimensions.n.name配合使用。 |
| period             | 否    | Int      | 60/300  | 监控统计周期，绝大部分指标支持60s统计粒度，部分指标仅支持300s统计粒度，统计粒度根据指标的不同而变。输入参数时可参考2.2的指标详情列表。 |
| startTime          | 否    | Datetime | 起始时间    | 起始时间，如"2016-01-01 10:25:00"。 默认时间为当天的”00:00:00” |
| endTime            | 否    | Datetime | 结束时间    | 结束时间，默认为当前时间。 endTime不能小于startTime       |
### 2.2 指标名称

| 指标名称                | 含义   | 单位   | 维度                 |
| ------------------- | ---- | ---- | ------------------ |
| listener_inpkg      | 入包量  | 个/秒  | protocol,vip,vport |
| listener_outpkg     | 出包量  | 个/秒  | protocol,vip,vport |
| listener_intraffic  | 入带宽  | Mbps | protocol,vip,vport |
| listener_outtraffic | 出带宽  | Mbps | protocol,vip,vport |

## 3. 输出参数

| 参数名称       | 类型       | 描述                  |
| ---------- | -------- | ------------------- |
| code       | Int      | 错误码, 0: 成功, 其他值表示失败 |
| message    | String   | 返回信息                |
| startTime  | Datetime | 起始时间                |
| endTime    | Datetime | 结束时间                |
| metricName | String   | 指标名称                |
| period     | Int      | 监控统计周期              |
| dataPoints | Array    | 监控数据列表              |


## 4. 错误码表

| 错误代码 | 错误描述    | 英文描述                                 |
| ---- | ------- | ------------------------------------ |
| -502 | 资源不存在   | OperationDenied.SourceNotExists      |
| -503 | 请求参数有误  | InvalidParameter                     |
| -505 | 参数缺失    | InvalidParameter.MissingParameter    |
| -507 | 超出限制    | OperationDenied.ExceedLimit          |
| -509 | 错误的维度组合 | InvalidParameter.DimensionGroupError |
| -513 | DB操作失败  | InternalError.DBoperationFail        |

## 5. 示例

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<a href="/doc/api/405/公共请求参数" title="公共请求参数">公共请求参数</a>
&namespace=qce/bm_lb
&metricName=listener_inpkg
&dimensions.0.name=protocol
&dimensions.0.value=tcp
&dimensions.1.name=vip
&dimensions.1.value=1.2.3.4
&dimensions.2.name=vport
&dimensions.2.value=80
&startTime=2016-06-28 14:10:00
&endTime=2016-06-28 14:20:00
</pre>

输出

```
{
    "code": 0,
    "message": "",
    "metricName": "inpkg",
    "startTime": "2016-06-28 14:10:00",
    "endTime": "2016-06-28 14:20:00",
    "period": 300,
    "dataPoints": [
        20，
        30,
        40
    ]
}
```
