Common request parameters are needed for all APIs. These parameters will not be discussed in the document for each API unless necessary. However, **these parameters are required in each request for the request to be initiated successfully**. The first letter of each common request parameter is in uppercase so that the parameters can be differentiated from API request parameters.

Here's a list of common request parameters:

<table class="t">
<tbody><tr>
<th> <b>Name</b>
</th><th> <b>Type</b>
</th><th> <b>Description</b>
</th><th width="50"> <b>Required</b>
</th></tr>
<tr>
<td> Action
</td><td> String
</td><td> The name of the API for the desired operation. For example, if you want to call API <a href="/doc/api/405/获取监控指标列表" title="Get the List of Monitoring Metrics">Get the List of Monitoring Metrics</a>, the Action parameter is DescribeMetrics.
</td><td> Yes
</td></tr>
<tr>
<td> Region
</td><td> String
</td><td> Region parameter, used to identify the region to which the instance you want to operate belongs. The parameter values for regions are as follows: <br>Beijing: bj, Guangzhou: gz, Shanghai: sh, Hong Kong: hk, North America: ca. <B>Note: Normally this parameter is required. Otherwise it will be mentioned in the corresponding API.</B>
</td><td> No
</td></tr>
<tr>
<td> Timestamp
</td><td> UInt
</td><td> The current UNIX timestamp that records the time at which the API request was initiated.
</td><td> Yes
</td></tr>
<tr>
<td> Nonce
</td><td> UInt
</td><td> A random positive integer that is used in conjunction with Timestamp to prevent replay attacks.
</td><td> Yes
</td></tr>
<tr>
<td> SecretId
</td><td> String
</td><td> The SecretId applied for from <a href="https://console.cloud.tencent.com/capi">Cloud API Key</a>, used for identification. A SecretId corresponds to a unique SecretKey, and the SecretKey is used to generate the request Signature. For more information, please see <a href="/doc/api/405/签名方法" title="Signature Method">Signature Method</a>.
</td><td> Yes
</td></tr>
<tr>
<td> Signature
</td><td> String
</td><td> Request signature, used to verify the validity of the request. Automatically generated by the system based on input parameters. For more information, please see <a href="/doc/api/405/签名方法" title="Signature Method">Signature Method</a>.
</td><td> Yes
</td></tr></tbody></table>



A complete request needs two types of request parameters: common request parameters and API request parameters. Only six common request parameters are listed above. For more information on API request parameters, please see <a href="/doc/api/405/接口请求参数" title="API Request Parameters">API Request Parameters</a> section.
