##  1、公共错误码
返回结果中的错误码表示了用户调用云API的结果。其中，code为公共错误码，其适用于所有模块的API接口。若code为0，表示调用成功，否则，表示调用失败。当调用失败后，用户可以根据下表确定错误原因并采取相应措施。

<table class="t">
<tbody><tr>
<th> <b>错误代码</b>
</th><th> <b>错误类型</b>
</th><th> <b>描述</b>
</th></tr>
<tr>
<td> 4000
</td><td> 请求参数非法
</td><td> 缺少必要参数，或者参数值格式不正确，具体错误信息请查看错误描述 message 字段。
</td></tr>
<tr>
<td> 4100
</td><td> 鉴权失败
</td><td> 签名鉴权失败，请参考文档中鉴权部分。
</td></tr>
<tr>
<td> 4200
</td><td> 请求过期
</td><td> 请求已经过期，请参考文档中请求有效期部分。
</td></tr>
<tr>
<td> 4300
</td><td> 拒绝访问
</td><td> 帐号被封禁，或者不在接口针对的用户范围内等。
</td></tr>
<tr>
<td> 4400
</td><td> 超过配额
</td><td> 请求的次数超过了配额限制，请参考文档请求配额部分。
</td></tr>
<tr>
<td> 4500
</td><td> 重放攻击
</td><td> 请求的 Nonce 和 Timestamp 参数用于确保每次请求只会在服务器端被执行一次,所以本次的 Nonce 和上次的不能重复, Timestamp 与腾讯服务器相差不能超过 2 小时。
</td></tr>
<tr>
<td> 4600
</td><td> 协议不支持
</td><td> 协议不支持，请参考文档说明。
</td></tr>
<tr>
<td> 5000
</td><td> 资源不存在
</td><td> 资源标识对应的实例不存在，或者实例已经被退还，或者访问了其他用户的资源。
</td></tr>
<tr>
<td> 5100
</td><td> 资源操作失败
</td><td> 对资源的操作失败，具体错误信息请查看错误描述 message 字段，稍后重试或者联系客服人员帮忙解决。
</td></tr>
<tr>
<td> 5200
</td><td> 资源购买失败
</td><td> 购买资源失败，可能是不支持实例配置，资源不足等等。
</td></tr>
<tr>
<td> 5300
</td><td> 资源购买失败
</td><td> 购买资源失败，余额不足。
</td></tr>
<tr>
<td> 5400
</td><td> 部分执行成功
</td><td> 批量操作部分执行成功, 详情见方法返回值。
</td></tr>
<tr>
<td> 5500
</td><td> 用户资质审核未通过
</td><td> 购买资源失败，用户资质审核未通过。
</td></tr>
<tr>
<td> 6000
</td><td> 服务器内部错误
</td><td> 服务器内部出现错误，请稍后重试或者联系客服人员帮忙解决。
</td></tr>
<tr>
<td> 6100
</td><td> 版本暂不支持
</td><td> 本版本内不支持此接口或该接口处于维护状态等。注意: 出现这个错误时, 请先确定接口的域名是否正确, 不同的模块, 域名可能不一样。
</td></tr>
<tr>
<td> 6200
</td><td> 接口暂时无法访问
</td><td> 当前接口处于停服维护状态，请稍后重试。
</td></tr></tbody></table>

## 2、模块错误码
message字段表示与模块相关的错误。
其示例如下：
"message": "(-514)资源重复"
它由两部分组成，()内的为模块错误代码，()后的为具体的错误描述。
不同模块可能产生的错误情况是不一样的，用户可以根据具体的错误描述确定错误所在。

| 错误代码 | 错误描述       | 英文描述                                 |
| ---- | ---------- | ------------------------------------ |
| -503 | 请求参数有误     | InvalidParameter                     |
| -507 | 超出限制       | OperationDenied.ExceedLimit          |
| -513 | DB操作失败     | InternalError.DBoperationFail        |
| -514 | 资源重复       | OperationDenied.SourceAlreadyExists  |
| -509 | 错误的维度组合    | InvalidParameter.DimensionGroupError |
| -502 | 资源不存在      | OperationDenied.SourceNotExists      |
| -515 | 存在子资源，不可操作 | OperationDenied.SubresourceExist     |
| -505 | 参数缺失       | InvalidParameter.MissingParameter    |

