## 1. 接口描述

本接口 (GenerateDataKey )生成一个密钥，你可以用这个密钥进行本地数据的加密。

kms请求域名接口和说明可参考[地域和域名说明](https://cloud.tencent.com/document/product/573/8922)。
> 任何时候，包括内测期间，如果使用外网域名产生公网下行流量，都会收取流量费用。 所以强烈建议服务在腾讯云上的用户使用**内网**域名，内网不会产生流量费用。

- 输入参数有些是可选的，不填取默认值。
- 输出参数在成功情况下所有出参都会返回给用户；失败情况下，至少会有code, message, requestId返回。


## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/product/573/8913)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| keyId| 是| String| 调用CreateKey生成的CMK全局唯一标识符。|
| keySpec| 否| String|指定生成Datakey的加密算法以及Datakey大小，AES_128或者AES_256。|
| numberOfBytes| 否| Int| 生成的DataKey的长度，同时指定NumberOfBytes和KeySpec时，以NumberOfBytes为准。|
| encryptionContext| 否| json字符串| key/value对的json字符串，如果指定了该参数，则在调用Decrypt API时需要提供同样的参数。|


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 0：表示成功，others：错误，详细错误见下表。|
| message | String | 错误提示信息。|
| requestId| String| 服务器生成的请求Id。出现服务器内部错误时，用户可提交此 Id 给后台定位问题。|
| keyId| String| CMK的全局唯一标识。|
| plaintext| String| 生成的DataKey的明文，该密文使用base64编码，用户需要使用base64解码得到明文。 KMS SDK 生成数据密钥接口已经封装了base64解码操作，用户若使用SDK则不需要调用base64解码操作。|
| ciphertextBlob| String| DataKey加密后的密文。|

## 4. 示例

输入：

<pre>
https://kms-bj.api.tencentyun.com/v2/index.php?Action=GenerateDataKey
&keyId=kms-345sdfk
&keySpec=AES_256
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>

输出：

```
{
"code" : 0,
"message" : "",
"requestId":"14534664555",
"keyId":"kms-345sdfk",
"plaintext":"string",
"ciphertextBlob":"string"
}
```






