## 1. 接口描述

本接口 (GetKeyAttributes) 用于返回指定KeyId的属性信息。

kms请求域名接口和说明可参考[地域和域名说明](https://cloud.tencent.com/document/product/573/8922)。
> 任何时候，包括内测期间，如果使用外网域名产生公网下行流量，都会收取流量费用。 所以强烈建议服务在腾讯云上的用户使用**内网**域名，内网不会产生流量费用。

- 输入参数有些是可选的，不填取默认值。
- 输出参数在成功情况下所有出参都会返回给用户；失败情况下，至少会有code, message, requestId返回。


## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/api/213/6976)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| keyId| 是| String| 调用CreateKey生成的CMK全局唯一标识符。|


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 请参考 [错误码](https://cloud.tencent.com/document/product/573/8919)|
| message | String | 错误提示信息。|
| requestId| String| 服务器生成的请求Id。出现服务器内部错误时，用户可提交此 Id 给后台定位问题。|
| keyMetadata| Struct| 密钥信息。|

keyMetadata定义如下：

| 参数名称 | 类型 | 描述 |取值|备注|
|---------|--|---------|--|--|
| keyId| String| key的全局唯一标识符||
| alias| 否| String| 作为密钥更容易辨识，更容易被人看懂的别名。|可为空。0-32个字符。|
| createTime|  Uint32| 密钥创建时间|时间戳||
| description|  String| key的描述|key的描述||
| keyState|  String| key的状态|Enabled 或者Disabled||
| keyUsage|  String| key的用途|ENCRYPT/DECRYPT|

## 4. 示例

输入：

<pre>
 https://kms-gz.api.tencentyun.com/v2/index.php?Action=GetKeyAttributes
&keyId=kms-345sdfk
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>

输出：

```
{
"code" : 0,
"message" : "",
"requestId":"14534664555",
"keyMetadata": {
"keyId": "kms-345sdfk",
"createTime":1483945424,
"description": "test",
"keyState": "Enabled",
"keyUsage": "ENCRYPT/DECRYPT"

}
}
```






