欢迎使用密钥管理服务KMS。
KMS产品介绍请参考[产品介绍](https://cloud.tencent.com/document/product/573/8780)


支持的全部操作可参见[API概览页](https://cloud.tencent.com/document/product/573/8899)。


**注意：协助者帐号目前不能用于kms的操作。**

## 密码学术语表
本文档涉及的一些常用术语如下：

|术语|中文直译|含义|备注|
|--|--|--|--|
|DataKey|数据密钥|实际用于加密业务数据的密钥|
|CMK|customer master key：用户主密钥|用户创建的，用于加密小包数据（最多4KB)或者DataKey的密钥|
|KeyId|密钥id|CMK返回给用户的全局唯一标识，注意这不是CMK本身，只是一个索引而已|
|CiphertextBlob|密文结构体|用户调加密或者GenerateDataKey接口返回的结构体，其中包含了明文的KeyId和密文的数据密钥或者加密后数据|
|根密钥| |用于加密CMKs的密钥|

## KMS术语

|术语|中文直译|含义|
|--|--|--|
|KMS|Key Management Service:密钥管理服务|PAAS层密钥服务, 提供密钥安全管理和小包数据加解密服务|
|HSA|Harden Security Appliance:加固的安全模块|一个软件或硬件实现的安全模块，是KMS实现密钥管理，加密解密的核心部件|
| qps throttling | QPS Throttling | qps 限制 |




## 输入参数与返回参数释义
- limit 和 offset

	>用来控制分页的参数；当相应结果是列表形式时，如果数量超过了 limit 所限定的值，那么只返回limit个值。用户可以通过 limit 和 offset 两个参数来控制分页：limit 为单次返回的最多条目数量，offset 为偏移量。
	>举例来说，参数 offset=0&limit=20 返回第0到20项，offset=20&limit=20 返回第20到40项，offset=40&limit=20 返回第40到60项；以此类推。
	
- id.n

	>同时输入多个参数的格式。当遇到形如这样的格式时，那么该输入参数可以同时传多个。例如：
	
	> id.0=“10.12.243.21”&id.1=“10.12.243.21”&id.2=“10.12.243.21”&id.3=“10.12.243.21”...
	
	> 以此类推（以下标0开始）。


## API快速入门

用户可以通过[KMS SDK](https://cloud.tencent.com/document/product/573/8908) （推荐，目前提供多个语言版本），或直接调用云API（较为麻烦，建议SDK语言之外的用户使用）使用KMS的服务：


选择地域和内外网。与其他云产品不同，KMS API 的请求域名随地域不同而变化，需选择地域对应的域名，请求域名的构成规则形如 `kms-region.api.cloud.tencent.com/v2/index.php` ，其中 region 字段需用具体地域替换：gz（广州），sh（上海），bj（北京）。如果是用户使用的机器是腾讯云服务器，则应优先选择内网域名，否则选外网域名。

| 接口功能 | 接口名 | 功能描述
|---------|---------|---------|
| [加密](https://cloud.tencent.com/document/product/573/8889) | Encrypt|用于加密最多为4KB任意数据，诸如RSA密钥，数据库密钥，或者其他敏感的客户信息。|
| [解密](https://cloud.tencent.com/document/product/573/8890) | Decrypt|用于解密密文数据，得到明文数据。|
| [创建主密钥](https://cloud.tencent.com/document/product/573/8893) |CreateKey |创建用户管理数据秘钥的主秘钥CMK（Custom Master Key）。|
| [获取主密钥列表](https://cloud.tencent.com/document/product/573/8897) | ListKey | 用于获取用户所有的keyId。|
|[获取主密钥属性](https://cloud.tencent.com/document/product/573/8898)  | GetKeyAttributes| 用于获取指定keyId的属性信息。|
| [禁用主密钥](https://cloud.tencent.com/document/product/573/8896) | DisableKey |用于禁用一个指定的keyId。|
| [启用主密钥](https://cloud.tencent.com/document/product/573/8894) | EnableKey | 用于启用一个指定的keyId。|
| [生成数据密钥](https://cloud.tencent.com/document/product/573/8895) |GenerateDataKey| 用于生成一个密钥，用户可以使用该密钥用于本地数据的加密。|
| [修改主密钥属性](https://cloud.tencent.com/document/product/573/8892)|SetKeyAttributes|用于修改指定keyId的属性信息。|







