# **错误码** #
message字段表示与模块相关的错误。
其示例如下：
"message": "(100004)projectId不正确"
它由两部分组成，()内的为模块错误代码，()后的为具体的错误描述。
不同模块可能产生的错误情况是不一样的，用户可以根据具体的错误描述确定错误所在。<font style="color:red">下面的表都是公共错误码，如果您要查找的错误码不在其中，请到接口文档中具体接口说明处查找。</font>


## 公共错误码 ##


<table class="t">
<tbody><tr>
<th> <b>错误代码</b>
</th><th> <b>模块错误代码</b>
</th><th> <b>英文提示</b>
</th><th> <b>描述</b>
</th></tr>
<tr>
<td> 4000
</td><td> 10000
</td><td> invalid request parameters
</td><td> 无效（非法）请求参数。通常是参数没有按照KMS云API的接口说明导致的错误。
</td></tr>
<tr>
<td> 4000
</td><td> 10010
</td><td> lacked of required parameters
</td><td> 缺少必填参数。应参照KMS云API接口的说明看缺少哪些必填参数。
</td></tr>
<tr>
<td> 4100
</td><td> 10030
</td><td> authentication failed
</td><td> 鉴权失败。可能的原因有 1）生成签名算法的secret key错误；2）<a hre="https://cloud.tencent.com/doc/api/431/5906">签名算法</a>有误（没用官方sdk，自己实现签名算法）。
</td></tr>
<tr>
<td> 4300
</td><td> 10040
</td><td> charge overdue
</td><td> 账户欠费。
</td></tr>
<tr>
<td> 6000
</td><td> 10050
</td><td> server internal error
</td><td> 服务器内部错误。一般会有requestId返回给用户，用户可根据requestId提工单给技术支持人员定位问题。
</td></tr>
<tr>
<td> 4100
</td><td> 10080
</td><td> secret id status error
</td><td> secret id状态错误。secret id可能处于禁用状态。
</td></tr>
<tr>
<td> 4000
</td><td> 10110
</td><td> request parameters error
</td><td> 请求参数错误。通常是参数没有按照KMS云API的接口说明导致的错误。
</td></tr>
<tr>
<td> 4420
</td><td> 10250
</td><td> qps throttling
</td><td> qps达到最大值，因此被限制。为了保证后台的稳定性和调用时延，目前实际的限制是每秒的消息数最大5k。对于有特殊要求的客户，可以提工单申请。
</td></tr>
<tr>
<td> 4100
</td><td> 10270
</td><td> secret id is not existed
</td><td> <a href="https://console.cloud.tencent.com/capi">secret id</a>不存在。
</td></tr>
<tr>
<td> 4000
</td><td> 10280
</td><td> action is not existed
</td><td> 参数Action不存在。
</td></tr>
<tr>
<td> 4000
</td><td> 10310
</td><td> error: parameter key format error"
</td><td> 参数格式错误。
</td></tr>
<tr>
<td> 4000
</td><td> 10320
</td><td> no such parameter
</td><td> 不存在这样的参数。
</td></tr>
<tr>
<td> 4000
</td><td> 10330
</td><td> parameter is NOT a repeatable parameter
</td><td> 参数不是一个可以重复的参数。
</td></tr>
<tr>
<td> 4000
</td><td> 10350
</td><td> parameter value or length is out of range
</td><td> 参数取值或参数长度超过了范围限制。通常对于整型而言，是取值错误。对String类型参数而言，是长度错误。
</td></tr>
<tr>
<td> 4000
</td><td> 10360
</td><td> parameter error type
</td><td> 参数类型错误。例如把整型填成了字符串类型。
</td></tr>
<tr>
<td> 4000
</td><td> 10370
</td><td> batch size of parameter is too large
</td><td> 批量接口的批量值超过了最大值。
</td></tr>
<tr>
<td> 4000
</td><td> 10380
</td><td> index of parameter is not consequent
</td><td> 可重复参数的下标不连续。
</td></tr>
<tr>
<td> 4000
</td><td> 10390
</td><td> lacked of required parameter
</td><td> 缺少必填的参数。
</td></tr>
<tr>
<td> 4000
</td><td> 10400
</td><td> cannot find parameter in uri
</td><td> uri中找不到参数。
</td></tr>
<tr>
<td> 4000
</td><td> 10410
</td><td> unexpected http method, only GET or POST is supported
</td><td> 不支持的http方法。目前只支持GET和POST方法。由于GET有长度的限制，建议使用POST。
</td></tr>
<tr>
<td> 4000
</td><td> 10420
</td><td> cannot parse
</td><td> 无法解析参数。
</td></tr>
<tr>
<td> 4000
</td><td> 10430
</td><td> action name is not existed
</td><td> Action所指定的接口名不存在。
</td></tr>
<tr>
<td> 4000
</td><td> 10440
</td><td> account illegal, it may be an assistant account
</td><td> 帐号不合法。请检查是不是协助者帐号，目前KMS不支持协助者帐号的操作。
</td></tr>
<tr>
<td> 4000
</td><td> 10450
</td><td> secret id dosen't begin with AKID account
</td><td> secret id不是以AKID开头。
</td></tr>
<tr>
<td> 4480
</td><td> 10460
</td><td> exceed interface frequency limit, please slow down
</td><td> 为保护后端系统，控制类接口（例如 ListKey等）的允许调用频率比 QPS 要低很多，所以看到该错误时，请减少控制类接口调用频率。
</td></tr>
<tr>
<td> 4530
</td><td> 10630
</td><td> key is not existed
</td><td> key不存在，表明用户没有该CMK,请检查该key是否存在。
</td></tr>

<tr>
<td> 4550
</td><td> 10650
</td><td> key is disabled
</td><td> 该key被禁用了，请检查该key的状态是否为启用。
</td></tr>
</tbody></table>

***

