## 1. 接口描述
域名:monitor.api.qcloud.com
接口名:CreateAlarmRule

创建告警规则
当上报的数据满足指定告警条件时，会触发告警。



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/255/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为CreateAlarmRule。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| namespace | 是 | String | 命名空间,调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询|
| metricName | 是 | String | 指标名,调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询|
| dimensionNames.n | 	是 | Array | 维度名称的组合，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询，填写指标下的所有维度或聚合的部分维度|
| period | 是 | Int | 统计周期，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询，填写指标下存在的统计类型中的周期|
| statistics | 是 | String | 统计方式，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询，填写指标下存在的统计类型中的统计方式|
| operatorType | 是 | String | 操作符，取值为(>、< 、>=、 <= 、!=、==), 表示告警规则中的比较方式|
| threshold | 是 | Float | 触发异常的数目阈值|
| constancy | 是 | Int | 表明异常持续多少个周期会触发告警，即：当异常持续时间为constancy个period时，将触发告警|
| receiversId | 否 | string | 告警接收组id，如不填则不绑定任何接收组(即无法收到告警通知)，调用<a href="https://cloud.tencent.com/document/api/378/4404" title="获取用户组列表">获取用户组列表</a>接口查询|
| isWild | 否 | Int | 规则是否为通配规则，填写数字1表示为通配规则，0表示非通配规则，默认为非通配规则|

通配规则含义：当规则为通配规则时，表示此规则会适用于该维度名称组合下的所有对象，不能再绑定到具体的对象上。
在输入示例中，假如isWild=1，则表示维度名称为dimensionNames.0=ip&dimensionNames.1=diskname所有对象，都会自动和此规则绑定。


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值表示失败，详见错误码页面的<a href="/doc/api/255/错误码" title="错误码">公共错误码</a>页面|
| message | String | 错误信息,当成功时为空|
| data | Array | 当有额外的返回信息时，有该字段 |

data的内容

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
|alarmRuleId| string | 告警规则ID, 用于编辑、删除告警规则时入参| 



## 4. 错误码表

| 错误代码 | 错误描述    | 英文描述                                 |
| ---- | ------- | ------------------------------------ |
| -503 | 请求参数有误  | InvalidParameter                     |
| -505 | 参数缺失    | InvalidParameter.MissingParameter    |
| -507 | 超出限制    | OperationDenied.ExceedLimit          |
| -509 | 错误的维度组合 | InvalidParameter.DimensionGroupError |
| -513 | DB操作失败  | InternalError.DBoperationFail        |
| -514 | 资源重复    | OperationDenied.SourceAlreadyExists  |



## 5. 示例

在示例输入中，期望磁盘利用率在4个周期20分钟内，其平均值持续大于80%时，operatorType取值为'>',threshold取值为80，constancy取值为4即4个周期。

输入
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=CreateAlarmRule
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=cvm
&metricName=diskusage
&dimensionNames.0=ip
&dimensionNames.1=diskname
&operatorType=>
&threshold=80
&period=300
&statistics=max
&constancy=4
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "data":{
        "alarmRuleId":"policy-ou3kyu2f"
    }
}
```

