## 1. 接口描述

查询告警列表，在产生告警后，可以调用此接口查询告警。

域名:monitor.api.qcloud.com
接口名:DescribeAlarmList



## 2. 输入参数
| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| namespace | 否 | String | 名字空间，调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询，若不填写查询所有命名空间下的告警|
| metricName | 否 | String | 指标名，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询，若不填写，查询所有指标下的告警|
| dimensions.n.name | 否 | String | 维度组合的key部分，与value共同标识一个您关注的具体的对象，若不填则查询所有对象的告警，调用<a href="/doc/api/255/查询指标对象列表" title="查询指标对象列表">查询指标对象列表</a>(DescribeObjects)接口查询|
| dimensions.n.value | 否 | String | 维度组合的value部分，调用<a href="/doc/api/255/查询指标对象列表" title="查询指标对象列表">查询指标对象列表</a>(DescribeObjects)接口查询|
| starttime | 否 | datetime | 起始时间默认时间为当天的00:00|
| endtime | 否 | datetime | 结束时间默认时间为当前时间|
| offset | 否 | Int | 偏移量，默认为0即从第一条告警开始显示|
| limit | 否 | Int	 | 显示的行数，默认为30，从偏移offset开始，取limit条告警 |

填写metricName时，需要填写namespace
其中 dimensions.n.name和dimensions.n.value匹配成对出现，当填写dimensions.n.name和dimensions.n.value时需要填写metricName和namespace



## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值表示失败，详见错误码页面的<a href="/doc/api/255/错误码" title="错误码">公共错误码</a>页面|
| message | String | 错误信息,当成功时为空|
| data | Array | 当有额外的返回信息时，有该字段 |


data的内容：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| alarmList | Array | 告警列表|
| total | Int |告警的条数|

alarmList的内容：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
|metricName|	String|	告警相关的指标名|
|namespace|	String	|告警相关的命名空间|
|object|	String	|告警相关的对象字串|
|occurTime| String	|告警发生时间,上报数据第一次满足告警条件时的时间。例如用户指定磁盘利用率在10分钟内其平均值大于80%触发告警，告警时间11:00表示在10：50-11:00内，
磁盘使用率的最大值大于80%。|
|recoverTime| String |告警恢复时间，当告警未恢复时，恢复时间为0000-00-00 00:00:00,查询告警列表时，告警依旧没有恢复，告警恢复时间的值为0000-00-00 00:00:00，表示当前告警未恢复。
上报的数据不再满足告警条件，告警恢复时间为数据恢复正常时的时间。|
|sendStatus|	Int	|告警是否发送成功0成功，非0未成功|
|okStatus|	Int |	是否恢复 0.未恢复 1.已恢复 2.超时恢复|
|smsSendCnt|	Int |	告警短信的发送条数|
|content|	String	|告警内容|
|alarmRuleId	|String	|告警对应的规则ID|





## 4. 示例
输入
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=DescribeAlarmList
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=cvm
&metricName=diskusage
</pre>
输出
```
{
    "code": 0,
    "message": "",
    "data": {
        "alarmList": [
            {
                "metricName": "diskusage",
                "namespace": "cvm",
                "object": "ip=172.31.58.160&diskname=disk1",
                "occurTime": "2016-02-23 11:10:00",
                "recoverTime": "0000-00-00 00:00:00",
                "sendStatus": "0",
                "okStatus": "0",
                "smsSendCnt": "1",
				"alarmRuleId": "policy-f3h1bxvcsb",
				"content": "'机器磁盘使用率'300秒粒度统计求max>=80'%'已持续达300秒"
            }
        ],
        "total": "1"
    }
}
```
由结果可知，在11:05:00-11:10:00期间，磁盘ip=172.31.58.160&diskname=disk1使用率最大值大于80%。

