## 1. 接口描述


查询已创建的告警规则列表


域名:monitor.api.qcloud.com
接口名:DescribeAlarmRuleList



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/255/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeAlarmRuleList。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| namespace | 是 | String | 名字空间，调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询|
| metricName | 否 | string	| 指标名，不填则返回这个命名空间下所有的规则，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询|
| offset | 否 | Int | 偏移量，默认为0即从第一条告警规则开始查询显示|
| rows | 否 | Int | 显示的行数，默认为30，从偏移offset开始，取rows 告警规则|



## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值表示失败，详见错误码页面的<a href="/doc/api/255/错误码" title="错误码">公共错误码</a>页面|
| message | String | 错误信息|
| data | Array | 当有额外的返回信息时，有该字段 |

data字段的内容：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| ruleList | Array | 具体告警规则内容|
| total | Int | 规则条数|

ruleList字段的内容：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| alarmRuleId | String | 告警规则Id|
| namespace | String | 告警规则所在的命名空间|
| metricName | String | 告警规则所在的指标名|
| dimensionGroup | String | 维度名称的组合|
| operatorType | String | 操作符|
| threshold | Int | 阈值|
|constancy|Int|告警持续周期个数|
| period | Int | 统计周期，单位是s|
|statistics|String|告警规则使用的统计方式,对指定统计周期内的数据的集合做统计，分析的方式有max:取数据集合中的最大值，min:取数据集合中的最小值，sum:对数据集合中的数据求和、avg:数据集合中的数据平均值、last:数据集合中的最后一个数据的值|
| isWild | Int | 是否为通配规则，当规则为通配规则时，表示此规则会适用于该维度名称组合下的所有对象，不能再绑定到具体的对象上|
| receiversId | Int | 告警接收组Id，为0时，表示该告警规则没有绑定告警接受组 |

## 4. 示例
输入
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=DescribeAlarmRuleList
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=cvm
</pre>
输出
```
{
    "code": 0,
    "message": "",
    "data": {
        "ruleList": [
            {
                "alarmRuleId": "policy-ou3kyu2f",
                "namespace": "cvm",
                "metricName": "diskusage",
                "dimensionGroup": "diskname,ip",
                "operatorType": ">=",
                "threshold": "100",
                "constancy": "4",
                "period": "300",
                "statistics": "max",
                "isWild": "0",
                "receiversId": "0"
            }
        ],
        "total": "1"
    }
}
```

