## 1. 接口描述
域名:monitor.api.qcloud.com
接口名:DescribeAlarmRuleObjects

查询告警规则绑定的对象，用告警规则id查询与之绑定的对象的信息。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/255/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeAlarmRuleObjects。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| alarmRuleId | 是 | String | 规则ID，调用<a href="/doc/api/255/查询告警规则" title="查询告警规则">查询告警规则</a>(DescribeAlarmRuleList)接口查询|
| offset | 否 | Int | 偏移量，默认为0即从第一条告警规则开始查询显示|
| limit | 否 | Int	 |显示的行数，默认为30，从偏移offset开始，取rows 告警规则|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值表示失败，详见错误码页面的<a href="/doc/api/255/错误码" title="错误码">公共错误码</a>页面|
| message | String | 错误信息|
| data | Array | 当有额外的返回信息时，有该字段 |


data内容：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| ruleBindList | Array | 告警规则绑定的对象列表(每个数组元素是一个具体的对象描述，见示例)|
| total | Int | 该告警规则绑定的对象数量|




## 4. 示例
输入
<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&alarmRuleId=policy-ou3kyu2f
</pre>
输出
```
{
    "code": 0,
    "message": "",
    "data": {
        "ruleBindList": [
            {
                "diskname": "sda",
                "ip": "172.31.58.160"
            }
        ],
        "total": "1"
    }
}
```

