## 1. 接口描述
域名:monitor.api.qcloud.com
接口名:DescribeAlarmRuleByObject

查询指定对象绑定的告警规则

## 2. 输入参数
| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| namespace | 是 | string | 命名空间，调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询|
| metricName | 是 | String | 指标名，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询|
| dimensions.n.name | 是 | array | 维度组合的key，调用<a href="/doc/api/255/查询指标对象列表" title="查询指标对象列表">查询指标对象列表</a>(DescribeObjects)接口查询|
| dimensions.n.value | 是 | array | 维度组合的value，调用<a href="/doc/api/255/查询指标对象列表" title="查询指标对象列表">查询指标对象列表</a>(DescribeObjects)接口查询|
| offset | 否 | int | 偏移量，默认为0即从第一条告警规则开始查询显示 |
| limit	 | 否 | int | 显示的行数，默认为30，从偏移offset开始，取rows 告警规则 |

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值表示失败，详见错误码页面的<a href="/doc/api/255/错误码" title="错误码">公共错误码</a>页面|
| message | String | 错误信息|
| data | Array | 返回结果 |

data内容：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
|ruleList | Array | 告警规则绑定的对象列表| 
|total|Int|返回的ruleList条数|

ruleList内容：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| alarmRuleId | String | 告警规则id|
| namespace | String | 命名空间|
| metricName | String | 指标名|
| dimensionGroup | String|维度组合名称|
| operatorType| String | 操作符| 
| threshold | Int | 触发异常的数目阈值|
| constancy | Int | 表明异常持续多少个周期会触发告警| 
| period | Int | 统计周期,目前只能填写300s|
| statistics | String | 统计方式，取值为(sum, last, avg, min, max)|
| receiversId | String | 告警接收组id|

## 4. 示例
输入
<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=cvm
&metricName=diskusage
&dimensions.0.name=ip
&dimensions.0.value=172.31.58.160
&dimensions.1.name=diskname
&dimensions.1.value=sda
</pre>
输出
```
{
    "code": 0,
    "message": "",
    "data": {
        "ruleList": [
            {
                "alarmRuleId": "policy-ou3kyu2f",
                "namespace": "cvm",
                "metricName": "diskusage",
                "dimensionGroup": "diskname,ip",
                "operatorType": ">=",
                "threshold": "100",
                "constancy": "4",
                "period": "300",
                "statistics": "max",
                "isWild": "0",
                "receiversId": "0"
            }
        ],
        "total": "1"
    }
}
```

