## 1. 接口描述

命名空间是指标的容器，不同命名空间中的指标彼此独立，这样来自不同应用程序的指标就不会被错误地聚合到相同的统计信息中。自定义监控允许自定义命名空间，分地域存储。例：proc_monitor，广州地域A进程监控。本接口提供创建自定义命名空间的能力。

域名：monitor.api.qcloud.com
接口名: CreateNamespace

创建自定义命名空间。
单个用户最多能够命名空间的数目限制见<a href="https://cloud.tencent.com/doc/product/397/4002">产品限制</a>界面

## 2. 输入参数
 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/255/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为CreateNamespace。

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> namespace
<td> 是
<td> String
<td>命名空间：支持英文、数字及下划线，不超过32个字母
</tbody></table>

 

## 3. 输出参数

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值表示失败，详见错误码页面的<a href="/doc/api/255/错误码" title="错误码">公共错误码</a>页面
<tr>
<td> message
<td> String
<td> 错误信息
</tbody></table>



## 4. 错误码表

| 错误代码 | 错误描述    | 英文描述                                 |
| ---- | ------- | ------------------------------------ |
| -503 | 请求参数有误  | InvalidParameter                     |
| -505 | 参数缺失    | InvalidParameter.MissingParameter    |
| -507 | 超出限制    | OperationDenied.ExceedLimit          |
| -509 | 错误的维度组合 | InvalidParameter.DimensionGroupError |
| -513 | DB操作失败  | InternalError.DBoperationFail        |
| -514 | 资源重复    | OperationDenied.SourceAlreadyExists  |



## 5. 示例

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=CreateNamespace
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=cvm
​	
</pre>

输出

```
{
  'code': 0,
  'message': ''
}·
```
