## 1. 接口描述

域名：monitor.api.qcloud.com
接口名: CreateMetric

创建指标，在命名空间下创建指标用于统计数据。
指标个数的限制以及维度的个数限制见<a href="https://cloud.tencent.com/doc/product/397/4002">产品限制</a>界面
此接口在创建指标的同时，可以选择添加指标下统计类型。当填写statisticsType.m.period和statisticsType.m.statistics时，添加统计类型。


## 2. 输入参数
  以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/255/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为CreateMetric。
​	
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> namespace
<td>是
<td> String
<td> 命名空间，调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询
<tr>
<td> metricName
<td>是
<td> String
<td> 指标名称，支持英文、数字和下划线
<tr>
<td> metricCname
<td>是
<td> String
<td> 指标中文名称信息
<tr>
<td>  dimensionNames.n
<td>是
<td> Array
<td> 该指标的统计维度名称
<tr>
<td> unit
<td>否
<td> String
<td> 用户上报数据的单位，默认值为空字符串
<tr>
<td> statisticsType.m.period
<td>否
<td> Int
<td> 统计周期，收集数据时间间隔，目前指定为300，单位为s，暂时不支持修改为其它值
<tr>
<td> statisticsType.m.statistics
<td>否
<td> String
<td> 对指定统计周期内的数据的集合做分析，分析的方法有max:取数据集合中的最大值，min:取数据集合中的最小值，sum:对数据集合中的数据求和、avg:数据集合中的数据平均值、last:数据集合中的最后一个数据的值
</tbody></table>



## 3. 输出参数

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值表示失败，详见错误码表
<tr>
<td> message
<td> String
<td> 错误信息
</tbody></table>



## 4. 错误码表

| 错误代码 | 错误描述    | 英文描述                                 |
| ---- | ------- | ------------------------------------ |
| -503 | 请求参数有误  | InvalidParameter                     |
| -505 | 参数缺失    | InvalidParameter.MissingParameter    |
| -507 | 超出限制    | OperationDenied.ExceedLimit          |
| -509 | 错误的维度组合 | InvalidParameter.DimensionGroupError |
| -513 | DB操作失败  | InternalError.DBoperationFail        |
| -514 | 资源重复    | OperationDenied.SourceAlreadyExists  |



## 5. 示例

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=cvm
&metricName=diskusage
&dimensionNames.0=ip
&dimensionNames.1=diskname
&metricCname='磁盘使用率'
&statisticsType.0.period=300
&statisticsType.0.statistics=max
</pre>

输出
```
{
  'code': 0,
  'message': ''
}
```

