## 1. 接口描述

添加指标聚合，将该指标下的指定维度聚合起来，以实现统计指标下部分维度的信息的功能以及查询指标下部分维度信息的功能。
例如:指标diskusage有维度dimensionNames.0=ip  dimensionNames.1=diskname
将维度dimensionNames.0=ip聚合起来，调用添加统计类型接口时，才可以只指定维度ip。此处表示以机器的ip的维度去统计磁盘的使用率。


域名:monitor.api.qcloud.com
接口名:CreateMetricAggeration



## 2. 输入参数
| 参数名称                        | 必选   | 类型     | 描述                                       |
| --------------------------- | ---- | ------ | ---------------------------------------- |
| namespace                   | 是    | String | 命名空间，调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询 |
| metricName                  | 是    | String | 指标名，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询 |
| dimensionNames.n            | 是    | String | 需要聚合的维度名称，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询 |
| statisticsType.m.period     | 否    | Int    | 统计周期目前只能填写300秒                           |
| statisticsType.m.statistics | 否    | String | 为聚合的维度添加统计方式，包括max、min、last、sum、avg等     |


statisticsType.m.statistics 和  statisticsType.m.period 填写时，为该聚合下的所有维度添加统计类型



## 3. 输出参数

| 参数名称    | 类型     | 描述                         |
| ------- | ------ | -------------------------- |
| code    | Int    | 错误码, 0: 成功, 其他值表示失败，详见错误码表 |
| message | String | 错误信息                       |



## 4. 错误码表
| 错误代码 | 错误描述    | 英文描述                                 |
| ---- | ------- | ------------------------------------ |
| -503 | 请求参数有误  | InvalidParameter                     |
| -505 | 参数缺失    | InvalidParameter.MissingParameter    |
| -507 | 超出限制    | OperationDenied.ExceedLimit          |
| -509 | 错误的维度组合 | InvalidParameter.DimensionGroupError |
| -513 | DB操作失败  | InternalError.DBoperationFail        |
| -514 | 资源重复    | OperationDenied.SourceAlreadyExists  |



## 5. 示例

输入
<pre>
https://monitor.api.qcloud.com/v2/index.php?Action=CreateMetricAggeration
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=cvm
&metricName=diskusage
&dimensionNames.0=ip
&statisticsType.0.period=300
&statisticsType.0.statistics=max
</pre>
输出
```
{
    "code":"0",
    "message":""
}
```