## 1. 接口描述

查看某个命名空间下已创建的指标。

域名：monitor.api.qcloud.com
接口名: DescribeMetric



## 2. 输入参数
 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/255/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeMetric。

<table class="t"><tbody><tr>
<th><b>参数名 称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> namespace
<td>是
<td> String
<td> 查询该命名空间下的指标,调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询
<tr>
<td> metricName
<td>否
<td> String
<td> 按指标名称筛选，不指定时返回本命名空间下所有指标信息
</tbody></table>

## 3. 输出参数

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值表示失败，详见错误码表
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<td> data
<td> Array
<td> 返回的数组
<tr>
</tbody></table>

其中data返回的每个指标中的内容的含义
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> namespace
<td> String
<td> 本指标所在的命名空间
<tr>
<td> metricName
<td> String
<td> 本指标名称
<tr>
<td> metricCname
<td> String
<td> 本指标中文名称
<tr>
<td> dimension
<td> String
<td> 指标维度名称
<tr>
<td> unit
<td> String
<td>上报的数据显示的单位
<tr>
<td> statisticsType
<td> Array
<td> 统计类型
<tr>
<td> aggeration
<td> Array
<td> 聚合维度，当您有使用<a href="/doc/api/255/创建指标聚合" title="创建指标聚合">创建指标聚合</a>接口时，可看到聚合信息
</tbody></table>

其中statisticsType的含义：
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> period
<td> Int
<td> 统计周期，收集数据时间间隔，目前指定为300，单位为s，暂时不支持修改为其它值
<tr>
<td> statistics
<td> String
<td> 统计方法函数，对指定统计周期内的数据的集合做分析，分析的方法有max:取数据集合中的最大值，min:取数据集合中的最小值，sum:对数据集合中的数据求和、avg:数据集合中的数据平均值、last:数据集合中的最后一个数据的值
</tbody></table>

其中aggeration的array，key值为聚合的维度名称组合，value为统计类型



##4. 错误码表

| 错误代码 | 错误描述    | 英文描述                                 |
| ---- | ------- | ------------------------------------ |
| -503 | 请求参数有误  | InvalidParameter                     |
| -505 | 参数缺失    | InvalidParameter.MissingParameter    |
| -507 | 超出限制    | OperationDenied.ExceedLimit          |
| -509 | 错误的维度组合 | InvalidParameter.DimensionGroupError |
| -513 | DB操作失败  | InternalError.DBoperationFail        |



## 5. 示例

输入

<pre>
 https://domain/v2/index.php?Action=DescribeMetric
 &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
 &namespace=cvm
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "data": {
        "cvm": {
            "diskusage": {
                "namespace": "cvm",
                "metricName": "diskusage",
                "unit": "'%'",
                "metricCname": "'机器磁盘使用率'",
                "dimension": "diskname,ip",
                "statisticsType": [
                    {
                        "period": "300",
                        "statistics": "max"
                    },
                    {
                        "period": "300",
                        "statistics": "avg"
                    }
                ],
                "aggeration": {
                    "ip": [
                        {
                            "period": "300",
                            "statistics": "max"
                        }
                    ]
                }
            }
        }
    }
}
```

