## 1. 接口描述

域名：monitor.api.qcloud.com
接口名: CreateMetricStatisticsType

为指标下的指定维度添加统计类型，一个指标可以有多种统计类型。
指标下必须有其对应的统计类型，才能查询得到上报的数据的分析结果。
当您在<a href="/doc/api/255/创建指标" title="创建指标">创建指标</a>或<a href="/doc/api/255/创建指标聚合" title="创建指标聚合">创建指标聚合</a>时已经填写了统计类型相关信息时，可以跳过此接口。



## 2. 输入参数

 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/255/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为CreateMetricStatisticsType。

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> namespace
<td>是
<td> String
<td> 为该命名空间下的指标添加统计类型,调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询
<tr>
<td> metricName
<td>是
<td> String
<td> 为该指标添加统计类型,调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询
<tr>
<td> dimensionNames.n
<td> 是
<td> Array
<td> 该指标的所有维度组合或者聚合的维度组合,调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询
<tr>
<td> statisticsType.m.period
<td> 是
<td> Int
<td> 统计周期，以秒为单位，目前必须填写300s暂不支持其他值
<tr>
<td> statisticsType.m.statistics
<td> 是
<td> String
<td>  统计方式，包括max、min、last、sum、avg等
</tbody></table>

dimensionNames.n，此处的下标n，表示该指标的维度的下标。
可以填写指标的原始维度（即指标下的所有维度）或者指标下聚合的维度

statisticsType.m.statistics和statisticsType.m.period成对出现，可以对该指标的维度添加多组统计类型。
此处的下标m表示不同的统计类型数字下标
例如：   statisticsType.0.statistics=max  statisticsType.0.period=300
             statisticsType.1.statistics=min  statisticsType.1.period=300
表示在统计周期5分钟内取上报的数据的最大值和最小值。					
​							

## 3. 输出参数

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值表示失败，详见错误码表
<tr>
<td> message
<td> String
<td> 错误信息
</tbody></table>



## 4. 错误码表

| 错误代码 | 错误描述    | 英文描述                                 |
| ---- | ------- | ------------------------------------ |
| -503 | 请求参数有误  | InvalidParameter                     |
| -505 | 参数缺失    | InvalidParameter.MissingParameter    |
| -507 | 超出限制    | OperationDenied.ExceedLimit          |
| -509 | 错误的维度组合 | InvalidParameter.DimensionGroupError |
| -513 | DB操作失败  | InternalError.DBoperationFail        |



## 5. 示例

输入

<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=cvm
&metricName=diskusage
&dimensionNames.0=ip
&dimensionNames.1=diskname
&statisticsType.0.period=300
&statisticsType.0.statistics=avg
</pre>

输出
```
{
  'code': 0,
  'message': ''
}
```

