## 1. 接口描述

上报数据

1. **本接口仅支持http协议，且域名端口为8080**。
2. 目前只支持在腾讯云服务器内部访问该域名receiver.monitor.tencentyun.com。
3. 本接口中的Region字段需要为云服务器所在的地域。

域名:**receiver.monitor.tencentyun.com：8080**
接口名:PutMonitorData





## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/255/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为PutMonitorData。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| Namespace | 是 | String	| 命名空间,调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询|
|Data|是|Array|上报的数据需要封装成json格式|

其中data的数据内容：

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
|dimensions|是|Array|维度key和value的组合,维度的key需要和您调用<a href="/doc/api/255/创建指标" title="创建指标">创建指标</a>的接口中的维度名称相同，维度的value组合可自定义|
|metricName|是|String|指标名，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询|
|value|是|Float|具体数据|

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 失败错误码见第7小节返回码|
| message | String | 错误信息|

## 4. 示例
输入
```
http://receiver.monitor.tencentyun.com:8080/v2/index.php?Action=PutMonitorData
&SecretId=xxxxxxx
&Region=gz
&Timestamp=1402992826
&Nonce=345122
&Signature=mysignature
&Namespace=cvm
&Data=[{“dimensions”:{“diskname”:”disk1”,”ip”:”172.31.58.160”},”metricName”:”diskusage”,”value”:30}]
```
输出
```
{
"code":0,
"message":"OK"
}
```



## 5. 本接口Signature签名字段生成的方法
本接口的签名方法和其它接口的签名方法不同，不同之处如下：
在<a href="/doc/api/255/签名方法" title="签名方法">签名方法</a>的步骤2生成签名串中，有如下两点不同。

### 5.1  对参数排序中的入参不同
在<a href="/doc/api/255/签名方法" title="签名方法">签名方法</a>的步骤2.1对参数排序中
**此接口的入参只有如下几个字段：**

| 参数名称 | 中文 | 参数值| 
|---------|---------|---------|
| Action | 方法名| PutMonitorData | 
| SecretId | 密钥Id | AKIDz8krbsJ5yKBZQpn74WFkmLPx3gnPhESA | 
| Timestamp | 当前时间戳 | 1408704141 | 
| Nonce | 随机正整数 | 345122 | 
| Region | 实例所在区域 | gz | 

按字典序排序的结果如下：
```		
{
		'Action' : 'PutMonitorData',
		'Nonce' : 345122,
		'Region' : 'gz',
		'SecretId' : 'AKIDz8krbsJ5yKBZQpn74WFkmLPx3gnPhESA',
		'Timestamp' : 1408704141
}
```

### 5.2 拼接签名原文字符串中的请求主机不同
在<a href="/doc/api/255/签名方法" title="签名方法">签名方法</a>的步骤2.3拼接签名原文字符串中
本接口中请求主机: **receiver.monitor.tencentyun.com**
拼接结果为：
```		
GETreceiver.monitor.tencentyun.com/v2/index.php?Action=PutMonitorData&Nonce=345122&Region=gz&SecretId=AKIDz8krbsJ5yKBZQpn74WFkmLPx3gnPhESA&Timestamp=1408704141
```		

其它步骤和<a href="/doc/api/255/签名方法" title="签名方法">签名方法</a>的步骤相同。


## 6. 数据上报接口示例（Python）

POST方式
``` 
{
	“Action”: “PutMonitorData”,
	“SecretId”: “xxxxxxx”,
	“Region”: “sh”,
	“Timestamp”: 1402992826,
	“Nonce”: 345122,
	“Signature”: “mysignature”,
	“Namespace”: “pc”,
	“Data”:[{“dimensions”:{“diskname”:”sda”,”ip”:”172.31.58.160”},”metricName”:”diskusage”,”value”:0.3}]
}

```

``` 
#! /usr/bin/env python
# -*- coding:utf-8 -*-

import urllib2
import time
import json
import random
import hmac
import hashlib

class NwsSender:
        def init(self):
                self.url='http://receiver.monitor.tencentyun.com:8080/v2/index.php'
                self.timeout=10
        def send_data(self,json_data):
                try:
                        req=urllib2.Request(self.url)
                        req.add_header('Content-Type','application/json')
                        timeout=self.timeout
                        data=json.dumps(json_data)
                        http_ret=urllib2.urlopen(req,data,timeout)
                        response=http_ret.read()
                        try:
                                json_resp=json.loads(response)
                                retcode=int(json_resp["code"])
                                if retcode!=0:
                                        print "send error,retcode:%d,msg:%s,data:%s" % (retcode,json_resp['message'],data)
                                else:
                                        print "send succ,data:%s" % response
                        except ValueError,e:
                                print 'value error:%s' % response
                except urllib2.URLError,e:
                        print "send error"+str(e)+data
def main():
        secretId="AKDuXhrYW5ilcFO11bakwWTF7ogwCl8ugEY"
        secretKey="tsPHxrAB8fhffaGNmHZDjNSsBm3Ewdm"
        region='sh'
        data={
                "SecretId":secretId,
                "Namespace":"pc",
                "Region":region,
                "Data":[
                        {"dimensions":{“diskname”:”sda”,”ip”:”172.31.58.160”},
                         "metricName":"diskusage",
                         "value":0.3
                        }
                        ]
                }
        sender=NwsSender()
        sender.init()
        while True:
                ts=int(time.time())
                nonce=random.randint(10000,100000)
                text="POSTreceiver.monitor.tencentyun.com/v2/index.php?Action=PutMonitorData&Nonce=%d&Region=%s&SecretId=%s&Timestam
p=%d" % (nonce,region,secretId,ts)
                data['Timestamp']=ts
                data['Nonce']=nonce
                data['Signature']=hmac.new(secretKey,text,hashlib.sha1).digest().encode("base64").rstrip('\n')
                sender.send_data(data)
                time.sleep(3)
if __name__=='__main__':
        main()
```
				
				
GET方式（最后需对参数进行UrlEncode）
 ``` 
http://receiver.monitor.tencentyun.com:8080/v2/index.php?Action=PutMonitorData&SecretId=xxxxxxx&Region=sh&Timestamp=1402992826&Nonce=345122&Signature=mysignature
&Namespace=name1
&Data=[{“dimensions”:{“diskname”:”sda”,”ip”:”172.31.58.160”},”metricName”:”diskusage”,”value”:0.3}]
 ``` 
 
 ``` 
#! /usr/bin/env python
# -*- coding:utf-8 -*-
import urllib
import urllib2
import time
import json
import random
import hmac
import hashlib

class NwsSender:
        def init(self):
                self.url='http://receiver.monitor.tencentyun.com:8080/v2/index.php'
                self.timeout=10
        def send_data(self,data):
                try:
                        req=urllib2.Request(url=self.url+ "?" + data)
                        timeout=self.timeout
                        http_ret=urllib2.urlopen(req, timeout = timeout)
                        response=http_ret.read()
                        try:
                                json_resp=json.loads(response)
                                retcode=int(json_resp["code"])
                                if retcode!=0:
                                        print "send error,retcode:%d,msg:%s,data:%s" % (retcode,json_resp['message'],data)
                                else:
                                        print "send succ,data:%s" % response
                        except ValueError,e:
                                print 'value error:%s' % response
                except urllib2.URLError,e:
                        print "send error"+str(e)+data


def main():
        secretId="AKIDDuYW5ilcFO1bakwWTF7og1wCl8ugEY"
        secretKey="tsfzPHxrffaGNmHZDjNSsBm23Ewdm"
        region='sh'
        data={
                "SecretId":secretId,
                "Namespace":"name1",
                "Region":region,
                }
        Data=[
                {"dimensions":{“diskname”:”sda”,”ip”:”172.31.58.160”},
                 "metricName":"diskusage",
                 "value":0.3
                }
                ]

        data["Data"]=json.dumps(Data)
        sender=NwsSender()
        sender.init()
        while True:
                ts=int(time.time())
                nonce=random.randint(10000,100000)
                text="GETreceiver.monitor.tencentyun.com/v2/index.php?Action=PutMonitorData&Nonce=%d&Region=%s&SecretId=%s&Timestamp
=%d" % (nonce,region,secretId,ts)
                data['Timestamp']=ts
                data['Nonce']=nonce
                data['Signature']=hmac.new(secretKey,text,hashlib.sha1).digest().encode("base64").rstrip('\n')
                xx = urllib.urlencode(data)  
                sender.send_data(xx)
                time.sleep(3)
```

数据上报成功输出：
```
{
"code":0,
"message":"OK"
}
```


## 7. 返回码
| 返回值 | 说明 |
|---------|---------|
|0	   |服务器接收数据OK|
|1000	|HTTP的方法不支持，即非post或get的方法请求|
|1001|	错误的CGI请求，该请求的CGI不支持|
|1002	|服务未就绪，稍后重试|
|1003	|服务器内部逻辑失败|
|1004	|请求内容不存在|
|1005	|请求内容不是json格式|
|1006	|时段内该SecretId请求过多，服务器保护机制限频|
|1007	|服务器限频功能异常|
|1008	|客户端被服务器屏蔽|
|1009	|参数缺失|
|1010	|参数类型错误|
|1011	|客户端身份非法（鉴权失败）|
|1012	|调用接口不符合API规范|
|1013	|参数无效|
|1014	|路由信息缺失导致数据丢弃|
|1015	|数据长度超过上限|
|1016	|Namespace非法|
|1017	|dimension验证失败|
|1018	|时段内发送的指标数量超过上限|
|1019	|未上报有效指标数据|
|1020	|dimension或metric名字超长|
|1021	|时间戳非法|
