## 1. 接口描述
域名:monitor.api.qcloud.com
接口名:GetMonitorRealtimeData

获取指标实时监控数据，返回最近的period（300s内），对您上报的数据的以指定统计方式分析统计的结果。


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/255/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为GetMonitorRealtimeData。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| namespace | 是 | String | 命名空间，调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询|
| metricName | 是 |String | 指标名，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询|
| dimensions.N.name | 是  | String |维度名称的组合，调用<a href="/doc/api/255/查询指标对象列表" title="查询指标对象列表">查询指标对象列表</a>(DescribeMetric)接口查询指标下的所有维度或填入聚合的部分维度|
| dimensions.N.value | 是  | String | 维度的值的组合，可以调用<a href="/doc/api/255/查询指标对象列表" title="查询指标对象列表">查询指标对象列表</a>(DescribeObjects)接口查询维度名称对应的维度值|
| statistics | 是 | String | 统计方式，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询，填写指标中存在的统计方式|
| period	| 是 |	Int | 统计周期，目前只能填写300|



## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值表示失败，详见错误码页面的<a href="/doc/api/255/错误码" title="错误码">公共错误码</a>页面|
| message | String | 错误信息|
| data | array | 对象具体信息|

其中data的具体信息：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| dimensions.name&dimensions.value | String | 由维度和其对应的值用&连接起来的字符串|
| value | Int | 统计结果|
| updateTime | datetime | 数据统计的结束时间|




## 4. 示例
输入
<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=cvm
&metricName=diskusage
&dimensions.0.name=ip
&dimensions.1.name=diskname
&dimensions.0.value=172.31.58.160
&dimensions.1.value=sda
&period=300
&statistics=max
</pre>
输出
```
{
    "code": 0,
    "message": "",
    "data": {
        "diskname=sda&ip=172.31.58.160": {
            "value": 0.8,
            "updateTime": "2016-06-21 22:40:00"
        }
    }
}

```
注：如果查询的对象不存，则返回data字段内容为空。
在此处的返回结果中，数据的0.8表示在22:35-22:40的时间段内，统计得到的最大值。


