## 1. 接口描述
域名:monitor.api.qcloud.com
接口名:DescribeObjects

查询指标对象列表，当您上报数据之后，可以调用此接口查询您上报的数据的维度信息。


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/255/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeObjects。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| namespace | 是 | String | 命名空间，调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询|
| metricName | 是 | String | 指标名，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询|
| dimensionNames.n | 是 | Array |维度名称组合，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询，填写指标下的所有维度或聚合的部分维度|
| offset | 否 | Int | 偏移量，默认为0即从第一条记录开始显示|
| limit | 否 | Int | 每页显示的记录数,默认30，这里实际获取的是偏移offset开始，取limit 条记录|



## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int |错误码, 0: 成功, 其他值表示失败，详见错误码页面的<a href="/doc/api/255/错误码" title="错误码">公共错误码</a>页面|
| message | String | 错误信息|
| data | Array | 对象具体信息|
| total | Int | 对象的个数|

其中data对应的records的内容为维度名称和维度对应的组合的列表


## 4. 示例
输入
<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=cvm
&metricName=diskusage
&dimensionNames.0=ip
&dimensionNames.1=diskname
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "data": {
        "records": [
            {
                "diskname": "sda",
                "ip": "172.31.58.160"
            },
            {
                "diskname": "sda",
                "ip": "172.31.58.161"
            }
        ],
        "total": 2
    }
}

```


