## 1. 接口描述
域名:monitor.api.qcloud.com
接口名:GetMonitorData


对您上报的数据进行统计，每个统计周期内（300s内），获取一个分析结果。
例如当指标下存在period": "300","statistics": "max"这种统计类型时，会在在您上报的数据中，取5分钟内的最大值的点。
获取指标下指定维度的在startTime和endTime之间的多组数据。

数据保留的天数参见：<a href="https://cloud.tencent.com/doc/product/397/4002">产品限制</a>界面

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/255/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为GetMonitorData。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| namespace | 是 | String | 名字空间，调用<a href="/doc/api/255/查询命名空间" title="查询命名空间">查询命名空间</a>(DescribeNamespace)接口查询|
| metricName | 是 | String | 指标名称，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询|
| dimensions.n.name| 是| Array | 维度名称的组合，调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询,填写指标下的所有维度或填入聚合的部分维度|
| dimensions.n.value | 是 | Array | 维度的值的组合，可以调用<a href="/doc/api/255/查询指标对象列表" title="查询指标对象列表">查询指标对象列表</a>(DescribeObjects)接口查询，填写维度名称对应的维度值|
| statistics  | 是 | String |该对象存在的统计方式,调用<a href="/doc/api/255/查询指标" title="查询指标">查询指标</a>(DescribeMetric)接口查询|
| period | 否 | Int | 监控数据统计粒度，目前只能填写300|
| startTime | 否 | datetime | 起始时间，格式为Y-m-d H:M:S，当不填写时，起始时间默认为当天的00:00:00|
| endTime | 否 | datetime | 结束时间,不填写时，默认为当前时间|



## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int |错误码, 0: 成功, 其他值表示失败，详见错误码页面的<a href="/doc/api/255/错误码" title="错误码">公共错误码</a>页面|
| message | String | 错误信息|
| data | Array | 数据信息 |

其中data对应为metricName和统计的个维度对应的结果数值。

## 4. 示例
输入
<pre>
https://monitor.api.qcloud.com/v2/index.php?
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&namespace=cvm
&metricName=diskusage
&dimensions.0.name=ip
&dimensions.1.name=diskname
&dimensions.0.value=172.31.58.160
&dimensions.1.value=sda
&period=300
&statistics=max
&startTime=2016-06-21 22:00:00
&endTime=2016-06-21 22:30:00
</pre>
输出
```
{
    "code": 0,
    "message": "",
    "metricName": "diskusage",
    "startTime": "2016-06-21 22:00:00",
    "endTime": "2016-06-21 22:15:00",
    "period": "300",
    "dataPoints": {
        "diskname=sda&ip=172.31.58.160": [
            0.8,
            0.7,
            0.5,
            0.6
        ]
    }
}
```
在输出的数据中一共有4个数据点，分别表示的为21:55-22:00,22:00-22:05,22:05-22:10,22:10-22:15，4个时间段内取最大值。

