欢迎使用腾讯自定义监控服务。
通过自定义监控，可实时监控您的资源使用率以及您应用程序的数据，同时你可以针对这些数据配置告警规则，让您实时、精准地掌控业务的健康状况。
用户可以使用本文档介绍的 API 对自定义监控服务进行相关操作，如创建命名空间，创建指标等，具体支持的操作可参见API概览。
请确保在使用这些接口前，已充分了解了自定义监控<a href="https://cloud.tencent.com/doc/product/397/3984">产品说明</a>和<a href="https://cloud.tencent.com/doc/product/397/3989">快速入门</a>。


自定义监控的一些常用术语如下：
## 1.术语表

| 术语 | 全称  | 中文 | 说明 |
|---------|---------|---------|---------|
| Namespace  | Namespace |<a href="https://cloud.tencent.com/doc/product/397/3984">命名空间</a>|命名空间是指标的容器，不同命名空间中的指标彼此独立。命名空间名称可自定义。例命名空间取值proc_monitor，表示监控进程 |
| Metric  | Metric | <a href="https://cloud.tencent.com/doc/product/397/3984">指标</a> | 指标为要监控的变量。例：进程CPU使用率proc_cpu_usage，进程内存使用率proc_mem_usage|
| Dimension | Dimension |<a href="https://cloud.tencent.com/doc/product/397/3984">维度</a> | 维度是对监控对象进行标识的名称/值对结构，用于描述监控对象的特征。例如当您监控进程CPU使用率时，可定义维度的名称为机器ip、进程名proc_name，以区分不同机器上的不同进程|
| MetricAggregation  | MetricAggregation | <a href="https://cloud.tencent.com/doc/product/397/3984">指标聚合</a> | 在指标下的维度中选择部分维度聚合在一起，用于分析聚合后的维度下的数据。例：在指标proc_cpu_usage下有维度ip和proc_name，选择机器ip维度聚合，可以统计指定机器ip下的多个进程的的CPU使用率|
| statisticsType | statistics Type |<a href="https://cloud.tencent.com/doc/product/397/3984">统计类型</a> | 统计类型是对数据进行统计的方法，由统计的周期时间和统计方法组成，表示在统计周期内依据统计方法对原始数据作统计，例如在5分钟内对原始数据取平均值|
|statisticsType period|statisticsType period|<a href="https://cloud.tencent.com/doc/product/397/3984">统计周期</a> | 计算数据的时间。暂时支持5分钟计算周期|
|statisticsType statistics|statisticsType statistics| <a href="https://cloud.tencent.com/doc/product/397/3984">统计方法</a> |对指定统计周期内的数据的集合做分析，分析的方法有max:取数据集合中的最大值，min:取数据集合中的最小值，sum:对数据集合中的数据求和、avg:数据集合中的数据平均值、last:数据集合中的最后一个数据的值|


## 2.API快速入门
为了使用自定义监控API，您至少需要完成以下四个步骤：

1 创建命名空间
您可以使用[创建命名空间](/doc/api/255/创建命名空间)接口创建命名空间。
2 创建指标
创建完命名空间，您需要使用[创建指标](/doc/api/255/创建指标)接口在命名空间中创建一个指标。创建该指标中的维度，选择是否为该指标的所有维度添加统计类型。
3 上报数据
在创建统计类型之后，您需要调用[数据上报接口](/doc/api/255/数据上报接口)来上报您的数据。上报的数据的维度需要和您在创建指标中定义的维度组合一致。
4  查询数据
在数据上报一段时间之后，您可以调用[查询指标监控数据](/doc/api/255/查询指标监控数据)来获得您的数据分析结果。

具体的函数接口的调用请参考[使用示例](/doc/api/255/使用示例)界面



## 3.使用限制
香港地区暂时不支持自定义监控的功能。








