Common request parameters are the parameters common to all APIs, and will not be discussed in each API document unless necessary. **They are required in each request for the request to be initiated normally**. The first letter of each common request parameter is in uppercase so that the parameter can be differentiated from API request parameters.

Common request parameters are as follows:

<table class="t">
<tbody><tr>
<th> <b>Name</b>
</th><th> <b>Type</b>
</th><th> <b>Description</b>
</th><th width="50"> <b>Required</b>
</th></tr>
<tr>
<td> Action
</td><td> String
</td><td> The name of the API for the desired operation. For example, if you want to call API <a href="/doc/api/255/创建命名空间" title="Create Namespace">Create Namespace</a>, the Action parameter is CreateNamespace.
</td><td> Yes
</td></tr>
<tr>
<td> Region
</td><td> String
</td><td> Region parameter, which is used to identify the region to which the instance you want to work with belongs. The parameter values for regions are as follows:  <br>Beijing: bj, Guangzhou: gz, Shanghai: sh, Hong Kong: hk, North America: ca. <B>Note: Unless otherwise specified in the API document, this parameter is required generally.</B>
</td><td> No
</td></tr>
<tr>
<td> Timestamp
</td><td> UInt
</td><td> The current UNIX timestamp that records the time at which the API request was initiated.
</td><td> Yes
</td></tr>
<tr>
<td> Nonce
</td><td> UInt
</td><td> A random positive integer that is used in conjunction with Timestamp to prevent replay attacks.
</td><td> Yes
</td></tr>
<tr>
<td> SecretId
</td><td> String
</td><td> The SecretId which is used for identifying identity and applied for on <a href="https://console.cloud.tencent.com/capi">Cloud API Key</a>. A SecretId corresponds to a unique SecretKey, which is used to generate the request Signature. For more information, please see <a href="/doc/api/372/4214" title="Signature Method">Signature Method</a>.
</td><td> Yes
</td></tr>
<tr>
<td> Signature
</td><td> String
</td><td> Request signature, which is used to verify the validity of the request and is automatically generated by the system based on input parameters. For more information, please see <a href="/doc/api/255/签名方法" title="Signature Method">Signature Method</a>.
</td><td> Yes
</td></tr></tbody></table>



A complete request requires two types of request parameters: common request parameters and API request parameters. Only six common request parameters are listed above. For more information on API request parameters, please see <a href="/doc/api/255/接口请求参数" title="API Request Parameters">API Request Parameters</a> section.
