## 1. 接口描述

功能： 回拨呼叫请求    
接口地址： `http://HOST/201511v3/callBack?id=xxx`  
请求方式：POST  

>**注意：**
>上述接口地址的 id 值测试时由腾讯统一分配

## 2. 参数说明

| 参数名 | 要求 | 备注 | 
|---------|---------|------------|
| appId | 必选 | xxx，appId 值测试时由腾讯统一分配 | 
| requestId | 必选 | session buffer，字符串最大长度不超过 48 字节，该 requestId 在后面回拨请求响应和回调中都会原样返回 | 
| src | 必选 | 主叫号码(必须为 11 位手机号，号码前加 0086，如 008613631686024) | 
| dst | 必选 | 被叫号码(必须为 11 位手机或固话号码,号码前加 0086，如008613631686024，固话如：0086075586013388) | 
| srcDisplayNum | 可选 | 主叫显 400 号码（如不填显被叫号码) | 
| dstDisplayNum | 可选 | 被叫显 400 号码（如不填显主叫号码) | 
| record | 可选 | 是否录音，0 表示不录音，1 表示录音。默认为不录音 | 
| maxAllowTime | 可选 | 允许最大通话时间，不填默认为 30 分钟（单位：分钟） | 
| statusFlag | 可选 | 主叫发起呼叫状态：1  被叫发起呼叫状态：256 主叫响铃状态：2   被叫响铃状态：512 主叫接听状态：4          被叫接听状态：1024 主叫拒绝接听状态：8  被叫拒绝接听状态：2048 主叫正常挂机状态：16   被叫正常挂机状态：4096 主叫呼叫异常：32          被叫呼叫异常：8192 <br/>例如：当值为 0：表示所有状态不需要推送；当值为 4：表示只要推送主叫接听状态；当值为 16191：表示所有状态都需要推送(上面所有值和) | 
| statusUrl | 可选 | 状态回调通知地址，正式环境可以配置默认推送地址 | 
| hangupUrl | 可选 | 话单回调通知地址，正式环境可以配置默认推送地址 | 
| recordUrl | 可选 | 录单 URL 回调通知地址，正式环境可以配置默认推送地址 | 
| bizId | 可选 | 业务应用 key，业务用该 key 可以区分内部业务或客户产品等，该 key 需保证在该 appId 下全局唯一，最大长度不超过 64 个字节，bizId 只能包含数字、字母。 | 
| lastCallId | 可选 | 最后一次呼叫 callId，带上该字段以后，平台会参考该 callId 分配线路，优先不分配该 callId 通话线路（注：谨慎使用，这个会影响线路调度） | 
| preCallerHandle | 可选 | 结构体，主叫呼叫预处理操作，根据不同操作确认是不是呼通被叫等 | 
| orderId | 可选 | 订单 id,最大长度不超过 64 个字节，对于一些有订单状态 App 相关应用使用（如达人帮接入 App 应用)，该字段只在帐单中带上，其它回调不附带该字段 | 
| ringRecognition | 可选 | 是否开启语音识别，1：开启 0：不开启，默认不开启现在运营商统一对用户关机、欠费、拒接等异常场景不响应具体错误码，铃声识别主要对这类语音提示识别。（注：开启语音识别后，话单响应时延会增加 5-10 秒左右） | 


**preCallerHandle结构体：**

| 变量名 | 类型 | 说明 | 
|---------|---------|------------|
| readPrompt | String | 呼叫主叫以后，给主叫用户的语音提示，播放该提示时用户所有按键无效 | 
| interruptPrompt | String | 可中断提示，播放该提示时，用户可以按键 | 
| keyList | 结构体 | 对应按键操作,如果没有结构体里定义按键操作用户按键以后都从 interruptPrompt 重新播放 | 
| repeatTimes | String | 最多重复播放次数，超过该次数拆线 | 
| keyPressUrl | String | 用户按键回调通知地址，如果为空不回调 | 
| promptGender | String | 提示音男声女声：1 女声，2 男声。默认女声 | 

**keyList结构体：**

| 变量名 | 类型 | 说明 | 
|---------|---------|------------|
| key | String | 用户按键（0-9、*、#、A-D) | 
| operate | String | 1: 呼通被叫 2：interruptPrompt 重播提示 3：拆线 | 


## 3. 返回结果
| 参考值 | 描述 | 
|---------|---------|------------|
| 0 | 成功 | 
| -1 | 版本不支持 | 
| -2 | 参数异常 | 
| -3 | 运营商线路异常 | 
| -5 | 请求无 HOST 字段 | 
| -101 | 参数 src 或 dst 号码不符合规则 | 
| -102 | 参数 displayNum 号码不符合规则 | 
| -103 | 参数 statusUrl 或 hangupUrl 或 recordUrl 不符合 URL 规范 | 
| -104  | 参数 bizId 不符俣规则 | 
| -105 | 预付费 appId 余额不足 | 
| -110 | 黑名单电话号码 | 
| -401 | appId 非法 | 
| -402 | uri 不匹配 | 
| -403 | ip 不在白名单 | 
| -423 | 服务器屏蔽此调用(调用方被入侵或者异常操作) | 
| -501 | 平台处理请求异常（业务做容灾处理） | 


## 4. 示例

成功： 
```
{"errorCode":"0","callId":"123456789","requestId":"xxxxxxxxx","srcDisplayNum":"4001360123","dstDisplayNum":"4001236789"}
```


失败： 
```
 {"errorCode":"-1","msg":"version not supported","requestId":"xxxxxxxxx"}
```

   
