## 1. 接口描述

功能： 回拨话单获取接口（按 callId 或主叫时间段拉取）    
接口地址： `http://HOST/201511v3/getCdr?id=xxx`  
请求方式：POST  

>**注意：**
>上述接口地址的 id 值测试时由腾讯统一分配

## 2. 参数说明 
| 参数名 | 要求 | 备注 | 
|---------|---------|------------|
| appId | 必选 | xxx | 
| callId | 可选 | 回拨请求响应中返回的 callId，按 callId 查询该话单详细信息 | 
| src | 可选 | 查询主叫用户产生的呼叫话单，如填 0 表示拉取这个时间段所有话单 | 
| startTimeStamp | 场景要求 | 话单开始时间戳 | 
| endTimeStamp | 场景要求 | 话单结束时间戳 | 
| compress | 可选 | 是否压缩（0：不压缩 1：使用 zlib 压缩）默认不压缩 | 



| 变量名 | 类型 | 说明 | 
|---------|---------|------------|
| callId | String | 呼叫通话 id | 
| src | String | 主叫号码 | 
| dst | String | 被叫号码 | 
| startSrcCallTime | String | 主叫呼叫开始时间 | 
| startSrcRingTime | String | 主叫响铃开始时间 | 
| srcAcceptTime | String | 主叫接听时间 | 
| startDstCallTime | String | 被叫呼叫开始时间 | 
| startDstRingTime | String | 被叫响铃开始时间 | 
| dstAcceptTime | String | 被叫接听时间 | 
| endCallTime | String | 用户挂机通话结束时间 | 
| callEndStatus | String | 通话最后状态：0：未知状态 1：正常通话 2：主叫未接 3：主叫接听，被叫未接 4：主叫未接通 5：被叫未接通 | 
| duration | String | 通话计费时间 | 
| recordUrl | String | 录音 URL，如果不录音或录音失败，该值为空 | 
| callType | 可选 | 通话类型(1: VOIP 2:IP TO PSTN 3: PSTN TO PSTN)，如果话单中没有该字段，默认值为回拨 3 (PSTN TO PSTN) | 
| bizId | 可选 | 同回拨请求中的 bizId，如果回拨请求中带 bizId 会有该字段返回 | 
| orderId | 可选 | 订单 id,最大长度不超过 64 个字节，对于一些有订单状态 App 相关应用（如达人帮接入 App 应用)，该字段只在帐单中带上，其它回调不附带该字段 | 

>**注意：**  
日期时间的格式：yyyy-MM-dd HH:mm:ss

## 3. 返回结果
| 参考值 | 描述 | 
|---------|---------|
| 0 | 成功 | 
| -1 | 版本不支持 | 
| -2 | 参数异常 | 
| -201 | callId 异常 | 
| -202 | 时间戳参数异常 | 
| -203 | 网络异常 | 
| -401 | appId 非法 | 
| -402 | uri 不匹配 | 
| -403 | ip 不在白名单 | 
| -423 | 服务器屏蔽此调用(调用方被入侵或者异常操作) | 
| -501 | 服务器异常 | 


## 4. 示例

成功： 
```
{"errorCode":"0",
"result":"Call Details",
"offset":"1440820800",
"cdr":[
{…},
{…}]}
```

失败： 
```
{"errorCode":"-1", "result":"version not supported"}
{"errorCode":"-2", "result":"parameter invalid"}
{"errorCode":"-501","result":"server disabled",}
```

