## 1. 接口描述

功能： 回拨通话状态获取    
接口地址： `http://HOST/201511v3/getStatus?id=xxx`  
请求方式：POST  

>**注意：**
>上述接口地址的 id 值测试时由腾讯统一分配

## 2. 参数说明 
| 参数名 | 要求 | 备注 | 
|---------|---------|------------|
| appId | 必选 | xxx | 
| callId | 必选 | 回拨请求响应中返回的 callId |
| src | String | 主叫号码 | 
| dst | String | 被叫号码 | 
| callStatus | String | 通话最后状态：0：未知状态 1：主叫响铃中 2：主叫接听 3：被叫响铃中 4：正常通话中 5：通话结束 | 

## 3. 返回结果
| 参考值 | 描述 | 
|---------|---------|------------|
| 0 | 成功 | 
| -1 | 版本不支持 | 
| -2 | 参数异常 | 
| -201 | callId 标识的呼叫不存在 | 
| -401 | appId 非法 | 
| -402 | uri 不匹配 | 
| -403 | ip 不在白名单 | 
| -501 | 平台处理请求异常（业务做容灾处理） | 

## 4. 示例

成功： 
```
{"errorCode":"0",”appId”:”xxx”,"callId":"xxxxxxxxx",”src”:”008613612345678”,”dst”:”008618912345678”,”callStatus”:”4”}
```

失败： 
```
{"errorCode":"-201","msg":"callId not exist"｝
```


     
