## 1. 接口描述

功能： 直拨 PSTN 虚拟中间号话单获取    
接口地址： `http://HOST/201511v3/get400Cdr?id=xxx`  
请求方式：POST  

>**注意：**
>上述接口地址的 id 值测试时由腾讯统一分配

## 2. 参数说明 
| 参数名 | 要求 | 备注 | 
|---------|---------|------------|
| appId | 必选 | xxx | 
| callId | 可选 | 通话唯一标识 callId | 
| src | 可选 | 查询主叫用户产生的呼叫话单，如填 0 表示拉取这个时间段所有话单 | 
| startTimeStamp | 场景要求 | 话单开始时间戳 | 
| endTimeStamp | 场景要求 | 话单结束时间戳 | 
| compress | 可选 | 是否压缩（0：不压缩  1：使用 zlib 压缩）默认不压缩 |

## 3. 返回结果
| 参考值 | 描述 | 
|---------|---------|------------|
| 0 | 成功 | 
| -1 | 版本不支持 | 
| -2 | 参数异常 | 
| -201 | callId 异常 | 
| -202 | 时间戳参数异常 | 
| -203 | 网络异常 | 
| -401 | appId 非法 | 
| -402 | uri 不匹配 | 
| -403 | ip 不在白名单 | 
| -423 | 服务器屏蔽此调用（调用方被入侵或者异常操作） | 
| -501 | 服务器异常 | 


| 变量名 | 类型 | 说明 | 
|---------|---------|------------|
| callId | String | 呼叫通话 id | 
| requestId | 可选 | App 操作 session buffer 原样返回 | 
| bindId | String | 双方号码 + 中间号绑定 ID，该 ID 全局唯一 | 
| src | String | 主叫号码 | 
| dst | String | 被叫号码 | 
| dstVirtualNum | String | 主叫通讯录直拨虚拟保护号码 | 
| callCenterAcceptTime | String | 虚拟保护号码平台收到呼叫时间 | 
| startDstCallTime | String | 被叫呼叫开始时间 | 
| startDstRingTime | String | 被叫响铃开始时间 | 
| dstAcceptTime | String | 被叫接听时间 | 
| endCallTime | String | 用户挂机通话结束时间 | 
| callEndStatus | String | 通话最后状态：0：未知状态  1：正常通话  2：查询呼叫转移被叫号异常  3：未接通  4：未接听  5：拒接挂断  6：关机  7：空号  8：通话中  9：欠费  10：运营商线路或平台异常 | 
| srcDuration | String | 主叫接通虚拟保护号码到通话结束通话时间 | 
| dstDuration | String | 呼叫转接被叫接通到通话结束通话时间 | 
| recordUrl | String | 录音 URL，如果不录音或录音失败，该值为空 | 

## 4. 示例

成功： 
```
{"errorCode":"0",
"result":"Call Details",
"offset":"1440820800",
"cdr":[
{…},
{…}]}
```


失败： 
```
{"errorCode":"-1", "result":"version not supported"}
{"errorCode":"-2", "result":"parameter invalid"}
{"errorCode":"-501","result":"server disabled",}
```



