接口请求参数与具体的接口有关，不同的接口支持的接口请求参数也不一样。接口请求参数的首字母均为小写，以此区分于公共请求参数。
以<a href="/doc/api/229/831" title="查询实例列表">查询实例列表</a>(DescribeInstances)为例，其支持的接口请求参数如下：

| 参数名称 | 是否必选  | 类型 | 描述 | 
|---------|---------|---------|---------|
| instanceIds.n  | 否 | String | 要查询的CVM实例ID数组，数组下标从0开始。可以使用instanceId和unInstanceId，建议使用统一资源ID:unInstanceId。|
| lanIps.n | 否 | String | 要查询的云服务器的内网IP数组。 | 
| searchWord | 否 | String | 用户设定的主机别名。|
| offset | 否 | Int | 偏移量，默认为0。 | 
| limit | 否 | Int | 一次最多可查询的服务器数量，默认为20，最大为100。|
| status | 否 | Int | 待查询的主机状态。|
| projectId | 否 | String | 项目ID，不传则查询全部项目的CVM实例。0表示默认项目，如需指定其他项目，可调用<a href="/document/product/378/4400" title="查询项目列表">查询项目列表</a>(DescribeProject)接口查询。|
| simplify | 否 | Int | 获取非实时数据，当传参添加simplify=1时获取非实时数据。|
| zoneId | 否 | Int | 可用区ID，不传则查询所有可用区的CVM实例。如需指定可用区，可调用<a href="/doc/api/229/1286" title="查询可用区">查询可用区</a>(DescribeAvailabilityZones)接口查询。|

其中各字段的说明如下：
<table class="t">
<tbody>
<td> 参数名称
</td><td> 该接口支持的请求参数名，用户可以在使用此接口时将其作为接口请求参数。<br>
注意：如果参数名称以“.n”结尾，则表明此参数为一个数组，使用时需要依次传入数组参数。如在查询实例列表(DescribeInstances)接口中，若传入参数instanceIds.0=ins-0hm4gvho&instanceIds.1=ins-0hm4gvho，则说明仅查询Id为ins-0hm4gvho和ins-0hm4gvho的CVM实例。
</td></tr>
<tr>
<td> 是否必选
</td><td> 标志此参数是否是必须的，若为“是”，则表明调用该接口必须传入此参数；若为“否”，表示可以不传入。在查询实例列表(DescribeInstances)接口中，所有接口请求参数均不是必选的，因此仅使用公共请求参数就能完成正常的接口调用。
</td></tr>
<tr>
<td> 类型
</td><td> 此接口参数的数据类型。
</td></tr>
<tr>
<td> 描述
</td><td> 简要描述了此接口请求参数的内容。
</td></tr>
</tbody></table>

假设用户想要查询伸缩组列表，则其请求链接的形式可能如下:

```
https://cvm.api.qcloud.com/v2/index.php?
&<公共请求参数>
&instanceIds.0=ins-0hm4gvho
&instanceIds.1=ins-8oby8q00
&offset=0
&limit=20
&status=2
&zoneId=100003
```

一个完整的请求需要两类请求参数：公共请求参数和接口请求参数。这里只列出了接口请求参数，并未列出公共请求参数，有关公共请求参数的说明可见<a href="/doc/api/372/公共请求参数" title="公共请求参数">公共请求参数</a>小节。