## 1. 接口描述

域名: feecenter.api.qcloud.com
接口名: DescribeBills

查询收入和支出的详细信息。


## 2. 输入参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> payerUin <td> 是 <td> UInt <td> 支付者账号ID
<tr>
<td> payType <td> 否 <td> String <td> 支付类型 默认all。all:查询所有  recharge:充值  cash:提现  deduct:扣费  return:退款  block:冻结  unblock:解冻  agentout:转出  agentin:转入  
<tr>
<td> startTime <td> 是 <td> String <td> 待查询数据起始时间(yyyy-mm-dd)
<tr>
<td> endTime <td> 是 <td> String <td> 待查询数据结束时间(yyyy-mm-dd)
<tr>
<td> order <td> 否 <td> String <td> 以operationTime(出参)为序排序数据 默认ASC。DESC:降序  ASC:升序
</tbody></table>

 

## 3. 输出参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> out <td> Int <td> 账户支出
<tr>
<td> in <td> Int <td> 账户入账
<tr>
<td> total <td> Int <td> 记录数,数据域记录条数
<tr>
<td> data <td> Array <td> 数据域
<tr>
<td> feeId <td> Int <td> 费用ID
<tr>
<td> billId <td> String <td> 账单ID
<tr>
<td> status <td> Int <td> 冻结单执行状态
<tr>
<td> payMode <td> String <td> 支付模式 all:不区分  postPay:后付费  prePay:预付费
<tr>
<td> payType <td> String <td> 支付类型 
<tr>
<td> operationTime <td> String <td> 操作时间
<tr>
<td> operationInfo <td> String <td> 操作信息
<tr>
<td> amount <td> Int <td> 操作金额，可为负，单位分
<tr>
<td> balance <td> Int <td> 余额
<tr>
<td> calcUnit <td> String <td> 结算周期
<tr>
<td> actionType <td> String <td> 动作类型
<tr>
<td> productCode <td> String <td> 产品编码
<tr>
<td> subProductCode <td> String <td> 子产品编码
</tbody></table>

 

## 4. 示例
 
输入
<pre>
  https://feecenter.api.qcloud.com/v2/index.php?Action=DescribeBills
  &payerUin=12345678
  &startTime=2017-07-15
  &endTime=2017-08-04
  https://feecenter.api.qcloud.com/v2/index.php?Action=DescribeBills
  &<a href="https://cloud.tencent.com/document/api/213/6976">公共请求参数</a>
</pre>

输出
```

{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "data": [
            {
                "feeId": "606143",
                "billId": "20170716020000063599467658320052",
                "status": "3",
                "payMode": "postPay",
                "payType": "deduct",
                "operationTime": "2017-07-16 01:37:32",
                "operationInfo": "云服务器按量-07月扣费",
                "amount": "-25",
                "balance": "4941",
                "calcUnit": "h",
                "actionType": "deduct",
                "productCode": "cvm",
                "subProductCode": "cvm_hour",
            },
            {
                "feeId": "606196",
                "billId": "20170716020000063613350065222965",
                "status": "3",
                "payMode": "postPay",
                "payType": "deduct",
                "operationTime": "2017-07-16 02:08:58",
                "operationInfo": "云服务器流量按量-07月扣费",
                "amount": "0",
                "balance": "4941",
                "calcUnit": "h",
                "actionType": "deduct",
                "productCode": "idc",
                "subProductCode": "traffic_hour",
            },
            {
                "feeId": "606247",
                "billId": "20170716020000063624890659006234",
                "status": "3",
                "payMode": "postPay",
                "payType": "deduct",
                "operationTime": "2017-07-16 02:38:27",
                "operationInfo": "云服务器按量-07月扣费",
                "amount": "-34",
                "balance": "4907",
                "calcUnit": "h",
                "actionType": "deduct",
                "productCode": "cvm",
                "subProductCode": "cvm_hour",
            },
        ],
        "total": "3",
        "out": ,
        "in": 
    }
}


```

