## 1. 接口描述
 
域名: bill.api.qcloud.com
接口名: DescribeBills

获取账单列表

 

## 2. 输入参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> startDate <td> 否 <td> String <td> 开始时间，默认为今天
<tr>
<td> endDate <td> 否 <td> String <td>  结束时间时间，默认为今天
<tr>
<td> offset <td> 否 <td> Int <td> 偏移量，默认为0
<tr>
<td> limit <td> 否 <td> Int <td>  默认为20，最大100
<tr>
<td> projectId <td> 否 <td> Int <td> 项目ID，默认为0表示默认项目
<tr>
<td> orderType <td> 否 <td> Int <td> 0为正序，1为倒序
</tbody></table>

 

## 3. 输出参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code <td> Int <td> 错误码，0：成功，其他值：失败
<tr>
<td> message <td> String <td> 错误信息
<tr>
<td> bill_id<td> String <td> 账单ID
<tr>
<td> date <td> String <td> 账单创建时间
<tr>
<td> bill_type <td> Int<td> 账单类型
<tr>
<td> amount <td> String <td> 此账单的收支金额
<tr>
<td> balance<td> String <td> 余额
<tr>
<td> description<td> String <td> 描述
<tr>
<td> startDate<td> String <td> 账单的开始时间
<tr>
<td> endDate<td> String <td> 账单的结束时间
</tbody></table>

 

## 4. 示例
 
输入
<pre>
  https://bill.api.qcloud.com/v2/index.php?Action=DescribeBills
  &<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "data": {
        "datalist": [
            {
                "bill_id": "20151019030000002477160242388730",
                "date": "2015-10-19 13:49:05",
                "bill_type": 2,
                "amount": -50,
                "balance": 99429,
                "description": "购买云服务"
            },
            {
                "bill_id": "10180",
                "date": "2015-10-20 10:11:56",
                "bill_type": 9,
                "amount": -1056.86,
                "balance": 41140.13,
                "description": "CDN 按月流量结算 -扣费",
                "class": "CDN_TRAFFIC",
                "startDate": "2015-10-01",
                "endDate": "2015-10-30"
            },
            {
                "bill_id": "20151019030000002477159480119824",
                "date": "2015-10-19 12:13:22",
                "bill_type": 2,
                "amount": -68,
                "balance": 99632,
                "description": "购买云服务"
            },
            {
                "bill_id": "20151019030000002477159054313238",
                "date": "2015-10-19 11:31:41",
                "bill_type": 2,
                "amount": -100,
                "balance": 99700,
                "description": "购买云服务"
            },
            {
                "bill_id": "20151019030000002477158752948045",
                "date": "2015-10-19 11:25:22",
                "bill_type": 2,
                "amount": -100,
                "balance": 99800,
                "description": "购买云服务"
            },
            {
                "bill_id": "20151019030000002477158480897031",
                "date": "2015-10-19 11:22:01",
                "bill_type": 2,
                "amount": -100,
                "balance": 99900,
                "description": "购买云服务"
            }
        ],
        "page": {
            "cur": 1,
            "total": 1
        },
        "count": {
            "begin": 1,
            "end": "6",
            "total": "6"
        },
        "pay_data": {
            "total_cost": -571,
            "total_pay": 0
        }
    }
}
```

