## 1. 接口描述
 
域名: bill.api.qcloud.com
接口名: DescribeBillDetail

获取账单详情。

 

## 2. 输入参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> billId <td> 是 <td> String <td> 账单ID
<tr>
<td> startDate <td> 是 <td> String <td> 账单的开始时间，可以填写账单的创建时间
<tr>
<td> endDate <td> 是 <td> String <td> 账单的结束时间
<tr>
<td> billType <td> 是 <td> Int <td> 账单的类型
</tbody></table>

 

## 3. 输出参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code <td> Int <td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message <td> String <td> 错误信息
<tr>
<td> OriginalClass<td> String <td> 商品类型
<tr>
<td> OriginalType<td> String <td> 商品子类型
<tr>
<td> OriginalConfig<td> String <td> 商品配置
<tr>
<td> FOfferID<td> String <td> appId
<tr>
<td> FDeviceId<td> String <td> 设备Id
<tr>
<td> FDealId<td> String <td> 错误信息
<tr>
<td> regionId<td> String <td> 地域信息
<tr>
<td> FUnitPrice<td> String <td> 单价
<tr>
<td> FUnitPriceUnit<td> String <td> 单价单位
<tr>
<td> FCountUnit<td> String <td> 数量单位
<tr>
<td> FAmt<td> String <td> 扣款数量
<tr>
<td> FCount<td> String <td> 数量
<tr>
<td> FDeviceType<td> Array<td> 配置
<tr>
<td> is_expire<td> bool <td> 是否预付费
<tr>
<td> FPriceGraduated<td> String <td> 1：阶梯价格， 0：非阶梯价格
<tr>
<td> FProxyUin<td> String <td> 代客Uin
<tr>
<td> FProxyFlag<td> String <td> 0：非代付， 1：代付
</tbody></table>

 

## 4. 示例
 
输入
<pre>
  https://bill.api.qcloud.com/v2/index.php?Action=DescribeBillDetail
  &startDate=2015-09-01
  &endDate=2015-09-30
  &billType=5
  &billId=20151009020000002517001133312233
  &<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "data": [
        {
            "OriginalClass": "CEE",
            "OriginalType": "CEEMicro",
            "OriginalConfig": "",
            "FOfferID": "1233331112",
            "FDealId": "0",
            "regionId": "1",
            "FUnitPrice": 0.8,
            "FUnitPriceUnit": "元\/实例",
            "FCountUnit": "实例",
            "FAmt": 24,
            "FCount": "30实例",
            "FDeviceType": {
                "配置": "微型"
            },
            "is_expire": false,
            "FPriceGraduated": 0,
            "FProxyUin": "0",
            "FProxyFlag": "0"
        },
        {
            "OriginalClass": "CMEM",
            "OriginalType": "C",
            "OriginalConfig": "",
            "FOfferID": "123333111",
            "FDeviceId": "1002848",
            "FDealId": "0",
            "regionId": "1",
            "FUnitPrice": 2,
            "FUnitPriceUnit": "元\/GB",
            "FCountUnit": "GB",
            "FAmt": 89.7,
            "FCount": "44.82GB",
            "FCountTime": "0",
            "FDeviceType": {
                "配置": "C"
            },
            "is_expire": false,
            "FPriceGraduated": 0,
            "FProxyUin": "0",
            "FProxyFlag": "0"
        }
    ]
}
```

