## 1. 接口描述
 
域名: feecenter.api.qcloud.com
接口名: DescribeResourceBills

查询资源账单。

 

## 2. 输入参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> platform <td> 否 <td> String <td> 平台 默认:qcloud。 qcloud:云平台  open:开放平台
<tr>
<td> payMode <td> 否 <td> String <td> 支付模式 默认:postPay。 postPay:后付费  prePay:预付费
<tr>
<td> payType <td> 否 <td> String <td> 支付类型 默认:deduct。 deduct:扣费  return:退款
<tr>
<td> startMonth <td> 是 <td> String <td> 待查询数据起始年月(yyyy-mm)
<tr>
<td> endMonth <td> 是 <td> String <td> 待查询数据结束年月(yyyy-mm)
<tr>
<td> order <td> 否 <td> String <td> 以month(出参)排序数据 DESC:降序 ASC:升序
</tbody></table>

 

## 3. 输出参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code <td> Int <td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message <td> String <td> 错误信息
<tr>
<td> data <td> Array <td> 返回数据域
</tbody></table>

### data 结构
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> total <td> Int <td> 子域记录数
<tr>
<td> amount <td> Int <td> 总金额
<tr>
<td> productCodeList <td> Array <td> 产品编码列表
<tr>
<td> data <td> Array <td> 子域
<tr>
<td> id <td> Int <td> 编号
<tr>
<td> ownerUin <td> UInt <td> 设备拥有者账号ID
<tr>
<td> appId <td> UInt <td> 设备拥有者appId
<tr>
<td> payerMode <td> Int <td> 支付者模式 0:普通 1:代付
<tr>
<td> payerUin <td> UInt <td> 支付者账号ID
<tr>
<td> payMode <td> String <td> 支付模式
<tr>
<td> payType <td> String <td> 支付类型
<tr>
<td> platform <td> String <td> 平台
<tr>
<td> region <td> String <td> 区域
<tr>
<td> zoneNumber <td> String <td> 分区号
<tr>
<td> productCode <td> String <td> 产品编码
<tr>
<td> subProductCode <td> String <td> 子产品编码
<tr>
<td> instanceIdType <td> String <td> 实例ID类型
<tr>
<td> instanceId <td> String <td> 实例ID
<tr>
<td> actionType <td> String <td> 动作类型
<tr>
<td> calcUnit <td> String <td> 结算周期 仅后付费有意义
<tr>
<td> timeSpan <td> Int <td> 结算周期个数
<tr>
<td> timeUnit <td> String <td> 时间单位
<tr>
<td> unitPrice <td> Double <td> 单价/分
<tr>
<td> price <td> Double <td> 价格/分
<tr>
<td> count <td> Double <td> 用量
<tr>
<td> month <td> String <td> 扣费月份
<tr>
<td> startTime <td> String <td> 计费开始时间
<tr>
<td> endTime <td> String <td> 计费结束时间
<tr>
<td> amount <td> Int <td> 扣费金额/分
<tr>
<td> reduces <td> Array <td> 优惠信息
<tr>
<td> projectId <td> Int <td> 项目ID
<tr>
<td> projects <td> Array <td> 不适合分项目的资源，保留资源在各项目的信息
<tr>
<td> usedTimeSpan <td> Int <td> 使用周期数
<tr>
<td> returnAmount <td> Int <td> 退款金额
<tr>
<td> modifyType <td> String <td> 配置变更修改类型 configModify:配置变更 billingModeModify:计费模式变更退费
</tbody></table>

 

## 4. 示例
 
输入
<pre>
  https://feecenter.api.qcloud.com/v2/index.php?Action=DescribeResourceBills
  &startMonth=2017-07
  &endMonth=2017-08
  &<a href="https://cloud.tencent.com/document/api/213/6976">可选参数</a>
</pre>

输出
```

{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "total": 1,
        "amount": -96193,
        "productCodeList": [
            "cbs",
            "cdb",
            "cvm"
        ],
        "data": [
            {
                "id": "57122",
                "ownerUin": "12345678",
                "appId": "87654321",
                "payerMode": "0",
                "payerUin": "12345678",
                "payMode": "prePay",
                "payType": "deduct",
                "platform": "qcloud",
                "region": "gz",
                "zoneNumber": "100002",
                "productCode": "cbs",
                "subProductCode": "common",
                "instanceIdType": "dealName",
                "instanceId": "20170720118912",
                "actionType": "purchase",
                "calcUnit": "m",
                "timeSpan": "1",
                "timeUnit": "m",
                "unitPrice": "300.00000000",
                "price": "300.00000000",
                "count": "0.00000000",
                "month": "2017-07-01 00:00:00",
                "startTime": "2017-07-21 00:00:00",
                "endTime": "2017-08-20 23:59:59",
                "amount": "-300",
                "reduces": [],
                "projectId": "0",
                "projects": [],
                "usedTimeSpan": "0",
                "returnAmount": "0",
                "modifyType": "",
            }
        ]
    }
}


```

