## 1. 接口描述
 
域名：trade.api.qcloud.com
接口名: DescribeDeals

获取订单信息。

 

## 2. 输入参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> dealIds.n
<td> 否
<td> String
<td> 根据一个或者多个订单ID进行过滤
<tr>
<td> startTime
<td> 否
<td> String
<td> 订单查询的起始时间，格式2014-01-01 00:00:00
<tr>
<td> endTime
<td> 否
<td> String
<td> 订单查询的截止时间，格式2014-06-30 23:59:59
<tr>
<td> offset
<td> 否
<td> Int
<td> 订单的偏移量，默认为0
<tr>
<td> limit
<td> 否
<td> Int
<td> 返回的订单的最大数量，默认20，范围[1,50]
</tbody></table>

 

## 3. 输出参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码，0：成功，其他值：失败
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<td> totalNum
<td> Int
<td> 返回的订单总量
<tr>
<td> dealDetails
<td> Array
<td> 订单详情信息
</tbody></table>

</b></th>dealDetails 实例信息</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> dealId
<td> String
<td> 订单ID，调用云API时使用此ID
<tr>
<td> dealName
<td> String
<td> 长订单ID，反馈订单问题给官方客服使用此ID
<tr>
<td> instanceType
<td> Int
<td> 实例类型，1：云主机，2：云数据库，3：负载均衡，4：云主机配置升级，5：带宽升级，6：VPN
<tr>
<td> region
<td> String
<td> 订单产生的地域
<tr>
<td> goodsNum
<td> Int
<td> 订单中产品的数量
<tr>
<td> creater
<td> String
<td> 订单的创建者
<tr>
<td> creatTime
<td> String
<td> 订单的创建时间
<tr>
<td> overdueTime
<td> String
<td> 订单的过期时间
<tr>
<td> endTime
<td> String
<td> 订单的结束时间
<tr>
<td> status
<td> String
<td> 订单的状态<br>
1：未支付<br>
2：已支付<br>
3：发货中<br>
4：已发货<br>
5：发货失败<br>
6：已退款<br>
7：已关单<br>
8：订单过期<br>
9：订单已失效<br>
10：产品已失效<br>
11：代付拒绝<br>
12：支付中<br>
<tr>
<td> price
<td> Int
<td> 订单的金额
<tr>
<td> goodsDetail
<td> Object
<td> 订单的具体产品配置信息(目前支持cvm配置信息，升级带宽的信息)，具体字段见输出结果示例
</tbody></table>

</b></th>CVM goodsDetail 实例信息</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> cpu
<td> Int
<td> cpu核数
<tr>
<td> mem
<td> Int
<td> 内存大小，单位G
<tr>
<td> bandwidth
<td> Int
<td> 0表示不需要外网IP，非0表示带宽的值，单位Mbps
<tr>
<td> timeSpan
<td> Int
<td> 申请的时间周期，单位月
<tr>
<td> storageType
<td> Int
<td> 数据盘类型，1：本地盘，2：云硬盘
<tr>
<td> storageSize
<td> Int
<td> 数据盘大小(G)
<tr>
<td> imageId
<td> Int
<td> 镜像ID <br>
1：'CentOS6.2-64bit'<br>
2：'CentOS6.3-64bit'<br>
3：'redhat5.3-64bit'<br>
4：'SUSE Linux Enterprise Server 10 (x86_64)'<br>
5：'ubuntu12-64bit'<br>
6：'Xserver V8.1_64'
<tr>
<td> instanceId
<td> Array
<td> 实例ID
<tr>
<td> unInstanceId
<td> Array
<td> 唯一标识实例的ID，命名格式为“ins-xxxxxxxx”，可以使用此ID调用<a href="http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E7%9C%8B%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeInstances">DescribeInstances</a>接口查询实例详情。
<tr>
<td> zoneId
<td> Int
<td> 可用区ID
<tr>
<td> vpcId
<td> String
<td>私有网络ID
<tr>
<td> subnetId
<td> String
<td> 子网ID
</tbody></table>

</b></th>带宽升级 goodsDetail 实例信息</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> bandwidth
<td> Int
<td> 升级后的带宽，0表示不需要外网IP，非0表示带宽的值，单位Mbps
<tr>
<td> startTime 
<td> String
<td> 开始日期
<tr>
<td> endTime 
<td> String
<td> 结束日期
<tr>
<td> instanceId
<td> Array
<td> 实例ID
</tbody></table>

</b></th>CVM配置升级 goodsDetail 实例信息</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> instanceId
<td> Array
<td> 实例ID
<tr>
<td> oldBandwidth
<td> Int
<td> 升级前的带宽值, 单位 Mbps
<tr>
<td> upgradeBandwidth
<td> Int
<td> 升级后的带宽值, 单位 Mbps
<tr>
<td> bandwidthUpgradeStartTime
<td> String
<td> 起始时间。格式如：2014-10-30。
<tr>
<td> bandwidthUpgradeEndTime
<td> String
<td> 终止时间。格式如：2014-11-30。
<tr>
<td> oldCpu
<td> Int
<td> 升级前的服务器核数
<tr>
<td> upgradeCpu
<td> Int
<td> 升级后的服务器核数
<tr>
<td> oldMem
<td> Int
<td> 升级前的服务器内存大小(G)
<tr>
<td> upgradeMem
<td> Int
<td> 升级后的服务器内存大小(G)
<tr>
<td> storageType
<td> Int
<td> 数据盘类型，1：本地盘，2：云硬盘
<tr>
<td> oldStorageSize
<td> Int
<td> 升级前的数据盘大小(单位:GB), 0 表示不要数据盘
<tr>
<td> upgradeStorageSize
<td> Int
<td> 升级后的数据盘大小(单位:GB), 0 表示不要数据盘
</tbody></table>

</b></th>CDB goodsDetail 实例信息</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> timespan
<td> Int
<td> 申请的时间周期，单位月
<tr>
<td> cdbType 
<td> Int
<td> 云数据库的类型
<tr>
<td> engineVersion
<td> String
<td> 云数据库版本
<tr>
<td> charset
<td> String
<td> 数据库的字符集
<tr>
<td> instanceId
<td> Array
<td> 实例ID
</tbody></table>

</b></th>负载均衡 实例信息</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerType
<td> Int
<td> 负载均衡的类型，1：公网（无日租），2：公网（有日租），3：内网
<tr>
<td> instanceId
<td> Array
<td> 实例ID
</tbody></table>

</b></th>VPN goodsDetail 实例信息</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> timespan
<td> Int
<td> 申请的时间周期，单位月
<tr>
<td> vpnGwQuota
<td> String
<td> VPN网关类型
<tr>
<td> bandwidth
<td> String
<td> VPN带宽
<tr>
<td> cname
<td> String
<td> VPN名字
<tr>
<td> vpcId
<td> String
<td> 所属的私有网络Id
</tbody></table>


 

## 4. 示例
 
输入

 <pre>
    https://trade.api.qcloud.com/v2/index.php?Action=DescribeDeals   
    &dealIds.1=12345
    &<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
 </pre>		

输出

CVM相关的订单查询
```
    {
        "code":0,
        "message": "",
        "totalNum": 1,
        " dealDetails ":
            [
                {
                    "dealId":"12345",
                    "instanceType":1,
                    "region":"gz",
                    "appId":"25412122",
                    "goodsNum":"1",
                    "creater":"123456788",
                    "creatTime":"2014-08-18 15:26:22",
                    "overdueTime":"2014-09-02 15:26:22",
                    "endTime":"2014-08-18 15:27:01",
                    "status":"3",
                    "price":12000,
                    "goodsDetail":
                        {
                            "cpu":1,
                            "mem":2,
                            "bandwidth":1,
                            "timeSpan":1,
                            "storageType":2,
                            "storageSize":10,
                            "imageId":1,
                            "instanceId":[]
                        }
                 }
            ]
    }

```

