<font color=RED>本页面的 API 已经失效，请参考</font>[新版本服务端 API](/document/product/266/7788)

## 1. 接口描述
 
域名：vod.api.qcloud.com
接口名: DescribeVodInfo

获取视频信息，可以根据视频ID、时间段或者状态等获得视频信息列表。

 

## 2. 输入参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> fileIds.n
<td> 否
<td> String
<td> 视频ID列表，暂时不支持批量
<tr>
<td> from
<td> 否
<td> String
<td> 开始时间，默认为1970-1-1 00:00:00
<tr>
<td> to
<td> 否
<td> String
<td> 结束时间，默认为 2038-1-1 00:00:00
<tr>
<td> classId
<td> 否
<td> Int
<td> 视频分类ID，过滤使用
<tr>
<td> status
<td> 否
<td> Int
<td> 视频状态，过滤使用， -1：未上传完成，不存在；0：初始化，暂未使用；1：审核不通过，暂未使用；2：正常；3：暂停；4：转码中；5：发布中；6：删除中；7：转码失败；10：转码等待中; 11: 部分转码成功；100：已删除
<tr>
<td> orderby
<td> 否
<td> Int
<td> 结果排序，默认按时间降序，0：按时间升序 1：按时间降序
<tr>
<td> pageNo
<td> 否
<td> Int
<td> 分页页号
<tr>
<td> pageSize
<td> 否
<td> Int
<td> 分页大小，范围在10-100之间
</tbody></table>

 

## 3. 输出参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<td> totalCount
<td> Int
<td> 视频总数
<tr>
<td> fileSet
<td> Array
<td> 视频列表结果集
<tr>
<td> cdnStatus
<td> int
<td> 是否在API中进行过CDN发布操作；0 - 未发布过；1 - 发布中，2 - 成功，3 - 发布失败，4 - 中止(暂未使用)，5 - 已删除
</tbody></table>
</b></th>fileSet 视频列表结果集</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> fileId
<td> String
<td> 视频ID
<tr>
<td> fileName
<td> String
<td> 视频名称
<tr>
<td> fileIntro
<td> String
<td> 视频介绍
<tr>
<td> size
<td> String
<td> 视频大小
<tr>
<td> duration
<td> String
<td> 视频持续时间
<tr>
<td> status
<td> String
<td> 视频状态， -1：未上传完成，不存在；0：初始化，暂未使用；1：审核不通过，暂未使用；2：正常；3：暂停；4：转码中；5：发布中；6：删除中；7：转码失败；10：等待转码；100：已删除
<tr>
<td> vid
<td> String
<td> 视频的唯一识别码
<tr>
<td> createTime
<td> String
<td> 视频创建时间
<tr>
<td> updateTime
<td> String
<td> 视频修改时间
<tr>
<td> classId
<td> String
<td> 视频分类ID
<tr>
<td> className
<td> String
<td> 视频分类名称
<tr>
<td> imageUrl
<td> String
<td> 视频封面图片
<tr>
<td> tags
<td> Array
<td> 视频标签列表
<tr>
<td> description
<td> string
<td> 描述
</tbody></table>


 

## 4. 示例
 
 按照视频ID查询 
输入
<pre>
  https://domain/v2/index.php?Action=DescribeVodInfo
  &fileIds.1=1976554120332374777
  &<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>
输出
```

{
    "code" : 0,
    "message" : "",
    "fileSet" : [
        {
            "fileId" : "1976554120332374777",
            "fileName" : "蓝色茉莉(01h35m56s-01h38m23s)",
            "fileIntro" : "",
            "size" : "7865592",
            "duration" : "147",
            "status" : "2",
            "vid" : "1200_1870483a9a6011e4a137dfa495b17abf",
            "createTime" : "2015-01-12 21:37:11",
            "updateTime" : "2015-01-13 11:23:01",
            "classId" : "0",
            "className" : "其他",
            "imageUrl" : "http://p.qpic.cn/videoyun/0/1200_1870483a9a6011e4a137dfa495b17abf_1/640",
            "tags" : [
                "其他",
            ],
        }
    ]
}

```

