<font color=RED>本页面的 API 已经失效，请参考</font>[新版本服务端 API](/document/product/266/7788)

## 1. 接口描述
 
域名：vod.api.qcloud.com
接口名: DescribeVodPlayInfo

获取视频信息，可以根据视频文件名获得视频信息列表。
 

## 2. 输入参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> fileName
<td> 是
<td> String
<td> 视频名称（前缀匹配）
<tr>
<td> pageNo
<td> 否
<td> int
<td> 页号
<tr>
<td> pageSize
<td> 否
<td> int
<td> 分页大小
</tbody></table>

 

## 3. 输出参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<td> totalCount
<td> Int
<td> 视频总数
<tr>
<td> fileSet
<td> Array
<td> 视频列表结果集
</tbody></table>

</b></th>fileSet 视频列表结果集</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> fileId
<td> String
<td> 视频ID
<tr>
<td> fileName
<td> String
<td> 视频名称
<tr>
<td> duration
<td> String
<td> 视频持续时间
<tr>
<td> status
<td> String
<td> 视频状态， -1：未上传完成，不存在；0：初始化，暂未使用；1：审核不通过，暂未使用；2：正常；3：暂停；4：转码中；5：发布中；6：删除中；7：转码失败；10：转码等待中; 11: 部分转码成功；100：已删除
<tr>
<td> imageUrl
<td> String
<td> 视频封面图片
<tr>
<td> playSet
<td> Array
<td> 视频播放信息
</tbody></table>

</b></th>playSet 该视频的播放信息结果集</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> url
<td> String
<td> 播放地址
<tr>
<td> definition
<td> Int
<td> 格式， 0: ["", "原始"], 1: ["带水印", "原始"], 10: ["手机", "mp4"], 20: ["标清", "mp4"], 30: ["高清", "mp4"], 110: ["手机", "flv"], 120: ["标清", "flv"], 130: ["高清", "flv"]
<tr>
<td> vbitrate
<td> Int
<td> 码率，单位：kbps
<tr>
<td> vheight
<td> Int
<td> 高度，单位：px
<tr>
<td> vwidth
<td> Int
<td> 宽度，单位：px
</tbody></table>

 

## 4. 示例
 
按照视频ID查询
输入
<pre>
 
 https://domain/v2/index.php?Action=DescribeVodPlayInfo
 &fileName=13425173277
 &<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>

</pre>

输出
```
 
{
    "code": 0,
    "message": "",
    "totalCount": "105",
    "fileSet": [
        {
            "fileId": "11624759161874546966",
            "fileName": "13425173277_2015-09-06-18-56-11_2015-09-06-19-06-11",
            "duration": 600,
            "status": "2",
            "image_url": "http://p.qpic.cn/videoyun/0/1203_7626dd7d1c3e48eea1230026126caf7d_1/640",
            "playSet": [
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_7626dd7d1c3e48eea1230026126caf7d.f0.mp4",
                    "definition": 0,
                    "vbitrate": 250000,
                    "vheight": 480,
                    "vwidth": 640
                },
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_7626dd7d1c3e48eea1230026126caf7d.f10.mp4",
                    "definition": 10,
                    "vbitrate": 149128,
                    "vheight": 240,
                    "vwidth": 320
                },
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_7626dd7d1c3e48eea1230026126caf7d.f20.mp4",
                    "definition": 20,
                    "vbitrate": 299837,
                    "vheight": 480,
                    "vwidth": 640
                },
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_7626dd7d1c3e48eea1230026126caf7d.f220.av.m3u8",
                    "definition": 220,
                    "vbitrate": 524288,
                    "vheight": 480,
                    "vwidth": 640
                },
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_7626dd7d1c3e48eea1230026126caf7d.f30.mp4",
                    "definition": 30,
                    "vbitrate": 865828,
                    "vheight": 960,
                    "vwidth": 1280
                },
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_7626dd7d1c3e48eea1230026126caf7d.f40.mp4",
                    "definition": 40,
                    "vbitrate": 1709293,
                    "vheight": 1440,
                    "vwidth": 1920
                }
            ]
        },
        {
            "fileId": "11624759161874546967",
            "fileName": "13425173277_2015-09-06-19-06-11_2015-09-06-19-16-11",
            "duration": 599,
            "status": "2",
            "image_url": "http://p.qpic.cn/videoyun/0/1203_8a5015084d4f47cd9a0bc5ecfe78aecb_1/640",
            "playSet": [
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_8a5015084d4f47cd9a0bc5ecfe78aecb.f0.mp4",
                    "definition": 0,
                    "vbitrate": 246000,
                    "vheight": 480,
                    "vwidth": 640
                },
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_8a5015084d4f47cd9a0bc5ecfe78aecb.f10.mp4",
                    "definition": 10,
                    "vbitrate": 149193,
                    "vheight": 240,
                    "vwidth": 320
                },
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_8a5015084d4f47cd9a0bc5ecfe78aecb.f20.mp4",
                    "definition": 20,
                    "vbitrate": 297656,
                    "vheight": 480,
                    "vwidth": 640
                },
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_8a5015084d4f47cd9a0bc5ecfe78aecb.f220.av.m3u8",
                    "definition": 220,
                    "vbitrate": 524288,
                    "vheight": 480,
                    "vwidth": 640
                },
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_8a5015084d4f47cd9a0bc5ecfe78aecb.f30.mp4",
                    "definition": 30,
                    "vbitrate": 899976,
                    "vheight": 960,
                    "vwidth": 1280
                },
                {
                    "url": "http://vcloud1203.tc.qq.com/1203_8a5015084d4f47cd9a0bc5ecfe78aecb.f40.mp4",
                    "definition": 40,
                    "vbitrate": 1746652,
                    "vheight": 1440,
                    "vwidth": 1920
                }
            ]
        }
	 ]
}

```

