<font color=RED>本页面的 API 已经失效，请参考</font>[新版本服务端 API](/document/product/266/7788)

## 1. 接口描述
 
域名：vod.qcloud.com
接口名: MultipartUploadVodFile

注意：
1. 该操作仅支持http协议。 


## 2. 输入参数
注意
1. 仅支持post协议。
2. PostBody部分仅存放offset和dataSize所指向的文件二进制流。
3. Content-Type不支持form-data，推荐使用application/octet-stream。
4. 除最后一个分片，第一个分片dataSize必须等于512k，中间分片必须大于等于512k。所有分片的dataSize必须等于content-length。
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> fileName
<td> 是
<td> String
<td> 视频文件本地名称，如果包含中文空格，则需要使用rawurlencode编码，长度在40个字符以内，不得包含\ / : * ? “ < > | 等字符
<tr>
<td> fileSha
<td> 是
<td> String
<td> 视频文件的sha，采用SHA-1计算文件内容
<tr>
<td> fileSize
<td> 是
<td> Int
<td> 视频文件的总大小，单位字节Byte
<tr>
<td> dataSize
<td> 是
<td> Int
<td> 本次上传的分片大小，单位字节Byte。dataSize值取值范围[524288~5242880]（非最后分片，第一个分片固定524288）
<tr>
<td> offset
<td> 是
<td> Int
<td> 本次上传分片在视频文件的偏移量，第一片为0，后续偏移量可按照上一次操作的返回
<tr>
<td> fileType
<td> 是
<td> String
<td> 视频文件的类型，根据后缀区分
<tr>
<td> tags.n
<td> 否
<td> String
<td> 视频的标签列表
<tr>
<td> classId
<td> 否
<td> Int
<td> 视频的分类ID
<tr>
<td> isTranscode
<td> 否
<td> Int
<td> 是否转码，0：否，1：是，默认为0；如果不执行转码，可在上传后，在管理控制台视频文件管理进行转码；
<tr>
<td> isScreenshot
<td> 否
<td> Int
<td> 是否截图，0：否，1：是，默认为0
<tr>
<td> isWatermark
<td> 否
<td> Int
<td> 是否打水印，0：否，1：是，默认为0；如果选择打水印，请务必在管理控制台提前完成水印文件选择和位置设定，否则可能导致上传失败；
</tbody></table>


 

## 3. 输出参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<td> flag
<td> Int
<td> 是否最后一片，0：上传未完成，1：整个文件上传完成
<tr>
<td> offset
<td> String
<td> 下一片数据应该从什么偏移继续上传，flag为0时才有值
<tr>
<td> fileId
<td> String
<td> 视频文件的ID，flag为1时才有值
</tbody></table>

 

## 4. 示例
 
输入1
<pre>
 http://domain/v2/index.php?Action=MultipartUploadVodFile
 &fileName=盗梦空间
 &fileSha=b4a5c70c76e79e01ab3a5c306de3d9eedeadeca9
 &fileSize=1024
 &dataSize=512
 &offset=0
 &fileType=avi
 &<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a> 
[本次上传视频文件二进制内容数据]
</pre>
注明：
本次上传视频文件二进制内容数据大小等同于dataSize；

输出1
```

{
    "code" : 0,
    "message" : "",
    "flag" : 0,
    "offset" : "512",
}

```

输入2
<pre>
 http://domain/v2/index.php?Action=MultipartUploadVodFile
 &fileName=盗梦空间
 &fileSha=b4a5c70c76e79e01ab3a5c306de3d9eedeadeca9
 &fileSize=1024
 &dataSize=512
 &offset=512
 &fileType=avi
 &<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
[本次上传视频文件二进制内容数据]
</pre>
注明：
本次上传视频文件二进制内容数据大小等同于dataSize；&COMMON_PARAMS请参考[[公共参数|公共参数部分]]。

输出2
```

{
    "code" : 0,
    "message" : "",
    "flag" : 1,
    "fileId" : "18168685704931758788",
}
```


 ## 5.其他代码示例 
[Python示例](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/qcloudapi-sdk-python-upload.zip)
[Java示例](https://mc.qcloudimg.com/static/archive/4d3d855a631860048ff92ca55379ffb9/qcloudapi-sdk-java-upload.zip)
[PHP示例](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/qcloudapi-sdk-php-upload.zip)
[JS示例](http://video.qcloud.com/sdk/upload.html)

 ## 6.上传流程说明 
对于视频文件，一般为文件比较大，所以需要采用分片上传的方法，MultipartUploadVodFile 接口正是使用了这种分片上传的方法。
**什么是分片上传?**
分片上传功能是将一个文件切割为一系列特定大小的小数据片，分片将这些数据片分别上传到服务器中，这些小的数据片在服务器中会再次合成一个资源，通过对文件的sha值进行校验，以保证合并后的文件为一个完整的，与用户上传的文件内容一致的文件。分片上传的好处有两个，一个是防止网络不稳定导致的上传失败,另一个是允许断点续传。缺点是协议变得复杂，对于api使用者使用增大了一定的难度。我们可以通过下图理解分片上传的过程。

<img src="http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kehuduan-1.png" alt="kehuduan-1.png">

从上图可以看出，分片上传完成后，会合并成一个文件，同时计算文件内容的sha值，如果与原始文件的sha值相同，这时文件上传成功。
从上图可以看出，决定一个文件的分片有两个值，分别是偏移量(对应参数Offset)和分片大小(对应参数dataSize)，通过这两个参数，我们可以从一个文件中定位出该分片并取出它相应的内容，如下图所示。

<img src="http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kehuduan-3.png" alt="kehuduan-3.png">

因此，每次请求的方式以分片为粒度，使用MultipartUploadVodFile接口，构造上传完整文的流程如下图所示。

<img src="http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kehuduan-2.png" alt="kehuduan-2.png">

当客户端需要上传一个文件时，会上传第一个分片，第一个分片的偏移量offset为0，分片的大小dataSize 由上传分片的内容决定，建议最小为512KB 。服务器接收到数据后，对客户端进行响应，告诉客户端这里已经上传了多少内容，下一次需要上传的偏移量应该从多少开始，这个时候，客户端便需要根据指定的偏移量上传分片数据。其中flag为0表示文件还没有上传完毕。如果文件已经上传完毕，或者文件已经存在服务器上，那么这是服务器响应的内容将flag参数置1，并且返回文件唯一标志fileId。
所以，客户端需要做的就是发起第一个分片上传后，根据服务器的响应，循环地调用MultipartUploadVodFile接口以上传服务器指定的下一个分片内容，直至服务器返回文件上传完毕的消息为止。

## 7.常见问题以及处理方法 
●**分片上传的分片值(dataSize)大小应该设置为多少？**
最小不少于512KB，一般可以设置为5MB，在网络环境不稳定的情况下，可以相应减少调整,如设置成1MB或2MB。
●**常见传输失败的原因是什么?**
分两种情况，一种是服务器响应有返回错误码，另外一种是服务器没有返回错误码。
如果返回的响应中存在错误码code，那么可以根据错误码的提示进行排错，错误码以及排查方法如下表所示。
<table class="t">
<tbody><tr>
<th> <b>错误码</b>
</th><th> <b>错误信息</b>
</th><th> <b>中文含义</b>
</th><th> <b>排查方法</b>
</th></tr>
<tr>
<td> -26498
</td><td> check signature error!
</td><td> 签名失效
</td><td> 阅读wiki鉴权说明
</td></tr>
<tr>
<td> 10003
</td><td> key agent secret id is not exist
</td><td> secret id不存在 or 无效的id
</td><td> 帐号是否开通云点播或是否已到期,或者到<a href="https://console.cloud.tencent.com/capi" class="external free" title="https://console.cloud.tencent.com/capi" target="_blank" rel="nofollow">https://console.cloud.tencent.com/capi</a> 查看 SecRetId和SecRetKey是否正确
</td></tr>
<tr>
<td> 10004
</td><td> check sign failure
</td><td> 签名验证失败
</td><td> 阅读wiki鉴权说明，是否正确排序，计算签名串是否跟发出来的HTTP请求一致
</td></tr>
<tr>
<td> -25997
</td><td> invalid SecretId param
</td><td> 不合法的secret id
</td><td> 正确获取secret id，到<a href="https://console.cloud.tencent.com/capi" class="external free" title="https://console.cloud.tencent.com/capi" target="_blank" rel="nofollow">https://console.cloud.tencent.com/capi</a> 查看SecRetId和SecRetKey是否正确
</td></tr>
<tr>
<td> -25976
</td><td> invalid notifyurl param
</td><td> 无效的notifyUrl
</td><td> 回调地址无效，请确认回调地址是有效的http链接
</td></tr>
<tr>
<td> -29200
</td><td> upload file sha checksum not equal
</td><td> 上传文件sha校验不相等
</td><td> 检查sha计算是否有误
</td></tr>
<tr>
<td> -25986
</td><td> invalid fileType param
</td><td> 无效的fileType
</td><td> fileType无效
</td></tr>
<tr>
<td> -25985
</td><td> invalid fileSha param
</td><td> 无效的fileSha
</td><td> fileSha无效，检查计算函数
</td></tr>
<tr>
<td> -25984
</td><td> invalid tag param
</td><td> 无效的tag
</td><td> tag是否有非法字符
</td></tr>
<tr>
<td> -25983
</td><td> nvalid classId param
</td><td> 无效的classId
</td><td> classId是否存在
</td></tr>
<tr>
<td> -25981
</td><td> invalid fileSize param
</td><td> 无效的fileSize
</td><td> fileSize是否正确计算
</td></tr>
<tr>
<td> -25980
</td><td> invalid isScreenshot param
</td><td> 无效的isScreenshot
</td><td> isScreenshot参数类型是否正确
</td></tr>
<tr>
<td> -25979
</td><td> invalid isWatermark param
</td><td> 无效的isWatermark
</td><td> isWatermark参数类型是否正确
</td></tr>
<tr>
<td> -25978
</td><td> invalid isTranscode param
</td><td> 无效的isTranscode
</td><td> isTranscode参数类型是否正确
</td></tr>
<tr>
<td> -25982
</td><td> invalid dataSize param
</td><td> 无效的dataSize
</td><td> 检查分片大小是否设置正确
</td></tr>
<tr>
<td> -25977
</td><td> invalid dataSize param, dataSize + offset &gt; fileSize
</td><td> 无效的dataSize
</td><td> 分片大小+已发送的偏移量已超过文件大小，这个时候应该留意一下最后一个分片的dataSize设置是否正确，因为一般应该小于之前设置的分片值大小
</td></tr></tbody></table>

如果没有返回错误码，则看服务器是否有响应，如果http本身的状态码不是200，则可以参考http协议中规定的错误码来快速定位错误原因(注意与服务器返回消息的错误码区分(格式一般是{"code":0,"message":".."})，服务器返回消息的错误码时，http状态码都是200)。 如果请求没有响应，则有可能是网络本身原因，这时候应该考虑网络是可用，同时，参看http本身另外，留意主机的HOST文件是否被修改。如果访问接口的域名被修改了host，也会出现连接失败的问题。windows系统的host文件一般在 目录 C:\Windows\System32\drivers\etc 的 hosts文件中。 linux系统的host文件一般在文件 /etc/hosts 中。 
●**每次上传分片时候，都会附带是否转码，是否添加水印这些参数，这些参数什么时候生效的? **
转码，水印，截图这三个参数的生效时刻是在上传第一个分片的时候起作用的，其他分片的转码，水印和截图参数并不生效。同时，只有设置转码，水印和截图才会生效。如果上传的视频的这三个参数设置与预想的不一致，可能是之前已经进行了视频上传的操作。 
 ## 8.设置转码回调 
文件上传可以设置转码回调，用于通知客户端转码的状态。回调地址的参数为notifyUrl。 回调只有在设置转码参数(isTranscode)为1时，才会有作用，服务器在转码结束后，会向指定的地址发出post请求，其内容格式为json格式。
回调状态： 回调仅在全部转码结果生成后发生一次。回调状态包括：成功（全部或部分格式成功转码），失败（全部格式转码失败）。其中，回调信息中，仅显示转码成功所生成的所有对应格式链接。如无显示，则对应格式转码失败。此时，可使用ConvertVodFile重新转码。

文件转码成功后，进行回调,
```
{
　　“status”:0, //返回状态,
　　“message”:”” //返回消息,
　　“task”:”transcode” // 文件上传完毕时为file_upload，转码结束时为transcode
　　“data”:{
　　“ret”:0 //错误码,
　　“message”:””//消息 ,
　　“file_id” :123445//文件id
　　“image_video”:{
　　“code”:0,
　　“duration”:0,//持续时间
　　“imgUrl”:{
		 “id”: 3213,
　　“url”:”cloud.tencent.com/templurl.png”, //图片链接
　　“vheight”:21,
　　“width”:32, 
　　}
　　}
　　“message”:””,//消息
　　“vid”:”231414” ,//视频id,
　　“videoUrls”:[
　　{
　　“url”:”www.qcloucd.com/temp_video.mp4”,
　　“md5”:”fdasfdsafsadf”,//md5值
　　“sha”:”dasfdsfas”,//文件sha值,
　　“size”:123 ,//大小
　　“update_time”:”2015 08 49 12:0:0”, //更新时间
　　“vbirate”:231,//比特率
　　“vheight”: 480 ,/ /视频高度
　　“vwidth”:800 ,//视频宽度
　　
 }
　　]
　　“player_code” :{
 “h5”:”” ,//html5播放器代码,
　　“flash”:””,//flash播放器代码,
　　“iframe”:””,//iframe播放器代码
　　}
　　}
}

```

其中，需要留意的是，文件上传结束开始转码时后，由于转码还没完成，所以返回的错误码为303，其他情况下，需要留意ret返回的错误码,其错误码为
<table class="t">
<tbody><tr>
<th> <b>错误码</b>
</th><th> <b>错误类型</b>
</th><th> <b>错误原因</b>
</th></tr>
<tr>
<td> -300
</td><td> 内部错误
</td><td> getvidformat 失败
</td></tr>
<tr>
<td> -301
</td><td> 内部错误
</td><td> getvidformat 超时
</td></tr>
<tr>
<td> -302
</td><td> 内部错误
</td><td> getvidformat 失败 文件不存在
</td></tr>
<tr>
<td> -303
</td><td> 内部错误
</td><td> getvidformat 失败 文件转换后列表为空
</td></tr>
<tr>
<td> -304
</td><td> 内部错误
</td><td> getfileinfo失败
</td></tr>
<tr>
<td> -305
</td><td> 内部错误
</td><td> getfileinfo超时
</td></tr>
<tr>
<td> -308
</td><td> 内部错误
</td><td> setfileinfo失败
</td></tr>
<tr>
<td> -309
</td><td> 内部错误
</td><td> setfileinfo超时
</td></tr>
<tr>
<td> -350
</td><td> 内部错误
</td><td> getfileinfo失败，文件被禁止访问
</td></tr>
<tr>
<td> -400
</td><td> 内部错误
</td><td> OCDispatch失败
</td></tr>
<tr>
<td> -401
</td><td> 内部错误
</td><td> OCDispatch超时
</td></tr>
<tr>
<td> -500
</td><td> 内部错误
</td><td> transwm设置失败
</td></tr>
<tr>
<td> -501
</td><td> 内部错误
</td><td> transwm设置超时
</td></tr>
<tr>
<td> -502
</td><td> 内部错误
</td><td> 转码失败
</td></tr>
<tr>
<td> -503
</td><td> 内部错误
</td><td> 转码超时
</td></tr>
<tr>
<td> -550
</td><td> 外部错误
</td><td> 转码失败，源文件错误
</td></tr></tbody></table>


