公共参数是用于标识用户和接口鉴权目的的参数, 如非必要, 在每个接口单独的接口文档中不再对这些参数进行说明, 但每次请求均需要携带这些参数, 才能正常发起请求。

<table class="t">
<tbody><tr>
<th> <b>名称</b>
</th><th> <b>类型</b>
</th><th> <b>描述</b>
</th><th width="50"> <b>必选</b>
</th></tr>
<tr>
<td> Action
</td><td> String
</td><td> 接口指令的名称，例如: DescribeClass
</td><td> 是
</td></tr>
<tr>
<td> Region
</td><td> String
</td><td> 区域参数，用来标识希望操作哪个区域的实例。可选: <br>bj:北京<br>gz:广州<br>sh:上海<br>hk:香港<br>ca:北美<br>

</td><td> 是
</td></tr>
<tr>
<td> Timestamp
</td><td> UInt
</td><td> 当前UNIX时间戳
</td><td> 是
</td></tr>
<tr>
<td> Nonce
</td><td> UInt
</td><td> 随机正整数，与 Timestamp 联合起来, 用于防止重放攻击
</td><td> 是
</td></tr>
<tr>
<td> SecretId
</td><td> String
</td><td> 由腾讯云平台上申请的标识身份的 SecretId 和 SecretKey, 其中 SecretKey 会用来生成 Signature<br>具体参考 <a href="/doc/api/257/接口鉴权" title="接口鉴权">接口鉴权</a> 页面
</td><td> 是
</td></tr>
<tr>
<td> Signature
</td><td> String
</td><td> 请求签名，用来验证此次请求的合法性, <br>具体参考 <a href="/doc/api/257/接口鉴权" title="接口鉴权">接口鉴权</a> 页面
</td><td> 是
</td></tr></tbody></table>

一个典型的接口请求如下, Action=DescribeInstance表示查询云服务器实例的详情。

```
https://vod/v2/index.php?Action=DescribeInstances
&SecretId=xxxxxxx
&Region=gz
&Timestamp=1402992826
&Nonce=345122
&Signature=mysignature
&instanceId=101
```
其中instanceId为指令参数，其余为通用参数。
