
## 1. 直播观看不了？
  如果您发现直播无法观看，是不是感觉非常的无奈？是不是觉得腾讯云就是个黑盒子，完全搞不懂里面出了什么情况？
  不着急，按照下面的思路进行排查，一般都能在几十秒内确认问题原因：
  ![problem](//mccdn.qcloud.com/static/img/0b37831c5d7bca20d5e465b6d8953937/image.jpg)

- **0. 检查地址**：
  > 对，在所有检查开始之前，您务必要先检查一下地址是否正确，因为这里出错概率最高，腾讯云的直播地址分推流地址和播放地址两种，我们可能会<font color='red'>误拿推流地址来播放</font>。
  > ![diff](//mccdn.qcloud.com/static/img/1d093770d4b9bfaec5e15b01bdb65d00/image.png)

- **1. 检查播放端**：
  >首先要怀疑一下播放器是不是有问题，这里排查方案很简单，您可以用比较标准的VLC播放器(PC上下载安装)和FLASH播放器（这里有个不错的[测试网址](http://www.cutv.com/demo/live_test.swf)）。
  >
  >如果VLC播放器或者FLASH播放器播放正常，但是腾讯云的[终端DEMO](https://cloud.tencent.com/doc/product/267/4821)播放不正常，那么就说明播放端兼容性做的不好，可以把问题反馈给我们。
  >
  >如果VLC播放器或者FLASH播放器也播放不了，播放器这个点的嫌疑暂时可以排除了，接下来我们继续往上一级排查。
  >

- **2. 检查下行网络**：
  >这是常见的一种情况，不少客户的公司网络环境会限制视频播放，限制的原理是由防火墙侦测http请求的是否是流媒体资源（公司老板都不希望员工上班看视频吗）。
  >
  >如果您使用4G进行直播观看没有问题，而是用公司的WiFi网络无法观看，即说明公司的网络策略有所限制，您可以尝试跟网管沟通，让TA给您的ip做一下特殊处理。
  >
  >如果切换网络（比如4G）也依然不行，那我们继续向上游寻找。

- **3. 检查频道设置**：
  >有两个常见的错误操作需要您在管理控制台确认一下：
  >频道的状态是“未启用”，未启用的频道是拒绝推流和观看的(下图中红框所标记的频道没有启用)。
  >![disable](//mccdn.qcloud.com/static/img/d2273e61409a5d2c89e7f1e0018963ca/image.jpg)
  >
  >频道有没有打开您期望的观看协议，比如有些客户想要在app端观看flv地址，但是在频道设置里只开启了HLS。
  >![edit](//mccdn.qcloud.com/static/img/2687d18bd59b639cdbbbc535cc85eed7/image.jpg)
  >这种情况下，您需要点击右上角的**编辑**按钮，勾选FLV协议前的复选框，从而开启FLV观看地址。
  >![flv](//mccdn.qcloud.com/static/img/1fa26a7758383bc1dbf58dffb6370576/image.jpg)

- **4. 检查主播上行**：
  >上行网络不足是目前排查的问题中最常见的问题，主要原因是国内运营商对中国网民的上行带宽控制非常严格，而如果主播想要更清晰的画面，也意味着上行带宽要足够高。
  >
  >您可以打开我们的[终端DEMO](https://cloud.tencent.com/doc/product/267/4821)，扫描您的推流地址测试推流，这个时候记得打开log面板，然后观察**SPD**（网络上行速度） 和 **VBR**（视频码率，即视频编码器每秒产生多少视频数据）
  >![compare](//mccdn.qcloud.com/static/img/07e38ceed7cfe097f34734acc50c56f5/image.jpg)
  >
  >对于右图的情况，观看端的表现一定不会正常，推荐您切换到正常的网络环境再做测试。


- **5. 检查推流端**：
  >目前最流行的推流软件是[OBS](https://obsproject.com/)，您可以用OBS推流看看是否有异常，不过目前为止还没有遇到多少推流端数据有问题的案例，因为目前推流SDK的所有协议都遵循了标准定义。相比之下，倒是下面这个问题非常常见：
  >
  >**推流地址被占用**
  > 如果一个地址已经有一个推流端在推流，另一个推流端一定会失败，这是个有你没我的矛盾。
  >![conflict](//mccdn.qcloud.com/static/img/e8c4de29cb91419ba50146c0cacfd824/image.jpg)
  >
  >**防盗链签名问题**
  > 如果您的推流URL中有txSecret和txTime等字样，说明您的地址是收到防盗链保护的，具体详情可以参考[安全保护](https://cloud.tencent.com/doc/api/258/5693)，如果您的URL不可用，我建议您检查一下：URL里的txTime可能是过期的，txSecret也可能是计算错误的，推荐您按这个思路排查一下。


## 2. 卡顿源自何处？
### 2.1 RTMP推流质量

RTMP 推流质量对于观看体验非常关键，因为如果主播的推流质量不佳，那么所有观众看到的视频画面都是卡顿的，据统计，视频云客户群 80% 以上的直播间卡顿问题均是由于 RTMP 推流质量不佳导致的，那么怎么评估推流质量呢？

RTMP SDK 提供了一种状态反馈机制，每1-2秒就会将内部各种状态参数反馈出来，我们可以通过注册 **TXLivePushListener** 监听器来获取这些状态。

![](//mc.qcloudimg.com/static/img/48fd46af4e17b0299fd00a0e661a16f0/image.png)

|  推流状态                   |  含义说明                    |   
| :------------------------  |  :------------------------ | 
| NET_STATUS_CPU_USAGE     |当前进程的CPU使用率和本机总体的CPU使用率|
| NET_STATUS_VIDEO_WIDTH  |当前视频的宽度（单位：像素值）    |
| NET_STATUS_VIDEO_HEIGHT|当前视频的高度（单位：像素值）    |
|	NET_STATUS_NET_SPEED     | 当前的发送速度（单位：kbps）|
|	NET_STATUS_VIDEO_BITRATE | 当前视频编码器输出的比特率，也就是编码器每秒生产了多少视频数据，单位： kbps|
|	NET_STATUS_AUDIO_BITRATE | 当前音频编码器输出的比特率，也就是编码器每秒生产了多少音频数据，单位： kbps|
|	NET_STATUS_VIDEO_FPS     | 当前视频帧率，也就是视频编码器每条生产了多少帧画面|
|	NET_STATUS_CACHE_SIZE    | 音视频数据堆积情况，这个数字超过个位数，即说明当前上行带宽不足以消费掉已经生产的音视频数据|
|	NET_STATUS_CODEC_DROP_CNT  |全局丢包次数，为了避免延迟持续恶性堆积，SDK在数据积压超过警戒线以后会主动丢包，丢包次数越多，说明网络问题越严重。|
| NET_STATUS_SERVER_IP     | 连接的推流服务器的IP |
|	NET_STATUS_NET_JITTER    | 网络抖动情况（指导作用很小，不推荐参考）|

### 2.2 推流质量的判断
有了上面这些状态信息，但怎么判断推流质量是否OK呢？下面几条是我们常用的质量判断指标，<font color='red'>**强烈推荐您了解一下**</font>：

**1. BITRATE 与 NET_SPEED 的关系**
>BITRATE( = VIDEO_BITRATE + AUDIO_BITRATE ) 指的是编码器每秒产生了多少音视频数据要推出去，NET_SPEED 指的是每秒钟实际推出了多少数据，所以如果 BITRATE == NET_SPEED 的情况是常态，则推流质量会非常良好；
>
>而如果 BITRATE >= NET_SPEED 这种情况的持续时间比较长，推流质量就很难有什么保障。

**2. CACHE_SIZE 和 DROP_CNT 的数值**
>BITRATE >= NET_SPEED 的情况一旦出现，编码器产生的音视频数据就会在主播的手机上积压起来，积压的严重程度以 CACHE_SIZE 这个状态值展示出来，如果 CACHE_SIZE 超过警戒线，SDK 会主动丢弃一些音视频数据，从而触发 DROP_CNT 的增长。
>
>如果 CACHE_SIZE 大小持续超过个位数，或者 DROP_CNT 有增加，都说明主播的网络质量不 OK，推流质量难保证。
>
>下图所示就是一个典型的<font color='blue'>上行带宽不足导致观众端反馈持续卡顿</font>的经典案例：
>![](//mc.qcloudimg.com/static/img/319d6197da603ca15ffc6e2afd778e48/image.png)

**3. CPU_USAGE 的大小** 
>普通场景下，RTMP SDK 在各个平台的推流 CPU 使用率均会要求保持在 50% 一下，尤其是在开启硬件编码的情况下。比如在小米3这款机型上，开启硬件加速后，720p超清画质推流也不过30%的CPU使用率。
>
>然而，一个直播APP中使用CPU的不可能只有RTMP SDK，弹幕、飘星、文本消息互动等等，都有可能会消耗一定的CPU，这些都是不可避免的。
>
>但是，如果系统的整体CPU使用率超过 80%，那么视频的采集和编码都有可能会有影响；如果CPU使用率达到 100%，那么主播端本身就已经卡的一塌糊涂了，观众端要有流畅的观看体验显然是不可能的。

**4. SERVER_IP 的 ping 值**
>如果主播到 SERVER_IP 给出的 ip 地址的 ping 值很高（比如超过 500ms），那么推流质量一定无法保障。**就近接入**是我们腾讯云应该做好的事情，如您发现有这样的案例，请反馈给我们，我们的运维团队会持续调整和优化之。

### 2.3 SDK推流质量专区

您在 2.2 中所看到的图表是源于我们实验测试用的内部数据分析系统，如果您有同样的分析需求，可以在[直播控制台](https://console.cloud.tencent.com/live)的质量监控系统里看到类似的图表，这里的图表的格式更加简明，对其理解不需要太多专业的音视频基础知识。
![](//mc.qcloudimg.com/static/img/4bf231da79ec8e45bdc4c16c927da47f/image.png)

## 3. 为何延迟这么大?
按正常情况，RTMP推流+FLV播放的正常延迟在**<font color='red'>2-3秒</font>**左右，如果太长则是有问题的，如果您遇到了，可以按照如下思路来排查：
- **Step1. 检查播放协议**
  >不少客户播放协议采用HLS，并感觉延迟较大，这个是正常的，苹果主推的HLS是基于大颗粒的TS分片的流媒体协议，每个分片都有5s以上的时长，分片数量一般为3-4个，所以总延迟在20s-30s就不足为怪了。换用FLV作为播放协议即可。

- **Step2. 检查播放器设置**
   >腾讯云RTMP SDK的播放器支持**<font color='red'>极速</font>**、**流畅**和**自动**三种模式：
   > + 极速模式：能保证绝大多数场景下延迟都在 2-3 秒以内。
   > + 流畅模式：绝大多数场景下延迟都在 5 秒以上。
   > + 自动模式：如果网络很好，延迟一般都在 2-3 秒以内，否则，则会自动调整到5秒以上。
   >
   >![](//mc.qcloudimg.com/static/img/9e958f11e25eb2d2ca21c5935ae094e1/image.png)

- **Step3. 后台不要打水印**
  >腾讯云支持后台打水印，目的是满足一些不能使用腾讯云RTMP SDK的推流器（支持直播端加水印）但依然要打水印的客户。但是这种方案会引入额外的三秒延迟，故如果您本身使用的是腾讯云RTMP SDK来推流，就把后台水印关闭后在主播端的APP上加水印吧。

- **Step4. 刚推流即播放**
  >腾讯云后台的流媒体处理流水线是需要一点时间做缓冲和预热的，所以如果刚开始推流，立刻点开播放，这时的测试数据并不是特别可靠，推荐您在推流后等15-30s再测试真实的延迟。

- **Step5. 第三方推流器**
  > 我们只能确保在腾讯云一体化解决方案中保持理想的效果，如果您使用的是第三方推流软件，建议您先换成腾讯云RTMP SDK的推流Demo做个对比，排除一下第三方推流器的编码缓存引入大延迟的可能。

## 4. 画面拉伸变形？
![](//mccdn.qcloud.com/static/img/64012a07f85259bb3246c40e1014dcb4/image.png)

- **产生原因**
> 请检查您的播放地址是否带了<font color='red'>550或者900结尾</font>，该地址是后台转码后的播放地址（将原始码率转成标清或者高清），由于后台转码目前是采用固定的宽高比16：9进行转码，这会导致将9：16的画面转成16：9，从而导致画面拉伸变形。![](//mccdn.qcloud.com/static/img/3d507395719b716d6efd379f7022d862/image.png)

- **您可能并不需要转码**
>腾讯云的客户中，选择转码服务的基本都是原始码率大于1.5M的游戏直播客户，他们的原始画质以1080p和720p为主，这么高的码率在大屏PC上观看体验很好，但是在小尺寸手机屏幕上就显得有些没必要了，所以会进行高清（900kbps）和 普清（550kbps）的实时转码服务。
>
>如果您的原话画质并不高，比如1Mbps以内，这种转码显然会成为一种画蛇添足的功能，既增加了您的费用开支，又达不到预期效果。

## 5. 花屏&绿屏？

### 5.1 花屏&绿屏的原因
![screen_broken_vs_green](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/screen_broken_vs_green.jpg)

- **正常的花屏**
有一种花屏是正常的，就是**码率特别低**的时候出现的大面积马赛克，我们俗称"画面糊了"。比如我们告诉视频编码器（x264等）要输出1280*720高清分辨率的画面，但同时要求它只用200kbps的码率（码率是指编码器每秒产生的视频数据大小），编码器在这个时候能做的事情就是无底线地降低画质，比如大面积的马赛克。

- **区域性花屏**
上图中左侧的花屏属于异常花屏，即画面出现区域性错乱，这种情况的原因很多，主要是如下三种：
  + P帧丢失：如果丢了一个P帧，那么该帧之后的画面会出现区域性花屏，最简单的诊断办法就是检查poc。
  + P帧损坏：P帧没有丢，但是P帧损坏了，效果等用于丢失。
  + I 帧损坏：我们可以简单理解I帧就是一张jpg图片，如果图片有一份没解码出来，那么就会出现区域性花屏，而且这种花屏会持续一段时间，因为后续的P帧是修补不过来的。
  + B帧乱序：H264在引入B帧以后，就有了”乱入情节“，帧与帧之间的顺序不在那么单纯，搞错了就会花屏。
  
- **区域性绿屏**
上图中右侧的绿屏属于区域性绿屏，区域性绿屏跟异常花屏的诱发原因是差不多的，只是在很多系统上，无法渲染的画面有些用黑色填充，有些用绿色填充，有些用上一帧画面填充，所以同样的视频在不同的播放设备上有不同的表现形式。

- **全画幅绿屏**
 + I 帧彻底损坏：遇到彻底损坏的I帧，播放器没有办法恢复，只能用绿屏（或者黑屏、完全错乱的画面）来填充，这种情况错误的画面会持续几秒钟。
 + 首帧不是I 帧：有些不专业的CDN在输出视频流的时候，会有首帧不是I帧的情况，这跟I帧损坏所产生的影响是一样的，该情况下错误的画面会持续几秒钟。
 + Sps&pps错误：Sps&pps信息错误导致解码器被误导，这种情况下画面的错误是不可恢复的，绿屏（或者黑屏、完全错乱的画面）会无休止的持续下去。


### 5.2 如何应对花屏&绿屏？
经过将近两年的积累和沉淀，腾讯视频云本身在流媒体通道上的健壮性已经非常稳定和可靠，传输过程中引入的丢帧和坏帧问题基本不会发生。所以我们的排查方向会比较明确：
- **step 1：确认播放器**
比如使用腾讯视频云的SDK DEMO验证一下是否同样存在这个问题，多播放器交叉验证可以确认是不是播放器本身的兼容问题。

- **step 2：确认视频源**
视频源本身是否可靠，比如某些非专业推流软件，在数据积压的时候会随机丢弃一些数据帧，导致p帧或者i帧丢失引发花屏。如果使用vlc这种标准兼容比较好的播放器播放依然花屏，那么视频源有问题的概率是很大的。

- **step 3：非规范操作**
推流的时候如果要切换分辨率一般都推荐重新推流，腾讯视频云虽然支持热切换分辨率，但是对于存储下的视频，这种切换会产生诸多隐患，比如mp4格式本身不支持多分辨率，所以如果一个mp4文件在录制过程中遇到分辨率切换，花屏是不可避免的问题了。

## 6. 黑屏&黑边？
- **权限限制**：
没有打开摄像头的权限，这时候一般会收到PUSH_ERR_OPEN_CAMERA_FAIL的事件，请检查摄像头权限，如果没有收到这个事件，请联系我们并告知机型&系统；另外需要特别注意的是Android 6.0的系统，摄像头的权限需要自行判断并启用摄像头权限，否则将出现黑屏

- **分辨率超标**：
超过SDK支持的最大分辨率，SDK最大支持1920*1080的分辨率，请检查视频的分辨率

- **显示模式**：
显示模式 setRenderMode 可能设置成了 RENDER_MODE_ADJUST_RESOLUTION ，但画面又不符合屏幕当前的宽高比，比如16：9 的画面在4：3的屏幕上显示。

