﻿
## 兼容说明
直播码最初是腾讯云针对VIP客户所设计的一套直播解决方案，直到不久之前都是只能通过内部申请才能开通的，所以方案设计之初并没有需求跟[频道托管](https://cloud.tencent.com/doc/api/258/5659)模式相兼容。

所以您在开启直播码模式之前，请先确认如下几个点：
（1）**您的线上业务并不依赖频道托管**，如果一直以来都是使用频道托管模式，切换后的不兼容会让您遭遇很多问题。
（2）**您没有在大量使用互动直播服务**，互动直播的旁路直播使用的是频道托管模式，切换后会有很多不兼容问题。


## 开启直播码
### 1.开启视频直播服务
进入腾讯云[直播管理控制台](https://console.cloud.tencent.com/live)，如果您还没有开通直播服务，先把它开通了。
![](//mc.qcloudimg.com/static/img/fa16d8bc971a8fa5c881f00553fe855d/image.png)

### 2.切换到直播码模式
开通直播服务后，进入**直播管理界面**界面，如果您看到频道接入右上角有绿色小点，说明您现在处于频道托管模式。
![](//mc.qcloudimg.com/static/img/dd67f3bae42d2c5df6deefe5d5f7e091/image.png)

点击**直播码接入(推荐) **页签卡，则可以看到开启直播码服务的开关：
![](//mc.qcloudimg.com/static/img/5a33cf2173f1b39c458e3da7fa808bc9/image.png)

点击**启用直播码**按钮后，您会看到一个兼容性提醒Tips，如果您的线上业务有依赖频道托管模式不推荐开启，之后进入配置界面：
![](//mc.qcloudimg.com/static/img/9f3f012d7fddf7c0c21dc734f5c36ad5/image.png)

### 3.配置关键参数
在真正开启直播码模式之前，您需要配置上图中的四个配置项：

| 配置项 | 取值范围            | 具体含义  |
|----------|----------------------|--------------|
| 直播录制 | 开启 OR 关闭 | 开启直播录制后，只要是直播的视频，都会被后台默认的录制下来。[参考文档](https://cloud.tencent.com/doc/api/258/5691) |
| 推流防盗链key | 32位小写的字符串  | 出于安全考虑，推流地址需要绑定防盗链以避免被其他人抢占，该KEY用于计算防盗链签名。[参考文档](https://cloud.tencent.com/doc/api/258/5693) |
| API鉴权key | 32位小写的字符串  | 您的服务器在调用腾讯云后台API时，需要提供身份鉴权信息，该KEY用于帮助腾讯云确定您的服务器的合法身份。[参考文档](https://cloud.tencent.com/doc/api/258/5956) |
| 回调URL | HTTP协议URL地址 | 腾讯云会把视频的推流断流等事件通知通过这个URL投递给您，尚不支持HTTPS协议。[参考文档](https://cloud.tencent.com/doc/api/258/5957)  |

### 4.确定开通服务
点击**确定开通**按钮，即可将您的腾讯云直播服务切换到直播码模式了，成功开启后的页面展现如下：
![](//mc.qcloudimg.com/static/img/1400072859844bc1fa5dcf45bfa205c1/image.png)

您会发现页面有两个明显的变化：
（1）直播码接入(推荐) 页签的模式变为激活态了
（2）页面顶部多了一个bizid的数字，该数字是用来拼装推流地址用的，详情可以[参考文档](https://cloud.tencent.com/doc/api/258/5649#.E6.8E.A8.E6.B5.81.E5.9C.B0.E5.9D.80)。

### 5.辅助工具和代码
开通直播码的页面还提供了一个**地址生成器**，用来方便您平时测试URL，因为手算防盗链签名还是很费事的。
![](//mc.qcloudimg.com/static/img/7fe2bd6e762c1e109f77f36853b9749e/image.png)

同时，页面的最靠下的部分还提供了php和java两种语言版本的推流地址生成代码，您可以将其嵌入到您的后台程序中。

## 退回频道模式
如果您在开启直播码模式之后，发现它可能并不是特别适合您，您还可以会退到频道托管模式，做法很简单：只需要在**频道接入**页签卡中点击“启用频道接入”按钮即可。
![](//mc.qcloudimg.com/static/img/2cc6da75cb59781c95a7b5646055e271/image.png)






