﻿
## 功能介绍
所谓录制回看，是指您可以把用户整个直播过程录制下来，然后作为点播视频用于回看，如下图：
![](//mccdn.qcloud.com/static/img/a8240c996be9eab19d5dc40b9e3df779/image.png)
在APP上线的初期阶段，由于主播数量比较少，所以在直播列表中加入录制回看，能够在一定程度上丰富APP在观众端的信息量。即使到APP成长起来主播数量形成规模以后，好的直播内容的沉淀依然是必不可少的一个部分，每个主播的个人介绍里除了有名字、照片和个人信息，历史直播的视频回看更是不可或缺的一个重要组成部分。

## 服务开通
录制回看功能依托于腾讯云的点播服务后台集群支撑，如果您想要对接这个功能，首先需要在腾讯云的管理控制台开通点播服务。

## 开启录制
指定某个直播频道开始录制，方案是在推流地址后面拼接**record**参数，比如：record=flv 或者 record=MP4（2016年10月份之前只支持flv和mp4两种视频格式的录制）

![](//mc.qcloudimg.com/static/img/235b7c8fc284e7567ba2142872549db3/image.png)

## 文件生成
直播过程中，录制系统会按每30分钟（具体时间后续可能调整，比如90分钟）一个分片的粒度将直播视频进行存储，如果直播结束，录制过程也即结束，最后一个录制文件会在直播结束后1-2分钟后完成转码和写入。

这期间生成的视频文件，都会进入腾讯云点播系统，您可以在点播系统的视频列表里看到这个文件。

![](//mc.qcloudimg.com/static/img/d18e60523fa8c001f5b81f8f5b67a6c1/image.png)

## 文件查询
如果您是做活动直播，一天最多一到两场，那么在点播控制台里手工查询录制下来的视频就可以了。

如果您是在开发一款直播APP，希望把历史的直播视频沉淀下来并以回看列表的形式呈现给您的APP用户，那您就需要在您的服务端，通过调用腾讯云服务端API接口进行自动化地处理了。

目前腾讯云提供的服务端API接口为[GetVodRecordFiles](https://cloud.tencent.com/doc/api/258/5823)，只需要设定**频道ID**和**开始时间** （推荐设置为直播开始时间），就可以查询到指定频道某个时间之后所录制的所有文件的**fileid**了。

拿到**fileid**之后，可以使用点播平台的API [DescribeVodPlayUrls](https://cloud.tencent.com/doc/api/257/1285) 获取视频播放URL。

> **最佳查询时机**
> 
> 定时地调用GetVodRecordFiles逐个频道查询一遍，显然既不经济又容易被腾讯云的频率限制拒绝服务，那么最好的时机是什么时候呢？
>
> 如果您的服务端解决方案是按照[频道托管](https://cloud.tencent.com/doc/api/258/5659)里所建议的方式设计的，那么最好的时机就是在直播结束（Step3 和 Step6 中涉及）2分钟后，对该频道进行一次查询，之所以要等待<font color='red'>**2分钟**</font>，是考虑到腾讯云内部文件的处理和周转大约需要1-2分钟时间。

## 视频播放
您的服务器获得录制的文件后，就可以生成播放URL了，APP拿到URL后交给RTMP SDK的点播播放模块就可以观看回放，这块的对接您可以参考[点播SDK(IOS)](https://cloud.tencent.com/doc/api/258/4738) 以及 [点播SDK(Android)](https://cloud.tencent.com/doc/api/258/4739) 。