## 1. 接口描述
域名：live.api.qcloud.com
接口名: DescribeLVBOnlineUsers

说明： 该API通过判断当前访问视频分发地址的访问连接统计并发在线数。如采用RTMP下行协议，则数据可完全反映直播在线数，即收看人数。如采用HLS下行或HLS/RTMP下行协议，由于HLS自身按照TS分片特性访问，实时统计时间点访问的连接数则可能无法准确反映直播在线数，仅做参考。 


## 2. 输入参数

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> channelIds.n
<td> 否
<td> String
<td> 频道id，不填则获取总在线
</tbody></table>



## 3. 输出参数

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<td> list
<td> Array
<td> 列表结果集
</tbody></table>

</b></th>列表结果集</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> channelID
<td> String
<td> 频道id
</tbody></table>

返回channelID为-1代表所有频道

## 4. 示例

按照视频ID查询
输入
<pre>
https://domain/v2/index.php?Action=DescribeLVBOnlineUsers&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>
输出
```
{
    "code": 0,
    "message": "",
    "list": [
        {
            "channelId": 123,
            "online": 1
        }
    ]
}

```

