
小直播与业务Server的通信采用Https协议，请求包和回包数据格式采用json，接口名使用Action指定，如Action=RequestLVBAddr，请求方式采用POST方式

## 协议说明
### 1.请求直播推流地址
该接口用于提交直播相关数据（如用户信息以及标题、位置等直播数据）并返回推流地址，业务Server收到请求后，将直播相关数据存储到db中，观众端请求直播列表时返回该数据
请求包格式：

| 参数       | 类型     | 说明                      |
| -------- | ------ | ----------------------- |
| Action   | string | 该接口Action为RequestLVBAddr |
| userid   | string | 用户id                    |
| groupid  | string | 群组id                    |
| title    | string | 直播标题                    |
| userinfo | object | 用户信息                    |

userinfo定义如下：

| 参数         | 类型     | 说明   |
| ---------- | ------ | ---- |
| nickname   | string | 昵称   |
| headpic    | string | 头像地址 |
| frontcover | string | 封面地址 |
| location   | string | 地理位置 |

回包格式：

| 参数          | 类型     | 说明               |
| ----------- | ------ | ---------------- |
| returnValue | int    | 错误码，0表示成功，其他表示失败 |
| returnMsg   | string | 错误码的描述           |
| returnData  | object | 返回的数据，json格式     |

returnData格式：

| 参数      | 类型     | 说明   |
| ------- | ------ | ---- |
| pushurl | string | 推流地址 |


### 2.修改在线状态
主播开始推流，并收到开始推流事件（PUSH_EVT_PUSH_BEGIN）时，调用此接口，将该流状态置为上线；主播停止推流后，调用此接口，将该流状态置为下线
请求包格式：

| 参数     | 类型     | 说明           |
| ------ | ------ | ------------ |
| Action | string | ChangeStatus |
| userid | string | 用户id         |
| status | int    | 0:上线 1:下线    |

回包格式：

| 参数          | 类型     | 说明               |
| ----------- | ------ | ---------------- |
| returnValue | int    | 错误码，0表示成功，其他表示失败 |
| returnMsg   | string | 错误码的描述           |
| returnData  | object | 空                |

### 3.修改计数器
该协议用于修改点赞数量，观众点赞后向业务服务器发送该协议，业务服务器修改点赞计数器
请求包格式：

| 参数     | 类型     | 说明                 |
| ------ | ------ | ------------------ |
| Action | string | ChangeCount        |
| userid | string | 用户id               |
| type   | int    | 0:修改观看数量 1：修改点赞数量（0已废弃，观看数量由EnterGroup和QuitGroup协议进行修改）  |
| optype | int    | 0:增加 1:减少          |
| flag   | int    | 0:直播 1:点播          |
| fileid | string | 点播的情况下使用，用于区分是哪个视频 |

回包格式：

| 参数          | 类型     | 说明               |
| ----------- | ------ | ---------------- |
| returnValue | int    | 错误码，0表示成功，其他表示失败 |
| returnMsg   | string | 错误码的描述           |
| returnData  | object | 空                |

### 4.拉取列表
从业务Server拉取列表，支持分页拉取
请求包格式：

| 参数       | 类型     | 说明                                       |
| -------- | ------ | ---------------------------------------- |
| Action   | string | FetchList                                |
| flag     | int    | 1:拉取在线直播列表 2:拉取7天内点播列表 3:拉取在线直播和7天内点播列表，直播列表在前，点播列表在后 |
| pageno   | int    | 分页号                                      |
| pagesize | int    | 每页大小                                     |

回包格式：

| 参数          | 类型     | 说明               |
| ----------- | ------ | ---------------- |
| returnValue | int    | 错误码，0表示成功，其他表示失败 |
| returnMsg   | string | 错误码的描述           |
| returnData  | object | 列表数据             |

returnData格式：

| 参数         | 类型    | 说明        |
| ---------- | ----- | --------- |
| totalcount | int   | 列表总数      |
| pusherlist | array | 直播/点播列表数据 |

pusherlist为pusherinfo的数组，pusherinfo定义如下：

| 参数          | 类型     | 说明                      |
| ----------- | ------ | ----------------------- |
| userid      | string | 用户id                    |
| groupid     | string | 群组id                    |
| timestamp   | int    | 开始推流的时间戳                |
| type        | int    | 0:直播 1:录播               |
| viewercount | int    | 在线数量                    |
| likecount   | int    | 点赞数量                    |
| title       | string | 直播标题                    |
| playurl     | string | 播放地址                    |
| fileid      | string | 点播的文件id                 |
| userinfo    | object | 用户信息，同RequstLVBAddr中的定义 |

### 5.获取COS文件上传的签名
COS（对象存储服务）是腾讯云提供的用于文件存储的服务，文件上传时需要提供签名，由于需要用保密Key生成签名，故不宜客户端本地生成签名，需要业务服务器按照指定规则生成签名
请求包格式：

| 参数     | 类型     | 说明         |
| ------ | ------ | ---------- |
| Action | string | GetCOSSign |

回包格式：

| 参数          | 类型     | 说明               |
| ----------- | ------ | ---------------- |
| returnValue | int    | 错误码，0表示成功，其他表示失败 |
| returnMsg   | string | 错误码的描述           |
| returnData  | object | 返回的数据，json格式     |

returnData格式：

| 参数   | 类型     | 说明   |
| ---- | ------ | ---- |
| sign | string | 上传签名 |

### 6.通知业务服务器有群成员进入
由于imsdk的群列表功能无法实现定制化的功能，如按等级排序，故由业务服务器维护群成员列表，您可以根据您的需求修改排序规则。观众加群成功后，调用此协议通知业务服务器有成员进入：
请求包格式：

| 参数     | 类型     | 说明         |
| ------ | ------ | ---------- |
| Action | string | EnterGroup |
| userid | string | 用户id |
| flag | int | 0:直播 1:点播 |
| liveuserid | string | 主播的用户id |
| groupid | string | flag为0情况下填群组id，为1情况下填fileid |
| nickname | string | 用户昵称 |
| headpic | string | 头像地址 |

回包格式：

| 参数          | 类型     | 说明               |
| ----------- | ------ | ---------------- |
| returnValue | int    | 错误码，0表示成功，其他表示失败 |
| returnMsg   | string | 错误码的描述           |
| returnData  | object | 空                |

### 7.通知业务服务器有群成员退出
由于imsdk的群列表功能无法实现定制化的功能，如按等级排序，故由业务服务器维护群成员列表，您可以根据您的需求修改排序规则。观众退群后，调用此协议通知业务服务器有成员退出：
请求包格式：

| 参数     | 类型     | 说明         |
| ------ | ------ | ---------- |
| Action | string | QuitGroup |
| userid | string | 用户id |
| flag | int | 0:直播 1:点播 |
| liveuserid | string | 主播的用户id |
| groupid | string | flag为0情况下填群组id，为1情况下填fileid |

回包格式：

| 参数          | 类型     | 说明               |
| ----------- | ------ | ---------------- |
| returnValue | int    | 错误码，0表示成功，其他表示失败 |
| returnMsg   | string | 错误码的描述           |
| returnData  | object | 空                |

### 8.拉取群成员列表
由于imsdk的群列表功能无法实现定制化的功能，如按等级排序，故由业务服务器维护群成员列表，您可以根据您的需求修改排序规则。观众进入直播房间后，调用此协议拉取群成员列表，展示观众头像列表，并将成员总数更新到界面上。
请求包格式：

| 参数     | 类型     | 说明         |
| ------ | ------ | ---------- |
| Action | string | FetchGroupMemberList |
| liveuserid | string | 主播的用户id |
| groupid | string | flag为0情况下填群组id，为1情况下填fileid |
| pageno | int | 分页号 |
| pagesize | int | 分页大小 |

回包格式：

| 参数          | 类型     | 说明               |
| ----------- | ------ | ---------------- |
| returnValue | int    | 错误码，0表示成功，其他表示失败 |
| returnMsg   | string | 错误码的描述           |
| returnData  | object | 返回的数据，json格式                |

returnData格式：

| 参数   | 类型     | 说明   |
| ---- | ------ | ---- |
| totalcount | int | 成员总数 |
| memberlist| array| 成员列表|

memberlist为meminfo的列表，meminfo定义如下：

| 参数          | 类型     | 说明                      |
| ----------- | ------ | ----------------------- |
| userid      | string | 用户id                    |
| nickname     | string |昵称                  |
| headpic     | string |头像地址                  |

### 9.获取指定主播的详细信息
请求包格式：

| 参数     | 类型     | 说明                |
| ------ | ------ | ----------------- |
| Action | string | GetUserInfo       |
| userid | string | 用户id              |
| type   | int    | 0:直播 1:录播         |
| fileid | string | 点播文件id，type为0时可忽略 |

回包格式：
  
| 参数          | 类型     | 说明                            |
| ----------- | ------ | ----------------------------- |
| returnValue | int    | 错误码，0表示成功，其他表示失败              |
| returnMsg   | string | 错误码的描述                        |
| returnData  | object | 主播详情，同协议4（拉取列表）的pusherinfo的定义 |

