### step0. 背景介绍
由于腾讯云的直播以及其他云端服务都是付费服务，我们在提供源码包的同时并不提供测试用腾讯云账号。一方面出于成本考虑，另一方面也是因为之前出现过部分客户直接使用腾讯云测试账号运营自己APP的前车之鉴。

所以，本文的目的旨在推荐您 <font color='blue'>**如何在自己的腾讯云账号上** </font>快速运行小直播。定制部分内容可以参考 [替换帐号](https://cloud.tencent.com/document/product/267/6441)和 [鉴权保护](https://cloud.tencent.com/doc/api/258/6442) 等相关文档。

### step1. 开通服务
小直播使用了几项腾讯云成熟的功能服务体系，你如果要快速调试运行起小直播，需要开通如下服务收集**“四颗龙珠”**：
- [**视频直播服务(LVB)**](https://cloud.tencent.com/doc/api/258/6208#1.1-.E5.A6.82.E4.BD.95.E5.BC.80.E9.80.9A.E8.A7.86.E9.A2.91.E7.9B.B4.E6.92.AD.E6.9C.8D.E5.8A.A1) 
直播服务是基础核心服务，推流和观看都需要使用，也是唯一需要腾讯云人工审核开通的服务。服务开通后即可获得 [直播APPID](https://cloud.tencent.com/doc/api/258/6208#1.3-.E6.9F.A5.E8.AF.A2.E6.88.91.E7.9A.84.E7.9B.B4.E6.92.ADappid) 和 [直播BIZID](https://cloud.tencent.com/doc/api/258/6208#1.4-.E6.9F.A5.E8.AF.A2.E6.88.91.E7.9A.84.E7.9B.B4.E6.92.ADbizid)。

- [**视频点播服务(VOD)**](https://cloud.tencent.com/doc/api/258/6208#2.1-.E5.A6.82.E4.BD.95.E5.BC.80.E9.80.9A.E8.A7.86.E9.A2.91.E7.82.B9.E6.92.AD.E6.9C.8D.E5.8A.A1)
小直播会将直播中的视频录制下来，以回看列表的形式展示给APP用户，而视频文件的存储是腾讯云点播服务才支持的，所以需要开通点播服务之后小直播才能正常运转。

- [**云通讯服务(IM)**](https://cloud.tencent.com/doc/api/258/6208#3.1-.E5.A6.82.E4.BD.95.E5.BC.80.E9.80.9A.E4.BA.91.E9.80.9A.E8.AE.AF.E6.9C.8D.E5.8A.A1)
也叫“IM消息服务”，主要提供消息的发送、接收、上下线状态、离线消息缓存以及聊天室等基础消息服务，小直播的互动消息、弹幕、点赞等功能都是基于这种互动消息而实现的。

- [**对象存储(COS)**](https://cloud.tencent.com/doc/api/258/6208#4.-.E5.AF.B9.E8.B1.A1.E5.AD.98.E5.82.A8.E6.9C.8D.E5.8A.A1.EF.BC.88cos.EF.BC.89)
小直播中的直播封面、用户头像等细节部分，需要使用图片的上传和下载功能，它是基于腾讯云的对象存储服务构建的。

### step2. 开通直播码
腾讯云直播提供了直播码和频道托管两种服务接入模式，小直播采用了直播码模式进行直播管理，因为该模式具有接入成本低、自由度高以及后期维护成本可控的种种优势。开通方式可以参考[服务开通指引](https://cloud.tencent.com/doc/api/258/6100)。

### step3. 下载APP源码
目前小直播源码最近两周暂不完全放开自由下载（内测中），有内测意愿的请单独联系我们。

### step4. 配置APP参数
代码下载并编译后并不能立刻体验，因为小直播是依托于云服务才能正常运行，而出于成本原因和安全考虑，我们暂不提供测试账号，您需要按照如下表格开通服务，并配置相关ID。

IOS工程配置文件请寻找源码里的 **TCConstants.h** 文件， Android工程配置文件请寻找源码里的 **TCConstants.java** 文件。

| 字段             | 含义                            | 获取方法  |
| -------------- | ----------------------------- | ----- |
| IMSDK APPID    | 云通讯服务中用于区分客户身份的APPID          | [点击这里](https://cloud.tencent.com/doc/api/258/6208#3.2-im-sdk-appid)  |
| IMSDK 账号类型     | 云通讯服务中跟APPID相对应的一个数字          | [点击这里](https://cloud.tencent.com/doc/api/258/6208#3.3-im-sdk-.E8.B4.A6.E5.8F.B7.E7.B1.BB.E5.9E.8B)  |
| COS APPID      | 对象存储服务中用于区分客户身份的APPID         | [点击这里](https://cloud.tencent.com/doc/api/258/6208#4.4-.E6.9F.A5.E8.AF.A2.E6.88.91.E7.9A.84cos-appid)  |
| COS BucketName | 对象存储服务中的bucketname，类似“磁盘分区的概念 | [点击这里](https://cloud.tencent.com/doc/api/258/6208#4.3-.E6.9F.A5.E8.AF.A2.E6.88.91.E7.9A.84bucketname)  |
| 后台服务器地址        | 小直播后台服务器地址(可使用腾讯云主机快速搭建)      | [STEP5](https://cloud.tencent.com/doc/api/258/6165#step5.-.E4.B8.80.E9.94.AE.E5.90.8E.E5.8F.B0.E9.83.A8.E7.BD.B2) 或 [STEP6](https://cloud.tencent.com/doc/api/258/6165#step6.-.E8.87.AA.E4.B8.BB.E5.90.8E.E5.8F.B0.E9.83.A8.E7.BD.B2) |

### step5. 一键后台部署
您会发现Step4中的前四个配置，都是在腾讯云管理控制台中点几下鼠标即可达成的，但是<font color='blue'>后台服务器地址</font>这里该填什么是个伤脑筋的事情。
   >  **客户**： ”哎... 好麻烦... 我还要自己搞定服务器...."
   >  **小云**："没关系，我们提供了一键部署服务，您只需要购买一项最低消费的云主机服务，然后点击一键部署即可。”

是的，我们提供的一键部署服务，主要是将**PHP运行环境安装**、**数据库库表配置**以及**后台程序源码部署**几项工作都打包成了一个自动化服务，您只需点击一个按钮，我们的后台系统即会帮您进行自主部署，具体操作指引详见[一键部署](https://cloud.tencent.com/doc/api/258/6174)。

当然，您也可以考虑将后台代码部署在自己已有的后台服务器上，可参考如下操作：

### step6. 自主后台部署
- **6.1 下载Server源码**
小直播源码已开放下载，您可以从[小直播官网首页](https://cloud.tencent.com/product/mlvb.html#sdk)下载到源码

- **6.2 配置直播参数**
  配置位置：`live_demo/live_demo_service/common/OutDefine.php`

| 字段                          | 含义                | 获取方法 |
| :-------------------------- | ----------------- | ---- |
| define('APP_BIZID',0);      | 请替换为您的直播服务BIZID   | [点击这里](https://cloud.tencent.com/doc/api/258/6208#1.4-.E6.9F.A5.E8.AF.A2.E6.88.91.E7.9A.84.E7.9B.B4.E6.92.ADbizid) |
| define('APP_ID',0);      | 请替换为您的直播服务APPID   | [点击这里](https://cloud.tencent.com/doc/api/258/6208#1.3-.E6.9F.A5.E8.AF.A2.E6.88.91.E7.9A.84.E7.9B.B4.E6.92.ADappid) |
| define('PUSH_URL_KEY','');  | 请替换为您的推流防盗链KEY    | [点击这里](https://cloud.tencent.com/doc/api/258/6208#1.5-.E6.9F.A5.E8.AF.A2.E6.8E.A8.E6.B5.81.E9.98.B2.E7.9B.97.E9.93.BEkey) |
| define('CALL_BACK_KEY',''); | 请替换为您的API访问鉴权KEY | [点击这里](https://cloud.tencent.com/doc/api/258/6208#1.6-.E6.9F.A5.E8.AF.A2api.E8.AE.BF.E9.97.AE.E9.89.B4.E6.9D.83key) |

> **CALL_BACK_KEY ?** 
>  就是API访问鉴权KEY，它一方面用在您的后台服务器调用腾讯云直播码API时，另一方面可以用来确认来自腾讯云的通知是否确实来自腾讯云而不是被伪造的，所以源码里将其命名为CALL_BACK_KEY或者API_SECURITY_KEY都是可以的。

- **6.2 配置对象存储服务**
  配置位置：`live_demo/live_demo_service/common/OutDefine.php`

| 字段                              | 含义                                       | 获取方法 |
| :------------------------------ | ---------------------------------------- | ---- |
| define('COSKEY_APPID',0);       | 请替换为对象和存储服务（COS）的appid                   | [点击这里](https://cloud.tencent.com/doc/api/258/6208#4.4-.E6.9F.A5.E8.AF.A2.E6.88.91.E7.9A.84cos-appid) |
| define('COSKEY_BUCKET','');     | 请替换为对象和存储服务（COS）中您所新建的bucket             | [点击这里](https://cloud.tencent.com/doc/api/258/6208#4.3-.E6.9F.A5.E8.AF.A2.E6.88.91.E7.9A.84bucketname) |
| define('COSKEY_SECRECTID','');  | 请替换为对象和存储服务（COS）中您所新建的secrectid          | [点击这里](https://cloud.tencent.com/doc/api/258/6208#4.5-.E6.9F.A5.E8.AF.A2.E6.88.91.E7.9A.84cos-secretid-.E5.92.8C-secretkey) |
| define('COSKEY_SECRECTKEY',''); | 请替换为对象和存储服务（COS）中您所新建的secrectkey（和secrectid配对） | [点击这里](https://cloud.tencent.com/doc/api/258/6208#4.5-.E6.9F.A5.E8.AF.A2.E6.88.91.E7.9A.84cos-secretid-.E5.92.8C-secretkey) |

- **6.3 部署PHP源码**
  - 准备一台服务器（推荐选择腾讯云的“云服务器”服务，并选择服务市场里面的nginx+php+mysql的镜像）
  - 安装mysql5.5以上版本，启动mysql。按照文档createDB.txt 创建db
  - 安装php，修改php配置文件php-fpm.conf中的监听端口（例如demo用的端口是9000，修改 listen = 127.0.0.1:9000, 并运行命令重启服务:service php-fpm restart）
  - 安装nginx ,参照nginx.conf和live_demo.nginx 修改配置，重新reload nginx(运行命令nginx -s reload)
  - 拷贝demo代码到/data目录 （也可以是其他目录，需要响应修改live_demo.nginx的目录位置），并修改live_demo_service/conf/cdn.route.ini中的数据库相关配置（根据createDB.sh中创建的数据库名、用户名及密码等）
  - 在/etc/crontab文件上增加一行配置（此配置的作用是增加一个定时任务，每分钟轮询直播列表中的在线状态，用于清理僵尸频道）：
\* \* \* \* \*  php /data/live_demo_service/callback/Check_online_status.php
按照上述步骤完成部署后，在浏览器输入*http://您的服务器ip/interface.php*，如果返回如下结果，说明php部署成功：
{"returnValue":4001,"returnMsg":"json format error","returnData":[]}

- **6.4 容灾处理**
如果您的服务器需要具备高可靠性和容灾能力，我们推荐您使用腾讯云服务器作为您的业务服务器，将后台脚本部署到云服务器上，并且使用腾讯云数据库作为您业务服务器的数据库：
	- [**云服务器（CVM）**](https://cloud.tencent.com/doc/api/258/6208#5.-.E4.BA.91.E6.9C.8D.E5.8A.A1.E5.99.A8.EF.BC.88.E5.8F.AF.E9.80.89.EF.BC.89)
	云服务器（Cloud Virtual Machine）是高性能高稳定的云虚拟机，可在云中提供大小可调的计算容量，降低您对计算规模预估的难度
	- [**云数据库（CDB）**](https://cloud.tencent.com/doc/api/258/6208#6.-.E4.BA.91.E6.95.B0.E6.8D.AE.E5.BA.93.EF.BC.88.E5.8F.AF.E9.80.89.EF.BC.89)
云数据库（Cloud DataBase CDB）是腾讯云提供的关系型数据库云服务，基于PCI-e SSD，高达245509 QPS强悍性能。CDB 支持MySQL、SQL Server、TDSQL（兼容mariaDB）引擎，主从实时热备，并提供数据库运维全套解决方案。
**开通云数据库，初始化完数据库的密码后，请参照代码打包中的createDB.sh文件创建数据库表，完成之后将云数据库的名称、ip、端口以及帐号密码更新到live_demo/live_demo_service/conf/cdn.route.ini中：**
![](//mc.qcloudimg.com/static/img/8461915e3f992a75dea1ce458cb80dc8/image.jpg)

