
## 1.1 体验小直播
小直播是基于腾讯云服务实现的一款直播App（软件原型），通过体验该款App你可以大致了解利用腾讯云服务可以实现哪些功能，以及这些功能的体验如何。

该款App的终端、后台以及Web端[源代码](https://cloud.tencent.com/doc/api/258/6164)均可以提供给您进行参考，于此同时，本专区内的各项文档也会经常结合小直播里的各种场景介绍其背后的实现原理。

![](//mc.qcloudimg.com/static/img/05d2e651ff6c9332211eaf7fea167cfa/image.png)

**【体验项目】** 
- **直播**
开启一个直播间，并在另一台手机上观看，体验延迟、清晰度、以及打开速度等特性。
- **互动**：
进入一个直播间，尝试发送普通消息、弹幕消息以及点赞等功能。
- **回看**：
开启一个直播时间超过一分钟的直播，结束后等待几秒钟刷新主界面，找到刚才直播的回放视频，体验回放效果。

**【最新特性】** 
小直播最新实现的功能是手机终端实时录屏（支持IOS和Android双平台）
![](//mc.qcloudimg.com/static/img/bf2151559404105868b3ec405281e3c3/image.png)

**【APP安装】**
![](//mc.qcloudimg.com/static/img/0fbc0caa7f9e5a45d92e50f7cf4e6f0f/image.png)


## 1.2 体验RTMP SDK
除了小直播（基于RTMP SDK构建），我们还提供了另一款专门围绕RTMP SDK的简化版Demo，它的目的是让您更简单的理解推流、点播和直播的具体过程。

简化版Demo提供了大量功能按钮在界面底部的工具栏，每个功能按钮都对应SDK的一项基础功能，体验时可以针对特定功能进行开启和关闭。

![](//mc.qcloudimg.com/static/img/a39eddc4b5f1ea062355ab865a845fb9/image.png)

**【体验项目】** 
- 推流：RTMP 推流
- 直播：RTMP、FLV格式的在线直播
- 点播：MP4、HLS和FLV格式的在线点播

**【APP安装】**
![](//mc.qcloudimg.com/static/img/6de577ff89bbb280dc6e3888c2724298/image.png)

**【体验地址】**
```
//第一组地址：
PUSH(RTMP): rtmp://2000.livepush.myqcloud.com/live/2000_1f4652b179af11e69776e435c87f075e?bizid=2000
PLAY(FLV) : http://2000.liveplay.myqcloud.com/live/2000_1f4652b179af11e69776e435c87f075e.flv
PLAY(HLS) : http://2000.liveplay.myqcloud.com/2000_1f4652b179af11e69776e435c87f075e.m3u8
```

```
//第二组地址：
PUSH(RTMP): rtmp://2000.livepush.myqcloud.com/live/2000_44c6e64e79af11e69776e435c87f075e?bizid=2000
PLAY(FLV) : http://2000.liveplay.myqcloud.com/live/2000_44c6e64e79af11e69776e435c87f075e.flv
PLAY(HLS) : http://2000.liveplay.myqcloud.com/2000_44c6e64e79af11e69776e435c87f075e.m3u8
```

```
//第三组地址：
PUSH(RTMP): rtmp://2000.livepush.myqcloud.com/live/2000_4eb4da7079af11e69776e435c87f075e?bizid=2000
PLAY(FLV) : http://2000.liveplay.myqcloud.com/live/2000_4eb4da7079af11e69776e435c87f075e.flv
PLAY(HLS) : http://2000.liveplay.myqcloud.com/2000_4eb4da7079af11e69776e435c87f075e.m3u8
```

RTMP推流具有排它性：同一时间、同一URL，<font color='red'>只能有一个主播</font>在推流中。所以如果您体验推流总是断开（被后台拒绝），说明地址已经被其他的体验者占用，推荐您直接开通腾讯云直播服务并创建自己的频道进行体验，具体方法如下：

**【新的地址】**

1. 登录[直播管理控制台](https://console.cloud.tencent.com/live)，如果您曾经开通过直播服务，将直接进入到频道管理页面，如果您是第一次登录，系统将引导您开通直播服务，并为您分配10G的免费流量供您体验。

2. 如果您已经开通直播服务，进入[直播管理](https://console.cloud.tencent.com/live/livemanage)，点击**创建频道**：
 
3. 按要求填入频道名称、频道描述、直播源名称，“实时转码”只勾选“原始视频”，“水印设置”选择“不使用水印”，“接收方设置”中选中RTMP/FLV。

4. 保存之后，页面直接跳转到刚刚创建的频道详情页，复制推流地址和播放地址，分别生成二维码待用：

![](//mc.qcloudimg.com/static/img/ba5c15d70ff977a7a4288c7fdfe066b4/image.png)


