
## 2.1 进入控制台

直播管理控制台是腾讯云视频业务面向客户的控制中心，点击[此处](https://console.cloud.tencent.com/live)进入，其内部包含如下功能项：

- **手动频道管理**
直播管理控制台提供了一套人性化的交互界面，可以手动创建、管理以及删除直播频道，这种方式叫做频道模式，适合频道数不多的轻量级客户的日常管理操作，比如主要从事直播活动的客户等等。

- **配置直播码**
”直播码“是腾讯云直播服务的后台API的一种简称，直播码的快速接入依赖一些关键设置项的配置，而这些配置就在直播管理控制台中。

- **统计分析**
支持多时间维度地查看过去一段时间的带宽消耗、在线人数等信息，方便您对自己的业务情况有所了解。同时，使用腾讯云RTMP SDK 的客户还可以选择性的开启一个质量专区，对您的每一个直播流的质量都可以了如指掌。


## 2.2 手动频道管理
**直播频道**，也叫“直播流”或者“直播间”，直播管理控制台提供了一套人性化的交互界面，可以手动创建、管理以及删除直播频道，适合频道数不多的轻量级客户的日常管理操作：

- **查看频道列表**
>进入直播管理控制台后，点击侧边栏的直播管理按钮，如果您处于频道接入模式（如下图的红色标注），则可以直接查看当前的直播列表，如下图：
> ![](//mc.qcloudimg.com/static/img/72ecd7649ea03eabc06e9456d04edeca/image.png)

- **创建新的频道**
>如果您处于频道接入模式，点击[创建频道](https://console.cloud.tencent.com/live/livecreate)按钮就可以新建一个直播频道（直播间）了，如果没有特殊需求，编码请选择原始视频，水印也不要设置，这样可以达到最好的体验效果。
> ![](//mc.qcloudimg.com/static/img/47370635aba4d4839c2552ec8dfe5c5d/image.png)
>
>另外，视频流协议支持这里尽量保证两个都勾选上，因为根据我们的经验，很多客户在调试时所反馈的“为什么直播看不了”的问题，原因都是没有勾选期望的观看协议。
> ![](//mc.qcloudimg.com/static/img/10437bd0f9b8453d00b4ed426f0c22b0/image.png)

- **禁播指定频道**
>在频道列表上，可以直接对一个直播频道进行关闭，也就是我们常说的禁播，禁播之后的频道不会再继续处理视频源推送过来的音视频数据。
> ![](//mc.qcloudimg.com/static/img/f1aa9cf49384540c45dd11419e508e8e/image.png)

- **实时预览观看**
>在频道列表上，点击**测试**按钮，可以实时预览视频直播视频画面，方便您查看直播效果。

- **分享频道地址**
>在频道列表上，点击**分享地址**按钮，可以获得一个用于对外分享的连接URL，该URL可以通过社交工具传播出去，用于直播活动比较合适。
>
>不过该URL所对应的页面比较简单，如果您想要实现更强大的分享能力，请关注第7节：[微信分享](https://cloud.tencent.com/doc/api/258/6450)。

## 2.3 配置直播码

### 2.3.1 什么是直播码？
**直播码**是腾讯云直播服务的后台API的一种简称，跟 2.2 中的手动频道管理的设计目标不同，直播码致力于让您的后台服务器程序可以全天候自动化地在腾讯云上进行频道管理操作：
- **自主定义推流和播放地址**
直播码接入模式下，您不需要到腾讯云申请推流或者播放URL，您可以自主指定，比如大部分客户直接拿用户的账号ID拼出推流URL即可推流。

- **更符合直播类APP的开发**
直播码接入模式下，腾讯云将主要处理推流、转码、CDN分发、录制以及安全保护等音视频相关功能，状态、列表、地址等部分则完全放开，不做过多限制和干预。您可以自主实现自己需要的业务场景，也可以选择使用腾讯云后台API来获取频道信息，自由度非常高，适合直播APP这种比较复杂的直播应用场景。

### 2.3.2 切换到直播码模式
开通直播服务后，进入**直播管理界面**界面，如果您看到频道接入右上角有绿色小点，说明您现在处于频道托管模式。
![](//mc.qcloudimg.com/static/img/dd67f3bae42d2c5df6deefe5d5f7e091/image.png)

点击**直播码接入(推荐) **页签卡，则可以看到开启直播码服务的开关：
![](//mc.qcloudimg.com/static/img/5a33cf2173f1b39c458e3da7fa808bc9/image.png)

点击**启用直播码**按钮后，您会看到一个兼容性提醒Tips，如果您的线上业务有依赖频道托管模式不推荐开启，之后进入配置界面：
![](//mc.qcloudimg.com/static/img/9f3f012d7fddf7c0c21dc734f5c36ad5/image.png)

### 2.3.3 配置关键参数
在真正开启直播码模式之前，您需要配置上图中的四个配置项：

| 配置项 | 取值范围            | 具体含义  |
|----------|----------------------|--------------|
| 直播录制 | 开启 OR 关闭 | 开启直播录制后，只要是直播的视频，都会被后台默认的录制下来。[参考文档](https://cloud.tencent.com/doc/api/258/5691) |
| 推流防盗链key | 32位小写的字符串  | 出于安全考虑，推流地址需要绑定防盗链以避免被其他人抢占，该KEY用于计算防盗链签名。[参考文档](https://cloud.tencent.com/doc/api/258/5693) |
| API鉴权key | 32位小写的字符串  | 您的服务器在调用腾讯云后台API时，需要提供身份鉴权信息，该KEY用于帮助腾讯云确定您的服务器的合法身份。[参考文档](https://cloud.tencent.com/doc/api/258/5956) |
| 回调URL | HTTP协议URL地址 | 腾讯云会把视频的推流断流等事件通知通过这个URL投递给您，尚不支持HTTPS协议。[参考文档](https://cloud.tencent.com/doc/api/258/5957)  |

### 2.3.4 确定开通服务
点击**确定开通**按钮，即可将您的腾讯云直播服务切换到直播码模式了，成功开启后的页面展现如下：
![](//mc.qcloudimg.com/static/img/1400072859844bc1fa5dcf45bfa205c1/image.png)

您会发现页面有两个明显的变化：
（1）直播码接入(推荐) 页签的模式变为激活态了
（2）页面顶部多了一个bizid的数字，该数字是用来拼装推流地址用的，详情可以[参考文档](https://cloud.tencent.com/doc/api/258/5649#.E6.8E.A8.E6.B5.81.E5.9C.B0.E5.9D.80)。

### 2.3.5 辅助工具和代码
开通直播码的页面还提供了一个**地址生成器**，用来方便您平时测试URL，因为手算防盗链签名还是很费事的。
![](//mc.qcloudimg.com/static/img/7fe2bd6e762c1e109f77f36853b9749e/image.png)

同时，页面的最靠下的部分还提供了php和java两种语言版本的推流地址生成代码，您可以将其嵌入到您的后台程序中。





