## 4.1 直播后台的职能
一个直播后台的核心职能是管理和维护一个叫做**直播间列表**的数据，并对外提供针对直播间列表进行增、删、改、查的业务接口，因为一个视频直播解决方案的大部分功能都是围绕直播间在做文章：
![](//mc.qcloudimg.com/static/img/e8a2be9cf6c85a65d0cbdbaac0951228/image.png)

- **创建直播间（增）**
当一个主播开始直播前需要先创建一个直播间，这就等于是在直播间列表中增加一条新的数据。

- **关闭直播间（删）**
当一个直播结束后，App有必要通知后台把刚才的直播间状态置为“直播结束”，或者干脆将其从列表中删除。

- **修改直播间状态（改）**
当有新的观众加入时，意味着某个直播间的观众数要+1；
当有观众给主播点赞，意味着某个直播间的点赞数要+1；
当有一条视频流意外断流时，会收到来自腾讯云的通知，意味着某个直播间的状态要进行修正；
当监管人员发现某一直播间内容涉及违规行为时，需要对其禁播，意味着某个直播间的状态要改为已禁播。

- **查询直播间列表（查）**
每一个打开App的观众，都会到直播后台查询一下当前的直播间列表。同时，相关运营人员也需要实时查看直播间的状态以便进行必要的监管。


## 4.2 创建直播间
App在发起直播前首先会通过一条协议向服务器请求创建一个直播间：
- **请求信息(App->Server)**
最关键的信息就是自己的账号ID了，同时，最好再附上直播的标题、地理位置、直播封面URL等等信息，直播后台会用这些信息创建一个直播间

- **回包信息(Server->App)**
服务器的回包信息包含两种情况：一情况是允许直播，则可以把推流URL（见下图）等信息返回给App；另一种情况是给予拒绝并返回错误原因。
 > 小直播中此处的示例实现可以参考 [协议详解-请求推流地址](https://cloud.tencent.com/doc/api/258/6454#1..E8.AF.B7.E6.B1.82.E7.9B.B4.E6.92.AD.E6.8E.A8.E6.B5.81.E5.9C.B0.E5.9D.80)。如下是一条标准的带防盗链签名的推流URL，推流URL的拼装可以参考 [直播码-如何分配推流地址](https://cloud.tencent.com/doc/api/258/5649#2.-.E5.88.86.E9.85.8D.E6.8E.A8.E6.B5.81.E5.9C.B0.E5.9D.80)。
> ![url](//mc.qcloudimg.com/static/img/6b4fd09ab2c7d6f1503070f8c994f4e0/image.png)

- **修改状态(新创建->直播中)**
新创建的直播间不要直接设置状态为“直播中”，因为主播并不一定能够成功推流，这里有很多奇葩的原因，比如：推流用的端口1935被所处网络的安全防火墙禁用了，或者是主播的App刚刚安装，在看到摄像头权限申请时误点了拒绝。

 正确的姿势应该是：让App在成功收到 RTMP SDK 的 PUSH_BEGIN 事件后确定推流成功，之后再通过一条协议通知后台把直播间状态改为“直播中”，或者等待腾讯云的推流事件通知（腾讯云在收到某个直播流的视频数据后会发送一个事件通知到您配置的URL上）后再改状态。
 > 小直播中在此处选择了App通知的方案，示例实现可以参考 [协议详解-修改在线状态](https://cloud.tencent.com/doc/api/258/6454#2..E4.BF.AE.E6.94.B9.E5.9C.A8.E7.BA.BF.E7.8A.B6.E6.80.81)。

## 4.3 关闭直播间
App在直播结束时，需要通过一条协议通知服务器，这样服务器就可以第一时间把相应的记录删掉，否则直播列表里就满满都是已经离线的主播了。

> 小直播此处的实现可以参考 [协议详解-修改在线状态](https://cloud.tencent.com/doc/api/258/6454#2..E4.BF.AE.E6.94.B9.E5.9C.A8.E7.BA.BF.E7.8A.B6.E6.80.81)。

**<font color='red'>“鱼与熊掌”</font>:** 
App直接通知直播结束的设计方案，好处就是**快**，主播点击一下关闭按钮，服务器立马就能获知直播已结束，在配上IM通道可以做到实时通知所有正在观看直播的观众，这种交互体验肯定是最好的。

但也有问题，那就是会产生一些“漏网之鱼”，比如主播的手机意外断网，或者APP意外崩溃了，甚至是流量突然用完了，这些情况都会让APP根本没有机会通知服务器该主播已经下线，这些情况如果不考虑，会在直播列表中残留一些 “僵尸频道”。要解决这个问题，我们有两种方案：

- **接收通知**
您可以使用腾讯云的**[消息通知服务](https://cloud.tencent.com/doc/api/258/5957)**：您的服务器可以注册一个自己的回调URL给腾讯云，腾讯云会在您关心的频道在线状态有变化时通知给您。

- **主动查询**
您可以通过腾讯云的状态查询接口（**[Live_Channel_GetStatus](https://cloud.tencent.com/doc/api/258/5958)**）定时地检查所有<font color='red'>“正在直播中”</font>的频道是不是真的都是“正在推流”状态。推荐的调用方式是一分钟轮询一次，如果某个频道在连续三次的轮询结果中均为离线，您就可以考虑将它的状态设置为离线了。

> 小直播此处的实现可以参考小直播的后台PHP源码。


## 4.4 修改直播间状态
- **加观众数**
当有新的观众加入时，意味着某个直播间的观众数要+1，可以让App在进入直播间时发一条通知协议实现之。
> 小直播此处的实现可以参考 [协议详解-修改计数器](https://cloud.tencent.com/doc/api/258/6454#3..E4.BF.AE.E6.94.B9.E8.AE.A1.E6.95.B0.E5.99.A8) 。

- **加点赞数**
当有观众给主播点赞，意味着某个直播间的点赞数要+1，App在点赞按钮的响应函数中发一条通知协议即可。当然，完整的点赞实现方案还要用IM通道来实现点赞消息群发，不过这不是本节的讨论重点。
> 小直播此处的实现可以参考 [协议详解-修改计数器](https://cloud.tencent.com/doc/api/258/6454#3..E4.BF.AE.E6.94.B9.E8.AE.A1.E6.95.B0.E5.99.A8) 。

- **意外断流**
您可以使用腾讯云的**[消息通知服务](https://cloud.tencent.com/doc/api/258/5957)**，当有一条视频流意外断流时，会收到来自腾讯云的通知，意味着某个直播间的状态要进行修正。
> 小直播此处的实现可以参考小直播的后台PHP源码。

- **违规禁播**
当监管人员发现某一直播间内容涉及违规行为时，需要对其禁播，意味着某个直播间的状态要改为已禁播。禁播需要用到后台相关API [直播码-开启关闭推流](https://cloud.tencent.com/doc/api/258/5959)。

## 4.4 查询直播间列表
服务器将状态处于“正在直播中”的直播间列表返回给App即可，实现上需要注意如下两个细节：
- **注意分页逻辑**
如果列表中直播间数量比较多，比如20个以上，就推荐要加上分页逻辑了，分页逻辑对于减少服务器压力，提高列表展示速度方面非常有帮助。
> 小直播此处的实现可以参考 [协议详解-拉取列表](https://cloud.tencent.com/doc/api/258/6454#4..E6.8B.89.E5.8F.96.E5.88.97.E8.A1.A8) 。

- **拼装播放地址**
有了直播码（或者直播间ID），播放地址就可以简单拼装出来，下图是用直播码 **8888_test_12345_test** 拼装出来的rtmp flv 和 hls 三种播放地址，App拿到播放URL后就可以直接丢给腾讯云的RTMP SDK进行播放：
![play](//mccdn.qcloud.com/static/img/8438aadc91d16a1f02921bb178881893/image.png)
> **特别提醒**
> 
> <font color='red'>千万不要在App端拼装播放地址</font>，这样会导致逻辑被锁死在APP的代码上，建议由服务器拼装完成后返送给APP，比如随着业务的发展，您可能会考虑在播放端增加播放防盗链，避免您的直播视频被盗用，而播放防盗链签名只有可能在服务器签发，故客户端拼装逻辑根本无法满足这个需求。
