## 1. 接口描述

本接口 (ListTopic) 用于在用户获取CKafka实例的主题列表。

接口请求域名：<font style="color:red">ckafka.api.qcloud.com</font>

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/doc/api/431/5883)页面。

| 参数名称 | 必选 | 类型 | 描述 |
| --- | --- | --- | --- |
| instanceId | 是 | String | 实例id |
| searchWord | 否 | String | （过滤条件）按照topicName过滤，支持模糊查询 |
| offset | 否 | Int | 偏移量，不填默认为0 |
| limit | 否 | Int | 返回数量，不填则默认 10，最大值20 |

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
| --- | --- | --- |
| totalCount | Int | 符合条件的topic数量 |
| topicList | Array |  主题信息列表 |
| topicList::topicId | String | 主题ID  |
| topicList::topicName | Int | 主题名称  |

## 4. 示例

输入：

```
 https://domain/v2/index.php?Action=ListTopic&instanceId=ckafka-xxooa0&<公共请求参数>
```

输出：

```
  {
      "code" : 0,
	"codeDesc":"Success"
      "message" : "ok",
	"totalCount" : 10,
	"topicList" : [
		{
		"topicId" : "topic-xxoo234",
		"topicName" : “jimmy”,
		}
	]
  }

```