## 1. 接口描述

本接口 (GetTopicAttributes) 用于在用户获取CKafka实例的主题属性。

接口请求域名：<font style="color:red">ckafka.api.qcloud.com</font>

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/doc/api/431/5883)页面。

| 参数名称 | 必选 | 类型 | 描述 |
| --- | --- | --- | --- |
| instanceId | 是 | String | 实例id |
| topicName | 否 | String | 主题名称  |

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
| --- | --- | --- |
| topicId | String | 主题id |
| partitionNum | Int | 分区个数 |
| enableWhiteList | int | ip白名单开关, 1:打开  0:关闭 |
| ipWhiteList | array | Ip白名单列表 |
| createTime | Int | 创建时间，时间戳，单位秒 |
|   |   |   |
| partitions | Array | 分区详情 |
| partitions::partition | Int | Partition id |
| partitions::leaderStatus | Int | Leader运行状态 |
| partitions::replicaNum | array | 副本个数 |
| partitions::isrNum | array | ISR个数 |

## 4. 示例

输入：

```
 https://domain/v2/index.php?Action=GetTopicAttributes&instanceId=ckafka-xxooa0&<公共请求参数>
```

输出：

```
 {
      "code" : 0,
	"codeDesc":"Success"
      "message" : "ok",
		
		"topicId" : "topic-xxoo234",
		"partitionNum" : 2,
		"enableWhiteList" : 1,
		"ipWhiteList" :["10.0.0.1"],
		"partitions" : [
			{
			"partition":0,
                		"leaderStatus":1,
			"isrNum": 3,
			"replicaNum" : 3
			},
			{
			"partition":1,
                		"leaderStatus":2,
			"isrNum": 2,
			"replicaNum" : 3
			}
		]
  }
```






