## 1. 接口描述

本接口 (ListInstance) 用于在用户账户下获取CKafka实例列表。

接口请求域名：<font style="color:red">ckafka.api.qcloud.com</font>

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/doc/api/431/5883)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| instanceId | 否| String| （过滤条件）按照实例ID过滤 |
| searchWord | 否| String| （过滤条件）按照实例名称过滤，支持模糊查询。|
|status.n |否|Int|（过滤条件）实例的状态。0：创建中，1：运行中，2：删除中，不填默认返回全部 |
|offset |否|Int| 偏移量，不填默认为0 |
|limit |否|Int| 返回数量，不填则默认 10，最大值20 |

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| totalCount | Int | 符合条件的实例数量 |
| instanceList | Array | 实例信息列表 |
| instanceList::instanceId | String| 实例id |
| instanceList::instanceName | String| 实例名称 |
| instanceList::status | Int | 实例的状态。0：创建中，1：运行中，2：删除中 |

## 4. 示例

输入：

```
 https://domain/v2/index.php?Action=ListInstance&<公共请求参数>
```

输出：

```
  {
      "code" : 0,
      "message" : "ok",
	"codeDesc":"Success",
	"totalCount": 14,
     "instanceList": [
        {
            "instanceId":"ckafka-xxooa0",
		"instanceName":"test",
		"status":0
        }
    ]
  }

```






