## 1. 接口描述

本接口 (GetInstanceAttributes) 用于在用户账户下获取CKafka实例属性。

接口请求域名：<font style="color:red">ckafka.api.qcloud.com</font>

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/doc/api/431/5883)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| instanceId | 是| String| 实例ID |

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
| --- | --- | --- |
| instanceId | String | 实例id |
| instanceName | String | 实例名称 |
| vip | String | 访问实例的vip |
| vport | Int | 访问实例的vport |
| status | Int | 实例的状态。0：创建中，1：运行中，2：删除中 |
| bandwith | Int | 实例带宽，单位Mbps |
| diskSize | Int | 实例的存储大小，单位GB |
| vpcId | String | 为空，说明是基础网络 |
| subnetId | String |   |
| zoneId | Int | 可用区 |
| maxRetentionTime | Int | 实例日志的最长保留时间，单位 分钟 |
| createTime | Int | 创建时间，时间戳，单位秒 |

## 4. 示例

输入：

```
 https://domain/v2/index.php?Action=GetInstanceAttributes&instanceId=ckafka-xxxxxx&<公共请求参数>
```

输出：

```
  {
      "code" : 0,
      "message" : "ok",
		"codeDesc":"Success",
        "instanceId":"ckafka-xxooa0",
		"instanceName":"test",
		"vip":"10.2.3.2",
		"vport":9020,
		"zoneId":9020,
		"vpcId":””,
		"subnetId":””,
		"status":0,
		"bandwith":100,
		"diskSize":100,
		"maxRetentionTime":1000
  }
```






