## 1. 接口描述
 
域名: vpc.api.qcloud.com
接口名: DescribeDirectConnectGateway

查询专线网关列表。

 

## 2. 输入参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> vpcId <td> 否 <td> String <td>  私有网络ID值，可使用vpcId或unVpcId，建议使用unVpcId。可通过<a href="http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%E5%88%97%E8%A1%A8" title="DescribeVpcEx">DescribeVpcEx</a>接口查询
<tr>
<td> directConnectGatewayId <td> 否 <td> String <td> 专线网关ID
<tr>
<td> directConnectGatewayName <td> 否 <td> String <td> 专线网关名称
<tr>
<td> offset <td> 否 <td> Int <td> 初始行的偏移量，默认为0
<tr>
<td> limit <td> 否 <td> Int <td> 每页行数，默认为20
<tr>
<td> orderField <td> 否 <td> String <td> 按某个字段排序，默认不排序
<tr>
<td> orderDirection <td> 否 <td> String <td> 升序（asc）或降序（desc），默认：asc
</tbody></table>

 

## 3. 输出参数
  | 参数名称 | 类型 | 描述|
|---------|---------|---------|
|code| Int | 错误码，0：成功，其他值：失败 |
| message |  String | 错误信息 |
|  totalCount |   Int | 返回结果中专线网关总数量|
|data| array  | 返回的数组 |
Data结构

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>


<tr>
<td> data.vpcId <td> String <td> 私有网络ID
<tr>
<td> data.unVpcId <td> String <td> 私有网络统一ID
<tr>
<td> data.vpcName <td> String <td> 私有网络名称
<tr>
<td> data.directConnectGatewayId <td> String <td> 专线网关ID
<tr>
<td> data.directConnectGatewayName <td> String <td> 专线网关名称
<tr>
<td> data.directConnectGatewayIp <td> String <td> 专线网关IP
<tr>
<td> data.natType <td> Int <td> 静态路由类型
<tr>
<td> data.createTime <td> String <td> 创建时间
<tr>
<td> data.vpcCidrBlock <td> String <td> 私有网络网段

</tbody></table>

 

## 4. 示例
 
输入
<pre>
  https://vpc.api.qcloud.com/v2/index.php?Action=DescribeDirectConnectGateway
  &vpcId=180
  &<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>

</pre>

输出
```
{
    "code": 0,
    "message": "",
    "totalCount": 1,
    "data": [
        {
            "vpcId": "gz_vpc_180",
            "vpcName": "test",
            "directConnectGatewayId": "dcg-r40su6xt",
            "directConnectGatewayName": "test-180",
            "directConnectGatewayIp": "10.212.253.59",
            "natType": 1,
            "snatNum": 1,
            "dnatNum": 0,
            "snaptNum": 0,
            "dnaptNum": 0,
            "createTime": "2015-11-03 15:44:21",
            "vpcCidrBlock": "10.100.181.0\/24",
            "unVpcId": "vpc-cor5n2a5"
        }
    ]
}

```

