## 1. 接口描述
域名:vpc.api.qcloud.com
接口名:DescribeDirectConnectGatewayNatRule

查询专线网关网络地址转换规则。

## 2. 输入参数
| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| vpcId | 是 | String | 私有网络ID值，可使用vpcId或unVpcId，建议使用unVpcId。可通过<a href="http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%E5%88%97%E8%A1%A8" title="DescribeVpcEx">DescribeVpcEx</a>接口查询|
| directConnectGatewayId | 是 | String | 专线网关ID|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码，0：成功，其他值：失败|
| message | String | 错误信息|
| data | Array | 网络地址转换规则，分为本端IP转换、对端IP转换、本端源地址转换、本端目的端口转换 |

data结构

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| data.localIPTranslation | Array | 本端IP转换：私有网络内原 IP 映射为新 IP，并以新 IP 与专线对端进行网络互访。| 
| data.peerIPTranslation | Array | 对端IP转换：专线对端原IP 映射为新 IP，并以新IP 与连接的私有网络进行网络互访。| 
| data.localSourceIPPortTranslation | Array | 本端源IP端口转换：私有网络内源IP端口映射为指定IP池内 随机IP的随机端口主动访问专线对端网络，回包不受影响。| 
| data.localDestinationIPPortTranslation | Array | 本端目的IP端口转换：专线对端主动访问私有网络，需访问映射后的IP端口与私有网络内原IP端口进行通信，回包不受影响。| 


## 4. 示例
输入
<pre>
https://vpc.api.qcloud.com/v2/index.php?Action=DescribeDirectConnectGatewayNatRule
&vpcId=vpc-1y7wcr29
&directConnectGatewayId=dcg-beyteaqt
&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "data":{
        "localIPTranslation":[
            {
                "originalIP":"10.100.89.9",
                "translationIP":"172.16.3.2"
            }
        ],
        "peerIPTranslation":[
            {
                "originalIP":"10.100.89.20",
                "translationIP":"192.167.0.2"
            }
        ],
        "localSourceIPPortTranslation":[
            
        ],
        "localDestinationIPPortTranslation":[
            
        ]
    }
}
```

