## 1. 接口描述
域名:vpc.api.qcloud.com
接口名:SetDirectConnectGatewayNatRule

设置专线网关网络地址转换规则。

## 2. 输入参数
| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| vpcId | 是 | String | 私有网络ID值，可使用vpcId或unVpcId，建议使用unVpcId。可通过<a href="http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%E5%88%97%E8%A1%A8" title="DescribeVpcEx">DescribeVpcEx</a>接口查询|
| directConnectGatewayId | 是 | String | 专线网关ID|
| natRule | 是 | String | 网络地址转换规则，分为本端IP转换(localIPTranslation)、对端IP转换(peerIPTranslation)、本端源地址转换(localSourceIPPortTranslation)、本端目的端口转换(localDestinationIPPortTranslation)；如果同时设置了本端IP转换和本端源地址转换，本端源地址转换失效。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码，0：成功，其他值：失败|
| message | String | 错误信息|


## 4. 示例
输入
<pre>
https://vpc.api.qcloud.com/v2/index.php?Action=SetDirectConnectGatewayNatRule
&vpcId=vpc-1y7wcr29
&directConnectGatewayId=dcg-beyteaqt
&natRule={"localIPTranslation":[{"originalIP":"10.100.89.9","translationIP":"172.16.3.2"}]}
&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>
输出
```
{
    "code":"0",
    "message":""
}
```

