## 功能描述
 
CreateDirectConnectTunnel 用于创建专线通道。
接口请求域名：<font style="color:red">dc.api.qcloud.com</font> 

## 请求

语法示例：
```
GET https://dc.api.qcloud.com/v2/index.php?Action=CreateDirectConnectTunnel
  &<公共请求参数>
  &directConnectId=dc-kd7d06of
  &directConnectTunnelName=baytest
  regionion=gz
  &vpcId=vpc-df3dfdf
  &directConnectGatewayId=dcg-34drdere
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为CreateDirectConnectTunnel。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| directConnectId | 是 | String | 专线ID，例如：dc-kd7d06of。 | 
| directConnectTunnelName | 是 | String | 专线通道名称。 | 
| ownerAccount | 否 | String | 物理专线owner,缺省为当前客户（物理专线owner），共享专线时这里需要填写共享专线的开发商账号ID。|
| networkType | 否 | Int | 网络类型,1:私有网络；0:黑石网络。默认为1。|
| region | 是 | String | 网络地域。|
| vpcId | 是 | String | 私有网络统一ID或者黑石网络统一ID。 |
| directConnectGatewayId | 是 | String |专线网关ID，例如dcg-d545ddf。 |
| bandwidth | 否 | Int | 专线带宽，单位Mbps。0表示不限制。|
| routeMode | 否 | Int | 0:BGP路由；1:静态，默认为BGP路由。|
| bgpPeers.asn | 否 | string | BGP asn。 |
| bgpPeers.authKey | 否 | String | BGP密钥。|
| routeFilterPrefixes.n.cidr | 否 | String | 对端网段。|
| remark | 否 | String | 备注。|


## 响应
响应示例：
```
{
    "code": 0,
    "message": ""
}
```
### 响应参数
| 参数名称 | 类型 | 描述|
|---------|---------|---------|
| code| Int | 错误码，0: 成功，其他值: 失败。 |
| message |  String | 错误信息。 |


### 响应错误码表
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见<a href="https://cloud.tencent.com/doc/api/245/4924" title="VPC错误码">VPC错误码</a>。
 
| 错误码 | 描述 |


## 实际案例
 
### 请求
```
  GET https://dc.api.qcloud.com/v2/index.php?Action=CreateDirectConnectTunnel
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
  &directConnectId=dc-kd7d06of
  &directConnectTunnelName=baytest
  &region=gz
  &vpcId=vpc-df3dfdf
  &directConnectGatewayId=dcg-34drdere
```
### 响应

```
{
    "code": 0,
    "message": ""
}
```

