## 功能描述
 
DescribeDirectConnectTunnels 用于查询专线通道列表。
接口请求域名：<font style="color:red">dc.api.qcloud.com</font> 

## 请求

语法示例：
```
GET  https://dc.api.qcloud.com/v2/index.php?Action=DescribeDirectConnectTunnels
     &<公共请求参数>
     &directConnectId=dc-kd7d06of
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeDirectConnectTunnels。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| directConnectId | 否 | String | 专线ID，例如：dc-kd7d06of。 | 
| directConnectTunnelId | 否 | String | 专线通道ID，例如：dcx-kd7d0125。 | 

## 响应
响应示例：
```
{
    "code": 0,
    "message": "",
    "data": [
        {},
    ]
}
```
### 响应参数

| 参数名称 | 类型 | 描述|
|---------|---------|---------|
| code| Int | 错误码，0: 成功，其他值: 失败。 |
| message |  String | 错误信息。 |
| data.n | Array  | 返回的数组。 |
| data.n.directConnectTunnelId | String | 系统分配的专线通道ID，例如：dcx-kd7d0125。|
| data.n.directConnectTunnelName | String | 专线通道名称。|
| data.n.directConnectId | String | 系统分配的专线ID，例如：dc-kd7d06of。|
| data.n.ownerAccount | String | 专线的开发商账号ID。|
| data.n.networkType | Int | 网络类型,0:私有网络；1:黑石网络。默认为0。|
| data.n.region | String | 网络地域。|
| data.n.vpcId | String | 私有网络统一ID或者黑石网络统一ID。 |
| data.n.directConnectGatewayId | String |专线网关ID，例如dcg-d545ddf。 |
| data.n.bandwidth | Int | 专线带宽，单位Mbps。|
| data.n.routeMode | Int | 0:BGP路由；1:静态，默认为BGP路由。|
| data.n.bgpPeers.asn | string | BGP asn。 |
| data.n.bgpPeers.authKey | String | BGP密钥。|
| data.n.routeFilterPrefixes.n.cidr | String | 对端网段。|
| data.n.status | Int | 专线通道状态，0：已连接；1：申请中；2：配置中；20：等待连接；21：拒绝。|
| data.n.vlan | Int | vlan Id。|
| data.n.remark | String | 备注。|

### 响应错误码表
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见<a href="https://cloud.tencent.com/doc/api/245/4924" title="VPC错误码">VPC错误码</a>。
 
| 错误码 | 描述 |


## 实际案例
 
### 请求
```
  GET https://dc.api.qcloud.com/v2/index.php?Action=DescribeDirectConnectTunnels
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
  &directConnectId=dc-kd7d06of

```

### 响应
```
{
    "code": 0,
    "message": "",
    "data": [
        {
            "directConnectTunnelId": "dcx-2nakhj58",
            "directConnectTunnelName": "barrytest2",
            "directConnectId": "dc-5e8ak079",
            "networkType": 1,
            "ownerAccount": "",
            "region": "gz",
            "vpcId": "vpc-kx49lmyv",
            "bandwidth": 0,
            "routeMode": 0,
            "bgpPeers": {
                "asn": "10",
                "authKey": "124545d"
            },
            "routeFilterPrefixes": [
                {
                    "cidr": ""
                }
            ],
            "status": 1,
            "vlan": 0,
            "remark": ""
        }
    ]
}
```

