## 功能描述
 
DescribeDirectConnects 用于查询专线列表。
接口请求域名：<font style="color:red">dc.api.qcloud.com</font> 

## 请求

语法示例：
```
GET https://dc.api.qcloud.com/v2/index.php?Action=DescribeDirectConnects
    &<公共请求参数>
    &directConnectId=dc-kd7d06of
```

### 请求参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeDirectConnects。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| directConnectId | 否 | String | 专线ID，例如：dc-kd7d06of，不传返回开发商创建的所有专线。 | 


## 响应

响应示例：
```
{
    "code": 0,
    "message": "",
    "data": [
        {
        }
    ]
}
```

### 响应参数

| 参数名称 | 类型 | 描述|
|---------|---------|---------|
| code| Int | 错误码，0: 成功，其他值: 失败。 |
| message |  String | 错误信息。 |
| data.n | Array  | 返回的数组。 |
| data.n.directConnectId | String | 系统分配的专线ID，例如：dc-kd7d06of。|
| data.n.directConnectName | String | 专线名称。|
| data.n.status | String | 专线状态，0：运行中；1：已到期；2：删除中；3：已删除；11：申请中；12：申请驳回；13：待付款；14：已付款；15：建设中；16：施工停止； |
| data.n.provider | String | 专线运营商。|
| data.n.portType | int | 接口类型。1 :100Base-T百兆电口；2: 1000Base-T 千兆电口；3: 1000Base-LX 千兆单模光口（10km）；4: 10GBase-LR 万兆单模光口（10km） |
| data.n.accessPoints | String | 接入点。|
| data.n.bandwidth | String | 专线带宽，单位Mbps。|
| data.n.loaIssueTime | String | 专线到期时间。|

### 响应错误码表
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见<a href="https://cloud.tencent.com/doc/api/245/4924" title="VPC错误码">VPC错误码</a>。
 
| 错误码 | 描述 |



## 实际案例

### 请求
```
GET https://dc.api.qcloud.com/v2/index.php?Action=DescribeDirectConnects
    &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
    &directConnectId=dc-kd7d06of
```

### 响应
```
{
    "code": 0,
    "message": "",
    "data": [
        {
            "directConnectId": "dc-3cavza1z",
            "directConnectName": "李昊测试专线@123112",
            "status": 15,
            "provider": "中国电信",
            "portType": 8,
            "accessPoints": "1",
            "bandwidth": 200,
            "loaIssueTime": "2017-09-02 15:41:00"
        }
    ]
}
```

