为了帮助用户快速使用云服务器（CVM）API，这里给出一个使用示例，能够引导用户使用API服务完整的创建并销毁一个实例。


## 1. 查询实例机型列表

在创建实例前，我们首先需要确定其机型，实例的 CPU 和内存大小是通过机型来决定，因此我们可以先通过调用[查询实例机型列表](/document/api/213/9391)接口来获取需要指定 CPU 个数和内存大小对应的机型参数；或者通过查看产品文档： [实例类型](/document/product/213/11518)里面的描述来获取。本例以通过查询接口获取为例来介绍，假设我们想获取如下要求的机型：
>所在地域为广州二区, CPU 个数为 2 个, 内存大小为 4GB 的二代标准型实例对应的机型参数值

综上，可通过如下请求来获取。具体每个参数详细介绍可参考[查询实例机型列表](/document/api/213/9391)接口描述。

<pre>
https://cvm.api.qcloud.com/v2/index.php?Action=DescribeInstanceTypeConfigs
&Version=2017-03-12
&Filters.1.Name=zone
&Filters.1.Values.1=ap-guangzhou-2
&Filters.1.Name=instance-family
&Filters.1.Values.1=S2
&<<a href="/document/api/213/11650">公共请求参数</a>>
</pre>

<br>根据如上请求可以得到返回结果如下，找到对应 CPU 和 Memory 值里面对应的InstanceType字段对应的值就是我们要查找的机型参数，本例需求想查找的机型值为： S2.MEDIUM4 。

<pre>
{
    "Response": {
        "InstanceTypeConfigSet": [
            {
                "Zone": "ap-guangzhou-2",
                "InstanceFamily": "S2",
                "InstanceType": "S2.MEDIUM4",
                "CPU": 2,
                "Memory": 4
            },
            ......
        ],
        "RequestId": "2f1fd71e-95ab-4f10-8adb-895e99d33ff5"
    }
}
</pre>

## 2. 创建一个新的实例

创建实例操作可以通过调用[创建实例](/document/api/213/9384) API来实现。假设我们想创建一个如下要求的实例：
>实例所在位置为广州二区，付费模式为按小时后付费，镜像ID为：img-pmqg1cw7，选择机型为：1C1G标准型(S1.SMALL1)，50G大小本地普通系统盘，带100G大小本地普通数据盘，基础网络，公网付费模式为流量按小时后付费，外网带宽上限10Mbps，分配公网IP，实例命名为QCLOUD-TEST，设置登录密码未Qcloud@TestApi123++，安装云监控云安全，购买数量为1台。

综上，可通过如下请求来创建该实例。具体每个参数详细介绍可参考[创建实例](/document/api/213/9384)接口描述。
<pre>
https://cvm.api.qcloud.com/v2/index.php?Action=RunInstances
&Version=2017-03-12
&Placement.Zone=ap-guangzhou-2
&InstanceChargeType=POSTPAID_BY_HOUR
&ImageId=img-pmqg1cw7
&InstanceType=S1.SMALL1
&SystemDisk.DiskType=LOCAL_BASIC
&SystemDisk.DiskSize=50
&DataDisks.0.DiskType=LOCAL_BASIC
&DataDisks.0.DiskSize=100
&InternetAccessible.InternetChargeType=TRAFFIC_POSTPAID_BY_HOUR
&InternetAccessible.InternetMaxBandwidthOut=10
&InternetAccessible.PublicIpAssigned=TRUE
&InstanceName=QCLOUD-TEST
&LoginSettings.Password=Qcloud@TestApi123++
&EnhancedService.SecurityService.Enabled=TRUE
&EnhancedService.MonitorService.Enabled=TRUE
&InstanceCount=1
&<<a href="/document/api/213/11650">公共请求参数</a>>
</pre>

<br>根据如上请求可以得到返回结果如下，返回结果中的 InstanceId 字段即为所创建实例的 ID，本例创建出来的实例ID值为： ins-32kcaqoa。

<pre>
{
    "Response": {
        "InstanceIdSet": [
            "ins-32kcaqoa"
        ],
        "RequestID": "3c140219-cfe9-470e-b241-907877d6fb03"
    }
}
</pre>

就这样我们创建了一个实例。拥有了它的实例ID。用户就可以通过VNC或是[远程桌面](/doc/product/213/2154)去管理它了。

## 3. 主动退还一个已存在的实例。

当我们不再使用一个实例时，可以通过[退还实例](/document/api/213/9395)API来退还该实例。假设我们想退还如下要求的实例：
>实例ID为：ins-32kcaqoa

综上，可通过如下请求来退还该实例。具体每个参数详细介绍可参考[退还实例](/document/api/213/9395)接口描述。
<pre>
https://cvm.api.qcloud.com/v2/index.php?Action=TerminateInstances
&Version=2017-03-12
&InstanceIds.0=ins-32kcaqoa
&<<a href="/document/api/213/11650">公共请求参数</a>>
</pre>

<br>根据如上请求可以得到返回结果如下。

<pre>
{
    "Response": {
        "RequestId": "6EF60BEC-0242-43AF-BB20-270359FB54A7"
    }
}
</pre>



