## 1. 接口描述

本接口 (DescribeProductRegionList)  用于获取产品可使用的地域列表。
接口请求域名：<font style="color:red">trade.api.qcloud.com</font>


* 可以直接查看产品文档中的[地域一节](https://cloud.tencent.com/doc/product/213/497#1.-.E5.9C.B0.E5.9F.9F)来了解地域属性在产品中扮演的角色。
* 除了地域的限制，CVM 产品还有购买数量上的限制。详情请参考[CVM实例购买限制](https://cloud.tencent.com/doc/product/213/2664)。


## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](/document/api/213/6976)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| instanceType| 是| Int|实例类型。<br>1: 云服务器<br>2: 云数据库<br>3: 负载均衡|

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)|
| message | String | 模块错误信息描述，与接口相关。详见错误码页面的[模块错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#2.E3.80.81.E6.A8.A1.E5.9D.97.E9.94.99.E8.AF.AF.E7.A0.81)|
|availableRegion| Array| 获取产品的可使用的地域信息列表，其它API可能用到的参数Region可由此处获取，如gz代表广州，sh代表上海，hk代表香港等。

## 4. 示例
输入

<pre>
https://trade.api.qcloud.com/v2/index.php?Action=DescribeProductRegionList
 &instanceType=1
 &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>

输出

```
 {
      "code":0,
      "message": "",
      "availableRegion ":
      {
          "gz":"广州",
          "sh":"上海",
          "hk":"香港地区"
     }
  }
```




