## 1. API Description
 
This API (CreateSecurityGroup) is used to create new security groups.
Domain name for API request: <font style="color:red">dfw.api.qcloud.com</font>
1) The [Number Limit](https://cloud.tencent.com/doc/product/213/500#2.-.E5.AE.89.E5.85.A8.E7.BB.84.E7.9A.84.E9.99.90.E5.88.B6) on the security groups for each project in each region under each account.
2) The unique ID of a security group is automatically generated by the system; the security group name (the entered sgName field) is specified by you, but cannot have the same name as other existing security groups under the project, and must be no more than 25 UTF-8 characters in length; the security group remark (the entered sgRemark field) is also specified by you and must be no more than 100 UTF-8 characters in length, where repeated characters are allowed; if you have multiple projects, you can select the project ID (the entered projectId field) when you create a security group, which will be created in the default project if no selection is made.
Both the inbound and outbound rules for a newly created security group are Deny All by default. Usually, you need to call ModifySecurityGroupPolicy to set the security group rule to the desired one after creation is complete.

 

## 2. Input Parameters
 
The following request parameter list only provides API request parameters. Public request parameters need to be added when the API is called. See the Public Request Parameters page for details. The Action field for this API is CreateSecurityGroup.
<table class="t"><tbody><tr>
<th><b>Parameter Name</b></th>
<th><b>Required</b></th>
<th><b>Type</b></th>
<th><b>Description</b></th>
<tr>
<td> sgName <td> Yes <td> String <td> Security group name; cannot be the same as other security group names under one project, arbitrary naming is allowed; must be no more than 60 characters in length
<tr>
<td> sgRemark <td> No <td> String <td> Security group remark; must be no more than 100 characters in length
<tr>
<td> projectId <td> No <td> Int <td> Project ID; 0 by default; can be found on the User Center->Project Management page
</tbody></table>

 

## 3. Output Parameters
 | Parameter Name | Type | Description |
|---------|---------|---------|
| code | Int | Error code, 0: succeeded, other values: failed |
| message | String | Error message |
| data | Object | Returned data structure|

<table class="t"><tbody><tr>
<th><b>Parameter Name</b></th>
<th><b>Type</b></th>
<th><b>Description</b></th>
<tr>

<td> data.sgId <td> String <td> Security group ID
<tr>
<td> data.sgName <td> String <td> Security group name
<tr>
<td> data.sgRemark <td> String <td> Security group remark
</tbody></table>

## 4. Error Codes
<table class="t"><tbody><tr>
<th><b>Error Code</b></th>
<th><b>Description</b></th>
<tr>

<td> 7000 <td> Security group backend exception
<tr>
<td> 7002 <td> Reached the upper limit of security groups
<tr>
<td> 7005 <td> The security group name already exists
<tr>
<td> 9003 <td> The security group name/remark is too long or contains invalid characters
</tbody></table>

## 5. Example
 
Input
<pre>

  https://dfw.api.qcloud.com/v2/index.php?Action=CreateSecurityGroup
  &projectId=1000379
  &sgName=Group 1
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">Common request parameters</a>>

</pre>

Output
```

{
    "code": 0,
    "message": "",
    "data": {
        "sgId": "sg-c3y9ak17",
        "sgName": "Group 1",
        "sgRemark": ""
    }
}

```

