## 1. API Description
 
This API (DeleteSecurityGroup) is used to delete new security groups.
Domain name for API request: <font style="color:red">dfw.api.qcloud.com</font>
1) You can query and delete a security group via its unique ID (a string with the prefix sg) generated by the system. You can only delted security groups under your current account.
2) A security group cannot be deleted directly if its ID is referenced in the rule of other security groups. In this case, you need to call DescribeAssociateSecurityGroups to query these security groups and modify the rules accordingly, and delete the original security group.
Once a security group is deleted, it cannot be recovered, so please proceed with the request with caution.

 

## 2. Input Parameters
 
Only request parameters for this API are listed below. Public request parameters need to be added when the API is called. See the Public Request Parameters page for details. The Action field for this API is DeleteSecurityGroup.
<table class="t"><tbody><tr>
<th><b>Parameter Name</b></th>
<th><b>Required</b></th>
<th><b>Type</b></th>
<th><b>Description</b></th>
<tr>
<td> sgId <td> Yes <td> String <td> Unique security group ID; you can obtain it using DescribeSecurityGroups or CreateSecurityGroup
</tbody></table>

 

## 3. Output Parameters
 

<table class="t"><tbody><tr>
<th><b>Parameter Name</b></th>
<th><b>Type</b></th>
<th><b>Description</b></th>
<tr>
<td> code <td> Int <td> Error code, 0: succeeded, other values: failed
<tr>
<td> message <td> String <td> Error message
</tbody></table>

## 4. Error Codes
<table class="t"><tbody><tr>
<th><b>Error Code</b></th>
<th><b>Description</b></th>
<tr>

<td> 7000 <td> Security group backend exception
<tr>
<td> 7001 <td> The security group does not exist
<tr>
<td> 7006 <td> This is a preset security group and cannot be deleted
</tbody></table>


## 5. Example
 
Input
<pre>

  https://dfw.api.qcloud.com/v2/index.php?Action=DeleteSecurityGroup
  &sgId=sg-c3y9ak17
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">Common request parameters</a>>

</pre>

Output
```

{
    "code": 0,
    "message": ""
}

```

