## 1. 接口描述
 
本接口（DescribeNetworkInterfacesOfSecurityGroup）用于查询已关联指定的安全组的弹性网卡。
接口请求域名：dfw.api.qcloud.com
1)一个网卡允许关联多个安全组，在不同安全组的查询结果中可能有重复的网卡实例ID。
2)网卡列表以列表方式返回，列表成员是网卡的实例ID。

## 2. 输入参数
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> sgId <td> 是 <td> String <td> 安全组id
</tbody></table> 

 
## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code |  Int | 错误码, 0: 成功, 其他值: 失败 |
| message |   String | 错误信息 |
| totalCount |   Int | 关联云服务器实例总数|
| networkInterfaceSet |   Array | 网卡列表数据结构|

网卡列表结构：
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> networkInterfaceId <td> String <td> 弹性网卡Id，例如eni-3056glfn
</tbody></table>

## 4. 错误码表
 <table class="t"><tbody><tr>
<th><b>错误码数值</b></th>
<th><b>原因</b></th>
<tr>

<td> 7000 <td> 安全组后台异常
<tr>
<td> 7001 <td> 安全组不属于当前用户
</tbody></table>
 

## 5. 示例
 
输入
<pre>

  https://dfw.api.qcloud.com/v2/index.php?Action=DescribeNetworkInterfacesOfSecurityGroup
  &sgId=sg-33ocnj9n
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>

输出
```

{
    "code": 0,
    "message": "",
    "data": {
        "totalCount": 1,
        "networkInterfaceSet": [
            {
                "networkInterfaceId": "eni-3056glfn"
            }
        ]
    }
}

```

