## 1. 接口描述
 
本接口（DescribeSecurityGroupPolicys）用于查询已经存在的安全组的规则。
接口请求域名：<font style="color:red">dfw.api.qcloud.com</font>
1)返回数据包含ingress（入站）和egress（出站）两个列表
2)安全组的每条规则最多可包含四个有效字段：ipProtocol、cidrIp或sgId（两者是排他关系，不会同时出现）、portRange和action。action字段是必然存在的，其他字段如果不出现，代表这条规则处理网络报文时，不考虑这个字段而全部匹配。
 

## 2. 输入参数
 
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见公共请求参数页面。其中，此接口的Action字段为DescribeSecurityGroupPolicys。
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> sgId <td> 是 <td> String <td> 安全组Id
</tbody></table>

 

## 3. 输出参数
 
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code |  Int | 错误码, 0: 成功, 其他值: 失败 |
| message |   String | 错误信息 |
| data |   Array | 返回的数据结构|

Data结构：
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> data.ingress <td> Array <td> 入方向规则列表
<tr>
<td> data.egress <td> Array <td> 出方向规则列表
</tbody></table>

ingress/egress规则成员结构
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> key <td> Int <td> 规则位置，从0开始
<tr>
<td> addressModule <td> String <td> IP地址ID或者IP地址组ID；与cidrIp sgId互斥。
<tr>
<td> ipProtocol <td> String <td> 网络协议，支持udp、tcp、icmp等，无则表示全协议
<tr>
<td> cidrIp <td> String <td> ip或ip段，无则表示全ip。与sgId不会同时出现
<tr>
<td> sgId <td> String <td> 安全组ID。与cidrIp不会同时出现
<tr>
<td> portRange<td> String <td> 端口或端口段，无则表示全端口
<tr>
<td> serviceModule<td> String <td> 协议端口ID或者协议端口组ID；与ipProtocol+portRange互斥
<tr>
<td> desc <td> String <td> 规则描述
<tr>
<td> action <td> String <td> 动作，accept或者drop
</tbody></table>

 ## 4. 错误码表
 <table class="t"><tbody><tr>
<th><b>错误码数值</b></th>
<th><b>原因</b></th>
<tr>

<td> 7000 <td> 安全组后台异常
<tr>
<td> 7001 <td> 安全组不属于当前用户
</tbody></table>


## 5. 示例
 
输入
<pre>

  https://dfw.api.qcloud.com/v2/index.php?Action=DescribeSecurityGroupPolicys
  &sgId=sg-33ocnj9n
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>

</pre>

输出
```

{
    "code": 0,
    "message": "",
    "data": {
        "ingress": [
            {
                "ipProtocol": "tcp",
                "cidrIp": "10.0.0.0\/8",
                "portRange": "22",
                "desc": "内网入流量tcp协议22端口禁止访问",
                "action": "ACCEPT"
            }
        ],
        "egress": [
            {
                "ipProtocol": "tcp",
                "cidrIp": "10.0.0.0\/8",
                "desc": "内网tcp出流量放通",
                "action": "ACCEPT"
            }
        ]
    }
}

```

