## 1. 接口描述
 
本接口 (ModifyInstanceProject) 用于修改实例所属项目：项目为一个虚拟概念，用户可以在一个账户下面建立多个项目，每个项目中管理不同的资源。

接口请求域名：<font style="color:red">cvm.api.qcloud.com</font>

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](/document/api/213/6976)页面。
 
| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| instanceId| 是| String| 待操作的实例ID。可通过 [DescribeInstances](https://cloud.tencent.com/doc/api/229/831) API返回值中的 unInstanceId 获取。
| projectId|是 |Int | 项目ID。项目可以使用 [AddProject](https://cloud.tencent.com/doc/api/403/4398) 创建，后续使用 [DescribeInstances](https://cloud.tencent.com/doc/api/229/831) 查询实例时，项目ID可用于过滤结果。



## 3. 输出参数
 
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。|
| message | String | 模块错误信息描述，与接口相关。详见错误码页面的[模块错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#2.E3.80.81.E6.A8.A1.E5.9D.97.E9.94.99.E8.AF.AF.E7.A0.81)。|
 
## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[CVM错误码](/document/product/213/6982)页面。

|错误码|描述|
|---|---|
OperationConstraints.InstanceInAs| 处于自动伸缩中的实例禁止更新项目
InvalidParameter.UuidOrUuidList | 缺少uuid或uuidList参数
InvalidParameter.ProjectIdNotFound|ProjectID不存在
OperationConstraints.InstanceBindWithLoadBalance|绑定负载均衡的实例无法进行此操作

## 5. 示例
 
输入

<pre>
  https://cvm.api.qcloud.com/v2/index.php?
  Action=ModifyInstanceProject
  &instanceId=qcvm882eae196692549cc581015c495d312421
  &projectId=0
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>

输出

```
{
    "code": 0,
    "message": "ok"
}
```





