## 1. 接口描述
域名:cvm.api.qcloud.com
接口名:DescribeInstanceMainInfo

获取虚拟子机主要信息列表

## 2. 输入参数
| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| offset | 否 | Int | 偏移量,默认为0|
| limit | 否 | Int | 默认20|
| projectId | 否 | Int | 项目ID|
| vpcId | 否 | Int | vpcId|
| zoneId | 否 | Int | zoneId|
| lanIps.n (lanIps 为列表，此处入参需要填写列表元素 ) | 否 | String | ip列表|
| instanceName | 否 | String | 主机名称|
| searchWord | 否 | String | 只支持IP段搜索|
| uInstanceIds.n (uInstanceIds 为列表，此处入参需要填写列表元素 ) | 否 | String | 只支持统一资源ID|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值: 失败|
| message | String | 错误信息|
| data | Array | 描述（待补充） |
| data.deviceList | Array | 描述（待补充）| 
| data.deviceList.appId | Int | 描述（待补充）| 
| data.deviceList.deviceId | Int | 描述（待补充）| 
| data.deviceList.tmpDeviceId | Int | 描述（待补充）| 
| data.deviceList.deviceAssetId | String | 描述（待补充）| 
| data.deviceList.deviceLanIp | String | 描述（待补充）| 
| data.deviceList.deviceWanIp | String | 描述（待补充）| 
| data.deviceList.localEthDev | String | 描述（待补充）| 
| data.deviceList.idcName | String | 描述（待补充）| 
| data.deviceList.ispName | String | 描述（待补充）| 
| data.deviceList.deviceImageId | Int | 描述（待补充）| 
| data.deviceList.uuid | String | 描述（待补充）| 
| data.deviceList.deviceClass | String | 描述（待补充）| 
| data.deviceList.osName | String | 描述（待补充）| 
| data.deviceList.cpu | Int | 描述（待补充）| 
| data.deviceList.mem | Int | 描述（待补充）| 
| data.deviceList.disk | Int | 描述（待补充）| 
| data.deviceList.bandwidth | Int | 描述（待补充）| 
| data.deviceList.rootSize | Int | 描述（待补充）| 
| data.deviceList.swapSize | Int | 描述（待补充）| 
| data.deviceList.addTimeStamp | String | 描述（待补充）| 
| data.deviceList.alias | String | 描述（待补充）| 
| data.deviceList.runflag | Int | 描述（待补充）| 
| data.deviceList.status | Int | 描述（待补充）| 
| data.deviceList.lastOperation | String | 描述（待补充）| 
| data.deviceList.updateTimestamp | String | 描述（待补充）| 
| data.deviceList.deadline | String | 描述（待补充）| 
| data.deviceList.isSafeIsolated | Int | 描述（待补充）| 
| data.deviceList.safeIsolatedInfo | String | 描述（待补充）| 
| data.deviceList.projectId | Int | 描述（待补充）| 
| data.deviceList.deviceClassFlag | Int | 描述（待补充）| 
| data.deviceList.autoRenewFlag | Int | 描述（待补充）| 
| data.deviceList.isolateTime | String | 描述（待补充）| 
| data.deviceList.customId | Int | 描述（待补充）| 
| data.deviceList.hypervisorUpdateFlag | Int | 描述（待补充）| 
| data.deviceList.vpcId | Int | 描述（待补充）| 
| data.deviceList.billId | String | 描述（待补充）| 
| data.deviceList.rootType | Int | 描述（待补充）| 
| data.deviceList.zoneId | Int | 描述（待补充）| 
| data.deviceList.zoneName | String | 描述（待补充）| 
| data.deviceList.subnetId | Int | 描述（待补充）| 
| data.deviceList.isVpcGateway | Int | 描述（待补充）| 
| data.deviceList.diskType | Int | 描述（待补充）| 
| data.deviceList.itemId | Int | 描述（待补充）| 
| data.deviceList.cvmPayMode | Int | 描述（待补充）| 
| data.deviceList.networkPayMode | Int | 描述（待补充）| 
| data.deviceList.uInstanceId | String | 描述（待补充）| 
| data.deviceList.hypervisor | Int | 描述（待补充）| 
| data.deviceList.operateAuth | Int | 描述（待补充）| 


## 4. 示例
输入
<pre>
https://cvm.api.qcloud.com/v2/index.php?Action=DescribeInstanceMainInfo
&offset=0
&limit=10
&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "data":{
        "totalNum":"372",
        "deviceList":[
            {
                "appId":"1351000042",
                "deviceId":"4192803",
                "tmpDeviceId":"115261",
                "deviceAssetId":"TYSV1504274E-VM14",
                "deviceLanIp":"10.104.127.8",
                "deviceWanIp":"",
                "localEthDev":"eth0",
                "idcName":"广州移动三水AC2楼0203",
                "ispName":"联通",
                "deviceImageId":"0",
                "uuid":"9f5f0a40-66e4-4716-8572-c20ff6ecb40b",
                "deviceClass":"VSELF",
                "osName":"Xserver V8.1_64",
                "cpu":"1",
                "mem":"2",
                "disk":"0",
                "bandwidth":"2",
                "rootSize":"50",
                "swapSize":"0",
                "addTimeStamp":"2016-03-22 11:42:11",
                "alias":"未命名",
                "runflag":"2",
                "status":"1",
                "lastOperation":"",
                "updateTimestamp":"2016-03-22 11:42:13",
                "deadline":"0000-00-00 00:00:00",
                "isSafeIsolated":"0",
                "safeIsolatedInfo":"",
                "projectId":"0",
                "deviceClassFlag":"0",
                "autoRenewFlag":"0",
                "isolateTime":"0000-00-00 00:00:00",
                "customId":"1",
                "hypervisorUpdateFlag":"0",
                "vpcId":"0",
                "billId":"20160322160000002482425597977583",
                "rootType":"1",
                "zoneId":"100002",
                "zoneName":"广州二区",
                "subnetId":"0",
                "isVpcGateway":"0",
                "diskType":"1",
                "itemId":"0",
                "cvmPayMode":"1",
                "networkPayMode":"1",
                "uInstanceId":"ins-c6ruq5b6",
                "hypervisor":"0",
                "operateAuth":"459666411"
            },
            {
                "appId":"1351000042",
                "deviceId":"4192887",
                "tmpDeviceId":"115267",
                "deviceAssetId":"TYSV1504274E-VM15",
                "deviceLanIp":"10.104.126.76",
                "deviceWanIp":"",
                "localEthDev":"eth0",
                "idcName":"广州移动三水AC2楼0203",
                "ispName":"联通",
                "deviceImageId":"0",
                "uuid":"4a56dc99-13d6-4a0e-9d9c-daea4be02577",
                "deviceClass":"VSELF",
                "osName":"Xserver V8.1_64",
                "cpu":"1",
                "mem":"2",
                "disk":"0",
                "bandwidth":"2",
                "rootSize":"50",
                "swapSize":"0",
                "addTimeStamp":"2016-03-22 11:50:46",
                "alias":"未命名",
                "runflag":"2",
                "status":"1",
                "lastOperation":"",
                "updateTimestamp":"2016-03-22 11:50:47",
                "deadline":"0000-00-00 00:00:00",
                "isSafeIsolated":"0",
                "safeIsolatedInfo":"",
                "projectId":"0",
                "deviceClassFlag":"0",
                "autoRenewFlag":"0",
                "isolateTime":"0000-00-00 00:00:00",
                "customId":"1",
                "hypervisorUpdateFlag":"0",
                "vpcId":"0",
                "billId":"20151213160000002479702065395487",
                "rootType":"1",
                "zoneId":"100002",
                "zoneName":"广州二区",
                "subnetId":"0",
                "isVpcGateway":"0",
                "diskType":"1",
                "itemId":"0",
                "cvmPayMode":"1",
                "networkPayMode":"1",
                "uInstanceId":"ins-oozrekrw",
                "hypervisor":"0",
                "operateAuth":"459666411"
            },
            {
                "appId":"1351000042",
                "deviceId":"4192801",
                "tmpDeviceId":"115260",
                "deviceAssetId":"TYSV1504274E-VM13",
                "deviceLanIp":"10.104.126.225",
                "deviceWanIp":"",
                "localEthDev":"eth0",
                "idcName":"广州移动三水AC2楼0203",
                "ispName":"联通",
                "deviceImageId":"0",
                "uuid":"f721d232-c55c-44ae-a892-93ef479e2e5f",
                "deviceClass":"VSELF",
                "osName":"Xserver V8.1_64",
                "cpu":"1",
                "mem":"2",
                "disk":"0",
                "bandwidth":"2",
                "rootSize":"50",
                "swapSize":"0",
                "addTimeStamp":"2016-03-22 11:42:03",
                "alias":"未命名",
                "runflag":"2",
                "status":"1",
                "lastOperation":"",
                "updateTimestamp":"2016-03-22 11:42:06",
                "deadline":"0000-00-00 00:00:00",
                "isSafeIsolated":"0",
                "safeIsolatedInfo":"",
                "projectId":"0",
                "deviceClassFlag":"0",
                "autoRenewFlag":"0",
                "isolateTime":"0000-00-00 00:00:00",
                "customId":"1",
                "hypervisorUpdateFlag":"0",
                "vpcId":"0",
                "billId":"20160322160000002482425659301866",
                "rootType":"1",
                "zoneId":"100002",
                "zoneName":"广州二区",
                "subnetId":"0",
                "isVpcGateway":"0",
                "diskType":"1",
                "itemId":"0",
                "cvmPayMode":"1",
                "networkPayMode":"1",
                "uInstanceId":"ins-fgz86ld8",
                "hypervisor":"0",
                "operateAuth":"459666411"
            },
            {
                "appId":"1351000042",
                "deviceId":"4181609",
                "tmpDeviceId":"115231",
                "deviceAssetId":"TYSV12120847-VM271",
                "deviceLanIp":"10.104.127.35",
                "deviceWanIp":"",
                "localEthDev":"eth0",
                "idcName":"广州电信石基AC4楼M2",
                "ispName":"联通",
                "deviceImageId":"746",
                "uuid":"254f9dab-1cd0-468b-b2cd-1e43f45284ff",
                "deviceClass":"VSELF",
                "osName":"ubuntu12-64bit",
                "cpu":"2",
                "mem":"2",
                "disk":"20",
                "bandwidth":"24",
                "rootSize":"20",
                "swapSize":"2",
                "addTimeStamp":"2016-03-21 12:35:08",
                "alias":"未命名",
                "runflag":"2",
                "status":"1",
                "lastOperation":"",
                "updateTimestamp":"2016-04-18 18:47:14",
                "deadline":"0000-00-00 00:00:00",
                "isSafeIsolated":"0",
                "safeIsolatedInfo":"",
                "projectId":"0",
                "deviceClassFlag":"0",
                "autoRenewFlag":"0",
                "isolateTime":"0000-00-00 00:00:00",
                "customId":"1",
                "hypervisorUpdateFlag":"0",
                "vpcId":"0",
                "billId":"20160321160000002482418369113895",
                "rootType":"1",
                "zoneId":"100001",
                "zoneName":"广州一区",
                "subnetId":"0",
                "isVpcGateway":"0",
                "diskType":"1",
                "itemId":"0",
                "cvmPayMode":"1",
                "networkPayMode":"1",
                "uInstanceId":"ins-4b7cebrc",
                "hypervisor":"0",
                "operateAuth":"459666411"
            },
            {
                "appId":"1351000042",
                "deviceId":"4557049",
                "tmpDeviceId":"115785",
                "deviceAssetId":"TYSV1507687S-VM123",
                "deviceLanIp":"10.104.126.61",
                "deviceWanIp":"",
                "localEthDev":"eth0",
                "idcName":"广州移动三水AC3楼0301",
                "ispName":"",
                "deviceImageId":"0",
                "uuid":"52877546-8591-4e25-ad61-b24df31c7db4",
                "deviceClass":"VSELF",
                "osName":"centos6.6x86_32",
                "cpu":"1",
                "mem":"2",
                "disk":"0",
                "bandwidth":"65535",
                "rootSize":"20",
                "swapSize":"0",
                "addTimeStamp":"2016-04-22 18:32:01",
                "alias":"我是测试同学",
                "runflag":"2",
                "status":"1",
                "lastOperation":"",
                "updateTimestamp":"2016-04-25 16:37:16",
                "deadline":"0000-00-00 00:00:00",
                "isSafeIsolated":"0",
                "safeIsolatedInfo":"",
                "projectId":"0",
                "deviceClassFlag":"0",
                "autoRenewFlag":"0",
                "isolateTime":"0000-00-00 00:00:00",
                "customId":"1",
                "hypervisorUpdateFlag":"0",
                "vpcId":"0",
                "billId":"20160422160000002485313618300819",
                "rootType":"2",
                "zoneId":"100002",
                "zoneName":"广州二区",
                "subnetId":"0",
                "isVpcGateway":"0",
                "diskType":"2",
                "itemId":"0",
                "cvmPayMode":"1",
                "networkPayMode":"1",
                "uInstanceId":"ins-6yci306a",
                "hypervisor":"0",
                "operateAuth":"459666411"
            },
            {
                "appId":"1351000042",
                "deviceId":"4181337",
                "tmpDeviceId":"115219",
                "deviceAssetId":"TYSV12120847-VM268",
                "deviceLanIp":"10.104.63.129",
                "deviceWanIp":"",
                "localEthDev":"eth0",
                "idcName":"广州电信石基AC4楼M2",
                "ispName":"",
                "deviceImageId":"0",
                "uuid":"c8bf3501-cd62-436c-be13-b23085b29f8e",
                "deviceClass":"VSELF",
                "osName":"centos6.6x86_32",
                "cpu":"1",
                "mem":"1",
                "disk":"0",
                "bandwidth":"0",
                "rootSize":"20",
                "swapSize":"2",
                "addTimeStamp":"2016-03-21 11:56:19",
                "alias":"未命名",
                "runflag":"2",
                "status":"1",
                "lastOperation":"",
                "updateTimestamp":"2016-04-29 16:04:02",
                "deadline":"0000-00-00 00:00:00",
                "isSafeIsolated":"0",
                "safeIsolatedInfo":"",
                "projectId":"0",
                "deviceClassFlag":"0",
                "autoRenewFlag":"0",
                "isolateTime":"0000-00-00 00:00:00",
                "customId":"1",
                "hypervisorUpdateFlag":"0",
                "vpcId":"0",
                "billId":"20160321160000002482416775945223",
                "rootType":"1",
                "zoneId":"100001",
                "zoneName":"广州一区",
                "subnetId":"0",
                "isVpcGateway":"0",
                "diskType":"1",
                "itemId":"0",
                "cvmPayMode":"1",
                "networkPayMode":"1",
                "uInstanceId":"ins-6arygb0m",
                "hypervisor":"0",
                "operateAuth":"459666411"
            },
            {
                "appId":"1351000042",
                "deviceId":"4192889",
                "tmpDeviceId":"115270",
                "deviceAssetId":"TYSV1504274E-VM16",
                "deviceLanIp":"10.104.126.226",
                "deviceWanIp":"",
                "localEthDev":"eth0",
                "idcName":"广州移动三水AC2楼0203",
                "ispName":"联通",
                "deviceImageId":"0",
                "uuid":"8b17e9a5-0875-454b-878b-f78cba9b3b27",
                "deviceClass":"VSELF",
                "osName":"Xserver V8.1_64",
                "cpu":"1",
                "mem":"2",
                "disk":"0",
                "bandwidth":"16",
                "rootSize":"50",
                "swapSize":"0",
                "addTimeStamp":"2016-03-22 11:50:55",
                "alias":"未命名",
                "runflag":"2",
                "status":"1",
                "lastOperation":"",
                "updateTimestamp":"2016-04-25 17:42:31",
                "deadline":"0000-00-00 00:00:00",
                "isSafeIsolated":"0",
                "safeIsolatedInfo":"",
                "projectId":"0",
                "deviceClassFlag":"0",
                "autoRenewFlag":"0",
                "isolateTime":"0000-00-00 00:00:00",
                "customId":"1",
                "hypervisorUpdateFlag":"0",
                "vpcId":"0",
                "billId":"20151213160000002479701038259127",
                "rootType":"1",
                "zoneId":"100002",
                "zoneName":"广州二区",
                "subnetId":"0",
                "isVpcGateway":"0",
                "diskType":"1",
                "itemId":"0",
                "cvmPayMode":"1",
                "networkPayMode":"1",
                "uInstanceId":"ins-my8l268y",
                "hypervisor":"0",
                "operateAuth":"459666411"
            },
            {
                "appId":"1351000042",
                "deviceId":"4192895",
                "tmpDeviceId":"115268",
                "deviceAssetId":"TYSV1504274E-VM19",
                "deviceLanIp":"10.104.126.223",
                "deviceWanIp":"",
                "localEthDev":"eth0",
                "idcName":"广州移动三水AC2楼0203",
                "ispName":"联通",
                "deviceImageId":"0",
                "uuid":"05d86f17-b74d-4e44-a266-a9f35185fc6b",
                "deviceClass":"VSELF",
                "osName":"Xserver V8.1_64",
                "cpu":"1",
                "mem":"2",
                "disk":"0",
                "bandwidth":"2",
                "rootSize":"50",
                "swapSize":"0",
                "addTimeStamp":"2016-03-22 11:50:58",
                "alias":"未命名",
                "runflag":"2",
                "status":"1",
                "lastOperation":"",
                "updateTimestamp":"2016-04-20 12:01:59",
                "deadline":"0000-00-00 00:00:00",
                "isSafeIsolated":"0",
                "safeIsolatedInfo":"",
                "projectId":"0",
                "deviceClassFlag":"0",
                "autoRenewFlag":"0",
                "isolateTime":"0000-00-00 00:00:00",
                "customId":"1",
                "hypervisorUpdateFlag":"0",
                "vpcId":"0",
                "billId":"20151213160000002479701934382221",
                "rootType":"1",
                "zoneId":"100002",
                "zoneName":"广州二区",
                "subnetId":"0",
                "isVpcGateway":"0",
                "diskType":"1",
                "itemId":"0",
                "cvmPayMode":"1",
                "networkPayMode":"1",
                "uInstanceId":"ins-dqavkcg2",
                "hypervisor":"0",
                "operateAuth":"459666411"
            },
            {
                "appId":"1351000042",
                "deviceId":"4347325",
                "tmpDeviceId":"115566",
                "deviceAssetId":"TYSV12120863-VM228",
                "deviceLanIp":"10.207.131.5",
                "deviceWanIp":"",
                "localEthDev":"eth0",
                "idcName":"广州电信石基AC5楼",
                "ispName":"",
                "deviceImageId":"0",
                "uuid":"56417139-77e1-4306-b1f6-900e5e0e0e48",
                "deviceClass":"VSELF",
                "osName":"centos6.6x86_32",
                "cpu":"1",
                "mem":"1",
                "disk":"0",
                "bandwidth":"0",
                "rootSize":"20",
                "swapSize":"0",
                "addTimeStamp":"2016-04-07 05:13:58",
                "alias":"未命名",
                "runflag":"4",
                "status":"1",
                "lastOperation":"",
                "updateTimestamp":"2016-04-29 16:04:02",
                "deadline":"0000-00-00 00:00:00",
                "isSafeIsolated":"0",
                "safeIsolatedInfo":"",
                "projectId":"0",
                "deviceClassFlag":"0",
                "autoRenewFlag":"0",
                "isolateTime":"0000-00-00 00:00:00",
                "customId":"1",
                "hypervisorUpdateFlag":"0",
                "vpcId":"-1",
                "billId":"20160407160000002485111271989769",
                "rootType":"1",
                "zoneId":"100001",
                "zoneName":"广州一区",
                "subnetId":"0",
                "isVpcGateway":"0",
                "diskType":"1",
                "itemId":"0",
                "cvmPayMode":"1",
                "networkPayMode":"1",
                "uInstanceId":"ins-f9uud7k6",
                "hypervisor":"0",
                "operateAuth":"501478389"
            },
            {
                "appId":"1351000042",
                "deviceId":"4352179",
                "tmpDeviceId":"115568",
                "deviceAssetId":"TYSV12120863-VM229",
                "deviceLanIp":"10.207.131.72",
                "deviceWanIp":"",
                "localEthDev":"eth0",
                "idcName":"广州电信石基AC5楼",
                "ispName":"",
                "deviceImageId":"0",
                "uuid":"a9948036-19ea-469b-b125-fad65ed7895d",
                "deviceClass":"VSELF",
                "osName":"centos6.6x86_32",
                "cpu":"1",
                "mem":"1",
                "disk":"0",
                "bandwidth":"37",
                "rootSize":"20",
                "swapSize":"0",
                "addTimeStamp":"2016-04-07 15:09:59",
                "alias":"未命名",
                "runflag":"4",
                "status":"1",
                "lastOperation":"",
                "updateTimestamp":"2016-04-18 10:16:36",
                "deadline":"0000-00-00 00:00:00",
                "isSafeIsolated":"0",
                "safeIsolatedInfo":"",
                "projectId":"0",
                "deviceClassFlag":"0",
                "autoRenewFlag":"0",
                "isolateTime":"0000-00-00 00:00:00",
                "customId":"1",
                "hypervisorUpdateFlag":"0",
                "vpcId":"-1",
                "billId":"20160407160000002485112451361815",
                "rootType":"1",
                "zoneId":"100001",
                "zoneName":"广州一区",
                "subnetId":"0",
                "isVpcGateway":"0",
                "diskType":"1",
                "itemId":"0",
                "cvmPayMode":"1",
                "networkPayMode":"1",
                "uInstanceId":"ins-8lbqc0tm",
                "hypervisor":"0",
                "operateAuth":"501478389"
            }
        ]
    }
}
```

