## 1. 接口描述

本接口 (SetAutoRenew) 用于设置实例为自动续费。

接口请求域名：<font style="color:red">trade.api.qcloud.com</font>

* 某实例被标识为自动续费后，每次在实例到期时，会自动续费一个月。
* 在使用本接口前，请先确保用户账户余额充足。

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](/document/api/213/6976)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| instanceType| 是| Int| 实例类型，如需要设置CVM实例自动续费请设置为1。|
| instanceIds.n| 是| String|待操作的实例ID。可通过 [DescribeInstances](https://cloud.tencent.com/doc/api/229/831) API返回值中的 unInstanceId 获取。此接口支持同时传入多个ID。此参数的具体格式可参考API[简介](https://cloud.tencent.com/doc/api/229/568)的`id.n`一节。|
| autoRenew| 是| Int| 自动续费标识。0为不自动续费、1为自动续费，2为不再续费。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。|
| message | String | 模块错误信息描述，与接口相关。详见错误码页面的[模块错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#2.E3.80.81.E6.A8.A1.E5.9D.97.E9.94.99.E8.AF.AF.E7.A0.81)。|
 


## 4. 示例
 
输入

<pre>
  https://cvm.api.qcloud.com/v2/index.php?Action=SetAutoRenew
  &instanceType=1&instanceId.0=ins-cvm1234&autoRenew=1
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>


输出

```
{
    "code" : 0,
    "message" : "ok"
}

```




