## 1. 接口描述
 
本接口 (ResizeInstance) 用于调整指定实例的配置，包括CPU、内存、数据盘。

接口请求域名：<font style="color:red">cvm.api.qcloud.com</font>

* 只能对已关机的实例进行调整配置操作。
* 此接口目前只支持系统盘是云盘的实例。
* 不支持挂载了弹性云盘的实例。
* 本接口只能对包年包月实例进行调整，如需调整按量计费请参考 [ResizeInstanceHour](https://cloud.tencent.com/doc/api/229/1344)
* 暂不支持配置降级。

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](/document/api/213/6976)页面。

| 参数名称 | 是否必选  | 类型 | 描述 
|---------|---------|---------|---------|
| instanceId|是|String|待操作的实例ID。可通过 [DescribeInstances](https://cloud.tencent.com/doc/api/229/831) API返回值中的 unInstanceId 获取。
| cpu| 否| Int| 升级后的实例核数。CPU与内存具体的配比限制参见[CVM实例配置](/document/product/213/2177)。|
| mem| 否| Int| 升级后的实例内存大小(GB)。CPU与内存具体的配比限制参见[CVM实例配置](/document/product/213/2177)。|
| bandwidth| 否| Int| 带宽（Mbps）如仅需升级带宽也可以使用 [UpdateInstanceBandwidth](http://cloud.tencent.com/doc/api/229/%E8%B0%83%E6%95%B4%E5%8C%85%E5%B9%B4%E5%8C%85%E6%9C%88%E5%AE%9E%E4%BE%8B%E5%B8%A6%E5%AE%BD) ，如果指定了此参数，需要将bandwidthUpgradeStartTime和bandwidthUpgradeEndTime一同指定。|
| bandwidthUpgradeStartTime| 否| String| 带宽升级开始时间（例2016-08-30），当日0时生效。|
| bandwidthUpgradeEndTime| 否| String| 带宽升级结束时间（例2018-10-02）。将于当日0时恢复为原带宽。|
| storageType| 否| Int| 硬盘类型。硬盘类型。1:本地盘、2:云硬盘、3:SSD本地盘、4:SSD云盘，默认为1。关于硬盘类型的选择请参考[硬盘产品简介](https://cloud.tencent.com/doc/product/213/498)，可选硬盘类型受到创建实例时选择的实例类型（InstanceType）限制。另外允许购买的最大容量也因硬盘类型的不同而有所差异。|
| storageSize| 是| Int| 数据盘大小（GB）。最小调整步长为10G，此参数默认值为0，表示不购买数据盘。其所分配数据盘的类型与创建实例时 `storageType` 所指定的一致。关于不同类型数据盘的特性与容量限制请参考[硬盘产品简介](https://cloud.tencent.com/doc/product/213/498)。|
## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。|
| message | String | 模块错误信息描述，与接口相关。详见错误码页面的[模块错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#2.E3.80.81.E6.A8.A1.E5.9D.97.E9.94.99.E8.AF.AF.E7.A0.81)。|
| dealIds| Array| 生成的订单号，用于查询后续执行状况。|


## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[CVM错误码](/document/product/213/6982)页面。

|错误码|描述|
|---|---|
|NotSupport.NotPrepaidUser|请求被拒绝，接口只支持预付费用户
|OperationFail.AllResourceOpFailed|资源操作失败
|NotSupport.BandwidthPackageUser|请求失败，带宽包客户不支持使用该接口调整实例的带宽
|InvalidParameter.Bandwidth|售卖系统接口操作失败：bandwidth参数不正确，请确认重试
|NotSupport.InstanceConfig|请求失败，共享核实例不支持调整配置
|OperationConstraints.AccountBalanceNotEnough|您的余额不足，请先充值！
|OperationFail.SystemBusy|资源购买繁忙


## 5. 示例
 
输入

<pre>
  https://cvm.api.qcloud.com/v2/index.php?Action=ResizeInstance
  &instanceId=qcvm12345
  &cpu=1
  &mem=2
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>

输出

```
  {
      "code" : 0,
      "message" : ""
　　  "dealIds":[
　　          121
　　      ]
  }

```





