## 1. 接口描述
 

本接口 (ImportKeyPair) 用于导入密钥。

接口请求域名：<font style="color:red">cvm.api.qcloud.com</font>


* 本接口的作用仅是将密钥导入到用户账户，并不会自动绑定到实例。如需通过API绑定，请参考 [BindInstanceKey](https://cloud.tencent.com/doc/api/229/1947) API。
* 需指定密钥名称以及该密钥的公钥文本。
* 如果用户只有私钥，可以通过SSL工具将私钥转换成公钥后再导入。
 

## 2. 输入参数


以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](/document/api/213/6976)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
|keyName  |是 |String |密钥名称。|
|pubKey  |是 |String |密钥的公钥内容，OpenSSH格式。|

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。|
| message | String | 模块错误信息描述，与接口相关。详见错误码页面的[模块错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#2.E3.80.81.E6.A8.A1.E5.9D.97.E9.94.99.E8.AF.AF.E7.A0.81)。|
| keyId |   String | 密钥ID。 |


## 4. 示例
 
输入

<pre>
  https://cvm.api.qcloud.com/v2/index.php?Action=ImportKeyPair
  &keyName=operation_key
  &pubKey=ssh-rsa XXXXXXXXXXXX== skey_45071
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>

</pre>

输出

```
{
    "code": 0,
    "message": "",
    "keyId":"skey-xxxx"
}
```





