## 1. 接口描述

本接口 (ImportKeyPair) 用于导入密钥对。

接口请求域名：<font style="color:red">cvm.api.qcloud.com</font>

* 本接口的功能是将密钥对导入到用户账户，并不会自动绑定到实例。如需绑定可以使用[AssociasteInstancesKeyPair](/document/api/213/9404)接口。
* 需指定密钥对名称以及该密钥对的公钥文本。
* 如果用户只有私钥，可以通过 `SSL` 工具将私钥转换成公钥后再导入。


## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](/document/api/213/11650)页面。

| 参数名称 | 类型  | 是否必选 | 描述 |
|---------|---------|---------|---------|
|Version|String|是|表示API版本号，主要用于标识请求的不同API版本。 本接口第一版本可传：2017-03-12。|
|KeyName  | String | 是 | 密钥对名称，可由数字，字母和下划线组成，长度不超过25个字符。|
|ProjectId| Integer| 是 | 密钥对创建后所属的[项目](/document/product/378/10863)ID。<br><br>可以通过以下方式获取项目ID：<br><li>通过[项目列表](https://console.cloud.tencent.com/project)查询项目ID。<br><li>通过调用接口 [DescribeProject](/document/api/378/4400)，取返回信息中的 `projectId ` 获取项目ID。|
|PublicKey| String | 是 |密钥对的公钥内容，`OpenSSH RSA` 格式。|


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| RequestId| String| 唯一请求 `ID` 。每次请求都会返回 `RequestId` 。当用户调用接口失败找后台研发人员处理时需提供该 `RequestId`。|
| KeyId | String | 密钥对ID。|


## 4. 错误码

以下错误码表仅列出了该接口的业务逻辑错误码，更多错误码详见[公共错误码](/document/api/213/11657)。


| 错误码 | 描述 |
|---------|---------|
|MissingParameter| 参数缺失。请求没有带必选参数。|
|InvalidParameterValue| 无效参数值。参数值格式错误或者参数值不被支持等。|
|InvalidKeyPairName.Duplicate|密钥对名称重复。|
|InvalidKeyPair.LimitExceeded|密钥对数量超过限制。|
|InvalidKeyPairNameEmpty|密钥名称为空。|
|InvalidKeyPairNameTooLong|密钥名称超过25个字符。|
|InvalidKeyPairNameIncludeIllegalChar|密钥名称包含非法字符。密钥名称只支持英文、数字和下划线。|
|InvalidPublicKey.Malformed|无效密钥公钥。指定公钥格式错误，不符合`OpenSSH RSA`格式要求。|
|InvalidPublicKey.Duplicate|无效密钥公钥。指定公钥已经存在。|
|InternalServerError|操作内部错误。|


## 5. 示例
 
输入

<pre>
https://cvm.api.qcloud.com/v2/index.php?Action=ImportKeyPair
&Version=2017-03-12
&keyName=operation_key
&ProjectId=0
&PublicKey=ssh-rsa XXXXXXXXXXXX== skey_45071
&<<a href="/document/api/213/11650">公共请求参数</a>>
</pre>

输出

<pre>
{
    "Response": {
        "RequestId": "6EF60BEC-0242-43AF-BB20-270359FB54A7",
        "KeyId":"skey-4e5ty7i8"
    }
}
</pre>
