## 1. 接口描述

本接口 (GetImageShareUinInfo) 用于查询本账户的镜像共享情况，包括共享的账户列表。

接口请求域名：<font style="color:red">image.api.qcloud.com</font>

* 可以通过镜像ID进行查询，最多10个。


## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](/document/api/213/6976)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| imageIds.n | 是 | String | 镜像ID，可通过 [DescribeImages](http://cloud.tencent.com/document/api/213/1272) 接口值中的 unImgId 获取（此接口支持同时传入多个ID。此参数的具体格式可参考API[简介](https://cloud.tencent.com/doc/api/229/568)的`id.n`一节）。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。|
| message | String | 模块错误信息描述，与接口相关。详见错误码页面的[模块错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#2.E3.80.81.E6.A8.A1.E5.9D.97.E9.94.99.E8.AF.AF.E7.A0.81)。|
| data | Array | 镜像分享数据 |

其中，data包含了镜像分享数据，数据结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| imageNum | Int | 镜像个数。 | 
| maxImgShareNum | Int | 允许共享的镜像最大数量。 | 
| imageList | Array | 共享镜像列表。 | 

其中，imageList包含了若干个镜像数据。每个镜像数据结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| imageId | String | 镜像ID。 | 
| shareUinInfo | Array | 共享信息。 | 

在imageList中，shareUinInfo包含了若干个分享人的详细信息，每个分享人的详细信息的具体数据结构为：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| uin | Int | 共享的账号。 | 
| shareTimeStamp | String | 共享时间。 | 


## 4. 示例
输入

<pre>
https://image.api.qcloud.com/v2/index.php?Action=GetImageShareUinInfo
&imageIds.0=img-jgggrva9
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>

输出

```
{
    "code":"0",
    "message":"",
    "data":{
        "imageNum":"1",
        "maxImgShareNum":"50",
        "imageList":[
            {
                "imageId":"img-jgggrva9",
                "shareUinInfo":[
                    {
                        "uin":"1621874004",
                        "shareTimeStamp":"2016-01-13 15:16:53"
                    },
                    {
                        "uin":"877354327",
                        "shareTimeStamp":"2016-01-18 13:14:17"
                    }
                ]
            }
        ]
    }
}
```





