## 1. 接口描述

本接口（CreateCbsStorages）用于创建新的弹性云盘。

接口请求域名：<font style="color:red">cbs.api.qcloud.com</font>

使用限制：
1. 普通弹性云盘和SSD弹性云盘售卖限制请见[云硬盘使用限制](https://cloud.tencent.com/doc/product/362/5145)


## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/product/240/8320)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
| ------- | ------- | ------- | ------- |
| storageType | 是 | String | 硬盘介质类型。只有两种取值：cloudBasic表示普通云硬盘，cloudPremium表示高效云盘，cloudSSD表示SSD云硬盘 | 
| goodsNum | 是 | Int | 购买数量，最大值为10 | 
| payMode | 是 | String | 付费模式，目前只有预付费`prePay` |
| period | 是 | Int | 购买时长，单位为月 |
| zone | 是 | string | 购买的云盘所处的可用区，取值详见[地域和可用区](https://cloud.tencent.com/document/product/213/6091) |
| storageSize | 否 | Int | 磁盘大小，单位为GB。如果传入snapshotId则可不传storageSize，此时新建云盘的大小为快照大小。<br>如果传入快照ID同时传入磁盘大小，则磁盘大小必须大于或等于快照大小。<br>取值范围为10GB \~ 4000GB（普通云硬盘）或250GB \~ 4000GB（SSD云硬盘），步长为10GB |
| projectId | 否 | Int | 项目ID，不带此参数时将在默认项目下进行创建。通过[DescribeProject（查询项目列表）](/document/product/378/4400)接口查询 |
| snapshotId | 否 | String | 快照ID，如果传入则根据此快照创建云盘，快照类型必须为数据盘快照，通过[DescribeSnapshots（查询快照列表）](https://cloud.tencent.com/doc/api/364/2530) 接口查询 | 

<!--| zoneId | 是 | Int | 购买的云盘所处可用区ID，通过 [DescribeAvailabilityZones（查询可用区）](http://cloud.tencent.com/doc/api/229/1286) 接口查询 | -->

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
| ------- | ------- | ------- |
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81) |
| message | String | 错误信息，详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81)|
| storageIds | Array[String] | 创建的云硬盘ID列表 |


## 4. 错误码表

以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[云硬盘错误码](https://cloud.tencent.com/doc/api/364/4207)

| 错误代码 | 英文描述 | 错误描述 |
| ------- | ------- | ------- |
| 9003 | InvalidParameter | 参数错误 |

## 5. 示例

输入
<pre>
https://cbs.api.qcloud.com/v2/index.php?
<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
$Action=CreateCbsStorages
&storageType=cloudBasic
&storageSize=10
&goodsNum=1
&period=1
&zone=ap-guangzhou-2
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "storageIds":[
            "disk-jpehowjo"
        ]
}
```

