## 1. 接口描述

本接口（DescribeInstancesCbsNum）用于查询云主机已挂载的弹性云盘数量和可挂载的弹性云盘的总数。

接口请求域名：<font style="color:red">cbs.api.qcloud.com</font>

使用限制：

无特殊限制，具体参数限制见下表。

## 3. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/product/240/8320)页面。

| 参数名称 | 必选  | 类型 | 描述 |
| ------- | ------- | ------- | ------- |
| uInstanceIds | 是 | Array[String] | 云服务器实例ID，通过[DescribeInstances（查看实例列表）](/doc/api/229/831)接口查询 |
 
 
## 4. 输出参数

| 参数名称 | 类型 | 描述 |
| ------- | ------- | ------- |
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81) |
| message | String | 错误信息，详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81)|
| detail | Array[Object] | 云服务器可挂载与最大可挂载弹性云盘数量信息的详情，见下表|
 
detail结构：

| 参数名称 | 类型 | 描述 |
| ------- | ------- | ------- |
| count | Int | 当前云服务器已挂载弹性云盘数量|
| maxAttachNum | String | 当前云服务器最大可挂载弹性云盘数量|
 
## 4. 错误码表

以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[云硬盘错误码](https://cloud.tencent.com/doc/api/364/4207)

| 错误代码 | 英文描述 | 错误描述 |
| ------- | ------- | ------- |
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError | 服务器后台错误 |

## 5. 示例

输入
<pre>
https://cbs.api.qcloud.com/v2/index.php?
<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=DescribeInstancesCbsNum
&uInstanceIds.0=ins-ka40hchw
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "detail":{
        "ins-ka40hchw":{
            "count":"5",
            "maxAttachNum":"10"
        }
    }
}
```
