## 1. 接口描述

本接口（DescribeCbsStorages）用于查询云硬盘的详细信息。可根据云硬盘ID、云硬盘状态，云硬盘类型等对结果进行过滤。对于过滤条件，不同条件之间为与(AND)的关系，如果不传入则不以此条件过滤。

接口请求域名：<font style="color:red">cbs.api.qcloud.com</font>


## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/product/240/8320)页面。

| 参数名称 | 必选  | 类型 | 描述 |
| -------- | ----- | ----- | --------- |
| diskType | 否 | String | 标准值：<br>root代表系统盘，data代表数据盘 |
| payMode | 否 | String | 付费方式。<br>prePay表示预付费（包年包月），postPay表示后付费（按量计费） | 
| portable | 否 | Int | 是否是弹性云盘。1表示弹性云盘，0表示非弹性云盘 | 
| projectId | 否 | Int | 项目ID。通过[DescribeProject（查询项目列表）](https://cloud.tencent.com/document/product/378/4400)接口查询可用项目及其ID。 | 
| storageIds | 否 | Array[String] | 按照一个或者多个云硬盘ID过滤。 |
| storageType | 否 | String | 硬盘介质类型。只有两种取值：cloudBasic表示普通云硬盘，cloudPremium表示高效云盘，cloudSSD表示SSD云硬盘|
| storageStatus | 否 | Array[String] | 按照一个或者多个状态过滤，标准值如下。<br>normal：正常<br>toRecycle：待销毁<br>attaching：挂载中<br>detaching：解挂中<br>snapshotCreating：快照创建中<br>rollback：回滚中<br>expanding：扩容中 | 
| uInstanceIds | 否 | Array[String] | 云主机实例ID，可根据此参数查询挂载在指定云主机下的云硬盘 |
| zone | 否 | string | 云盘所处的可用区，取值详见[地域和可用区](https://cloud.tencent.com/document/product/213/6091) |
| offset | 否 | Int | 偏移量，默认为0 | 
| limit | 否 | Int | 返回磁盘数量。默认值为20, 最大值为100 | 

<!-- | zoneId | 否 | Int | 硬盘所在可用区ID，通过 [DescribeAvailabilityZones（查询可用区）](http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E8%AF%A2%E5%8F%AF%E7%94%A8%E5%8C%BA)接口查询  |-->


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
| ------- | ------- | ------- |
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81) |
| message | String | 错误信息，详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81)|
| storageSet | Array[Object] | 云硬盘信息数组,见下表 |
| totalCount | Int | 返回的云硬盘数量 |
 
 storageSet结构
 
| 参数名称 | 类型 | 描述 |
| ------- | ------- | ------- |
| attached | Int | 是否已挂载。0表示未挂载,1表示已挂载 | 
| createTime | String | 创建时间 |
| deadlineTime | String | 云硬盘到期时间 | 
| diskType | String | 硬盘类型。root：系统盘。data：数据盘 | 
| payMode | String | 付费模式。<br>prePay表示预付费（包年包月），postPay表示后付费（按量计费） | 
| portable | Int | 是否是弹性云盘。0表示不是弹性云盘，1表示是弹性云盘 | 
| projectId | Int | 项目ID | 
| snapshotAbility | Int | 是否具备创建快照的能力。0表示不具备,1表示具备 | 
| storageId | String | 云硬盘ID | 
| storageName | String | 云硬盘名称 | 
| storageSize | Int | 云硬盘大小，单位为GB | 
| storageStatus | String | 云硬盘状态。<br>normal：正常。toRecycle：待销毁。<br>attaching：挂载中。detaching：解挂中。snapshotCreating：快照创建中。<br>rollback：回滚中。expanding：扩容中 | 
| storageType | String | 硬盘介质类型。cloudBasic：普通云硬盘。cloudPremium：高效云盘，cloudSSD：SSD云硬盘 | 
| uInstanceId | String | 云硬盘挂载的云主机ID |
| zone | string | 云盘所处的可用区，取值详见[地域和可用区](https://cloud.tencent.com/document/product/213/6091) 

<!-- | zoneId | Int | 云硬盘所在可用区ID,具体含义可通过通过 [DescribeAvailabilityZones（查询可用区）](http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E8%AF%A2%E5%8F%AF%E7%94%A8%E5%8C%BA) 接口查询 | -->

## 4. 错误码表

以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[云硬盘错误码](https://cloud.tencent.com/doc/api/364/4207)

| 错误代码 | 英文描述 | 错误描述 |
| ------- | ------- | ------- |
| 9003 | InvalidParameter | 参数错误 |

## 5. 示例

输入
<pre>
https://cbs.api.qcloud.com/v2/index.php?
<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=DescribeCbsStorages
&storageIds.0=disk-5h58gfba
&storageIds.1=disk-m0js2w9s
&storageStatus.0=normal
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "totalCount": 2,
    "storageSet": [
        {
            "storageId": "disk-5h58gfba",
            "uInstanceId": null,
            "storageName": "ssss",
            "projectId": 0,
            "diskType": "data",
            "storageType": "cloudBasic",
            "storageStatus": "normal",
            "zoneId": 100002,
            "zone": "ap-guangzhou-2",
            "createTime": "2015-04-30 10:28:28",
            "storageSize": 10,
            "snapshotAbility": 0,
            "payMode": "prePay",
            "portable": 1,
            "attached": 0,
            "deadlineTime":2017-04-30 10:28:28,
        },
        {
            "storageId": "disk-m0js2w9s",
            "uInstanceId": null,
            "storageName": "baba",
            "projectId": 0,
            "diskType": "data",
            "storageType": "cloudBasic",
            "storageStatus": "normal",
            "zoneId": 100003,
            "zone": "ap-guangzhou-3",
            "createTime": "2015-05-02 10:19:54",
            "storageSize": 10,
            "snapshotAbility": 0,
            "payMode": "prePay",
            "portable": 0,
            "attached": 1,
            "deadlineTime":2016-05-02 10:19:54,
        }
    ]
}
```


