## 1. 接口描述

本接口（InquiryStoragePrice）用于查询[弹性云盘](https://cloud.tencent.com/doc/product/362/2345)价格。根据输入参数的不同，接口作用也不同。详见下面的说明。

接口请求域名：<font style="color:red">cbs.api.qcloud.com</font>

使用限制：

1. 只支持查询弹性云盘价格

## 2. 输入参数

### 2.1. 查询新购买弹性云盘价格

| 参数名称 | 必选  | 类型 | 描述 |
| ------- | ------- | ------- | --- | 
| inquiryType | 是 | String | 查询新购价格输入参数固定为create| 
| storageType | 是 | String | 云硬盘类型。普通云硬盘：cloudBasic，高效云盘：cloudPremium，SSD云硬盘：cloudSSD|
| storageSize | 是 | Int | 云硬盘大小，单位为GB。<br>普通云硬盘最小10GB，SSD云硬盘最小250GB，步长均为10GB。|
| goodsNum | 是 | Int | 购买云硬盘的数量，最大值为10 | 
| period | 是 | Int | 购买时长, 单位为月| 
| payMode | 是 | String | 云硬盘付费模式。当前仅支持包年包月模式：prePay | 
 
### 2.2. 查询弹性云盘续费价格

| 参数名称 | 必选  | 类型 | 描述 |
| ------- | ------- | ------- | --- | 
| inquiryType | 是 | String | 用于续费时输入参数固定为renew | 
| storageId | 是 | String |云硬盘ID， 通过[DescribeCbsStorages（查询云硬盘信息）](/doc/api/364/2519)接口查询 |
| period | 是 | Int | 购买时长，单位为月 |
 
 
### 2.3. 查询弹性云盘扩容价格

| 参数名称 | 必选  | 类型 | 描述 |
| ------- | ------- | ------- | ------- | 
| inquiryType | 是 | String | 查询扩容价格输入参数固定为resize| 
| storageId | 是 | String | 云硬盘ID， 通过[DescribeCbsStorages（查询云硬盘信息）](/doc/api/364/2519)接口查询 |
| storageSize | 是 | Int | 云硬盘扩容后的大小，单位为GB。不得小于当前云硬盘大小。|
 
 
 
## 3. 输出参数

| 参数名称 | 类型 | 描述 |
| ------- | --- | --- |
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81) |
| message | String | 错误信息，详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81)|
| price | Int | 产品的总价格, 单位为分 |
 

## 4. 错误码表

以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[云硬盘错误码](https://cloud.tencent.com/doc/api/364/4207)

| 错误代码 | 英文描述 | 错误描述 |
| ------- | ------- | ------- |
| 9003 | InvalidParameter | 参数错误 |
| 16000 | InvalidInstanceId.DiskNotFound | 磁盘不存在 |
| 16008 | IncorrectInstanceStatus.OnlySupportElasticCloudDisk | 只能处理弹性云盘 |

## 5. 示例

输入
<pre>
https://cbs.api.qcloud.com/v2/index.php?Action=InquiryStoragePrice
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&inquiryType=create
&storageType=cloudBasic
&storageSize=10
&goodsNum=1
&period=1
&payMode=prePay
</pre>

输出
```
{
    "code":"0",
    "message":"",
    "price":"300"
}
```
 
 
 
