为了帮助您快速使用快照API，这里给出一个使用示例。

该示例首先对指定的云硬盘创建了一个快照，然后使用该快照对云硬盘进行了回滚操作。

## 1.创建云硬盘快照

首先使用[创建快照（CreateSnapshot）](https://cloud.tencent.com/doc/api/364/2529)接口对指定云硬盘创建一个快照。这里对云硬盘ID为`disk-nmnaafrh`的云硬盘创建了一个名为`sanp_test`的快照，具体的接口请求参数见下表：

| 参数名称 | 描述 |  取值 |
| --- | --- | --- |
| storageId| 要创建快照的云硬盘ID |  disk-nmnaafrh |
| snapshotName | 创建出来的快照的名称 | snap_test |

 结合公共请求参数和接口请求参数，最终得到的请求形式如下：
```txt
https://snapshot.api.qcloud.com/v2/index.php?
Action=CreateSnapshot
&snapshotName=snapshot_test
&storageId=disk-nmnaafrh
&Region=sh
&Nonce=550701091
&Signature=ZMy0vTI%2BIZi1Q3wyQexd3K5iGkA%3D
&SecretId=AKIDxxxxugEY
&Timestamp=1466076669
```

上述请求返回的结果如下，由结果可知 ，创建的快照ID为`snap-i70k7y2i`。之后，可以通过[DescribeSnapshots（查询快照列表）](https://cloud.tencent.com/doc/api/364/2530)接口查询快照的创建进度。
```json
{
	"code": 0,
	"message": "",
	"snapshotId": "snap-amozk0kw"
}
```

## 2. 回滚快照

您可以通过[ApplySnapshot（回滚快照）](https://cloud.tencent.com/doc/api/364/2533)接口对快照进行回滚操作。这里将之前创建的快照回滚至原来的云硬盘上，具体的接口请求参数见下表：

| 参数名称 | 描述 |  取值 |
| --- | --- | --- |
| snapshotId | 要回滚的快照ID | snap-amozk0kw |
| storageId | 要回滚至的云硬盘ID | disk-nmnaafrh |


结合公共请求参数和接口请求参数，最终得到的请求形式如下：

```txt
https://snapshot.api.qcloud.com/v2/index.php?
Action=ApplySnapshot
&snapshotId=snap-amozk0kw
&storageId=disk-nmnaafrh
&Region=sh
&Timestamp=1466078504
&Nonce=1519922454
&SecretId=AKIDxxxxugEY
&Signature=e8NZOcYCZJniAAMgVYhqsO70wd0%3D
```

上述请求返回的结果如下
```json
{
	"code": 0,
	"message": "",
}
```


