为了帮助您快速使用弹性云盘，这里给出一个使用示例。

该示例首先查询了要购买的弹性云盘的价格（实际使用时可忽略此步骤），然后使用相同的配置创建了一个弹性云盘，之后将弹性云盘挂载到指定的云主机上。

## 1. 查询弹性云盘价格

在创建弹性云盘之前，您可以通过[InquiryStoragePrice（查询弹性云盘价格）](/doc/api/364/2522)接口查询要购买的云硬盘价格，这里我们查询下在上海一区创建一个50G的普通弹性云盘所需要的价格。具体的接口请求参数如下表：

| 参数名称 | 描述 |  取值 |
| --- | --- | --- |
| inquiryType | 询价类型，新建弹性云盘时固定为create |create |
| goodsNum | 要创建的弹性云盘数量 | 1 |
| storageType | 要创建的弹性云盘的类型，可以创建普通云硬盘和SSD云硬盘  | cloudBasic（普通云硬盘） |
| period | 要创建的弹性云盘的时长，单位：月 | 1 |
| payMode | 付费模式，目前只有预付费 | prePay |
| storageSize | 要创建的弹性云盘大小，单位：GB | 50 |

结合[公共请求参数](/document/product/240/8320)和接口请求参数，最终得到的请求形式如下：

```txt
https://cbs.api.qcloud.com/v2/index.php?
Action=InquiryStoragePrice
&goodsNum=1
&inquiryType=create
&payMode=prePay
&period=1
&storageSize=50
&storageType=cloudBasic
&Region=sh
&Nonce=323726294
&SecretId=AKIDxxxxugEY
&Signature=BbxBeaS8GZWiBegYmReA9PjfRbU
&Timestamp=1466043404
```

上述请求返回的结果如下，由结果可知 ，在上海一区创建一个可用时长一个月的50GB的弹性云盘需要15元。

```json
{
	"code": 0,
	"message": "",
	"price": 1500
}
```

## 2. 创建弹性云盘

您可以通过[CreateCbsStorages（创建弹性云盘）](/doc/api/364/2524)接口创建指定配置的弹性云盘。具体的接口请求参数如下表：

| 参数名称 | 描述 |  取值 |
| --- | --- | --- |
| zoneId | 要创建的弹性云盘所在的可用区，可以通过[DescribeAvailabilityZones（查询可用区）](/doc/api/229/1286)接口查询 | 200001（上海一区）|
| goodsNum | 要创建的弹性云盘数量 | 1 |
| storageType | 要创建的弹性云盘的类型，可以创建普通云硬盘和SSD云硬盘  | cloudBasic（普通云硬盘） |
| period | 要创建的弹性云盘的时长，单位：月 | 1 |
| payMode | 付费模式，目前只有预付费 | prePay |
| storageSize | 要创建的弹性云盘大小，单位：GB | 50 |

结合[公共请求参数](/document/product/240/8320)和接口请求参数，最终得到的请求形式如下：

```txt
https://cbs.api.qcloud.com/v2/index.php?
Action=CreateCbsStorages
&goodsNum=1
&payMode=prePay
&period=1
&storageSize=50
&storageType=cloudBasic
&zoneId=200001
&Region=sh
&Nonce=1040636527
&SecretId=AKIDxxxxugEY
&Signature=BbxBeaS8GZWiBegYmReA9PjfRbU%3D
&Timestamp=1466045426
```

上述请求返回的结果如下，由结果可知 ，创建的弹性云盘的实例ID为`disk-czwe3ihx`。

```json
{
	"code": 0,
	"message": "",
	"storageIds": ["disk-czwe3ihx"]
}
```

## 3. 将弹性云盘挂载到指定的云主机上

弹性云盘创建成功后，就可以通过[AttachCbsStorages（挂载弹性云盘）](/doc/api/364/2520)接口将其挂载到指定的云主机上。这里将其挂载到`ins-4fet7izv`这台云主机上。具体的接口请求参数如下表：

| 参数名称 | 描述 |  取值 |
| --- | --- | --- |
| storageIds.0 | 要挂载的弹性云盘ID | disk-czwe3ihx |
| uInstanceId | 要挂载的云主机ID | ins-4fet7izv |

结合[公共请求参数](/document/product/240/8320)和接口请求参数，最终得到的请求形式如下：

```txt
https://cbs.api.qcloud.com/v2/index.php?
Action=AttachCbsStorages
&storageIds.0=disk-czwe3ihx
&uInstanceId=ins-4fet7izv
&Region=sh
&Nonce=1274548126
&SecretId=AKIDxxxxugEY
&Signature=7EfrW5tX3vPy%2FsebB8A7FOkqwFs%3D
&Timestamp=1466047744
```

上述请求返回的结果如下。可以通过[DescribeCbsStorages（查询云硬盘信息）](https://cloud.tencent.com/doc/api/364/2519)接口查询云盘是否已经挂载到指定的云主机上。

```json
{
	"code": 0,
	"message": "",
	"detail": {
		"disk-czwe3ihx": {
			"code": 0,
			"message": "ok"
		},
	}
}
```

## 4. 在云主机内对磁盘进行初始化操作

初次使用新创建的弹性云盘时，需要进行分区、格式化等一系列操作。具体操作方式请见：[Windows系统数据盘分区及格式化](https://cloud.tencent.com/doc/product/213/2158)、[Linux系统挂载数据盘、分区与格式化](https://cloud.tencent.com/document/product/362/6735
)。注意，对于linux系统，分区并不是必要的，您可以跳过分区直接进行格式化操作。

