## 1. 接口描述

本接口(DeleteSnapshot)用于删除不再使用的快照。

接口请求域名：<font style="color:red">snapshot.api.qcloud.com</font>

使用限制：
1. 快照必须处于`normal`状态，快照状态可以通过[DescribeSnapshots(查询快照列表)](https://cloud.tencent.com/doc/api/364/2530)接口查询，见输出参数中`status`字段解释 

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/product/240/8320)页面。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| snapshotIds.n  | 是 | Array[String] | 快照ID，可通过[DescribeSnapshots(查询快照列表)](https://cloud.tencent.com/doc/api/364/2530)查询|


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码。0: 成功发起删除请求, 其他值: 删除请求失败|
| message | String | 错误信息|
| detail | Array[object] | 详情数值 |

detail结构

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| snapshotId | Array | 快照ID | 
| snapshotId.code | Int | 错误码，0表示删除成功 | 
| snapshotId.message | String | 错误信息 | 

## 4. 错误码表

以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[云硬盘错误码](https://cloud.tencent.com/doc/api/364/4207)

| 错误代码 | 英文描述 | 错误描述 |
| ------- | ------- | ------- |
| 9003 | InvalidParameter | 参数错误 |


## 5. 示例

输入
<pre>
https://snapshot.api.qcloud.com/v2/index.php?
<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=DeleteSnapshot
&snapshotIds.0=aasd
&snapshotIds.1=snap-ptqv2xmn
</pre>

返回示例如下。可看出，成功删除快照snap-ptqv2xmn，删除失败快照aasd，失败原因是此快照不存在。

```
{
    "code":"0",
    "message":"",
    "detail":{
        "snap-ptqv2xmn":{
            "code":"0",
            "message":"return successfully!"
        },
        "aasd":{
            "code":"16003",
            "message":"snap not exist"
        }
    }
}
```

