
## 1. 接口描述

本接口(DescribeAutoSnapshotPolicies)用于查询定期快照策略。



接口请求域名：<font style="color:red">snapshot.api.qcloud.com</font>

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/product/240/8320)页面。


| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| aspIds | 否 | Array[String] | 要查询的定期快照策略ID |
| offset | 否 | int | 偏移量，不传则为0 |
| limit | 否 | int | 一次最多可查询的定期快照策略数量，不传则为20，最大为100|

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码。0：成功，其他值：失败|
| message | String | 错误信息|
| totalCount | int | 有效的定期快照策略数量 |
| codeDesc | String | 英文错误码 |
| aspSet | Array[Object] | 定期快照策略列表 |

aspSet结构

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| aspId | String | 定期快照策略ID |
| aspName | String | 定期快照策略名字 |
| isActivated | int | 当前是否处于激活状态 |
| isPermanent | int | 使用该定期快照策略创建出来的快照是否永久保留 |
| retentionDays | int | 使用该定期快照策略创建出来的快照保留天数 |
| policy | Array[Object] | 定期快照策略 |
| createTime | String | 创建时间 |
| storageIdList | Array[String] | 绑定的云硬盘列表 |

## 4. 示例

输入：
<pre>
https://snapshot.api.qcloud.com/v2/index.php?
<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=DescribeAutoSnapshotPolicies
&aspIds.0=asp-7b1rkgie
</pre>

返回示例如下。

```
{
	"code": 0,
	"message": "",
	"codeDesc": "Success",
	"totalCount": 1,
	"aspSet": [{
		"aspId": "asp-7b1rkgie",
		"aspName": "ASP\u6d4b\u8bd5",
		"isActivated": 0,
		"isPermanent": 0,
		"retentionDays": 3,
		"policy": [{
			"dayOfWeek": [0, 1, 2, 3, 4, 5, 6],
			"hour": [9]
		}],
		"createTime": "2017-04-20 15:55:36",
		"storageIdList": ["disk-l4dne1up", "disk-0vellibr"]
	}]
}
```
