
## 1. 接口描述

本接口(BindAutoSnapshotPolicy)用于绑定云硬盘到指定的定期快照策略。绑定云硬盘到快照策略之后，当快照策略触发之后就会自动对绑定的云硬盘创建快照。



接口请求域名：<font style="color:red">snapshot.api.qcloud.com</font>


使用限制：
1. 每个定期快照策略仅能绑定50个云硬盘。每个地域可以创建10个定期快照策略。也即最多可以绑定500个云硬盘
2. 仅能绑定容量小于等于1000GB的云硬盘
3. 当云硬盘处于未使用状态（未挂载或者主机处于关机状态）将不会创建定期快照

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/product/240/8320)页面。


| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| aspId | 是 | String | 要绑定的定期快照策略ID |
| storageIdList | 是 | Array[String] | 要绑定的云硬盘列表 |


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码。0：成功，其他值：失败|
| message | String | 错误信息|
| aspInstanceId | String | 新创建的定期快照策略ID |

## 4. 错误码表

以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[云硬盘错误码](https://cloud.tencent.com/doc/api/364/4207)

| 错误代码 | 英文描述 | 错误描述 |
| ------- | ------- | ------- |
| 16507 |  IncorrectInstanceStatus.CbsBound | 云硬盘已绑定定期快照策略 |


## 5. 示例

输入：
<pre>
https://snapshot.api.qcloud.com/v2/index.php?
<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=UnbindAutoSnapshotPolicy
&aspId=asp-7b1rkgie
&storageIdList.0=disk-0vellibr
&storageIdList.1=disk-l4dne1up
</pre>

返回示例如下。

```
{
	"code": 0,
	"message": "",
	"codeDesc": "Success",
	"detail": [{
		"storageId": "disk-l4dne1up",
		"code": 0,
		"msg": "OK"
	}, {
		"storageId": "disk-0vellibr",
		"code": 0,
		"msg": "OK"
	}]
}
```
