
## 1. 接口描述

本接口(UnbindAutoSnapshotPolicy)用于从定期快照策略中解绑云硬盘。解绑后，党定期快照策略触发时，将不会再对该云硬盘制作定期快照。



接口请求域名：<font style="color:red">snapshot.api.qcloud.com</font>


## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/product/240/8320)页面。


| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| aspId | 是 | String | 要绑定的定期快照策略ID |
| storageIdList | 是 | Array[String] | 要绑定的云硬盘列表 |


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码。0：成功，其他值：失败|
| message | String | 错误信息|
| aspInstanceId | String | 新创建的定期快照策略ID |

## 4. 错误码表

以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[云硬盘错误码](https://cloud.tencent.com/doc/api/364/4207)

| 错误代码 | 英文描述 | 错误描述 |
| ------- | ------- | ------- |
| 16503 |  OperationDenied.OutOfQuota | 超过定期快照策略配额 |


## 5. 示例

输入：
<pre>
https://snapshot.api.qcloud.com/v2/index.php?
<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&Action=CreateAutoSnapshotPolicy
&policy.0.dayOfWeek.0=0
&policy.0.dayOfWeek.1=1
&policy.0.dayOfWeek.2=2
&policy.0.dayOfWeek.3=3
&policy.0.dayOfWeek.4=4
&policy.0.dayOfWeek.5=5
&policy.0.dayOfWeek.6=6
&policy.0.hour.0=9
&aspName=ASP%E6%B5%8B%E8%AF%95
&isActivated=0
&isPermanent=0
&retentionDays=3
</pre>

返回示例如下。从中可以看出，成功创建一个定期快照策略，ID为asp-7b1rkgie

```
{
    "code":"0",
    "message":"",
	"detail":{
		"aspInstanceId":"asp-7b1rkgie"
	}
}
```
