公共请求参数是每个接口都需要使用到的请求参数，如非必要, 在各个接口单独的文档中不再对这些参数进行说明, 但<font style="color:red">每次请求均需要携带这些参数, 才能正常发起请求</font>。公共请求参数的首字母均为大写，以此区分于接口请求参数。

公共请求参数具体列表如下：

<table class="t">
<tbody><tr>
<th> <b>参数名称</b>
</th><th width="50"> <b>是否必选</b>
</th><th> <b>类型</b>
</th><th> <b>描述</b>
</th></tr>
<tr>
<td> Action
</td><td> 是
</td><td> 具体操作的指令接口名称，例如想要调用<a href="/doc/api/229/831" title="查看实例列表">查询实例列表</a>接口，则Action参数即为DescribeInstances。
</td><td> String
</td></tr>
<tr>
<td> Region
</td><td> 否
</td><td> 区域参数，用来标识希望操作哪个区域的实例。各区域的参数值为: <br>北京:bj，广州:gz，上海:sh，香港:hk，北美:ca，新加坡:sg，上海金融:shjr，深圳金融:szjr，广州open专区:gzopen<br><B>注意：1、正常情况下此参数是必须的，如无需传入，则会在相应接口中进行说明。<br>2、部分区域正在内测中，目前仅面向部分用户开放。</B>
</td><td> String
</td></tr>
<tr>
<td> Timestamp
</td><td> 是
</td><td> 当前UNIX时间戳，可记录发起API请求的时间。
</td><td> UInt
</td></tr>
<tr>
<td> Nonce
</td><td> 是
</td><td> 随机正整数，与 Timestamp 联合起来, 用于防止重放攻击。
</td><td> UInt
</td></tr>
<tr>
<td> SecretId
</td><td> 是
</td><td> 在<a href="https://console.cloud.tencent.com/capi">云API密钥</a>上申请的标识身份的 SecretId，一个 SecretId 对应唯一的 SecretKey , 而 SecretKey 会用来生成请求签名 Signature。具体可参考 <a href="/doc/api/372/4214" title="签名方法">签名方法</a> 页面。
</td><td> String
</td></tr>
<tr>
<td> Signature
</td><td> 是
</td><td> 请求签名，用来验证此次请求的合法性，由系统根据输入参数自动生成。具体可参考 <a href="/doc/api/372/4214" title="签名方法">签名方法</a> 页面。
</td><td> String
</td></tr></tbody></table>

假设用户想要查询广州地域的云服务器实例列表，则其请求链接的形式可能如下:

```
https://cvm.api.qcloud.com/v2/index.php?
Action=DescribeInstances
&SecretId=xxxxxxx
&Region=gz
&Timestamp=1465055529
&Nonce=59485
&Signature=mysignature
&<接口请求参数>
```

一个完整的请求需要两类请求参数：公共请求参数和接口请求参数。这里只列出了上述6个公共请求参数，并未列出接口请求参数，有关接口请求参数的说明可见<a href="/doc/api/372/接口请求参数" title="接口请求参数">接口请求参数</a>小节。