指令返回参数与具体的接口有关，不同的接口支持的指令返回参数也不一样。以<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)为例，其指令返回参数列表如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0表示成功，其他值表示失败。详见<a href="/doc/api/372/错误码" title="错误码">错误码</a> 页面|
| message | String | 错误信息描述，与接口相关 |
| data | Array | 输出结果，查询到的伸缩组列表信息 |

其中，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| totalCount | Int | 查询到的伸缩组数量 |
| scalingGroupSet | Array | 伸缩组信息的集合 |

其中，scalingGroupSet包含了若干个伸缩组信息，每个伸缩组信息的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| scalingGroupId | String | 伸缩组ID | 
| scalingGroupName | String | 伸缩组名称| 
| scalingConfigurationId | String | 伸缩配置ID| 
| scalingConfigurationName | String | 伸缩配置名称| 
| minSize | Int | 最小伸缩数| 
| maxSize | Int | 最大伸缩数| 
| createTime | String |伸缩组创建时间| 
| instanceNum | Int | 主机数量| 
| removePolicy | String | 移除策略 <br>1. 若为RemoveOldestInstance，表示移除最旧策略 <br>2. 若为RemoveNewestInstance，表示移除最新策略| 
| loadBalancerIdSet | Array | 伸缩组的负载均衡信息| 
| vpcId | Int |伸缩组所属私有网络ID| 
| subnetIdSet| Array | 伸缩组的子网信息| 
| zoneIdSet | Array | 伸缩组的地域信息| 
| projectId | Int | 伸缩组所属项目ID | 

其中，loadBalancerIdSet表示的是伸缩组的负载均衡信息，其结构如下。若为空，表示未使用负载均衡。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| status | Int |负载均衡状态| 
| loadBalancerId| String | 负载均衡ID| 
| owner | String | 负载均衡所有者帐号| 
| zoneId | Int | 负载均衡所在地域| 

subnetIdSet表示的是伸缩组的子网信息，其结构如下。若为空，表示未使用子网。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| status | Int |子网状态| 
| subnetId| String | 子网ID| 
| owner | String | 子网所有者帐号| 
| zoneId | Int | 子网所在地域| 

zoneIdSet表示的是伸缩组的地域信息，其结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| status | Int |状态信息| 
| owner | String | 所有者帐号| 
| zoneId | Int | 所在地域 |


以[最终请求形式](/doc/api/372/最终请求形式)调用API为例，调用成功和失败的指令返回参数可能如下：

## 1、API调用成功的指令返回参数

若API调用成功，则指令返回参数具有如下格式：
```
{
	<公共返回参数>,
    "data": {
        "totalCount": 1,
        "scalingGroupSet": [
            {
                "scalingGroupId": "asg-d4hmoms6",
                "scalingGroupName": "test",
                "scalingConfigurationId": "asc-hq6jo6h4",
                "scalingConfigurationName": "test",
                "minSize": 0,
                "maxSize": 1,
                "createTime": "2016-06-04 23:58:03",
                "instanceNum": 0,
                "removePolicy": "RemoveOldestInstance",
                "loadBalancerIdSet": [],
                "vpcId": 0,
                "subnetIdSet": [],
                "zoneIdSet": [
                    {
                        "status": 1,
                        "owner": "1251707795",
                        "zoneId": 100002
                    }
                ],
                "projectId": 0
            }
        ]
    }
}
```

## 2、API调用失败的指令返回参数
若API调用失败，则返回结果中将没有指令返回参数：
```
{
	<公共返回参数>,
}
```


