正如[返回结构简介](/doc/api/372/返回结构简介)所述，一个接口的完整返回结果由[公共返回参数](/doc/api/372/公共返回参数)和[指令返回参数](/doc/api/372/指令返回参数)组成，其中公共返回参数是每次调用API都会返回的，而指令返回参数与具体的接口相关。

以[最终请求形式](/doc/api/372/最终请求形式)调用[查看伸缩组列表](/doc/api/372/查看伸缩组列表 )(DescribeScalingGroup)接口为例，调用成功和失败的返回结果可能如下：

## 1、API调用成功的返回参数

若API调用成功，则最终返回参数中既有公共返回参数，又有指令返回参数，并且错误码code为0，错误信息message为空。

```
{
    "code": 0,
    "message": "",
    "data": {
        "totalCount": 1,
        "scalingGroupSet": [
            {
                "scalingGroupId": "asg-d4hmoms6",
                "scalingGroupName": "test",
                "scalingConfigurationId": "asc-hq6jo6h4",
                "scalingConfigurationName": "test",
                "minSize": 0,
                "maxSize": 1,
                "createTime": "2016-06-04 23:58:03",
                "instanceNum": 0,
                "removePolicy": "RemoveOldestInstance",
                "loadBalancerIdSet": [],
                "vpcId": 0,
                "subnetIdSet": [],
                "zoneIdSet": [
                    {
                        "status": 1,
                        "owner": "1251707795",
                        "zoneId": 100002
                    }
                ],
                "projectId": 0
            }
        ]
    }
}
```

## 2、API调用失败的返回参数

若API调用失败，则最终返回参数中只有公共返回参数，并且错误码code不为0，message字段显示详细错误信息。

```
{
    "code": XXXX,
    "message": "(XXXX)XXXXX",
}
```




