## 1. 接口描述
本接口 ( DescribeClusterNameSpaces ) 用于查询集群的命名空间。
接口请求域名：`ccs.api.qcloud.com`。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 | 描述 |类型 | 必选  | 
|---------|---------|---------|---------|
| clusterId   | 集群 ID，请填写 [查询集群列表](/doc/api/457/9448) 接口中返回的 clusterId 字段 |String | 是    | 

## 3. 输出参数
 
| 参数名称 |描述 | 类型 | 
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败|Int | 
| codeDesc | 业务侧错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message |  模块错误信息描述，与接口相关。详见错误码页面的模块错误码|String |
| namespaces |命名空间| Obj Array |

namespaces 参数详细说明：

| 字段 |描述 | 类型 | 
|---------|---------|---------|
| name | 命名空间名称 |String | 
| status |  命名空间状态 [" Active "，" Terminating "] |String|
| description | 命名空间描述  |string |
| createdAt |  命名空间创建时间 |String |

## 4. 示例
输入
```
  https://domain/v2/index.php?Action=DescribeClusterNameSpaces
  &clusterId=cls-xxxxxx
  &其它公共参数
```
输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "totalCount": 2,
        "namespaces": [
            {
              "name":"default",
              "status":"Active",
              "description":""
              "createdAt":"2017-06-08 19:10:01"
            },
			{
              "name":"tst",
              "status":"Active",
              "description":"test"
              "createdAt":"2017-06-27 19:10:01"
            },
        ]
    }
}
```
