## 1. 接口描述
本接口 ( DeleteInstances ) 用于删除实例
接口请求域名：`ccs.api.qcloud.com`。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 | 描述 | 类型 | 必选  |
|---------|---------|---------|---------|
|clusterId| 集群 ID，请填写 [查询集群列表](/doc/api/457/9448) 接口中返回的 clusterId 字段 | String| 是|
|instances.n|实例名称数组，请填写 [查询服务实例列表](/doc/api/457/9448) 接口中返回的 instances.name 字段|  String| 是|
|namespace | 命名空间，请填写 [查询服务列表](/doc/api/457/9440) 接口中返回的 namespace 字段，默认为 default|String |否 | 

## 3. 输出参数
 
| 参数名称 | 描述 |类型 | 
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败| Int |
| codeDesc |业务侧错误码。成功时返回 Success，错误时返回具体业务错误原因| String |
| message | 模块错误信息描述，与接口相关|String | 
|successList| 被删除成功的实例名称 |String 数组|
|failedMap | key 为删除失败的实例名称，value 为失败原因 |Map [ string ] string|

## 4. 示例
输入
```
  https://domain/v2/index.php?Action=DeleteInstances
  &clusterId=clus-xxxxx
  &instances.0=test-web-aweex
  &namespace=default
  &其它公共参数
```
输出
```
  {
      "code" : 0,
      "message" : "ok",
      "codeDesc": "Success",
	  "successList":[
       "test-web-aweex"
      ],
      "failedMap":{
      }
  }

```
