## 1. 接口描述
本接口 ( DescribeServiceInstance ) 用于查询服务的实例列表。
接口请求域名：`ccs.api.qcloud.com`。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 |  描述 |类型 | 必选  | 
|---------|---------|---------|---------|
| clusterId   | 集群 ID，请填写 [查询集群列表](/doc/api/457/9448) 接口中返回的 clusterId 字段 | String |是    | 
| serviceName   |  服务名，请填写 [查询服务列表](/doc/api/457/9440) 接口中返回的 serviceName 字段 | String |是    |
|offset| 偏移量，默认 0|Int| 否| 
|limit| 最大输出条数，默认 20| Int|否| 
| namespace | 命名空间，请填写 [查询服务列表](/doc/api/457/9440) 接口中返回的 namespace 字段，默认为 default| String  |否 |

## 3. 输出参数
 
| 参数名称 | 描述 |类型 | 
|---------|---------|---------|
| code |公共错误码。0 表示成功，其他值表示失败| Int | 
| codeDesc | 业务侧错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message | 模块错误信息描述，与接口相关|String | 
| totalCount | 实例总数|Int |
| instances | 实例列表，详细信息如下|Object Array |

instances 参数详细说明：

| 字段 |  描述 |类型 |
|---------|---------|---------|
| name | 实例名称(对应 Kubernetes 的 pod 名称) |String | 
| status |  实例状态，请参考后面的实例以及容器的状态定义 |String|
| reason | 实例处于当前状态的原因，例如容器下载镜像失败|String |
| nodeIp| 主机 IP | String|
| nodeName | 主机名 |String| 
| ip | 实例 IP |String| 
| restartCount |  实例中容器的重启次数 |Int |
| readyCount | 实例中已就绪容器的个数 |Int | 
| createdAt |  实例启动时间 |String |
| containers|容器数组，其定义请参考下面的 container 定义|Object Array|

container 定义：容器的字段主要用于描述容器当前的状态和原因，实例内容器的详细定义，可以参考获取服务接口，该接口返回了详细的容器参数。

| 字段 |  描述 |类型 |
|---------|---------|---------|
|name  | 容器名称 | String |
|containerId  |容器 ID| String | 
|status |  容器状态，请参考后面的实例以及容器的状态定义 |String|
|reason|容器处于当前状态的原因，例如下载镜像失败|String|
|image|容器的镜像|String|

实例以及容器的状态定义：

| 状态类型| 状态描述|
|---------|---------|
|Running | 正常运行中 |
|Waiting | 等待运行中，例如正在下载镜像 |
|Terminating | 实例有容器正在终止 |
|Terminated | 实例有容器已经终止 |
|NotReady| 实例有容器处于未就绪状态，比如容器的健康检查失败 |


## 4. 示例
输入
```
  https://domain/v2/index.php?Action=DescribeClusterContainer
  &clusterId=cls-xxxxx
  &serviceName=simon
  &offset=0
  &limit=20
  &namespace=default
  &其它公共参数
```
输出
```
{
    "code" : 0,
    "message" : "ok",
    "codeDesc": "Success",
    "data": {
        "totalCount": 1,
        "instanaces": [
             {
                "name": "simon-1272463236-574ou",
                "status": "Waiting",
                "reason": "容器进程崩溃",
                "ip": "100.70.0.10",
                "restartCount": 11,
                "readyCount": 0,
                "nodeName": "10.133.0.44",
                "nodeIp": "10.133.0.44",
                "createdAt": "2016-12-14 15:31:56",
                "containers": [
                    {
						"name": "nignix",
                        "containerId": "e341e732e18da7015c440de0b26617725718d289e7c5187177dd91318dc6550d",
                        "status": "Waiting",
                        "reason": "容器进程崩溃",
                        "image": "registry.ccs.tencentyun.com/test/test2:latest"
                    }
                ]
            }
        ]
    }
}

```
