## 1. 接口描述
本接口 ( ModifyClusterServiceImage ) 用于修改服务的的镜像。
接口请求域名：`ccs.api.qcloud.com`。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 | 描述 |类型 | 必选  | 
|---------|---------|---------|---------|
|clusterId| 集群 ID，请填写 [查询集群列表](/doc/api/457/9448) 接口中返回的 clusterId 字段|String| 是| 
|serviceName | 服务名，请填写 [查询服务列表](/doc/api/457/9440) 接口中返回的 serviceName 字段 | String|是| 
|image | 新镜像，如果服务中一个实例下只有一个容器可以传此参数 ( image 和 containers 二者必填一个)   |  String|否|
|containers.n  |新镜像，如果服务中一个实例下有多个容器需要传入此参数，指定需要修改的容器 name 和对应的 image ( image 和 containers 二者必填一个)  |Object Array | 否 | 
| namespace | 命名空间，请填写 [查询服务列表](/doc/api/457/9440) 接口中返回的 namespace 字段，默认为 default| String |否 |

containers 参数详细说明：

| 参数名称 | 描述 |类型 |必选  |  
|---------|---------|---------|---------
| containerName| 容器名|String |是 | 
| image  | 容器镜像|String |是 | 

## 3. 输出参数
 
| 参数名称 | 描述 |类型 | 
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败|Int | 
| codeDesc | 业务侧错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message |  模块错误信息描述，与接口相关|String |


## 4. 示例
输入
```
  https://domain/v2/index.php?Action=ModifyClusterServiceImage&clusterId=clus-xxxxx
  &serviceName=test
  &containers.0.containerName=test1
  &containers.0.image=nginx:1.0
  &containers.1.containerName=test2
  &containers.1.image=watch:latest
  &其它公共参数
```
或
```
  https://domain/v2/index.php?Action=ModifyServiceDescription&clusterId=clus-xxxxx
  &serviceName=test
  &image=nginx:1.0
  &其它公共参数
```
输出
```
  {
      "code" : 0,
      "codeDesc": "Success",
      "message" : "ok"
  }

```
