## 1. 接口描述
本接口 ( DescribeClusterService ) 用于查询服务列表，该接口返回的列表只包含服务的扼要信息，如果需要获取详细的服务信息，需要调用 DescribeClusterServiceInfo 接口。
接口请求域名：`ccs.api.qcloud.com`。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 | 描述 |类型 | 必选  |  
|---------|---------|---------|---------|
| clusterId   | 集群 ID，请填写 [查询集群列表](/doc/api/457/9448) 接口中返回的 clusterId 字段|String | 是    | 
| namespace | 命名空间，请填写 [查询服务列表](/doc/api/457/9440) 接口中返回的 namespace 字段，默认为 default|String  |否 | 
| allnamespace |是否展示所有命名空间下的服务。1：是，0 或不传：否| Int  |否 |
## 3. 输出参数
 
| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败|Int | 
| codeDesc | 业务侧错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message | 模块错误信息描述，与接口相关|String | 
| totalCount | 服务总数|Int |
| services | 服务列表，详细信息如下|Object Array |

services 参数详细说明：

| 字段 | 描述 |类型 | 
|---------|---------|---------|
| serviceName | 服务名 |String | 
| status | 服务状态，见下表 |String| 
| reasonMap | 服务处于当前状态的原因集合，map 的 key 为原因，value 为具有相同原因的容器个数，例如 { "下载镜像失败" ：2 } 这对 key value 表示目前有 2 个容器下载镜像失败 |map[string]int| 
| createdAt | 服务创建时间 |String | 
| currentReplicas | 当前运行的实例副本数 |Int | 
| desiredReplicas |期望运行的实例副本数，创建服务时指定 | Int | 
| lbId | 服务对应的外网负载均衡 ID，创建服务时，如果指定服务对外访问时才会创建 |String| 
| lbStatus |外网负载均衡的状态，取值为 None、Creating、Running，分别表示该服务没有外网负载均衡、负载均衡创建中、负载均衡运行中| String| 
| externalIp | 服务对应的负载均衡 VIP，访问方式：绑定域名或 VIP + 负载均衡监听端口|String| 
| serviceIp | 服务 IP，仅集群内访问，访问方式：服务名或服务 IP + 服务监听端口 |String| 
| accessType | 服务访问类型 |String| 
| namespace  | 命名空间|String      |


| 状态类型| 状态描述|
|---------|---------|
|Normal |正常运行中|
|Abnormal |服务异常，例如容器启动失败等 |
|Waiting |服务等待中，例如容器下载镜像过程等 |
|Paused | 更新暂停中，当用户在更新服务过程中，暂停了更新操作会出现此状态|
|Updating |服务更新中|
|RollingBack |服务回滚中|

## 4. 示例
输入
```
  https://domain/v2/index.php?Action=DescribeClusterService
  &clusterName=test-cluster
  &其它公共参数
```
输出
```
{
    "code": 0,
    "message": "", 
    "codeDesc": "Success"
    "data": {
        "services": [
            {
                "serviceName": "xxx",
                "status": "Waiting",
                "reasonMap": { 
                   "下载镜像失败" : 1
                 },
                "serviceIp": "192.168.255.181",
                "externalIp": "10.0.1.11",
                "lbId": "lb-s0046sr1",
                "lbStatus": "Running",
                "accessType": "SvcLBTypeInner",
                "desiredReplicas": 1,
                "currentReplicas": 1,
                "createdAt": "2017-06-07 15:02:21",
                "namespace": "default"
            }
        ]
    }
}

```
