## 1. 接口描述
本接口 ( DescribeServiceEvent ) 用于查询服务最近一小时的事件列表。
接口请求域名：`ccs.api.qcloud.com`。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，其它参数见  [公共请求参数](/doc/api/457/9463)。

| 参数名称 | 描述 | 类型 |必选  |  
|---------|---------|---------|---------|
| clusterId   |  集群 ID，请填写 [查询集群列表](/doc/api/457/9448) 接口中返回的 clusterId 字段 |String |是  |
| serviceName   |   服务名，请填写 [查询服务列表](/doc/api/457/9440) 接口中返回的 serviceName 字段 |String |是 |
| namespace | 命名空间，请填写 [查询服务列表](/doc/api/457/9440) 接口中返回的 namespace 字段，默认为 default| String  |否 |


## 3. 输出参数

| 参数名称 | 描述 |类型 | 
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败|Int | 
| codeDesc | 业务错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message |  模块错误信息描述，与接口相关|String |
| eventList |事件列表，详细信息如下| Object Array |

eventList  参数详细说明：

| 字段 | 描述 | 类型 |
|---------|---------|---------|
| firstSeen |  事件首次出现时间 ( 相同事件会被去重，只返回一条 ) |String |
| lastSeen |  事件最后出现时间 |String|
| count|  事件总共出现的次数 |Int|
| level |事件等级，分为两种： 正常事件为 Normal，异常事件为 Warning | String| 
| objType |  事件对应的 Kubernetes 资源类型，例如 Pod，ReplicationController， Service， Node，Deployment， Daemonset， ReplicaSet，Job,，Secret， Configmap。详情请参阅 [Kubernetes 资源](https://github.com/kubernetes/kubernetes/blob/b392910bc7de425372fe6bf03a2c2c92fe1bae12/docs/devel/api-conventions.md#types-kinds)|String |
| objName |  事件对应的 Kubernetes 资源名称 |String |
| reason |  事件原因 |String |
| message |  事件详细内容 |String |


## 4. 示例
输入
```
  https://domain/v2/index.php?Action=DescribeServiceEvent
  &clusterId=cls-xxxxx
  &serviceName=test-web-service
  &namespace=default
  &其它公共参数
```
输出
```
 {
    "code" : 0,
    "message":"",
    "codeDesc": "Success",
	"data":{
	    "eventList": [
	    {
        "firstSeen": "2016-11-08 16:15:15",
        "lastSeen": "2016-11-09 16:59:56",
        "count": 6530,
        "level": "Warning",
        "objType": "Pod",
        "objName": "frontend-542052039-h2yj8",
        "reason": "pod启动失败",
        "message": "Error syncing pod, skipping: failed to \"StartContainer\" for \"php-redis\" with ImagePullBackOff: \"Back-off pulling image \\\"gcr.io/google-samples/gb-frontend:v5\\\"\"\n"
       },
       {
        "firstSeen": "2016-11-08 16:15:15",
        "lastSeen": "2016-11-09 16:59:56",
        "count": 6530,
        "level": "Normal",
        "objType": "Pod",
        "objName": "frontend-542052039-h2yj8",
        "reason": "操作重试",
        "message": "Back-off pulling image \"gcr.io/google-samples/gb-frontend:v5\""
       } 
	]
	} 
}

```
