## 1. 接口描述

本接口 ( CreateConfig ) 用于创建配置项。

接口请求域名：`ccs.api.qcloud.com`。

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 |描述 |类型 |  必选  | 
|---------|---------|---------|---------
| name      | 配置项名称 |String | 是    |
| version   | 配置项版本号 |String | 是    |
| data      | 配置项数据(YAML格式) |String | 否    |
| description   | 配置项版本描述   |String | 否    |


## 3. 输出参数
| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| code |  公共错误码。0 表示成功，其他值表示失败|Int |
| codeDesc | 业务错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message |  模块错误信息描述，与接口相关|String |
| data    | 返回数据结构体|Object Array | 

data 参数详细说明：

| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| configId | 配置项ID|String |


## 4. 示例

输入

```
 https://domain/v2/index.php?Action=CreateConfig
  &name=tst
  &version=v1-0
  &data=REPLICAS: "3"
IMAGE_VERSION: v2.0
DASHBOARD.CONF.INI: |
    [mysqld]
    log-bin = mysql-bin
    [port]
    serviceport="80"
OTHERKEY : OTHERVALUE

  &其它公共参数
```

输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "configId": "ccscf-3sb62y4p"
    }
}
```

