##  1. 接口描述

本接口 ( DescribeConfig ) 用于查询配置项列表，该接口返回的列表只包含配置的 扼要信息，如果需要获取某个配置项下版本的具体信息，需要调用 `DescribeConfigVersion`接口。如果需要获取配置项下某一个版本具体的配置数据需要调用`DescribeConfigVersionDetail`接口
接口请求域名：`ccs.api.qcloud.com`。

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 | 描述 |类型 | 必选  |  
|---------|---------|---------|---------|
|offset| 偏移量，默认 0| Int| 否| 
|limit| 最大输出条数，默认 20| Int| 否|   

## 3. 输出参数

| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败|Int | 
| codeDesc | 业务侧错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message | 模块错误信息描述，与接口相关|String | 
| data    | 返回数据结构体|Object Array | 

data 参数详细说明：

| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| totalCount | 配置总数|Int |
| configInfos| 配置项列表|Object Array |

configInfos 参数详细说明：

| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| configId | 配置项ID|String |
| name | 配置项名称|String |
| totalCount| 配置项下的版本总是|int |
| createdAt|配置项创建的时间|String|
| updatedAt|配置项最后一次更新的时间|String|


## 4. 示例

输入

```

  https://domain/v2/index.php?Action=DescribeConfig
  &其它公共参数

```

输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "configInfos": [
            {
                "configId": "ccscf-3sb62y4p",
                "totalCount": 1,
                "createdAt": "2017-10-21 18:23:59",
                "updatedAt": "2017-10-21 18:23:59",
                "name": "tst"
            },
        ],
        "totalCount": 1
    }
}
```

