## 1. 接口描述

本接口 ( DescribeConfigVersion ) 用于查询某个配置项下包含版本，该接口返回改配置项包含哪写版本，如果需要获取某一个版本具体的配置数据需要调用`DescribeConfigVersionDetail`接口
接口请求域名：`ccs.api.qcloud.com`。

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 | 描述 |类型 | 必选  |  
|---------|---------|---------|---------|
|configId | 配置项Id | string| 是| 
|offset| 偏移量，默认 0| Int| 否| 
|limit| 最大输出条数，默认 20| Int| 否|   


##  3. 输出参数

| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败|Int | 
| codeDesc | 业务侧错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message | 模块错误信息描述，与接口相关|String | 
| data    | 返回数据结构体|Object Array | 

data 参数详细说明：

| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| totalCount | 配置项下版本总数|Int |
| versionInfos| 配置项下版本列表|Object Array |

versionInfos 参数详细说明：

| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| configId | 配置项ID|String |
| version  | 版本名称|String |
| description  | 版本描述|String |
| createdAt| 版本创建的时间|String|

## 4. 示例

输入

```

  https://domain/v2/index.php?Action=DescribeConfigVersion
  &configId=ccscf-3sb62y4p
  &其它公共参数

```

输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "versionInfos": [
            {
                "configId": "ccscf-3sb62y4p",
                "version": "v1-0",
                "description": "",
                "createdAt": "2017-10-21 18:23:59"
            }
        ],
        "totalCount": 1
    }
}
```

