## 1. 接口描述

本接口 ( DescribeConfigVersionDetail ) 用户查询某一个配置项下指定版本的详细数据
接口请求域名：`ccs.api.qcloud.com`。

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 | 描述 |类型 | 必选  |  
|---------|---------|---------|---------|
|configId | 配置项Id | string| 是| 
|version | 配置项版本 | string| 是| 


## 3. 输出参数

| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败|Int | 
| codeDesc | 业务侧错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message | 模块错误信息描述，与接口相关|String | 
| data    | 返回数据结构体|Object Array | 

data 参数详细说明：

| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| configId | 配置项ID|String |
| name     | 配置项名称|String |
| version  | 版本名称|String |
| data     | 配置项数据(YAML格式)|String |
| description  | 配置项版本描述|String |
| createdAt| 版本创建的时间|String|

##  4. 示例

输入

```

  https://domain/v2/index.php?Action=DescribeConfigVersionDetail
  &configId=ccscf-3sb62y4p
  &version=v1-0
  &其它公共参数

```

输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "configId": "ccscf-3sb62y4p",
        "name": "tst",
        "version": "v1-0",
        "data": "REPLICAS: \"3\"\nIMAGE_VERSION: v2.0\nDASHBOARD.CONF.INI: |\n    [mysqld]\n    log-bin = mysql-bin\n    [port]\n    serviceport=\"80\"\nOTHERKEY : OTHERVALUE",
        "description": "",
        "createdAt": "2017-10-21 18:23:59"
    }
}
```

