## 1. 接口描述
本接口 ( CreateCluster ) 用于创建集群。
接口请求域名：`ccs.api.qcloud.com`。

* 创建集群时，需要指定集群中节点（云主机）的数量与配置。
* 集群中所有节点为普通云盘。
* 一个账户默认只能创建 5 个集群，可以 [提交工单](https://console.cloud.tencent.com/workorder/category/create?level1_id=6&level2_id=350&level1_name=%E8%AE%A1%E7%AE%97%E4%B8%8E%E7%BD%91%E7%BB%9C&level2_name=%E5%AE%B9%E5%99%A8%E6%9C%8D%E5%8A%A1CCS) 增加配额。
* 一个集群限 20 个节点，可以 [提交工单](https://console.cloud.tencent.com/workorder/category/create?level1_id=6&level2_id=350&level1_name=%E8%AE%A1%E7%AE%97%E4%B8%8E%E7%BD%91%E7%BB%9C&level2_name=%E5%AE%B9%E5%99%A8%E6%9C%8D%E5%8A%A1CCS) 增加配额，同时也要符合 [CVM 实例购买限制](https://cloud.tencent.com/doc/product/213/CVM%E5%AE%9E%E4%BE%8B%E8%B4%AD%E4%B9%B0%E9%99%90%E5%88%B6) 文档所描述的总体数量限制。
* CPU 与内存具体的 **配比限制** 参见 [CVM 实例配置](https://cloud.tencent.com/doc/product/213/CVM%E5%AE%9E%E4%BE%8B%E9%85%8D%E7%BD%AE)。
* 如需更改带宽，请在节点创建成功后，使用接口 [UpdateInstanceBandwidthHour](https://cloud.tencent.com/doc/api/229/1345) 更改，**公网带宽不指定时默认为 0 **。
* 支持的节点类型 **( 每个可用区购买的机型不相同 )**，详情请参见 [CVM 实例配置](https://cloud.tencent.com/doc/product/213/CVM%E5%AE%9E%E4%BE%8B%E9%85%8D%E7%BD%AE)：

| 机型| 系列1 | 系列2 |
|---------|---------|---------|
| 标准型| CVM.S1| CVM.S2|
| 高IO型| CVM.I1| CVM.I2|
| 内存型| CVM.M1| CVM.M2|
| 计算型| -| CVM.C2|

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，其它参数请参阅 [公共请求参数](https://cloud.tencent.com/document/product/457/9463)。

| 参数名称 | 描述 |类型 | 必选  | 
|---------|---------|---------|---------|
| clusterName|集群名称| String|是| 
| clusterDesc| 集群描述|String|否| 
| clusterCIDR| 用于分配集群容器和服务 IP 的 CIDR，不得与 VPC CIDR 冲突，也不得与同 VPC 内其他集群 CIDR 冲突|String|是| 
| ignoreClusterCIDRConflict | 是否忽略 ClusterCIDR 冲突错误，默认为 0<br>0：不忽略冲突（并返回错误）<br>1：忽略冲突（继续创建）|Int|否| 
| zoneId| 可用区，请填写 [查询可用区](/doc/api/213/9455) 接口中返回的 Zone 字段| String|是|
| goodsNum|购买节点数量，最大 100|Int|是| 
| cpu| CPU 核数，具体限制见上 |Int|是|  
| mem|  内存大小 ( GB )，具体限制见上 |Int|是| 
| osName| 系统名。centos7.2x86_64 或者 ubuntu16.04.1 LTSx86_64，集群下所有节点都使用此系统，扩展节点也会自动使用此系统|String| 是| 
| instanceType| 节点类型（例如高 IO 机型等），默认为 CVM.S1。更多节点类型，可查看上文的 “实例类型” |String|否| 
| cvmType| 节点的类型，默认按量计费<br>PayByHour：按量计费  <br>PayByMonth：包年包月<br>|String|否| 
| bandwidthType|带宽的类型<br>包年包月主机：PayByMonth：按带宽使用时长计费，PayByTraffic：按流量计费<br> 按量计费主机：PayByHour：按带宽使用时长计费，PayByTraffic：按流量计费<br>网络计费模式的区别可参看 [购买网络带宽](/doc/product/213/509)|  String|是|
| bandwidth| 公网带宽 ( Mbps )，当按流量计费时为公网带宽峰值|Int| 是| 
| wanIp| 是否开通公网 IP<br>0：不开通<br>1：开通<br>bandwidth 大于 0，可自选择开通与否，默认开通公网 IP；bandwidth 为 0，则不分配公网 IP| Int| 否|
| vpcId| 私有网络 ID，请填写 [查询私有网络列表](/doc/api/215/1372) 接口中返回的 unVpcId ( 私有网络统一 ID )字段| String| 是|
| subnetId| 子网 ID，请填写 [查询子网列表](/doc/api/215/1371) 接口中返回的 unSubnetId ( 子网统一 ID )字段。 |String|  是| 
| isVpcGateway| 是否是 [公网网关](/doc/product/215/3089#3.-.E5.90.91.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C.E4.B8.AD.E6.B7.BB.E5.8A.A0.E5.85.AC.E7.BD.91.E7.BD.91.E5.85.B3。)，公网网关只有在拥有公网 IP 以及处于私有网络下时才能正常使用<br>0：非公网网关<br>1：公网网关|Int|是|  
| rootSize|系统盘大小。Linux 系统调整范围为 20 - 50G，步长为 1| Int| 是| 
| storageSize| 数据盘大小（ GB ）。步长为 10，0 表示不要数据盘。有关磁盘最大值请参考 [硬盘产品简介](/doc/product/213/498)|Int| 是| 
| password| 节点密码。未设置则为随机产生，并通过站内信下发。节点密码必须 8 - 16 位，至少包括两项 [ a - z，A - Z ]、[ 0 - 9 ]  和  [ ( )  & # 96；~ ! @ # $ % ^ & * - + = & #124； { }  [ ] ： ； ' < > ，. ?  /  ]中的特殊符号|String| 否| 
| keyId| [密钥](/doc/product/213/503) ID。关联密钥后可使用密钥登录节点，keyId 可通过接口 [查询密钥](/doc/api/229/%E6%9F%A5%E8%AF%A2%E5%AF%86%E9%92%A5) 获取，密钥与密码不能同时指定，同时 Windows 操作系统不支持指定密钥| String| 否|
| period|包年包月节点买时长，单位月。当 cvmType 为 PayByMonth 时，必填此参数 | Int| 否| 
| sgId|  安全组 ID，默认不绑定任何安全组，请填写 [查询安全组列表](/doc/api/213/1232) 接口中返回的 sgId 字段。|String|否| 

## 3. 输出参数
 
| 参数名称 | 描述 |类型 |
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败。详见 [错误返回结果](/doc/api/457/9469)|Int | 
| codeDesc | 业务侧错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message | 模块错误信息描述，与接口相关。详见 [错误返回结果](/doc/api/457/9469)|String | 
| requestId|任务 ID |Int |
| clusterId|集群 ID |Int |

## 4. 示例
输入
```
  https://domain/v2/index.php?Action=CreateCluster
  &imageId=1
  &bandwidth=1
  &cpu=1
  &mem=2
  &storageType=1
  &storageSize=50
  &goodsNum=1
  &zoneId=1
  &vpcId=vpc-8e0ypm3z 
  &subnetId=subnet-3lzrkspo 
  &其它公共参数
```
输出
```
  {
      "code" : 0,
      "message" : "ok",
      "codeDesc": "Success",
      "data":{
	      "clusterId":"cluster-xxxx",
	      "requestId":11333
      }
      
  }

```
