## 1. 接口描述
本接口 ( DeleteCluster ) 用于删除集群。
接口请求域名：`ccs.api.qcloud.com`。
* 当集群 status 为 Running，Isolated，Abnormal 时，才能调用此接口。
* 删除集群会删除集群中的所有服务。
* 删除集群时，包年包月的机器只能做移除操作，无法退还。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 |  描述 | 类型 | 必选  | 
|---------|---------|---------|---------|
|clusterId| 集群 ID，请填写 [查询集群列表](/doc/api/457/9448) 接口中返回的 clusterId 字段。|String| 是| 
|nodeDeleteMode|  集群节点删除方式，主要针对按量计费主机，包年包月主机只能做移除操作<br>RemoveOnly（仅移除）<br>Return（退还）<br>默认为按量计费机器销毁，包年包月机器移除 | String|否|

## 3. 输出参数
 
| 参数名称 |  描述 |类型 |
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败。|Int | 
| codeDesc | 业务侧错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message | 模块错误信息描述，与接口相关。详见 [错误返回结果](https://cloud.tencent.com/document/api/457/9469)|String | 
| requestId| 任务 ID | Int |

## 4. 示例
输入
```
  https://domain/v2/index.php?Action=DeleteCluster
  &clusterId=clus-xxxxx
  &其它公共参数
```
输出
```
  {
      "code" : 0,
      "message" : "ok",
      "codeDesc": "Success",
      "data"{
       "requestId":11333
      }
  }

```
