## 1. 接口描述
本接口 ( DescribeCluster ) 用于查询集群列表。
接口请求域名：`ccs.api.qcloud.com`。
 
## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 | 描述 |类型 | 必选  | 
|---------|---------|---------|---------|
|clusterIds.n|  集群 ID，返回所有集群| String|否|
|clusterName|   过滤条件：集群名称|String|否|
|status| 集群状态|String| 否| 
|orderField|排序字段，支持 clusterId，clusterNamecreatedAt，updatedAt，默认 createdAt |String|  否| 
|orderType|  升序：asc，降序：desc，默认 desc|String| 否|
|offset|  偏移量，默认 0|Int| 否|
|limit|   最大输出条数，默认 20| Int |否|


## 3. 输出参数
 
| 参数名称 |描述 | 类型 | 
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败| Int | 
| codeDesc | 业务错误码。成功时返回 Success，错误时返回具体业务错误原因。| String |
| message |  模块错误信息描述，与接口相关| String |
| totalCount| 集群数目 | Int |
| clusters| 集群信息数组 |Array |

其中 clusters 包含了多个实例信息，每个实例信息的数据结构如下：

| 参数名称 | 描述 |类型 | 
|---------|---------|---------|
| clusterId |集群的 ID |String |
| clusterName |集群名称 |String |
| description|集群的描述 |String |
| clusterCIDR|集群容器和服务 IP 的 CIDR |String |
| unVpcId|集群私有网络 ID |String |
| vpcId|集群私有网络 ID |Int |
| status|集群状态，详见参数表下的说明|string |
| nodeNum|集群内节点数量 |Int |
| nodeStatus|集群节点状态，详见参数表下的说明|String |
| totalCpu|集群内 CPU 总核数 |Int |
| totalMem|集群内内存总 G 数 |Int |
| os|集群内节点所使用的操作系统 |String |
| createdAt|集群创建时间 |String |
| updatedAt|集群更新时间 |Int |
| regionId |区域 ID |Int |
| region |区域 |String |
| k8sVersion |集群所使用的 Kubernetes 版本 |String |
| clusterExternalEndpoint | KubernetesAPI 访问 url，用于直接使用 KubernetesAPI 操作集群|String |


集群状态 status 详细说明：

| 类型 | 描述 |
|---------|---------|
|Creating |集群创建中 |
|Running |集群运行中 |
|Deleting |集群删除中 |
|Scaling |集群规模调整中 |
|Upgrading |集群升级中 |
|Isolated |集群欠费隔离中 |
|Abnormal |集群异常 |

集群节点状态 nodeStatus 详细说明：

| 类型 | 描述 |
|---------|---------|
|AllNormal |集群节点全部正常 |
|AllAbnormal |集群节点全部异常 |
|PartialAbnormal |集群节点部分异常 |

## 4. 示例
输入
```
  https://domain/v2/index.php?Action=DescribeCluster
  &offset=0
  &limit=20
  &其它公共参数
```
输出
```
  {
    "code": 0,
    "message": "", 
    "codeDesc": "Success",
	"data"{
	    "totalCount": 1,
	    "clusters": [
	        {   
	            "clusterId": "cls-xxxxx",
                "clusterName": "test",
                "description": "",
                "status": "Running",
                "unVpcId": "vpc-xxxx",
                "vpcId": 895,
                "clusterCIDR": "172.21.0.0/16",
                "createdAt": "2017-03-17 15:03:24",
                "updatedAt": "2017-03-24 11:13:01",
                "nodeStatus": "AllNormal",
                "nodeNum": 1,
                "os": "ubuntu16.04.1 LTSx86_64",
                "totalCpu": 1,
                "totalMem": 1,
                "regionId": 1,
				"region": "ap-guangzhou",
                "k8sVersion": "",
                "clusterExternalEndpoint": null,
	        }   
	    ]
	}
}

```
