## 1. 接口描述
本接口 ( DescribeClusterInstances ) 用于查询集群节点，该接口返回集群内节点信息。
接口请求域名：`ccs.api.qcloud.com`。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 | 描述 | 类型 |必选  |  
|---------|---------|---------|---------|
| clusterId   | 集群 ID，请填写 [查询集群列表](/doc/api/457/9448) 接口中返回的 clusterId 字段。| String |是   | 
|offset| 偏移量，默认 0| Int| 否| 
|limit| 最大输出条数，默认 20| Int| 否|  
| namespace   |命名空间，默认为 default| String|否 | 

## 3. 输出参数
 
| 参数名称 | 描述 |类型 | 
|---------|---------|---------|
| code |公共错误码。0 表示成功，其他值表示失败| Int | 
| codeDesc | 业务错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message | 模块错误信息描述，与接口相关|String | 
| totalCount |集群节点总数| Int|
| nodes | 节点列表，详细信息如下|Object Array |

节点字段详细说明：

| 字段 | 描述 |类型|
|---------|---------|---------|
|instanceId |节点 ID |String|
|instanceName |节点名 |String|
|instanceType|节点类型|String|
|kernelVersion |节点内核版本|String|
|podCidr|节点上的容器网段|String|
|cpu|节点 CPU 核数|Int|
|mem|节点上的内存 G 数|Int|
|wanIp |节点外网 IP |String|
|lanIp |节点内网 IP |String|
|osImage|节点镜像|String|
|isNormal|节点在集群中的状态，0 表示不正常，1 表示正常|Int|
|cvmState|节点状态，具体可以参考 [查看实例列表](/doc/api/213/831) 页面中的实例状态列表|Int|
|cvmPayMode|节点计费模式<br>0：按月结算的后付费<br>1：包年包月 <br>2：按量计费|Int|
|networkPayMode|网络计费模式<br>0：按月结算的后付费<br>1：包年包月<br>2：按流量 <br>3：按带宽<br>关于各个网络计费模式之间的区别可以参考 [购买网络带宽](/doc/product/213/509)|Int|
|createdAt|节点加入到集群的时间|String|
|instanceCreateTime|节点创建时间|String|
|instanceDeadlineTime|包年包月节点到期时间|String|
|zoneId|节点所在可用区 ID|Int|
|zone|节点所在可用区|String|
|abnormalReason |节点异常状态原因，可能有多个，具体见下表|String|

abnormalReason 参数详细说明：

| 异常状态类型| 异常状态描述|
|---------|---------|
|MemoryPressure |内存不足|
|OutOfDisk |磁盘空间不足|
|NetworkUnavailable|网络配置错误|
|Unknown |未知的异常|

## 4. 示例
输入
```
  https://domain/v2/index.php?Action=DescribeClusterInstances
  &clusterId=cls-hd1jv48o
  &offset=0
  &limit=20
  &namespace=default
  &其它公共参数
```
输出
```
 {
    "code": 0,
    "message": "", 
    "codeDesc": "Success",
	"data":{
	    "totalCount":1,
	    "nodes": [
	        {   
                "createdAt": "2016-11-23 19:12:24",
                "instanceId": "ins-78j5at62",
                "instanceName": "cls-hd1jv48o_node",
                "wanIp": "",
                "lanIp": "10.133.0.44",
                "kernelVersion": "4.4.0-47-generic",
                "osImage": "Ubuntu 16.04.1 LTS",
                "podCidr": "100.70.0.0/24",
                "isNormal": 0,
                "abnormalReason": "Unknown",
                "cvmState": 2,
				"zoneId": 200002,
				"zone": "ap-shanghai-2",
                "cvmPayMode": 1,
                "networkPayMode": 2,
                "createdAt": "2017-04-11 18:02:18",
                "instanceCreateTime": "2017-04-11 18:00:32",
                "instanceDeadlineTime": "0000-00-00 00:00:00"
	        }   
	    ]
 	}
}
```
