## 1. 接口描述
本接口 ( AddClusterInstancesFromExistedCvm ) 用于添加已存在的云主机到集群
接口请求域名：`ccs.api.qcloud.com`。

* 当集群 status 为 Running 时，才能调用此接口。
* 当前云主机状态为正常或关机，才能调用此接口。具体可以参考 [查看实例列表](/doc/api/213/831) 页面中的实例状态列表。
* 当前云主机会被重装，系统与创建集群时指定的系统相同，请确保系统盘中无重要文件。
* 添加的云主机必须与当前集群在统一个 VPC 中。
* 添加的云主机必须在默认项目中。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，其它参数见 [公共请求参数](/doc/api/457/9463)。

| 参数名称 | 描述 | 类型 | 必选  |  
|---------|---------|---------|---------|
|clusterId| 集群 ID，请填写 [查询集群列表](/doc/api/457/9448) 接口中返回的 clusterId 字段 |String| 是| 
|instanceIds| 请填写 [查看实例列表](/doc/api/213/831) 接口中返回的 unInstanceId ( 实例 ID )字段| String| 是|
| password| 实例密码。未设置则为随机产生，并通过站内信下发。linux 实例密码必须 8 - 16 位，至少包括两项 [ a - z，A - Z ]、[ 0 - 9 ]  和  [ ( )  & # 96；~ ! @ # $ % ^ & * - + = & #124； { }  [ ] ： ； ' < > ，. ?  /  ]中的特殊符号。Windows 实例密码必须 12 - 16位，至少包括三项 [ a - z ]，[ A - Z ]，[ 0 - 9 ] 和 [ ( )  & #96； ~ ! @ # $ % ^ & * - + = { } [ ] ： ； ' ， . ? / ] 中的特殊符号|String|否|  
| keyId| [密钥](/doc/product/213/503) ID。关联密钥后可使用密钥登录实例，keyId 可通过接口 [查询密钥](/doc/api/229/%E6%9F%A5%E8%AF%A2%E5%AF%86%E9%92%A5) 获取，密钥与密码不能同时指定，同时 Windows 操作系统不支持指定密钥|String|否|  

## 3. 输出参数
 
| 参数名称 | 描述 |类型 | 
|---------|---------|---------|
| code | 公共错误码。0 表示成功，其他值表示失败|Int | 
| codeDesc | 业务错误码。成功时返回 Success，错误时返回具体业务错误原因|String |
| message | 模块错误信息描述，与接口相关。详见 [错误返回结果](/doc/api/457/9469)|String | 
| succInstanceIds|成功加入集群的云主机列表 |Obj Array |
| faliInstanceIds|失败加入集群的云主机列表 |Obj Array |

faliInstanceIds 字段详细信息：
 
| 参数名称 | 描述 |类型 | 
|---------|---------|---------|
| instanceId|实例 ID |String |
| message|失败原因 |String |

## 4. 示例
输入
```
  https://domain/v2/index.php?Action=AddClusterInstancesFromExistedCvm
  &clusterId=clus-xxxxx
  &instanceIds.0=ins-xxxxxx
  &instanceIds.1=ins-xxxxxx
  &其它公共参数
```
输出
```
  {
      "code" : 0,
      "message" : "ok",
      "codeDesc": "Success",
      "data"{
       "succInstanceIds":["ins-xxxxxx","ins-xxxxxx"],
       "faliInstanceIds":null,
      }
  }

```
