
## 1. 接口描述
本接口(ModifyScalingGroup)用于修改特定伸缩组的属性。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

1）本接口是根据scalingGroupId对相应伸缩组属性进行修改的，且只允许修改以下属性：
 maxSize：最大伸缩数，即伸缩组内CVM实例的最大值
minSize：最小伸缩数，即伸缩组内CVM实例的最小值
removePolicy：移除策略，指的是当需要移除实例时，移除最先还是最后加入伸缩组的实例
scalingGroupName：伸缩组名称
desiredCapacity：期望实例数
scalingConfigurationId：启动配置
其余属性无法修改。

2）当伸缩组为生效或失效状态，才可以调用该接口。

3）当伸缩组的CVM实例数不满足修改后的maxSize、minSize、desiredCapacity，弹性伸缩服务会自动加入或移出CVM实例，使得伸缩组的CVM实例数满足在maxSize和minSize之间并且等于desiredCapacity。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为ModifyScalingGroup。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|------|
| scalingGroupId | 是 | String | 待修改的伸缩组Id，该参数可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询。|
| minSize | 是 | Int | 修改后的伸缩组的最小伸缩数，即伸缩组内最小CVM实例数，范围0-30，且不大于maxSize。当伸缩组CVM实例数小于minSize时，AS会自动添加CVM实例，使得伸缩组内的当前实例数等于minSize。|
| maxSize | 是 | Int | 修改后的伸缩组的最大伸缩数，即伸缩组内最大CVM实例数，范围0-30，不小于minSize。当伸缩组CVM实例数大于maxSize时，AS会自动移出CVM实例，使得伸缩组内的当前实例数等于maxSize。|
| removePolicy | 是 | String | 伸缩组的移除策略。只有两种取值：RemoveOldestInstance，表示移除最旧策略，即当需要移除实例时，移除最先加入伸缩组的实例；RemoveNewestInstance，表示移除最新策略，即当需要移除实例时，移除最后加入伸缩组的实例。|  
| scalingGroupName | 否| String | 用户定义的伸缩组名称，若不传，表示不修改名称。|
|scalingConfigurationId|否|String|修改当前伸缩组绑定的启动配置。修改之后，余量子机使用的是替换之前的配置，增量子机使用的是新替换的配置。若不传，表示不修改原有的启动配置。|
| desiredCapacity | 否 | Int |期望实例数，期望实例数是指伸缩组当前合理的实例数量，大小介于最小实例数和最大实例数之间， 它的值可以被手动调整，当定时任务和告警伸缩任务触发时也会被调整。伸缩组会自动调整实际实例数， 使之与期望实例数相等。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|
## 4.错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|----|------|
|InvalidParameter.ScalingGroupIdError|scalingGroupId不正确|
|Conflict.MaxsizeLessMinsize|maxsize必须大于minsize|
|InvalidParameter.DesiredCapacity|期望实例数无效|

## 5. 示例
```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&minSize=3
&maxSize=20
&scalingGroupId=xxx
&removePolicy=RemoveOldestInstance
```
返回示例如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success"         
}
```

