## 1. 接口描述
本接口(DeleteScalingGroup)用于删除特定伸缩组。本接口是根据scalingGroupId来删除相应伸缩组的。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

1）必须同时满足以下两个条件，才能删除伸缩组。
条件一：伸缩组没有任何伸缩活动正在执行。
条件二：伸缩组当前的CVM实例数量为0。

2）删除伸缩组时会删除相关联的伸缩配置、伸缩规则、伸缩活动、伸缩请求的信息。

3）删除伸缩组时不会删除以下任务或实例：定时任务、云监控报警任务、负载均衡实例。


## 2.输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DeleteScalingGroup。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 伸缩组Id，调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|

## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|----|------|
|InvalidParameter.ScalingGroupIdError|scalingGroupId不正确|

## 5. 示例

```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=xxxx
```
返回示例如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success"      
}
```

