## 1. 接口描述

本接口(DescribeScalingActivity)用于查询伸缩组的伸缩活动记录。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/公共请求参数" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeScalingActivity。

| 参数名称 | 是否必选  | 类型 | 描述 | 
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 伸缩组Id，指定需要查询的伸缩组 |
| scalingActivityIds.n | 否 | 数组 | 伸缩活动Id，指定查询某些伸缩活动记录|
| offset | 否 | Int | 偏移量，默认为0|
| limit | 否 | Int | 返回数量，默认为20|
| startTime | 否 | datetime | 指定开始时间|
| endTime | 否 | datetime | 指定结束时间 |


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因|
| message | String | 模块错误信息描述，与接口相关|
| data | Array | 查询回来的伸缩活动详情信息|
| data.scalingActivitySet | Array | 具体伸缩活动详情|
| data.totalCount | int | 查询到的伸缩活动记录个数|

其中，scalingActivitySet数组中每个元素为一个伸缩活动记录，用json格式表示。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| autoScalingGroupId | String | 当前伸缩活动所属的伸缩组Id | 
| status | Int | 伸缩活动执行的结果，具体映射关系见下表 | 
| type | Int |当前伸缩活动的类型，具体映射关系见下表 | 
| errorCode | Int | 伸缩活动执行结果的错误码，具体映射关系见下表| 
| succInsList | Int | 伸缩活动执行成功的机器Id| 
| failInsList | Int | 伸缩活动执行失败的机器Id| 
| cause | String | 触发伸缩活动的原因 |  
| desciption | String | 对伸缩活动的描述 | 
| msg | String |伸缩活动执行结果的描述 | 
| scalingActivityId | String | 当前伸缩活动Id| 
| startTime | String | 当前伸缩活动开始时间 | 
| endTime | String | 当前伸缩活动结束时间| 

相关映射关系如下：

1） status：
|编码|描述|
|----|----|
| 0| 初始化中|
| 1| 执行中|
| 2| 成功|
| 3| 部分成功|
| 4| 失败|
| 5| 取消|

2）type：
|编码|描述|
|----|----|
|0| 扩容|
|1| 缩容|
|2| 添加子机|
|3| 移出子机|
|10| 替换不健康子机|

3）errorCode：
|编码|描述|建议操作|
|----|----|--------|
|0 |成功|成功|
|10000 |镜像被删除|更换启动配置|
|10001 |存在LB被删除|修改LB|
|10002 |数据快照被删除|更换启动配置|
|10003 |存在安全组被删除|更换启动配置|
|10004 |子网被删除|请修改子网|
|20000 |销磬|暂停扩容操作|
|20001 |机型不存在|暂停扩容操作|
|20002 |后台资源不足|暂停扩容操作|
|30000 |配额不足|减少扩容子机数量，或者工单提高配额|
|30001 |账户余额不足|请充值|
|40000 |伸缩组正在伸缩活动中|稍等再重试|
|40001 |伸缩组处于冷却时间中|稍等再重试|
|50000 |密钥被删除|更换启动配置|

## 4.错误码

对于接口的通用性错误，请参考[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。


## 5. 示例

输入
```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=asg-xxxxx
&limit=1
```

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "totalCount": 8,
        "scalingActivitySet": [
            {
                "autoScalingGroupId": "asg-pixbyldg",
                "status": 2,
                "cause": "用户移出云主机[ins-5u97n5re]",
                "desciption": "用户移出云主机[ins-5u97n5re]",
                "startTime": "2017-04-15 20:54:57",
                "msg": "success",
                "scalingActivityId": "asa-b51zb5i4",
                "endTime": "2017-04-15 20:54:59",
                "type": 3,
                "succInsList": [
                    "ins-5u97n5re"
                ],
                "failInsList": [],
                "errorCode": 0
            }
        ]
    }
}
```

