## 1. 接口描述
本接口(DescribeScalingGroup)用于查询伸缩组的详细信息，可根据伸缩组ID、伸缩组名称、启动配置ID等对结果进行过滤。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeScalingGroup。

| 参数名称 | 是否必选  | 类型 | 描述 
|---------|---------|---------|---------|
| scalingGroupIds.n  | 否 | String | 待查询的各伸缩组ID组成的数组，数组下标从0开始。若无，表示显示所有伸缩组。|
| scalingGroupName | 否 | String | 待查询的伸缩组名称，暂时还不支持传入伸缩组名称的数组。 | 
| scalingConfigurationId | 否 | String |待查询的伸缩组所使用的启动配置ID，其指定了通过弹性伸缩自动创建云服务器实例时所使用的模版。可调用<a href="/doc/api/372/查询启动配置" title="查询启动配置">查询启动配置</a>(DescribeScalingConfiguration)接口查询。|
| offset | 否 | Int | 偏移量，默认为0。 | 
| limit | 否 | Int | 一次最多可查询的伸缩组数量，默认为20。|
| vpcId | 否 | String | 私有网络ID。不传则查询全部网络伸缩组，传0表示基础网络, 如需指定vpc网络，请填写<a href="/doc/api/245/1372" title="查询私有网络列表">查询私有网络列表</a>(DescribeVpcEx)接口中返回的unVpcId(私有网络统一ID)字段。|
| projectId | 否 | String | 项目ID，不传则查询全部项目伸缩组。0表示默认项目，如需指定其他项目，可调用<a href="/doc/api/403/4400" title="查询项目列表">查询项目列表</a>(DescribeProject)接口查询。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | 输出结果，查询到的伸缩组列表信息。 |

其中，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| totalCount | Int | 查询到的伸缩组数量。 |
| scalingGroupSet | Array | 查询到的伸缩组信息的集合。 |

其中，scalingGroupSet包含了若干个伸缩组信息，每个伸缩组信息的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| scalingGroupId | String | 查询到的伸缩组ID。 | 
| scalingGroupName | String | 查询到的伸缩组名称。| 
| scalingConfigurationId | String | 该伸缩组对应的伸缩配置ID。| 
| scalingConfigurationName | String | 该伸缩组对应的伸缩配置名称。| 
| minSize | Int | 该伸缩组所设的最小伸缩数，即该伸缩组中CVM实例的最小值。| 
| maxSize | Int | 该伸缩组所设的最大伸缩数，即该伸缩组中CVM实例的最大值。| 
| createTime | String |该伸缩组的创建时间。| 
| instanceNum | Int | 该伸缩组现有CVM实例的数量。| 
| removePolicy | String | 该伸缩组的移除策略 <br>1. 若为RemoveOldestInstance，表示移除最旧策略，即伸缩组缩容时，移除最早加入的CVM实例。 <br>2. 若为RemoveNewestInstance，表示移除最新策略，即伸缩组缩容时，移除最晚加入的CVM实例。| 
| loadBalancerIdSet | Array | 与该伸缩组绑定的各负载均衡信息。| 
| vpcId | Int |伸缩组所属的私有网络ID。| 
| subnetIdSet| Array | 伸缩组的子网信息。| 
| zoneIdSet | Array | 伸缩组的所在地域信息。| 
| projectId | Int | 伸缩组所属项目ID。 | 
|bInScalingActivity|Int|伸缩组是否在伸缩活动中（0:不处于伸缩活动中，1:处于伸缩活动中）<br>扩容、缩容、绑定和解绑云服务器都会触发伸缩活动，伸缩组同时只能有一个伸缩活动在进行。

其中，loadBalancerIdSet表示的是伸缩组的负载均衡信息，其结构如下。若为空，表示未使用负载均衡。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| status | Int |负载均衡状态。| 
| loadBalancerId| String | 负载均衡ID。| 
| owner | String | 负载均衡所有者帐号。| 
| zoneId | Int | 负载均衡所在地域。| 

subnetIdSet表示的是伸缩组的子网信息，其结构如下。若为空，表示未使用子网。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| status | Int |子网状态。| 
| subnetId| String | 子网ID。| 
| owner | String | 子网所有者帐号。| 
| zoneId | Int | 子网所在地域。| 

zoneIdSet表示的是伸缩组的地域信息，其结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| status | Int |状态信息。| 
| owner | String | 所有者帐号。| 
| zoneId | Int | 所在地域。 |

## 4. 错误码
对于接口的通用性错误，请参考[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

## 5. 示例
```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupIds.0=asg-d4hmoms6
```

得到的返回结果如下：
```
{
    "code": 0,
    "message": "",
    "codeDesc":"Success",      
    "data": {
        "totalCount": 1,
        "scalingGroupSet": [
            {
                "scalingGroupId": "asg-d4hmoms6",
                "scalingGroupName": "test",
                "scalingConfigurationId": "asc-hq6jo6h4",
                "scalingConfigurationName": "test",
                "minSize": 0,
                "maxSize": 1,
                "createTime": "2016-06-04 23:58:03",
                "instanceNum": 0,
                "removePolicy": "RemoveOldestInstance",
                "loadBalancerIdSet": [],
                "vpcId": 0,
                "subnetIdSet": [],
                "zoneIdSet": [
                    {
                        "status": 1,
                        "owner": "1251707795",
                        "zoneId": 100002
                    }
                ],
                "projectId": 0，
                "bInScalingActivity": 1
            }
        ]
    }
}
```