## 1. 接口描述
本接口(DescribeScalingInstance)用于查询伸缩组绑定的云服务器。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

1）查询时可以根据伸缩组ID、云服务器ID、实例健康状态、实例创建类型等对结果进行过滤。

2）加入伸缩组的CVM实例有两种类型：自动创建的CVM实例、手工添加的CVM实例。
“自动创建的CVM实例”是指根据用户的伸缩配置和伸缩规则，由弹性伸缩服务自动创建的CVM实例。
“手工添加的CVM实例”是指不是由弹性伸缩服务创建，但由用户手工添加到伸缩组中的CVM实例。

3）CVM实例在伸缩组中的生命周期，通过以下几种状态描述：
创建中（Creating）-表示正在创建CVM实例。
运行中（InService）-表示实例正在运行。
移除中（Removing）-表示伸缩组正在移除实例。
绑定中（Attaching）-表示正在将实例绑定到伸缩组。
解绑中（Detaching）-表示正在将实例从伸缩组解绑。
备份中（Backuping）-表示正在备份实例。
解除备份中（UnBackuping）-表示正在删除备份的实例。
绑定LB中（AttachLb）-表示正在绑定负载均衡。
解绑LB中（DetachLb）-表示正在解绑负载均衡。
预热中（Preheating）-表示实例正在预热。

4）CVM实例在伸缩组中的健康状态为：
健康（Healthy）
不健康（Unhealthy）
AS会自动移出伸缩组中不健康的CVM实例。对于“自动创建的CVM实例”，CVM会停止和释放该CVM实例。对于“手工添加的CVM实例”，AS不会停止和释放该CVM实例。

## 2.输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeScalingInstance。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 待查询的伸缩组ID，该参数可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询。|
| instanceIds.n  | 否 | String | 待查询的CVM实例ID，默认显示与伸缩组绑定的所有CVM实例。如需指定CVM实例，请填写<a href="/doc/api/229/831" title="DescribeInstances">查询实例列表(DescribeInstances)</a>接口中返回的unInstanceId（服务器统一ID）字段，最多可指定20个CVM实例。|
| creationType | 否 | String | 待查询的与伸缩组绑定的CVM实例类型。只有两种取值：若为Auto，表示是伸缩组自动创建的实例；若为Manual，表示是用户手动创建的实例。|
| healthStatus | 否 | String | 待查询的与伸缩组绑定的CVM实例健康状态。只有两种取值：若为Healthy，表示健康；若为UnHealthy，表示不健康。|
| offset | 否 | Int | 偏移量，默认为0。|
| limit | 否 | Int |一次最多显示的CVM实例数量，默认为20。 |

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | 输出结果，查询到的云服务器实例列表。 |

其中，data参数的构成如下

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| totalCount | Int | 查询到的云服务器实例数量。 |
| scalingInstancesSet | Array | 云服务器实例信息的集合。 |

其中，scalingInstancesSett包含了若干个云服务器实例信息，每个云服务器实例信息的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| instanceId | String |CVM实例的ID。| 
| healthStatus | String | 实例健康状态。若为Healthy，表示健康；若为UnHealthy，表示不健康。 | 
| creationType | String |  实例类型。若为Auto，表示是伸缩组自动创建的实例；若为Manual，表示是用户手动创建的实例。| 
| lifeCycleState | String | 实例在伸缩组中的生命周期状态，有以下几种情况： <br>Creating：创建中<br>InService：运行中<br>Removing：移除中<br>Attaching：绑定中<br>Detaching：解绑中<br>Backuping：备份中<br>UnBackuping：解除备份中<br>AttachLb：绑定LB中<br>DetachLb：解绑LB中<br>Preheating：预热中|
|protectedFromScaleIn|Int|移除保护标志位。1：处于移除保护中，0：没有处于移除保护中。| 
|addTime | String | 该实例加入伸缩组的时间。| 

## 4. 错误码
对于接口的通用性错误，请参考[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

## 5. 示例
```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=asg-xxxxx
```
返回示例如下，这里scalingInstancesSet中只有一个元素，说明与该伸缩组绑定的云服务器实例只有一个。
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",     
    "data":{
        "totalCount":1,
        "scalingInstancesSet":[
            {
                "instanceId":"ins-xxxx",
                "healthStatus":"Healthy",
                "creationType":"Manual",
                "lifeCycleState":"InService",
                "addTime":"2016-03-17 11:48:31"
            }
        ]
    }
}
```

