## 1. 接口描述
本接口(DetachInstance)用于从指定的伸缩组删除CVM实例。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DetachInstance。

1）若移出的CVM实例为伸缩组自动创建的时候，会停止和释放该实例；若移出的CVM实例为用户手动创建的时候，不会停止和释放该实例。

2）当伸缩组为生效（active）状态，才可以执行此功能。

3）当伸缩组没有伸缩活动正在执行，才可以调用该接口。

4）当伸缩组没有伸缩活动正在执行时，该功能可以绕过冷却时间（Cooldown）直接执行。

5）如果当前伸缩组的实例数减去该接口指定的实例数小于伸缩组规定的最小伸缩数时，则调用失败。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 待移出CVM实例的伸缩组ID，可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询。|
| instanceIds.n  | 是 | String | 伸缩组中待移出的CVM实例ID，请填写<a href="/doc/api/372/查询伸缩组绑定的云服务器" title="DescribeScalingInstance">查询伸缩组绑定的云服务器</a>(DescribeScalingInstance)接口中返回的instanceId（服务器统一ID）字段。|

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|

## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|----|------|
|InvalidParameter.ScalingGroupIdError|scalingGroupId不正确|
|InvalidParameter.InstanceIdError|instanceId不正确|

## 5. 示例
```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=xxx
&instanceIds.0=ins-xxxx
&instanceIds.1=ins-xxxx
```
返回示例如下，code为0，表示成功解绑。
```
{
    "code":"0",
    "message":"", 
    "codeDesc":"Success"   
}
```

