
## 1. 接口描述
本接口(SetCvmProtectedDetach)用于设置子机移除保护。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

子机设置为移除保护之后，当发生不健康替换、报警策略、期望值变更等触发缩容时，将不对此子机缩容操作。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为ModifyScalingGroup。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|------|
| scalingGroupId | 是 | String | 待设置移除保护子机所在的伸缩组Id，该参数可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询。|
| instanceIds.n | 是 | String | 需要设置移除保护的子机数组，下标从0开始。|
| protectedFromDetach | 是 | Int | 移除保护标志位，1：设置子机移除保护，0：取消子机移除保护。|



## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|
## 4.错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|----|------|
|InvalidParameter.ScalingGroupIdError|scalingGroupId不正确|
|InvalidParameter.ProtectedFromDetach|移除保护标志设置错误。0：取消移除保护；1：设置移除保护|
|InvalidParameter.InstanceIdError|子机Id无效|

## 5. 示例
```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=asg-xxx
&instanceIds.0=ins-xxx
&protectedFromDetach=1
```
返回示例如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success"         
}
```

