## 1. 接口描述
本接口(CreateScalingConfiguration)用于创建新的启动配置。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

1）创建启动配置中指定的CVM实例规格必须与伸缩组内生效的启动配置的实例规格一致。

2）启动配置无法编辑更改。如需使用新的启动配置，只能重新创建新的启动配置。

3）创建启动配置时，必须要选择镜像，用来确定新创建实例的系统盘配置。镜像包含操作系统以及应用软件配置，基于镜像创建实例后，实例的系统盘即为此镜像的完全克隆。

4）创建启动配置时，必须要指定安全组。同一个安全组内的实例数量不能超过1000个，若组内实例数量超出限制，创建实例时若指定该安全组，会提示失败。

5）实例创建时，系统会自己根据所指定的镜像为系统分配一个相应大小的系统盘。

6）系统盘类型与数据盘类型一致。

7）每个项目最多只能创建20个启动配置，详见<a href="/doc/product/377/3120" title="使用限制">使用限制</a>。


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为CreateScalingConfiguration。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| scalingConfigurationName | 是 | String | 用户设定的启动配置名称。|
| imageId | 是 | String | 镜像ID。请填写<a href="/doc/api/229/查询可用的镜像列表" title="/doc/api/229/查询可用的镜像列表">查询可用的镜像列表</a>(DescribeImages)接口中返回的unImgId（统一镜像ID）字段。|
| cpu | 是 | Int | CPU核数，各个地域可选的CPU核数不一样，详情见文档[CVM实例配置](https://cloud.tencent.com/doc/product/213/2177)。|
| mem | 是 | Int | 内存大小，单位为GB，各个地域可选的内存大小不一样，详情见文档[CVM实例配置](https://cloud.tencent.com/doc/product/213/2177)。|
| storageType | 是 | Int | 数据盘类型。有三种取值：若为1，表示本地盘；若为2，表示云硬盘；若为3，表示本地SSD；若为5，表示云SSD。|
| storageSize | 是 | Int | 数据盘大小，单位为GB，步长为10GB。若为本地盘，可选范围在0-500G；若为云硬盘，可选范围在0-4000G。|
| bandwidthType | 是 | String | 带宽的类型。只有两种取值：若为PayByHour，表示按带宽使用时长计费；若为PayByTraffic，表示按流量计费。|
| bandwidth | 是 | Int | 公网带宽大小。单位为Mbps。若为0，表示不开通公网带宽。如需要更改带宽，请在实例创建成功后，使用<a href="/doc/api/229/调整按量计费实例带宽" title="调整按量计费实例带宽">调整按量计费实例带宽</a>接口进行更改。|
| imageType | 是 | Int | 镜像类型。只有两种取值：若为1，表示私有镜像；若为2，表示公共镜像。|
| rootSize | 否 | Int | 系统盘大小，单位为GB。linux系统设置范围为20-50GB，默认为20GB，步长为1GB。windows不可调整，默认为50GB。|
| keyId | 否 | String | 密钥ID，可调用<a href="/doc/api/229/查询密钥">查询密钥</a>(DescribeKeyPairs)接口查询。|
| password | 否 | String | 实例密码，未设置则密码为随机产生。linux主机的密码规则是：至少要包含字母、数字、特殊字符!@#$%^\*() 中的两种，且密码长度为8-16个字符。 windows主机的密码规则是：至少要包含大写字母、小写字母、数字、特殊字符!@#\*中的三种，且密码长度为12-16个字符。**注意：密钥与密码不能同时指定。**|
| needMonitorAgent | 否 | Int | 是否开启云监控服务。只有两种取值：若为1，表示开通，若为0，表示不开通。默认是开通的。|
| needSecurityAgent | 否 | Int | 是否开启云安全服务。只有两种取值：若为1，表示开通，若为0，表示不开通。默认是开通的。|
| wanIp | 否 | Int | 是否开通外网IP。只有两种取值：若为1，表示开通，若为0，表示不开通。默认是开通的。|
| sgId | 否 | String | 安全组ID，可调用<a href="/doc/api/229/查询安全组列表">查询安全组列表</a>接口查询。 |
| projectId | 否 | String | 项目ID，不传为0，表示默认项目。如需指定其他项目，可调用<a href="/doc/api/403/4400" title="查询项目列表">查询项目列表</a>(DescribeProject)接口查询。|
| dataSnapshotId | 否 | String | 数据盘快照ID，如果使用数据盘快照功能，数据盘类型（storageType）须为云盘；并且数据盘快照的容量必须小于数据盘的容量（storageSize）。|
| cvmType | 否 | String | 选择云主机类型。有三种取值：若为11，表示标准型云主机；若为21，表示高IO型云主机；若为31，表示内存型云主机。不传此字段默认为11（标准型云主机）。|

目前启动配置支持标准型、高IO型、内存型三种云主机（以每个地区实际开放机型为准），启动配置支持云主机的CPU和内存大小详情见[CVM实例配置](https://cloud.tencent.com/doc/product/213/2177)。



## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | 输出结果，包含成功创建的启动配置列表信息。|

其中，data参数的构成如下，只有一个元素scalingConfigurationIdSet。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
|scalingConfigurationIdSet| Array | 创建的各个启动配置的Id。 |

## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|----|------|
|QuotaExceeded.ScallingConfiguration|启动配置添加超过上限|
|NameDuplicate.ScallingConfiguration|启动配置名称已存在|
|InvalidParameter.SecurityGroupId|安全组Id不正确|
|IInvalidParameter.CbsNotMatchCpu|1C1G只能配置云盘|
|InvalidParameter.storageType|存储类型错误|
|QuotaExceeded.storageSize|数据盘大小超出范围|
|QuotaExceeded.rootSize|系统盘大小超出范围|
|OprationFail.CpuOrMemNotExsit|此cpu和mem的机型已售空或不存在|


## 5. 示例


```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingConfigurationName=test
&imageType=2
&imageId=img-xxx
&cpu=1
&mem=1
&storageType=1
&storageSize=10
&bandwidthType=PayByTraffic
&bandwidth=1
&projectId=102135
&cvmType=11
```
返回示例如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",      
    "data":{
        "scalingConfigurationIdSet":[
            "xxxxxx"
        ]
    }
}
```