## 1. 接口描述
本接口(ModifyScalingPolicy)用于修改告警触发策略。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

1）当adjustmentType是TotalCapaciy时，表示将当前伸缩组的CVM实例数量调整到adjustmentValue指定的数量，adjustmentValue值必须大于等于0。

2）当adjustmentType是QuantityChangeInCapacity或PercentChangeInCapacity，对应的adjustmentValue值为正数表示增加实例，为负数表示减少实例。

3）当adjustmentType是PercentChangeInCapacity，adjusmentValue表示的是当前实例的百分比。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为ModifyScalingPolicy。

| 参数名称 | 是否必选  | 类型 | 描述 | 
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 要修改告警触发策略的伸缩组Id，可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询。|
| scalingPolicyId | 是 | String |告警触发策略Id，待修改的告警触发策略Id。该参数可调用<a href="/doc/api/372/查询告警触发策略" title="查询告警触发策略">查询告警触发策略</a>(DescribeScalingPolicy)接口查询。|
| scalingPolicyName | 否 | String | 用户自定义的告警策略名称。|
| metric | 否 | String | metric参数规定了具体的伸缩策略，格式为json格式。<br>{"dimensionName":"cpu_usage","comparisonOperator":"Greater","threshold":50}<br>cpu使用率大于50%,则促发伸缩行为，增加或减少对应的云主机。<a href="https://cloud.tencent.com/doc/product/377/%E5%BC%B9%E6%80%A7%E4%BC%B8%E7%BC%A9%E7%9B%B8%E5%85%B3%E9%97%AE%E9%A2%98#15.-.E5.91.8A.E8.AD.A6.E7.AD.96.E7.95.A5.E6.98.AF.E5.A6.82.E4.BD.95.E7.BB.9F.E8.AE.A1.E4.BA.91.E7.9B.91.E6.8E.A7.E4.BF.A1.E6.81.AF.E7.9A.84.EF.BC.9F" title="详细统计规则">详细统计规则</a>|
| adjustmentType | 否 | String | 伸缩规则的调整方式。只有3种取值：<br>TotalCapacity： 将当前伸缩组的实例数量调整到指定数量。<br>QuantityChangeInCapacity：增加或减少指定数量的实例。<br>PercentChangeInCapacity：增加或减少指定比例的实例(百分比)。|
| adjustmentValue | 否 | Int | 伸缩规则的调整值，若为负号表示减小实例。 adjustmentType的3种取值范围分别如下：<br>TotalCapacity：0至30<br>QuantityChangeInCapacity : -30至30 <br>PercentChangeInCapacity:-100至100。|
| cooldown | 否 | Int | 冷却时间，单位为秒，表示在同一伸缩组内，一个伸缩活动执行完成后的一段锁定时间。在这段时间内，该伸缩组不能执行其他伸缩活动。|
| notifyIds.n | 否 | String | 通知组ID，即为用户组ID(groupId)，最大为20个，数组下标从0开始。可调用<a href="/doc/api/403/4404" title="获取用户组列表">获取用户组列表</a>(DescribeUserGroup)接口查询。|

其中metric参数规定了具体的伸缩策略，格式为json格式，其中各个参数如下：

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| comparisonOperator|否| String | 比较运算符，可选值：<br>Greater：大于<br>EqualOrGreater：大于或等于<br>Less：小于。<br>EqualOrLess：小于或等于。<br>Equal：相等。<br>NotEqual：不相等。| 
| dimensionName|否| String | 维度，可选值：<br>cpu_usage：cpu使用率。<br>mem_usage：内存使用率。 <br>lan_outtraffic：内网出带宽。<br>lan_intraffic：内网入带宽。|
| threshold|否|Int |告警阈值：<br>cpu_usage： 数值范围 [0,100]，单位：%<br>mem_usage：数值范围 [0,100]，单位：%<br>lan_outtraffic：数值范围 >0，单位：Bps<br>lan_intraffic：数值范围 >0，单位：Bps|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|

## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|----|------|
|InvalidParameter.MetricError|METRIC配置不正确|
|InvalidParameter.ScalingPolicyAdjustmenttypeError|伸缩动作类型不正确|
|InvalidParameter.ScalingPolicyNameError|伸缩策略名称错误|
|InvalidParameter.AdjustmentValue|伸缩策略adjustmentValue超出范围|
|Conflict.ModifyDefaultScalingPolicyError|默认策略无法编辑|

## 4. 示例
```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=xxxx
&scalingPolicyId=xxxx
&scalingPolicyName=xxxx
&adjustmentType=QuantityChangeInCapacity
&adjustmentValue=10
&cooldown=300
&metric={"dimensionName":"cpu_usage","comparisonOperator":"Greater","threshold":50}
&notifyIds.0=1832
&notifyIds.1=1833
```
返回示例如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success"   
}
```

