## 1. 接口描述
本接口(DeleteScalingPolicy)根据用户的输入删除告警触发策略。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DeleteScalingGroup。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 伸缩组Id，表示待删除告警策略所在的伸缩组。该参数可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询。|
| scalingPolicyId | 是 | String |告警触发策略Id，待删除的告警触发策略Id。该参数可调用<a href="/doc/api/372/查询告警触发策略" title="查询告警触发策略">查询告警触发策略</a>(DescribeScalingPolicy)接口查询。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|

## 4. 错误码

|错误|错误码|
|----|------|
|默认策略无法删除|Conflict.DeleteDefaultScalingPolicyError|

## 5. 示例

```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=asg-93a83x8x
&scalingPolicyId=sp-iir70sxv
```
返回示例如下，code为0，表示成功删除该告警触发策略。
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":[]
}
```

