## 1. 接口描述
本接口(DescribeScalingPolicy)用于查询告警触发策略。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeScalingConfiguration。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 伸缩组ID，表示待查询告警触发策略所在的伸缩组ID。该参数可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口得到。|
| scalingPolicyIds.n  | 否 | String | 待查询的告警触发策略ID数组，数组下标从0开始。|
| scalingPolicyName | 否 | String | 待查询的告警触发策略名称。|
| offset | 否 | Int | 偏移量，默认为0。 |
| limit | 否 | Int | 一次最多可查询的告警触发策略数，默认为20。 |


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | 查询到的告警触发策略列表信息 。|
| totalCount | Int |查询到的告警触发策略数量。 | 

其中，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| scalingPolicyId | String | 查询到的告警触发策略ID。| 
| scalingPolicyName | String | 查询到的告警触发策略名称。| 
| adjustmentType | String |  查询到的伸缩规则的调整方式。有以下几种取值：<br>QuantityChangeInCapacity：增加或减少指定数量的实例。<br>PercentChangeInCapacity：增加或减少指定比例的实例。<br>TotalCapacity： 将当前伸缩组的实例数量调整到指定数量。<br>UnhealthyInstance：移除不健康的实例（默认策略,无法修改删除）。| 
| adjustmentValue | Int | 伸缩规则的调整值。 | 
| metric | Array | 伸缩规则，具体结构见下表。 |  
| notifyIdSet | Array |通知组ID，即为用户组ID(groupId)，表示用户所在的用户组。| 
| createTime | String |该告警策略的创建时间。| 
| cooldown | Int | 冷却时间，在同一伸缩组内，一个伸缩活动执行完成后的一段锁定时间。在这段时间内，该伸缩组不能执行其他伸缩活动。| 

其中metric表示伸缩规则，其组成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| dimensionName| String | 维度，有以下几种取值：<br>cpu_usage：cpu使用率。<br>mem_usage：内存使用率。 <br>lan_outtraffic：内网出带宽。<br>lan_intraffic：内网入带宽。| 
|comparisonOperator| String | 比较运算符，有以下几种取值：<br>Greater：大于<br>EqualOrGreater：大于或等于<br>Less：小于。<br>EqualOrLess：小于或等于。<br>Equal：相等。<br>NotEqual：不相等。| 
| threshold| Int |告警阈值：<br>cpu_usage： 数值范围 [0,100]，单位：%<br>mem_usage：数值范围 [0,100]，单位：%<br>lan_outtraffic：数值范围 >0，单位：Bps<br>lan_intraffic：数值范围 >0，单位：Bps| 
## 4. 错误码
对于接口的通用性错误，请参考[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。
## 5. 示例
假设我们只想显示scalingGroupId为asg-d4hmoms6的告警触发策略，则请求形式可能如下，指令请求参数只设定了scalingGroupId。
```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=asg-d4hmoms6
```
得到的返回结果如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",    
    "data":{
        "scalingPolicySet":[
           {
                "scalingPolicyId": "asp-168y1thp",
                "scalingPolicyName": "bono1d24",
                "adjustmentType": "QuantityChangeInCapacity",
                "adjustmentValue": 10,
                "metric": {
                    "dimensionName": "cpu_usage",
                    "comparisonOperator": "EqualOrGreater",
                    "threshold": 50
                },
                "notifyIdSet": [
                    "1832",
                    "1833"
                ],
                "createTime": "2016-03-21 14:07:42",
                "cooldown": 300
            },
        ],
        "totalCount":1
    }
}
```

