## 1. 接口描述
本接口(ModifyScheduledTask)用于修改定时任务。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为ModifyScheduledTask。

| 参数名称 | 是否必选  | 类型 | 描述 | 
|---------|---------|---------|---------|
| scalingScheduledTaskId | 是 | String |待修改的定时任务ID，此参数可调用<a href="/doc/api/372/查询定时任务" title="查询定时任务">查询定时任务</a>(DescribeScheduledTask)接口得到。|
| scalingScheduledTaskName | 否 | String | 待修改的定时任务名称，此参数可调用<a href="/doc/api/372/查询定时任务" title="查询定时任务">查询定时任务</a>(DescribeScheduledTask)接口得到。|
| readjustMaxSize | 否 | Int | 定时任务触发时，重设伸缩组中最大伸缩数的值。|
| readjustMinSize | 否 | Int | 定时任务触发时，重设伸缩组中最小伸缩数的值。 |
| startTime | 否 | datetime |定时任务的开始时间。 |
| endTime | 否 | datetime |定时任务重复执行时的结束时间，若定时任务需要重复执行，则必填此参数。如果需要关闭重复执行，则填写0000-00-00 00:00:00| 
| recurrence | 否 | String |定时任务的重复方式，为标准的crontab格式 ```* * * * *``` ，其中分钟与小时的信号不能指定(第一位与第二位)。若定时任务需要重复执行，则必填此参数。如果需要关闭重复执行，则填写 ```* * * * *``` 。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|

## 4.错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|----|--------|
|NameDuplicate.ScheduledTask|定时任务名称已存在|
|InvalidScheduleTask.TimeConflict|定时任务时间冲突|
|InvalidScheduledTask.NotExist|定时任务不存在|
## 5. 示例
```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=asg-xxxxx
&scalingScheduledTaskId=xxxxx
&recurrence=* * * * * 1
```
返回示例如下，code为0，表示成功修改该定时任务。
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",
    "data":[]    
}
```