## 1. 接口描述
本接口(CreateScheduledTask)用于创建新的定时任务。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

1）每个伸缩组内最多创建10个定时任务。

2）若定时任务触发执行伸缩规则失败后，在recurrence内，会自动重试触发。

3）如果多个定时任务在相近的时间内触发执行同一个伸缩组的伸缩规则，则最早触发的定时任务会先执行伸缩活动。由于同一个伸缩组同一时刻内只能有一个伸缩活动，排在后面的定时任务会在recurrence内自动重试定时触发。如上一个伸缩活动完成之后，排在后面的定时任务还在recurrence内重试，则执行该定时任务的伸缩规则并触发相应的伸缩活动。


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为CreateScheduledTask。

| 参数名称 | 是否必选  | 类型 | 描述 | 
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 待创建定时任务的伸缩组Id，可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询|
| scalingScheduledTaskName | 是 | String | 用户设定待创建的定时任务名称。| 
| readjustMaxSize | 是 | Int | 定时任务触发时，重设伸缩组中最大伸缩数的值。| 
| readjustMinSize | 是 | Int | 定时任务触发时，重设伸缩组中最小伸缩数的值。 | 
| startTime | 是 | datetime |定时任务的开始时间。 | 
| endTime | 否 | datetime |定时任务重复执行时的结束时间，若定时任务需要重复执行，则必填此参数。| 
| recurrence | 否 | String |定时任务的重复方式，为标准的crontab格式 ```* * * * *``` ，其中分钟与小时的星号不能指定(第一位与第二位)。若定时任务需要重复执行，则必填此参数.|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | 包含成功创建的定时任务列表信息。|

其中，data参数的构成如下，只有一个元素scalingScheduleTaskId。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
|scalingScheduleTaskId| Array | 包含创建的各个定时任务的Id。 |

## 4.错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|----|--------|
|QuotaExceeded.ScheduledTask|定时任务添加超过上限|
|NameDuplicate.ScheduledTask|定时任务名称已存在|
|InvalidScheduleTask.TimeConflict|定时任务时间冲突|
|InvalidParameter.EndtimeAndRecurrence|endtime与recurrence 必须同时传递|

## 5. 示例

```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=asg-xxxxxx
&scalingScheduledTaskName=xxxxx
&readjustMaxSize=10
&readjustMinSize=1
&startTime=2016-03-16 12:00:00
&recurrence= * * 1 * *
```
返回示例如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success",    
    "data":{
        "scalingScheduleTaskId":[
            "xxxxxx"
        ]
    }
}
```

