## 1. 接口描述
本接口(DescribeScheduledTask)用于查询定时任务信息，查询时可以指定伸缩组ID来查询该伸缩组下的所有定时任务。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeScheduledTask。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 伸缩组Id，表示查询此伸缩组的定时任务。此参数可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口得到。|
| scalingScheduledTaskIds.n  | 否 | String |待查询的定时任务ID数组，数组下标从0开始。 |
| scalingScheduledTaskName | 否 | String |待查询的定时任务名称。 |
| offset | 否 | Int | 偏移量，默认为0。 |
| limit | 否 | Int | 一次最多可查询的定时任务数量，默认为20。|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | 输出结果，包含查询到的所有定时任务列表信息。|

其中，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| totalCount | Int | 查询到的定时任务数量。 |
| scalingConfigurationSet | Array | 定时任务信息的集合。 |

其中，scalingScheduleTaskSet包含了若干个定时任务信息，每个定时任务信息的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| scalingScheduledTaskId | String | 查询到的定时任务ID。| 
| scalingScheduledTaskName | String | 查询到的定时任务名称。| 
| readjustMaxSize | Int | 定时任务触发时，重设伸缩组最大伸缩数的值。| 
| readjustMinSize | Int | 定时任务触发时，重设伸缩组最小伸缩数的值。| 
| startTime | String | 定时任务开始时间。| 
| endTime | String | 定时任务结束时间。| 
| recurrence | String | 定时任务的重复crontab值。| 
| createTime | String | 该定时任务的创建时间。| 
## 4. 错误码
对于接口的通用性错误，请参考[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

## 5. 示例

```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=xxxx
```
返回示例如下，从中可以看出，totalCount为1，说明只有一个定时任务。
```
{
    "code":"0",
    "codeDesc":"Success",
    "message":"",
    "data":{
        "totalCount":1,
        "scalingScheduleTaskSet":[
            {
                "scalingScheduledTaskId":"xxxx",
                "scalingScheduledTaskName":"xxxx",
                "readjustMaxSize":"20",
                "readjustMinSize":"10",
                "startTime":"2016-03-17 12:00:00",
                "endTime":"2016-03-18 12:00:00",
                "recurrence":"* * * * 1",
                "createTime":"2016-03-14 18:05:03"
            },
        ]
    }
}
```

