## 1. 接口描述
本接口(ModifyLifeCycleHook)用于修改已有的生命周期钩子配置。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为ModifyLifeCycleHook。

| 参数名称 | 是否必选  | 类型 | 描述 | 
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 待修改生命周期钩子的伸缩组Id，可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询|
| lifeCycleHookId | 是 | String | 待修改的生命周期钩子ID。| 
| lifeCycleHookName | 否 | String | 待修改的生命周期钩子名字。| 
| lifeCycleHookTimeout | 否 | Int | 待修改的生命周期钩子超时时间，单位为秒。| 
| defaultResult | 否 | Int | 待修改生命周期钩子任务超时后的默认动作，0：继续；1：禁止 | 
| transition | 否 | Int | 待修改生命周期钩子的回调条件，0：子机创建中；1：子机销毁中 | 
| notifyIds.n | 否 | String |待修改生命周期钩子的通知组ID，即为用户组ID(groupId)集合，数组下标从0开始。可调用获取用户组列表(DescribeUserGroup)接口查询。| 



## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 错误码。|
| data | Array | 成功返回为空。|


## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|----|------|
|HookParameterError.Transition|hook中transition值错误（非0即1）|
|HookParameterError.DefaultResult|hook中defaultResult值错误（非0即1）|
|NameDuplicate.LifeCycleHook|hook名字已存在|
|InvalidParameter.GroupIdInHook|通组组Id参数无效|
|InvalidParameter.ScalingGroupIdError|scalingGroupId不正确|


## 5. 示例

```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=asg-xxxxxx
&lifeCycleHookId=lfh-xxxxxx
&lifeCycleHookTimeout=10
```
返回示例如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc": "Success",
    "data":[]
}
```

