## 1. 接口描述
本接口(CreateLifeCycleHook)用于创建新的生命周期钩子配置。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

1）创建子机或者销毁子机的过程中，在子机创建之后和销毁之前提供一段时间窗口，用户可以在此时间段内完成子机数据的初始化或数据的保存。

2）每个伸缩组内最多创建10个生命周期钩子，但是同一时间只能绑定一个生命周期钩子。在使用某个生命周期钩子时，需要调用绑定伸缩组和回调钩子接口，激活当前生效生命周期钩子。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为CreateLifeCycleHook。

| 参数名称 | 是否必选  | 类型 | 描述 | 
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 待创建生命周期钩子的伸缩组Id，可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询|
| lifeCycleHookName | 是 | String | 用户设定待创建的生命周期钩子名称。| 
| lifeCycleHookTimeout | 是 | Int | 用户设定生命周期钩子的超时时间，在此时间窗口内，用户可以完成子机数据的初始化或数据的保存，单位为秒。| 
| defaultResult | 否 | Int | 生命周期钩子任务超时后的默认动作，0：继续；1：禁止。入参默认为0。 | 
| transition | 否 | Int |生命周期钩子的回调条件，0：子机创建中；1：子机销毁中。入参默认为0。 | 
| notifyIds.n | 否 | String |通知组ID，即为用户组ID(groupId)集合，数组下标从0开始。可调用获取用户组列表(DescribeUserGroup)接口查询。| 



## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 错误码。|
| data | Array | 包含成功创建的定时任务列表信息。|

其中，data参数的构成如下，只有一个元素lifeCycleHookId。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
|lifeCycleHookId| String | 新创建的生命周期钩子ID。 |

## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|---|---|
|HookParameterError.Transition|hook中transition值错误（非0即1）|
|HookParameterError.DefaultResult|hook中defaultResult值错误（非0即1）|
|NameDuplicate.LifeCycleHook|hook名字已存在|
|InvalidParameter.GroupIdInHook|通组组Id参数无效|
|QuotaExceeded.HookLimit|超出hook数量限额|
|InvalidParameter.ScalingGroupIdError|scalingGroupId不正确|

## 5. 示例

```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=asg-xxxxxx
&lifeCycleHookName=xxxxx
&lifeCycleHookTimeout=10
&notifyIds.0=1844
```
返回示例如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc": "Success",
    "data":{
        "lifeCycleHookId":[
            "lfh-xxxxxx"
        ]
    }
}
```

