## 1. 接口描述
本接口(DescribeLIfeCycleHook)用于查询生命周期钩子配置。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeLIfeCycleHook。

| 参数名称 | 是否必选  | 类型 | 描述 | 
|---------|---------|---------|---------|
| scalingGroupId | 否 | String | 伸缩组ID，表示待查询的生命周期钩子所在的伸缩组ID，可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询。|
| lifeCycleHookId | 否 | String | 待查询的生命周期钩子Id。|
| lifeCycleHookName | 否 | String | 待查询的生命周期钩子名字。|
| lifeCycleHookTimeout | 否 | Int | 待查询的生命周期钩子超时时间。|
| transition | 否 | Int | 待查询的生命周期钩子回调条件。|
| defaultResult | 否 | Int | 待查询的生命周期钩子超时后默认动作。|
| offset | 否 | Int | 偏移量，默认为0 |
| limit | 否 | Int | 一次最多可查询的启动配置数量。|

## 3.输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 错误码。|
| data | Array | 查询到的通知列表信息。|

其中，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| lifeCycleHookSet | Array | 通知信息的集合。 |

其中，lifeCycleHookSet包含了若干个通知信息，每个通知信息的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| autoScalingGroupId | String | 查询到的生命周期钩子所在的伸缩组ID。| 
| lifeCycleHookId | String | 查询到的生命周期钩子ID。| 
| lifeCycleHookName | Int | 查询到的生命周期钩子对应的通知类型。| 
| notifyIds | String | 查询到的生命周期钩子对应的通知组ID。| 
| transition | Int | 查询到的生命周期钩子对应的回调条件。| 
| defaultResult | Int | 查询到的生命周期钩子对应的超时默认结果。| 

## 4. 错误码
对于接口的通用性错误，请参考[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

## 5. 示例
```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
```
返回示例如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success"
    "data":{
        "lifeCycleHookSet":[
            {
                "lifeCycleHookTimeout":10,
                "lifeCycleHookName":"xxx",
                "autoScalingGroupId":"asg-7awqgwmv",
                "transition":1,
                "defaultResult":1,
                "lifeCycleHookId":"lfh-2maknjbc"
            },
        ]
    }
}
```

