## 1. 接口描述
本接口(CompleteLifeCycleHookAction)用于生命周期钩子回调完成通知。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

1）调用此接口提前完成生命周期钩子回调。

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为CompleteLifeCycleHookAction。

| 参数名称 | 是否必选  | 类型 | 描述 | 
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 生命周期钩子所在伸缩组Id，可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询|
| lifeCycleHookId | 是 | String | 生命周期钩子ID。| 
| scalingInstanceId | 是 | String | 子机ID。| 
| lifeCycleHookResult | 是 | Int | 回调完成后操作类型，0：继续；1：禁止。| 



## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 错误码。|
| data | Array | 成功返回为空。|

## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|----|------|
|InvalidParameter.ScalingGroupIdError|scalingGroupId不正确|
|HookParameterError.LifeCycleHookResult|hook中回调result值错误（0：继续；1：禁止）|


## 5. 示例

```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=asg-xxxxxx
&lifeCycleHookId=lfh-xxxxxx
&scalingInstanceId=ins-xxxxx
&lifeCycleHookResult=1
```
返回示例如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc": "Success",
    "data":[]
}
```

