
欢迎使用腾讯云弹性伸缩(AS)！
弹性伸缩(AS)可以根据用户的业务需求和策略，自动调整计算资源。弹性伸缩根据用户设置的定时策略、周期策略或监控策略，恰到好处地增加或减少CVM实例并完成配置，如在业务需求高峰增长时自动增加CVM实例，保证业务平稳健康运行；在业务需求下降时自动减少CVM实例，节约资源和成本。
用户可以使用本文档介绍的 API 对 AS 服务进行相关操作，如管理伸缩组、设置伸缩配置等，具体支持的操作可参见<a href="https://cloud.tencent.com/doc/api/372/API%E6%A6%82%E8%A7%88" title="API概览">API概览</a>。
请确保在使用这些接口前，已充分了解了<a href="https://cloud.tencent.com/doc/product/377/%E4%BA%A7%E5%93%81%E6%A6%82%E8%BF%B0" title="AS产品说明">AS产品说明</a>和[调用方法](https://cloud.tencent.com/doc/api/372/4152)。

## 1.术语表
为了让您快速熟悉弹性伸缩服务，我们对其中的一些常用术语进行了解释，如下表：

| 术语 | 全称 | 中文 | 说明|
|---------|---------|---------|---------|
| AS | Auto Scaling |[弹性伸缩](https://cloud.tencent.com/doc/product/377/3154)|一种根据用户业务需求和策略，自动调整弹性计算资源的管理服务。 |
| scalingGroup | Scaling Group |[伸缩组](https://cloud.tencent.com/doc/product/377/3155#1.-.E4.BC.B8.E7.BC.A9.E7.BB.84)|遵循相同规则、面向同一场景的云服务器实例的集合。 |
| scalingConfiguration | Scaling Configuration |[启动配置](https://cloud.tencent.com/doc/product/377/3155#2.-.E5.90.AF.E5.8A.A8.E9.85.8D.E7.BD.AE)|启动配置是自动创建云服务器的模版。|
| scalingScheduledTask | Scaling Scheduled Task | [定时任务](https://cloud.tencent.com/doc/product/377/3155#3.-.E5.AE.9A.E6.97.B6.E4.BB.BB.E5.8A.A1) | 定时地执行弹性伸缩活动。|
| scalingPolicy | Scaling Alarm Policy | [告警策略](https://cloud.tencent.com/doc/product/377/3155#5.-.E5.91.8A.E8.AD.A6.E4.BC.B8.E7.BC.A9) |基于云监控指标，自动执行弹性伸缩活动。|
| cooldown | Cooldown Period | [冷却时间](https://cloud.tencent.com/doc/product/377/3155#6.-.E5.86.B7.E5.8D.B4.E6.97.B6.E9.97.B4) | 在同一伸缩组内，一个伸缩活动执行完成后的一段锁定时间。|

## 2. API快速入门
为了使用弹性伸缩API，您至少需要完成以下三个步骤：
1. 创建启动配置
您可以使用[创建启动配置](/doc/api/372/创建启动配置)接口创建启动配置，它决定了通过弹性伸缩自动创建的云服务器实例的配置。
2. 创建伸缩组 
创建完启动配置后，您需要使用[创建伸缩组](/doc/api/372/创建伸缩组)接口来创建一个伸缩组。您可以指定该伸缩组中的实例数目，选择缩容时移除CVM实例的策略，选择是否将伸缩组添加至负载均衡等。
3. 创建伸缩策略
创建了一个伸缩组后，您需要指定该伸缩组的伸缩策略，也就是伸缩组根据外界情况增减CVM实例的策略。您可以使用[创建告警策略](/doc/api/372/创建告警策略)接口创建告警触发策略，根据云监控指标（如CPU、内存使用率等）情况执行伸缩活动；您还可以使用[创建定时任务](/doc/api/372/创建定时任务)接口创建定时任务，用于定时执行伸缩活动，您可以设置定时任务是否周期性执行。

## 3. 使用限制
目前，所有用户在任何情况下均能使用弹性伸缩服务。