## 1. 接口描述
本接口(ModifyScalingNotification)用于修改通知配置。
接口请求域名：<font style="color:red">scaling.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为ModifyScalingNotification。

| 参数名称 | 是否必选  | 类型 | 描述 | 
|---------|---------|---------|---------|
| scalingGroupId | 是 | String | 要修改的通知所在的伸缩组ID，可调用<a href="/doc/api/372/查询伸缩组列表" title="查询伸缩组列表">查询伸缩组列表</a>(DescribeScalingGroup)接口查询。|
| notificationId | 是 | String | 要修改的通知ID，可调用<a href="/doc/api/372/查询通知" title="查询通知">查询通知</a>(DescribeScalingNotification)接口查询。|
| notificationTypes.n | 否 | String | 通知类型数组，即为需要订阅的伸缩活动通知集合，范围从1到6。具体映射关系如下：<br>1：扩容成功<br>2：扩容失败<br>3：缩容成功<br>4：缩容失败<br>5：替换不健康子机成功<br>6：替换不健康子机失败|
| receiversIds.n | 否 | String | 通知组ID，即为用户组ID(groupId)，数组下标从0开始。可调用<a href="/doc/api/403/4404" title="获取用户组列表">获取用户组列表</a>(DescribeUserGroup)接口查询。|
## 3.输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| message | String | 模块错误信息描述，与接口相关。|
| data | Array | 成功返回为空。|

## 4. 错误码
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见[AS错误码](https://cloud.tencent.com/doc/api/372/4173)。

|错误码|描述|
|----|------|
|InvalidParameter.ScallingGroupId|无法匹配到对应的伸缩组Id|
|InvalidParameter.NotifyType|通知类型编号无效|
|InvalidParameter.NotifyPara|通知参数为空|
|InvalidParameter.NotifyId|无法匹配到对应的通知Id|
|InvalidParameter.GroupId|无法匹配到对应的通知组Id|


## 5. 示例
```
https://scaling.api.qcloud.com/v2/index.php?
&<公共请求参数>
&scalingGroupId=xxxx
&notificationTypes.0=1
&notificationTypes.1=2
&receiversIds.0=1832
&receiversIds.1=1833
```
返回示例如下：
```
{
    "code":"0",
    "message":"",
    "codeDesc":"Success"
    "data":[]
}
```

