## 1. 接口描述
本接口（ModifyTaskTemplate ）用于修改任务模板
接口请求域名：batch.api.qcloud.com

## 2. 输入参数
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
Version | String | 是 | API版本号
TaskTemplateName | String | 否 | 任务模板名称。TaskTemplateName 、TaskTemplateDescription、 TaskTemplateInfo 至少填一项。
TaskTemplateDescription | String | 否 | 任务模板描述。TaskTemplateName 、TaskTemplateDescription、 TaskTemplateInfo 至少填一项。
TaskTemplateInfo | Task | 否 | 任务模板内容，格式要求与 Batch Task一致。TaskTemplateName 、TaskTemplateDescription、 TaskTemplateInfo 至少填一项。
TaskTemplateId | String | 是 | 任务模板ID

备注：ModifyTaskTemplate 会校验参数合法性，修改操作可能成功或者失败，为保证接口原子性，避免批量操作部分成功部分失败的场景，接口支持单项操作，不支持批量操作。

```
{
    "TaskTemplateId": "task-tmpl-aabbccdd",
    "TaskTemplateName": "A",
    "TaskTemplateDescription ": "test task2",
    "TaskTemplateInfo": {
        "TaskName": "A",
        "TaskInstanceNum": 1,
        "Application": {
            "Command": "python a.py",
            "DeliveryForm": "PACKAGE",
            "PackagePath": "http://batchbucket-appid.cosgz.myqcloud.com/app/app.tgz",
        },
        "ComputeEnv": {
            "EnvType": "MANAGED",
            "EnvData": {
                "InstanceType": "S1.SMALL1",
                "ImageId"： "img-bq1gnde3"，
            },
        }，
        "InputMappings": [
            {
                "SourcePath": "cos://batchbucket-appid.cosgz.myqcloud.com/input/",
                "DestinationPath": "/data/input/"
            }
        ],
        "OutputMappings": [
            {
                "SourcePath": "/data/output/",
                "DestinationPath": "cos://batchbucket-appid.cosgz.myqcloud.com/output/"
            }
        ],
        "RedirectInfo": {
            "StdoutRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/log/",
            "StderrRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/log/"
        },
        "MaxRetryCount": 1,
        "Timeout": 86400,
    }
}
```

### 3. 输出参数
参数名称 | 类型  | 描述
-----|------|------
RequestId | String | 唯一请求ID。每次请求都会返回RequestId。当用户调用接口失败找后台研发人员处理时需提供该RequestId。

```
# 输出样例
{
    "Response": {
        "RequestId": "eac6b301-a322-493a-8e36-83b295459397"
    }
}
```