## 1. 接口描述
本接口（CreateTaskTemplate ）用于创建任务模板
接口请求域名：batch.api.qcloud.com

## 2. 输入参数
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
Version | String | 是 | API版本号
TaskTemplateName | String | 是 | 任务模板名称
TaskTemplateDescription | String | 是 | 任务模板描述
TaskTemplateInfo | Task | 是 | 任务模板内容，格式要求与 Batch Task一致

```
# 输入样例
{
    "TaskTemplateName": "A",
    "TaskTemplateDescription ": "test task",
    "TaskTemplateInfo": {
        "TaskName": "A",
        "TaskInstanceNum": 1,
        "Application": {
            "Command": "python a.py",
            "DeliveryForm": "PACKAGE",
            "PackagePath": "http://batchbucket-appid.cosgz.myqcloud.com/app/app.tgz",
        },
        "ComputeEnv": {
            "EnvType": "MANAGED",
            "EnvData": {
                "InstanceType": "S1.SMALL1",
                "ImageId"： "img-bq1gnde3"，
            },
        }，
        "InputMappings": [
            {
                "SourcePath": "cos://batchbucket-appid.cosgz.myqcloud.com/input/",
                "DestinationPath": "/data/input/"
            }
        ],
        "OutputMappings": [
            {
                "SourcePath": "/data/output/",
                "DestinationPath": "cos://batchbucket-appid.cosgz.myqcloud.com/output/"
            }
        ],
        "RedirectInfo": {
            "StdoutRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/log/",
            "StderrRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/log/"
        },
        "MaxRetryCount": 3,
        "Timeout": 86400,
    }
}
```

## 3. 输出参数
参数名称 | 类型  | 描述
-----|------|------
TaskTemplateId | String | 任务模板唯一ID
RequestId | String | 唯一请求ID。每次请求都会返回RequestId。当用户调用接口失败找后台研发人员处理时需提供该RequestId。

```
# 输出示例
{
    "Response": {
        "TaskTemplateId ": "task-tmpl-aabbccdd",
        "RequestId": "eac6b301-a322-493a-8e36-83b295459397"
    }
}
```
