## 1. 接口描述
本接口（DescribeTaskTemplates）用于查询任务模板信息。
接口请求域名：batch.api.qcloud.com

## 2. 输入参数
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
Version | String | 是 | API版本号
TaskTemplateIds.N | array of Strings | 否 | 按照一个或者多个任务模板ID查询。每次请求的任务模板上限为100。参数不支持同时指定 TaskTemplateIds 和 Filters。
Filters.N |	array of Filter objects | 否 | 过滤条件，详见实例过滤条件表。参数不支持同时指定 TaskTemplateIds 和 Filters。
Offset | Integer | 否 | 偏移量，默认为0。关于Offset的更进一步介绍请参考 API 简介中的相关小节。
Limit | Integer | 否 | 返回数量，默认为20，最大值为100。关于Limit的更进一步介绍请参考 API 简介中的相关小节。

#### 实例过滤条件表
参数名称 | 类型 | 是否必选 | 描述
---- | ---- | ---- | ----
TaskTemplateName | String | 否 | （过滤条件）按照任务模板名称过滤

## 3. 输出参数
参数名称 | 类型  | 描述
-----|------|------
RequestId | String | 唯一请求ID。每次请求都会返回RequestId。当用户调用接口失败找后台研发人员处理时需提供该RequestId。
TotalCount | Integer | 符合条件的任务模板数量。
TaskTemplateSet | array of TaskTemplate objects | 任务模板信息列表。

```
# 输出示例
{
    "Response": {
        "TotalCount": 2,
        "TaskTemplateSet ": [
            {
                "TaskTemplateId": "task-tmpl-aabbccdd",
                "TaskTemplateName": "Template A",
                "TaskTemplateDescription ": "test task",
                "CreateTime": "2017-09-29T12:59:42Z",
                "TaskTemplateInfo": {
                    "TaskName": "A",
                    "TaskInstanceNum": 1,
                    "Application": {
                        "Command": "python a.py",
                        "DeliveryForm": "PACKAGE",
                        "PackagePath": "http://batchbucket-appid.cosgz.myqcloud.com/app/app.tgz",
                    },
                    "ComputeEnv": {
                        "EnvType": "MANAGED",
                        "EnvData": {
                            "InstanceType": "S1.SMALL1",
                            "ImageId"： "img-bq1gnde3"，
                         },
                    }，
                    "InputMappings": [
                        {
                            "SourcePath": "cos://batchbucket-appid.cosgz.myqcloud.com/input/",
                            "DestinationPath": "/data/input/"
                        }
                    ],
                    "OutputMappings": [
                        {
                            "SourcePath": "/data/output/",
                            "DestinationPath": "cos://batchbucket-appid.cosgz.myqcloud.com/output/"
                        }
                    ],
                    "RedirectInfo": {
                        "StdoutRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/log/",
                        "StderrRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/log/"
                    },
                    "MaxRetryCount": 3,
                    "Timeout": 86400,
                }
            }
        ]
        "RequestId": "6EF60BEC-0242-43AF-BB20-270359FB54A7"
    }
}
```
