## 1. 接口描述
本接口（DescribeTask）用于查询指定任务的详细信息，包括任务内部的任务实例信息。
接口请求域名：batch.api.qcloud.com

## 2. 输入参数
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
Version | String | 是 | API版本号
JobId | String | 是 | 按照作业ID查询作业详细信息。
TaskName | String | 是 | 任务名称

## 3. 输出参数
名称 | 类型  | 描述
-----|------|------
RequestId | String | 唯一请求ID。每次请求都会返回RequestId。当用户调用接口失败找后台研发人员处理时需提供该RequestId。
JobId | String | 作业ID
TaskName | String | 任务名称
TaskState | String |  任务状态
CreateTime | String | 创建时间
EndTime | String | 结束时间
TaskInstanceTotalCount | Integer | 任务实例总数
TaskInstanceSet | array of TaskInstance objects | 任务实例信息
TaskInstanceMetrics | TaskInstanceMetrics object | 任务实例统计指标


#### TaskInstance
名称 | 类型  | 描述
-----|------|-----
TaskInstanceIndex | Integer | 任务实例索引
TaskInstanceState| String | 任务实例状态
StateReason | String | 任务实例失败时，StateReason会记录失败原因。
ComputeNodeInstanceId | String | 任务实例运行时所在计算节点（例如CVM）的InstanceId。任务实例未运行或者完结时，本字段为空。任务实例重试时，本字段会随之变化。
CreateTime | String | 创建时间
LaunchTime | String | 启动时间
RunningTime | String | 开始运行时间
EndTime | String | 结束时间

```
# 获取任务信息示例
{
    "Response": {
        "JobId": "job-08gkkznp",
        "TaskName": "A",
        "TaskState": "RUNNING",
        "CreateTime": "2017-08-17T12:59:40Z",
        "EndTime": null,
        "TaskInstanceTotalCount": 3,
        "TaskInstanceSet": [
            {
                "TaskInstanceIndex": 0,
                "TaskInstanceState": "SUCCEEDED",
                "StateReason": "",
                "ComputeNodeInstanceId": null,
                "CreateTime": "2017-08-17T12:59:40Z",
                "LaunchTime": "2017-08-17T12:59:42Z",
                "RunningTime": "2017-08-17T13:00:56Z",
                "EndTime": "2017-08-17T13:01:15Z",
                "RedirectInfo": {
                    "StdoutRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/logs/",
                    "StderrRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/logs/",
                    "StdoutRedirectFileName": 'stdout.job-08gkkznp.A.0.log',
                    "StderrRedirectFileName": 'stderr.job-08gkkznp.A.0.log',
                }
            },
            {
                "TaskInstanceIndex": 1,
                "TaskInstanceState": "RUNNING",
                "StateReason": "",
                "ComputeNodeInstanceId": "ins-aaabbb",
                "CreateTime": "2017-08-17T12:59:40Z",
                "LaunchTime": "2017-08-17T12:59:42Z",
                "RunningTime": "2017-08-17T13:00:56Z",
                "EndTime": null,
                "RedirectInfo": {
                    "StdoutRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/logs/",
                    "StderrRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/logs/",
                    "StdoutRedirectFileName": 'stdout.job-08gkkznp.A.1.log',
                    "StderrRedirectFileName": 'stderr.job-08gkkznp.A.1.log',
                }
            },
            {
                "TaskInstanceIndex": 2,
                "TaskInstanceState": "RUNNABLE",
                "StateReason": "",
                "ComputeNodeInstanceId": null,
                "CreateTime": "2017-08-17T12:59:40Z",
                "LaunchTime":  null,
                "RunningTime": null,
                "EndTime": null,
                "RedirectInfo": {
                    "StdoutRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/logs/",
                    "StderrRedirectPath": "cos://batchbucket-appid.cosgz.myqcloud.com/logs/",
                    "StdoutRedirectFileName": 'stdout.job-08gkkznp.A.2.log',
                    "StderrRedirectFileName": 'stderr.job-08gkkznp.A.2.log',
                }
            }
        ],
        "TaskInstanceMetrics": {
            "PendingCount": 0,
            "FailedCount": 0,
            "StartingCount": 0,
            "SucceedCount": 1,
            "FailedInterruptedCount": 0,
            "SubmittedCount": 0,
             "RunnableCount": 1,
             "RunningCount": 1
         },
        "RequestId": "6EF60BEC-0242-43AF-BB20-270359FB54A7"
    }
}
```