## 1. 接口描述
本接口（DescribeJob）用于查看一个作业的详细信息，包括内部任务（Task）和依赖（Dependence）信息。
接口请求域名：batch.api.qcloud.com

## 2. 输入参数
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
Version | String | 是 | API版本号
JobId | String | 是 | 按照作业ID查询作业详细信息。

## 3. 输出参数
名称 | 类型  | 描述
-----|------|------
RequestId | String | 唯一请求ID。每次请求都会返回RequestId。当用户调用接口失败找后台研发人员处理时需提供该RequestId。
JobId | String | 作业ID
JobName | String | 作业名称
Zone |  string | 可用区信息
Priority | Integer | 作业优先级
JobState | String | 作业状态
CreateTime | String | 创建时间
EndTime | String | 结束时间
TaskSet | array of Task objects | 任务信息，工作流DAG中的点
DependenceSet | array of Dependence objects | 依赖关系，工作流DAG中边
TaskMetrics | TaskMetrics object | 任务统计指标
TaskInstanceMetrics | TaskInstanceMetrics object | 任务实例统计指标

#### Task
名称 | 类型  | 描述
-----|------|-----
TaskName | String | 任务名称
TaskState | String | 任务状态
CreateTime | String | 创建时间
EndTime | String | 结束时间

#### dependence
名称 | 类型  | 描述
-----|------|-----|------
StartTask | String | 依赖关系的起点任务名称
EndTask | String |  依赖关系的起点任务名称

```
# 查看作业信息示例
{
    "Response": {
        "JobId": "job-hwsiyl9d",
        "JobName": "first job",
        "Zone": "ap-guangzhou-2",
        "Priority": 1,
        "JobState": "RUNNING",
        "CreateTime": "2017-08-17T12:59:40Z",
        "EndTime": null,
        "TaskSet": [
            {
                "TaskName": "A",
                "TaskState": "SUCCEEDED",
                "CreateTime": "2017-08-17T12:59:40Z",
                "EndTime": "2017-08-17T13:01:15Z"
            },
            {
                "TaskName": "B",
                "TaskState": "RUNNING",
                "CreateTime": "2017-08-17T12:59:40Z",
                "EndTime": "2017-08-17T13:01:15Z"
            },
            {
                "TaskName": "C",
                "TaskState": "PENDING",
                "CreateTime": "2017-08-17T12:59:40Z",
                "EndTime": "2017-08-17T13:01:15Z"
            }
        ],
        "DependenceSet": [
            {
                "StartTaskName": "A",
                "EndTaskName": "B"
            },
            {
                "StartTaskName": "B",
                "EndTaskName": "C"
            }
        ],
        "TaskMetrics": {
            "PendingCount": 1,
            "FailedCount": 0,
            "StartingCount": 0,
            "SucceedCount": 1,
            "FailedInterruptedCount": 0,
            "SubmittedCount": 0,
            "RunnableCount": 0,
            "RunningCount": 1
        },
        "TaskInstanceMetrics": {
            "PendingCount": 1,
            "FailedCount": 0,
            "StartingCount": 0,
            "SucceedCount": 2,
            "FailedInterruptedCount": 0,
            "SubmittedCount": 0,
            "RunnableCount": 1,
            "RunningCount": 1
        },
        "RequestId": "6EF60BEC-0242-43AF-BB20-270359FB54A7"
    }
}
```
