## 1. 接口描述
本接口（DescribeJobs）用于查询若干个作业的概览信息，天然支持用户隔离。
接口请求域名：batch.api.qcloud.com

## 2. 输入参数
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
Version | String | 是 | API版本号
JobIds.N | array of Strings | 否 | 按照一个或者多个作业ID查询。每次请求的作业的上限为100。参数不支持同时指定JobIds和Filters。
Filters.N |	array of Filter objects | 否 | 过滤条件，详见实例过滤条件表。参数不支持同时指定JobIds和Filters。
Offset | Integer | 否 | 偏移量，默认为0。关于Offset的更进一步介绍请参考 API 简介中的相关小节。
Limit | Integer | 否 | 返回数量，默认为20，最大值为100。关于Limit的更进一步介绍请参考 API 简介中的相关小节。

#### 实例过滤条件表
参数名称 | 类型 | 是否必选 | 描述
---- | ---- | ---- | ----
zone | String |	否 |	（过滤条件）按照可用区过滤。
job-id | String | 否 |（过滤条件）按照作业ID过滤。作业ID形如：job-aaaa。
job-name | String |	否 | （过滤条件）按照作业名称过滤。

## 3. 输出参数
参数名称 | 类型  | 描述
-----|------|------
RequestId | String | 唯一请求ID。每次请求都会返回RequestId。当用户调用接口失败找后台研发人员处理时需提供该RequestId。
TotalCount | Integer | 符合条件的作业数量。
JobSet | array of Instance objects |	作业详细信息列表。

#### Job
名称 | 类型  | 描述
-----|------|-----
JobId | String | 作业ID
JobName | String | 作业名称
JobState | String | 作业状态
Priority | Integer | 作业优先级
Placement | Placement object | 位置信息
CreateTime | String | 创建时间
EndTime | String | 结束时间
TaskMetrics | TaskMetrics object | 任务统计指标

```
# 查看作业列表示例
{
    "Response": {
        "TotalCount": 2,
        "JobSet": [
            {
                "JobId": "job-hwsiyl9d",
                "JobName": "Job A",
                "Priority": 1,
                "Placement": {
                    "Zone": "ap-guangzhou-2"
                },
                "EndTime": "2017-10-18T08:42:02Z",
                "CreateTime": "2017-10-18T08:10:48Z",
                "JobState": "SUCCEED",
                "TaskMetrics": {
                    "PendingCount": 0,
                    "FailedCount": 0,
                    "StartingCount": 0,
                    "SucceedCount": 4,
                    "FailedInterruptedCount": 0,
                    "SubmittedCount": 0,
                    "RunnableCount": 0,
                    "RunningCount": 0
                }
            },
            {
                "JobId": "job-okg40q5p",
                "JobName": "Job B",
                "Priority": 1,
                "Placement": {
                    "Zone": "ap-guangzhou-2"
                },
                "EndTime": "2017-10-18T08:41:28Z",
                "CreateTime": "2017-10-18T08:10:43Z",
                "JobState": "SUCCEED",
                "TaskMetrics": {
                    "PendingCount": 0,
                    "FailedCount": 0,
                    "StartingCount": 0,
                    "SucceedCount": 4,
                    "FailedInterruptedCount": 0,
                    "SubmittedCount": 0,
                    "RunnableCount": 0,
                    "RunningCount": 0
                }
            }
        ]
        "RequestId": "6EF60BEC-0242-43AF-BB20-270359FB54A7"
    }
}
```
