## 1. 接口描述
本接口（DescribeJobSubmitInfo）用于查询指定作业的提交信息，其返回内容包括 JobId 和 SubmitJob 接口中作为输入参数的作业提交信息
接口请求域名：batch.api.qcloud.com

## 2. 输入参数
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
Version | String | 是 | API版本号
JobId | String | 是 | 按照作业ID查询作业详细信息。

## 3. 输出参数
名称 | 类型  | 描述
-----|------|------
RequestId | String | 唯一请求ID。每次请求都会返回RequestId。当用户调用接口失败找后台研发人员处理时需提供该RequestId。
JobId | String | 作业ID
JobName | String | 是 | 作业名称
JobDescription | String | 作业描述
Priority | Integer | 作业优先级，任务（Task）和任务实例（TaskInstance）会继承作业优先级
Tasks.N | array of Task objects | 任务信息
Dependences.N | array of Dependence objects |  依赖信息

备注：具体 DataType 参考 SubmitJob接口

```
{
    "Response": {
        "Priority": 1,
        "JobName": "test job",
        "Tasks": [
            {
                "TaskInstanceNum": 1,
                "ComputeEnv": {
                    "EnvType": "MANAGED",
                    "EnvData": {
                        "VirtualPrivateCloud": {
                            "SubnetId": "subnet-8axej2jc",
                            "VpcId": "vpc-cg18la4l"
                        },
                        "SystemDisk": {
                            "DiskSize": 50,
                            "DiskType": "CLOUD_BASIC"
                        },
                        "InternetAccessible": {
                            "PublicIpAssigned": "TRUE",
                            "InternetMaxBandwidthOut": 50
                        },
                        "ImageId": "img-bd78fy2t",
                        "InstanceType": "S1.SMALL1",
                        "DataDisks": [
                            {
                                "DiskSize": 50,
                                "DiskType": "CLOUD_BASIC"
                            }
                        ]
                    }
                },
                "RedirectInfo": {
                    "StdoutRedirectPath": "cos://dondonbatchv5-1251783334.cosgz.myqcloud.com/logs/",
                    "StderrRedirectPath": "cos://dondonbatchv5-1251783334.cosgz.myqcloud.com/logs/"
                },
                "Application": {
                    "Command": "python -c \"fib=lambda n:1 if n<=2 else fib(n-1)+fib(n-2); print(fib(20))\"; echo \"haha\" ",
                    "DeliveryForm": "LOCAL"
                },
                "MaxRetryCount": 0,
                "FailedAction": "TERMINATE",
                "TaskName": "hello2"
            }
        ],
        "JobDescription": "xxx",
        "JobId": "job-ceg5mu8x",
        "RequestId": "9d7b0c99-f9b2-451c-ad68-090a6b7c04b2"
    }
}

```
