## 1. 接口描述
本接口（TerminateTaskInstance）用于终止任务实例。

* 对于状态已经为SUCCEED、FAILED的TaskInstance，batch不做处理。
* 对于状态为SUBMITTED、PENDING、RUNNABLE的TaskInstance，batch会将其置为FAILED状态。
* 对于状态为STARTING、RUNNING、FAILED_INTERRUPTED的TaskInstance，batch会先终止CVM，然后将状态置为FAILED，因此具有一定耗时。特别是如果CVM正在创建中，此时无法立即销毁CVM，Batch会在旁路注册一个定时销毁操作，在CVM创建好之后异步销毁。
* 对于状态为FAILED_INTERRUPTED的TaskInstance，TerminateTaskInstance操作实际成功之后，相关资源和配额才会释放。
* 本接口只支持提交到匿名计算环境的作业（SubmitJob指定ComputeEnv，不指定EnvId）。对于提交到具名计算环境的作业（SubmitJob指定EnvId，不指定ComputeEnv），不支持TerminateTaskInstance和TerminateJob操作。

接口请求域名：batch.api.qcloud.com

## 2. 输入参数
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
Version | String | 是 | API版本号
JobId | String | 是 | 作业ID
TaskName | String | 是 | 任务名称
TaskInstanceIndex | Integer | 是 |  任务实例索引

## 3. 输出参数
参数名称 | 类型  | 描述
-----|------|------
RequestId | String | 唯一请求ID。每次请求都会返回RequestId。当用户调用接口失败找后台研发人员处理时需提供该RequestId。
