欢迎使用批量计算（BatchCompute，简称 Batch）。

批量计算（Batch）是应对海量批处理作业的分布式计算平台，目的是给有大数据计算业务的企业、科研单位等提供高性价比且易用的计算服务。Batch 会智能的对任意规模批处理作业进行资源分配和作业执行管理，你可以将精力集中在如何分析和处理数据上。Batch 非常适合基因测序、医疗分析、科学研究、视频渲染、金融大数据、精准广告等领域。

作为一项完全安全的托管服务，Batch 使开发人员、科学家和工程师能够运行任意规模的批处理计算作业。利用 Batch，你仅需要提供计算执行的环境、命令以及对应输入输出数据存放地址，Batch 会根据工作负载去获取腾讯云的弹性资源，并自动调度作业执行流程以完成成千上万的批处理作业。Batch 可以降低运营的复杂性、节省时间和减少成本，从而使开发人员、科学家和工程师能够在腾讯云中轻松运行其批处理作业，也使企业、科研机构等不再需要预支巨额的费用去建设批处理数据中心。


## 1. 术语表
本文档涉及的一些常用术语如下：

| 术语 | 全称  | 中文 | 说明 |
|---------|---------|---------|---------|
| Job | Job | 作业 | 作业（Job）是用户提交批量计算工作的单位，它由单个或多个有前后依赖关系的任务组成。可以通过非常易用的 DAG 语法，来给多个批处理任务设置依赖关系。 |
| Task | Task | 任务 | 任务（Task）是在一台云服务器上执行的应用程序的信息。Batch 调度系统根据用户提交的配置，自动创建 CVM，执行程序。 |
| TaskInstance | TaskInstance | 任务实例 | 任务实例（TaskInstance）是 Batch 调度和执行的最小单元，每个任务可以指定一个或多个任务实例（TaskInstance）进行执行，可以在任务配置里设置需要并发执行的实例数目 |
| Env | ComputeEnv | 计算环境 | 计算环境是指 CVM 实例或者由 CVM 实例组成的集群。用户可以直接提交作业，作业在执行过程中自动创建和销毁 CVM 实例，也可以先创建计算环境，然后向指定计算环境中提交作业。

#### 输入参数与返回参数释义
* limit 和 offset

	>用来控制分页的参数；当相应结果是列表形式时，如果数量超过了 limit 所限定的值，那么只返回limit个值。用户可以通过 limit 和 offset 两个参数来控制分页：limit 为单次返回的最多条目数量，offset 为偏移量。
	>举例来说，参数 offset=0&limit=20 返回第0到20项，offset=20&limit=20 返回第20到40项，offset=40&limit=20 返回第40到60项；以此类推。


## 2. API快速入门

Batch API 的使用方式这里针对几个典型的使用场景来说明：

1. 通过使用 [提交作业] API，直接提交作业，批量计算系统会在执行作业的过程中自动创建和销毁 CVM 实例。
2. 通过使用 [创建计算环境] API，创建由若干个 CVM 实例组成计算环境；然后通过使用 [提交作业] API 向指定的计算环境中提交作业；作业执行完成且不再需要计算环境后，通过使用 [删除计算环境] API，销毁 CVM 实例。
