## 1. 接口描述
本接口（CreateComputeEnv）用于创建计算环境
接口请求域名：batch.api.qcloud.com

## 2. 输入参数
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
Version | String | 是 | API 版本
ComputeEnv | ComputeEnv object | 是 | 计算环境
Placement |  Placement object | 是 | 位置信息，通过该参数可以指定作业所属可用区等信息。
ClientToken | String | 否 | 用于保证请求幂等性的字符串。该字符串由用户生成，需保证不同请求之间唯一，最大值不超过64个ASCII字符。若不指定该参数，则无法保证请求的幂等性。

####  ComputeEnv
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
EnvName | String | 是 | 计算环境名称
EnvDescription | String | 否 | 计算环境描述
EnvType | String | 否 | 计算环境类型，仅支持“MANAGED”类型
EnvData | String | 是 | 计算环境参数
MountDataDisks | array of MountDataDisk object | 否 | 数据盘挂载选项
InputMappings | array of InputMapping object | 否 | 输入映射
Authentications | array of Authentication object | 否 | 授权信息
DesiredComputeNodeCount | Integer | 是 | 计算节点期望个数

备注：EnvData、MountDataDisks、InputMappings、Authentications 等参数参考SubmitJob接口中相应参数

#### Placement
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
Zone | String | 是 | 可用区

```
# 输入参数示例
{
  "ComputeEnv": {
    "EnvName": "test compute env",
    "EnvDescription": "test compute env",
    "EnvType": "MANAGED",
    "EnvData": {
      "InternetAccessible": {
        "PublicIpAssigned": "TRUE",
        "InternetMaxBandwidthOut": 50
      },
      "LoginSettings": {
        "Password": "B1[habcd"
      },
      "InstanceType": "S1.SMALL1",
      "ImageId": "img-xxxxyyyy"
    },
    "InputMappings": [
      {
        "SourcePath": "cfs://10.100.100.10:/",
        "DestinationPath": "/mnt/disk/"
      },
      {
        "SourcePath": "cos://batchbucket-appid.cosgz.myqcloud.com/",
        "DestinationPath": "/mnt/disk1/"
      },
      {
        "SourcePath": "cos://batchbucket-appid.cosgz.myqcloud.com/hello2/",
        "DestinationPath": "/mnt/disk2/"
      }
    ],
    "MountDataDisks": [
      {
        "FileSystemType": "EXT3",
        "LocalPath": "/data/"
      },
    ],
    "Authentications": [
      {
        "Scene"： "COS",
        "SecretId": "xxx",
        "SecretKey": "yyy"
      }
    ],
    "DesiredComputeNodeCount": 3
  },
  "Placement": {
    "Zone": "ap-guangzhou-2",
  },
  "ClientToken": "xxxx"
}
```

## 4. 输出参数
参数名称 | 类型  | 描述
-----|------|-----
EnvId | String | 计算环境唯一标识。
RequestId | String | 唯一请求ID。

```
# 输出参数示例
{
  "Response": {
    "EnvId": "env-xxxxyyyy",
    "RequestId": "eac6b301-a322-493a-8e36-83b295459397"
  }
}
```
