## 1. 接口描述
本接口（DescribeComputeEnvs）用于产看计算环境列表。
接口请求域名：batch.api.qcloud.com

## 2. 输入参数
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
Version | String | 是 | API版本号
EnvIds.N | Array of String | 否 | 按照指定EnvId查询。每次请求的上限为100。参数不支持同时指定EnvIds和Filters
Filters.N | Array of String | 否 | 过滤条件，详见过滤条件表。参数不支持同时指定EnvIds和Filters
Offset| Integer | 否 | 偏移量，默认为0。
Limit | Integer | 否 | 返回数量，默认为20，最大值为100。

#### 过滤条件表
名称 | 类型  | 是否必选 | 描述
-----|------|-----|------
env-id | String | 否 | 过滤计算环境Id
env-name | String | 否 | 过滤计算环境名称
zone | String | 否 | 过滤可用区

## 3. 输出参数
名称 | 类型  | 描述
-----|------|------
TotalCount| Integer| 计算环境数量
ComputeEnvSet | Array of ComputeEnv | 计算环境列表

####  ComputeEnv
名称 | 类型  | 描述
-----|------|------
EnvId | String | 计算环境ID
EnvName | String | 计算环境名称
Placement | Placement object | 位置信息
CreateTime | String  | 计算环境创建时间
ComputeNodeMetrics | ComputeNodeMetrics object | 计算节点统计指标

#### ComputeNodeMetrics
名称 | 类型  | 描述
-----|------|------
SubmittedCount | String | 已经完成提交的计算节点数量
CreatingCount | String | 创建中的计算节点数量
CreationFailedCount | String | 创建失败的计算节点数量
CreatedCount | String | 完成创建的计算节点数量
RunningCount | String | 运行中的计算节点数量
DeletingCount | String | 销毁中的计算节点数量
AbnormalCount | String | 异常的计算节点数量

```
# 输出参数示例
{
    "Response": {
        "TotalCount": 1,
        "ComputeEnvSet": [
            {
                "EnvId": "env-gzah9akx",
                "ComputeNodeMetrics": {
                    "CreatedCount": 0,
                    "DeletingCount": 0,
                    "CreationFailedCount": 0,
                    "SubmittedCount": 0,
                    "CreatingCount": 0,
                    "AbnormalCount": 0,
                    "RunningCount": 2
                },
                "EnvType": "MANAGED",
                "EnvName": "test compute env",
                "Placement": {
                    "Zone": "ap-guangzhou-2"
                },
                "CreateTime": "2017-11-21T03:51:27Z"
            }
        ],
        "RequestId": "a03a2636-8448-4890-a977-0316d83d982f"
    }
}
```
