## 接口描述
### 功能描述
ListFunctions 根据传入的查询参数返回相关函数信息。

### 接口域名
接口请求域名为：`scf.api.qcloud.com`

## 请求
语法示例：
```
GET https://scf.api.qcloud.com/v2/index.php?Action=ListFunctions
    &<公共请求参数>
    &limit=2
    &order=asc
```

### 请求参数
以下请求参数为本接口接口请求参数，正式调用时需要加上公共请求参数，详见 [公共请求参数](/doc/api/244/4183) 页面。其中，此接口的 Action 字段为 ListFunctions。     

|参数名称|描述|类型|必选|
|-----------|--------|----------|----------|
|order|以升序还是降序的方式返回结果，可选值 asc 和 desc|String|否|
|orderby|根据哪个字段进行返回结果排序,支持以下字段： addtime、modtime、functionname|String|否|
|offset|数据偏移量，默认值为 0|Int|否|
|limit|返回数据长度，默认值为 20|Int|否|
|searchKey|模糊匹配 functionName 字段|String|否|

## 响应

响应示例：
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "functions": [
            {
                "modTime": "2017-09-08 17:42:53",
                "addTime": "2017-09-08 17:42:53",
                "runtime": "Python2.7",
                "functionName": "image"
            },
            {
                "modTime": "2017-09-18 14:06:57",
                "addTime": "2017-08-18 20:44:36",
                "runtime": "Nodejs6.10",
                "functionName": "testnode"
            }
        ],
        "total": 2
    }
}
```


## 响应参数

|参数名称|描述|类型|
|-------|---|---------------|
|code|公共错误码，0  表示成功，其他值表示失败|Int|
|message|模块错误信息描述，与接口相关|String|
|codeDesc|英文错误码，成功返回 Success，失败有相应的英文说明|String|
|data| json 格式数据，返回属于该用户的函数列表信息|Object|

data 字段包含属于该用户的函数列表信息，其中的 total 字段表示该用户在该区域的函数总数，functions 为函数列表，每个函数包含的数据结构如下：

|参数名称|描述|类型|
|-------|---|---------------|
|modTime|函数最后一次修改时间|String|
|addTime|函数创建时间|String|
|functionName|函数名称|String|
|runtime|函数所使用的运行环境|String|

## 实际案例

### 请求
```
GET https://scf.api.qcloud.com/v2/index.php?
    Action=ListFunctions
    &SecretId=AKIDutrojKl3CKQZNAr763UXks05898Lmciu
    &Nonce=24693
    &Timestamp=1505723955
    &Region=gz
    &Signature=gXlWZFfqRWZaaCPyX%2F4U0E92yPk%3D
    &limit=2
    &order=asc
```

### 响应
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "functions": [
            {
                "modTime": "2017-06-08 17:36:38",
                "addTime": "2017-06-08 17:36:38",
                "runtime": "Python2.7",
                "functionName": "ziptest"
            },
            {
                "modTime": "2017-06-10 16:23:12",
                "addTime": "2017-06-10 16:20:00",
                "runtime": "Python2.7",
                "functionName": "zoepil"
            }
        ],
        "total": 7
    }
}
```
