## 接口描述
### 功能描述
DeleteTrigger 根据指定的函数名称和触发器名称，删除对应的触发器。

### 接口域名
接口请求域名为：`scf.api.qcloud.com`

## 请求
请求示例：
```
GET https://scf.api.qcloud.com/v2/index.php?Action=DeleteTrigger
    &<公共请求参数>
    &functionName=hell
    &type=timer
    &triggerName=test2
```

### 请求参数

以下请求参数为本接口接口请求参数，正式调用时需要加上公共请求参数，详见 [公共请求参数](/doc/api/244/4183) 页面。其中，此接口的 Action 字段为 DeleteTrigger。

|参数名称|描述|类型|必选|
|-----------|--------|----------|----------|
|functionName|函数名称|String|是|
|triggerName|要删除的触发器名称。|String|是|
|type|要删除的触发器类型，目前支持 cos 、cmq、 timer 类型|String|是|
|triggerDesc|如果删除的触发器类型为 COS 触发器，该字段为必填值，存放 JSON 格式的数据 `{"event":"cos:ObjectCreated:*"}`，数据内容和 SetTrigger 接口中该字段的格式相同；如果删除的触发器类型为定时触发器或 CMQ 触发器，可以不指定该字段|String|是|

## 响应

响应示例：
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}
```

### 响应参数
|参数名称|描述|类型|
|-------|---|---------------|
|code|公共错误码， 0 表示成功，其他值表示失败|Int|
|message|模块错误信息描述，与接口相关|String|
|codeDesc|英文错误码，成功返回 Success，失败有相应的英文说明|String|

## 实际案例

### 请求

```
GET https://scf.api.qcloud.com/v2/index.php?
    Action=DeleteTrigger
    &SecretId=AKIDutrojKl3CKQZNAr763UXks05898Lmciu
    &Nonce=51955
    &Timestamp=1505793130
    &Region=gz
    &Signature=LaOsxyEvPzjIZTLQWk3AcM60%2FPc%3D
    &functionName=test5
    &triggerName=test-topic
    &type=cmq

```

### 响应
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}
```
