## 请求域名说明

队列模型

- 外网接口请求域名：`cmq-queue-region.api.qcloud.com`
- 内网接口请求域名：`cmq-queue-region.api.tencentyun.com`


主题模型

- 外网接口请求域名：cmq-topic-region.api.qcloud.com
- 内网接口请求域名：cmq-topic-region.api.tencentyun.com

说明：

1. region 需用具体地域替换：gz（广州），sh（上海），bj（北京），shjr（上海金融），szjr（深圳金融），hk（香港）。公共参数中的 region 值要与域名的 region 值保持一致，如果出现不一致的情况，以域名的 region 值为准，将请求发往域名 region 所指定的地域。
1. 外网域名请求既支持 http，也支持 https。内网请求仅支持 http。
1. 输入参数有些是可选的，不填取默认值。
1. 输出参数在成功情况下所有出参都会返回给用户；失败情况下，至少会有 code, message, requestId 返回。


> **注意：**
>  
> 任何时候，包括内测期间，如果使用外网域名产生公网下行流量，都会收取流量费用。 所以强烈建议服务在腾讯云上的用户使用内网域名，内网不会产生流量费用。

## 地域说明

接口请求域名中 region 需用具体地域替换，地域以域名的 region 为准，公共参数的 region 在这里会被忽略。目前 CMQ 上线 region 如下表所示。

### 队列模型

| 区域 | 替换值| 外网请求域名 | 内网请求域名 |
|---------|---------|---------|---------|
|北京| bj|`cmq-queue-bj.api.qcloud.com`|`cmq-queue-bj.api.tencentyun.com`|
|上海|sh|`cmq-queue-sh.api.qcloud.com`|`cmq-queue-sh.api.tencentyun.com`|
|广州|gz|`cmq-queue-gz.api.qcloud.com`|`cmq-queue-gz.api.tencentyun.com`|
|上海金融|shjr|`cmq-queue-shjr.api.qcloud.com`|`cmq-queue-shjr.api.tencentyun.com`|
|深圳金融|szjr|`cmq-queue-szjr.api.qcloud.com`|`cmq-queue-szjr.api.tencentyun.com`|
|香港|hk|`cmq-queue-hk.api.qcloud.com`|`cmq-queue-hk.api.tencentyun.com`|
|北美|ca|`cmq-queue-ca.api.qcloud.com`|`cmq-queue-ca.api.tencentyun.com`|
|成都|cd|`cmq-queue-cd.api.qcloud.com`|`cmq-queue-cd.api.tencentyun.com`|

### 主题模型 

| 区域 | 替换值| 外网请求域名 | 内网请求域名 |
|---------|---------|---------|---------|
|北京| bj|`cmq-topic-bj.api.qcloud.com`|`cmq-topic-bj.api.tencentyun.com`|
|上海|sh|`cmq-topic-sh.api.qcloud.com`|`cmq-topic-sh.api.tencentyun.com`|
|广州|gz|`cmq-topic-gz.api.qcloud.com`|`cmq-topic-gz.api.tencentyun.com`|
|上海金融|shjr|`cmq-topic-shjr.api.qcloud.com`|`cmq-topic-shjr.api.tencentyun.com`|
|深圳金融|szjr|`cmq-topic-szjr.api.qcloud.com`|`cmq-topic-szjr.api.tencentyun.com`|
|香港|hk|`cmq-topic-hk.api.qcloud.com`|`cmq-topic-hk.api.tencentyun.com`|
|北美|ca|`cmq-topic-ca.api.qcloud.com`|`cmq-topic-ca.api.tencentyun.com`|
|成都|cd|`cmq-topic-cd.api.qcloud.com`|`cmq-topic-cd.api.tencentyun.com`|
