## 1. 接口描述

本接口(AddUserGw)用于创建对端网关。
接口请求域名：<font style="color:red">vpc.api.qcloud.com</font> 
 

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为AddUserGw。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| userGwName | 是 | String | 对端网关名称，可任意命名，但不得超过60个字符。 |
| userGwAddr | 是 | String | 对端网关公网IP，例如：183.30.0.1。 |

 

## 3. 输出参数

| 参数名称 | 类型 | 描述|
|---------|---------|---------|
| code| Int | 错误码，0: 成功，其他值: 失败。 |
| message | String | 错误信息。 |
| userGwId | String |系统分配的对端网关ID，例如：cgw-e098slul |

## 4. 错误码表
 以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见<a href="https://cloud.tencent.com/doc/api/245/4924" title="VPC错误码">VPC错误码</a>。

| 错误码 | 描述 |
|---------|---------|
| InvalidUserGwName | 对端网关名称不合法。可任意命名，但不得超过60个字符。 |
| UserGwLimitExceeded | 已经达到指定区域对端网关资源申请数量上限。如果需要更多资源，请联系客服申请。更多vpc资源限制信息详见<a href="https://cloud.tencent.com/doc/product/215/537" title="VPC使用限制">VPC使用限制</a>。 |

## 5. 示例
 
输入
<pre>
  https://domain/v2/index.php?Action=AddUserGw
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
  &userGwName=ddtest
  &userGwAddr=183.30.0.1
</pre>

输出
```

{
    "code" : 0,
    "message" : "ok",
		"userGwId" : "cgw-e098slul"
}


