## 1. 接口描述

本接口(DescribeDirectConnectGateway)用于查询专线网关。
接口请求域名：<font style="color:red">vpc.api.qcloud.com</font>


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeDirectConnectGateway。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| vpcId | 否 | String | 系统分配的私有网络ID，例如：vpc-dfg5445。|
| directConnectGatewayId | 否 | String | 系统分配的专线网关ID，例如：dcg-4d545d。|
| directConnectGatewayName | 否 | String | 专线网关名称，支持模糊查询。|
| offset | 否 | Int | 初始行的偏移量，默认为0。|
| limit | 否 | Int | 每页行数，默认为20，最大支持50。|
| orderField | 否 | String | 按某个字段排序，目前仅支持createTime，directConnectGatewayName排序，默认按createTime排序。 |
| orderDirection | 否 | String | 升序（asc）还是降序（desc），默认：desc。 |

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| totalCount | Int |  查询的专线网关总数。|
| data.n | Array | VPC信息组。|
| data.n.vpcId | String | 系统分配的vpcId，例如：gz_vpc_266。|
| data.n.unVpcId | String | 系统分配的vpc统一ID，例如：vpc-d454dd。|
| data.n.directConnectGatewayName | String | 专线网关名称。|
| data.n.directConnectGatewayId | String | 系统分配的专线网关ID，例如：dcg-dgd454。|
| data.n.type | Int | 专线网关类型；0：非NAT网关；1：NAT网关。|
| data.n.snatNum | Int | 本端IP转换规则个数。|
| data.n.dnatNum | Int | 对端IP转换规则个数。|
| data.n.snaptNum | Int | 本端源IP端口转换规则个数。|
| data.n.dnaptNum | Int | 本端目的IP端口转换规则个数。|
| data.n.createTime | String | 创建时间。|

 ## 4. 错误码表
  以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见<a href="https://cloud.tencent.com/doc/api/245/4924" title="VPC错误码">VPC错误码</a>。
 
| 错误码 | 描述 |
|---------|---------|
| InvalidVpc.NotFound | 无效的VP。C，VPC资源不存在，请再次核实您输入的资源信息是否正确。 |
| InvalidDirectConnectGateway.NotFound | 无效的专线网关。专线网关资源不存在，请再次核实您输入的资源信息是否正确。 |

## 5. 示例
输入
<pre>
https://vpc.api.qcloud.com/v2/index.php?Action=DescribeDirectConnectGateway
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&vpcId=vpc-dfgg190
&directConnectGatewayId=dcg-ddf14d
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "totalCount": 1,
    "data": [
        {
            "vpcId": "gz_vpc_20",
            "vpcName": "vpc20联调dondon666",
            "directConnectGatewayId": "dcg-46i442a7",
            "directConnectGatewayName": "apollan",
            "directConnectGatewayIp": "10.212.253.59",
            "snatNum": 1,
            "dnatNum": 0,
            "snaptNum": 0,
            "dnaptNum": 0,
            "createTime": "2016-06-29 19:20:45",
            "vpcCidrBlock": "172.17.0.0/16",
            "unVpcId": "vpc-kx49lmyv",
            "type": 1
        }
    ]
}
```

