## 1. 接口描述
 
本接口（DescribeSubnetEx）用于查询子网列表。
接口请求域名：<font style="color:red">vpc.api.qcloud.com</font> 


## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeSubnetEx。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| vpcId | 否 | String | 子网所属的私有网络ID值，可使用vpcId或unVpcId，建议使用unVpcId，例如：vpc-kd7d06of，可通过<a href="http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%E5%88%97%E8%A1%A8" title="DescribeVpcEx">DescribeVpcEx</a>接口查询。 | 
| subnetId | 否 | String | 系统分配的子网ID，可使用subnetId或unSubnetId，建议使用unsubnetId，例如：subnet-3lzrkspo。|
| subnetName | 否 | String | 子网名称，支持模糊查询。 |
| zoneIds | 否 | Array | 可用区ID，详见<a href="https://cloud.tencent.com/document/product/213/6091">VPC可用区说明</a>。 |
| offset | 否 | Int | 初始行的偏移量，默认为0。 |
| limit | 否 | Int | 每页行数，默认为20。 |
| orderField | 否 | String | 按某个字段排序，目前仅支持createTime,subnetName排序，默认按createTime排序。 |
| orderDirection | 否 | String | 升序（asc）还是降序（desc），默认：desc。 |

## 3. 输出参数

| 参数名称 | 类型 | 描述|
|---------|---------|---------|
| code| Int | 错误码，0: 成功，其他值: 失败。 |
| message |  String | 错误信息。 |
| totalCount |  Int |子网总数量。 |
| data | Array  | 返回的数组。 |
| data.n.vpcId | String | 系统分配的vpcId，例如：gz_vpc_266。|
| data.n.unVpcId | String | 系统分配的新vpcID，由子网ID升级而来，推荐使用新vpcId，示例:vpc-5gu2jxf4。|
| data.n.subnetId | String | 系统分配的子网ID，示例:subnetId_GZ_23。|
| data.n.unSubnetId | String | 系统分配的新子网ID，由子网ID升级而来，推荐使用新子网ID，示例:subnet-5gu2jxf4。|
| data.n.subnetName | String | 子网名称。|
| data.n.cidrBlock | String | 子网网段，示例:192.168.0.0/25。|
| data.n.routeTableId | String | 子网绑定的默认路由表ID，示例:gz_rtb_8751。|
| data.n.zoneId | String | 子网所在可用区ID,示例:200001。|
| data.n.zone | String | 子网所在可用区ID,示例:ap-guangzhou-2。|
| data.n.networkAclId | String | 子网绑定的网络ACL ID（如果没有绑定返回0），示例：acl-e9dbyl8s，更多详见<a href="https://cloud.tencent.com/doc/api/245/1441" title="查询网络ACL">网络ACL相关接口</a>。|
| data.n.vpcDevices | Int | 子网内云主机个数。|
| data.n.totalIPNum | Int | 子网内IP数总量。|
| data.n.availableIPNum | Int | 子网内可分配IP总数。|
| data.n.broadcast | Bool | 是否开通广播，true:开通了;false:没有开通。|
| data.n.isDefault | Bool | 是否是默认vpc。 |

## 4. 错误码表
以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见<a href="https://cloud.tencent.com/doc/api/245/4924" title="VPC错误码">VPC错误码</a>。
 
| 错误码 | 描述 |
|---------|---------|
| InvalidVpc.NotFound | 无效的VPC。VPC资源不存在，请再次核实您输入的资源信息是否正确，可通过<a href="http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%E5%88%97%E8%A1%A8" title="DescribeVpcEx">DescribeVpcEx</a>接口查询VPC。 |
| InvalidSubnet.NotFound | 无效的子网。子网资源不存在，请再次核实您输入的资源信息是否正确，可通过<a href="http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E5%AD%90%E7%BD%91%E5%88%97%E8%A1%A8" title="DescribeSubnetEx">DescribeSubnetEx</a>接口查询子网。 |

## 5. 示例
 
输入
<pre>
  https://vpc.api.qcloud.com/v2/index.php?Action=DescribeSubnetEx
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
  &subnetName=tttt
</pre>

输出

```
{
    "code": 0,
    "message": "",
    "totalCount": 1,
    "data": [
        {
            "vpcId": "gz_vpc_64",
            "unVpcId": "vpc-kd7d06of",
            "vpcName": "panpan-vpc1",
            "vpcCidrBlock": "10.0.0.0\/16",
            "subnetId": "gz_subnet_18748",
            "unSubnetId": "subnet-3lzrkspo",
            "subnetName": "tttt",
            "subnetCreateTime": "2015-11-13 12:06:26",
            "routeTableId": "gz_rtb_359",
            "unRouteTableId": "rtb-85alck92",
            "routeTableName": "222",
            "cidrBlock": "10.0.200.0\/24",
            "zoneId": 800001,
            "zone": "ap-guangzhou-2",
            "vpcDevices": 0,
            "networkAclId": 0,
            "totalIPNum": 253,
            "availableIPNum": 253,
            "broadcast":false
        }
    ]
}
```

