## 1. 接口描述
 本接口(CheckDefaultSubnet)用于预判默认子网是否可建。
接口请求域名：<font style="color:red">vpc.api.qcloud.com</font>

目前仅支持预判默认子网是否可建，不关注网络的时候，购买云资源需要先判断可用区内默认子网是否可以创建。
 

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为CheckDefaultSubnet。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| zoneId | 否 | String | 子网所在的可用区ID，不同子网选择不同可用区可以做跨可用区灾备，取值详见<a href="https://cloud.tencent.com/doc/product/215/4927#.E5.8F.AF.E7.94.A8.E5.8C.BA.EF.BC.88zone.EF.BC.89">VPC可用区说明</a>。 |
 

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| data.checkResult | bool | 是否可以创建。|
 
  ## 4. 错误码表
  以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见<a href="https://cloud.tencent.com/doc/api/245/4924" title="VPC错误码">VPC错误码</a>。
 
| 错误码 | 描述 |
|---------|---------|
| InvalidSubnet.CreateError | 可用区内无网段用来创建默认子网。 |

## 5. 示例
 
输入
<pre>
  https://vpc.api.qcloud.com/v2/index.php?Action=CheckDefaultSubnet
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
  &zoneId=100003
</pre>

输出
```
{
    "code": 0,
    "message": "",
    "data":{
      "checkResult":true
    }
}

```

