VPC error codes are divided into three types:

- Tencent Cloud API common error codes, such as "Authentication failed", "Incorrect request input parameters", and "Request expired". For more information, refer to the introduction to <a href="https://cloud.tencent.com/doc/api/245/4781" title="Common Error Codes">common error codes.</a>
- Client error codes. This type of errors is caused by users, such as the input parameter entered by the user is incorrect, the resources requested by the user exceed the upper limit, and the resource that the user intends to delete does not exist. For additional error codes, refer to the API error code description for each product.
- Server error codes. This type of errors is backend server errors, such as API timeout, and internal error. Such errors rarely occur. If they do, please contact the online customer service.

## 1. Common Client Error Codes

| Error Code | Description |
|---------|---------|
| InvalidVpc.NotFound | Invalid VPC. The VPC resource does not exist.  |

## 2. Service Error Codes

| Error Code | Description |
|---------|---------|
| ServiceUnavailable | The service is unavailable. Please contact customer service.  |
| ActionLocked | The resource is being operated. Please wait until this operation is complete. |

