## 1. 接口描述
 
本接口(DescribeServiceGroups)用于查询(网络)参数模板协议端口组列表。
接口请求域名：<font style="color:red">vpc.api.qcloud.com</font>
 

## 2. 输入参数
 
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见公共请求参数页面。其中，此接口的 Action 字段为 DescribeServiceGroups。
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> serviceGroupId <td> 否 <td> String <td> 协议端口组 ID，支持模糊搜索。
<tr>
<td> serviceGroupName <td> 否 <td> String <td> 协议端口组名称，支持模糊搜索。
<tr>
<td> offset <td> 否 <td> int <td> 初始行的偏移量，默认为 0。
<tr>
<td> limit <td> 否 <td> int <td> 每页行数，默认为 20。
</tbody></table>

>**注意：**serviceGroupId 和 serviceGroupName 作为查询条件为逻辑与关系。

## 3. 输出参数
 

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 数字错误码, 0表示成功，其他值表示失败。详见错误码页面的 <a href='https://cloud.tencent.com/document/api/215/4781' title='公共错误码'>公共错误码</a>。|
| message |   String | 错误信息。 |
| codeDesc |   String | 英文错误码。 |
| data |   Object |返回的数据结构。 |

data 结构

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| data.totalCount |   Int | 返回的协议端口组总数。 |
| data.data |   Array | 协议端口组详情列表。|

data.data 结构
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> data.data.n.serviceGroupId <td> String <td> 协议端口组ID
<tr>
<td> data.data.n.serviceGroupName <td> String <td> 协议端口组名称
<tr>
<td> data.data.n.serviceGroup <td> Array <td> 协议端口组成员
<tr>
<td> data.data.n.createTime <td> String <td> 创建时间
</tbody></table>

data.data.n.serviceGroup 结构
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> data.data.n.serviceGroup.n <td> String <td> 协议端口组成员
</tbody></table>

 ## 4. 错误码表
 <table class="t"><tbody><tr>
<th><b>错误码数值</b></th>
<th><b>原因</b></th>
<tr>
<td> 29257 <td> 后台错误，请求失败。
<tr>
<td> 29258 <td> 引用资源不存在。
<tr>
<td> 29259 <td> 关联对象因规则展开过大拒绝您的关联。
<tr>
<td> 29260 <td> 参数模板总数或成员数使用超限。
<tr>
<td> 29254 <td> 鉴权失败。
<tr>
<td> 9003 <td> 参数错误。
<tr>
<td> 9005 <td> 系统忙或有相关资源正在被编辑。
</tbody></table>


## 5. 示例
 
输入
<pre>

  https://vpc.api.qcloud.com/v2/index.php?Action=DescribeServiceGroups
  &<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
  &serviceGroupName=a

</pre>

输出
```
{
    "code": 0,
    "message": "",
	"codeDesc": "Success",
    "data": {
        "totalCount": 1,
        "data": [
            {
                "serviceGroupId": "ppmg-6piqsucc",
                "serviceGroupName": "aaaa",
                "serviceGroup": [
                    {
                        "serviceId": "ppm-fa2766v5",
                        "serviceName": "test"
                    }
                ],
                "createTime": "2017-07-11 14:58:11"
            }
        ]
    }
}
```

