## 1. 接口描述
 DescribeForwardLBBackends 接口用来查询负载均后端绑定的机器列表。
 
接口访问域名：lb.api.qcloud.com

## 2. 请求参数
   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 DescribeForwardLBBackends。

|参数名称|必选|类型|描述|	 
|-|-|-|-|
|loadBalancerId|是|String|负载均衡实例统一ID，即 unLoadBalancerId，可通过DescribeLoadBalancers接口同时入参forward字段为1或者-1来查询。|
|listenerIds.n|否|String|应用型负载均衡监听器ID，可通过 DescribeForwardLBListeners 接口查询。|
|protocol|否|Int|监听器协议类型1:HTTP，4:HTTPS。|
|loadBalancerPort|否|Int|负载均衡监听器端口。|

## 3. 返回参数
 
 
|参数名称|类型|描述|
|-------|---|---------------|
|code|Int|公共错误码, 0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/doc/api/244/1530)。|
|message|String|模块错误信息描述，与接口相关。|
|codeDesc|String|英文错误码，成功返回 Success，失败有相应的英文说明。|
|data|Array|返回的数组。|

**data数组结构：**

|参数名称|类型|描述|
|-------|---|---------------|
|listenerId|String|监听器ID。|
|protocol|Int|监听器的协议。|
|protocolType|String|监听器的协议。例如 http。|
|loadBalancerPort|Int|监听器的监听端口。|
|rules|Array|七层监听器下的转发规则组。|

**rules 数组结构：**

|参数名称|类型|描述|
|-------|---|---------------|
|locationId|String|转发规则的ID。|
|domain|String|转发规则的域名。|
|url|String|转发规则的路径。|
|backends|Array|后端云服务器的信息。|

**backends 数组结构：**

|参数名称|类型|描述|
|-------|---|---------------|
|lanIp|String|云服务器的内网ip。|
|wanIpSet|Array|云服务器的外网IP。|
|port|Int|云服务器的服务端口。|
|weight|Int|云服务器的权重。|
|instanceStatus|Int|云服务器的状态。|
|unInstanceId|String|云服务器的id。|
|instanceName|String|云服务器的名称。|
|addTimestamp|String|云服务器绑定的时间。|





## 4. 示例

输入：
```
https://lb.api.qcloud.com/v2/index.php?Action=DescribeForwardLBBackends
&<公共请求参数>
&loadBalancerId=lb-abcdefgh
```
输出：
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": [
        {
            "loadBalancerPort": 80,
            "protocol": 1,
            "protocolType": "http",
            "listenerId": "lbl-fh7o7bgt",
            "rules": [
                {
                    "locationId": "loc-7w5sp6wf",
                    "backends": [
                        {
                            "instanceName": "拨测机器，请勿删除",
                            "lanIp": "10.212.199.17",
                            "wanIpSet": [
                                "45.113.71.7"
                            ],
                            "instanceStatus": 0,
                            "port": 80,
                            "weight": 10,
                            "unInstanceId": "ins-42lrdi7x",
                            "addTimestamp": "2016-11-03 11:21:38"
                        },
                        {
                            "instanceName": "拨测机器，请勿删除",
                            "lanIp": "10.212.199.17",
                            "wanIpSet": [
                                "45.113.71.7"
                            ],
                            "instanceStatus": 0,
                            "port": 443,
                            "weight": 10,
                            "unInstanceId": "ins-42lrdi7x",
                            "addTimestamp": "2016-11-03 11:21:38"
                        }
                    ],
                    "domain": "www.baidu.com",
                    "url": "/second"
                },
                {
                    "locationId": "loc-3n8v5v5b",
                    "backends": [
                        {
                            "instanceName": "拨测机器，请勿删除",
                            "lanIp": "10.212.199.17",
                            "wanIpSet": [
                                "45.113.71.7"
                            ],
                            "instanceStatus": 0,
                            "port": 80,
                            "weight": 10,
                            "unInstanceId": "ins-42lrdi7x",
                            "addTimestamp": "2016-11-03 11:21:38"
                        },
                        {
                            "instanceName": "拨测机器，请勿删除",
                            "lanIp": "10.212.199.17",
                            "wanIpSet": [
                                "45.113.71.7"
                            ],
                            "instanceStatus": 0,
                            "port": 443,
                            "weight": 10,
                            "unInstanceId": "ins-42lrdi7x",
                            "addTimestamp": "2016-11-03 11:21:38"
                        }
                    ],
                    "domain": "www.baidu.com",
                    "url": "/first"
                }
            ]
        }
    ]
}
```