## 1. 接口描述
 RegisterInstancesWithForwardLBFourthListener 接口用来绑定一台或多台云服务器到转发型负载均衡四层监听器上。
 
接口访问域名：lb.api.qcloud.com


## 2. 请求参数
 
   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 RegisterInstancesWithForwardLBFourthListener。

|参数名称|必选|类型|描述|
|-|-|-|-|
|loadBalancerId|是|String|负载均衡实例ID，可使用loadBalancerId 或 unLoadBalancerId，推荐使用unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口查询。|
|listenerId|是|String|负载均衡监听器ID，可使用listenerId 或 unListenerId，推荐使用unListenerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E8%8E%B7%E5%8F%96%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E7%9B%91%E5%90%AC%E5%99%A8%E5%88%97%E8%A1%A8" title=" DescribeLoadBalancerListeners"> DescribeLoadBalancerListeners</a>接口查询。|
|locationId|否|String|指定的转发规则的ID。如果不指定，则从整个监听器上解绑机器。|
|backends.n.instanceId|是|String|云服务器的唯一ID，可通过<a href="http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E7%9C%8B%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeInstances">DescribeInstances</a>接口返回字段中的 unInstanceId 字段获取；<br>此接口支持同时输入多台主机的实例ID( 如：要输入两台主机，则设置 backends.1.instanceId&backends.2.instanceId)。|
|backends.n.port|是|Int|负载均衡实例监听器后端云服务器监听端口，可选值：1~65535。|
|backends.n.weight|否|Int|云服务器的权重，取值范围 0-100，默认为 10。|

## 3. 返回参数
|参数名称|类型|描述|
|-------|---|---------------|
|code|Int|公共错误码, 0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/doc/api/244/1530)。|
|message|String|模块错误信息描述，与接口相关。|
|codeDesc|String|英文错误码，成功返回 Success，失败有相应的英文说明。|
|requestId|Int|请求任务ID，可根据[DescribeLoadBalancersTaskResult](/doc/api/244/4007)接口查询操作状态。|

 

## 4. 示例
 
输入
```
https://lb.api.qcloud.com/v2/index.php?Action=RegisterInstancesWithForwardLBFourthListener
&<公共请求参数>
&loadBalancerId=lb-abcdefgh
&listenerId=lbl-abcdefgh
&backends.1.instanceId=ins-1234test
&backends.1.port=80
&backends.1.weight=10
&backends.1.locationId=10
&backends.2.instanceId=ins-5678test
&backends.2.weight=6
```
输出
```
{
  "code" : 0,
  "message" : "",
  "codeDesc": "Success",
  "requestId" : 1234
}
```

