## 1. 接口描述
 DescribeForwardLBHealthStatus 接口用来查询应用型负载均衡实例的健康检查结果。
 
接口访问域名：lb.api.qcloud.com

## 2. 请求参数
   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 DescribeForwardLBHealthStatus。

|参数名称|必选|类型|描述|	 
|-|-|-|-|
|loadBalancerIds.n|是|String|应用型负载均衡实例统一ID，即 unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口同时入参forward字段为1或者-1来查询，本接口限制负载均衡的个数不超过30。|

 
## 3. 返回参数
 
 
|参数名称|类型|描述|
|-------|---|---------------|
|code|Int|公共错误码, 0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/doc/api/244/1530)。|
|message|String|模块错误信息描述，与接口相关。|
|codeDesc|String|英文错误码，成功返回 Success，失败有相应的英文说明。|
|data|Array|返回的数组。|

**data数组结构：**

|参数名称|类型|描述|
|-------|---|---------------|
|loadBalancerName|String|负载均衡的名称。|
|unLoadBalancerId|String|负载均衡的统一ID。|
|listener|Array|监听器数组。|

**listener数组结构：**

|参数名称|类型|描述|
|-------|---|---------------|
|listenerId|String|应用型负载均衡监听器ID。|
|protocol|Int|应用型负载均衡监听器的协议类型。1:HTTP协议，4:HTTPS协议。|
|loadBalancerPort|Int|应用型负载均衡监听器的监听端口。|
|listenerName|String|应用型负载均衡监听器的名字。|
|rules|Array|应用型负载均衡监听器下的转发规则组。|

**rules 数组结构：**

|参数名称|类型|描述|
|-------|---|---------------|
|locationId|String|应用型负载均衡监听器的转发规则ID。|
|domain|String|应用型负载均衡监听器的转发规则域名。|
|url|String|应用型负载均衡监听器的转发规则路径。|
|backends|Array|后端云服务器数组。|

**backends 数组结构：**

|参数名称|类型|描述|
|-------|---|---------------|
|ip|String|云服务器的内网ip。|
|port|Int|云服务器的服务端口。|
|healthStatus|Int|健康检查结果，1:健康，0:不健康|


## 4. 示例

输入：
```
https://lb.api.qcloud.com/v2/index.php?Action=DescribeForwardLBHealthStatus
&<公共请求参数>
&loadBalanceIds.0=lb-6efswuxa
```
输出：
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": [
        {
            "loadBalancerName": "123",
            "unLoadBalancerId": "lb-6efswuxa",
            "listener": [
                {
                    "listenerId": "lbl-fh7o7b9o",
                    "listenerName": "lna",
                    "protocol": 1,
                    "loadBalancerPort": 9090,
                    "rules": [
                        {
                            "locationId": "loc-3n8v5uy6",
                            "domain": "*.alibaba.com",
                            "url": "/second",
                            "backends": [
                                {
                                    "ip": "172.17.8.4",
                                    "port": 80,
                                    "healthStatus": 1
                                }
                            ]
                        },
                        {
                            "locationId": "loc-7h3nl8dc",
                            "domain": "*.alibaba.com",
                            "url": "/first",
                            "backends": [
                                {
                                    "ip": "172.17.8.4",
                                    "port": 80,
                                    "healthStatus": 1
                                }
                            ]
                        },
                        {
                            "locationId": "loc-3mkbad8s",
                            "domain": "~^.baidu.com",
                            "url": "/second",
                            "backends": [
                                {
                                    "ip": "172.17.8.4",
                                    "port": 80,
                                    "healthStatus": 1
                                }
                            ]
                        },
                        {
                            "locationId": "loc-pt6nsy2q",
                            "domain": "~^.domain.edu.cn$",
                            "url": "/1234&#",
                            "backends": [
                                {
                                    "ip": "172.17.8.4",
                                    "port": 80,
                                    "healthStatus": 1
                                }
                            ]
                        },
                        {
                            "locationId": "loc-h3wu30tc",
                            "domain": ".emaoe.com",
                            "url": "/1234&#",
                            "backends": [
                                {
                                    "ip": "172.17.8.4",
                                    "port": 80,
                                    "healthStatus": 1
                                }
                            ]
                        },
                        {
                            "locationId": "loc-78ifmow4",
                            "domain": ".example.com",
                            "url": "/1234&#",
                            "backends": [
                                {
                                    "ip": "172.17.8.4",
                                    "port": 80,
                                    "healthStatus": 1
                                }
                            ]
                        },
                    ]
                }
            ]
        }
    ]
}
```

