## 1. 接口描述
 CreateForwardLBFourthLayerListeners 接口提供了创建负载均衡四层监听器功能。负载均衡四层监听器提供了转发用户请求的具体规则，包括端口、协议、会话保持、健康检查等参数。
 
接口访问域名：lb.api.qcloud.com
 
监听器的配置规则如下：

转发型负载均衡监听器的使用限制：
1) 在同一个负载均衡中，一个负载均衡端口只能对应一种协议；
2) 支持TCP、UDP监听协议;

## 2. 请求参数
   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 CreateForwardLBFourthLayerListeners。


|参数名称|必选|类型|描述|
|-----------|--------|----------|----------|
|loadBalancerId|是|String|负载均衡实例ID，可使用loadBalancerId 或 unLoadBalancerId，推荐使用unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口查询。|
|listeners.n.loadBalancerPort|是|Int|负载均衡监听器的监听接口，可选值1~65535。listeners为数组，可以创建多个监听器，n为下标。|
|listeners.n.protocol|是|Int|负载均衡实例监听器协议类型 2:TCP，3:UDP。|
|listeners.n.forwardMode|否|String|负载均衡监听器转发方式。|
|listeners.n.listenerName|否|String|负载均衡监听器的监听名称。|
|listeners.n.sessionExpire|否|Int|负载均衡监听器的会话保持时间，单位: 秒。可选值30-3600,默认 0，表示不开启。|
|listeners.n.healthSwitch|否|Int|负载均衡实例监听器是否开启健康检查：1（开启）、0（关闭）。默认值1，表示打开。|
|listeners.n.timeOut|否|Int|负载均衡监听器健康检查的响应超时时间，可选值:2-60，默认值:2，单位:秒。响应超时时间要小于检查间隔时间。|
|listeners.n.intervalTime|否|Int|负载均衡监听器检查间隔时间，默认值:5，可选值:5-300，单位:秒。|
|listeners.n.healthNum|否|Int|负载均衡监听器健康阀值，默认值:3，表示当连续探测三次健康则表示该转发正常，可选值:2-10，单位：次。|
|listeners.n.unhealthNum|否|Int|负载均衡监听器不健康阀值，默认值:3，表示当连续探测三次健康则表示该转发正常，可选值:2-10，单位：次。|



## 3. 返回参数
 
 
|参数名称|类型|描述|
|-------|---|---------------|
|code|Int|公共错误码, 0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/doc/api/244/1530)。|
|message|String|模块错误信息描述，与接口相关。|
|codeDesc|String|英文错误码，成功返回 Success，失败有相应的英文说明。|
|requestId|Int|请求任务ID，可根据[DescribeLoadBalancersTaskResult](/doc/api/244/4007)接口查询操作状态。|


## 4. 示例
 
输入
```
https://lb.api.qcloud.com/v2/index.php?Action=CreateForwardLBFourthLayerListeners
&<公共请求参数>
&loadBalancerId=lb-abcdefgh
&listeners.1.loadBalancerPort=443
&listeners.1.protocol=2
&listeners.1.listenerName=2
```
输出
```
{
  "code" : 0,
  "message" : "",
  "codeDesc": "Success",
  "requestId" : 123
}
```


