## 1. 接口描述
 ModifyLoadBalancerRulesProbe 接口用来修改应用型负载均衡七层监听器转发规则的健康检查及转发路径。
 
接口访问域名：lb.api.qcloud.com


## 2. 请求参数

   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 ModifyLoadBalancerRulesProbe。
 
|参数名称|必选|类型|描述|
|-----|------|--------|-----------|
|loadBalancerId|是|String|负载均衡实例统一ID，即 unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口同时入参forward字段为1或者-1来查询。|
|listenerId|是|String|应用型负载均衡监听器ID，可通过 DescribeForwardLBListeners 接口查询。|
|locationId|是|String|应用型负载均衡监听器转发规则ID。可通过 DescribeForwardLBListeners 接口查询。|
|url|否|String|应用型负载均衡监听器转发规则的路径，长度限制为1-80，使用格式有两种:无修饰符格式,有修饰符格式。修饰符可以使用的有：~、 ~\* 、 ^~ 、 = 。其中 ~ 表示接下来的表达式为大小写敏感的正则表达式，~* 修饰符表示大小写不敏感的正则表达式。^~ 修饰符表示如果该表达式被认定为最佳匹配，那么不再进行以下的搜索匹配。=表示精确匹配，只有请求与该表达式完全相同才满足该转发。非正则表达式可用的字符包括字母、数字、'_'、'.'、'-'、'？'、'='、'/'。|
|sessionExpire|否|Int|应用型负载均衡监听器转发规则的会话保持时间，0 表示关闭，可选值:30-3600。|
|healthSwitch|否|Int|应用型负载均衡监听器转发规则的健康检查，1:开启，0:关闭。|
|intervalTime|否|Int|应用型负载均衡监听器转发规则的检查间隔，可选值:5-300。|
|healthNum|否|Int|应用型负载均衡监听器转发规则的健康阀值，可选值:2-10。|
|unhealthNum|否|Int|应用型负载均衡监听器转发规则的不健康阀值，可选值:2-10。|
|httpHash|否|Int|应用型负载均衡监听器转发规则的转发方式，可选值:wrr、ip_hash、least_conn。|
|httpCode|否|Int|应用型负载均衡监听器转发规则的健康状态码。可选值:1~31，默认31。<br>1表示探测后返回值1xx表示健康，2表示返回2xx表示健康，4表示返回3xx表示健康，8表示返回4xx表示健康，16表示返回5xx表示健康。若希望多种码都表示健康，则将相应的值相加。|
|httpCheckPath|否|String|应用型负载均衡监听器转发规则的探测路径，默认/，必须以/开头。长度限制为1-80，支持字符集：'a-z'、'0-9'、'_'、'.'、'-'、'？'、'='、'/'。|
|httpCheckMethod|否|String|HTTP请求方式，分为'HEAD'、'GET'两种方式。|
|httpCheckDomain|否|String|健康检查域名，为标准域名，支持字符集：'a-z'、'0-9'、'_'、'.'、'-'。|


## 3. 返回参数
 
 
|参数名称|类型|描述|
|-------|---|---------------|
|code|Int|公共错误码, 0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/doc/api/244/1530)。|
|message|String|模块错误信息描述，与接口相关。|
|codeDesc|String|英文错误码，成功返回 Success，失败有相应的英文说明。|
|requestId|Int|请求任务ID，可根据[DescribeLoadBalancersTaskResult](/doc/api/244/4007)接口查询操作状态。|

## 4. 示例
 
输入
```
https://lb.api.qcloud.com/v2/index.php?Action=ModifyLoadBalancerRulesProbe
&<公共请求参数>
&loadBalancerId=lb-6efswuxa
&listenerId=lbl-20cxbf40
&locationId=loc-mpoupana
&url=/zero
```
输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "requestId": 28078
}
```


