## 1. 接口描述
 CreateForwardLBListenerRules 接口提供了创建应用型负载均衡七层监听器转发规则的能力。
 
接口访问域名：lb.api.qcloud.com
 
## 2. 请求参数
   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 CreateForwardLBListenerRules。


|参数名称|必选|类型|描述|
|-----------|--------|----------|----------|
|loadBalancerId|是|String|负载均衡实例统一ID，即 unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口同时入参forward字段为1或者-1来查询。|
|listenerId|是|String|应用型负载均衡监听器ID，可通过 DescribeForwardLBListeners 接口查询。|
|rules.n.domain|是|String|应用型负载均衡监听器转发规则的域名。长度限制为1-80。有三种使用格式：非正则表达式格式，通配符格式，正则表达式格式。非正则表达式格式只能使用字母、数字、‘-’、‘.’。通配符格式的使用 ‘*’ 只能在开头或者结尾。正则表达式以'~'开头，支持nginx原生的正则表达式。|
|rules.n.url|是|String|应用型负载均衡监听器转发规则的路径。长度限制为1-80。使用格式有两种:无修饰符格式,有修饰符格式。修饰符可以使用的有：~、 ~\* 、 ^~ 、 = 其中 ~表示接下来的表达式为大小写敏感的正则表达式，~*修饰符表示大小写不敏感的正则表达式。^~ 修饰符表示如果该表达式被认定为最佳匹配，那么不再进行以下的搜索匹配。=表示精确匹配，只有请求与该表达式完全相同才满足该转发。非正则表达式可用的字符包括字母、数字、‘_’、‘-’、‘.’、‘=’、‘？’、‘/’。|
|rules.n.sessionExpire|否|Int|应用型负载均衡监听器转发规则的会话保持时间，0 表示关闭，可选值:30-3600。|
|rules.n.healthSwitch|否|Int|应用型负载均衡监听器转发规则健康检查，1:开启、0:关闭。默认值:1，表示打开。|
|rules.n.intervalTime|否|Int|应用型负载均衡监听器转发规则健康检查的检查间隔时间，默认值:5，可选值:5-300，单位:秒。|
|rules.n.healthNum|否|Int|应用型负载均衡监听器转发规则健康阀值，默认值:3，表示当连续探测三次健康则表示该转发正常，可选值:2-10，单位:次。|
|rules.n.unhealthNum|否|Int|应用型负载均衡监听器转发规则不健康阀值，默认值:3，表示当连续探测三次不健康则表示该转发不正常，可选值:2-10，单位:次。|
|rules.n.httpHash|否|Int|应用型负载均衡监听器转发规则的转发方式。可选值:wrr、ip_hash，least_conn<br>分别表示按权重轮询、根据源IP进行哈希到后端机器，最小连接数的调度方式 默认为wrr。|
|rules.n.httpCode|否|Int|应用型负载均衡监听器转发规则的健康状态码。可选值:1~31，默认31。<br>1表示探测后返回值1xx表示健康，2表示返回2xx表示健康，4表示返回3xx表示健康，8表示返回4xx表示健康，16表示返回5xx表示健康。若希望多种码都表示健康，则将相应的值相加。|
|rules.n.httpCheckPath|否|String|应用型负载均衡监听器转发规则的探测路径，默认/，必须以/开头。长度限制为1-80，可用的字符包括字母、数字、‘_’、‘-’、‘.’、‘=’、‘？’、‘/’。|



## 3. 返回参数

|参数名称|类型|描述|
|-------|---|---------------|
|code|Int|公共错误码, 0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/doc/api/244/1530)。|
|message|String|模块错误信息描述，与接口相关。|
|codeDesc|String|英文错误码，成功返回 Success，失败有相应的英文说明。|
|requestId|Int|请求任务ID，可根据[DescribeLoadBalancersTaskResult](/doc/api/244/4007)接口查询操作状态。|


## 4. 示例
 
输入
```
https://lb.api.qcloud.com/v2/index.php?Action=CreateForwardLBListenerRules
&<公共请求参数>
&loadBalancerId=lb-6efswuxa
&listenerId=lbl-20cxbf40
&rules.0.domain=www.tencent.com
&rules.0.url=fourth
&rules.0.sessionExpire=211
&rules.0.healthSwitch=0
&rules.0.httpHash=ip_hash
&rules.1.domain=www.ali.com
&rules.1.url=/second
&rules.1.sessionExpire=321
&rules.1.healthSwitch=1
&rules.1.httpHash=ip_hash

```
输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "requestId": 28182
}
```


