## 1. 接口描述
域名:lb.api.qcloud.com
接口名:DescribeRewrite

查询监听器规则的重定向关系

## 2. 输入参数
| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| loadBalancerIds | 否 | 数组 | 负载均衡唯一ID|
| listenerIds | 否 | 数组 | 监听器唯一ID|
| locationIds | 否 | 数组 | 转发规则唯一ID|

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值: 失败|
| message | String | 错误信息|
| codeDesc | String |业务侧错误码。成功时返回Success，错误时返回具体业务错误原因。|
| data | Array |输出结果，包含查询到的所有定时任务列表信息。|

其中，data参数的构成如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| RewriteSet | Array | 转发规则重定向关系集合|

RewriteSet的每个元素有如下字段： 

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| uListenerId | String | 重定向源监听器唯一Id|
| uLocationId | String | 重定向源转发规则唯一Id|
| targetuListenerId | String | 重定向目标监听器唯一Id|
| targetuLocationId | String | 重定向目标转发规则唯一Id|


## 4. 示例
输入
```
https://lb.api.qcloud.com/v2/index.php?Action=DescribeRewrite
&<公共请求参数>
&loadBalancerIds.0=lb-6efswuxa
&listenerIds.0=lbl-20cxbf40
&locationIds.0=loc-sdadasmd
```
输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "RewriteSet": [
            {
                "uListenerId": "lbl-jb2kkehy",
                "uLocationId": "loc-n68ar3hi",
                "domain": "clue.cn",
                "url": "/",
                "httpGzip": true,
                "httpHash": "wrr",
                "keep_time": 900,
                "targetuListenerId": "lbl-jb2kkehy",
                "targetuLocationId": "loc-9wo2gh66",
                "bAutoCreated": 0,
                "health": {
                    "healthNum": 3,
                    "httpCheckPath": "/",
                    "httpCode": 31,
                    "intervalTime": 5,
                    "switch": 1,
                    "timeOut": 2,
                    "unhealthNum": 3
                }
            }
        ]
    }
}
```

