欢迎使用腾讯云负载均衡服务(*Cloud Load Balancer*)。负载均衡服务通过设置虚拟服务地址（*VIP*）, 将来自客户端的请求按照指定方式分发到同地域与其关联的多台后端[云服务器](https://cloud.tencent.com/document/product/439/6328)中。

负载均衡将与其绑定的多台云服务器虚拟成一个可用的云服务池，负载均衡服务会检查云服务池中云服务器的健康状态，自动隔离状态异常的云服务器，从而解决了单台云服务器的单点问题，同时提高了应用的整体服务能力。同时当服务遭遇*DDOS*攻击时，负载均衡能抵挡300*Gb*以上的峰值流量。

腾讯云负载均衡服务是对于多台机器同时服务的一种解决方案，需要结合云服务器使用。**本文档提供的API供您使用来操作负载均衡实例。请确保在使用这些接口前，已充分了解负载均衡[产品说明](/doc/product/214/524)和[使用方式](https://cloud.tencent.com/doc/product/214/%E9%80%89%E6%8B%A9%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%9C%B0%E5%9F%9F) **。


## 1. 术语表

| 术语 |  全称  | 中文名称 | 说明 |
|---------|---------|---------|
| *CLB* | *Cloud LoadBalancer*  | 负载均衡 | 负载均衡服务是通过设置虚拟服务地址(*VIP*), 将来自客户端的请求按照指定的方式分发到与其关联的云服务器中，自动隔离状态异常的云服务器，解决单台机器的单点问题和大量并发访问服务问题。 |
| *Listener* | *LoadBalancer Listener* | 负载均衡监听器 | 负载均衡监听器，提供给用户自定义的监听端口、请求转发策略和健康检查配置等。|
| *backend* | *backend server* | 后端云服务器 | 负载均衡实例将请求发到后端云服务器，由这组云服务器提供真正的服务。 |
| *VIP* | *Virtual IP* | 虚拟服务地址 | 负载均衡实例对外提供服务的虚拟地址。 |

## 2. 使用方式
通过API使用负载均衡服务前，首先确保在您的一台或者多台云服务器上开启了某个端口的服务，例如开启了TCP协议的80端口服务，接下来您需要依次完成以下三个步骤：
1. 购买负载均衡实例
您可以使用[购买负载均衡实例](/doc/api/244/1254)接口来创建一个负载均衡实例，获取该负载均衡实例的唯一ID。
2. 创建负载均衡监听器
购买完负载均衡实例之后，您需要使用[创建负载均衡监听器](/doc/api/244/1255)接口来创建监听某种协议某个端口的监听器，例如创建一个TCP协议，监听端口80，后端端口80的一个监听器。
3. 绑定后端云服务器到负载均衡实例上
最后将部署了服务的云服务器通过接口[绑定后端服务器到负载均衡](/doc/api/244/1265) 绑定到刚购买的负载均衡实例上。

经过以上三个步骤，您就可以通过访问负载均衡实例的VIP和端口来访问您云服务器上部署的服务了。

在本文档的接口说明部分，凡出现任何参数可选范围等方面与腾讯云官网上给出的数值发生矛盾时，**均以官网上给出的值为准**。