## 1. 接口描述
 DescribeLBHealthStatus 接口用来查询负载均衡实例的默认健康检查相关参数。
 
接口访问域名：lb.api.qcloud.com

## 2. 请求参数
   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 DescribeLBHealthStatus。
	 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerId
<td>是
<td> String
<td> 负载均衡实例ID，可使用loadBalancerId 或 unLoadBalancerId，推荐使用unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口查询。
<tr>
<td> listenerId
<td> 否
<td> String
<td> 负载均衡监听器ID, 可通过<a href="https://cloud.tencent.com/doc/api/244/%E8%8E%B7%E5%8F%96%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E7%9B%91%E5%90%AC%E5%99%A8%E5%88%97%E8%A1%A8" title=" DescribeLoadBalancerListeners"> DescribeLoadBalancerListeners</a> 接口查询。
</tbody></table>
 

## 3. 返回参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/244/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。
<tr>
<td> message
<td> String
<td>  模块错误信息描述，与接口相关。
<tr>
<td> codeDesc
<td> String
<td>  英文错误码，成功返回 Success，失败有相应的英文说明。
<tr>
<td> data
<td> Array
<td> 返回的数组。
</tbody></table>

**Data数组结构：**

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> ip
<td> String
<td> 云服务器内网IP。
<tr>
<td> protocol
<td> String
<td> 协议。
<tr>
<td> port
<td> Int
<td> 云服务器端口。
<tr>
<td> vport
<td> Int
<td> 负载均衡监听端口。
<tr>
<td> healthStatus
<td> Int
<td> 健康检查结果，1：健康，0：不健康，-1：探测目标不完整。
</tbody></table>
 

## 4. 示例

输入：
<pre>
https://lb.api.qcloud.com/v2/index.php?Action=DescribeLBHealthStatus
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&loadBalanceId=lb-abcdefgh
</pre>
输出：
```
{
  "code":0,
  "message" : "",
  "codeDesc": "Success",
  "data":[
	     {
			"ip":"10.2.3.0",
			"protocol":"TCP",
			"port":8001,
			"vport":8001,
			"healthStatus":0
	     }
	]
}
```

