## 1. 接口描述
域名:lb.api.qcloud.com
接口名:DescribeBmLBHealthStatus

查询黑石负载均衡健康状态

## 2. 输入参数
| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| loadBalanceId | 是 | String | 负载均衡资源ID|
| listenerId | 否 | String | 监听器ID|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值: 失败|
| message | String | 错误信息|
| ip | String | 服务器IP地址| 
| protocol | String | 协议 | 
| port | Int | 服务器端口| 
| vport | Int | 负载均衡端口| 
| healthStatus | Int | 健康检查结果，1：健康，0：不健康，-1：探测目标不完整| 


## 4. 示例
输入
<pre>
https://lb.api.qcloud.com/v2/index.php?Action=DescribeBmLBHealthStatus
&loadBalanceId=lb-5xunivs0
&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>
输出
```
{
    "code":"0",
    "message":"",
    "data":{
        "lb-5xunivs0":[
            {
                "ip":"10.6.100.131",
                "protocol":"tcp",
                "port":"80",
                "vport":"80",
                "healthStatus":"0"
            },
            {
                "ip":"10.6.100.132",
                "protocol":"tcp",
                "port":"80",
                "vport":"80",
                "healthStatus":"0"
            }
        ]
    }
}
```

