## 1. 接口描述
 ModifyLoadBalancerAttributes 接口可以根据您的输入参数来修改负载均衡实例的基本配置信息。可能的信息包括负载均衡实例的名称，域名前缀，以及会话保持功能(目前会话保持属性已经属于监听器，此处的修改会覆盖全部监听器的会话保持属性)。
 
接口访问域名：lb.api.qcloud.com

## 2. 请求参数
 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 ModifyLoadBalancerAttributes。
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerId
<td> 是
<td> String
<td> 负载均衡实例唯一ID，可使用loadBalancerId 或 unLoadBalancerId，推荐使用unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口查询。(此ID是非应用型LB ID)
<tr>
<td> loadBalancerName
<td> 否
<td> String
<td> 负载均衡实例名称，规则：1-20个英文、汉字、数字、连接线“-”或下划线“_”。
<tr>
<td> domainPrefix
<td> 否
<td> String
<td> 域名前缀，负载均衡实例的域名由用户输入的域名前缀与配置文件中的域名后缀一起组合而成，保证是唯一的域名。<br>规则：1-20个小写英文字母、数字或连接线“-”。<br>内网类型的负载均衡实例不能配置该字段。
</tbody></table>

 

## 3. 返回参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/244/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。
<tr>
<td> message
<td> String
<td> 模块错误信息描述，与接口相关。
<tr>
<td> codeDesc
<td> String
<td> 英文错误码，成功返回 Success，失败有相应的英文说明。
<tr>
<td> requestId
<td> Int
<td>请求任务ID，该接口为异步任务，可根据本参数调用
<a href="/doc/api/244/4007">DescribeLoadBalancersTaskResult</a>接口来查询任务操作结果。
</tbody></table>

 

## 4. 示例
 
输入
<pre>
https://lb.api.qcloud.com/v2/index.php?Action=ModifyLoadBalancerAttributes
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&loadBalancerId=lb-abcdefgh
&loadBalancerName=my-lb-name
</pre>
输出
```
{
    "code" : 0,
    "message" : "",
    "codeDesc": "Success",
    "requestId" : 1234
}
```

