## 1. 接口描述
 
InquiryLBPrice 接口用于查询负载均衡实例的价格。负载均衡实例的具体价格可以参考产品说明的[价格总览](/doc/product/214/价格总览)。

接口访问域名: lb.api.qcloud.com


## 2. 请求参数
 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为InquiryLBPrice。

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerType <td> 是 <td> Int <td> 负载均衡实例的类型 。<br> 2：公网属性 3：内网属性。
</tbody></table>

 

## 3. 返回参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>

<tr>
<td> code <td> Int <td> 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/244/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。
<tr>
<td> message <td> String <td> 模块错误信息描述，与接口相关。
<tr>
<td> codeDesc
<td> String
<td>  英文错误码，成功返回 Success，失败有相应的英文说明。
<tr>
<td> price <td> Int <td> 负载均衡实例的价格，单位为“分/时”。
</tbody></table>

 

## 4. 示例
 
查询类型为公网属性的负载均衡实例的价格：
<pre>
https://lb.api.qcloud.com/v2/index.php?Action=InquiryLBPrice
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&loadBalancerType=2
</pre>
请求返回正确的输出：
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "price": 2
}
```

