## 1. 接口描述
 DescribeLoadBalancers 接口用来获取用户的负载均衡实例列表。可以根据您输入的参数来返回满足条件的负载均衡实例。输入的过滤参数可以为负载均衡实例的名字、类型、公网VIP。如果不指定任何参数，则返回账户下所有负载均衡实例。
 
接口访问域名：lb.api.qcloud.com


## 2. 请求参数
 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 DescribeLoadBalancers。
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerIds.n
<td> 否
<td> String
<td> 负载均衡实例唯一ID，可使用loadBalancerId 和 unLoadBalancerId两种，推荐使用统一唯一ID unLoadBalancerId。
<tr>
<td> loadBalancerType
<td> 否
<td> Int
<td> 负载均衡实例的类型<br>2：公网属性， 3：内网属性。
<tr>
<td> forward
<td> 否
<td> Int
<td> 若为1，表示拉取应用型LB；0，表示非应用型LB；-1，表示全部类型LB。
<tr>
<td> loadBalancerName
<td> 否
<td> String
<td> 负载均衡实例名称。
<tr>
<td> domain
<td> 否
<td> String
<td> 负载均衡实例域名。规则：1-60个小写英文字母、数字、点号“.”或连接线“-”。内网类型的负载均衡不能配置该字段。
<tr>
<td> loadBalancerVips.n
<td> 否
<td> String
<td> 负载均衡实例的VIP地址，支持多个。
<tr>
<td> backendWanIps.n
<td> 否
<td> String
<td> 后端云服务器的外网IP。
<tr>
<td> offset
<td> 否
<td> Int
<td> 数据偏移量，默认为0。
<tr>
<td> limit
<td> 否
<td> Int
<td> 返回数据长度，默认为20。
<tr>
<td> orderBy
<td> 否
<td> String
<td> 排序字段，支持以下字段：
loadBalancerName，createTime，domain，loadBalancerType。
<tr>
<td> orderType
<td> 否
<td> Int
<td> 1：倒序，0：顺序，默认按照创建时间倒序。
<tr>
<td> searchKey
<td> 否
<td> String
<td> 搜索字段，模糊匹配名称、域名、VIP。
<tr>
<td> projectId
<td> 否
<td> Int
<td>负载均衡实例所属的项目ID，可以通过<a href="/doc/api/403/4400">DescribeProject</a>接口获取。
<tr>
<td> withRs
<td> 否
<td> Int
<td> 查询的LB是否绑定后端服务器，0：只查询没有绑定；1：只查询绑定的；2：查询全部。
</tbody></table>

## 3. 返回参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/244/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。
<tr>
<td> message
<td> String
<td> 模块错误信息描述，与接口相关。
<tr>
<td> totalCount
<td> Int
<td> 满足过滤条件的负载均衡实例总数。
<tr>
<td> loadBalancerSet
<td> Array
<td> 返回的负载均衡实例数组。
</tbody></table>

</b></th>loadBalancerSet结构</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerId
<td> String
<td> 负载均衡实例的唯一ID。
<tr>
<td> unLoadBalancerId
<td> String
<td> 负载均衡实例的统一唯一ID。
<tr>
<td> loadBalancerName
<td> String
<td> 负载均衡实例的名称。
<tr>
<td> loadBalancerType
<td> Int
<td> 负载均衡实例的类型<br>2：公网属性 3：内网属性。
<tr>
<td> forward
<td> Int
<td> 若为1，表示应用型LB；0，表示非应用型LB。
<tr>
<td> domain
<td> String
<td> 负载均衡实例的域名，内网类型负载均衡实例没有域名。
<tr>
<td> loadBalancerVips
<td> Array
<td> 负载均衡实例的 VIP 列表。
<tr>
<td> status
<td> Int
<td> 负载均衡实例的状态，包括<br>0:创建中，1:正常运行。
<tr>
<td> createTime
<td> String
<td> 负载均衡实例的创建时间。
<tr>
<td> statusTime
<td> String
<td> 负载均衡实例的上次状态转换时间。
<tr>
<td> projectId
<td> Int
<td> 负载均衡实例所属的项目ID, 0 表示默认项目。
<tr>
<td> uniqVpcId
<td> String
<td> 私有网络的唯一ID。
<tr>
<td> vpcId
<td> Int
<td> 原私有网络的ID（例如:vpc_gz_123）的数字部分， 0 表示基础网络。
<tr>
<td> subnetId
<td> Int
<td> 私有网络的子网 ID的数字部分, 0 表示默认子网。
<tr>
<td> snat
<td> Bool
<td> 对于内网型LB有意义，是否开启snat功能。
<tr>
<td> openBgp
<td> Int
<td> 保留字段。
<tr>
<td> isolation
<td> Int
<td> 是否被隔离。
<tr>
<td> log
<td> String
<td> 开启日志信息。
</tbody></table>

 

## 4. 示例
 
使用默认参数，查询负载均衡实例列表：
<pre>
https://lb.api.qcloud.com/v2/index.php?Action=DescribeLoadBalancers
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
</pre>

输出
```

{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "loadBalancerSet": [
        {
            "loadBalancerId": "qlb117edc090a15b8a9adb3cda6ffcca5dc",
            "unLoadBalancerId": "lb-3r69suat",
            "loadBalancerName": "59b25ffb-0",
            "loadBalancerType": 2,
            "domain": "",
            "loadBalancerVips": [
                "119.28.168.196"
            ],
            "status": 1,
            "createTime": "2017-09-08 17:16:42",
            "statusTime": "2017-09-20 13:37:55",
            "vpcId": 0,
            "uniqVpcId": "",
            "subnetId": 0,
            "projectId": 1005621,
            "forward": 1,
            "snat": false,
            "openBgp": 0,
            "isolation": 0,
            "log": ""
        },
        {
            "loadBalancerId": "qlb67987c0ec984f2b2e00c04f3bdaf77a8",
            "unLoadBalancerId": "lb-9vh8fr9j",
            "loadBalancerName": "5954eb38-0",
            "loadBalancerType": 2,
            "domain": "",
            "loadBalancerVips": [
                "119.28.34.252"
            ],
            "status": 1,
            "createTime": "2017-06-29 19:57:43",
            "statusTime": "2017-07-31 23:21:42",
            "vpcId": 0,
            "uniqVpcId": "",
            "subnetId": 0,
            "projectId": 0,
            "forward": 1,
            "snat": false,
            "openBgp": 0,
            "isolation": 0,
            "log": ""
        },
        {
            "loadBalancerId": "qlb1821390869d46599dcea6cbf82cd1afc",
            "unLoadBalancerId": "lb-ly9p6h6t",
            "loadBalancerName": "testbarad",
            "loadBalancerType": 2,
            "domain": "",
            "loadBalancerVips": [
                "119.28.34.80"
            ],
            "status": 1,
            "createTime": "2017-06-13 13:14:13",
            "statusTime": "2017-09-09 16:40:41",
            "vpcId": 0,
            "uniqVpcId": "",
            "subnetId": 0,
            "projectId": 0,
            "forward": 1,
            "snat": false,
            "openBgp": 0,
            "isolation": 0,
            "log": ""
        },
        {
            "loadBalancerId": "qlb573193270cd555210ea22fb6de78b5a9",
            "unLoadBalancerId": "lb-05j9uts7",
            "loadBalancerName": "jinApp",
            "loadBalancerType": 2,
            "domain": "",
            "loadBalancerVips": [
                "119.28.37.29"
            ],
            "status": 1,
            "createTime": "2017-02-09 11:25:33",
            "statusTime": "2017-09-05 12:03:52",
            "vpcId": 0,
            "uniqVpcId": "",
            "subnetId": 0,
            "projectId": 0,
            "forward": 1,
            "snat": false,
            "openBgp": 0,
            "isolation": 0,
            "log": ""
        }
    ],
    "totalCount": 4
}

```


