## 1. 接口描述
 DescribeLoadBalancers 接口用来获取用户的负载均衡实例列表。可以根据您输入的参数来返回满足条件的负载均衡实例。输入的过滤参数可以为如下请求参数。

接口访问域名：lb.api.qcloud.com


## 2. 请求参数
 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 DescribeLoadBalancers。

|参数名称|必选|类型|描述|
|---|---|---|---|
|loadBalancerIds.n|否|String|负载均衡实例唯一ID，可使用loadBalancerId 和 unLoadBalancerId两种，推荐使用统一唯一ID unLoadBalancerId。|
|loadBalancerType|否|Int|负载均衡实例的类型<br>2:公网(有日租，应用型)， 3:内网。|
|loadBalancerName|否|String|负载均衡实例名称。|
|domain|否|String|腾讯云为负载均衡实例分配的域名。应用型负载均衡该字段无意义。|
|loadBalancerVips.n|否|String|负载均衡实例的VIP地址，支持多个。|
|backendWanIps.n|否|String|后端云服务器的外网IP，过滤绑定了该外网IP的负载均衡。|
|backendLanIps.n|否|String|后端云服务器的内网IP，过滤绑定了该内网IP的负载均衡。|
|offset|否|Int|数据偏移量，默认为0。|
|limit|否|Int|返回数据长度，默认为20。|
|searchKey|否|String|搜索字段，模糊匹配名称、域名、VIP。|
|projectId|否|Int|负载均衡实例所属的项目ID，可以通过<a href="/doc/api/403/4400">DescribeProject</a>接口获取。|
|forward|否|Int|1 表示只拉取应用型负载均衡， -1 表示拉取全部类型， 0 表示拉取非应用型负载均衡,默认值0。|


## 3. 返回参数

|参数名称|类型|描述|
|----|---|----|
|code|Int|公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/244/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
|message|String|模块错误信息描述，与接口相关。|
|codeDesc|String|英文错误码，成功返回 Success，失败有相应的英文说明。|
|totalCount|Int|满足过滤条件的负载均衡实例总数。|
|loadBalancerSet|Array|返回的负载均衡实例数组。|

- loadBalancerSet结构

|参数名称|类型|描述|
|----|---|----|
|unLoadBalancerId|String|负载均衡实例的统一ID。（其他API接口推荐使用该字段。）|
|loadBalancerName|String|负载均衡实例的名称。|
|loadBalancerType|Int|负载均衡实例的类型<br>1:公网无固定IP型， 2:公网固定IP型（应用型属于该类型），3:内网型。|
|forward|Int|应用型负载均衡标识，1:应用型负载均衡，0:非应用型的负载均衡。|
|domain|String|负载均衡实例的域名，内网类型负载均衡以及应用型负载均衡实例不提供该字段。|
|loadBalancerVips|Array|负载均衡实例的 VIP 列表。|
|status|Int|负载均衡实例的状态，包括<br>0:创建中，1:正常运行。|
|createTime|String|负载均衡实例的创建时间。|
|statusTime|String|负载均衡实例的上次状态转换时间。|
|projectId|Int|负载均衡实例所属的项目ID, 0 表示默认项目。|
|vpcId|Int|私有网络的ID的数字部分， 0 表示基础网络。|
|subnetId|Int|私有网络的子网 ID的数字部分, 0 表示默认子网。|
|loadBalancerId|String|负载均衡实例的唯一ID。|
|openBgp|Int|高防LB的标识，1:高防负载均衡 0:非高防负载均衡。|


## 4. 示例

使用默认参数，查询负载均衡实例列表：
```
https://lb.api.qcloud.com/v2/index.php?Action=DescribeLoadBalancers
&<公共请求参数>
&forward=-1
```

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "loadBalancerSet": [
         {
            "loadBalancerId": "qlb8e2fe70327928898848ac1def05fcd51",
            "unLoadBalancerId": "lb-6efswuxa",
            "loadBalancerName": "fasfs",
            "loadBalancerType": 2,
            "domain": "hebfda.gz.1351000042.clb.myqcloud.com",
            "loadBalancerVips": [
                "112.90.8.180"
            ],
            "status": 1,
            "createTime": "2016-07-15 17:29:23",
            "statusTime": "2016-10-22 14:28:42",
            "vpcId": 20,
            "subnetId": 0,
            "projectId": 0,
            "forward": 1,
            "openBgp": false
        },
        {
            "loadBalancerId": "qlba4f89771ea5c1a99d69f5edbf9af0bf3",
            "unLoadBalancerId": "lb-ltkip4do",
            "loadBalancerName": "jj",
            "loadBalancerType": 2,
            "domain": "ouie.gz.1351000042.clb.myqcloud.com",
            "loadBalancerVips": [
                "183.60.249.52"
            ],
            "status": 1,
            "createTime": "2016-05-27 16:31:25",
            "statusTime": "2016-10-24 10:51:17",
            "vpcId": 20,
            "subnetId": 0,
            "projectId": 0,
            "forward": 0,
            "openBgp": false
        }
    ],
    "totalCount": 2
}

```