## 1. 接口描述
 SetSecurityGroups 设置负载均衡关联的安全组。输入的过滤参数可以为如下请求参数。

接口访问域名：lb.api.qcloud.com

只有公网属性的LB才有该能力

## 2. 请求参数
 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 SetSecurityGroups。

|参数名称|必选|类型|描述|
|---|---|---|---|
|loadBalancerId|是|String|负载均衡实例唯一ID，可使用loadBalancerId 和 unLoadBalancerId两种，推荐使用统一唯一ID unLoadBalancerId。|
|SecurityGroups|否|Array|安全组ID列表。按照顺序填写，SecurityGroups.0表示在最上层，匹配的时候最先匹配。如果为空，则表示从该负载均衡上删除全部安全组。可以由安全组拉取列表。|


## 3. 返回参数

|参数名称|类型|描述|
|----|---|----|
|code|Int|公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/244/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
|message|String|模块错误信息描述，与接口相关。|
|codeDesc|String|英文错误码，成功返回 Success，失败有相应的英文说明。|


## 4. 示例

使用默认参数，查询负载均衡实例列表：
```
https://lb.api.qcloud.com/v2/index.php?Action=SetSecurityGroups
&<公共请求参数>
&loadBalancerId=lb-6efswuxa
&SecurityGroups.0=sg-abdaf
&SecurityGroups.1=sg-abfda
```

输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
}

```