## 1. 接口描述
 DescribeLoadBalancerLog 接口用来查询负载均衡应用层的日志，适用于配置了http与https协议监听器的外网属性的负载均衡。
 
接口访问域名：lb.api.qcloud.com

接口说明：该接口可以查询三天之内的负载均衡的转发日志，包括转发给后端RS的日志，以及由于后端RS异常，直接从负载均衡返回的日志，请求的时间间隔不超过一天。

> 注：当前支持地域为 北京、上海、广州、成都、上海金融、深圳金融、香港。


## 2. 请求参数

   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 DescribeLoadBalancerLog。
 
|参数名称|必选|类型|描述|
|-|-|-|-|
|loadBalancerId|是|String|负载均衡实例 ID，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口查询。|
|order|否|String|日志的按照时间戳的顺序，可选值 desc,asc,默认值  desc。|
|startTime|否|Int|查询日志的开始时间，Unix时间戳。默认为endTime的前5分钟。|
|endTime|否|Int|查询日志的截止时间，Unix时间戳。默认为当前时间戳。|
|offset|否|Int|日志的偏移量，取值范围[0,10000],默认为0。|
|limit|否|Int|日志的条数，取值范围[0-500]，默认为20。|
|filter|否|Array|日志的过滤条件,key,value的方式，具体字段如下。|


filter数组key的可选值：

|参数名称|必选|类型|描述|
|-|-|-|-|
|status|否|Int|返回给客户端的状态码是value的日志。|
|status_not|否|Int|返回给客户端的状态码不是value的日志。|
|server_name|否|String|请求匹配的host是value的日志。|
|server_name_not|否|String|请求匹配的host不是value的日志。|
|http_host|否|String|请求的host是value的日志。|
|http_host_not|否|String|请求的host不是value的日志。|
|remote_addr|否|String|请求的客户端IP是value的日志。|
|remote_addr_not|否|String|请求的客户端IP不是value的日志。|
|request_time_less_than|否|String|请求处理的时间小于value值的日志，与request_time_greater_than同时传入有效。|
|request_time_greater_than|否|String|请求处理的时间大于value值的日志，request_time_less_than同时传入有效。|




## 3. 返回参数
 
 
|参数名称|类型|描述|
|-------|---|---------------|
|code|Int|公共错误码, 0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/doc/api/244/1530)。|
|message|String|模块错误信息描述，与接口相关。|
|codeDesc|String|英文错误码，成功返回 Success，失败有相应的英文说明。|
|logInfo|Json|返回日志的信息。|

logInfo的格式：

|参数名称|类型|描述|
|-|-|-|
|logList|Array|日志的数组。|
|total|Int|日志的总条数。|

logList 数据格式：

|序号|参数名称|类型|描述|
|-|-------|---|---------------|
| 1 | server_name |String| 规则的server_name。 |
| 2 | request | String| 请求行。 |
| 3 | remote_addr | String| 客户端IP。 |
| 4 | upstream_addr | String| 后端的RS信息。 |
| 5 | upstream_header_time | String| 从rs接收完http头部所花费时间。 |
| 6 | connection_requests | Int| 连接上的请求个数。 |
| 7 | ssl_handshake_time|String|ssl握手所花费时间。 |
| 8 | ssl_cipher| String|加密套件。|
| 9 | ssl_protocol	|String| ssl协议版本。 |
| 10 | ssl_session_reused |String| ssl session复用。|	
| 11|time_local|String|请求访问事件。|
| 12 |http_host|String|请求域名。|
| 13 |server_addr|String|请求的目的IP。|
| 14 |bytes_sent|Int|发送客户端的字节数。|
| 15 |upstream_status|String|后端RS的状态。|
| 16 |protocol_type|String|协议类型（http/https/spdy/http2/ws/wss）。|
| 17 |request_time|Int| 请求处理时间。|
| 18 |upstream_connect_time|Int| 和rs建立tcp连接所花费时间，单位 秒。|
| 19 |request_length|Int| 从客户端收到的请求字节数。|
| 20 |tcpinfo_rtt|Int| tcp连接的rtt,微秒。|
| 21 |upstream_response_time|Int| 从rs接收应答所花费时间，单位 秒。|
|22|status|String| 请求返回的状态码，当后端没有机器时，该状态码为200。|
|23|http_user_agent|String|user_agent。 |



## 4. 示例
 
输入
<pre>
https://lb.api.qcloud.com/v2/index.php?Action=DescribeLoadBalancerLog
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&loadBalancerId=lb-7wdcqme9
&limit=1
&filter.0.key=status
&filter.0.value=200
&filter.1.key=server_name
&filter.1.value=www.qq.com
</pre>
输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "logInfo": {
        "logList": [
            {
                "server_name": "www.qq.com",
                "request": "GET / HTTP/1.1",
                "remote_addr": "119.28.138.187",
                "upstream_addr": "-",
                "upstream_header_time": "-",
                "connection_requests": 1,
                "ssl_cipher": "-",
                "remote_port": "40554",
                "time_local": "02/Nov/2017:12:03:13 +0800",
                "http_host": "115.159.132.241",
                "server_addr": "115.159.132.241",
                "bytes_sent": 239,
                "upstream_status": "-",
                "protocol_type": "http",
                "ssl_handshake_time": "-",
                "request_time": 0,
                "upstream_connect_time": "-",
                "request_length": 79,
                "ssl_session_reused": "-",
                "tcpinfo_rtt": 38000,
                "upstream_response_time": "-",
                "ssl_protocol": "-",
                "status": "200"
            }
        ],
        "total": 3918
    }
}

```


