## 1. 接口描述
 CreateLoadBalancer 接口用来创建负载均衡实例。为了使用负载均衡服务，您必须要购买一个或者多个负载均衡实例。通过成功调用该接口，会返回负载均衡实例的唯一ID。用户可以购买的负载均衡实例类型分为：公网（应用型）、公网（固定IP型）、内网。可以参考产品说明的[产品类型](/doc/product/214/产品类型)。
 
接口访问域名：lb.api.qcloud.com

## 2. 请求参数
  以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 CreateLoadBalancer。

|参数名称|必选|类型|描述|
|-|-|-|--|
|loadBalancerType|是|Int|负载均衡的类型。 <br> 2:公网固定IP型（应用型负载均衡使用该值） 3:内网型 。|
|forward|否|Int|购买应用型负载均衡实例。1:应用型负载均衡，0:非应用型负载均衡，默认为非应用型负载均衡实例。|
|loadBalancerName|否|String|负载均衡实例的名称,只用来创建一个的时候生效。规则:1-20个英文、汉字、数字、连接线“-”或下划线“_”。<br>注意：如果名称与系统中已有负载均衡实例的名称重复的话，则系统将会自动生成此次创建的负载均衡实例的名称。|
|domainPrefix|否|String|域名前缀，负载均衡的域名由用户输入的域名前缀与腾讯云自动生成的域名后缀一起组合而成，保证是唯一的域名。创建应用型负载均衡的时候该字段无意义。<br>规则:1-20个小写英文字母、数字或连接线“-”。内网类型的负载均衡不支持该字段。<br> 注意:如果域名前缀与系统中已有的域名前缀重复的话，则系统将会自动生成此次创建的负载均衡实例的前缀名称。例如xxxxx.region.appId.clb.myqcloud.com，您只需要填写前缀"xxxxx"。|
|vpcId|否|Int|负载均衡实例所属网络ID，可以通过<a href="http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%E8%AF%A6%E6%83%85" title="DescribeVpcs">DescribeVpcs</a>接口获取. 不填或者填0则表示网络为<a href="https://cloud.tencent.com/doc/product/215" title="基础网络">基础网络</a>，其vpcId数字大于0表示网络为<a href="https://cloud.tencent.com/doc/product/215" title="私有网络">私有网络</a>。|
|subnetId|否|Int|在私有网络内购买内网负载均衡实例的时候需要指定子网ID，内网负载均衡实例的VIP将从这个子网中产生。其他情况不用填写该字段。|
|projectId|否|Int|负载均衡实例所属的项目ID，可以通过<a href="/doc/api/403/4400" title="DescribeProject">DescribeProject</a>接口获取。不填则属于默认项目。|
|number|否|Int|购买负载均衡实例的个数，默认 1。|



 

## 3. 返回参数

|参数名称|类型|描述|
|-------|---|---------------|
|code|Int|公共错误码, 0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/doc/api/244/1530)。|
|message|String|模块错误信息描述，与接口相关。|
|codeDesc|String|英文错误码，成功返回 Success，失败有相应的英文说明。|
|unLoadBalancerIds|Array|由负载均衡实例统一ID组成的数组。|
|requestId|Int|任务ID。|
|dealIds|Array|保留字段。|



## 4. 示例
 
购买三个类型为公网固定IP型负载均衡实例：
```
https://lb.api.qcloud.com/v2/index.php?Action=CreateLoadBalancer
&<公共请求参数>
&loadBalancerType=2
&number=3
```
输出：
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "requestId": 3901942,
    "dealIds": [
        "3901942"
    ],
    "unLoadBalancerIds": {
        "3901942": [
            "lb-cjcymkw9",
            "lb-fpk0oxhp",
            "lb-ikpzv02x"
        ]
    }
}
```
其中 lb-cjcymkw9 为刚刚购买的负载均衡实例的统一ID。接下来可以根据[查询负载均衡实例列表](/doc/api/244/1261) 接口来查询该负载均衡实例是否创建成功。

