为了帮助用户快速使用黑石服务器（CPM）API，这里给出一个使用示例，能够引导用户使用API服务完整的创建一台黑石物理机。

## 1. 购买一台黑石物理机

在购买前，我们首先需要确定黑石物理机有哪些配置的机型可选，因为它决定了物理机的性能以及对应的价格信息。有关配置用户可以参考[查询设备型号](/document/product/386/6636)，选定机型后，我们要选择对应的[RAID类型](/document/product/386/7370)和黑石支持的[操作系统](/document/product/386/6727)。
如果我们想创建一个北京物理机一区的包月计费的PS100机型，选择Centos7.2的操作系统，选择RAID1+0的阵列组合，需要的具体请求参数见下表：

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| zoneId | 是 | Int | 可用区ID。 通过接口[DescribeRegions](/doc/api/456/6634)获取黑石可用区信息。|
| vpcId | 是 | Int | 私有网络ID。通过接口[DescribeBmVpcEx](/doc/api/456/6646)获取私有网络信息。|
| subnetId | 是 | Int | 子网ID。 通过接口[DescribeBmSubnetEx](/doc/api/456/6648)获取私有网络信息。|
| deviceClassCode | 是 | String | 设备类型代号，即购买页面中的“代号”。通过接口[DescribeDeviceClass](/doc/api/456/6636)获得设备类型信息，其中"deviceClassDisplay"字段即是deviceClassCode所要取的值|
| osTypeId | 是 | Int | 操作系统类型ID。通过接口[DescribeOs](/doc/api/456/6727)获取操作系统信息。|
| raidId | 是 | Int | raid类型ID。通过接口[DescribeDeviceClassRaid](/doc/api/456/6640)获取raid信息。|
| timeUnit | 是 | String | 购买时长单位。 取值： m : 按月购买。 |
| timeSpan | 是 | Int | 购买时长。 |
| goodsNum | 是 | Int | 购买个数。 |
| hasWanIp | 否 | Int | 是否分配外网IP。0: 不分配； 1: 分配。 默认不分配。|
| needSecurityAgent | 否 | Int | 是否安装安全Agent。 0: 不安装； 1: 安装。 默认不安装。 |
| needMonitorAgent | 否 | Int | 是否安装监控Agent。 0: 不安装； 1: 安装。 默认不安装。 |
| alias | 否 | String | 设备别名。如果购买多台机器，别名自动编号。 |
| sysRootSpace | 否 | Int | 系统盘根分区大小。默认是10G。系统盘的大小参考接口 [DescribeDeviceClassPartition](/document/product/386/7370) |
| sysSwaporuefiSpace | 否 | Int | 系统盘swap分区或/boot/efi分区的大小。  若是uefi启动的机器，分区为/boot/efi ,且此值是默认是2G。 普通机器为swap分区，可以不指定此分区。 机型是否是uefi启动，参考接口 [DescribeDeviceClass](/doc/api/456/6636) |
| sysUsrlocalSpace | 否 | Int | /usr/local分区的大小。 默认没有此分区。 |
| sysDataSpace | 否 | Int | /data分区的大小。如果系统盘还有剩余大小，会分配给/data分区。 |


综上，结合公共请求参数和接口请求参数，最终得到的请求形式如下：

```
https://bm.api.qcloud.com/v2/index.php?
Action=BuyDevice
&Region=ap-beijing-bls
&Timestamp=1465750149
&Nonce=46364
&SecretId=AKIDxxxxugEY
&Signature=5umi9gUWpTTyk18V2g%2FYi56hqls%3D
&zoneId=1000800001
&vpcId=1042
&subnetId=110
&deviceClassCode=PS100
&osTypeId=2
&raidId=3
&timeUnit=m
&timeSpan=1
&goodsNum=1
&hasWanIp=0
&needSecurityAgent=1
&needMonitorAgent=1
&alias=test
&sysRootSpace=50
&sysSwaporuefiSpace=2
&sysUsrlocalSpace=100
&sysDataSpace=300
```

上述请求的返回结果如下，由结果可知，新创建的服务器的ID是dcpm-ntlsj9gh。这个ID唯一标识了这个实例。后续的物理机操作都需要通过它来指定对象。

```
{
  "code": 0,
  "message": "OK",
  "codeDesc" : "Success",
  "data": {
    "dealNames": [
      "20160721110015"
    ],
    "resourceIds": {
      "20160721110015": [
        "dcpm-ntlsj9gh"
      ]
    },
    "dealIds": [
      "454013"
    ]
  }
}
```

就这样我们购买了一台黑石物理机。后续会进入自动化部署的流程，待交付客户后才会开始计费。





