## 功能描述

DescribeRegions接口用来获取黑石物理机可用区。

接口访问域名：bm.api.cloud.tencent.com

## 请求

### 请求示例

```
https://bm.api.cloud.tencent.com/v2/index.php?
	Action=DescribeRegions
	&<公共请求参数>
	&regionId=<地域ID>
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为DescribeRegions。

| 参数名称     | 必选   | 类型   | 描述                              |
| -------- | ---- | ---- | ------------------------------- |
| regionId | 否    | Int  | 地域ID，目前黑石可用地域包括：8-北京，4-上海，1-广州。 |

## 响应

### 响应示例

```
    "code": 0,
    "message": "OK",
    "codeDesc" : "Success",
    "data": {
        "1": {
            "regionId": "1",
            "regionName": "华南地区（广州）",
            "setName": "ap-guangzhou",
            "zones": {
                "1000100003": {
                    "zoneId": "1000100003",
                    "zoneName": "广州物理机一区 ",
                    "zoneEname": "ap-guangzhou-bls-1"
                }
            }
        },
        "4": {
            "regionId": "4",
            "regionName": "华东地区（上海）",
            "setName": "ap-shanghai",
            "zones": {
                "1000400001": {
                    "zoneId": "1000400001",
                    "zoneName": "上海物理机一区",
                    "zoneEname": "ap-shanghai-bls-1"
                }
            }
        },
        "8": {
            "regionId": "8",
            "regionName": "华北地区（北京）",
            "setName": "ap-beijing",
            "zones": {
                "1000800001": {
                    "zoneId": "1000800001",
                    "zoneName": "北京物理机一区",
                    "zoneEname": "ap-beijing-bls-1"
                },
                "1000800002": {
                    "zoneId": "1000800002",
                    "zoneName": "北京物理机二区",
                    "zoneEname": "ap-beijing-bls-2"
                }
            }
        }
    }
}
```

### 响应参数

响应参数部分包含两层结构，外层展示接口的响应结果，内层展示具体的接口内容，包括地域等信息。

| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0：成功，其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |
| data    | Object | 地域信息。具体结构描述如data结构所示。                    |

data结构

| 参数名称                | 类型     | 描述                                       |
| ------------------- | ------ | ---------------------------------------- |
| 地域ID（例如"1"，"4"，"8"） | Object | 以地域ID做为key，对应的值为对象，对象为地域信息。具体结构描述如region结构所示。 |


region结构

| 参数名称       | 类型     | 描述                                       |
| ---------- | ------ | ---------------------------------------- |
| regionId   | Int    | 地域ID。                                    |
| regionName | String | 地域的名称。                                   |
| setName    | String | 地域的英文名称。                                 |
| zones      | Object | 该region下的可用区信息。以可用区ID做为key，对应的值为对象，对象为地域名称信息。具体结构描述如zone结构所示。 |

zone结构

| 参数名称      | 类型     | 描述       |
| --------- | ------ | -------- |
| zoneId    | Int    | 可用区ID。   |
| zoneName  | String | 可用区名称。   |
| zoneEname | String | 可用区英文名称。 |


## 实际案例

### 输入

```
https://bm.api.cloud.tencent.com/v2/index.php?
	Action=DescribeRegions
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Region=bj
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
```
### 输出

```
{
    "code": 0,
    "message": "OK",
    "codeDesc" : "Success",
    "data": {
        "1": {
            "regionId": "1",
            "regionName": "华南地区（广州）",
            "setName": "ap-guangzhou",
            "zones": {
                "1000100003": {
                    "zoneId": "1000100003",
                    "zoneName": "广州物理机一区 ",
                    "zoneEname": "ap-guangzhou-bls-1"
                }
            }
        },
        "4": {
            "regionId": "4",
            "regionName": "华东地区（上海）",
            "setName": "ap-shanghai",
            "zones": {
                "1000400001": {
                    "zoneId": "1000400001",
                    "zoneName": "上海物理机一区",
                    "zoneEname": "ap-shanghai-bls-1"
                }
            }
        },
        "8": {
            "regionId": "8",
            "regionName": "华北地区（北京）",
            "setName": "ap-beijing",
            "zones": {
                "1000800001": {
                    "zoneId": "1000800001",
                    "zoneName": "北京物理机一区",
                    "zoneEname": "ap-beijing-bls-1"
                },
                "1000800002": {
                    "zoneId": "1000800002",
                    "zoneName": "北京物理机二区",
                    "zoneEname": "ap-beijing-bls-2"
                }
            }
        }
    }
}
```
