## 功能描述

GetDeviceOutBandInfo接口用来获取物理机带外信息。获取物理机带外信息: 带外用户名、密码、带外ip信息。 此信息用作登录机器的带外系统。

接口请求域名： bm.api.qcloud.com



## 请求
### 请求示例
```
GET https://bmeip.api.qcloud.com/v2/index.php?
	&Action=GetDeviceOutBandInfo
	&<公共请求参数>
	&instanceId=<黑石物理机唯一ID>
```
### 请求参数
|参数名称|必选|类型|描述|
|-------|----|---|----|
| instanceId | 是 | String | 物理机的唯一实例id |



## 响应
### 响应示例
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "outbandInfo": {
            "dhcp_ip": <物理机的带外IP>,
            "password": <物理机带外登录密码>,
            "sn": <物理机的唯一序列号>,
            "username": <物理机带外登录用户名>
        }
    }
}
```

### 响应参数
响应参数部分包含两层结构，外层展示接口的响应结果，内层展示具体的接口内容，包括带外登录信息。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code |  Int | 错误码, 0: 成功, 其他值: 失败，具体含义可以参考[错误码](/document/product/386/6725)。 |
| message |   String | 错误信息 |
| data |   Object | 返回的outbandInfo实例，具体数据结构如下表说明。 |

data.outbandInfo实例结构

|参数名称|类型|描述|
|---|---|---|
| outbandInfo.dhcp_ip | String | 物理机的带外IP。|
| outbandInfo.password | String | 物理机带外登录密码。|
| outbandInfo.username | String | 物理机带外登录用户名。|
| outbandInfo.sn | String | 物理机的唯一序列号。|


## 错误码

| code |codeDesc| 描述 |
|------|------|------|
| 9001 |InternalError.DbError| 操作数据库错误 |
| 10004 |OperationDenied| 没有操作权限 |
| 10100 |InternalError.ObAuthAccessError| 访问鉴权模块错误 |
| 10101 |InternalError.ObAuthError|鉴权模块返回错误 |
| 10105 |InvalidResource.ObAuthNoConfig|操作错误，系统无此用户的VPN设置信息 |
| 10106 |InternalError.TocQueryError| 查询TOC带外信息失败 |
| 11041 |InvalidInstanceId| 系统内无此appId,instanceId对应的设备信息 |


## 实际案例

### 输入
```
GET https://bm.api.qcloud.com/v2/index.php?
	Action=GetDeviceOutBandInfo
	&SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
	&Nonce=36488
	&Timestamp=1508212105
	&Region=gz
	&instanceId=cpm-an5a9wv4
	&Signature=hQpTc2tAH90jSYZK6JAZwLRCnmE%3D
```

### 输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "outbandInfo": {
            "dhcp_ip": "100.68.134.36",
            "password": "h4vBbEz9ocn8h8",
            "sn": "06BCYMX",
            "username": "albert"
        }
    }
}
```

