## 功能描述

ModifyDeviceAlias接口用来修改服务器的别名，支持批量修改别名。

接口访问域名：bm.api.qcloud.com

## 请求

### 请求示例

```
https://bm.api.qcloud.com/v2/index.php?
	Action=ModifyDeviceAlias
	&<公共请求参数>
	&instanceIds.0=<设备ID0>
	&aliases.0=<设备名称0>
	&opUin=<操作者QQ号>
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为ModifyDeviceAlias。

| 参数名称        | 必选   | 类型            | 描述                        |
| ----------- | ---- | ------------- | ------------------------- |
| instanceIds | 是    | Array(String) | 设备ID列表。                   |
| aliases     | 是    | Array(String) | 对应instanceIds的名称列表。 |
| opUin       | 是    | String        | 操作者UIN。                   |


## 响应

### 响应示例

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}
```

### 响应参数


| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0：成功，其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |


## 错误码
| 错误码   | 英文提示                  | 错误描述    |
| ----- | --------------------- | ------- |
| 9001  | InternalError.DbError | 操作数据库错误 |
| 10001 | InvalidParameter      | 参数错误    |


## 实际案例

### 输入

```
https://bm.api.qcloud.com/v2/index.php?
	Action=ModifyDeviceAlias
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Region=bj
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
	&instanceIds.0=cpm-34xs43xs
	&aliases.0=test	
```
### 输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}
```

