## 功能描述

ModifyPayModePre2Post接口用来将设备的预付费模式修改为后付费计费模式，支持批量转换。（前提是客户要加入黑石物理机后付费计费的白名单，申请黑石物理机后付费可以联系腾讯云客服。）

接口访问域名：bm.api.qcloud.com


## 请求

### 请求示例

```
https://bm.api.qcloud.com/v2/index.php?
	Action=ModifyPayModePre2Post
	&<公共请求参数>
	&instanceIds.0=<设备ID0>
	&opUin=<操作者QQ号>
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为ModifyPayModePre2Post。

| 参数名称        | 必选   | 类型     | 描述     |
| ----------- | ---- | ------ | ------ |
| instanceIds | 是    | Array(String)  | 设备ID列表。 |
| opUin       | 否    | String | 操作者QQ号。 |

## 响应

### 响应示例

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}
```

### 响应参数

| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0：成功，其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |


## 错误码
| 错误码   | 英文提示                  | 错误描述    |
| ----- | --------------------- | ------- |
| 9001  | InternalError.DbError | 操作数据库错误 |
| 10001 | InvalidParameter      | 参数错误    |


## 实际案例

### 输入

```
https://bm.api.qcloud.com/v2/index.php?
	Action=ModifyPayModePre2Post
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Region=bj
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
	&instanceIds.0=cpm-34xs43xs
	&opUin=1234567
```
### 输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}
```

