## 功能描述

DescriptionOperationResult接口用来获取异步操作状态的完成状态。

接口访问域名：bm.api.cloud.tencent.com

## 请求

### 请求示例
```
https://bm.api.cloud.tencent.com/v2/index.php?
	Action=DescriptionOperationResult
	&<公共请求参数>
	&taskId=<异步任务ID>
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为DescriptionOperationResult。

| 参数名称   | 必选   | 类型   | 描述      |
| ------ | ---- | ---- | ------- |
| taskId | 是    | Int  | 异步任务ID。 |

## 响应

### 响应示例

```
{
  "code": 0,
  "message": "OK",
  "data": {
       “status”: 1,
       “instanceIds”: [
             {
                 “instanceId”: “cpm-3dw234”,
                 “status” : 1
             },
             {
                 “instanceId”: “cpm-sdf343x”,
                 “status” : 1
             }
         ]
   }
}
```

### 响应参数

响应参数部分包含两层结构，外层展示接口的响应结果，内层展示具体的接口内容，包括任务状态等信息。

| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0: 成功，其他值: 失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |
| data    | Object | 返回异步任务的完成状态，如data结构所示。                   |

data结构

| 参数名称        | 类型            | 描述                                       |
| ----------- | ------------- | ---------------------------------------- |
| status      | Int           | 任务的整体状态。<br/> 1：成功<br/> 2：失败<br/> 3：部分成功，部分失败<br/> 4：未完成<br/> 5：部分成功，部分未完成<br/> 6：部分未完成，部分失败<br/> 7：部分未完成，部分失败，部分成功 |
| resourceIds | Array(Object) | 对象数组，数组元素为服务器操作完成的状态。具体结构描述如instanceId结构所示。 |

instanceId结构

| 参数名称       | 类型     | 描述          |
| ---------- | ------ | ----------- |
| status     | Int    | 任务ID对应任务的状态 |
| instanceId | String | 任务ID        |


## 错误码
| 错误码   | 英文提示                  | 错误描述    |
| ----- | --------------------- | ------- |
| 9001  | InternalError.DbError | 操作数据库错误 |
| 10001 | InvalidParameter      | 参数错误    |

## 实际案例

### 输入

```
https://bm.api.cloud.tencent.com/v2/index.php?
	Action=DescriptionOperationResult
	&taskId=1000800001
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Region=bj
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
```
### 输出

```
{
  "code": 0,
  "message": "OK",
  "data": {
       “status”: 1,
       “instanceIds”: [
             {
                 “instanceId”: “cpm-3dw234”,
                 “status” : 1
             },
             {
                 “instanceId”: “cpm-sdf343x”,
                 “status” : 1
             }
         ]
   }
}
```
