## 功能描述

DescribeOs接口用来获取指定机型所支持的操作系统。

接口访问域名：bm.api.cloud.tencent.com

## 请求

### 请求示例

```
https://bm.api.cloud.tencent.com/v2/index.php?
	Action=DescribeOs
	&<公共请求参数>
    &deviceClass=<设备类型>	
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为DescribeOs。

| 参数名称        | 必选   | 类型     | 描述                                       |
| ----------- | ---- | ------ | ---------------------------------------- |
| deviceClass | 是    | String | 设备类型，通过接口[查询设备型号(DescribeDeviceClass)](/doc/api/456/6636)获得设备类型信息。 |

## 响应

### 响应示例

```
{
  "code": 0,
  "message": "OK",
  "data": [
    {
      "osTypeId": "1",
      "osName": "BM-centos6.5",
      "osNameDisplay": "centos 6.5  64位",
      "osClass": "CentOS"
    },
    {
      "osTypeId": "3",
      "osName": "BM-debian7.8",
      "osNameDisplay": "debian 7.8  64位",
      "osClass": "Debian"
    },
    {
      "osTypeId": "4",
      "osName": "BM-rhel7.1",
      "osNameDisplay": "redhat 7.1  64位",
      "osClass": "Redhat"
    }
  ]
}

```

### 响应参数
响应参数部分包含两层结构，外层展示接口的响应结果，内层展示具体的接口内容，包括操作系统等信息。

| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0：成功， 其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |
| data    | Array(Object)  | 对象数组。数组元素为操作系统信息，具体结构描述如data结构所示。          |

data结构

| 参数名称          | 类型     | 描述                       |
| ------------- | ------ | ------------------------ |
| osTypeId      | Int    | 操作系统类型ID。                |
| osName        | String | 操作系统代号。                  |
| osNameDisplay | String | 操作系统前台展示。                |
| osClass       | String | 操作系统分类，如CentOs，Debian分类。 |


## 错误码

| 错误码  | 英文提示                  | 错误描述    |
| ---- | --------------------- | ------- |
| 9001 | InternalError.DbError | 操作数据库错误 |


## 实际案例

### 输入

```
https://bm.api.cloud.tencent.com/v2/index.php?
	Action=DescribeOs
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Region=bj
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
    &deviceClass=M10
```

### 输出

```
{
  "code": 0,
  "message": "OK",
  "data": [
    {
      "osTypeId": "1",
      "osName": "BM-centos6.5",
      "osNameDisplay": "centos 6.5  64位",
      "osClass": "CentOS"
    },
    {
      "osTypeId": "3",
      "osName": "BM-debian7.8",
      "osNameDisplay": "debian 7.8  64位",
      "osClass": "Debian"
    },
    {
      "osTypeId": "4",
      "osName": "BM-rhel7.1",
      "osNameDisplay": "redhat 7.1  64位",
      "osClass": "Redhat"
    }
  ]
}
```
