## 功能描述

DescribeDeviceClass接口用来获取设备类型列表。

接口访问域名：bm.api.qcloud.com

## 请求

### 请求示例
```
https://bm.api.qcloud.com/v2/index.php?
	Action=DescribeDeviceClass
	&<公共请求参数>
```

### 请求参数

正式调用时需要加上公共请求参数，此接口的Action字段为 DescribeDeviceClass。

| 参数名称 | 必选   | 类型   | 描述   |
| ---- | ---- | ---- | ---- |
| 无    | -    | -    | -    |


## 响应

### 响应示例

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": [
        {
            "deviceClass": "B6",
            "deviceClassDisplay": "PC000",
            "useType": "计算型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "2*300GB(SAS)",
            "canRaid": "1",
            "nicDesc": "千兆网卡",
            "pid": "10716",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "M1",
            "deviceClassDisplay": "PS000",
            "useType": "标准型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "128GB",
            "diskDesc": "6*300G(SAS)",
            "canRaid": "1",
            "nicDesc": "千兆网卡",
            "pid": "10711",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "M10",
            "deviceClassDisplay": "PS100",
            "useType": "标准型",
            "cpuDesc": "E5-2670v3(12核)*2",
            "memDesc": "128GB",
            "diskDesc": "12*300GB(SAS)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10532",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "M10a",
            "deviceClassDisplay": "PM101",
            "useType": "内存型",
            "cpuDesc": "E5-2670v3(12核)*2",
            "memDesc": "384G",
            "diskDesc": "12*300GB(SAS)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10791",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "M2",
            "deviceClassDisplay": "PS001",
            "useType": "标准型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "6*300G(SAS)",
            "canRaid": "1",
            "nicDesc": "千兆网卡",
            "pid": "10712",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "TS60",
            "deviceClassDisplay": "PI102",
            "useType": "大容量存储型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "12*2TB(SATA)+1*80GB(SSD)",
            "canRaid": "0",
            "nicDesc": "万兆网卡",
            "pid": "10535",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "TS80",
            "deviceClassDisplay": "PI110",
            "useType": "高性能存储型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "4*1.8TB(SSD)+1*80GB(SSD)",
            "canRaid": "0",
            "nicDesc": "万兆网卡",
            "pid": "10534",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "TS80a",
            "deviceClassDisplay": "PI111",
            "useType": "存储型",
            "cpuDesc": "E5-2670v3(12核)*2",
            "memDesc": "64G",
            "diskDesc": "4*1.8T(NVMe SSD) + 1*240G(SSD)",
            "canRaid": "0",
            "nicDesc": "万兆网卡",
            "pid": "10822",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "TS90",
            "deviceClassDisplay": "PI100",
            "useType": "均衡存储型",
            "cpuDesc": "E5-2670v3(12核)*2",
            "memDesc": "256GB",
            "diskDesc": "12*800GB(SSD)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10533",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "Y0-TS85-00",
            "deviceClassDisplay": "PI114",
            "useType": "存储型",
            "cpuDesc": "E5-2670v3(12核)*2",
            "memDesc": "512G",
            "diskDesc": "4*1.8T(NVMe SSD)  + 4*1.8T(SAS)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10810",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "Y1-B60-00",
            "deviceClassDisplay": "PC100",
            "useType": "计算型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "2*300GB(SAS)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10717",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "Y1-TS30-00",
            "deviceClassDisplay": "PI105",
            "useType": "存储型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "128GB",
            "diskDesc": "12*4T(SATA)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10720",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "Y1-TS30-11",
            "deviceClassDisplay": "PI104",
            "useType": "存储型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "8*2T(SATA)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10719",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "Z30",
            "deviceClassDisplay": "PI103",
            "useType": "存储型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "128GB",
            "diskDesc": "4*600G(SAS)+1*1.2T(高性能SSD PCIE卡)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10715",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        }
    ]
}
```
### 响应参数

响应参数部分包含两层结构，外层展示接口的响应结果，内层展示具体的接口内容，包括机型等信息。

| 参数名称    | 类型            | 描述                                       |
| ------- | ------------- | ---------------------------------------- |
| code    | Int           | 错误码，0：成功， 其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String        | 错误信息。                                    |
| data    | Array(Object) | 对象数组，数组元素为机型信息，具体结构描述如device结构所示。        |


device结构

| 参数名称               | 类型     | 描述                  |
| ------------------ | ------ | ------------------- |
| deviceClass        | String | 机型，如M10, B6。        |
| deviceClassDisplay | String | 机型显示代号。             |
| useType            | String | 使用场景类型。             |
| cpuDesc            | String | cpu信息。              |
| memDesc            | String | 内存信息。               |
| diskDesc           | String | 硬盘信息。               |
| nicDesc            | String | 网卡信息。               |
| canRaid            | Int    | 是否有RAID。1为可以， 0不可以。 |
| pid                | Int    | 此机型作为一款产品的产品ID。     |
| isSale             | Int    | 是否可以买，1为可以， 0不可以。   |
| discount           | Int    | 折扣为discount除以100。   |
| unitPrice          | Int    | 该机型折扣前的价格，单位分。      |
| realPrice          | Int    | 该机型折扣后的价格，单位分。      |


## 错误码
| 错误码   | 英文提示                  | 错误描述    |
| ----- | --------------------- | ------- |
| 9001  | InternalError.DbError | 操作数据库错误 |
| 10001 | InvalidParameter      | 参数错误    |


## 实际案例

### 输入

```
https://bm.api.qcloud.com/v2/index.php?
	Action=DescribeDeviceClass
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Region=bj
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
```
### 输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": [
        {
            "deviceClass": "B6",
            "deviceClassDisplay": "PC000",
            "useType": "计算型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "2*300GB(SAS)",
            "canRaid": "1",
            "nicDesc": "千兆网卡",
            "pid": "10716",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "M1",
            "deviceClassDisplay": "PS000",
            "useType": "标准型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "128GB",
            "diskDesc": "6*300G(SAS)",
            "canRaid": "1",
            "nicDesc": "千兆网卡",
            "pid": "10711",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "M10",
            "deviceClassDisplay": "PS100",
            "useType": "标准型",
            "cpuDesc": "E5-2670v3(12核)*2",
            "memDesc": "128GB",
            "diskDesc": "12*300GB(SAS)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10532",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "M10a",
            "deviceClassDisplay": "PM101",
            "useType": "内存型",
            "cpuDesc": "E5-2670v3(12核)*2",
            "memDesc": "384G",
            "diskDesc": "12*300GB(SAS)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10791",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "M2",
            "deviceClassDisplay": "PS001",
            "useType": "标准型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "6*300G(SAS)",
            "canRaid": "1",
            "nicDesc": "千兆网卡",
            "pid": "10712",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "TS60",
            "deviceClassDisplay": "PI102",
            "useType": "大容量存储型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "12*2TB(SATA)+1*80GB(SSD)",
            "canRaid": "0",
            "nicDesc": "万兆网卡",
            "pid": "10535",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "TS80",
            "deviceClassDisplay": "PI110",
            "useType": "高性能存储型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "4*1.8TB(SSD)+1*80GB(SSD)",
            "canRaid": "0",
            "nicDesc": "万兆网卡",
            "pid": "10534",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "TS80a",
            "deviceClassDisplay": "PI111",
            "useType": "存储型",
            "cpuDesc": "E5-2670v3(12核)*2",
            "memDesc": "64G",
            "diskDesc": "4*1.8T(NVMe SSD) + 1*240G(SSD)",
            "canRaid": "0",
            "nicDesc": "万兆网卡",
            "pid": "10822",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "TS90",
            "deviceClassDisplay": "PI100",
            "useType": "均衡存储型",
            "cpuDesc": "E5-2670v3(12核)*2",
            "memDesc": "256GB",
            "diskDesc": "12*800GB(SSD)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10533",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "Y0-TS85-00",
            "deviceClassDisplay": "PI114",
            "useType": "存储型",
            "cpuDesc": "E5-2670v3(12核)*2",
            "memDesc": "512G",
            "diskDesc": "4*1.8T(NVMe SSD)  + 4*1.8T(SAS)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10810",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "Y1-B60-00",
            "deviceClassDisplay": "PC100",
            "useType": "计算型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "2*300GB(SAS)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10717",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "Y1-TS30-00",
            "deviceClassDisplay": "PI105",
            "useType": "存储型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "128GB",
            "diskDesc": "12*4T(SATA)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10720",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "Y1-TS30-11",
            "deviceClassDisplay": "PI104",
            "useType": "存储型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "64GB",
            "diskDesc": "8*2T(SATA)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10719",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        },
        {
            "deviceClass": "Z30",
            "deviceClassDisplay": "PI103",
            "useType": "存储型",
            "cpuDesc": "E5-2620v3(6核)*2",
            "memDesc": "128GB",
            "diskDesc": "4*600G(SAS)+1*1.2T(高性能SSD PCIE卡)",
            "canRaid": "1",
            "nicDesc": "万兆网卡",
            "pid": "10715",
            "isSale": "1",
            "discount": 100,
            "unitPrice": 310000,
            "realPrice": 310000
        }
    ]
}
```

