## 功能描述

BuyDevice接口是用来购买黑石服务器，会自动扣除费用。

接口访问域名：bm.api.qcloud.com

## 请求

### 请求示例

```
https://bm.api.qcloud.com/v2/index.php?
	Action=BuyDevice
	&<公共请求参数>
	&zoneId=<可用区ID>
	&unVpcId=<私有网络ID>
	&unSubnetId=<子网ID>
	&deviceClassCode=<设备类型代号>
	&osTypeId=<操作系统类型ID>
	&raidId=<RAID类型ID>
	&timeUnit=<购买时长单位>
	&timeSpan=<购买时长>
	&goodsNum=<购买个数>
	&hasWanIp=<是否分配外网IP>
	&needSecurityAgent=<是否安装安全Agent>
	&needMonitorAgent=<是否安装监控Agent>
	&alias=<设备别名>
	&sysRootSpace=<系统盘根分区大小>
	&sysSwaporuefiSpace=<系统盘swap分区或/boot/efi分区的大小>
	&sysDataSpace=</data分区的大小>
	&hyperThreading=<是否开启超线程>
	&autoRenewFlag=<是否自动续费>
	&ipList=<购买时指定的IP地址>
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为BuyDevice。

| 参数名称               | 必选   | 类型            | 描述                                       |
| ------------------ | ---- | ------------- | ---------------------------------------- |
| zoneId             | 是    | Int           | 可用区ID。 通过接口[查询地域以及可用区(DescribeRegions)](/doc/api/456/6634)获取黑石可用区信息。 |
| unVpcId              | 是    | String           | 私有网络ID。通过接口[查询私有网络列表(DescribeBmVpcEx)](/doc/api/456/6646)获取私有网络信息, 取unVpcId字段，如vpc-8e0ypm3z |
| unSubnetId           | 是    | String           | 子网ID。 通过接口[查询子网列表(DescribeBmSubnetEx)](/doc/api/456/6648)获取私有子网信息, 取unSubnetId字段，如subnet-34xt45as |
| deviceClassCode    | 是    | String        | 设备类型代号，即购买页面中的“代号”。通过接口[查询设备型号(DescribeDeviceClass)](/doc/api/456/6636)获得设备类型信息，其中"deviceClassDisplay"字段即是deviceClassCode所要取的值。 |
| osTypeId           | 是    | Int           | 操作系统类型ID。通过接口[查询操作系统列表(DescribeOs)](/doc/api/456/6727)获取操作系统信息。 |
| raidId             | 是    | Int           | RAID类型ID。通过接口[查询机型RAID方式以及系统盘大小(DescribeDeviceClassPartition)](/document/api/386/7370)获取RAID信息。 |
| timeUnit           | 是    | String        | 购买时长单位。 m：按月购买。                          |
| timeSpan           | 是    | Int           | 购买时长。                                    |
| goodsNum           | 是    | Int           | 购买个数。                                    |
| hasWanIp           | 否    | Int           | 是否分配外网IP。0: 不分配； 1: 分配。 默认不分配。           |
| needSecurityAgent  | 否    | Int           | 是否安装安全Agent。 0：不安装； 1：安装。 默认不安装。         |
| needMonitorAgent   | 否    | Int           | 是否安装监控Agent。 0：不安装； 1：安装。 默认不安装。         |
| alias              | 否    | String        | 设备别名。如果购买多台机器，别名自动编号。                    |
| sysRootSpace       | 否    | Int           | 系统盘根分区大小，单位为GB。默认是10G。系统盘的大小参见接口 [查询机型RAID方式以及系统盘大小(DescribeDeviceClassPartition)](/document/product/386/7370)。 |
| sysSwaporuefiSpace | 否    | Int           | 系统盘swap分区或/boot/efi分区的大小，单位为GB。若是uefi启动的机器，分区为/boot/efi，且此值是默认是2G。 普通机器为swap分区，可以不指定此分区。 机型是否是uefi启动，参见接口 [查询设备型号(DescribeDeviceClass)](/doc/api/456/6636)。 |
| sysDataSpace       | 否    | Int           | /data分区的大小，单位为GB。如果系统盘还有剩余大小，会分配给/data分区。(特殊情况: 如果剩余空间不足10G，并且没有指定/data分区，则剩余空间会分配给Root分区。) |
| hyperThreading     | 否    | Int           | 是否开启超线程。0：关闭；1：开启。默认开启。                  |
| autoRenewFlag      | 否    | Int           | 是否自动续费。0：不自动续费（默认值）；1：自动续费。              |
| ipList             | 否    | Array(String) | 购买时指定的IP地址。                              |


## 响应

### 响应示例

```
{
  "code": 0,
  "message": "OK",
  "data": {
    "dealNames": [
      "20160721110015"
    ],
    "resourceIds": {
      "20160721110015": [
        "dcpm-iizn577x",
        "dcpm-ntlsj9gh"
      ]
    }
  }
}
```

### 响应参数

响应参数部分包含两层结构，外层展示接口的响应结果，内层展示具体的接口内容，包括订单号以及物理机ID等信息。

| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0：成功，其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |
| data    | Object | 返回订单的信息。具体结构描述如data结构所示。                 |

data结构

| 参数名称        | 类型            | 描述                              |
| ----------- | ------------- | ------------------------------- |
| dealNames   | Array(String) | 字符串数组，数组元素为订单号。                 |
| resourceIds | Object        | 以订单号为key，对应的值为字符串数组，数组元素为物理机ID。 |


## 错误码
| 错误码    | 英文提示                          | 错误描述          |
| ------ | ----------------------------- | ------------- |
| 9009   | InternalError.TradeError      | 腾讯内部交易失败      |
| 100001 | InvalidParameter              | 参数错误          |
| 100004 | OperationDenied.NoPermission  | 不支持此项操作       |
| 500008 | TradeError.QueryPriceError    | 询价失败          |
| 100002 | TradeError.DbError            | 交易DB操作失败      |
| 100612 | TradeError.CouponInvalid      | 无效的代金券        |
| 700104 | TradeError.GoodsConfigInvalid | 获取商品配置失败      |
| 700108 | TradeError.GoodsCodeInvalid   | 商品ID无效        |
| 700102 | TradeError.CheckGoodsError    | 业务参数校验失败      |
| 700110 | TradeError.OperationDenied    | 不允许对商品进行对应操作  |
| 700007 | TradeError.ResourceLimit      | 购买数量超过限制      |
| 100207 | TradeError.InsufficientMoney  | 余额不足          |
| 100200 | TradeError.PayFail            | 支付失败          |
| 100188 | TradeError.BillPartialError   | 支付成功但部分订单发货失败 |
| 500006 | TradeError.PayingError        | 支付过程出错        |

## 实际案例

### 输入

```
https://bm.api.qcloud.com/v2/index.php?	
	Action=BuyDevice
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Region=bj
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
	&zoneId=1000800001
	&unVpcId=vpc-8e0ypm3z
	&unSubnetId=subnet-34xt45as
	&deviceClassCode=PS100
	&osTypeId=2
	&raidId=3
	&timeUnit=m
	&timeSpan=2
	&goodsNum=5
	&hasWanIp=1
	&needSecurityAgent=1
	&alias=实例名
```
### 输出

```
{
  "code": 0,
  "message": "OK",
  "data": {
    "dealNames": [
      "20160721110015"
    ],
    "resourceIds": {
      "20160721110015": [
        "dcpm-iizn577x",
        "dcpm-ntlsj9gh"
      ]
    }
  }
}
```