## 功能描述

ResetDevicePasswd接口用来重置物理服务器root密码。

接口访问域名：bm.api.cloud.tencent.com

 * 本接口是异步操作，需要通过另外接口查询操作完成状态[查询异步任务状态(DescriptionOperationResult)](/doc/api/456/6644)。
 * 接口支持批量修改服务器密码


## 请求

### 请求示例

```
https://bm.api.cloud.tencent.com/v2/index.php?
	Action=ResetDevicePasswd
	&<公共请求参数>
	&instanceIds.1=<设备ID1>
	&instanceIds.2=<设备ID2>
	&passwd=<密码>
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为ResetDevicePasswd。

| 参数名称          | 必选   | 类型     | 描述                                       |
| ------------- | ---- | ------ | ---------------------------------------- |
| instanceIds.n | 是    | String | 待操作的设备ID。可通过 [查询服务器(DescribeDeviceList)](/doc/api/456/6728) API返回值中的 instanceId 获取（此接口支持同时传入多个ID。此参数的具体格式可参考[API简介](/doc/api/456/6628)的`id.n`一节）。 |
| passwd        | 是    | String | 密码。 密码需要8-16个字符，至少包含英文、数字和符号!@#$%&^*()中的2种。 |

## 响应

### 响应示例

```
{
  "code": 0,
  "message": "OK",
  "data": {
       “taskId”: 101
   }
}
```

### 响应参数

响应参数部分包含两层结构，外层展示接口的响应结果，内层展示具体的接口内容，包括异步操作的ID等信息。

| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0：成功，其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |
| data    | Object | 返回异步操作的ID信息，具体结构描述如data结构所示。             |

data结构

| 参数名称   | 类型   | 描述                        |
| ------ | ---- | ------------------------- |
| taskId | Int  | 以taskId为key，对应的值为异步操作的ID。 |


## 错误码
| 错误码   | 英文提示                                    | 错误描述             |
| ----- | --------------------------------------- | ---------------- |
| 9001  | InternalError.DbError                   | 操作数据库错误          |
| 9005  | InternalError.RbmqError                 | 操作系统队列错误         |
| 9008  | InternalError.TscRequestFail            | 请求内部后端接口错误       |
| 10001 | InvalidParameter                        | 参数错误             |
| 12002 | OperationDenied.IncorrectInstanceStatus | 设备不能重置密码         |
| 12006 | OperationDenied.TsysAgentNotAlive       | agent不存在，无法进行此操作 |


## 实际案例

### 输入

```
https://bm.api.qcloud.com/v2/index.php?
	Action=ResetDevicePasswd
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Region=bj
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
	&instanceIds.1=cpm-34xs43xs
	&instanceIds.2=cpm-3xwssdfx
	&passwd=abce1234
```
### 输出

```
{
  "code": 0,
  "message": "OK",
  "data": {
       “taskId”: 101
   }
}

```




