## 功能描述
本接口(CreateBmVpc)用于创建黑石私有网络。

接口请求域名：<font style="color:red">bmvpc.api.qcloud.com</font>

1) 用户可以创建的最小网段子网掩码为28（有16个IP地址），最大网段子网掩码为16（65,536个IP地址）,如果规划VPC网段请参见VPC网段规划说明。
2) 创建VPC时可同时把子网创建好，创建子网也请规划好子网网段，同一个VPC内子网网段不能重叠。
4) 同一个地域能创建的VPC资源个数也是有限制的，每个租户最多允许创建5个VPC,如果需要扩充请联系在线客服。 

 

## 请求

### 请求示例

```
GET https://bmvpc.api.qcloud.com/v2/index.php?
  &Action=CreateBmVpc
  &<公共请求参数>
  &vpcName=<VPC名称>
  &cidrBlock=<VPC CIDR网段>
  &subnetSet.0.subnetName=<子网名称>
  &subnetSet.0.cidrBlock=<子网CIDR段>
  &zoneId=<可用区>

```

### 请求参数
 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/229/6976" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为CreateBmSubnet。

| 参数名称 | 描述  | 类型 | 是否必选 |
|---------|---------|---------|---------|
| vpcName | 私有网络名称，可任意命名，但不得超过60个字符。 | String | 是 |
| cidrBlock | VPC网段,可选值 10.0.0.0/16、172.16.0.0/16和192.168.0.0/16及它们包含的子网，详见VPC网段规划说明。 | String | 是 |
| subnetSet.n | 子网信息数组，创建VPC时可以同时创建子网，可选项。 | Array | 否 |
| subnetSet.n.subnetName | 子网名称，可任意命名，但不得超过60个字符。 | String | 是 |
| subnetSet.n.cidrBlock | 子网网段，子网网段必须在VPC网段内，相同VPC内子网网段不能重叠。 | String | 是 |
| zoneId | VPC所在的可用区ID，不同子网选择不同可用区可以做跨可用区灾备，取值范围 北京一区：1000800001，北京二区：1000800002，上海一区：1000400001 ，广州一区：1000100003。 | String | 是 | 

 

## 响应

### 响应示例

```

{
	"code": 0,
	"message": "",
	"data": {
		"taskId": <创建vpc任务ID>
	}
}

```
### 响应参数

| 参数名称 | 描述 | 类型 |
|---------|---------|---------|
| code | 错误码。0：成功, 其他值：失败 | int |
| message | 错误信息 | string |
| data | 返回操作的任务ID，创建结果可调用<a href="/document/product/386/9267" title="查询VPC的生产状态">查询VPC的生产状态</a>查询 | Array |

## 错误码
 
| 错误代码 |英文提示| 描述 |
|--------|---------|---------|
| 16007  | BmVpcInvalidCidr | VPC CIDR不合法，VPC CIDR取值范围：10.0.0.0/16、172.16.0.0/16和192.168.0.0/16及它们包含的子网，详见VPC网段规划说明。 |
| 16001  | BmVpcLimitExceeded | 您已经达到指定区域vpc资源申请数量上限，如果需要更多资源，请联系客服申请。 |



## 实际案例

### 输入
```

GET https://bmvpc.api.qcloud.com/v2/index.php?
  &Action=CreateBmVpc
  &SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
  &Nonce=6791
  &Timestamp=1507777243
  &Region=bmbj
  &Signature=RLfmJ0mnkm2Fla4zbTGABkRA%2Ft4%3D
  &vpcName=bmvpc1
  &cidrBlock=192.168.0.0/16
  &subnetSet.0.subnetName=bmvpcsubnet1
  &subnetSet.0.cidrBlock=192.168.1.0/24
  &zoneId=1000800001
```

### 输出
```

{
	"code": 0,
	"message": "",
	"data": {
		"taskId": 9641
	}
}

```

