## 功能描述
 
本接口（DeleteBmSubnet）用于创建黑石私有网络子网。
接口访问域名: bmvpc.api.qcloud.com

删除子网前，请清理该子网下所有资源，包括物理机、负载均衡、黑石数据库、弹性IP、NAT网关等资源

## 请求

### 请求示例

```
GET https://bmvpc.api.qcloud.com/v2/index.php?
  &Action=DeleteBmSubnet
  &<公共请求参数>
  &unVpcId=<VPC实例ID>&unSubnetId=<子网ID>

```

### 请求参数

 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/229/6976" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DeleteBmSubnet。

| 参数名称 | 描述 | 类型 | 必选 |
|---------|---------|---------|---------|
| unVpcId | 子网所属的私有网络ID值，例如：vpc-kd7d06of。可通过DescribeBmVpcEx接口查询。 | String | 是 |
| unSubnetId | 要删除的子网ID值，例如：subnet-k20jbhp0。可通过DescribeBmSubnetEx接口查询。 | String | 是 |
 

## 响应

### 响应示例

```

{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}

```
### 响应参数

| 参数名称 | 描述 | 类型 |
|---------|---------|---------|
| code | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="/document/product/386/6725" title="公共错误码">公共错误码</a>。| Int |
| message | 模块错误信息描述，与接口相关。| String |


## 错误码
 
| 错误代码 |英文提示| 描述 |
|--------|---------|---------|
| -3047  | InvalidBmVpc.NotFound | 无效的VPC。VPC资源不存在，请再次核实您输入的资源信息是否正确，可通过DescribeBmVpcEx接口查询VPC。 |
| -3001  | InvalidInputParams | 输入参数不符合指定格式。 |
| -3051  | BmVpc.SubnetNotExist | 无效的子网。子网资源不存在，请再次核实您输入的资源信息是否正确，可通过DescribeBmSubnetEx接口查询子网。 |
| -3067  | BmVpc.SubnetCannotDelete | 子网不能删除，子网下有资源。 |


## 实际案例

### 输入
```

GET https://bmvpc.api.qcloud.com/v2/index.php?Action=DeleteBmSubnet
	&SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
    &Nonce=6791
    &Timestamp=1507777243
    &Region=bj
    &Signature=RLfmJ0mnkm2Fla4zbTGABkRA%2Ft4%3D
	&unVpcId=vpc-kd7d06of
    &unSubnetId=subnet-1so5ae8m
```

### 输出
```

{
    "code": 0,
    "message": "",
    "codeDesc": "Success"
}

```

