## 功能描述
QueryBmTaskResult 用于查询黑石物理机加入、移除子网操作任务的状态。

接口请求域名：bmvpc.api.qcloud.com。


## 请求

### 请求示例
```
GET https://bmvpc.api.qcloud.com/v2/index.php?Action=QueryBmTaskResult
    &<公共请求参数>
    &taskId=<任务ID>
```
### 请求参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为QueryBmTaskResult。

| 参数名称   |  描述    | 类型     |必选 |
| ------ | ---- | ------ | ----- |
| taskId |   任务ID。 |String |是    |


## 响应
### 响应示例
```
{
    "code": "0",
    "message": "",
    "data": {
        "status": <任务执行状态>
    }
}
```
### 响应参数

| 参数名称        |  描述                     |类型     |
| ----------- | ------ | ---------------------- |
| code        | 公共错误码, 0表示成功，其他值表示失败。  | Int    |
| message     |模块错误信息描述，与接口相关。        | String | 
| data.status | 0为执行成功，1为执行失败，2为正在执行中。 | Int    |


## 实际案例
### 输入
```
GET https://bmvpc.api.qcloud.com/v2/index.php?
	Action=QueryBmTaskResult
	&SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
    &Nonce=6791
    &Timestamp=1507777243
    &Region=bj
    &Signature=RLfmJ0mnkm2Fla4zbTGABkRA%2Ft4%3D
	&taskId=9999
```

### 输出
```
{
    "code": "0",
    "message": "",
    "data": {
        "status": 1
    }
}
```
