## 功能描述 
本接口（DescribeBmCpmBySubnetId）用于查询加入到子网的所有物理机列表。

接口访问域名: bmvpc.api.qcloud.com



## 请求

### 请求示例

```
GET https://bmvpc.api.qcloud.com/v2/index.php?
  &Action=DescribeBmCpmBySubnetId
  &<公共请求参数>
  &unVpcId=<VPC实例ID>&unSubnetId=<子网ID>

```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/229/6976" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeBmCpmBySubnetId。

| 参数名称 | 描述 | 类型 | 必选 |
|---------|---------|---------|---------|
| unVpcId | 子网所属的私有网络ID值，例如：vpc-kd7d06of。可通过DescribeBmVpcEx接口查询。 | String | 是 |
| unSubnetId | 要删除的子网ID值，例如：subnet-k20jbhp0。可通过DescribeBmSubnetEx接口查询。 | String | 是 |

## 响应

### 响应示例

```

{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "cpmSet": [
        {
            "instanceId": <物理机实例ID>
        },
    ]
}

```
### 响应参数

响应结构部分包含两层，外层展示接口的响应接口，内层展示具体的接口内容（此接口中为物理机实例ID列表）

| 参数名称 | 描述 | 类型 |
|---------|---------|---------|
| code | 错误码, 0: 成功, 其他值: 失败，具体含义可以参考[错误码](/document/product/386/6725)。 | Int |
| message | 错误信息 | String |
| cpmSet.n | 物理机信息。| Array |
| cpmSet.n.instanceId | 物理机资源的唯一ID，示例:cpm-6y3le68b。| String |


## 错误码

|错误代码|英文提示|错误描述|
|--------|---------|---------|
| -3047  | InvalidBmVpc.NotFound | 无效的VPC。VPC资源不存在，请再次核实您输入的资源信息是否正确，可通过DescribeBmVpcEx接口查询VPC。 |
| -3001  | InvalidInputParams | 输入参数不符合指定格式。 |
| -3051  | BmVpc.SubnetNotExist | 无效的子网。子网资源不存在，请再次核实您输入的资源信息是否正确，可通过DescribeBmSubnetEx接口查询子网。 |


## 实际案例

### 输入

```

GET https://bmvpc.api.qcloud.com/v2/index.php?Action=DescribeBmCpmBySubnetId
	&SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
    &Nonce=6791
    &Timestamp=1507777243
    &Region=bj
    &Signature=RLfmJ0mnkm2Fla4zbTGABkRA%2Ft4%3D
	&unVpcId=vpc-kd7d06of
    &unSubnetId=subnet-1so5ae8m
```

### 输出

```

{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "cpmSet": [
        {
            "instanceId": "cpm-6y3le68b"
        },
        {
            "instanceId": "cpm-4713mhup"
        }
    ]
}

```
