## 功能描述 
本接口（DescribeBmSubnetByCpmId）用于查询物理机加入的子网列表。

接口访问域名: bmvpc.api.qcloud.com

## 请求

### 请求示例

```
GET https://bmvpc.api.qcloud.com/v2/index.php?
  &Action=DescribeBmSubnetByCpmId
  &<公共请求参数>
  &instanceId=<物理机实例ID>

```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/229/6976" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeBmSubnetByCpmId。

| 参数名称 | 描述 | 类型 | 必选 |
|---------|---------|---------|---------|
| instanceId | 物理机资源的唯一ID，例如：cpm-kd7d06of。可通过DescribeDevice接口查询。 | String | 是 |

## 响应

### 响应示例

```

{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "subnetSet": [
        {
            "unVpcId": <私有网络唯一ID>,
            "vpcId": <私有网络ID>,
            "subnet": <私有网络子网>,
            "cidr": <子网网段>
        }
    ]
}

```
### 响应参数 

| 参数名称 | 描述 | 类型 |
|---------|---------|---------|
| code | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="/document/product/386/6725" title="公共错误码">公共错误码</a>。| Int |
| message | 模块错误信息描述，与接口相关。| String |
| subnetSet.n | 子网信息。| Array |
| subnetSet.n.unVpcId | 子网所属的私有网络唯一ID值。| String |
| subnetSet.n.vpcId | 子网所属的私有网络的整形ID值。| String |
| subnetSet.n.cidr | 子网的CIDR。| String |

## 错误码

|错误代码|英文提示|错误描述|
|--------|---------|---------|
| -3244  | BmVpc.InvalidInstanceId | 无效的物理机资源ID，可通过DescribeDevice接口查询物理机资源ID。 |



## 实际案例

### 输入

```

GET https://bmvpc.api.qcloud.com/v2/index.php?Action=DescribeBmSubnetByCpmId
	&SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
    &Nonce=6791
    &Timestamp=1507777243
    &Region=bj
    &Signature=RLfmJ0mnkm2Fla4zbTGABkRA%2Ft4%3D
	&instanceId=cpm-2bnempu5
```

### 输出

```

{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "subnetSet": [
        {
            "unVpcId": "vpc-34cxlz7z",
            "vpcId": 4097,
            "subnet": "10.10.2.0",
            "cidr": "10.10.2.0/24"
        }
    ]
}

```

