## 功能描述 
本接口（DelBmInterface）用于物理机从VLANID不为5的子网中移除。

接口请求域名：bmvpc.api.qcloud.com

1) 不能从vlanId 为5的子网中移除。
2) 每次调用最多能支持传入10台物理机。

## 请求

### 请求示例

```
GET https://bmvpc.api.qcloud.com/v2/index.php?
  &Action=DelBmInterface
  &<公共请求参数>
  &unVpcId=<私有网络唯一ID>
  &unSubnetId=<子网唯一ID>
  &instanceIds.0=<物理机实例ID>

``` 

### 请求参数
 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DelBmInterface。

| 参数名称 | 描述 | 类型 | 必选  |
|---------|---------|---------|---------|
| unVpcId | 子网所属的私有网络ID值，例如：vpc-kd7d06of。可通过DescribeBmVpcEx接口查询。 | String | 是 |
| unSubnetId | 要删除的子网ID值，例如：subnet-k20jbhp0。可通过DescribeBmSubnetEx接口查询。 | String | 是 |
| instanceIds | 物理机唯一ID，例如：cpm-k20jbhp0。可通过DescribeDeviceClass接口查询。每次最多支持10台机器加入子网 | Array | 是 |

 

## 响应

### 响应示例

```

{
    "code": 0,
    "message": "",
    "data": {
        "taskId": <异步任务ID>,
        "resourceIds": [ <物理机实例ID>,]
    }
}

```

### 响应参数 

| 参数名称 | 描述 | 类型 |
|---------|---------|---------|
| code | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="/document/product/386/6725" title="公共错误码">公共错误码</a>。| Int |
| message | 模块错误信息描述，与接口相关。| String |
| data | 返回操作的任务ID。| Array |


## 错误码
 
| 错误代码 |英文提示| 描述 |
|--------|---------|---------|
| -3047  | InvalidBmVpc.NotFound | 无效的VPC,VPC资源不存在，请再次核实您输入的资源信息是否正确。 |
| 17001  | BmVpc.InvalidSubnet | 无效的子网,子网资源不存在，请再次核实您输入的资源信息是否正确。 |
| 17003  | BmVpc.InvalidVlanId | 子网VLANID 不合法。 |
| 11041  | BmVpc.InvalidInstanceId | 无效的物理机,物理机不存在。 |

## 实际案例

### 输入

```

GET https://bmvpc.api.qcloud.com/v2/index.php?Action=DelBmInterface
    &SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
    &Nonce=6791
    &Timestamp=1507777243
    &Region=bj
    &Signature=RLfmJ0mnkm2Fla4zbTGABkRA%2Ft4%3D
    &unVpcId=vpc-34cxlz7z
    &unSubnetId=subnet-pohv7d8w
    &instanceIds.0=tcpm-rewhxuo7
```

### 输出
```

{
    "code": 0,
    "message": "",
    "data": {
        "taskId": 9641,
        "resourceIds": ["tcpm-rewhxuo7"]
    }
}

```

