为了帮助用户快速使用黑石物理服务器私有网络API，这里罗列一下操作步骤，希望够引导用户使用API服务实现物理服务器的虚拟化。

## 物理服务器加入虚拟子机所在子网

#### 步骤一：规划好虚拟子机所属子网
当物理机（母机）所属子网与虚拟子机所属子网在同一个子网的时候，无须执行下面的步骤。
当物理机（母机）所属子网和虚拟子机所属子网不在同一个子网的时候，需要先调用创建子网接口创建子网，子网的VLAN ID 取值范围为2000-2999.详情请查看<a href="https://cloud.tencent.com/document/api/386/9263"><<创建子网>></a>接口

#### 步骤二：物理服务器加入虚拟子机所在子网
物理机（母机）只能加入VLANID 为2000 -2999的子网，不支持加入VLANID 为5的子网，详情请查看<a href="https://cloud.tencent.com/document/api/386/9265">物理机加入子网</a>接口


#### 步骤三：查询任务状态
根据第二步返回的taskId，调用查询任务状态接口查询物理机是否成功加入虚拟子机所属子网，详情请查看<a href="https://cloud.tencent.com/document/api/386/9267"><<查询任务状态>></a>接口

#### 步骤四：申请虚拟子机子网IP
接着，需要调用IP分配接口进行IP地址分配，如果不需要指定IP地址分配，可以调用<a href="https://cloud.tencent.com/document/api/386/7337">申请子网IP接口</a>进行IP分配，如果需要指定IP地址分配，可以调用<a href="https://cloud.tencent.com/document/api/386/7925">注册子网IP接口</a>进行IP注册。为了避免您的IP地址资源冲突，请您对已使用的IP进行注册，避免发生IP冲突的情况。

#### 步骤五：配置虚拟机网络
最后，我们需要把已经分配出来的IP地址配置到虚拟机上，这样虚拟机就能正常访问虚拟子机所属子网的网关了。


同时，我们还提供了其他相关接口：

## 物理服务器移除虚拟子机所在子网。
当虚拟子机销毁的时候，我们需要调用<a href="https://cloud.tencent.com/document/api/386/7338">退还IP地址接口</a>把虚拟子机所使用的IP地址进行释放，避免占用IP资源。当物理服务器上的所有虚拟子机都已经被销毁的时候，请及时调用物理服务器移除子网接口，清理机器在交换机上的配置。

## 查询子网IP分配列表。

黑石私有网络提供了查询子网所有已分配IP列表的接口，<a href="https://cloud.tencent.com/document/api/386/9318">详情请查看</a>。

## 查询物理机加入的子网列表。

黑石私有网络提供了查询物理机加入的子网列表的接口，<a href="https://cloud.tencent.com/document/api/386/9320">详情请查看</a>。

## 查询加入到子网的所有物理机列表。

黑石私有网络提供了查询加入到子网的所有物理机列表接口，<a href="https://cloud.tencent.com/document/api/386/9319">详情请查看</a>。


## 补充说明：
子网创建的时候，交换机上并没有子网相关的配置，当服务器加入子网的时候，服务器的上联交换机上配置该子网的网关地址以及增加相关路由信息。

802.1Q的VLAN是在二层帧里加进VLAN标识，俗称打tag。交换机的一个端口在分到一个VLAN时有tag和untag属性两种属性，untag就是普通的ethernet报文，普通PC机的网卡是可以识别这样的报文进行通讯；

设备互连时，由tag中的VLANID决定了一个二层帧属于哪个VLAN，需要给连接计算机的端口添加一个属性，用来决定计算机发出的未标记的帧属于哪个VLAN，这个属性就是PVID。交换机Trunk端口属于多个VLAN,所以需要设置PVID。

交换机trunk端口模式发送报文：比较端口的PVID和将要发送报文的VLAN信息，如果两者相等则剥离VLAN信息，再发送，否则报文将携带原有的VLAN标记进行转发。

交换机trunk端口模式接收报文：收到一个报文，判断是否有VLAN信息：如果没有则打上端口的PVID，并进行交换转发，如果有判断该trunk端口是否允许该 VLAN的数据进入：如果允许则报文携带原有VLAN标记进行转发，否则丢弃该报文。

所以在物理机上做虚拟化把物理机带tag 加入虚拟机所在子网，这样，虚拟机发出去的报文能被交换机正常转发出去，同时发往虚拟机的携带VLAN TAG的报文也能被交换机正常转发。
