欢迎使用腾讯云黑石服务器（Cloud Physical Machine）。

腾讯云黑石服务器（Cloud Physical Machine，以下又称CPM）运行在腾讯数据中心，它提供了可以弹性伸缩的计算服务，可以根据业务需要来构建和托管软件系统。

黑石物理服务器向用户提供弹性的计算、存储和网络资源。用户可以使用本文档介绍的 API，并参照相应的示例，对黑石物理服务器进行相关操作：如创建、更改带宽、重启等；支持的全部操作可参见[API概览页](/doc/api/456/6632)。

请确保在使用这些接口前，已充分了解了[黑石物理服务器](/document/product/386/7031)。


## 1. 术语表
本文档涉及的一些常用术语如下：

| 术语 | 全称  | 中文 | 说明 |
|---------|---------|---------|---------|
| Instance | Instance |服务器实例|指代一台黑石物理服务器。
| EIP | Elastic IP | [弹性IP](https://cloud.tencent.com/doc/product/213/%E5%BC%B9%E6%80%A7%E5%85%AC%E7%BD%91IP%EF%BC%88EIP%EF%BC%89#1.-eip.E7.AE.80.E4.BB.8B) | 弹性IP是公网IP的一种。与普通公网IP不同的是，弹性IP归属于用户账户而不是实例；实例与公网IP的映射关系随时可以更改。 |
| Zone | Zone | [可用区](https://cloud.tencent.com/doc/product/213/497#2.-.E5.8F.AF.E7.94.A8.E5.8C.BA) | 指腾讯云在同一[地域](https://cloud.tencent.com/doc/product/213/497#1.-.E5.9C.B0.E5.9F.9F)内电力和网络互相独立的物理数据中心。目标是能够保证可用区之间故障相互隔离，不出现故障扩散，使得用户的业务持续在线服务。 |
|包年包月 | 包年包月 | 包年包月 |	一种计费模式，参看[计费模式说明](https://cloud.tencent.com/doc/product/213/2180#1.-.E5.8C.85.E5.B9.B4.E5.8C.85.E6.9C.88)。|
|按量计费| 按量计费 | 按量计费 |	一种计费模式，参看[计费模式说明](https://cloud.tencent.com/doc/product/213/2180#2.-.E6.8C.89.E9.87.8F.E8.AE.A1.E8.B4.B9)。|

#### 输入参数与返回参数释义
* limit 和 offset

	>用来控制分页的参数；当相应结果是列表形式时，如果数量超过了 limit 所限定的值，那么只返回limit个值。用户可以通过 limit 和 offset 两个参数来控制分页：limit 为单次返回的最多条目数量，offset 为偏移量。
	>举例来说，参数 offset=0&limit=20 返回第0到20项，offset=20&limit=20 返回第20到40项，offset=40&limit=20 返回第40到60项；以此类推。
	
* id.n

	>同时输入多个参数的格式。当遇到形如这样的格式时，那么该输入参数可以同时传多个。例如：
	
	> id.0=10.12.243.21&id.1=10.11.243.21&id.2=10.12.243.21&id.3=10.13.243.21...
	
	> 以此类推（以下标0开始）。


## 2. API快速入门

CPM API的使用方式这里针对几个典型的使用场景来说明：

1. 通过使用 [购买服务器](/doc/api/456/6638) API，提供可用区ID、OS类型、服务器机型等一些必要的信息，即可立刻创建一个按量计费的黑石服务器。
2. 如需关闭服务器，可以使用 [关闭服务器](/doc/api/456/6639) API。关闭后，服务器将不再运行。


## 3. 使用限制 
* CPM API 调用配额为：1000次/分钟；且单一API不超过100次/分钟。

* 更具体的限制请参考每个API接口文档或是产品文档。



