## 功能描述

ModifyUserCmd接口用来修改脚本名称或内容。

接口访问域名：bm.api.qcloud.com

## 请求

### 请求示例
```
https://bm.api.qcloud.com/v2/index.php?
	Action=ModifyUserCmd
	&<公共请求参数>
	&cmdId=<脚本ID>
	&alias=<脚本名称>
```

### 请求参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为ModifyUserCmd。

| 参数名称    | 必选   | 类型     | 描述                      |
| ------- | ---- | ------ | ----------------------- |
| cmdId   | 是   |  String | 待修改的脚本ID。	|
| alias   | 否    | String | 待修改的脚本名称。                   |
| content | 否    | String | 待修改的脚本内容，必须经过base64编码。                   |

说明：alias和content必须填其中一项。

## 响应

### 响应示例
```
{
  "message": "",
  "code": 0
}
```

### 响应参数
| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0：成功， 其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |


## 错误码

| 错误码   | 英文提示                  | 错误描述    |
| ----- | --------------------- | ------- |
| 9001  | InternalError.DbError | 操作数据库错误 |
| 10001 | InvalidParameter      | 参数错误    |
| 18001 | InvalidCmdName        | 无效的脚本名称   |
| 18003 | InvalidCmdContent     | 无效的脚本内容    |
| 18005 | InvalidCmdId          | 无效的脚本ID        |
| 18007 | InvalidCmdItem        | 不存在待修改脚本修改项      |
| 18008 | CmdNotExist           | 不存在待修改的脚本        |


## 实际案例

### 输入

```
https://bm.api.qcloud.com/v2/index.php?
	Action=ModifyUserCmd
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
	&cmdId=cmd-nozcbhuw
	&alias=hello_world
```

### 输出

```
{
  "message": "",
  "code": 0
}
```