## 功能描述

DeleteUserCmd接口用来删除指定的脚本。

接口访问域名：bm.api.qcloud.com

## 请求

### 请求示例
```
https://bm.api.qcloud.com/v2/index.php?
	Action=DeleteUserCmd
	&<公共请求参数>
	&cmdIds.0=<脚本ID0>
	&cmdIds.1=<脚本ID1>
```

### 请求参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为DeleteUserCmd。

| 参数名称    | 必选   | 类型     | 描述                      |
| ------- | ---- | ------ | ----------------------- |
| cmdIds   | 是    | Array(String) | 脚本ID数组。                   |


## 响应

### 响应示例
```
{
  "message": "",
  "code": 0
}
```

### 响应参数
| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0：成功， 其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |


## 错误码

| 错误码   | 英文提示                  | 错误描述    |
| ----- | --------------------- | ------- |
| 9001  | InternalError.DbError | 操作数据库错误 |
| 10001 | InvalidParameter      | 参数错误    |
| 18005 | CmdIdInvalid          | 无效的脚本ID   |
| 18006 | CmdNotExist           | 不存在待删除的脚本        |



## 实际案例

### 输入

```
https://bm.api.qcloud.com/v2/index.php?
	Action=DeleteUserCmd
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
	&alias=sort
	&cmdIds.0=sort
```

### 输出

```
{
  "message": "",
  "code": 0
}
```