## 功能描述

AddUserCmd接口用来新建脚本。

接口访问域名：bm.api.qcloud.com

## 请求

### 请求示例
```
https://bm.api.qcloud.com/v2/index.php?
	Action=AddUserCmd
	&<公共请求参数>
	&alias=<脚本名称>
	&osType=<适用系统>
	&content=<脚本内容>
```

### 请求参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为AddUserCmd。

| 参数名称    | 必选   | 类型     | 描述                      |
| ------- | ---- | ------ | ----------------------- |
| alias   | 是    | String | 脚本名称。                   |
| osType  | 是    | String | 适用系统，“linux”或“xserver”。 |
| content | 是    | String | 脚本内容，必须经过base64编码。                   |


## 响应

### 响应示例
```
{
  "message": "",
  "code": 0
}
```

### 响应参数
| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0：成功， 其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |


## 错误码

| 错误码   | 英文提示                  | 错误描述    |
| ----- | --------------------- | ------- |
| 9001  | InternalError.DbError | 操作数据库错误 |
| 10001 | InvalidParameter      | 参数错误    |
| 18001 | InvalidCmdName        | 无效的脚本名称   |
| 18002 | InvalidOS             | 无效的操作系统类型     |
| 18003 | InvalidCmdContent     | 无效的脚本内容    |
| 18004 | LimitCmdCount        | 自定义脚本数量已达上限 |

## 实际案例

### 输入

```
https://bm.api.qcloud.com/v2/index.php?
	Action=AddUserCmd
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
	&alias=hello
	&osType=linux
	&content=IyEvYmluL2Jhc2gKCmVjaG8gImhlbGxvIg==
```

### 输出

```
{
  "message": "",
  "code": 0
}
```