## 功能描述

GetUserCmd接口用来获取指定的脚本信息。

接口访问域名：bm.api.qcloud.com

## 请求

### 请求示例
```
https://bm.api.qcloud.com/v2/index.php?
	Action=GetUserCmd
	&<公共请求参数>
	&cmdId=<脚本ID>
```

### 请求参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为GetUserCmd。

| 参数名称              | 必选   | 类型            | 描述                                       |
| ----------------- | ---- | ------------- | ---------------------------------------- |
| cmdId            | 是    | String           | 脚本ID。                        |



## 响应

### 响应示例
```
{
  "code": 0,
  "message": "",
  "data": {
    "autoId": "56",
    "alias": "hello",
    "cmdId": "cmd-nozcbhuw",
    "osType": "linux",
    "referenceProject": "",
    "content": "IyEvYmluL2Jhc2gKCmVjaG8gImhlbGxvIg==",
    "createTime": "2017-10-19 19:29:35",
    "modifyTime": "2017-10-20 00:26:55",
    "appId": "251000873"
  }
}
```

### 响应参数
响应参数部分包含两层结构，外层展示接口的响应结果，内层展示具体的接口内容，包括脚本详细信息。

| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0：成功， 其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |
| data    | Object | 脚本信息，具体结构描述如data结构所示。                    |


data结构

| 参数名称          | 类型     | 描述                                       |
| ------------- | ------ | ---------------------------------------- |
| autoId       | String  | 自动编号。		|
| cmdId        | String | 脚本ID。                                  |
| alias        | String | 脚本名称。                                  |
| osType  | String | 适用系统。                                  |
| referenceProject | String | 暂不使用。|
| content | String | 脚本内容，base64编码后的值。|
| createTime  | 日期时间 | 脚本创建时间。                                  |
| modifyTime    | 日期时间 | 脚本修改结束时间。                     |
| appId  | String | 用户appId。 |
    
    
## 错误码

| 错误码   | 英文提示                  | 错误描述    |
| ----- | --------------------- | ------- |
| 9001  | InternalError.DbError | 操作数据库错误 |
| 10001 | InvalidParameter      | 参数错误    |


## 实际案例

### 输入

```
https://bm.api.qcloud.com/v2/index.php?
	Action=GetUserCmd
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
	&cmdId=cmd-nozcbhuw
```

### 输出

```
{
  "code": 0,
  "message": "",
  "data": {
    "autoId": "56",
    "alias": "hello",
    "cmdId": "cmd-nozcbhuw",
    "osType": "linux",
    "referenceProject": "",
    "content": "IyEvYmluL2Jhc2gKCmVjaG8gImhlbGxvIg==",
    "createTime": "2017-10-19 19:29:35",
    "modifyTime": "2017-10-20 00:26:55",
    "appId": "251000873"
  }
}
```