## 功能描述

RunUserCmd接口用来运行指定的脚本。

接口访问域名：bm.api.qcloud.com

## 请求

### 请求示例
```
https://bm.api.qcloud.com/v2/index.php?
	Action=RunUserCmd
	&<公共请求参数>
	&cmdId=<运行脚本ID>
	&userName=<运行脚本设备的用户名>
	&password=<运行脚本设备的密码>
	&cmdParam=<运行脚本的参数>
	&instanceId.0=<设备ID0>
	&instanceId.1=<设备ID1>
```

### 请求参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，其它参数参见[公共请求参数](/doc/api/456/6718)页面。其中，此接口的Action字段为RunUserCmd。

| 参数名称    | 必选   | 类型     | 描述                      |
| ------- | ---- | ------ | ----------------------- |
| cmdId   | 是   |  String | 运行脚本ID。	|
| userName | 是  | String | 运行脚本设备的用户名。|
| password | 是  | String | 运行脚本设备的密码。|
| cmdParam |是  | String | 运行脚本的参数，必须经过base64编码。|
| instanceIds |是  | Array(String) | 运行脚本的设备数组。 |


## 响应

### 响应示例
```
{
  "message": "",
  "code": 0
}
```

### 响应参数
| 参数名称    | 类型     | 描述                                       |
| ------- | ------ | ---------------------------------------- |
| code    | Int    | 错误码，0：成功， 其他值：失败，具体含义参见[错误码](/doc/api/456/6725)。 |
| message | String | 错误信息。                                    |


## 错误码

| 错误码   | 英文提示                  | 错误描述    |
| ----- | --------------------- | ------- |
| 9001  | InternalError.DbError | 操作数据库错误 |
| 10001 | InvalidParameter      | 参数错误    |
| 18005 | InvalidCmdId          | 无效的脚本ID        |
| 18011 | InvalidUserName       | 无效的用户名         |
| 18012 | InvalidPassword       | 无效的密码        |
| 18013 | InvalidServer         | 无效的服务器信息        |
| 18014 | CmdNotExist           | 用户脚本不存在        |
| 18015 | InvalidServerIP       | 无效的服务器IP        |
| 18016 | InvalidLoginType      | 无效的登录类型        |
| 18017 | InvalidLoginKey       | 无效的密钥        |
| 18018 | ServerNotExist        | 脚本待运行的服务器不存在        |
| 18019 | VPCNotExist           | VPC不存在        |
| 18023 | SubnetNotExist        | 子网不存在        |


## 实际案例

### 输入

```
https://bm.api.qcloud.com/v2/index.php?
	Action=RunUserCmd
	&SecretId=AKID52SKw5uMEy3jhpMUBqSylEBJBby6E0KC
	&Nonce=48476
	&Timestamp=1476436689
	&Region=bj
	&Signature=afRlJQ0disdT97B7uIfVB4v2KWo%3D
	&cmdId=cmd-nozcbhuw
	&userName=root
	&password=123456
	&cmdParam=
	&instanceId.0=sdfrfss
	&instanceId.1=sdfrfdw

```

### 输出

```
{
  "message": "",
  "code": 0
}
```