公共请求参数是每个接口都需要使用到的请求参数，如非必要, 在各个接口单独的文档中不再对这些参数进行说明, 但**每次请求均需要携带这些参数, 才能正常发起请求**。公共请求参数的首字母均为大写，以此区分于接口请求参数。

公共请求参数具体列表如下：

|名称|类型|描述|是否必选|
|---|---|---|---|
|Action|String|具体操作的指令接口名称，例如想要调用查询EIP列表[DescribeEipBm](/document/product/386/6671)接口，则Action参数即为DescribeEipBm。|是|
|Region|String|区域参数，用来标识希望操作哪个区域的实例。各区域的参数值为:<br>北京: ap-beijing，广州: ap-guangzhou，上海:ap-shanghai 。<br><B>注意：正常情况下此参数是必须的，如无需传入，则会在相应接口中进行说明。</B>|否|
|Timestamp|UInt|当前UNIX时间戳，可记录发起API请求的时间。|是|
|Nonce|UInt|随机正整数，与Timestamp联合起来,用于防止重放攻击。|是|
|SecretId|String|在[云API密钥](https://console.cloud.tencent.com/capi)上申请的标识身份的SecretId，一个SecretId对应唯一的SecretKey,而SecretKey会用来生成请求签名Signature。具体可参考[签名方法](/document/product/386/6714)页面。|是|
|Signature|String|请求签名，用来验证此次请求的合法性，由系统根据输入参数自动生成。具体可参考<ahref="/doc/api/372/4214"title="签名方法">签名方法</a>页面。|是|

假设用户想要查询广州地域的黑石EIP列表，则其请求链接的形式可能如下:

```
https://bmeip.api.qcloud.com/v2/index.php?
Action=DescribeEipBm
&SecretId=xxxxxxx
&Region=ap-guangzhou
&Timestamp=1465055529
&Nonce=59485
&Signature=mysignature
&<接口请求参数>
```

一个完整的请求需要两类请求参数：公共请求参数和接口请求参数。这里只列出了上述6个公共请求参数，并未列出接口请求参数，有关接口请求参数的说明可见[接口请求参数](/document/product/386/6719)小节。