##  1、公共错误码
返回结果中的错误码表示了用户调用云API的结果。其中，code为公共错误码，其适用于所有模块的API接口。若code为0，表示调用成功，否则，表示调用失败。当调用失败后，用户可以根据下表确定错误原因并采取相应措施。

|错误代码|错误类型|描述|
|---|---|---|
|4000|请求参数非法|缺少必要参数，或者参数值格式不正确，具体错误信息请查看错误描述message字段。|
|4100|鉴权失败|签名鉴权失败，请参考文档中鉴权部分。|
|4200|请求过期|请求已经过期，请参考文档中请求有效期部分。|
|4300|拒绝访问|帐号被封禁，或者不在接口针对的用户范围内等。|
|4400|超过配额|请求的次数超过了配额限制，请参考文档请求配额部分。|
|4500|重放攻击|请求的Nonce和Timestamp参数用于确保每次请求只会在服务器端被执行一次,所以本次的Nonce和上次的不能重复,Timestamp与腾讯服务器相差不能超过2小时。|
|4600|协议不支持|协议不支持，请参考文档说明。|
|5000|资源不存在|资源标识对应的实例不存在，或者实例已经被退还，或者访问了其他用户的资源。|
|5100|资源操作失败|对资源的操作失败，具体错误信息请查看错误描述message字段，稍后重试或者联系客服人员帮忙解决。|
|5200|资源购买失败|购买资源失败，可能是不支持实例配置，资源不足等等。|
|5300|资源购买失败|购买资源失败，余额不足。|
|5400|部分执行成功|批量操作部分执行成功,详情见方法返回值。|
|5500|用户资质审核未通过|购买资源失败，用户资质审核未通过。|
|6000|服务器内部错误|服务器内部出现错误，请稍后重试或者联系客服人员帮忙解决。|
|6100|版本暂不支持|本版本内不支持此接口或该接口处于维护状态等。注意:出现这个错误时,请先确定接口的域名是否正确,不同的模块,域名可能不一样。|
|6200|接口暂时无法访问|当前接口处于停服维护状态，请稍后重试。|

## 2、模块错误码
message字段表示与模块相关的错误。
其示例如下：
"message": "(100004)projectId不正确"
它由两部分组成，()内的为模块错误代码，()后的为具体的错误描述。
不同模块可能产生的错误情况是不一样的，用户可以根据具体的错误描述确定错误所在。