## 功能描述
 
ModifyBmForwardListener 提供了修改黑石负载均衡七层监听器功能。

接口请求域名：bmlb.api.qcloud.com


## 请求
### 请求示例

```
GET https://bmlb.api.qcloud.com/v2/index.php?Action=ModifyBmForwardListener
	&<公共请求参数>
	&loadBalancerId=<负载均衡实例ID>
	&listenerId=<七层监听器实例ID>
	&listenerName=<七层监听器名称>
	&sslMode=<七层监听器认证方式>
	&certId=<服务端证书ID>
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数页面](/document/product/386/6718)。其中，此接口的Action字段为 ModifyBmForwardListener。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| loadBalancerId | 是 | String |   负载均衡实例ID，可通过接口[DescribeBmLoadBalancers](/document/product/386/9306)查询。|
| listenerId | 是 | String | 七层监听器实例ID，可通过接口[DescribeBmForwardListeners](/document/product/386/9283)查询。|
| listenerName|否|String|七层监听器名称。|
| sslMode|否|Int|认证方式：0（不认证，用于http），1（单向认证，用于https），2（双向认证，用于https）。|
| certId|否|String|服务端证书ID。|
| certName|否|String|服务端证书名称。|
| certContent|否|String|服务端证书内容。|
| certKey|否|String|服务端证书密钥。|
| certCaId|否|String|客户端证书ID。|
| certCaName|否|String|客户端证书名称。|
| certCaContent|否|String|客户端证书内容。|
| bandwidth|否|Int|计费模式为按固定带宽方式时监听器的限速值，可选值：0-1000，单位：Mbps。|


## 响应
### 响应示例

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "requestId" : 1234
}
```

### 响应参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/document/product/386/6725)。|
| message | String | 错误信息描述，与接口相关。|
| codeDesc | String | 返回码信息描述。|
| requestId | Int | 任务ID。该接口为异步任务，可根据本参数调用[DescribeBmLoadBalancersTaskResult](/document/product/386/9308)接口来查询任务操作结果|


## 错误码

| 错误代码 | 英文提示 | 错误描述 |
|------|------|------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError.CCDBAbnormal | CCDB 服务异常 |
| 11041 | InvalidParameter.CCDBLBNotExist | CCDB中不存在该负载均衡记录信息 |
| 12003 | IncorrectStatus.LBWrongStatus | 该负载均衡状态不正确,无法执行当前操作 |
| -12000 | InvalidL7Listener.NotExist | CCDB中不存在该七层监听器 |
| -12010 | IncorrectStatus.ListenerWrongStatus | 该负载均衡监听器状态不正确 |
| -20002 | InvalidParameter.InvalidCertContent | 证书内容不合法 |
| -20000 | InvalidResource.CertPlatformErr | 访问证书平台异常 |
| -12020 | InvalidParameter.certNotInValidTime | 证书不在合法使用时段 |


## 实际案例
 
### 输入

```
GET https://bmlb.api.qcloud.com/v2/index.php?Action=ModifyBmForwardListener
	&SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
	&Nonce=24763
	&Timestamp=1507714922
	&Region=bj
	&loadBalancerId=lb-abcdefgh
	&listenerId=lbl-abcdefgh
	&listenerName=https-listener
	&sslMode=1
	&certId=abcdefgh
	&Signature=AySJsE6Zq3knXwPSzxlYUl%2FrM90%3D
```

### 输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "requestId" : 1234
}

```