## 功能描述
 
DescribeBmForwardRules 提供了获取黑石负载均衡七层转发规则功能。

接口请求域名：bmlb.api.qcloud.com


## 请求
### 请求示例

```
GET https://bmlb.api.qcloud.com/v2/index.php?Action=DescribeBmForwardRules
	&<公共请求参数>
	&loadBalancerId=<负载均衡实例ID>
	&listenerId=<七层监听器实例ID>
	&domainIds.0=<转发域名实例ID>
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数页面](/document/product/386/6718)。其中，此接口的Action字段为 DescribeBmForwardRules。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| loadBalancerId | 是 | String |   负载均衡实例ID，可通过接口[DescribeBmLoadBalancers](/document/product/386/9306)查询。|
| listenerId | 是 | String | 七层监听器ID，可通过接口[DescribeBmForwardListeners](/document/product/386/9283)查询。|
| domainIds.n | 否 | Array | 转发域名ID列表，可通过接口[DescribeBmForwardRules](/document/product/386/9285)查询。|


## 响应
### 响应示例

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "ruleSet": [
        {
            "domain": "a.com",
            "domainId": "dm-abcdefgh",
            "status": 1,
            "addTimestamp": "2017-04-25 21:03:40",
            "locations": [
                {
                    "url": "/",
                    "locationId": "loc-abcdefgh",
                    "sessionExpire": 0,
                    "healthSwitch": 1,
                    "httpCheckPath": "/",
                    "httpCheckDomain": "a.com",
                    "intervalTime": 30,
                    "healthNum": 3,
                    "unhealthNum": 5,
                    "httpCode": 7,
                    "balanceMode": "wrr",
                    "status": 1,
                    "addTimestamp": "2017-04-25 21:03:40"
                }
            ]
        }
    ],
    "totalCount": 1
}
```

### 响应参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/document/product/386/6725)。|
| message | String | 错误信息描述，与接口相关。|
| codeDesc | String | 返回码信息描述。|
| ruleSet | Array | 返回的转发规则列表。|

ruleSet每一个子项目包含字段如下

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| domain | String | 转发域名。|
| domainId | String | 转发域名实例ID。|
| status | Int | 转发域名当前状态（0代表创建中，1代表正常运行，2代表创建失败，3代表删除中，4代表删除失败）。|
| addTimestamp | String | 创建时间戳。|
| locations | Array | 该转发域名下面的转发路径列表。|

locations每一个子项目包含字段如下

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| url | String | 转发路径。|
| locationId | String | 转发路径实例ID。|
| sessionExpire | Int | 会话保持时间。|
| healthSwitch | Int | 是否开启健康检查。|
| httpCheckPath | String | 健康检查检查路径。|
| httpCheckDomain | String | 健康检查检查域名。|
| intervalTime | Int | 健康检查检查间隔时间。|
| healthNum | Int | 健康检查健康阀值。|
| unhealthNum | Int | 健康检查不健康阀值。|
| httpCode | Int | 健康检查中认为健康的HTTP返回码的组合。|
| balanceMode | String | 均衡方式。|
| status | Int | 转发路径当前状态（0代表创建中，1代表正常运行，2代表创建失败，3代表删除中，4代表删除失败）。|
| addTimestamp | String | 创建时间戳。|


## 错误码

| 错误代码 | 英文提示 | 错误描述 |
|------|------|------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError.CCDBAbnormal | CCDB 服务异常 |


## 实际案例
 
### 输入

```
GET https://bmlb.api.qcloud.com/v2/index.php?Action=DescribeBmForwardRules
	&SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
	&Nonce=24763
	&Timestamp=1507714922
	&Region=bj
	&loadBalancerId=lb-abcdefgh
	&listenerId=lbl-abcdefgh
	&domainIds.0=dm-abcdefgh
	&Signature=AySJsE6Zq3knXwPSzxlYUl%2FrM90%3D
```

### 输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "ruleSet": [
        {
            "domain": "a.com",
            "domainId": "dm-abcdefgh",
            "status": 1,
            "addTimestamp": "2017-04-25 21:03:40",
            "locations": [
                {
                    "url": "/",
                    "locationId": "loc-abcdefgh",
                    "sessionExpire": 0,
                    "healthSwitch": 1,
                    "httpCheckPath": "/",
                    "httpCheckDomain": "a.com",
                    "intervalTime": 30,
                    "healthNum": 3,
                    "unhealthNum": 5,
                    "httpCode": 7,
                    "balanceMode": "wrr",
                    "status": 1,
                    "addTimestamp": "2017-04-25 21:03:40"
                }
            ]
        }
    ],
    "totalCount": 1
}

```