## 功能描述
 
DescribeBmL4ListenerBackends 提供了获取黑石负载均衡四层监听器绑定的主机列表功能。

接口请求域名：bmlb.api.qcloud.com

## 请求
### 请求示例
```
GET https://bmlb.api.qcloud.com/v2/index.php?Action=DescribeBmL4ListenerBackends
	&<公共请求参数>
	&loadBalancerId=负载均衡实例ID
	&listenerId=四层监听器实例ID
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](/document/product/386/6718)页面。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| loadBalancerId | 是 | String |   负载均衡实例ID，可通过接口[DescribeBmLoadBalancers](/document/product/386/9306)查询。|
| listenerId | 是 | String | 负载均衡四层监听器ID，可通过接口[DescribeBmListeners](/document/product/386/9296)查询。|
| backends | 否 | Array |   待查询的主机信息。|

backends描述待查询的主机信息，n为下标，backends包含字段如下

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
|backends.n.port|是|Int|待绑定的主机端口，可选值1~65535。|
|backends.n.instanceId|是|String|待绑定的主机实例ID。|

## 响应

### 响应示例
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": [
        {
            "bindType": <绑定类别>
            "lanIp": <主机IP>,
            "rsPort": <主机端口>,
            "weight": <主机权重>,
            "status": <健康检查状态>,
            "instanceId": <物理机实例ID>,
            "alias": <主机别名>,
            "operates": <物理机当前可以执行的操作列表>
        }
    ]
}

```

### 响应参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/document/product/386/6725)。|
| message | String | 模块错误信息描述，与接口相关。|
| codeDesc | String | 返回码信息描述。|
| data | Array | 返回的绑定关系列表。|

data每一个子项目包含字段如下

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| bindType | Int | 绑定类别（0代表黑石物理机，1代表虚机IP）。|
| rsPort | Int | 主机端口。|
| weight | Int | 权重。|
| status | String | 当前绑定关系的健康检查状态（Dead代表不健康，Alive代表健康）。|

当bindType为0时包含以下字段

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| instanceId | String | 黑石物理机的主机ID。|
| alias | String | 黑石物理机的别名。|
| lanIp | String | 黑石物理机的内网IP。|
| operates | Array | 黑石物理机当前可以执行的操作。|

当bindType为1时包含以下字段

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| lanIp | String | 虚机IP。|



## 错误码

| 错误代码 | 英文提示 | 错误描述 |
|------|------|------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError.CCDBAbnormal | CCDB 服务异常 |
| 11041 | InvalidParameter.CCDBLBNotExist | CCDB中不存在该负载均衡记录信息 |
| 11060 | InternalError.TGWAbnormal | TGW 服务异常 |
| 14100 | InternalError.BmApiAbnormal | bmApi服务异常 |


## 实际案例
### 输入
```
GET https://bmlb.api.qcloud.com/v2/index.php?Action=DescribeBmL4ListenerBackends
	&SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
	&Nonce=61431
	&Timestamp=1507728683
	&Region=bj
	&loadBalancerId=lb-abcdefgh
	&listenerId=lbl-abcdefgh
	&Signature=umZFAAWKzjXEQp4ySgrWAoWOHKI%3D
```
 
### 输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": [
        {
            "bindType": 0,
            "lanIp": "1.1.1.1",
            "rsPort": 1234,
            "weight": 10,
            "status": "Dead",
            "instanceId": "cpm-abcdefgh",
            "alias": "XXX",
            "operates": [
                "modifyDeviceAlias",
                "renewDevice",
                "shutdownDevice",
                "rebootDevice",
                "reloadDeviceOs",
                "resetPasswd",
                "bindEip",
                "unbindEip",
                "isolateDevice",
                "offlineDevice",
                "bindLb",
                "unbindLb"
            ]
        }
    ]
}

```