## 功能描述
InquiryBmLBPrice 接口用来查询黑石负载均衡的价格，其中公网负载均衡的价格为每天1元，内网负载均衡免费。购买公网负载均衡实例将冻结30元（整月费用），请确保您的账户余额足够；当用户提前停用负载均衡服务时，将按照具体的使用日期，相应的扣除账户中部分冻结的费用，并将剩余费用退还至账户。

接口请求域名：bmlb.api.qcloud.com

## 请求
### 请求示例
```
GET https://bmlb.api.qcloud.com/v2/index.php?Action=InquiryBmLBPrice
	&<公共请求参数>
	&loadBalancerType=<负载均衡类型>
```

### 请求参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/document/product/386/6718)页面。其中，此接口的Action字段为 InquiryBmLBPrice。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| loadBalancerType | 是 | String | 负载均衡的类型，取值为open或internal。open表示公网(有日租)，internal表示内网。|

## 响应

### 响应示例
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "price": <负载均衡实例的价格>
}
```

### 响应参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值: 失败，具体含义可以参考[错误码](/document/product/386/6725)。|
| message | String | 模块错误信息描述，与接口相关。|
| price | Int | 黑石负载均衡实例的价格，单位为“分/天”。|


## 错误码

| 错误代码 | 英文提示 | 错误描述 |
|------|------| --------|
| 9009 | InternalError.TradeError | 请求计费接口错误 |
| 100001 | InvalidParameter | 参数错误 |
| 100004 | OperationDenied.NoPermission  | 不支持此项操作 |
| 500008 | TradeError.QueryPriceError | 询价失败 |
| 700104 | TradeError.GoodsConfigInvalid | 获取商品配置失败 |
| 700108 | TradeError.GoodsCodeInvalid | 商品ID无效 |
| 700102 | TradeError.CheckGoodsError | 业务参数校验失败 |

## 实际案例
### 输入
```
GET https://bmlb.api.qcloud.com/v2/index.php?Action=InquiryBmLBPrice
	&SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
	&Nonce=61431
	&Timestamp=1507728683
	&Region=bj
	&loadBalancerType=open
	&Signature=umZFAAWKzjXEQp4ySgrWAoWOHKI%3D
```

### 输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "price": 100
}
```

