## 功能描述
 
DescribeBmLoadBalancersTaskResult 用于查询负载均衡实例异步任务的执行情况。

接口请求域名：bmlb.api.qcloud.com


## 请求
### 请求示例

```
GET https://bmlb.api.qcloud.com/v2/index.php?Action=DescribeBmLoadBalancersTaskResult
	&<公共请求参数>
	&requestId=<任务ID>
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数页面](/document/product/386/6718)。其中，此接口的Action字段为 DescribeBmLoadBalancersTaskResult。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| requestId | 是 | Int | 任务ID。由具体的异步操作接口提供。|




## 响应
### 响应示例

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "status": 1
    }
}
```

### 响应参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/document/product/386/6725)。|
| message | String | 错误信息描述，与接口相关。|
| codeDesc | String | 返回码信息描述。|
| data | Obj | 返回对象。|

data描述当前任务的状态信息，包含字段如下

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| status | Int | 任务当前状态。0：成功，1：失败，2：进行中。|


## 实际案例
 
### 输入

```
https://bmlb.api.qcloud.com/v2/index.php?
Action=DescribeBmLoadBalancersTaskResult
	&SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
	&Nonce=24763
	&Timestamp=1507714922
	&Region=bj
	&requestId=12345
	&Signature=AySJsE6Zq3knXwPSzxlYUl%2FrM90%3D
```

### 输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "data": {
        "status": 1
    }
}

```