## 功能描述
 
DescribeBmVportInfo 提供了获取黑石负载均衡端口相关信息功能。

接口请求域名：bmlb.api.qcloud.com


## 请求
### 请求示例

```
GET https://bmlb.api.qcloud.com/v2/index.php?Action=DescribeBmVportInfo
	&<公共请求参数>
	&loadBalancerId=<负载均衡实例ID>
```

### 请求参数

以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数页面](/document/product/386/6718)。其中，此接口的Action字段为 DescribeBmVportInfo。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| loadBalancerId | 是 | String |   负载均衡实例ID，可通过接口[DescribeBmLoadBalancers](/document/product/386/9306)查询。|


## 响应
### 响应示例

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "listenerSet": [
        {
            "listenerId": "lbl-abcdefgh",
            "listenerName": "xxx",
            "protocol": "http",
            "loadBalancerPort": 1234,
            "bandwidth": 0,
            "status": 1,
        }
    ],
    "totalCount": 1
}
```

### 响应参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/document/product/386/6725)。|
| message | String | 错误信息描述，与接口相关。|
| codeDesc | String | 返回码信息描述。|
| listenerSet | Array | 返回的监听器列表（四层和七层）。|

listenerSet每一个子项目包含字段如下

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| listenerId | String | 负载均衡监听器ID。|
| listenerName | String | 监听器名称。|
| protocol | String | 监听器协议类型，可选值：http，https，tcp，udp。|
| loadBalancerPort | Int | 监听器的监听端口。|
| bandwidth | Int | 计费模式为按固定带宽方式时监听器的限速值，单位：Mbps。|
| status | Int | 监听器当前状态（0代表创建中，1代表正常运行，2代表创建失败，3代表删除中，4代表删除失败）。|

## 错误码

| 错误代码 | 英文提示 | 错误描述 |
|------|------|------|
| 9003 | InvalidParameter | 参数错误 |
| 9006 | InternalError.CCDBAbnormal | CCDB 服务异常 |
| 11041 | InvalidParameter.CCDBLBNotExist | CCDB中不存在该负载均衡记录信息 |


## 实际案例
 
### 输入

```
GET https://bmlb.api.qcloud.com/v2/index.php?Action=DescribeBmVportInfo
	&SecretId=AKIDlfdHxN0ntSVt4KPH0xXWnGl21UUFNoO5
	&Nonce=24763
	&Timestamp=1507714922
	&Region=bj
	&loadBalancerId=lb-abcdefgh
	&Signature=AySJsE6Zq3knXwPSzxlYUl%2FrM90%3D
```

### 输出

```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "listenerSet": [
        {
            "listenerId": "lbl-abcdefgh",
            "listenerName": "xxx",
            "protocol": "http",
            "loadBalancerPort": 1234,
            "bandwidth": 0,
            "status": 1,
        }
    ],
    "totalCount": 1
}

```