默认都传的请求参数：
appId，整数，唯一表示一个开发商客户
uin，字符串，表示操作者

| 返回码 | 说明 |
|----|----|
| 9910 |对象已存在，用于创建操作|
| 9911 |对象不存在，用于读取/修改/删除操作|
| 9950 |后端OSS错误|

## 1、获取实例列表 ListInstance

|参数|必填|类型|说明|
|----|----|----|----|
|offset |是|整数 |分页的起始下标，从0开始 |
|limit |是|整数  |每个分页的最大记录数 |
|searchWord |否|字符串 |按关键字过滤，先精确匹配实例id，再模糊匹配实例名|

返回：

| 参数 | 类型 | 说明 |
|----|----|----|
|status|整数 |状态，0未知 1准备 2初始化中 3运行中 4已停用 5已删除 6初始化失败 |
|standard|整数|规格，0未知 1测试型 2微型 3小型 4中型 5大型 6独占型|
|createTime/expireTime|时间戳|UTC秒数|
``` 
{
  "returnCode": 0,
  "returnMessage": "OK",
  "data": {
    "totalCount": 9,
    "list": [
      {
        "instanceId": "mqtt-0akbol5v",
        "status": 3,
        "domain": "mqtt-0akbol5v.mqtt.myqcloud.com",
        "standard": 3,
        "maxConn": 100,
        "maxTPS": 100,
        "maxSub": 1000,
        "maxMsgLife": 259200,
        "createTime": 1509595193,
        "expireTime": 1509595193
      },
      ……
    ]
  }
}
``` 


## 2、获取实例属性 GetInstanceAttribute

|参数|必填|类型|说明|
|----|----|----|----|
|instanceId |是 |字符串 |实例唯一标识 |
返回：
``` 
{
  ……
  "returnCode": 0,
  "returnMessage": "OK",
  "data": {
    "instanceId": "mqtt-0akbol5v",
    "status": 3,
    "domain": "mqtt-0akbol5v.mqtt.myqcloud.com",
    "standard": 3,
    "maxConn": 100,
    "maxTPS": 100,
    "maxSub": 1000,
    "maxMsgLife": 259200,
    "createTime": 1509595193,
    "expireTime": 1509595193
  }
}
``` 


## 3、创建Topic CreateTopic

|参数|必填|类型|说明|
|----|----|----|----|
|instanceId |是 |字符串 |topic所属的实例id |
|topicName|是|字符串|topic名|
|maxMsgLife|是|整数|消息生命周期，单位秒|
|maxMsgSize|是|整数|单条消息最大长度，单位字节|
|maxMsgCount|是|整数|消息堆积条数上限|
返回：
``` 
{
  ……
  "returnCode": 0,
  "returnMessage": "OK",
  ……
}
``` 


## 4、读Topic列表 ListTopic

|参数|必填|类型|说明|
|----|----|----|----|
|instanceId |是 |字符串 |topic所属的实例id |
|offset |是|整数 |分页的起始下标，从0开始 |
|limit |是|整数  |每个分页的最大记录数 |
|searchWord |否|字符串 |按关键字过滤，模糊匹配topic名|
返回：
``` 
{
  "returnCode": 0,
  "returnMessage": "OK",
  "data": {
    "totalCount": 9,
    "list": [
      {
        "topicName": "topic/xxx/bbb",
        "maxMsgCount": 100,
        "maxMsgLife": 259200,
        "maxMsgSize": 259200
      },
      ……
    ]
  }
}
``` 

## 5、修改Topic属性 ModifyTopicAttribute

|参数|必填|类型|说明|
|----|----|----|----|
|instanceId |是 |字符串 |topic所属的实例id |
|topicName|是|字符串|topic唯一标识|
|maxMsgLife|否|整数|消息生命周期，单位秒|
|maxMsgSize|否|整数|单条消息最大长度，单位字节|
|maxMsgCount|否|整数|消息堆积条数上限|
返回：
``` 
{
  ……
  "returnCode": 0,
  "returnMessage": "OK",
  ……
}
``` 

## 6、获取Topic属性 GetTopicAttribute

|参数|必填|类型|说明|
|----|----|----|----|
|instanceId |是 |字符串 |topic所属的实例id |
|topicName|是|字符串|topic唯一标识|
返回：
``` 
{
  ……
  "returnCode": 0,
  "returnMessage": "OK",
  ……
}
``` 

## 7、删除Topic DeleteTopic

|参数|必填|类型|说明|
|----|----|----|----|
|instanceId |是 |字符串 |topic所属的实例id |
|topicName|是|字符串|topic唯一标识|
返回：
``` 
{
  ……
  "returnCode": 0,
  "returnMessage": "OK",
  ……
}
``` 
