## 产品概述
消息队列 IoT MQ（Internet of Things Message Queue，简称 IoT MQ）是一项针对物联网及移动互联网领域，特别是在需要低功耗、网络吞吐有限、网络质量差的 IoT 场景下的消息服务。 IoT MQ 基于发布/订阅模式，支持一对多分发，消息在传感器之间传输非常方便；支持标准 MQTT 协议，应用方可无缝迁移；支持亿级设备连接、百万级 QPS。

## MQTT 协议简介
消息队列遥测传输（Message Queuing Telemetry Transport，简称 MQTT）是一个客户端服务端架构的发布/订阅模式的消息传输协议。该协议轻巧、开放、简单、规范，易于实现，平台支持丰富，几乎可以连接所有联网物品，因此它对很多场景来说都是很好的选择，特别是对于受限的环境如机器与机器的通信（M2M）以及物联网环境（IoT）。

### MQTT 协议特点
MQTT 协议运行在 TCP/IP，或其他提供了有序、可靠、双向连接的网络连接上。它具有以下特点：
- 使用发布/订阅消息模式，提供了一对多的消息分发和应用之间的解耦
- 消息传输不需要知道负载内容
- 提供三种等级的服务质量
- 很小的传输消耗和协议数据交换，最大限度减少网络流量
- 异常连接断开发生时，能通知到相关各方

## 产品架构
IoT MQ 完整支持 MQTT 3.1.1 协议，在腾讯自研 CMQ 消息引擎的基础上增加对 MQTT 协议的接入和对应的场景优化，是物联网解决方案中必不可少的消息中间件。整个产品架构图如下图示所示：
![](//mc.qcloudimg.com/static/img/d3cb878ac460328227252b65bed88745/image.jpg)
1. **物联设备**
一切可以联网的物体，如汽车、手机、各类家电、工业设备等等，这些设备可以通过丰富的客户端 SDK 接入 IoT MQ。
2. **IoT 网关**
做负载均衡，将 MQTT 连接分发到消息引擎中多台 Broker 的接入层上。
3. **Broker 消息引擎**
IoT MQ 的核心处理模块，基于腾讯自研的消息引擎，负责底层消息的存储和分发，支持消息的可靠传递、高扩展性、水平扩容、高性能等特性。
4. **物联网平台**
IoT MQ 的下游可以接入物联网平台来管理设备和规则。
5. **API 网关**
实现完整 API 托管的服务，用于协助完成 API 的创建、维护、发布、监控等整个生命周期的管理。
6. **数据分析与处理**
根据业务需求场景选择处理套件。
7. **用户应用**
IoT MQ 连接设备与用户，做到双向交互。

## 应用场景
MQTT 作为物联网及移动互联网的主流协议，应用场景非常丰富。目前 IoT MQ 提供的 MQTT 服务已经应用在车联网、智能家居、机器人、直播互动、即时通信等多个场景。
### 车联网
智能手机是移动互联网时代最大的入口，智能汽车则是物联网时代最核心的入口之一，而车联网则是未来的基石。车联网涵盖车辆的位置轨迹，车况与路况的监控告警，智能诊断与维修，人与车、人与内容的智能交互，辅助驾驶，自动驾驶等多方面。

IoT MQ 可有效解决百万级车辆连接、车辆信息的上传与推送，把车辆与云服务之间的通信做到极致，同时 IoT MQ 与腾讯云其他服务快速集成，共建车联网解决方案。
### 智能家居
智能家居重新定义家居生活，无论是商业综合体、大型场馆、星级酒店等大型综合类场所，还是别墅、套房、单间等住宅类居所，无论是空调、洗衣机、扫地机器人等生活电器，还是净水器、空气净化器、智能牙刷等健康电器，有人的地方就有智能家居的渗透。

IoT MQ 协助打造传感器智能感知、家居自动智能调节、用户终端操控的一体化智能体验，让技术更好地服务于人。
### 工业物联网
随着“中国制造2025”和德国“工业4.0”的发展，工业物联网在工业界中的地位日益重要，工业化与信息化的深度融合将为制造业的网络化、智能化发展奠定坚实基础。信息技术向制造业的全面嵌入，将颠覆传统的生产流程、生产模式和管理方式；生产制造过程与业务管理系统的深度集成，将实现对生产要素高度灵活的配置，实现大规模定制化生产。

IoT MQ 连接设备与云，实时监控、自动控制、无人车间等等都将有力地推动传统制造业转型升级、推动工业物联网的发展。
## 优势
相比于其他 物联网消息队列，IoT MQ 具有以下优势：
- **高兼容性**
兼容 MQTT 3.1.1协议，及任何支持该协议的SDK，低协议开销；弱网络容忍能力强，实时推送，支持多语言客户端
- **高扩展性**
基于腾讯自研 CMQ 架构，可根据业务规模弹性伸缩，水平扩容对上层透明
- **业务安全**
支持临时Token，SSL/TLS 加密通信，多维度安全防护
- **统一运维**
IoT MQ 提供腾讯云平台的整套运维服务，包括资源申请、消息查询、监控告警等各项运维服务

