## 资源相关名词

| 专有名词 | 对应英文 | 解释 | 
|---------|---------|---------|
|实例|Instance|实例是用户申请购买 IoT MQ 服务的实体单元，每个 IoT MQ 实例都对应一个全局唯一的服务接入点 URL。使用 IoT MQ 前都需要在对应的地域申请一个实例，并使用对应的接入点来访问服务。|
|主题|Topic|IoT MQ 服务中任何消息都属于一个 Topic，订阅者与发布者之间通过 Topic 路由消息进行通信；根据 MQTT 协议，Topic 存在多级，其格式类似 Unix 文件路径。 Topic 允许的字符包括：英文大小写字母、数字、下划线_和正斜杠/，长度不超过128个字符。|
|客户端|Client|客户端是连接 IoT MQ 的设备，客户端既可以是消息的生产者也可以是消息的消费者；ClientID 是每个客户端的唯一标识，要求全局唯一|

**注意**
** - Topic 名称** 允许的字符包括：英文大小写字母、数字、下划线_和正斜杠/，长度不超过128个字符。
** - ClientID** 由两部分组成，组成形式为“Instanceid@DeviceID”，ClientID 的长度不超过 64个字符，请不要使用不可见字符。其中
- Instanceid 为 IoT MQ 的实例 ID。
- DeviceID 为每个设备独一无二的标识，由业务方自己指定，需保证全局唯一，例如每个传感器设备的序列号。

## 权限相关名词
使用 MQTT 客户端收发消息时，IoT MQ 会根据用户设置的 username 和 password 来进行鉴权。
| 专有名词 | 对应英文 | 解释 | 
|---------|---------|---------|
|用户名|username|用户名就是 SecretId|
|密码|password|IoT MQ 要求用户将  Appid、Instanceid等作为签名字段，使用签名算法（HmacSHA256）来计算签名字符串，并将签名字符串设置到 password 参数中用于鉴权。|

## MQTT 协议相关名词
### 服务质量等级
MQTT 协议按照服务质量等级 (QoS, Quality of Service) 分发应用消息。分发协议是对称的，在下面的描述中，客户端和服务端既可以是发送者也可以是接收者。
#### QoS 0(At most once) 最多分发一次
消息的分发依赖于底层网络的能力。接收者不会发送响应，发送者也不会重试。消息可能送达一次也可能根本没送达。
#### QoS 1(At least once) 至少分发一次
服务质量确保消息至少送达一次。消息接收者如果没有知会或者知会本身丢失，消息发送者会再次发送，可能造成重复消息。
#### QoS 2(Exactly once) 仅分发一次
最高等级的服务质量，消息丢失和重复都是不可接受的。使用这个服务质量等级会有额外的开销。

### cleanSession
为了提供 QoS 保证，客户端和服务端有必要存储会话状态。MQTT 客户端向服务器发起 CONNECT 请求时，可以通过“cleanSession”标志设置会话：
#### cleanSession 设置为 0
表示创建一个持久会话，在客户端断开连接时，会话仍然保持并保存离线消息，直到会话超时注销。当客户端再次上线时，还需要处理之前的离线消息，而之前的订阅关系也会持续生效。
#### cleanSession 设置为 1
表示创建一个新的临时会话，在客户端断开时，会话自动销毁。

**注意**
- MQTT协议 要求每个客户端每次连接时的 cleanSession 标志必须固定，不允许动态变化，否则会导致离线消息的判断有误。
- 暂时不支持 QoS2。
