
云解析产品服务等级协议

### 1 业务功能
腾讯云云解析服务提供域名的智能解析、精准调度、安全防护功能，并且支持和腾讯云云服务器等云资源关联，为用户提供一站式的云服务体验。具体服务类别以腾讯云公开发布的相关服务信息为准。

### 2 业务可用性
云解析提供四个类型套餐服务：个人专业版、企业基础版、企业标准版、企业旗舰版，其中个人专业版服务承诺业务可用性不低于99%，企业基础版服务承诺业务可用性不低于99.9%，企业标准版服务承诺业务可用性不低于99.99%，企业旗舰版服务承诺业务可用性不低于100%。

>如6月用户企业基础版套餐服务可用时间应为30(天)×24(小时)×60(分钟)×99.9%=43156.8分钟，即存在43200-43156.8=43.2分钟的不可用时间
可用性=（1-域名解析服务周期内业务不可用时间/域名解析服务周期内服务总时间）* 100%。

相关说明：
（1）	以一个自然月做为一个服务周期，不满一个月不计算为一个服务周期，也不计算业务可用性。
（2）	不可用时间：云解析服务在连续的一段时间或更长时间不可使用方计为不可用时间（不同套餐版本对应的时间段不同），低于该时间段不计入不可用时间。
个人专业版：不可用时间计算不低于10分钟；
企业基础版/标准版/旗舰版：不可用时间计算不低于5分钟。
（3）	不可用定义：由于DNS服务器的设备问题、机房问题、产品功能问题或操作不当导致解析服务中断，则判断为服务不可用。
（4）	以下情况不纳入不可用时间计算：
- A.	日常系统维护时间、解析服务所依赖的递归服务器的不可用时间；
- B.	由用户原因、第三方原因或不可抗力导致的不可用时间；
- C.	用户违规操作或其他原因导致域名被封禁而引起的不可用；
- D.	用户网站受到DNS攻击超过套餐承诺的防护范围而造成解析中断的不可用；
- E.	用户自行切换NS服务器导致的不可用；
- F.	用户修改解析的等待生效期间（全球等待生效时间最长为72小时）的不可用；
- G.	任何腾讯云设备以外的网络、设备故障或配置调整引起的不可用。

### 3 故障恢复能力
腾讯云提供至少两路的网络冗余和设备冗余，可对突发的网络线路故障进行容错服务，以保障用户服务的连续性。同时，腾讯云提供专业团队7x24小时全面维护，并以工单和电话报障等方式提供技术支持，具备完善的故障监控、自动告警、快速定位、快速恢复等一系列的故障应急响应机制。

### 4 业务资源调配能力
云解析服务设置了套餐的能力限制，在套餐能力限制内用户可根据实际业务自行扩展，如业务需求超出套餐能力，用户可以自行进行套餐的升级。
注意只支持套餐自助升级，如需降级可以线下工单联系订单退款。

### 5 服务和数据可销毁性
用户使用云解析服务时，可以对域名、解析记录进行新增和删除销毁，腾讯云不会对销毁的域名、解析记录做保存，清除后解析不可恢复。
用户可以自行导出解析记录，根据实际需要恢复和迁移数据。

### 6 服务私密性
由于解析服务的特殊性，授权DNS服务器的解析记录是对全网公开的。但是用户可以通过设置访问鉴权策略，控制和隔离项目外成员进行访问，保障数据操作的私密性。

### 7 服务知情权
（1）	用户使用的云解析服务所在的数据中心位置可以通过提交工单咨询。
（2）	腾讯云数据中心将遵守当地相关的法律法规，用户对此具有知情权。（可通过提交工单进行咨询）
（3）	用户向腾讯云提供的云解析数据等全部数据、资料，未经用户书面许可，腾讯不会擅自保存、公开、转授权或泄露给任何第三方，也不会用于本协议合作以外用途，除政府监管部门监管审计需要。
（4）	除用于对腾讯云云解析服务运行状态的统计分析，用户的行为日志不会对外呈现用户个人信息数据。

### 8 服务可审查性
腾讯云在依据现有法律法规体系下，出于配合政府监管部门的监管或安全取证调查等原因的需要，在符合流程和手续完备的情况下，可以提供相关信息，包括语音识别服务关键组件的运行日志、运维人员的操作记录、用户操作记录等信息。

### 9 服务计量准确性
腾讯云云解析服务的费用按照选购的套餐和年限计算，套餐针对单个域名进行购买绑定。具体计费标准以腾讯云官网公布的计费模式和价格为准。

### 10 服务补偿

#### 10.1 适用范围
因腾讯云设备故障、设计缺陷、产品功能问题或操作不当导致用户所购买的云解析服务无法正常使用，腾讯云将对不可用时间进行赔偿，但不包括本协议《业务可用性》章节中描述的非腾讯云原因导致的不可用时长，和主合同中的《不可抗力》章节原因所导致的不可用时长。

#### 10.2 补偿标准原则
腾讯云对未达到业务可用性的每个域名按不可用时间，延迟10倍的服务期进行赔偿。
> 补偿服务期 = 故障时间(分钟) x 10

说明：
（1）	故障时间=故障解决时间-故障开始时间。按分钟计算故障时间，故障时间小于1分钟的按1分钟计算。例如，故障时间为1分01秒，按2分钟算。
（2）	赔偿只针对已购买云解析套餐并已产生费用的用户。
