### 域名解析
cloud.tencent.com 作为一个域名会和一个IP地址相对应。DNS就像是一个自动的电话号码簿，互联网用户可以直接拨打qcloud的名字来代替电话号码（IP地址）。DNS在我们直接调用网站的名字以后就会将像cloud.tencent.com一样便于人类使用的名字转化成便于机器识别的IP地址。

### DNS查询
DNS查询有两种方式：递归和迭代。DNS客户端设置使用的DNS服务器一般都是递归服务器，它负责全权处理客户端的DNS查询请求，直到返回最终结果。而DNS服务器之间一般采用迭代查询方式。

### WHOIS
域名数据库查询。一个域名的所有者可以通过查询WHOIS数据库而被找到；对于大多数根域名服务器，基本的WHOIS由ICANN维护，而WHOIS的细节则由控制那个域的域注册机构维护。
对于240多个国家代码顶级域名（ccTLDs），通常由该域名权威注册机构负责维护WHOIS。例如中国互联网络信息中心（China Internet Network Information Center）负责.CN域名的WHOIS维护，香港互联网注册管理有限公司（Hong Kong Internet Registration Corporation Limited）负责.HK域名的WHOIS维护，台湾网络信息中心（Taiwan Network Information Center）负责.TW域名的WHOIS维护。

### 具体名词
|术语 | 全称 | 说明 |
|---|---|---|
| DNS | Domain Name System | 域名系统，是互联网的一项服务。作为将域名和IP地址相互映射的一个分布式数据库，能够使人更方便地访问互联网。|
| A记录 | Address Record | 主机记录，是用于名称解析的重要记录，它将特定的主机名映射到对应主机的IP地址上。|
| CNAME记录 | Canonical Name Record | 别名记录，用于将某个别名指向到某个A记录上，这样就不需要再为某个新名字另外创建一条新的A记录。 |
| MX记录 | Mail Exchange Record | 邮件交换记录，用于指定负责处理发往收件人域名的邮件服务器。MX记录允许设置一个优先级，当多个邮件服务器可用时，会根据该值决定投递邮件的服务器。简单邮件传输协议（SMTP）会根据MX记录的值来决定邮件的路由过程。 |
| TXT记录 | Text Record | 文本记录，用于为某个主机名或者域名设置的说明。|
| SRV记录 | Service Record | 服务位置记录，用于定义提供特定服务的服务器的位置，如主机（hostname），端口（port number）等。 |
| AAAA记录 | AAAA Record |IPv6主机记录，与A记录对应，用于将特定的主机名映射到一个主机的IPv6地址。 |
