### 服务器怎么添加域名？
您好，先去购买一个域名，然后在域名管理控制台添加一条 A 记录指向您的服务器就可以，具体可参照 [域名相关指南](https://cloud.tencent.com/document/product/242)。

### 域名无法访问如何解决？
安全组配置问题，没有允许外网对您服务器 80 端口的访问，建议您先去控制台，配置一下您的安全组，安全组配置方法详见 [安全组操作指南](https://cloud.tencent.com/document/product/213/5221)。

### 腾讯云的 DNS 的修改时效？
您好，腾讯云的 DNS 为 `f1g1ns1.dnspod.net f1g1ns2.dnspod.net`，DNS 修改后生效时间是 0~72 小时。

### 腾讯云上域名解析有数量限制吗？
您好，腾讯云上的域名解析数量没有限制的。

### 别人的账号下转入过来域名为什么解析失败？
您好，请登录腾讯云【控制台】>【云产品】>【云解析】，单击【添加解析】，然后进行相应的解析就可以了，如果遇到域名取回的对话框，进行相应的取回就可以。

### 腾讯云域名到期第二天续费的，并未更改 DNS，解析未生效，为什么?
您好，域名到期后，DNS 会失效，续费成功后，有 0~72 小时的生效时间，建议您耐心等待。

### 如何查看域名解析操作记录？
您好，请登录腾讯云[【控制台】](https://console.cloud.tencent.com/)，在【云产品】>【域名与网站】>【域名管理】>【管理】>【操作日志】中可以查看之前操作过的解析记录。

### 域名处于 serverHold 状态、注册局设置暂停解析，怎么处理？
请您先检查下是否已经完成了域名实名认证审核，未通过审核有可能会出现这种情况，待实名审核通过之后，即可正常进行解析。如果已经完成了实名认证，请 [提交工单](https://console.cloud.tencent.com/workorder/category) 由专员协助处理。

### 新增解析记录多久生效？
您好，新增解析记录一般来说实时生效，有可能有几分钟延迟，根据您设置的 TTL 值来决定，请您耐心等待。

### 添加域名解析时，提示“你还未注册成为云域名解析使用者”错误的原因？
您好，这个原因是因为您未在云平台完善资质认证信息。目前云解析产品，是需要您先进行资质认证才可以进行操作，只要您登录【用户中心】>【账户信息】填写完整信息以及上传相关证件信息，认证通过之后即可进行云解析操作。

### 云解析添加记录时提示“系统繁忙，请稍后再试”，怎么解决？
您好，提示这个报错因为您域名解析已存在，您尝试一下登录腾讯云[【控制台】](https://console.cloud.tencent.com/)>【云产品】>【域名管理】，进入域名管理控制台，在域名列表点【解析】看能否查得到，如果在域名管理控制台没有找到的话请 [提交工单](https://console.cloud.tencent.com/workorder/category) 由专员协助您解决。

### 修改域名记录 DNS，多久生效呢？
您好，修改域名记录的最终生效时间取决于各地运营商的 DNS 服务器缓存刷新时间（各地 ISP 的 DNS 上缓存了修改前的解析记录，不会实时更新）。一般情况下等同于您之前设置解析时的 TTL 时间，理论上生效时间是 TTL 值，个别地区有强制缓存，要看最终强制缓存多久。

### 万网买的域名在云解析做 A 记录解析，控制台显示已添加过 A 记录解析，但 ping 域名还是没解析成功。
您好，您在云解析添加了域名，首先需要去万网处将 DNS 地址修改成云解析提供的 `f1g1ns1.dnspod.net f1g1ns2.dnspod.net` 之后再进行记录值的添加，如不修改 DNS 地址，万网提供了一套 DNS 地址，云解析也提供了一套，会导致解析混乱，所添加的记录值也不会生效。

### 解析记录中的 TTL 是什么意思？
您好， TTL 是指缓存的生存时间。意思指地方 DNS 缓存您域名记录信息的时间，缓存失效后会再次到 DNS 服务器获取记录值。

### CNAME 解析时自动加点后无法解析？
您好，您在添加 CNAME 记录时， 记录值为 CNAME 指向的域名，只可以填写域名，记录生成后会自动在域名后面补一个“.”，这是正常现象，这不会影响正常解析的。您再看看其他地方是否填写正确或者再检查下其他设置，具体参照我们官网上关于 [CNAME 记录](https://cloud.tencent.com/document/product/302/3450) 的详细教程文档操作， 如有问题欢迎您再来电咨询。

### 企业解析套餐里面的 6G 的攻击防护及最高防护量 50G 是什么意思？
企业解析套餐里面涉及到 6G 的攻击防护指的是只要是通过域名解析过来的攻击都可以防护，如：域名劫持、缓存投毒、DDOS 攻击、DNS 攻击等。域名攻击最高防护量 50G 指这个套餐最高可以防护 50G，提供免费的 6G 之后，需要需要增加对应防护值需要收费的。

### 域名动态解析吗？
您好，域名动态解析是支持的，动态解析需要配合 [客户端](https://support.dnspod.cn/Kb/showarticle/tsid/19/) 或者 [调用 API](https://www.dnspod.cn/docs/records.html#dns) 操作。

### 刚购买的解析套餐，需要升级为更高级解析套餐，如何处理呢？
您在云解析套餐管理界面，单击【升级套餐】，选择您需要升级的套餐，然后补缴差价就可以了。






