## 什么是反向解析？
域名反向解析即从 IP 地址到域名的映射，由于正向的解析是从域名到 IP 地址的映射，如果要确认一个 IP 地址是否对应一个或者多个域名，需要从 IP 出发遍历整个域名系统，这是无法实现的，因此 RFC1035 定义了 PTR（Pointer Record）记录，指针记录是邮箱系统中的一个数据类型，与 A 记录对应，PTR 记录将 IP 地址指向域名。
## 反向解析的应用场景
反向解析主要应该在邮件服务器中，启用反向解析，可以拒绝接收所有没有注册域名发来的信息。因为多数垃圾邮件发送方使用动态分配或者没有注册域名的 IP 发送垃圾邮件，以逃避追踪，所以可以在邮件服务器中拒绝接收来自无法反向解析到域名的 IP 地址发送的信息，作为一种拒收垃圾邮件的手段。
## 腾讯云如何实现反向解析？
由上可知，反向解析其实无法由 DNS 服务商完成，需要向运营商（ISP）进行申请添加反向解析，所以腾讯云__仅支持 IP 地址属于腾讯云资源的反向解析__。同时反向解析目前仅服务于企业 VIP 客户，需要提交 [工单申请](https://console.cloud.tencent.com/workorder/category/create?level1_id=16&level2_id=17&level1_name=%E5%85%B6%E4%BB%96%E6%9C%8D%E5%8A%A1&level2_name=%E5%9F%9F%E5%90%8D) 审核。
其他开发者建议使用第三方的企业邮箱。

>**注意：**
>提交工单时请向腾讯云工程师说明：域名、公网 IP（属于腾讯云资源）。
