### 概述
腾讯云云解析支持将一级域名下的子域名分配至不同的项目进行管理。例如qcloud.com属于默认项目，可以将cloud.tencent.com分配至项目A进行管理，将test.qcloud.com分配至项目B进行管理。

需要注意的几点特性是：
- 子域名分项目只针对该域名自身进行分配，不同级的域名之间没有项目归属关系，例如qcloud.com属于默认项目，将cloud.tencent.com分配至项目A后，a.cloud.tencent.com 不会跟随分配至项目A，a.cloud.tencent.com仍然是属于默认项目的。
- 拥有子域名权限的协作者，只能针对该子域名自身进行解析，例如qcloud.com属于默认项目，将cloud.tencent.com分配至项目A后，协作者仅仅可以添加例如 www.qlcoud.com -> A记录 -> 8.8.8.8 这样的解析记录（主机记录只能是www），不能添加 qcloud.com、a.cloud.tencent.com 域名的解析记录（主机记录不能是@、a.www）
- 域名在项目间进行分配和移动，不会影响现有解析。

### 操作指南

#### 1. 分配已添加过解析的子域名

##### 1.1 方式一
在域名的记录管理页，勾选解析记录分配项目，这样对应的子域名将归属指定的项目进行管理。例如图中勾选 www.qcloud-example.com 进行项目分配。

![](https://mc.qcloudimg.com/static/img/a74544e477f35d793dec6f4097950f0d/5.png)

##### 1.2 方式二

勾选一级域名，点击【更多操作-分配其子域名至项目】，

![](https://mc.qcloudimg.com/static/img/3b69cdd063ad85968869ba2025ca2706/1.png)

弹窗中可输入子域名进行分配，

![](https://mc.qcloudimg.com/static/img/a39674f6e521fd0b5be27624cba4f93e/2.png)

例如输入www，则加载出主机记录www对应的解析记录，子域名分配项目后，解析记录不会受影响，跟随子域名到对应的项目。

![](https://mc.qcloudimg.com/static/img/74c067dbc6f09fb4f7bdccd603a9b7f4/3.png)

#### 2. 分配未添加过解析的子域名
未添加过解析的子域名同样也可以进行分配，例如输入test，test.qcloud-example.com 并没有添加过解析，仍然可以分配项目进行管理。

![](https://mc.qcloudimg.com/static/img/2c6c520256d1d3f1b9a3c4294c8652d5/4.png)

#### 3. 项目权限
在协议子域名列表，项目A的协作者可以对项目A下的子域名进行解析操作，

![](https://mc.qcloudimg.com/static/img/9f1fd67bebe633cecae1a1b7b4049c7a/7.png)

但是仅能添加【协作子域名】列表中的子域名自身的解析，例如图中只能添加www、test的解析记录。

![](https://mc.qcloudimg.com/static/img/79bf69fb27afed8ef35725f685cc8ee4/9.png)

同样，项目A的协作者也可以对属于项目A的子域名进行项目分配，如果该协作者同时有项目B的权限，则可以移动到项目B。

![](https://mc.qcloudimg.com/static/img/d11bca587183d2b886b7511b56a9666f/8.png)

全局协作者可以对一级域名的解析记录进行项目筛选，查看不同项目中添加了哪些解析。

![](https://mc.qcloudimg.com/static/img/745e2996418887556e36327136c9a9a7/6.png)
