## 智能解析线路的使用场景

一般意义上解析只负责为用户解析出 IP 记录，而不去判断用户从哪里来，这样会造成所有用户都只能解析到固定的 IP 地址上，而智能解析会判断用户的来路做出一些智能化的处理，判断后的 IP 返回给用户。例如判断用户的上网线路是联通还是电信，然后智能返回对应服务器的 IP。

### 1. 线路列表
目前腾讯云云解析支持的线路细分有：

| 分类 | 具体线路 |
|---|---|
|分区域 | 华北, 东北, 华东, 华中, 华南, 西南, 西北 |
|分省 | 华北：北京, 河北, 天津, 山西, 内蒙</br>东北：黑龙江, 吉林, 辽宁</br>华东：江苏, 上海, 浙江, 安徽, 福建, 江西, 山东</br>华中：湖北, 湖南, 河南</br>华南：广东, 广西, 海南</br>西南：四川, 西藏, 重庆, 云南, 贵州</br>西北：甘肃, 新疆, 陕西, 青海, 宁夏</br>港澳台：香港, 澳门, 台湾|
|分运营商 | 电信, 联通, 移动, 铁通, 教育, 电信通, 长宽, 华数 |
|分大洲 | 非洲, 南极洲, 亚洲, 欧洲, 北美洲, 大洋洲, 南美洲 |
|分国家(247个) | 安道尔, 阿联酋, 阿富汗, 安提瓜和巴布达, 安圭拉, 阿尔巴尼亚, 亚美尼亚, 荷属安德列斯, 安哥拉, 阿根廷, 东萨摩亚, 奥地利, 澳大利亚, 阿鲁巴, 奥兰群岛, 阿塞拜疆, 波黑, 巴巴多斯, 孟加拉, 比利时, 布基纳法索, 保加利亚, 巴林, 布隆迪, 贝宁, 圣巴泰勒米岛, 百慕大, 文莱布鲁萨兰, 玻利维亚, 荷兰加勒比区, 巴西, 巴哈马, 不丹, 布韦岛, 博茨瓦纳, 白俄罗斯, 伯里兹, 加拿大, 可可斯群岛, 刚果(金), 中非, 刚果(布), 瑞士, 象牙海岸, 库克群岛, 智利, 喀麦隆, 中国, 哥伦比亚, 哥斯达黎加, 捷克斯洛伐克, 古巴, 佛得角, 库拉索, 圣诞岛, 塞普路斯, 捷克, 德国, 吉布提, 丹麦, 多米尼加共和国,多米尼加联邦, 阿尔及利亚, 厄瓜多尔, 爱沙尼亚, 埃及, 西撒哈拉, 厄立特里亚, 西班牙, 埃塞俄比亚, 芬兰, 斐济, 福兰克群岛, 米克罗尼西亚, 法罗群岛, 法国, 加蓬, 英国, 格林纳达, 格鲁吉亚, 法属圭亚那, 根西岛, 加纳, 直布罗陀, 格陵兰岛, 冈比亚, 几内亚, 法属德洛普群岛, 赤道几内亚, 希腊, 南乔治亚岛和南桑威奇群岛, 危地马拉, 关岛, 几内亚比绍, 圭亚那, 赫德和麦克唐纳群岛, 洪都拉斯, 克罗地亚, 海地, 匈牙利, 印度尼西亚, 爱尔兰, 以色列, 马恩岛, 印度, 英属印度洋领地, 伊拉克, 伊朗, 冰岛, 意大利, 泽西岛, 牙买加, 约旦, 日本, 肯尼亚, 吉尔吉斯斯坦, 柬埔寨, 基里巴斯, 科摩罗, 圣基茨和尼维斯, 朝鲜, 韩国, 科威特, 开曼群岛, 哈萨克斯坦, 老挝, 黎巴嫩, 圣卢西亚, 列支顿士登, 斯里兰卡, 利比里亚, 莱索托, 立陶宛, 卢森堡, 拉托维亚, 利比亚, 摩洛哥, 摩纳哥, 摩尔多瓦, 黑山, 法属圣马丁, 马达加斯加, 马绍尔群岛, 马其顿, 马里, 缅甸, 蒙古, 北马里亚纳群岛, 法属马提尼克群岛, 毛里塔尼亚, 蒙塞拉特岛, 马耳他, 毛里求斯, 马尔代夫, 马拉维, 墨西哥, 马来西亚, 莫桑比克, 纳米比亚, 新卡里多尼亚, 尼日尔, 诺福克岛, 尼日利亚, 尼加拉瓜, 荷兰, 挪威, 尼泊尔, 瑙鲁, 纽爱, 新西兰,. 阿曼, 巴拿马, 秘鲁, 法属玻里尼西亚, 巴布亚新几内亚, 菲律宾, 巴基斯坦, 波兰, 圣皮艾尔和密克隆群岛, 皮特克恩岛, 波多黎各, 巴勒斯坦,葡萄牙, 帕劳, 巴拉圭, 卡塔尔, 法属尼留旺岛, 罗马尼亚, 塞尔维亚, 俄罗斯,卢旺达, 沙特阿拉伯, 所罗门群岛, 塞舌尔, 苏丹, 瑞典, 新加坡, 圣赫勒拿, 斯罗文尼亚, 斯瓦尔巴特和扬马延岛, 斯洛伐克, 塞拉利昂, 圣马力诺, 塞内加尔, 索马里, 苏里南, 南苏丹, 圣多美和普林西比, 萨尔瓦多, 荷属圣马丁, 叙利亚, 斯威士兰, 特克斯和凯科斯群岛, 乍得, 法国南部领地, 多哥, 泰国, 塔吉克斯坦, 托克劳群岛, 东帝汶, 土库曼斯坦, 突尼斯, 汤加, 土尔其, 特立尼达和多巴哥, 图瓦卢, 坦桑尼亚, 乌克兰, 乌干达, 美国海外领地, 美国, 乌拉圭, 乌兹别克斯坦, 梵蒂岗, 圣文森特和格陵纳丁斯, 委内瑞拉, 英属维京群岛, 美属维京群岛, 越南, 瓦努阿鲁, 瓦里斯和福图纳群岛, 西萨摩亚, 也门, 马约特, 南非, 赞比亚,津巴布韦 |
| 分搜索引擎 | 百度, 谷歌, 搜搜, 有道, 必应, 搜狗, 奇虎, 搜索引擎 |

### 2. 地区/运营商线路使用说明
例如 `cloud.tencent.com` 设置【默认】线路解析到 8.8.8.8，【广东】线路解析到 9.9.9.9，【广东电信】线路解析到10.10.10.10，那么广东的电信运营商用户访问将返回 10.10.10.10 的 IP 地址，广东非电信运营商用户访问将返回 9.9.9.9 的 IP 地址，非广东地区用户访问将返回 8.8.8.8 的 IP 地址。
此时如果暂停广东电信线路或者广东线路的解析，全国地区的解析都不会受到影响，将全部返回 8.8.8.8 的 IP 地址。**所以无论是否添加地区或者运营商的线路，一定需要先添加好【默认】线路的解析**。

### 3. 搜索引擎线路使用说明
搜索引擎线路可以设置百度、谷歌等的蜘蛛抓取不同的 IP 地址，例如`cloud.tencent.com`设置【默认】线路解析到 8.8.8.8，【百度】线路解析到 9.9.9.9，【搜狗】线路解析到 10.10.10.10，那么用户通过搜狗搜索到站点进行访问，将返回10.10.10.10的IP地址；通过百度搜索访问，将返回 9.9.9.9 的 IP 地址；直接访问站点，将返回 8.8.8.8 的 IP 地址。

>** 注意：**
> 【搜索引擎】线路是百度、谷歌等搜索引擎的集合

## 不同套餐支持的解析线路

| 套餐版本 | 支持线路 |
|---|---|
| 免费版 | 提供基本线路：默认、国内、国外、移动、电信、联通、教育网，和所有的搜索引擎线路|
| 个人专业版 | 提供基本线路：默认、国内、国外、移动、电信、联通、教育网，和所有的搜索引擎线路 |
| 企业基础板 | 基本线路基础上提供铁通、电信通线路|
| 企业标准版 | 基本线路基础上提供铁通、电信通、长城宽带线路，和电信、联通的分省线路，港澳台线路；海外提供分大洲的线路|
| 企业旗舰版 | 基本线路基础上提供铁通、电信通、长城宽带线路，和电信、联通、移动的分省线路，港澳台线路；海外提供分大洲和 247 个国家的线路|
