## 1.备案的目的

根据国家有关规定，使用大陆服务器开办网站，需要先进行网站备案并获取通信管理局下发的ICP备案号，然后才能开通网站访问。

备案成功后，通信管理局会分配主体备案号给备案主体（个人或单位均可称为主体），同时也会给此次备案的网站分配网站备案号。

主体备案号格式为：（省简写）ICP备+主体序列号（8位数字）

网站备案号格式为：（省简写）ICP备+主体序列号（8位数字）-网站序列号

举例：
腾讯云官网（域名qcloud.com）的网站备案号为：京ICP备11018762号-11，
公司主体备案号为：京ICP备11018762号。

网站是否取得备案号以工信部网站公共查询为准：[公共查询入口](http://www.miitbeian.gov.cn/publish/query/indexFirst.action)

## 2.如何备案

1）	登陆腾讯云备案系统：[开始备案](https://console.cloud.tencent.com/beian)

2）	填写关键信息验证备案类型

3）	完善备案信息

4）	上传资料/办理拍照

5）	提交管局审核

6）	备案完成

## 3.域名：备案只针对一级域名

只需备案一级域名，一级域名备案后对应的二级域名、三级域名可以正常使用。

举例：腾讯云官网的一级域名为：qcloud.com，备案完成后对应的二级域名：cloud.tencent.com、bbs.qcloud.com均可正常使用。

凡是在工业和信息化部网站上可以查到的域名后缀，都是可以备案的。
特殊省份，如北京，不支持备案境外域名备案。


## 4.备案需要多久

1）	腾讯云对备案信息的审核需要 1-3 个工作日。
 
2）	备案信息提交至通信管理局后，各省审核时间不一，审核时间不超过20个工作日，各省审核时长请参考：[这里](http://bbs.qcloud.com/thread-20191-1-1.html)。
 
## 5.备案类型

根据主体和域名是否第一次做备案，可以分为不同的备案类型，不同的备案类型填写的信息略有差异。

1)	增加备案信息的类型有：

首次备案（新增备案）：主体和域名均为第一次做备案。

新增网站：该主体已备案过其他网站，此次填写的域名是第一次做备案。

转入备案：主体和域名均已备案，此次备案是办理接入商的变更。

在您填写备案信息的过程中，系统会自动判断备案类型，您无需自己选择。


2)	删除备案信息的类型有：

注销主体：删除该主体下的所有备案信息，包括主体信息和网站信息

注销网站：删除主体下的某个网站，主体信息仍然保留

取消接入：删除备案信息和接入商的关联，建议在新的接入商处完成转入备案后再取消接入，否则备案信息可能会被通信管理局注销

在腾讯云完成备案后，可以看到相应的入口。


3)	修改备案信息的类型有：

变更主体：变更主体信息，如修改公司通信地址等

变更网站：变更网站信息，如新增域名、修改网站负责人等

在腾讯云完成备案后，可以看到相应的入口。

## 6.网站备案期间能正常访问吗

网站是否可以打开是根据备案类型来决定的：

首次备案（新增备案）、新增网站：网站不允许打开，备案完成后才能访问，审核期间网站打开会导致备案失败。

转入备案：网站不允许打开，提交初审后才能访问。

变更主体、变更网站：网站可以正常打开。

## 7.备案需要准备什么资料

### 个人备案

A.	二代身份证扫描件或拍照件

B.	《网站备案真实性核验单》：备案过程中由系统自动生成

C.	电子版域名证书（可选）：
湖南、贵州、江苏、陕西、山东（一次提交4个域名以上）、河南（一次提交10个域名以上）个人备案需提供电子版域名证书

D.	暂住证/居住证（可选）：
在四川、上海、江苏、江西、湖北办理备案，如身份证地址非这几个省份，需提供暂住证或居住证

E.	网站建设方案书（可选）：
广东省个人备案超过10网站的，继续办理备案时需提供网站建设方案书

### 单位备案

A.	单位证件：
企业需提供营业执照（副本）扫描件/拍照件、企事业等单位提供组织结构代码证扫描件/拍照件

B.	负责人身份证扫描件/拍照件（外国人可提供护照等其他证件）

C.	《网站备案真实性核验单》：备案过程中由系统自动生成

D.	电子版域名证书（可选）：
湖南、贵州、江苏、陕西、山东（一次提交4个域名以上）、河南（一次提交10个域名以上）单位备案需提供电子版域名证书

E.	主体负责人法人授权书（可选）：
河南、四川、甘肃三省，如果主体负责人填写的不是法人，还需额外提供法人授权书。

F.	网站负责人法人授权书（可选）：
湖南、湖北、天津三省，如果网站负责人填写的不是法人，还需额外提供法人授权书。

G.	网站建设方案书（可选）：广东省单位备案超过30网站的，继续办理备案时需提供网站建设方案书

## 8.转入备案

为什么要办理转入备案？根据国家相关要求，如果您已在A接入商购买服务器并成功办理了网站备案，当您将网站重新搭建在B接入商平台上后（或网站同时在多家接入商平台上运营），原来的备案信息需要同时转入B接入商，备案信息转入B接入商的过程称为“转入备案”。

另外，如果不办理转入备案即开通网站，您的网站将有可能被阻断无法访问。

## 9.使用海外服务器不需要备案

购买香港或海外服务器无需备案，备案仅针对国内ip。

## 10.境外企业如何备案

目前境外企业无法备案，需要在大陆设立分公司持有国家认可的单位证件才能进行备案。（建议境外企业考虑使用香港服务器，使用香港服务器无需备案）

## 11.备案专有名词解释

一级域名：一级域名也叫顶级域名，abc.com即为一级域名，a.abc.com为二级域名；几级域名不单单是以符号“.”的个数来定，如abc.edu.cn也为一级域名，因为edu.cn本身也是一个域名后缀。

主体：办理备案的个人或者单位均称为备案主体

接入商：提供网站搭建平台并协助您办理备案的即为接入商

主体负责人：单位办理备案时填写的主办单位负责人，一般建议填写公司法人

网站负责人：单位办理备案时填写的网站负责人，负责网站建设等工作，可以填写法人也可以根据实际情况填写相关负责人
