### 域名简介
在 Internet 上，有千百万台主机，为了区分这些主机，每一台主机都被分配一个的 IP 地址。但由于 IP 地址没有实际意义难于记忆，于是就有了域名（Domain Name）。
域名主要是由英文字母、阿拉伯数字、” - ” 、” . ”等组成，目的是为了方便记忆和沟通一组服务器的地址（网站，电子邮件，FTP等）。
域名和 IP 是相互对应的，在 Internet 上，专门有 DNS（域名服务器）来进行域名与 IP 的相互转换，您在浏览器上输入域名， DNS 上会进行域名与 IP的转换，才能找到相应的服务器，打开相应的网页。
要想在 Internet 上建立服务器发布信息，则要先注册相应的域名。域名注册是在 Internet 上建立服务的基础。由于域名的注册遵循“先申请先注册”为原则，在中华网库每一个域名的注册都是独一无二、不可重复的，如果您想在 Internet 上拥有您的服务器发布信息，建议尽早注册域名。

### 域名种类
目前域名主要分为顶级域名和普通域名两种。

顶级域名是指标识符 http://  后仅有3段字符的域名，如 `http://www.qq.com`、`http://cloud.tencent.com` 等。字段与字段之间以点号分开，www 代表 World Wide Web ，中文译为万维网，qcloud 代表腾讯云，com 表示其为商业性公司。
顶级域名分为国际顶级域名和国内顶级域名：
* 国际顶级域名也叫国际域名，是使用最早也最广泛的域名。例如表示公司企业的 .com ，表示网络服务的 .net，表示非盈利组织的 .org 等。
* 国内顶级域名也叫国内域名，是按照国家的不同分配的不同后缀。例如表示中国的 .cn ，美国的 .us，日本的 .jp 等。

普通域名指的是标识符 http：// 后有 4 段字符的域名，如 `http：//www.qq.com.cn` 、 `http：//cloud.tencent.com.cn` 等。

### 域名注册
获得域名的方式是付费获得域名一年或多年内的使用权，我们称之为域名注册。按照国际惯例，域名申请遵循“先申请，先服务”的原则。由于域名不允许重名，一个域名只能对应一台计算机主机，一个域名一旦被申请，注册期内该域名属于申请者，除非他自动放弃或转让。因此，应抓住机遇，及时申请注册自己的域名。域名注册流程如下：
![](//mc.qcloudimg.com/static/img/17930cd38a0f44d82bf1464b4297151c/image.png)
