### 域名的意义
域名在因特网上用来代替IP地址，因为IP地址没有实际含义，人们不容易记住，所以用有含义的英文字母来代替。
在网络上，专门有DNS（域名服务器）来进行域名与IP的相互转换，人们输入域名，在DNS上转换为IP，才能找到相应的服务器，打开相应的网页。要想在网上建立服务器发布信息，则必须首先注册自己的域名，只有有了自己的域名才能让别人访问到自己。所以，域名注册是在互联网上建立任何服务的基础。同时，由于域名的唯一性，尽早注册是十分必要的。

### 域名的种类

互联网上的域名可谓千姿百态，但从域名的结构来划分，总体上可把域名分成两类，一类称为“国际顶级域名”（简称“国际域名”），一类称为“国内顶级域名”（简称“国内域名”）。

国际域名，是使用最早也最广泛的域名，列表如下：

.com：商业机构，任何人都可以注册；
.edu：教育机构；
.gov：政府部门；
.int：国际组织；
.mil：美国军事部门；
.net：网络组织，例如因特网服务商和维修商，现在任何人都可以注册；
.org：非盈利组织，任何人都可以注册；
.biz：商业；
.info：网络信息服务组织；
.pro：用于会计、律师和医生；
.name：用于个人；
.museum：用于博物馆；
.coop：用于商业合作团体；
.aero：用于航空工业；
.xxx：用于成人、色情网站；
.idv：用于个人；

国内域名，是按照国家的不同分配的不同后缀。例如表示中国的.cn，美国的.us，日本的.jp等。


### 腾讯云可注册域名

目前多种国际、国内域名火热后缀的注册、转入和管理功能腾讯云都可以满足用户，目前线上售卖20种：


| 国际域名 | 国内域名 | 
|---------|---------|
| .com | .cn | 
| .net | .com.cn | 
| .org | .net.cn | 
| .info | .ac.cn | 
| .me| .在线 | 
| .cc | .中国 | 
| .name | .中文网 | 
| .mobi | | 
| .pw |  | 
| .tv |  | 
| .wang |  | 
| .xyz|  | 
| .club|  | |

### 腾讯云注册域名优势

域名是互联网的入口，腾讯云提供的域名产品性价比最高。同时，腾讯云有着深厚的基础架构，并且有着多年对海量互联网服务的经验，不管是社交、游戏还是其他领域，都有多年的成熟产品来提供产品服务。
腾讯在云端完成重要部署，为开发者及企业提供云服务、云数据、云运营等整体一站式服务方案。具体包括云服务器、云存储、云数据库和弹性web引擎等基础云服务；腾讯云分析（MTA）、腾讯云推送（信鸽）等腾讯整体大数据能力；以及 QQ互联、QQ空间、微云、微社区等云端链接社交体系。这些正是腾讯云可以提供给这个行业的差异化优势，造就了可支持各种互联网使用场景的高品质的腾讯云技术平台。

### 如何选择域名
1..com域名是国际最广泛流行的通用域名，目前全球注册量第一的域名，公司企业注册域名的首选，国际化公司通常会注册该类域名。

2..cn域名一般代表中国，是中国企业和个人的互联网标识。优势表现为：国内域名更有保障、适用中国法律，全面保障用户利益。.com 和.cn 域名均可全球访问，并允许企业和个人注册。.cn还包含一些地域域名，列表如下：

| .cn 地域域名| 含义 | 
|---------|---------|---------|
| .com.cn | 商业机构 | 
| .net.cn | 国内互联网机构 | 
| .ac.cn | 科研机构 | 

3..mobi手机域名，全球 18 亿多部移动电话用户，数量特别庞大，是移动互联网网络营销的有力工具。由于地址的稀缺性，一旦成功注册，即成为所有者，存在巨大升值潜力。

4.name 域名同 .com、.net 一样是国际顶级域名，独具特色，非常适合用于个人网站，个性化的网站将迎来更多的关注，让更多的人有机会了解你。看到 .name 会自然联想“姓名”，非常易于识别，让对方加深对您的印象。

5..me域名可以音译为“我”或“迷”，简单易懂、非常便于记忆。.me 域名提供了一个更好的秀出自己的平台，同时也是企业更快更有效地推广自己的简易途径，内容丰富多样并且比以往的更加新颖有特色。任何企业、组织、个人都可以注册。

了解更多域名、体验腾讯云服务，可以先点此[注册域名](https://dnspod.cloud.tencent.com)