
### 域名注册规则
Internet 上的各级域名分别由不同机构来管理，各个机构管理域名的方式和域名命名的规则也有所不同。但域名的命名有一些相同的规则，主要有以下几点：
1. 域名中只能包含以下字符：英文字母（ a-z ，不区分大小写）、阿拉伯数字（ 0-9 ）、"-"（英文中的连词号，即中横线）。
2. 域名中字符的组合需符合规则："-" 不能用作开头和结尾；域名长度为 3-63 个字符。
>注：注册 .mobi 域名，必须提供可供手机、PDA 访问的页面，否则将可能被停止解析服务，MTLD 有专用核查系统进行验证；
.me 不能注册纯数字域名；
.cc 不能注册 6-14 位纯数字域名。

3. CN 下的域名命名规则。
1) 遵照域名命名的全部共同规则。
2) 只能注册三级域名，三级域名由字母( A～z 或 a～z ，不区分大小写)、数字( 0～9 )和连接符(．)组成，各级域名之间用实点(．)连接，三级域名长度不得超过20个字符。
4. 不得使用被限制使用的名称。
1) 注册含有 “CHINA”、“CN”、“NATIONAL” 等的域名必须经国家有关部门正式批准。
2) 公众知晓的其他国家或地区名称、外国地名、国际组织名称不得使用。
3) 县级以上(含县级)行政区划名称的全称或缩写必须经相关县级以上(含县级)人民政府正式批准。
4) 行业名称或者商品的通用名称不得使用。
5) 他人已在中国注册过的企业名称或者商标名称不得使用。
6) 对国家、社会或者公共利益有损害的名称不得使用。


### 如何选择域名
1. .com 域名是国际最广泛流行的通用域名，目前全球注册量第一的域名，公司企业注册域名的首选，国际化公司通常会注册该类域名。
2. .cn 域名一般代表中国，是中国企业和个人的互联网标识。优势表现为：国内域名更有保障、适用中国法律，全面保障用户利益。.com 和 .cn 域名均可全球访问，并允许企业和个人注册。.cn 还包含一些地域域名，列表如下：
1) .cn 地域域名	
2) .com.cn	商业机构
3) .net.cn	国内互联网机构
4) .ac.cn	科研机构
3. .mobi 手机域名，全球 18 亿多部移动电话用户，数量特别庞大，是移动互联网网络营销的有力工具。由于地址的稀缺性，一旦成功注册，即成为所有者，存在巨大升值潜力。
4. name 域名同 .com、.net 一样是国际顶级域名，独具特色，非常适合用于个人网站，个性化的网站将迎来更多的关注，让更多的人有机会了解您。看到 .name  会自然联想“姓名”，非常易于识别，让对方加深对您的印象。
5. .me 域名可以音译为“我”或“迷”，简单易懂、非常便于记忆。.me 域名提供了一个更好的秀出自己的平台，同时也是企业更快更有效地推广自己的简易途径，内容丰富多样并且比以往的更加新颖有特色。任何企业、组织、个人都可以注册。

了解更多域名、体验腾讯云服务，可以先[注册域名](https://dnspod.cloud.tencent.com/?from=qcloudHpHeaderDnspod&fromSource=qcloudHpHeaderDnspod)


