域名转入也叫“域名转移”、“变更域名注册服务机构”或“域名转移注册商”，是指将域名从原来的注册商 A 转移到现在的域名注册商 B ，由域名注册商 B 为您的域名提供相关的服务。如果您已经在其他注册商上注册了域名，但想使用腾讯云的服务，那么您需要进行 [域名转入](https://console.cloud.tencent.com/domain/trans-in)。
### 转入条件
1）您必须是域名所有人，或已获得域名所有人委托许可管理域名。
2）域名处于正常状态，即处于 Active 或者 OK 状态。没有被锁定，也没有处于转移保护。
3）域名注册/续费成功超过 60 天以及距该域名到期日大于 15 天。
4）该域名最近一次转移成功距此次转移超过 60 天。
5）目前腾讯云支持的域名后缀详细请查看 [域名新购、续费、转入列表](https://buy.cloud.tencent.com/domain?price=1)。

### 转入注意事项
1）腾讯云与新网合作，您的域名将转入新网，但腾讯云将为您提供后续的域名服务。 
2）域名转入是免费的，但根据注册局规定，转入时需在原期限上续费1年，即域名转入新网的同时为您的域名续期一年，您需支付域名续期1年的费用。 
3）如果您的域名已达最长购买年限 10 年，转入时只扣除续费 1 年的费用，年限不增加。

###  转入操作
域名转入仅需简单的两步即可完成：
#### 步骤一：转入前准备
在域名转入前，您需要到原注册商上获取域名转移密码。另外，如果您的域名正在使用中，腾讯云可以为您实现平滑迁移。
1. 到原注册商获取转移密码
到原注册商域名管理界面（以下图万网为例），申请索取域名转移密码。通常时候，原注册商会把转移密码发到您绑定的邮箱上，您需要记住转移密码，后续转移域名的操作中需要用到。
![](//mc.qcloudimg.com/static/img/74b36e7438ac6e13ba4363fba4b4be77/image.png)
2. 将需要转入腾讯云的域名填入腾讯云解析中：
A. 添加域名
  登录 [腾讯云官网](https://cloud.tencent.com)，在右上角单击【管理中心】进入管理控制台页面，在顶部导航栏打开【云产品】>【域名服务】>【云解析】，进入云解析界面。
![](//mc.qcloudimg.com/static/img/9939a38dfa796e25aebaca2c726aa1cf/image.png)
单击【添加域名】，填入您需要转入的域名然后单击【确定】。
![](//mc.qcloudimg.com/static/img/d28d64c1afbc9b894e8041b421fb1e45/image.png)
B. 添加解析
在域名信息右侧，单击操作栏中的【解析】，对域名进行解析操作。
![](//mc.qcloudimg.com/static/img/579dcd2b3bc2230015c4c5607cc3391d/image.png)
如果您的域名已经在原注册商上有解析记录，腾讯云会提示您是否同步原来的解析记录，如果同意同步原来的解析记录，单击【确认】即可。如果您的域名在原注册商上没有解析记录，您可以自己手动添加记录。
![](//mc.qcloudimg.com/static/img/7f74b5b635158ac5dfbe57289dfec899/image.png)
C. 修改 DNS 
在原注册商域名管理界面将 DNS 服务器修改为： f1g1ns1.dnspod.net，f1g1ns2.dnspod.net （以下图万网为例）
![](//mc.qcloudimg.com/static/img/b02ec93cb73288b6ed9c7b301a309ae5/image.png)


#### 步骤二：域名转入
1. 转入域名申请
登录 [腾讯云官网](https://cloud.tencent.com)，在官网首页，顶部导航栏，打开【云产品】>【域名服务】>【域名转入】，进入域名转入页面。
![](//mc.qcloudimg.com/static/img/f397ed83d2120ef7178118ab62379b57/image.png)
输入需转入的域名和您之前获取到的转移密码，单击【提交】即可提交域名转移申请。
![](//mc.qcloudimg.com/static/img/c7014a8966d390ed4f011f665053c833/image.png)
2. 提交订单
域名转入需在原期限上续费 1 年，您需确认转入域名以及续费金额是否正确。
![](//mc.qcloudimg.com/static/img/9f0405c4525519b5ebf459628c5ef996/image.png)
3. 填入域名信息
如您之前在腾讯云购买过域名，且填写过域名信息，选择使用之前填写的域名信息即可；
如果您需要使用新的域名信息，选择【使用新的域名信息】，填写相关信息后单击【保存】。具体需填写的信息如下图所示。
>**注意：**
>用户类型选择个人或企业，均不影响使用，只是在注册 .com、.cn、.net、.wang、.中国 域名不同的用户类型需要提交不同的实名审核资料。

	![](//mc.qcloudimg.com/static/img/14620cae1d9b948168a6e9cd32e13943/image.png)

4. 功能选择
如果您不想您的域名信息被公开，建议勾选【免费开启域名信息保护】功能（该功能可在域名管理中随时开启/关闭），
如果您想设置域名到期自动续费，建议勾选【开启自动续费】功能（该功能可在域名管理中随时开启/关闭），单击【提交订单】进入支付页面。
![](//mc.qcloudimg.com/static/img/3938f95155bc7f33eacd0ff5f8e506ee/image.png)
5. 完成支付
选择您想用的支付方式后，单击【立即支付】。您可以选择腾讯云账户余额、微信、QQ钱包或财付通、支付进行支付。
![](//mc.qcloudimg.com/static/img/2952ae8879208de37ccf0c4f878e55c8/image.png)
支付完成后，即转入成功。可在【域名服务】>【我的域名】查看/管理您的域名了。如果您需要开具发票，可以在【管理中心】>【发票管理】中申请开票。

域名转入相关问题请参见[域名转入相关问题](https://cloud.tencent.com/document/product/242/8581)。
