### 域名注册说明
获得域名的方式是付费获得域名一年或多年内的使用权，我们称之为域名注册。按照国际惯例，域名申请遵循“先申请，先服务”的原则。由于域名不允许重名，一个域名只能对应一台计算机主机，一个域名一旦被申请，注册期内该域名属于申请者，除非他自动放弃或转让。因此，应抓住机遇，及时申请注册自己的域名。

### 如何选择合适域名？
1、选择域名建议具备简单、易记、有个性的特性（最好是与企业名称、商标、产品相关联，可根据网站性质、用途、客户群体有针对性的选择）。
2、您可以为同一个域名注册多个不同后缀（为了保护您的品牌，同时也能让用户更容易找到您的网站）。
3、域名注册购买建议选择年限 2 年以上（域名为年租型产品，为了降低因域名价格上涨、忘记续费等原因导致域名丢失的风险，建议一次注册多年）。

### 域名已经被注册了怎么办？
域名具有“唯一性”，当一个域名被注册成功后，将不能再被其他人注册。您可以试着搜寻其他后缀的域名，例如您希望注册的域名“ abc.com ”已被他人注册，您可以尝试注册“ abc.net ”或者“ abc.cn ”等域名，使用上没有区别。
如果您希望获取到已被别人注册的域名，您可以通过 whois 查询工具输入域名查询域名的当前所有人，沟通、咨询是否可以转让该域名。
或者您也可以委托域名中介等服务机构进行购买。

###  whois 域名注册信息含义？
国际域名注册信息含义：<style  rel="stylesheet"> table th:nth-of-type(1) { width: 200px; }</style>

|词汇|含义|
|----|----|
|Domain Name|域名|
|Name ServerDNS |解析服务器（在腾讯云注册时默认使用 DNSPOD）|
|Registrant| 注册人|
|Registrant Name |注册人姓名|
|Registrant Organization|注册人单位|
|Registrant Address|注册人地址|
|Registrant City|注册人城市|
|Registrant Province/State|注册人省/州|
|Registrant Postal Code|注册人邮编|
|Registrant Country Code|注册人国家代码|
|Registrant Phone Number|注册人电话号码 （联系信息请保证准确可用）|
|Registrant Fax|注册人传真|
|Registrant Email|注册人电子邮箱（联系信息请保证准确可用）|
关于 whois 信息中域名状态，可点此了解[《域名状态》](https://cloud.tencent.com/document/product/242/7924)

### 域名注册后还需要做什么？
**1. 实名认证**
域名注册后必须在 5 个工作日内完成实名认证，否则域名会处于 serverhold 状态影响您正常使用。了解 [实名认证](https://cloud.tencent.com/document/product/242/6707)>>
**2. 按时续费**
域名具有时效性，请注意在到期前及时续费，避免影响您使用。域名进入续费期和赎回期均可以续费，但这两个阶段解析会受影响，具体请查看 [续费期和赎回期常见问题](https://cloud.tencent.com/document/product/242/3705)。
**3. 信息变更**
如果注册信息发生变化，应当及时[变更域名注册信息](https://cloud.tencent.com/document/product/242/3648)；

### 出现域名争议怎么办？
任何机构或个人认为他人已注册的域名与该机构或个人的合法权益发生冲突的，均可以向争议解决机构提出投诉。
如果您认为您注册的域名出现争议，您可以与 CNNIC 认证的域名争议解决机构联系争议事宜。目前的争议解决机构有两家：中国国际经济贸易仲裁委员会域名争议解决中心和香港国际仲裁中心。

### 注册成功还能退款吗？
域名属于即时产品，注册成功后不可以修改，也不能退款。比如您要注册的是 xiaochengxu，因为误拼写注册成了 xiaochenxu，只能重新再新注册一个正确的域名。

### 域名注册后能删除吗？
域名注册成功不能删除，若您不需要此域名，您可以等到域名到期不续费即可；
若您不想用此域名打开网站，在域名控制台暂停或删除解析记录即可。

###  如何查看域名购买填写的资料信息？
查看域名购买填写的资料信息，请登录腾讯云官网>控制台>云产品>域名管理>域名列表>管理>域名资料，进入即可查看购买域名填写的相关信息。

### 域名注册信息不希望在 whois 上被查看到，如何处理？
您好，可以开启域名保护：
1. 登录腾讯云控制台>云产品>域名服务>域名管理； 
2. 进入域名管理控制台，勾选对应的域名>管理>域名资料，在域名保护处直接开启即可。

### 域名证书在哪里下载？
- 域名在腾讯云注册 
首先，请登录腾讯云管理中心>云产品>域名服务>域名管理； 
然后，进入域名管理控制台，勾选对应的域名>管理>域名证书，即可看到生成的域名证书，您直接另存图片或截图即可。 
- 域名非腾讯云注册 
您好，非常抱歉，因您域名不是在腾讯云注册的，无法在腾讯下载域名证书，建议您联系域名注册商。

如果您发现证书颁发机构为“北京新网数码信息技术有限公司”您请放心，我们与新网是是战略合作关系，目前代理的是新网的域名，所以证书颁发机构为新网。



