### 过期域名续费后何时生效
在域名到期后的 30 天内，您的域名还属于“域名续费期”，在此期间您还可以以正常 [续费价格](https://buy.cloud.tencent.com/domain?price=1) 对您的域名进行域名续费操作，具体操作您可参考 [域名续费操作](https://cloud.tencent.com/document/product/242/9644) 文档。如果您的域名过期超过 30 天，您的域名会进入“域名赎回期”，关于“域名赎回期”介绍请参阅下文。
在域名到期日的第二天，原域名解析即会暂时失效，解析失效后您的网站将无法正常访问。如果您在“域名续费期”内对您的域名进行续费，续费成功后，对于使用腾讯云解析的域名，将于续费成功后的 72 小时内恢复解析。对于使用非腾讯云解析的域名，将于续费成功后的 48~72 小时内恢复解析。

### 域名续费可以续多长
根据注册局的相关规定，域名有效期年限总长不可超过 10 年（.co 的域名有效期年限不可超过 5 年）所以，如您的域名购买时候买了 3 年使用年限，那么，非 .co 后缀的域名可以续费使用 7 年，而 .co 后缀的域名则只能续费使用 2 年。
域名赎回操作时，只能选择续费一年。如需续费多年，请在赎回后进行续费操作。

### 域名已经过期了，还能续费吗
可以。正常情况下，刚刚过期的域名还在“域名续费期”是可以正常续费的。具体续费操作参考 [域名续费](https://cloud.tencent.com/document/product/242/9644) 文档。

 * 如果您的域名刚过期未超 30天，则您的域名还在续费期，您可以正常对您的域名进行续费，续费成功后域名恢复正常；
 * 如果您的域名过期已超 30天，则您的域名已经进入赎回期，您需要对于域名进行高价赎回，赎回后域名可恢复正常；
 * 如果过期域名已不在您的账户当中，一般域名是无法恢复的，您可以等域名被完全删除后重新注册。

### 什么是域名赎回期
域名到期后会有 30 天左右的域名续费期（每个后缀的续费期可能不同），若在此期间内错过续费，会进入域名赎回期（每个后缀的赎回期可能也不同）：

* 国内域名：中/英文.cn、.com.cn、.net.cn、.ac.cn、.中国 赎回期均为 15 天，.在线、.中文网 赎回期为30天。域名错过赎回期，将直接开放公众重新注册。
* 国际域名：中/英文.com、中/英文.net 、.org 、.info 、.me、中/英文.cc、.name、 .mobi 、 中/英文.pw、中/英文.tv 、.wang、.xyz、 .club、 .la（中/英文）、.acia 的赎回期是 30 天。域名错过赎回期，将进入 5 天的等待删除期，域名在等待删除期内不能续费不能赎回，域名只能等待被删除。过了 5 天等待删除期，将直接开放公众重新注册。

![](//mc.qcloudimg.com/static/img/36bf19459493fea02b493fa06d2e8c30/image.png)

### 如何进行域名赎回
您的域名如果还处于过期未超 30 天的续费期内，则您不需要进行域名赎回，您只需对域名正常续费即可。
您的域名如果过期已经超过 30 天但未超 60 天，则您的域名处于“域名赎回期”，此时，您需要花超过该域名正常续费价格的费用对您的域名进行赎回操作。
赎回域名操作：
1. 首先，登录腾讯云 [域名管理控制台](https://console.cloud.tencent.com/domain/mydomain) ，
2. 在【我的域名】列表页面，在需要进行赎回操作的域名旁边，单击【赎回】。
3.  弹框确认赎回域名，完成付费即可完成域名赎回。

如有还有其他问题，您可以拨打腾讯云购买咨询热线 4009-100-100 转 1 咨询，或 [提交工单](https://console.cloud.tencent.com/workorder/category/create?level1_id=16&level2_id=17&level1_name=%E5%85%B6%E4%BB%96%E6%9C%8D%E5%8A%A1&level2_name=%E5%9F%9F%E5%90%8D) 联系技术客服。

>温馨提醒：
1. 为了保证您的域名能够正常使用，系统会在域名到期前 45 天即开始邮件告知您有即将过期的域名待续费，请注意查收邮件。
2. 赎回期域名解析暂停，如果域名赎回成功，域名的 DNS 即时恢复 ，但是域名的解析记录需要您自行重新设置，重新配置后，一般会在 48 小时恢复生效。
3. 域名在 “赎回期” 期间，需要用比正常续费价格高的费用对域名进行赎回（域名赎回价格由注册局规定）。

### 域名已经续费了，但是还不能够访问的原因？
域名续费成功后，默认生效时间是 0-72 小时，请您耐心等待。若生效超时请联系腾讯云客服帮您解决。

### 域名到期需续费，忘记域名注册商及帐号，如何查看？
如果您忘记域名注册商及帐号信息，您可以先通过 [ who is 信息](http://whois.chinaz.com/baidu.com) 查询注册商，然后再尝试通过域名注册信息找回其对应的帐号密码 。

### 域名过期的状态？
A. 域名过期后 1～30 天内，who is 显示域名状态处于 REGISTRAR HOLD（注册商保留）状态，即俗称的 “域名续费期”。
B. 注册商保留期（域名续费期）结束之后，域名进入 30 天赎回期，who is 显示域名状态处于 REDEMPTION PERIOD（宽限期）。
C. 赎回期结束之后域名将进入 5 天的待删除期，5 天期满后域名被删除，who is 显示域名状态处于 PENDING Delete，正在删除过程中，删除后开放重新注册。
D. REGISTRAR/REGISTRY LOCK 是注册商/局域名锁定状态，过期后防止被转移注册商。


