### 实名认证需要提交什么资料
如果您的域名持有者为个人，您需提供与域名所有者一致的个人身份证正面扫描件（格式：不小于 55KB 且不超过 1M、jpg 格式）；
如果您的域名持有者为企业，需提供与域名所有者一致的营业执照或组织机构代码或统一社会信用代码扫描件（格式：不小于 55KB 且不超过 1M、jpg 格式）。

### 实名认证多久审核通过
提交认证后，审核一般需 3-5 个工作日完成，您可以在域名管理里查看审核进度。

### 域名实名认证状态
实名认证状态包含：已实名认证、未实名认证、审核中、审核失败这四种状态。
域名实名认证审核期间，域名状态会处于 Serverhold 状态，待审核通过后，1-2 个工作日恢复 ok 状态，还请耐心等待。

### 实名认证失败
实名认证失败的原因可能有：
**1. 域名所有者与证件信息不一致**
请您核实域名所有者与提交的证件信息是否完全一致，如不一致，请您将信息修改一致后，再次提交审核。
**2. 证明资料不清晰、不完整或者无法打开**
请您提交格式正确、清晰完整的证件照片。
**3. 提交的证件资料验证失败（身份证明资料和公安部门接口查询结果不一致）**
个人：户口正在迁移、身份证已过期或者无效，您可以提交提供加盖户籍章的户籍证明或者户口本扫描件。
企业：营业执照变更过企业名称、证件已过期或者无效，提交盖有工商行政管理局公章的企业证明资料或其他有效组织证明资料。
**4. 提交的证件不合格**
域名为个人类型的您需要提交与域名所有者一致的身份证扫描件；域名为企业类型的您需要提交与域名所有者一致的营业执照或者组织机构代码证。
**5. 域名资料不完整**
您需要补充完整域名信息后重新提交实名认证申请。

### .com/.net/.cn/.中国 域名被 severhold
.com/.net/.cn/.中国 域名被 severhold 是因为注册成功后未在 5 个工作日内完成实名认证，导致域名被锁定。遇到此问题，您可前往 [域名管理控制台](https://console.cloud.tencent.com/domain/mydomain)进行实名认证，审核通过后，将在 1~2 个工作日内恢复 OK 状态。

### 域名认证通过了还能变更资料吗？
实名认证的域名，可以在域名管理中，点击【编辑】去更改所有者信息。
>**注意：**
已实名变更所有者，需要上传新的所有者证件信息再次实名，不会影响域名原有的已实名状态，即在变更所有者中不会影响已实名域名使用和正常解析。

### 从其他注册商转入域名需要实名认证吗
转入进来的域名，转入成功后不管之前实名认证与否，都需要在腾讯云做实名认证操作，便于您在腾讯云对该域名信息进行管理。

### 域名个人实名认证的方式？
如果您注册域名时，填写的用户信息是个人，则您需要填写个人资料进行个人认证。认证步骤如下：
#### 步骤一：进入域名管理页
1. 打开腾讯云官网，在顶部导航条右侧单击【管理中心】，登录到管理中心首页。
2. 在使用中的云产品栏目内，单击【域名管理】，即可看到您购买的所有域名信息列表。

#### 步骤二：提交认证资料 
1. 选择您需要进行实名认证的域名，在对应的域名状态栏下单击【未实名认证】，页面会跳转到实名认证页面。
2. 在实名认证页面，您首先需要确认域名信息：在注册域名的时候已经填写了域名信息，如果您想修改域名信息，单击【更改】即可。
3. 提交域名认证资料：填写您的身份证号，并上传身份证正面件扫描件（注：为了提升审核准确率及速度，建议您提交身份证扫描件，避免使用拍照方式导致照片模糊不清），然后单击【提交】。
> __注意__ ：.com、.net、.cn、.xyz、.club、.wang、.中国 实名审核要求域名所有者与提供证件必须一致，请确认。

#### 步骤三：等待审核结果
资料提交完成后，需要等待 3-5 个工作日，审核通过会有邮件通知您。

### 域名实名认证审核中是否可以修改信息呢？
您好，可以修改但修改后会重新审核，会影响审核进度，请谨慎操作。

### 域名是否需要通过实名认证才能查看到域名证书？
您好，域名注册购买成功后就会生成域名证书，无需等域名实名认证审核通过。

### 域名 .xyz 是否需要实名制审核？
您好，需要实名制审核，目前需要审核的后缀有 .com/.net/.cn/.xyz/.club/.wang/.mobi/.info/.中国/.在线/.中文网！

### 域名审核收到驳回原因“注册人身份证明资料的姓名与系统中的注册人姓名不一致”，应如何处理？
您好，这是因为您的域名所有者和上传的证件扫描件上的名称不一致被驳回的。您将这二者信息修改为一致，方可通过。请根据您域名的域名所有者是个人还是企业操作：

- 域名所有者为个人，您上传这个人的身份证扫描件即可。
- 域名所有者为企业 ，您上传的证件应为这个企业的营业执照或者组织机构代码扫描件。

### 域名为什么要实名认证？
根据工信部 2017 年全面域名实名认证的要求，所有存量域名以及新注册域名均需进行实名认证，目前涉及的域名包括：.com/.net/.cn/.xyz/.club/.wang/.mobi/.info/.中国/.在线/.中文网！。若您的域名在规定时间内未通过实名审核，注册局将暂停解析（Serverhold），您的域名无法正常访问。待实名认证通过后方可恢复正常使用。所以，新注册的域名需要进行实名认证。
>**注意：**
- 自 2016 年 7 月 18 日起，.com / .net 域名注册成功后 5 天内必须实名认证，否则域名会处于 Serverhold 状态，无法正常使用；待实名审核通过后，1-2 个工作日恢复 ok 状态。
- 自 2017 年 1 月 6 日起，.xyz / .club / .wang / .info / .mobi 域名注册成功后 5 天内必须实名认证，否则域名会处于 Serverhold 状态，无法正常使用。
- 2016 年 7 月 18 日之前注册成功的 .com / .net 域名需要全部实名。
- 国内域名 .cn / .com.cn / .net.cn / .ac.cn / .中国 注册成功后 5 天内必须实名认证，否则域名会处于锁定状态，无法正常使用；待实名审核通过后，1-2 个工作日恢复正常状态。



