域名续费的目的是延长您已注册域名的有效使用期限。在域名到期前，腾讯云会发出邮件或短信提醒。为保障您的域名能正常运行，您也可以随时进行 [续费操作](https://console.cloud.tencent.com/domain)。
腾讯云为您提供两种域名续费方式：手动续费和自动续费。

## 手动续费操作
手动续费分为单个域名续费和批量域名续费。
### 单个域名续费图解
**步骤一：登录管理控制台**
打开 [腾讯云官网](https://cloud.tencent.com/)，在顶部导航条右侧点击【管理中心】，登录到管理中心首页。
![](//mc.qcloudimg.com/static/img/93b74a8e306f5f05dfcaf89abeef523d/image.png)
在**使用中的云产品**栏目内，单击【域名管理】进入域名管理页面，即可看到您购买的所有域名信息列表。
![](//mc.qcloudimg.com/static/img/da4ba43894682972815e6deb5f040e50/image.png)
**步骤二：提交域名续费**
单击【续费】，即提交续费申请。
![](//mc.qcloudimg.com/static/img/7ec83382ff92f62c81b2204652830c29/image.png)
** 步骤三：选择续费期限**
单击**续费年限**下方的下拉框按钮，选择您想续费的时长后，单击【去支付】。
>根据注册局的规定，域名有效期年限不可超过10年（.co 域名有效期年限不可超过5年）。
>域名赎回操作时，只能选择续费一年。如需续费多年，请在赎回后进行续费操作。

![](//mc.qcloudimg.com/static/img/6b582270784dd6cf96fc5ff9e01a3557/image.png)
**步骤四：核对信息**
核对您的域名续费信息及费用后，单击【确认购买】。
![](//mc.qcloudimg.com/static/img/d1e276c3fcc2f09e9089db7c56f5e365/image.png)
 **步骤五：确认支付**
选择您想用的支付方式后，单击【立即支付】。您可以选择腾讯云账户余额、微信、QQ钱包或财付通、支付进行支付。
![](//mc.qcloudimg.com/static/img/be1df5d5126f5e6e39c8ac052cc547b5/image.png)
支付完成后，即续费成功。您可在【管理中心】查看您的时限是否已更新。如果您需要开具发票，可以在【管理中心】>【发票管理】中申请开票。
![](//mc.qcloudimg.com/static/img/d3b71da5e2855f6eab93e1197e7f62b2/image.png)


### 批量域名续费
**步骤一：登录管理控制台**
打开 [腾讯云官网](https://cloud.tencent.com/)，在顶部导航条右边，单击【管理中心】，登录到管理中心首页。
![](//mc.qcloudimg.com/static/img/93b74a8e306f5f05dfcaf89abeef523d/image.png)
在**使用中的云产品**栏目内，单击【域名管理】进入域名管理页面,即可看到您购买的所有域名信息列表。
![](//mc.qcloudimg.com/static/img/da4ba43894682972815e6deb5f040e50/image.png)
**步骤二：批量域名续费**
在域名管理页面左侧勾选需要续费的域名。如果您需给您名下所有域名进行续费操作，勾选【全选】复选框即可。然后在页面左上角，单击【批量续费】，申请域名批量续费。
![](//mc.qcloudimg.com/static/img/d8b3981e6a945ddecdfb55088ac724ec/image.png)
** 步骤三：选择续费期限**
在续费年限一栏中，点击下拉框按钮选择您想续费的时长。确认后，单击【去支付】。
>根据注册局的规定，域名有效期年限不可超过10年（.co 域名有效期年限不可超过5年）。
>域名赎回操作时，只能选择续费一年。如需续费多年，请在赎回后进行续费操作。

![](//mc.qcloudimg.com/static/img/3686b2eea06e848c898f5eba308b4d3e/image.png)
**步骤四：核对信息**
核对您的域名续费信息，并确认支付续费金额，确认后单击【确认购买】。
![](//mc.qcloudimg.com/static/img/6d5f6de12b75bc245d4f39041a4df00e/image.png)
 **步骤五：确认支付**
选择您想用的支付方式后，单击【立即支付】。您可以选择腾讯云账户余额、微信、QQ钱包或财付通、支付进行支付。
![](//mc.qcloudimg.com/static/img/05b9a0907ca013fdc7a6caae8c2201a1/image.png)
支付完成后，即续费成功。您可在【管理中心】查看您的时限是否已更新。
如果您需要开具发票，可以在【管理中心】>【发票管理】中申请开票。
![](//mc.qcloudimg.com/static/img/a6565b1893a49832cc452ea5b33fe523/image.png)

## 自动续费操作
如果您不想进行手动续费操作，您可以选择使用腾讯云为您提供的域名自动续费功能。开启域名续费功能后，域名到期后系统会自动帮您续费。具体设置如下：
>开启自动续费功能，请确保您的账户内余额充足，否则会出现续费不成功。

**步骤一：登录管理控制台**
打开 [腾讯云官网](https://cloud.tencent.com/)，在顶部导航条右边，单击【管理中心】，登录到管理中心首页。
![](//mc.qcloudimg.com/static/img/93b74a8e306f5f05dfcaf89abeef523d/image.png)
在**使用中的云产品**栏目内，单击【域名管理】进入域名管理页面，即可看到您购买的所有域名信息列表。
![](//mc.qcloudimg.com/static/img/da4ba43894682972815e6deb5f040e50/image.png)
**步骤二：开启域名自动续费**
在域名管理页面，选择您想开启自动续费的域名，右侧**自动续费**栏目下单击【未开启】，打开自动续费设置文本框。
![](//mc.qcloudimg.com/static/img/f5685c81a2e9869f1ebc3247647b40f4/image.png)
确认信息后，单击【确定】即可。
![](//mc.qcloudimg.com/static/img/0310b3a3fa9d5c8b5ac8cc362973f851/image.png)
完成自动续费设置后，**自动续费**栏目下会对应变成【已开启】，说明该域名自动续费功能已开启成功。
![](//mc.qcloudimg.com/static/img/ad40d44ec59f9aa84f912b97e994f1d0/image.png)


