申请域名型证书，可以通过以下方式验证域名的所有权：

### 1. 手动DNS验证
通过解析指定的DNS记录验证您的域名所有权，指定如`主机记录 –> TXT记录类型 –> 记录值`的解析格式。

例如为申请证书的域名 www.domain.com 添加一条记录类型为TXT的DNS记录，`www.domain.com –> TXT –> 201704262209564gw0...hj37i4xai8m7uii2a23l`：

![](https://mc.qcloudimg.com/static/img/817e158a70e3ae78741f07bec6798b38/1.png)

以腾讯云云解析平台为例说明如何进行操作：

#### 1.1 添加域名

点击【添加域名】，输入您要解析域名的主域名`domain.com`，并点【确定】

![](https://mc.qcloudimg.com/static/img/3c906608a8759c24cf9bd0391c74c896/1.png)

#### 1.2 添加解析记录

点击刚添加的域名【解析】

![](https://mc.qcloudimg.com/static/img/db4edbdb57ddaee7f028e04d133c8258/3.png)

点击【添加记录】

![](https://mc.qcloudimg.com/static/img/cc84a183208a3af200f167beb40e51de/4.png)

#### 1.3 完成指定的TXT记录添加

TXT记录是对域名进行标识和说明的一种方式：

- **记录类型选择为TXT**
- 主机记录处填子域名，比如需要添加`www.domain.com`的解析，只需要在主机记录处填写`@`即可，不需要填写主域名`domain.com`
- 线路类型选择默认
- 记录值为系统提供的文本内容，此处为`201704262209564gw0...hj37i4xai8m7uii2a23l`，注意**记录值须完整填写**
- TTL选择默认值10分钟即可

![](https://mc.qcloudimg.com/static/img/f64d0c0a2e6cf265b51f6846acc7ecf5/5.png)

解析添加成功后如下：

![](https://mc.qcloudimg.com/static/img/063467572f5b5493db8492a8fd0ed4d1/6.png)

www.domain.com TXT记录值的系统会定时检查，若能检测到并且与指定的值匹配，即可完成域名所有权验证。

### 2. 自动DNS验证
> 注：仅限使用云解析的域名

如果申请证书的域名已经在云解析平台进行解析，可以选择自动验证。
系统为将为该域名自动添加指定的DNS解析记录，记录被检测匹配成功，完成域名所有权验证后，该记录将自动清除。

### 3. 文件验证

#### 3.1 指定目录下创建文件
按指定文件目录、文件名、文件内容新增文件，例如

| 文件目录| 文件名 |文件内容 |
|---------|---------|---------|
| /.well-known/pki-validation | fileauth.txt | 201608241742072yvt8bxp9jv0ycginrnnebwgy1nvwgvxtssucy39w7b20nelfa |

如果申请文件验证的域名是`example.www.domain.com`，那么进行验证访问的链接地址是 `http://example.www.domain.com/.well-known/pki-validation/fileauth.txt` 或者 `https://example.www.domain.com/.well-known/pki-validation/fileauth.txt`

如果申请文件验证的域名是泛域名`*.domain.com`，那么进行验证访问的链接地址是 `http://domain.com/.well-known/pki-validation/fileauth.txt` 或者 `https://domain.com/.well-known/pki-validation/fileauth.txt`

访问链接可获取到内容为`201608241742072yvt8bxp9jv0ycginrnnebwgy1nvwgvxtssucy39w7b20nelfa`。

> http和https访问支持任意一个均可；
> 文件验证不支持任何形式的跳转，需要直接响应200状态码和文件内容。

#### 3.2 等待审核
建立完成文件后，请耐心等待CA机构扫描审核。证书颁发完成后，文件和目录即可清除。

#### 3.3 Window系统不支持创建/.well-known目录问题
在Windows下无法通过`右键=>新建`命令来创建以点开头的文件和文件夹，例如`.log`，会提示必须输入文件名。
可以通过命令行来创建：

新建文件夹
```
mkdir .well-known
```
