### 1. 选择证书品牌以及型号

腾讯云目前支持三种品牌SSL证书的售卖，详细如下：
#### 1.1 Symantec
Symantec是全球最大的信息安全厂商和服务商，最权威的数字证书颁发机构，为企业、个人用户和服务供应商提供广泛的内容和网络安全解决方案，全球500强中有93%选择了 VeriSign SSL 数字证书，赛门铁克于2010年8月收购VeriSign，目前VeriSign认证服务现均由赛门铁克提供，并在2012年4月对VeriSign的产品名称和品牌标识进行变更。

#### 1.2 GeoTrust
GeoTrust 是全球第二大数字证书颁发机构(CA)，也是身份认证和信任认证领域的领导者，该公司各种先进的技术使得任何大小的机构和公司都能安全地低成本地部署SSL数字证书和实现各种身份认证。从2001年成立到2006年占领全球市场25%的市场分额， 于2006年5月/2006年9月 VeriSign 以 1.25亿美元收购 GeoTrust，目前也同为赛门铁克旗下SSL证书的**性价比**品牌。

单纯从技术角度，symantec（原verisign）和 GeoTrust 的区别如下：
1. 算法支持上 Symantec（支持RSA DSA ECC三种算法）优于 Geotrust（支持RSA DSA两种算法）；
2. 兼容性 Symantec 优于 Geotrust； Symantec 可兼容市面上所有的浏览器，对移动端的支持也是最好的
3. OCSP 响应速度上 Symantec 优于 Geotrust；
4. CA 安全性方面 Symantec 优于 Geotrust，Symantec是国际知名安全厂商，CA的安全级别也是国际第一的安全系数；
5. Symantec 证书除实现加密传输以外，还另外有恶意软件扫描和漏洞评估的附加功能；
6. Symantec 对证书有商业保险赔付保障，金额最高为175万美金，GeoTrust最高为150万美金。

#### 1.3 TrustAsia
亚洲诚信是亚数信息科技（上海）有限公司应用于信息安全领域的品牌，是Symantec™（赛门铁克）的白金合作伙伴，专业为企业提供包含数字证书在内的所有网络安全服务。同时，TrustAsia品牌SSL证书由Symantec根证书签发。

#### 1.4 品牌的差异
不同品牌的证书在浏览器地址栏、加密强度、赔付保障上均存在差异，最重要的差异点在于根证书，例如 Geotrust 通配符是 Geotrust 根证书签发的，而 Symantec 通配符是 Symantec 根证书签发的，Symantec 根证书可以兼容市面上所有的浏览器，对移动端的支持也是最好的。而 Trustasia 通配符也是赛门铁克的根证书，但是为域名型证书，在证书里面不体现公司信息，所以价格比较优惠。

详细参考官网售卖提供的参数对比。
![](https://mc.qcloudimg.com/static/img/50fea1790cd696773c7f049f441da9f4/1.png)

### 2. 选择支持域名数目

#### 2.1 单个域名
即只支持绑定1个域名，可以是二级域名example.domain.com，也可以是三级域名example.example.domain.com，或者是一级域名domain.com，均可以支持，**但不支持一级域名下的所有子域名**。域名级数最多可以支持100级。

> 注意：绑定 www.domain.com 域名（子域名是www）的SSL证书，会赠送支持 domain.com 一级域名。

#### 2.2 多个域名
即单个证书可以绑定多个域名，最多可以支持绑定100个。
> Symantec多域名证书的价格即按域名数目进行叠加
> GeoTrust多域名证书默认支持5个域名，附加域名再另叠加计价

![](https://mc.qcloudimg.com/static/img/c0ce741398ffc55def1264e681879e82/2.png)

#### 2.3 泛域名
即支持绑定一个且只有一个泛域名，泛域名至允许添加一个通配符，例如\*.domain.com，\*.example.domain.com , 最多支持100级；\*.\*.domain.com 多个通配符的泛域名是不支持的。

> 注意：绑定 \*.domain.com 域名（必须是二级泛域名）的SSL证书，会赠送支持 domain.com 一级域名。

![](https://mc.qcloudimg.com/static/img/0603883a1efcc18bec5bc6db5a097434/3.png)

### 3. 选择证书年限

OV型证书可以支持最多3年，EV型证书可以支持最多2年，DV型证书只能支持1年。
同时按照2年85折、3年75折进行销售中（价格按官网销售价为准）。

### 4. 订单支付

完成品牌、型号、支持域名、和证书年限的选择后，则可以提交订单，继续完成支付流程。


### 5. 提交申请

证书购买完成后，需在 [SSL证书管理控制台](https://console.cloud.tencent.com/ssl) 中提交审核材料进行证书申请，CA机构审核通过后将签发证书。详情查看  [付费证书申请流程](https://cloud.tencent.com/document/product/400/10257)
