## 1. 说明

人脸核身服务已在公测中，您可以邮件我们申请使用服务，[点此申请](https://cloud.tencent.com/act/event/face-in.html)。

开发者使用人脸识别功能之前，需要先注册腾讯云账号，并创建图片空间，添加密钥，具体操作步骤如下：

 1)	前往腾讯云•万象优图控制台注册账号；如果已经注册账号，请跳过此步骤；

![](https://mc.qcloudimg.com/static/img/82462b3d201bee1dd02265a3d477e219/1.png)

2)	在腾讯云•万象优图控制台创建一个图片空间，获取空间名称（bucket）和项目ID；如果已创建过图片空间，请跳过此步骤；

![](https://mc.qcloudimg.com/static/img/69e14001e3f8a6cbcdffd3421021ebf1/2.png)
3)	在腾讯云•万象优图控制台项目设置中添加密钥，获取SecretID和SecretKey；如果已经添加过密钥，请跳过此步骤。

![](https://mc.qcloudimg.com/static/img/e404ca7488e2803674c9fd806621e26d/3.png)

**基本概念：**

| 概念     | 解释               |
| ------ | ---------------- |
| appid  | 项目ID, 用于唯一标识接入项目 |
| bucket | 开发者添加的空间名称       |

 **说明：**如果开发者使用的是V1版本，appid为其当时生成的appid。

## 2. 人脸核身CGI

人脸核身接口采用http协议，支持指定图片URL和 上传本地图片文件两种方式。
限制说明：
(1) 每个请求的包体大小限制为6MB。
(2) 所有接口都为POST方法。
(3) 不支持 .gif这类的动图。

协议头部：所有请求都要求含有下表列出的头部信息

| 参数名            | 值                                        | 描述                                       |
| -------------- | ---------------------------------------- | ---------------------------------------- |
| Host           | service.image.myqcloud.com               | 万象优图服务器域名                                |
| Content-Length | 包体总长度                                    | 整个请求包体内容的总长度，单位：字节（Byte）                 |
| Content-Type   | Application/json  或者  Multipart/form-data | 根据不同接口选择                                 |
| Authorization  | 鉴权签名                                     | 用于鉴权的签名，[**详情**](https://cloud.tencent.com/doc/product/275/3805) |

 

### 2.1  人脸对比-用户上传的图像与高清身份证照片比对

1) 接口
http://service.image.myqcloud.com/face/idcardcompare

2) 描述
自带身份证高清照片数据库，可实时为国内公民提供在线的身份证照片比对。根据用户的身份证号、姓名，与用户上传的图像进行人脸相似度对比。

3) 参数
使用image则使用 multipart/form-data格式；不使用image则使用 application/json格式。

| 参数名           | 是否必须 | 类型     | 参数说明                                  |
| ------------- | ---- | ------ | ------------------------------------- |
| appid         | 必须   | String | 项目ID                                  |
| bucket        | 必须   | string | 空间名称                                  |
| idcard_number | 必须   | String | 用户身份证号码                               |
| idcard_name   | 必须   | String | 用户身份证姓名                               |
| image         | 可选   | Binary | 图片内容                                  |
| url           | 可选   | String | 图片的url, image和url只提供一个即可,如果都提供,只使用url |
| session_id    | 可选   | String | 相应请求的session标识符，可用于结果查询               |

4) 返回值说明

| 字段              | 类型     | 说明                        |
| --------------- | ------ | ------------------------- |
| data.session_id | String | 相应请求的session标识符           |
| data.similarity | float  | 用户上传图像与公安部获取带网纹图像的face相似度 |
| code            | Int    | 返回码                       |
| message         | String | 返回错误消息                    |

5) 样例

使用url的请求包:

```
POST /face/idcardcompare HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 187
Content-Type: application/json

{
  "appid":"123456",
  "bucket":"test",
  "idcard_number":"110110199909090909",
  "idcard_name":"张三",
  "url":"http://test-123456.image.myqcloud.com/test.jpg"
}

```

使用image的请求包:

```
POST /face/idcardcompare HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 735
Content-Type: multipart/form-data;boundary=--------------acebdf13572468

----------------acebdf13572468
Content-Disposition: form-data; name="appid";

123456
----------------acebdf13572468
Content-Disposition: form-data; name="bucket";

test
----------------acebdf13572468
Content-Disposition: form-data; name="idcard_number";

110110199909090909
----------------acebdf13572468
Content-Disposition: form-data; name="idcard_name";

张三
----------------acebdf13572468
Content-Disposition: form-data; name="image"; filename="test.jpg"
Content-Type: image/jpeg

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
----------------acebdf13572468--

```

回包:

```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 204
Content-Type: application/json

{
  "data":{
    "similarity":100.0,
    "session_id":"",
  },
  "code":0,
  "message":"OK"
}

```

### 2.2  人脸核身-获取唇语

1) 接口
http://service.image.myqcloud.com/face/livegetfour

2) 描述
获取一个唇语验证字符串，用于用户录制视频时使用。视频的作用是进行活体检测

3) 参数

使用 application/json格式。

| 参数名    | 是否必须 | 类型     | 参数说明    |
| ------ | ---- | ------ | ------- |
| appid  | 必须   | String | 项目ID    |
| bucket | 必须   | String | 空间名称    |
| seq    | 可选   | String | 标识请求序列号 |

4) 返回值说明

| 字段                 | 类型     | 说明      |
| ------------------ | ------ | ------- |
| data.validate_data | String | 唇语验证字符串 |
| code               | Int    | 返回状态码   |
| message            | String | 返回错误消息  |

5) 样例

请求包:

```
POST /face/livegetfour HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 66
Content-Type: application/json

{
  "appid":"123456",
  "bucket":"test"
}

```

回包:

```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 114
Content-Type: application/json

{
  "data":{
    "validate_data": "9532",
  },
  "code":0,
  "message":"OK"
}

```

### 2.3 人脸核身视频与用户的照片的比对

1) 接口
http://service.image.myqcloud.com/face/livedetectfour

2) 描述
根据用户提前上传的照片与在线录制的活体视频，通过人脸识别进行匹配验证。

3) 参数

使用 multipart/form-data格式。

| 参数名           | 是否必须 | 类型     | 参数说明                                     |
| ------------- | ---- | ------ | ---------------------------------------- |
| appid         | 必须   | String | 项目ID                                     |
| bucket        | 必须   | String | 空间名称                                     |
| validate_data | 必须   | String | livegetfour得到的唇语验证数据                     |
| video         | 必须   | Binary | 录制的视频                                    |
| compare_flag  | 必须   | Bool   | video中的照片和card是否做对比，  1.True的时候做对比，card是对比的照片，会返回活体检测和对比的结果。  2.False的时候只做活体检测，card字段可以不填，只返回活体检测的结果。     在设置form-data数据时设置为字符串"true"、"false"。 |
| card          | 可选   | Binary | 需要检测的另一张照片                               |
| seq           | 可选   | String | 标识请求的序列号                                 |

4) 返回值说明

| 字段                  | 类型     | 说明                                       |
| ------------------- | ------ | ---------------------------------------- |
| data.live_status    | Int    | 返回活体检测错误码,非0值为出错                         |
| data.live_msg       | String | 返回错误描述                                   |
| data.compare_status | Int    | 返回人脸对比检测错误码,非0值为出错(compare_flag是True的时候才返回) |
| data.compare_msg    | String | 返回错误描述(compare_flag是True的时候才返回)          |
| data.sim            | Int    | 相似度(compare_flag是True并且识别成功的时候才返回)       |
| data.photo          | String | 返回相似度最高的video中的一张图像(compare_flag是True并且识别成功的时候才返回，base64编码) |
| code                | Int    | 返回状态码                                    |
| message             | String | 返回错误消息                                   |

5) 样例

请求包:

```
POST /face/livedetectfour HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 641
Content-Type: multipart/form-data;boundary=--------------acebdf13572468

----------------acebdf13572468
Content-Disposition: form-data; name="appid";

123456
----------------acebdf13572468
Content-Disposition: form-data; name="bucket";

test
----------------acebdf13572468
Content-Disposition: form-data; name="validate_data";

9532
----------------acebdf13572468
Content-Disposition: form-data; name="compare_flag";

true
----------------acebdf13572468
Content-Disposition: form-data; name="video"; filename="video.flv"

yyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy
----------------acebdf13572468
Content-Disposition: form-data; name="card"; filename="face.jpg"
Content-Type: image/jpeg

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
----------------acebdf13572468--

```

回包:

```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 168
Content-Type: application/json

{
  "data":{
    "live_status":0,
    "live_msg":"OK",
    "compare_status":0,
"compare_msg":"OK",
    "sim":90,
    "photo":"xxxxxxxxxxxxxx",
  },
  "code":0,
  "message":"OK"
}

```

### 2.4  人脸核身视频与身份证高清照片的比对

1) 接口
http://service.image.myqcloud.com/face/idcardlivedetectfour

2) 描述
根据用户上传的视频进行活体检测，同时验证身份证号、姓名的真实性。

3) 参数

使用 multipart/form-data格式。

| 参数名           | 是否必须 | 类型     | 参数说明                 |
| ------------- | ---- | ------ | -------------------- |
| appid         | 必须   | String | 项目ID                 |
| bucket        | 必须   | String | 空间名称                 |
| validate_data | 必须   | String | livegetfour得到的唇语验证数据 |
| video         | 必须   | Binary | 录制的视频                |
| idcard_number | 必须   | String | 用户身份证号码              |
| idcard_name   | 必须   | String | 用户身份证姓名              |
| seq           | 可选   | String | 标识请求的序列号             |

4) 返回值说明

| **字段******          | **类型****** | **说明******                |
| ------------------- | ---------- | ------------------------- |
| data.live_status    | Int        | 返回活体检测错误码,非0值为出错          |
| data.live_msg       | String     | 返回错误描述                    |
| data.compare_status | Int        | 返回人脸对比检测错误码,非0值为出错        |
| data.compare_msg    | String     | 返回错误描述                    |
| data.sim            | Int        | 相似度                       |
| data.video_photo    | String     | 视频中的一张sim值最大的图像，base64编码。 |
| code                | Int        | 返回状态码                     |
| message             | String     | 返回错误消息                    |

5) 样例

请求包:

```
POST /face/idcardlivedetectfour HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 641
Content-Type: multipart/form-data;boundary=--------------acebdf13572468

----------------acebdf13572468
Content-Disposition: form-data; name="appid";

123456
----------------acebdf13572468
Content-Disposition: form-data; name="bucket";

test
----------------acebdf13572468
Content-Disposition: form-data; name="validate_data";

9532
----------------acebdf13572468
Content-Disposition: form-data; name="idcard_number";

110110199909090909
----------------acebdf13572468
Content-Disposition: form-data; name="idcard_name";

张三
----------------acebdf13572468
Content-Disposition: form-data; name="video"; filename="video.flv"

yyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy
----------------acebdf13572468--
```

回包:

```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 168
Content-Type: application/json

{
  "data":{
    "live_status":0,
    "live_msg":"OK",
    "compare_status":0,
"compare_msg":"OK",
    "sim":90,
    "video_photo":"xxxxxxxxxxxxxx",
  },
  "code":0,
  "message":"OK"
}

```

 

## 3.返回码

| 错误码   | 含义                       |
| ----- | ------------------------ |
| 3     | 错误的请求                    |
| 4     | 签名为空                     |
| 5     | 签名串错误                    |
| 6     | 签名中的appid/bucket与操作目标不匹配 |
| 9     | 签名过期                     |
| 10    | appid不存在                 |
| 11    | secretid不存在              |
| 12    | appid和secretid不匹配        |
| 13    | 重放攻击                     |
| 14    | 签名校验失败                   |
| 15    | 操作太频繁，触发频控               |
| 16    | Bucket不存在                |
| 21    | 无效参数                     |
| 23    | 请求包体过大                   |
| 25    | 服务已暂停                    |
| 107   | 鉴权服务不可用                  |
| 108   | 鉴权服务不可用                  |
| 213   | 内部错误                     |
| -4006 | 视频中自拍照特征提取失败             |
| -4007 | 视频中自拍照之间对比失败             |
| -4009 | Card照片片提取特征失败            |
| -4010 | 自拍照与Card照片相似度计算失败        |
| -4015 | 自拍照人脸检测失败                |
| -4016 | 自拍照解码失败                  |
| -4017 | Card照片人脸检测失败             |
| -4018 | Card照片解码失败               |
| -5001 | 视频无效                     |
| -5002 | 唇语失败                     |
| -5005 | 自拍照解析照片不足                |
| -5007 | 视频没有声音                   |
| -5008 | 声音识别失败                   |
| -5009 | 视频人脸检测失败，没有嘴或者脸          |
| -5010 | 唇动失败                     |
| -5011 | 活体检测失败(活体其他错误都归类到里面)     |
| -5012 | 视频中噪声太大                  |
| -5013 | 视频里的声音太小                 |
| -5014 | 活体检测level参数无效            |
| -5015 | 视频像素太低，最小320X480         |
| -5801 | 请求缺少身份证号码或身份证姓名          |
| -5802 | 服务器内部错误，服务暂时不可用          |
| -5803 | 身份证姓名与身份证号码不一致           |
| -5804 | 身份证号码无效                  |
| -5805 | 用户未输入图像或者url下载失败         |
