## 1 体验与说明

### 1.1 智能鉴黄体验

开发者可以现在[用户体验平台](http://cloud.tencent.com/event/pd)体验智能鉴黄的效果(用户体验平台不需要注册账号)。

### 1.2 智能鉴黄开发准备

开发者使用智能鉴黄功能之前，需要先注册腾讯云账号，并创建图片空间，添加密钥，具体操作步骤如下：
1. 前往[腾讯云·万象优图控制台](http://console.cloud.tencent.com/image/imgguide)注册账号；如果已经注册账号，请跳过此步骤；
   ![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/huangtujianbiezhuce.png)

2. 在[腾讯云·万象优图控制台](http://console.cloud.tencent.com/image/imgguide)创建一个图片空间，获取空间名称（bucket）和项目ID；如果已创建过图片空间，请跳过此步骤；
   ![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/huangtujianbietianjiakongjian.png)

3. 在[腾讯云·万象优图控制台项目设置](http://console.cloud.tencent.com/image/project)中添加密钥，获取SecretID和SecretKey；如果已经添加过密钥，请跳过此步骤。
   ![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/huangtujianbietianjiakongjian.png)

基本概念：

| 概念     | 解释               |
| ------ | ---------------- |
| appid  | 项目ID, 用于唯一标识接入项目 |
| bucket | 开发者添加的空间名称       |

>说明：如果开发者使用的是V1版本，appid为其当时生成的appid

### 1.3 费用说明

图片智能鉴黄是一项收费服务，收费标准请参考[图片鉴黄收费标准。](https://cloud.tencent.com/doc/product/275/1490#3.2-.E5.9B.BE.E7.89.87.E8.AF.86.E5.88.AB.E6.9C.8D.E5.8A.A1)

## 2 智能鉴黄CGI

### 2.1 智能鉴黄接口

智能鉴黄接口采用http协议，支持多URL和多本地图片文件,每个请求最多支持20张图片或url。
**接口：**`http://service.image.myqcloud.com/detection/porn_detect`
**方法：**POST
#### 2.1.1	图片URL鉴黄
**请求语法**
```
POST /detection/porn_detect HTTP/1.1
Authorization: Signature
Host: service.image.myqcloud.com
Content-Length: ContentLength
Content-Type: "application/json"

{
    "appid": "appid",
    "bucket": "bucket",
    "url_list": [
        "url",
        "url"
    ]
}

```

**请求包的http header：**

| 参数             | 是否必须 | 描述                              |
| -------------- | ---- | ------------------------------- |
| Host           | 是    | 访问域名，service.image.myqcloud.com |
| Authorization  | 是    | 鉴权签名，详见下面鉴权章节                   |
| Content-Type   | 是    | 标准的application/json             |
| Content-Length | 是    | http body总长度                    |

**请求包http body：**

| 参数     | 是否必须 | 类型     | 描述      |
| ------ | ---- | ------ | ------- |
| appid  | 是    | uint   | 业务id    |
| bucket | 是    | string | 图片空间    |
| url    | 是    | string | 图片url列表 |

**响应http body(json格式)：**

| 参数          | 是否必须   | 类型           |
| ----------- | ------ | ------------ |
| result_list | json数组 | 具体查询数据，内容见下表 |

**result_list（json数组）中每一项的具体内容**

| 参数      | 类型     | 描述           |
| ------- | ------ | ------------ |
| code    | int    | 服务器错误码，0为成功  |
| message | string | 服务器返回的信息     |
| url     | string | 当前图片的url     |
| data    |        | 具体查询数据，具体见下表 |


**data字段具体内容：**

| 参数            | 类型     | 描述                                       |
| ------------- | ------ | ---------------------------------------- |
| result        | int    | 供参考的识别结果，0正常，1黄图，2疑似图片                   |
| confidence    | double | 识别为黄图的置信度，范围0-100；是normal_score, hot_score, porn_score的综合评分 |
| normal_score  | double | 图片为正常图片的评分                               |
| hot_score     | double | 图片为性感图片的评分                               |
| porn_score    | double | 图片为色情图片的评分                               |
| forbid_status | int    | 封禁状态，0表示正常，1表示图片已被封禁（只有存储在万象优图的图片才会被封禁）  |

>说明：
>1、当result=0时，表明图片为正常图片；
>2、当result=1时，表明该图片是系统判定的100%为违禁的图片；如果该图片存储在万象优图，则会直接被封禁掉；
>3、当result=2时，表明该图片是疑似图片，即为黄图的可能性很大（目前confidence大于等于83小于91定为疑似图片）。

#### 2.1.2 url鉴黄示例
http请求：

```
POST /detection/porn_detect HTTP/1.1
Authorization: FCHXddYbhZEBfTeZ0j8mn9Og16JhPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJiUkp3Sk5zbTN3V1lEeHN1JnQ9MTQ2ODQ3NDY2MiZyPTU3MiZ1PTAmYj10ZXN0YnVja2V0JmU9MTQ3MTA2NjY2Mg==
Host: service.image.myqcloud.com
Content-Length: 238
Content-Type: "application/json"

{
    "appid": 10000379,
    "bucket": "testbucket",
    "url_list": [
        "http://www.bz55.com/uploads/allimg/140805/1-140P5162300-50.jpg",
        "http://img.taopic.com/uploads/allimg/130716/318769-130G60P30462.jpg"
    ]
}
```
响应httpbody（application/json格式）：
```
{
    "result_list": [
        {
            "code": 0,
            "message": "success",
            "url": "http://www.bz55.com/uploads/allimg/140805/1-140P5162300-50.jpg",
            "data": {
                "result": 0,
                "forbid_status": 0,
                "confidence": 12.509,
                "hot_score": 87.293,
                "normal_score": 12.707,
                "porn_score": 0.0
            }
        },
        {
            "code": 0,
            "message": "success",
            "url": "http://img.taopic.com/uploads/allimg/130716/318769-130G60P30462.jpg",
            "data": {
                "result": 0,
                "forbid_status": 0,
                "confidence": 14.913,
                "hot_score": 99.997,
                "normal_score": 0.003,
                "porn_score": 0.0
            }
        }
    ]
}
```
#### 2.1.3 图片文件鉴黄
图片文件鉴黄使用HTML表单上传一个或多个文件，文件内容通过多重表单格式（multipart/form-data）编码。
**请求语法：**
```
POST /detection/porn_detect HTTP/1.1
Content-Type: multipart/form-data;boundary=-------------------------acebdf13572468
Authorization: Signature
Host: service.image.myqcloud.com
Content-Length: ContentLength

---------------------------acebdf13572468
Content-Disposition: form-data; name="appid";

appid
---------------------------acebdf13572468
Content-Disposition: form-data; name="bucket";

bucket
---------------------------acebdf13572468
Content-Disposition: form-data; name="image[0]"; filename="image _1.jpg"
Content-Type: image/jpeg

image_content
---------------------------acebdf13572468
Content-Disposition: form-data; name="image[1]"; filename="image _2.jpg "
Content-Type: image/jpeg

image_content
---------------------------acebdf13572468--
```
**请求包http header:**

| 参数             | 是否必须 | 描述                              |
| -------------- | ---- | ------------------------------- |
| Host           | 是    | 访问域名，service.image.myqcloud.com |
| Authorization  | 是    | 鉴权签名，详见下面鉴权章节                   |
| Content-Type   | 是    | 标准的application/json             |
| Content-Length | 是    | http body总长度                    |

**表单域**

| 参数     | 是否必须 | 类型         | 描述                                       |
| ------ | ---- | ---------- | ---------------------------------------- |
| appidt | 是    | uint       | 业务id                                     |
| bucket | 是    | string     | 图片空间                                     |
| image  | 是    | image/jpeg | 图片文件，支持多个。参数名须为 “image[0]”、“image[1]”等，每张图片需指定filename |

**响应http body (json 格式)**

| 参数          | 类型     | 描述           |
| ----------- | ------ | ------------ |
| result_list | json数组 | 具体查询数据，内容见下表 |

**result_list（json数组）中每一项的具体内容**

| 参数       | 类型     | 描述                            |
| -------- | ------ | ----------------------------- |
| code     | int    | 服务器错误码，0为成功                   |
| message  | string | 服务器返回的信息                      |
| filename | string | 当前图片的filename，与请求包中filename一致 |
| data     |        | 具体查询数据，内容见下表                  |


**data字段具体内容：**

| 参数            | 类型     | 描述                                       |
| ------------- | ------ | ---------------------------------------- |
| result        | int    | 供参考的识别结果，0正常，1黄图，2疑似图片                   |
| confidence    | double | 识别为黄图的置信度，范围0-100；是normal_score, hot_score, porn_score的综合评分 |
| normal_score  | double | 图片为正常图片的评分                               |
| hot_score     | double | 图片为性感图片的评分                               |
| porn_score    | double | 图片为色情图片的评分                               |
| forbid_status | int    | 封禁状态，0表示正常，1表示图片已被封禁（只有存储在万象优图的图片才会被封禁）  |

** 说明：**
a)	当result=0时，表明图片为正常图片；
b)	当result=1时，表明该图片是系统判定的违禁的图片；
c)	当result=2时，表明该图片是疑似图片，即为黄图的可能性很大（目前confidence大于等于83小于91定为疑似图片）。

#### 2.1.4 文件鉴黄示例

**http请求：**
```
POST /detection/ porn_detect HTTP/1.1
Content-Type:multipart/form-data;boundary=-------------------------acebdf13572468
Authorization:FCHXddYbhZEBfTeZ0j8mn9Og16JhPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJiUkp3Sk5zbTN3V1lEeHN1JnQ9MTQ2ODQ3NDY2MiZyPTU3MiZ1PTAmYj10ZXN0YnVja2V0JmU9MTQ3MTA2NjY2Mg==
Host: service.image.myqcloud.com
Content-Length: 61478

---------------------------acebdf13572468
Content-Disposition: form-data; name="appid";

10000379
---------------------------acebdf13572468
Content-Disposition: form-data; name="bucket";

testbucket
---------------------------acebdf13572468
Content-Disposition: form-data; name="image[0]"; filename="1.jpg"
Content-Type: image/jpeg

<@INCLUDE *D:\185839ggh0oedgnog04g0b.jpg.thumb.jpg*@>
---------------------------acebdf13572468
Content-Disposition: form-data; name="image[1]"; filename="2.jpg"
Content-Type: image/jpeg

<@INCLUDE *D:\200132svnmybmhbmmgbmga.jpg.thumb.jpg*@>
---------------------------acebdf13572468
```
** 响应httpbody(application/json格式)**
```
{
    "result_list": [
        {
            "code": 0,
            "message": "success",
            "filename": "1.jpg",
            "data": {
                "result": 1,
                "forbid_status": 0,
                "confidence": 96.853,
                "hot_score": 0.0,
                "normal_score": 0.0,
                "porn_score": 100.0
            }
        },
        {
            "code": 0,
            "message": "success",
            "filename": "2.jpg",
            "data": {
                "result": 0,
                "forbid_status": 0,
                "confidence": 41.815,
                "hot_score": 19.417,
                "normal_score": 0.077,
                "porn_score": 80.506
            }
        }
    ]
}
```


### 2.2 鉴权

腾讯云•万象优图通过签名来验证请求的合法性。

**2.2.1 签名算法**

1 获取签名所需信息

生成签名所需信息包括项目ID（appid），空间名称（bucket,图片资源的组织管理单元），项目的Secret ID和Secret Key。获取这些信息的方法如下：

1) 登录 [万象优图-图片空间](http://console.cloud.tencent.com/image/bucket), 进入图片空间；
2) 如开发者未创建图片空间，可添加图片空间，获取项目ID（appid），空间名称（bucket）；如果开发者已经创建过空间，则可以直接获取项目ID和空间名称（bucket）；
3) 登陆[万象优图-项目设置](http://console.cloud.tencent.com/image/project)，进入项目设置；
4) 如果开发者未添加密钥，则需添加密钥，获取项目的Secret ID和Secret Key，每个项目最多添加两对密钥；如果已经添加过密钥则直接获取项目的Secret ID和Secret Key。
>注：
>(1) 添加图片空间可参考[添加图片空间](http://cloud.tencent.com/doc/product/275/%E6%8E%A7%E5%88%B6%E5%8F%B0%E4%BD%BF%E7%94%A8%E8%AF%B4%E6%98%8E#2.1-.E6.B7.BB.E5.8A.A0.E7.A9.BA.E9.97.B4)；
>(2) 添加密钥可参考[添加密钥](http://cloud.tencent.com/doc/product/275/%E6%8E%A7%E5%88%B6%E5%8F%B0%E4%BD%BF%E7%94%A8%E8%AF%B4%E6%98%8E#5-.E9.A1.B9.E7.9B.AE.E8.AE.BE.E7.BD.AE)。

2 拼接签名串orignal

a=[appid]&b=[bucket]&k=[SecretID]&t=[currenTime]&e=[expiredTime]

>注意：如果开发者使用的是V1版本，a字段为appid，b字段的值置空

| 字段名称 | 解释                                   |
| ---- | ------------------------------------ |
| a    | 开发者的项目ID，接入万象优图创建空间时系统生成的唯一标示项目的项目ID |
| b    | 图片空间名称                               |
| k    | 项目的Secret ID                         |
| t    | 当前时间，UNIX时间戳                         |
| e    | 签名过期时间，UNIX时间戳                       |


3 生成签名

(1) 万象优图使用 HMAC-SHA1 算法对请求进行签名；
(2) 签名串需要使用 Base64 编码。

即生成签名的公式如下：

```
SignTmp = HMAC-SHA1(SecretKey, orignal)
Sign = Base64(SignTmp.orignal)
```

其中SecretKey为项目的密钥SecretKey，orignal为1节中拼接好的签名串，首先对orignal使用HMAC-SHA1算法进行签名，然后将orignal附加到签名结果的末尾，再进行Base64编码，得到最终的sign。

>注：此处使用的是标准的Base64编码，不是urlsafe的Base64编码，请注意。

**2.2.2 签名示例**

本节介绍生成签名的算法实例，实例中使用PHP语言，如果开发者使用其他与开发，请使用对应的算法。

1 获取签名所需信息

获取得到的签名所需信息如下。

**项目ID：**1000027

**空间名称（bucket）：**test333

```
Secret ID： AKIDnX91172Bs2NK4SP9Ad9JDVYpm7Lx2Nek
Secret Key： oHL5srXW3Fkn8xtugG0BDhUfOOsC9DAd
```

2 拼接签名串orignal

a=1000027&b=test333&k=AKIDnX91172Bs2NK4SP9Ad9JDVYpm7Lx2Nek&t=1443434355&e=1443434365 

```
$appid = "1000027";
$bucket = "test333";
$secret_id = "AKIDnX91172Bs2NK4SP9Ad9JDVYpm7Lx2Nek";
$secret_key = "oHL5srXW3Fkn8xtugG0BDhUfOOsC9DAd";
$expired = time() + 10;
$current = time();
$srcStr = 'a='.$appid.'&b='.$bucket.'&k='.$secret_id.'&t='.$current.'&e='.$expired;
```

3 生成签名

```
$signStr = base64_encode(hash_hmac('SHA1', $srcStr, $secret_key, true).$srcStr);
echo $signStr."\n"; 
```

最终得到的签名为：

```
xBx0lpW/tdIr1vfksAt3GpfXo9phPTEwMDAwMjcmYj10ZXN0MzMzJms9QUtJRG5YOTExNzJCczJOSzRTUDlBZDlKRFZZcG03THgyTmVrJnQ9MTQ2NjM5MzQ4OSZlPTE0NjYzOTM0OTk=
```

### 2.3 错误码

| 错误码   | 含义                                  |
| ----- | ----------------------------------- |
| 3     | 错误的请求                               |
| 4     | 签名为空                                |
| 5     | 签名串错误                               |
| 6     | appid/bucket/url不匹配                 |
| 7     | 签名编码失败（内部错误）                        |
| 8     | 签名解码失败（内部错误）                        |
| 9     | 签名过期                                |
| 10    | appid不存在                            |
| 11    | secretid不存在                         |
| 12    | appid不匹配                            |
| 13    | 重放攻击                                |
| 14    | 签名失败                                |
| 15    | 操作太频繁，触发频控                          |
| 16    | 内部错误                                |
| 17    | 未知错误                                |
| 200   | 内部打包失败                              |
| 201   | 内部解包失败                              |
| 202   | 内部链接失败                              |
| 203   | 内部处理超时                              |
| -1300 | 图片为空                                |
| -1308 | url图片下载失败                           |
| -1400 | 非法的图片格式                             |
| -1403 | 图片下载失败                              |
| -1404 | 图片无法识别                              |
| -1505 | url格式不对                             |
| -1506 | 图片下载超时                              |
| -1507 | 无法访问url对应的图片服务器                     |
| -5062 | url对应的图片已被标注为不良图片，无法访问（专指存储于腾讯云的图片） |

