## 1. 客户端版本说明
Android SDK : 版本号V1.1.0为V1版本；版本号V1.1.1为V2版本和V2版本加强版。
iOS SDK ： 版本号V1.1.0为V1版本；版本号V1.1.1为V2版本和V2版本加强版。
注：V2加强版中，自定fileid支持特殊字符，如'/'。

## 2. 服务端SDK版本说明

SDK|	V1版本|	V2版本|	V2加强版本
---------|---------|---------
Java|	2.0以下	|2.0.0-2.0.3|	2.0.4-2.1.0
PHP|	1.3.0以下|	1.3.0-2.0.0	|2.0.0
Python|	2.0.0以下	|2.0.0-2.1.3|	2.1.4
Nodejs|	2.0.0以下|	2.0.0-2.0.2|	2.0.2
Go|	2.0.0以下|	2.0.0	|2.0.1

## 3. 控制台不同版本的区别
V2加强版本：V2加强版本空间名称是一串字符串，无特殊标记；
V2版本：V2版本空间名称前面会加一个![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/appv2-icon.png)图标予以标示；
V1版本：V1版本空间名称前面会加一个![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/appV1-icon.png)图标予以标示。

## 4. 各版本的区别

下面从功能、Restful API上传接口、下载url等几个方面对三个版本的区别进行说明。
### 4.1 功能
V1版本：万象优图第一个版本，无bucket概念，控制台创建的是应用；
V2版本：万象优图第二个版本，首次提出bucket概念；
V2加强版：万象优图第三个版本，有bucket概念，采用新的实时处理风格，fileid支持特殊字符，支持回源镜像、样式下载别名、样式分隔符。
注：
1、相应的功能请参考图片空间->管理和样式，以及相应的wiki说明
2、A风格和B风格实时处理请分别参考A风格实时处理文档和B风格实时处理文档
3、下表中"√"表示支持，"×"表示不支持
4、fileid(特殊字符)表示是否支持自定fileid

| 功能	| V1版本|	V2版本|	V2加强版 |
|---------|---------|---------|---------|
| 自定义fileid	| √ |	√|	√	|
| fileid包含特殊字符	|	×	|	×	|	√	|
| 控制台图片样式	|	√	|	√	|	√	|
| 图片空间（bucket）	|	×	|	√	|	√	|
| A风格实时处理	|	√	|	√	|	×	|
| B风格实时处理	|	×	|	×	|	√	|
| 样式下载别名-A风格	|	×	|	×	|	×	|
| 样式下载别名-B风格	|	×	|	×	|	√	|
| 样式分隔符	|	×	|	×	|	√	|
| 镜像回源	|	×	|	×	|	√	|
| USERID	|	√	|	后台置0处理	|	后台置0处理	|
| APPID含义	|	应用名称	|	项目名称	|	项目名称	|

### 4.2 Restful API上传接口

版本	|	上传接口	|	fileid说明
---------|---------|---------
V1版本	|	`http://web.image.myqcloud.com/photos/v1/[appid]/[userid]/[fileid]`	|	可选，由字母,数字， -, _等字符组成，最长128字节
V2版本	|	`http://web.image.myqcloud.com/photos/v2/[appid]/[bucket]/[userid]/[fileid]`	|	可选，由字母,数字， -, 等字符组成，最长128字节
V2加强版本	|	`http://web.image.myqcloud.com/photos/v2/[appid]/[bucket]/[userid]/[fileid]`		|可选，由除了\0外的任意字符组成，需要对fileid进行urlencode，最长128字节

### 4.3 下载url

版本	|	下载url
---------|---------
V1版本	|	`http://[appid].image.myqcloud.com/[appid]/[userid]/[fileid]/original`
V2版本	|	`http://[bucket]-[appid].image.myqcloud.com/[bucket]-[appid]/[userid]/[fileid]/orignal`
V2加强版本	|	`http://[bucket]-[appid].image.myqcloud.com/[fileid]`

注：
1、表中的下载url为原图的下载url
2、V1和V2版本访问相应的样式图只需要将下载url中的"original"改成开发者设置的样式名即可
3、V2加强版访问相应的样式图方法为：下载url+样式分隔符+样式名

## 5. 历史版本及更新记录 

### 5.1  Android SDK历史版本及更新日志
**版本号：Android SDK V1.1.3.3**  
发布时间：2015-12-17  
版本说明：  
1. 支持查询图片底色
2. 优化代码，修改bug
下载地址：[Android SDK V1.1.3.3 （含说明文档）](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/qcloud-android-v1.1.3.332.zip) | [Android 体验 Demo](https://mccdn.qcloud.com/static/archive/97608a5dc18083b4bc752ca9800571b4/android.zip) 

**版本号：Android SDK V1.1.3**
发布时间：2015-09-15
版本说明：
1. 签名接口技术优化
2. 上传sdk和下载sdk去掉userid
下载地址：[Android SDK V1.1.3](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/Qcloud-Image-Android-SDK-Universal-V1.1.3.zip) | [Android 体验demo](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/android-demo.zip)

**版本号：Android SDK V1.1.1**

发布时间：2015-07-08
版本说明：
1. 图片上传支持Bucket
2. 图片上传支持自定义FileId
3. 上传数据分片校验
4. 多链接并发上传
5. 修复上传SDK长时间空闲之后,再次上传超时的问题
6. 优化上传性能
7. 图片上传支持内存byte[]
下载地址：[Android SDK V1.1.1.71](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/img-qcloud-android-v1.1.1.71.zip) | [Android 体验demo](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/Qcloud-Image-Android-Demo-V1.1.1.71.apk)

**版本号：Android SDK V1.1.0**
发布时间：2015-05-15
版本说明：
1. 上传性能优化；
2. 增加SDK日志上报接口。
下载地址：[Android SDK V1.1.0](http://1251013638.cdn.myqcloud.com/1251013638/img-qcloud-sdk/img-qcloud-android-v1.1.0.zip) | [Android 体验Demo](/doc/product/275/Demo使用指南)

### 5.2 iOS SDK历史版本及更新日志
**版本号：iOS SDK V1.1.3.3**
发布时间：2015-12-17
版本说明：
1. 增加了查询图片底色方法属性（TXYFileInfo 增加了photoRBG属性）
2. 上传SDK添加支持了 bitecode 版本
3. 修改bug
下载地址：[iOS SDK V1.1.3.3 （含说明文档）](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/qcloud-image-ios-v1.1.3.3.zip) |[ iOS 体验 Demo](https://mccdn.qcloud.com/static/archive/43df38ee80e508251746ccba43f15ffb/iOS.zip) 

**版本号：iOS SDK V1.1.3**
发布时间：2015-09-15
版本说明：
1. 上传图片加入内存直接上传接口
2. 签名跟task任务绑定
3. 上传数据分片校验
4. 上传sdk去掉authorize接口
5. 上传sdk去掉userid参数
6. 上传任务持久化，签名经过加密后持久化
下载地址：[iOS SDK V1.1.3-真机](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/qcloud-image-ios-sdk-v1.1.3.zip) | [iOS SDK V1.1.3-真机&模拟器](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/qcloud-image-ios-sdk-universal-v1.1.3.zip) | [iOS 体验Demo](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/QcloudDemoApp.zip)

**版本号：iOS SDK V1.1.1**
发布时间：2015-07-08
版本说明：
1. 图片上传支持Bucket
2. 图片上传支持自定义FileId
3. 上传数据分片校验
4. 多链接并发上传
5. 下载添加域名黑名单
6. 修复进度跳跃问题
下载地址：[iOS SDK V1.1.1-真机](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/qcloud-image-ios-v1.1.1.zip)　|　[ iOS SDK V1.1.1-真机&模拟器](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/qcloud-image-ios-universal-v1.1.1.zip) | [iOS 体验Demo](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/Qcloud-Image-IOS-Demo-V1.1.1.zip)

**版本号：iOS SDK V1.1.0**
发布时间：2015-05-15
版本说明：
1. 上传性能优化；
2. 增加SDK日志上报接口。
下载地址：[iOS SDK V1.1.0-真机](http://1251013638.cdn.myqcloud.com/1251013638/img-qcloud-sdk/img-qcloud-ios-v1.1.0.zip)　| [iOS SDK V1.1.0-真机&模拟器](http://1251013638.cdn.myqcloud.com/1251013638/img-qcloud-sdk/img-qcloud-ios-v1.1.0-universal.zip) | [iOS 体验Demo](http://cloud.tencent.com/wiki/Demo%E4%BD%BF%E7%94%A8%E6%8C%87%E5%8D%97#1.2_.E4.B8.87.E8.B1.A1.E5.9B.BE.E7.89.87.2F.E5.BE.AE.E8.A7.86.E9.A2.91DemoAPP.E4.B8.8B.E8.BD.BD)

### 5.3 服务器SDK历史版本及更新日志
服务器SDK历史版本及更新日志见相应的github项目。
#### 3.1 Java SDK
github地址：https://github.com/tencentyun/java-sdk.git
#### 3.2 PHP SDK
github地址： https://github.com/tencentyun/php-sdk
#### 3.3 Python SDK
github地址：https://github.com/tencentyun/python-sdk
#### 3.4 Nodejs SDK
github地址：https://github.com/tencentyun/nodejs-sdk
#### 3.5 Go SDK
github地址：https://github.com/tencentyun/go-sdk
