### 1.1 场景介绍

开发者的**新图片落户万象优图，历史图片存储在自己站点**，新图片和历史图片都使用万象优图的下载服务。

此种场景需**严格区分新图片和历史图片，分别对应两个不同的域名**。可以单独为历史图片下载创建一个镜像bucket，为新图片的上传和下载创建另外一个bucket；也可以为新图片和历史图片只创建一个bucket，并设置自定义域名和bucket镜像。

### 1.2 接入步骤

1. 在[腾讯云万象优图控制台](http://console.cloud.tencent.com/image/bucket)**创建两个图片空间**，假定为old和new，可以得到项目ID,这里假定为1000710，则图片空间old对应的域名为old-1000710.image.myqcloud.com，图片空间new对应的域名为new-1000710.image.myqcloud.com。这里假定使用old-1000710.image.myqcloud.com为历史图片的下载域名，使用图片空间new对应的域名作为新图片下载的域名（需要将新上传的图片传到名为new的bucket空间里）。

2. 在图片空间old的管理页面**设置回源镜像**，将镜像源设置为源站域名，这里假定为src-img.example.com，同时**设置镜像源类型**为“存储原图和处理后图片”。

3. 将之前使用源站域名src-img.example.com**提供历史图片下载服务的域名切换为域名**old-1000710.image.myqcloud.com；**将新图片的下载域名切换**为new-1000710.image.myqcloud.com。

4. **调整图片的上传流程**（上传到万象优图new图片空间，具体参考 [一般接入](/doc/product/275/如何接入#2.2-.E4.B8.80.E8.88.AC.E6.8E.A5.E5.85.A5)）。

**设置参考：**

创建镜像bucket可参考[添加空间](/doc/product/275/控制台使用说明#2.1-.E6.B7.BB.E5.8A.A0.E7.A9.BA.E9.97.B4)；

镜像源设置可参考[镜像源设置](/doc/product/275/控制台使用说明#2.2-.E7.A9.BA.E9.97.B4.E7.AE.A1.E7.90.86)；

### 1.3 说明

此种场景下，针对历史图片，由于开发者设定的图片压缩参数和格式不统一，万象优图会将**用户所有请求的图片存储下来**，不区分原图和缩略图。

例如用户请求下载url为`http://domain1.com/pic_key?a=xxx&b=xxx` 的图片，其中 a=xxx&b=xxx 是压缩图片相关参数，万象优图将`pic_key?a=xxx&b=xxx`作为图片的唯一ID存储下来； 用户请求下载url为`http://domain1.com/pic_key` 的图片，万象优图将pic_key作为图片的唯一ID存储下来。
