## 1 新手指引

开发者可以按照管理控制台指定的步骤熟悉相关的SDK接口和代码，并验证相应的服务，完成[接入指引](/doc/product/275/如何接入)，具体可参见接入指引。 

## 2 图片空间

空间（Bucket）对应于旧版的应用，是图片资源的组织管理单元。之前，开发者为了将项目中不同类型的图片分类存储需要为每类图片建立一个应用，而开发者需要为每个应用部署一套鉴权服务来生成签名来验证请求的合法性，这样开发者的一个项目如果在管理控制台建立了多个应用，开发者就需要部署多套鉴权服务，而不能一个项目的多个应用共用一套鉴权服务。为了解决这个问题，新版的图片服务使用了空间的概念，开发者可以为一个项目创建多个空间，用以存储不同类型的图片，同时一个项目下的多个空间共用一套鉴权服务，从而极大简化了开发者的鉴权任务。

>注意： 为了兼容旧版本（V1版本），万象优图将开发者之前创建的应用添加到了同一个默认的项目中，用户可以在该默认项目下创建新的空间。新创建的空间共用一套鉴权服务，但是开发者在旧版本控制台创建的应用和新创建的空间的鉴权不通用。
>如下面的图片空间图所示，在图片空间下开发者可以添加空间，管理空间，为空间设置样式。开发者在V1版本控制台上面创建的应用转化为一个空间，使用其创建时的AppID作为其空间名称。

**不同版本空间区分：**

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/appv2-icon.png) ：V2版本图标

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/appV1-icon.png) ：V1版本图标

V2加强版本：V2加强版本空间名称是一串字符串，无特殊标记，如下图中的“newbucket”；

V2版本：V2版本空间名称前面会加一个V2版本图标予以标示，如下图中的“yuntest”；

V1版本：V1版本空间名称前面会加一个V1版本图标予以标示，如下图中的“200636”。

>注：版本的详细说明参见[版本说明](/doc/product/275/版本说明)。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/tupiankongjian-1.png)

### 2.1 添加空间

点击“添加按钮”，来添加新的空间。如下面添加空间图所示，创建一个名称为“tencentyun”的空间，点击“完成”按钮完成空间的添加。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-2.png)

创建完成后，图片空间下就会多出刚才创建的“tencentyun”空间，如下图所示。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-3.png)

### 2.2 空间管理

在图片空间下，开发者可以对添加的每个空间进行管理，这里选择刚才创建的“tencentyun”空间，点击该空间操作下的“管理”操作，可以进入图片空间的空间管理页面。在空间管理页面，开发者可以查看空间的基本信息，进行域名设置，404页面设置，防盗链设置，回调设置等。

#### 2.2.1 域名设置

为了满足业务自身域名的统一性，腾讯云•万象优图支持自定义域名设置。

将TAB切换至域名管理，如下图所示。万象优图会审核开发者自定义的域名，如果审核成功，自定义的域名预计30分钟生效；如果审核失败，开发者需要重新进行域名设置。

![](https://mc.qcloudimg.com/static/img/18f2ed231cf2eb4584c27a8b9a8d9221/123.png)

#### 2.2.2 镜像源设置

镜像源即源站，就是开发者存储业务图片的地方。

镜像源设置是针对开发者希望使用万象优图进行图片下载的回源镜像功能。设置镜像源后，开发者可以使用新域名通过万象优图加速图片下载，同时万象优图会根据开发者设置的镜像源类型将相应的图片转存到万象优图。设置生效时间平均为30分钟。

>注：开发者可以参考[场景接入](/doc/product/275/回源到其他云存储厂商)进行相应的设置。

**2.2.2.1 镜像源映射**

镜像源映射是设置镜像源域名和万象优图域名或者开发者自定义域名对应关系的功能。

如果开发者没有设置自定义域名，开发者只需将图片空间默认的域名映射到源站域名，假定开发者源站域名为source.example.com，设置如下图所示：

![](https://mc.qcloudimg.com/static/img/e780d3dd797c7a292ad83cf1dccb26e9/1234.png)

如果开发者设置了自定义域名（参见[域名设置](#2.2.1.-域名设置)），则在添加自定义域名时进行镜像源配置操作就可以了

万象优图根据域名进行回源，对于没有设置镜像回源的域名，则该域名如果被用户访问，则不会回源到源站。

开发者也可以将自定义域名和图片空间默认域名映射为同一个域名，同样也可以映射为不同的域名。不同的设置，根据域名回源的原则，会产生不同的效果。

**2.2.2.2 镜像源类型**

万象优图现只支持存储原图的镜像源类型

当用户请求的为原图（是否带有签名都可以）时，万象优图会将图片存储下来，之后针对该图片，可以使用空间样式，样式下载别名和实时处理功能；

当用户请求的为带有样式别名或压缩参数的图片时，万象优图会回源到源站，将图片返还给用户，并在CDN上面做缓存；同时会启动另外一个任务，去源站拉取原图，并将图片进行储存。

>注意：万象优图只识别[实时处理](/doc/product/275/RESTful API#8-图像处理)文档中的压缩参数，以及在万象优图控制台图片空间设置的样式别名，对于不理解压缩参数，万象优图按原图处理。

例如：

用户请求`http://domain.com/url?imageView2/1/w/100/h/100`时， 万象优图会回源两次，将缩略图`http://domain.com/url?imageView2/1/w/100/h/100`缓存到CDN上面， 并将原图`http://domain.com/url`存储到万象优图；
用户请求`http://domain.com/url`， 万象优图识别为原图，回源拉取图片，并将图片存储到万象优图；
用户请求`http://domain.com/url?a=1`， 万象优图不识别压缩参数a=1，会将其当做一张原图来处理，存储时会舍弃"?a=1"参数（http标准实现），url作为fileid(图片标识)存储到万象优图；
用户请求`http://domain.com/url!a=1`， 万象优图不识别压缩参数a=1，会将其当做一张原图来处理，但存储时不会舍弃"!a=1"参数，url!a=1作为fileid(图片标识)存储到万象优图；

>注：开发者可以参考[场景接入](/doc/product/275/回源到其他云存储厂商)进行相应的设置。

#### 2.2.3 防盗链设置

为了防止不良网站盗用开发者的图片链接，盗取图片流量，给开发者带来经济损失，腾讯云•万象优图支持防盗链功能，通过HTTP协议支持的Referer机制（参见[HTTP Referer](https://en.wikipedia.org/wiki/HTTP_referer)） 来进行相应的来源识别和管理。

**2.2.3.1 Token防盗链**

TOKEN防盗链相当于私密下载，启用token防盗链之后，需要稍等10-30分钟方可生效，下载图片时需要在url中传入签名，签名参数名为sign，签名可以是多次有效，也可以是单次有效，具体签名方法见签名方法。

如需使用请到图片空间--空间管理中配置，如下图所示，打开Token防盗链开关，点击保存即可。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-7.png)

**2.2.3.2 域名防盗链**

您可以通过设置域名防盗链白名单，来决定哪些域名能够访问该空间下的图片；也可以通过设置域名防盗链黑名单，来决定哪些域名不能够访问该空间下的图片。

如需使用请到图片空间--空间管理中配置，如下图，设置完成后，点击“保存”进行保存。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-8.png)

#### 2.2.4 样式分隔符

样式分隔符是分割文件名称和处理样式的符号，包含中划线(-)、下划线(_)、斜杠(/)和感叹号(!)。设置生效时间平均为30分钟。

>注意：处理样式包括控制台设置的样式和样式下载别名。控制台设置的样式是图片上传后会针对样式生成一个样式图；而样式下载别名是图片下载时为实时处理参数组起的一个别名。

使用方法：http: //绑定域名/文件名称 + 分隔符 + 处理样式名。

如下图所示，假定设定感叹号(!)为样式分隔符，同时样式名为yunstyle，原图fileid为sample.jpg，则原图的经过样式yunstyle处理后的图片url为：

`http://space.image.com/sample.jpg!yunstyle`

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yangshifengefu.png)

>注意：

1、为避免歧义，处理样式名中不可出现当前所启用的间隔标志符
2、更改分隔符需清除缓存，全网生效至少需要24小时
3、取消已使用的分隔符，可能导致产品功能异常

#### 2.2.5 样式下载别名

样式下载别名是使用图片实时处理功能时，为开发者预设的特定的处理参数组合起的一个别名。设置生效时间平均为30分钟。
开发者可以参考实时处理文档设计好处理参数，按照（样式下载别名=处理字符串）的格式进行设置，每行一个，回车分隔，如下图所示：

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yangshixiazaibieming1.png)

#### 2.2.6 回调设置

**2.2.6.1 回调URL**

为了减少图片上传的处理环节，腾讯云•万象优图支持图片上传回调URL配置，能够满足客户端上传完图片由图片服务直接反馈给业务服务端，节省客户端的中转逻辑。

将鼠标移动至回到URL“未设置”文字旁边，出现铅笔形状按钮，点击进行回调URL设置。如下图所示，输入回调URL，点击“保存”。回调URL预计30分钟生效。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuominghuidiaourl.png)

回调URL设置生效后，图片上传完毕后腾讯云•万象优图会默认回调该URL，向其发送一个标准的HTTP POST通知消息。

HTTP包信息如下表：

| 参数名称          | 类型     | 必选   | 描述                                       |
| ------------- | ------ | ---- | ---------------------------------------- |
| appid         | String | 是    | 接入万象优图时,生成的唯一id, 用于唯一标识接入业务              |
| token         | String | 是    | 签名                                       |
| userid        | String | 否    | 签名时填入的账号信息                               |
| url           | String | 是    | 上传后的资源url，包括域名                           |
| fileid        | String | 是    | 资源存储的唯一标识                                |
| sha           | String | 是    | 资源sha1                                   |
| size          | Int    | 是    | 资源大小，字节                                  |
| magic_context | String | 否    | 上传图片，SDK携带的透传参数。如果业务有很复杂的参数，建议整理成json格式。 |

接口样例如下：

```
POST / HTTP/1.1
Content-Type: application/x-www-form-urlencoded

appid=1234&bucket=bucketName&fileid=e9e570bfb54ebc708179208983ce8b95&magic_context=&sha=77cc9a9cb437a8d82c7545c3dc158a1dd09796d9&size=51200&token=7d33a816d302b6&url=http://xx.yy.com/10000/zz/e9e570bfb54ebc708179208983ce8b95/0

```

**2.2.6.2 审核回调URL**

为保障图片上传的合法性，腾讯云•万象优图将多年积累的非法图片识别的技术开放出来，能够支持图片上传的自动识别，如果发现该图片为非法图片默认会将结果通知到服务端。

如下图所示，将鼠标移动至回到URL“未设置”文字旁边，出现铅笔形状按钮，点击该铅笔形状按钮，进行回调URL设置。如下图所示，输入回调URL，点击保存。回调URL预计30分钟生效。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-12.png)

当发现上传的图片为非法图片时万象优图会默认回调该URL，向其发送一个标准的HTTP POST通知消息。
HTTP包信息如下表：

| 参数名称   | 类型     | 必选   | 描述                                       |
| ------ | ------ | ---- | ---------------------------------------- |
| url    | String | 是    | 上传后的资源url，包括域名                           |
| fileid | String | 是    | 资源存储的唯一标识                                |
| result | Int    | 是    | 审核结果,一般是1删除                              |
| type   | Int    | 是    | 100//正常;10001//广告;20001//政治;20004//社会;20002//色情;20006//违法犯罪;20008//欺诈;20013//版权;21000//其他 |

接口样例如下：

```
POST / HTTP/1.1
Content-Type: application/x-www-form-urlencoded

appid=1234&fileid=e9e570bfb54ebc708179208983ce8b95&result=1&type=20002&url=http://xx.yy.com/10000/zz/e9e570bfb54ebc708179208983ce8b95/0&userid=123456

```


### 2.3 空间样式

在图片空间下，开发者可以为添加的每个空间设置图片的样式，方便管理不同需求的图片。样式创建成功后，预计30分钟会生效，之后上传的每张图片都会针对每个样式生成一个处理后的图片。

>注意：
>(1) 样式名需要区分大小写，需要完全按照样式名来获取带有样式的图片，设置样式，每新上传一张图片，除了其原图占用存储空间之外，生成处理后图片也会占用开发者存储空间。
>(2) 目前，开发者自定义的样式，只对样式生效后新上传的图片有效，对样式生效之前上传的图片无效。建议开发者先设置所需样式，再上传图片。
>这里选择“tencentyun”空间，点击该空间操作下的“样式”操作，进入图片空间的空间样式页面，如下图所示。
>在空间样式页面下，开发者可以管理空间的图片样式，如添加样式，设置样式，删除样式等。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-13.png)


点击“添加”按钮来创建样式，如下图所示，输入样式名称，这里创建名称为“yunstyle”的样式，点击“完成”。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-14.png)


样式创建成功后，可以为样式设置缩放方式，文字和图片水印，锐化效果和输出效果等。

#### 2.3.1 缩放方式

万象优图支持裁剪+缩放、只裁剪、等比缩放三种缩略处理方式。默认为不处理，即不对图片进行缩放，如需缩放，可以编辑缩略方式。
注意： 万象优图的缩放处理都是将图片缩小，而不会将图片拉伸，若上传图片的尺寸小于设置的尺寸，则不会对图片进行处理。

**2.3.1.1 裁剪+缩放**

裁剪+缩放功能是为了能够在原图较大，目标图较小且比例和原图不一致时使用。例如原图为1200\*900，缩略图为尺寸为600\*600，则会先将原图按宽高比（600:600即1:1）做裁剪，裁剪原图到900\*900后，再进行缩放，缩小到600\*600的目标尺寸。可以通过九宫格的选择，来决定裁剪中心的位置。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-16.png)

**2.3.1.2 只裁剪**

只裁剪样式根据您设置的裁剪位置和缩略图尺寸，直接对原图进行裁剪，其中九宫格确定裁剪的中心位置。例如设置裁剪位置为居中，裁剪后的缩略图尺寸为600\*600 ，则沿宽中线左右各取300，高沿中线各取300，形成最终的600\*600缩略图进行裁剪。如下图所示。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-17.png)


**2.3.1.2 等比缩放**

等比缩放是将上传的图片按照原图的宽高比例进行缩放，缩放到设定的尺寸。

目前支持三种尺寸设定：

1. 限定宽，高自适应

如下图，限定宽为600，高按原图比例缩放。这样如果上传的图片宽\*高为 1200\*900则处理后的图片为600:450；但是如果上传的图片宽<600,则不会进行处理，比如上传的图片宽\*高为50\*50，则保存的缩略图还是50\*50。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-18.png)


2. 限定高，宽自适应

如下图，限定高为600，高按原图比例缩放。这样如果上传的图片宽\*高为 1200\*900，则处理后的图片为800\*600；但是如果上传的图片高<600,则不会进行处理，比如上传的图片宽\*高为50\*50，则保存的缩略图还是50\*50。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-19.png)

3. 限定宽高的最大值

如下图，限定宽为600，高为600。这样如果上传的图片宽\*高为 1200\*900，则处理后的图片为600\*450；如果上传的图片宽和高都<600,则不会进行处理，比如上传的图片宽\*高为50\*50，则保存的缩略图还是50\*50。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-20.png)

4. 限定宽高的最小值

如下图，限定宽为600，高为600。这样如果上传的图片宽\*高为 1200\*900，则处理后的图片为800\*600；如果上传的图片宽和高都<600,则不会进行处理，比如上传的图片宽\*高为50\*50，则保存的缩略图还是50\*50。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-20-2.png)

注：所有处理方式都不会对图片进行拉伸。

#### 2.3.2	水印处理设置

**2.3.2.1	文字水印**

文字水印能够按照您设置的文字，由九宫格确定水印位置，在目标图片上设置水印。如选择右下，横向边距和纵向边距为10，文字水印为“万象优图”，得到的缩略图如下。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-21.png)

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-22.png)

**2.3.2.2	图片水印**

图片水印能够按照您设置的图片，由九宫格确定水印位置，在目标图片上设置水印。如选择右下，横向边距和纵向边距为10，上传图片水印，得到的缩略图如下

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-23.png)

#### 2.3.3 输出效果

开发者可设置样式图的输出格式和输出质量，如下图所示。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-24.png)

### 2.4 图片识别
打开需要开通鉴黄服务的图片空间，进入空间识别页面，开启图片鉴黄
![](//mccdn.qcloud.com/static/img/69bbe7901c17e892203f0fa6c307e0c1/image.png)
#### 2.4.1 回调阈值设置
1. 回调阈值为分值区间
2. 设置后，万象优图将会把图片分值在阈值内的图片返回给您
3. 对于腾讯云封禁的图片，如果勾选了回调，此类图片也会返回给您，但是无法进行下载
4. 回调URL需以http开头且默认返回200正确码方可以进行使用，请在保存设置前进行检查

如下图所示，输入回调URL，点击“保存”。回调URL预计30分钟后生效。
 ![](//mccdn.qcloud.com/static/img/351b2dcd49bc2520742f0dc04ab2c25c/image.png)
回调URL设置生效后，当发现上传的图片分值在阈值内，万象优图会默认回调该URL，向其发送一个标准的HTTP POST通知消息。
HTTP包信息如下表：

| 参数名称          | 类型     | 必选   | 描述                                       |
| ------------- | ------ | ---- | ---------------------------------------- |
| url           | String | 是    | 上传后的资源url，包括域名                           |
| result        | Int    | 是    | 供参考的识别结果，0正常，1黄图，2疑似图片                   |
| forbid_status | Int    | 是    | 封禁状态，0表示正常，1表示图片已被封禁（只有存储在万象优图的图片才会被封禁）  |
| confidence    | Double | 是    | 识别为黄图的置信度，范围0-100；是normal, hot, porn的综合评分 |
| normal        | Double | 是    | 图片为正常图片的评分                               |
| hot           | Double | 是    | 图片为性感图片的评分                               |
| porn          | Double | 是    | 图片为色情图片的评分                               |

接口样例如下：

```
POST / HTTP/1.1
Content-Type: application/x-www-form-urlencoded

confidence=100&forbid_status=1&hot=3.971e-06&normal=1.988e-10&porn=100&result=1&url=http://xx.yy.com/10000/zz/e9e570bfb54ebc708179208983ce8b95/0
```

### 2.5 操作日志
1. 登录万象优图控制台，进入目标图片空间>操作日志
2. 万象优图提供30天之内图片上传、下载、删除、查询的操作日志。选择您需要查询的时间，在列表里下载即可。
   ![](//mccdn.qcloud.com/static/img/74000e0b602fde63581f6a593250f967/image.png)

>  注意：由于数据会有延迟，故暂不支持当日操作日志的下载

**日志字段说明**
下载的日志中对应的字段顺序如下所示：

| 序号   | 字段           | 描述                        |
| ---- | ------------ | ------------------------- |
| 1    | reporttime   | 上报日期，如2016-07-06 10:22:13 |
| 2    | time         | 上报时间戳                     |
| 3    | bucketid     | Bucket的id                 |
| 4    | appid        | AppId                     |
| 5    | fileid       | FileId,用来标识文件             |
| 6    | url          | 操作的图片的URL                 |
| 7    | op           | 操作类型，1为上传，3为查询，4为删除       |
| 8    | realclientip | 客户IP                      |
| 9    | errno        | 错误码                       |
| 10   | errmsg       | 错误信息                      |


## 3 服务质量

腾讯云•万象优图针对单个应用，汇总其全国各省、各运营商、不同网络类型移动终端用户上传下载图片的速度、成功率、平均文件大小等信息，通过海量数据计算，给出全方位服务质量数据。数据会有一定延迟，延迟在2个小时左右。

如需使用请到[万象优图--服务质量](http://console.cloud.tencent.com/image/service)中查看。

## 4 使用统计

腾讯云•万象优图提供针对单个应用其存储量、下载流量、上传下载删除的次数，wep及水印请求的次数等信息的使用量统计数据，数据会有一定延迟，延迟时间在20分钟以内。

可以在[万象优图--使用统计](http://console.cloud.tencent.com/image/statistics)中查看使用统计数据。

## 5 项目设置

在项目设置下，开发者可以查看项目的密钥，添加密钥，启动、禁用和删除密钥。一个项目最多有两套密钥，但是不可以同时禁用。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-25.png)

**添加密钥：**

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-26.png)

**禁用密钥：**

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/kongzhitaishiyongshuoming-27.png)

