## 什么是 DI-X 深度学习平台？
DI-X 深度学习平台（Data Intelligence X，简称 DI-X）是基于腾讯云强大计算能力的深度学习平台，集开发，调试，训练，预测，部署于一体，让算法工程师和数据科学家通过拖曳布局，组合各种数据源、组件、算法、模型和评估模块进行魔性训练、评估及预测，无需关注深度学习的底层繁琐细节和资源，从而专注于模型和算法调优。

目前 DI-X 支持的深度学习框架包括 TensorFlow、Caffe、Torch，并提供相应的常用深度学习算法和模型。
## 功能特性
### 可视化配置
**拖拽式任务流设计**
通过方便的可视化拖拽组合操作，组成复杂的任务流，完成模型的训练和预测过程。
**多种模块支持**
支持五种模块，输入，组件，算法，模型，输出，可以灵活组合。
**支持数据流**
每个模块都有输入和输出，连接后上下游节点之间能自动感知。
### 组件和算法
**支持业界主流深度学习框架**
支持 TensorFlow、Caffe、Torch 三大框架，用户可以提交自己的算法或者模型结构，后续将会支持更多主流框架。
**内置多种深度学习算法**
支持多种 CNN、RNN、DBN 等多种成熟的深度学习算法，可应用于图片分类，视频识别和自然语言处理等。
### 训练和预测
**灵活多变的运行模式**
支持多实例运行，可以周期调度，也可以参数循环调节，实现自动化调参。
**多种模型评估方式**
模型运行中可以通过模型控制台查看动态指标变化，运行后可以通过模型评估模块，观察最终的静态结果，动静结合。
**模型离线和在线预测**
支持模型从训练到部署的全流程，除了离线批量预测，还可以将深度学习模型部署到线上，通过Http或者gRpc接口，实现Online Inference服务。