## 图片识别
DI-X 的图片识别结果可广泛应用于公安领域的网络鉴黄，反恐的高危行为检测、嫌疑人特征检测，广告推荐领域的新商品识别、相似商品推荐，智能交通领域的车辆识别、行人识别、自动驾驶等场景。
### 步骤概览
1. 图片从服务器上传到 COS 对象存储
2. 通过 DI-X 调度 CPU 和 HPC 集群对图片数据进行裁剪、格式转换等数据预处理
3. 采用 Faster R-CNN 或其他算法进行图象识别的模型训练，并优化参数直至最优
4. 训练完毕的模型即可用于其他图片的图像识别预测，以判断图像物品的基本属性

![图片识别](https://mc.qcloudimg.com/static/img/93014ce0d03087ac2e610e1ebc0d1f2e/image.png)
## 用户流失预测
游戏运营专家可以根据 DI-X 分析出的游戏流失率的预估结果选择策略应用在游戏动态运营系统上，以进行低活跃用户召回、用户流失原因分析、推广活动效果评估等动态运营。
### 步骤概览
1. 把游戏或者 APP 服务器上的日志实时地同步到 COS 对象存储中
2. 采用 DI-X 调度云端强大的 CPU 和 HPC 计算能力对用户行为或其他游戏日志进行数据清洗等预处理
3. 采用 Scale 等特征工程技术进行特征处理
4. 采用特征处理产生的特征信息进入模型训练环节
5. 训练完毕的模型将会被保存于 COS 对象存储中，以便于进行游戏流失率的预估

![用户流失预测](https://mc.qcloudimg.com/static/img/dd02545102516f278cbda6bb4c655a78/image.png)
## 精准营销
DSP 服务商可以采用 DI-X 产生的预测结果应用到精准营销系统，进行广告点击率的预估和精准广告投放，以提升有限流量的无限价值。
### 步骤概览
1. APP 服务器或者 Web 服务器上的用户行为日志数据同步到 COS 对象存储
2. 算法工程师和数据分析师可以采用 DI-X 调度云端 CPU 和 HPC 计算能力对用户行为数据进行 ETL 数据预处理
3. 经过预处理后的数据经过特征提取和特征组合衍生之后，即进入模型训练环节
4. 经过 MLP 训练完毕的模型将会被保存于 COS 对象存储中，以在广告行业中进行点击率和广告投放的预估

![精准营销](https://mc.qcloudimg.com/static/img/dd02545102516f278cbda6bb4c655a78/image.png)