## 1. 说明

开发者使用功能之前，需要先注册腾讯云账号，并创建bucket，添加密钥。

## 2. 身份证认证统计接口

认证接口采用https协议，GET方法。

协议头部

所有请求都要求含有下表列出的头部信息

| 参数名           | 值                | 描述                                       |
| ------------- | ---------------- | ---------------------------------------- |
| Host          | image.qcloud.com | 万象优图服务器域名                                |
| Authorization | 鉴权签名             | 用于鉴权的签名，使用多次有效签名。[**详情**](https://www.qcloud.com/doc/product/275/3805) |



### 2.1      获取接口请求次数

1) 接口
https://image.qcloud.com/verifyc/stat

2) 描述
获取身份认证接口请求次数。

3) 参数

| 参数名   | 是否必须 | 类型     | 参数说明                |
| ----- | ---- | ------ | ------------------- |
| start | 必选   | string | 开始时间（格式如2017-09-01） |
| end   | 必选   | String | 结束时间（格式如2017-09-01） |

4) 返回值说明

| 字段              | 类型     | 说明               |
| --------------- | ------ | ---------------- |
| data.summary    | Json   | 接口请求汇总信息         |
| data.summary.数字 | Int    | 错误码出现次数          |
| data.list       | Json   | 接口请求明细信息         |
| data.list.date  | String | 时间点              |
| data.list.数字    | Int    | 错误码出现次数          |
| code            | Int    | 返回码              |
| message         | String | 返回错误消息           |
| origin          | String | 返回Header请求Origin |

5) 样例1（查询一天数据）

```
GET /verifyc/stat HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: image.qcloud.com

{
  "start":"2017-09-01",
  "end":"2017-09-01"
}
```

回包:

```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 456
Content-Type: application/json

{
	"code":0,
	"message":"",
	"data":{
		"summary":{"-5806":2905,"0":382101,"-5803":4590,"-5804":2010,"-5807":172},
		"list":[
			{"date":"2017-09-01 00:00:00","-5806":4,"0":388,"-5803":2,"-5804":1,"-5807":0},
			{"date":"2017-09-01 00:05:00","-5806":6,"0":410,"-5803":2,"-5804":0,"-5807":0},
			{"date":"2017-09-01 00:10:00","-5806":2,"0":406,"-5803":2,"-5804":0,"-5807":0},
			{"date":"2017-09-01 00:15:00","-5806":4,"0":369,"-5803":3,"-5804":2,"-5807":1}
		]
	},
	"origin":""
}
```

6) 样例2（查询多天数据）

```
GET /verifyc/stat HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: image.qcloud.com

{
  "start":"2017-09-01",
  "end":"2017-09-02"
}
```

回包:

```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 294
Content-Type: application/json

{
	"code":0,
	"message":"",
	"data":{
		"summary":{"-5806":5960,"0":799789,"-5803":9602,"-5804":4948,"-5807":254},
		"list":[
			{"date":"2017-09-01","-5806":2905,"0":382101,"-5803":4590,"-5804":2010,"-5807":172},
			{"date":"2017-09-02","-5806":3055,"0":417688,"-5803":5012,"-5804":2938,"-5807":82}
		]
	},
	"origin":""
}
```

## 3.  返回码

| 错误码   | 含义             |
| ----- | -------------- |
| 0     | 成功             |
| 70001 | 签名认证失败         |
| 70002 | 查询日期不合法        |
| 70003 | 查询统计数据失败，请稍候再试 |

 

 