## 简介
腾讯云万象优图支持实时图片水印处理功能。目前，水印图片必须指定为已存储于万象优图中的图片。
## 接口形式
><font color="#0000cc">**注意：** </font>
请忽略以下接口中的回车。


```
  download_url?watermark/1
                        /image/
                        /gravity/
                        /dx/
                        /dy/
```
## 参数说明
| 参数                       | 含义                                       |
| ------------------------ | ---------------------------------------- |
| /image/ | 水印源图片地址，需要经过 URL 安全的 Base64 编码。指定的水印图片必须同时满足如下 3 个条件：</br> 1. 水印图片与源图片必须位于同一个对象存储桶下；</br> 2. URL 需使用万象优图源站域名（不能使用 CDN 加速、COS 源站域名），如：`v2test-10000812.image.myqcloud.com`属于 CDN 加速域名，不能在水印 URL 中使用； </br>3. URL必须以`http://`开始，不能省略 http 头，也不能填 https 头，如：`tengxunyun-10004486.picsh.myqcloud.com/shuiyin_2.png`，`https://tengxunyun-10004486.picsh.myqcloud.com/shuiyin_2.png`就是非法的水印 URL。 |
| /gravity/       | 文字水印位置，九宫格位置（[参考九宫格方位图](#1) ），默认值 SouthEast |
| /dx/          | 水平（横轴）边距，单位为像素，缺省值为 0                     |
| /dy/          | 垂直（纵轴）边距，单位为像素，默认值为 0                      |

## 示例

```
http://v2test-10000812.picsh.myqcloud.com/tencentyunRestAPITest?watermark/1/image/aHR0cDovL3Rlbmd4dW55dW4tMTAwMDQ0ODYucGljc2gubXlxY2xvdWQuY29tL3NodWl5aW5fMi5wbmc=/gravity/southwest
```
<span id="1"></span>
## 九宫格方位图
添加图片水印位置，可参考如下九宫格方位图。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/apicankao-3.jpg)
