## 简介
腾讯云万象优图支持实时文字水印功能，即通过在图片 URL 后面附加参数为图片实时打文字水印。
## 接口形式
><font color="#0000cc">**注意：** </font>
请忽略以下接口中的回车。

```
  download_url?watermark/2
                        /text/
                        /font/
                        /fontsize/
                        /fill/
                        /dissolve/
                        /gravity/
                        /dx/
                        /dy/
```

## 参数说明

| 参数                       | 含义                                       |
| ------------------------ | ---------------------------------------- |
| /text/      | 水印内容，需要经过 URL 安全的 Base64 编码                  |
| /font/  | 水印字体，需要经过 URL 安全的 Base64 编码，默认值 tahoma.ttf 。水印字体列表参考 [支持字体列表](/doc/product/275/万象优图支持字体列表) |
| /fontsize/     | 水印文字字体大小，单位是: 磅，缺省值 13                    |
| /fill/ | 字体颜色，缺省为白色，RGB 格式，可以是颜色名称（如 blue）或者十六进制（如 #FF0000），参考 [RGB编码表](http://www.rapidtables.com/web/color/RGB_Color.htm)，需经过 URL 安全的 Base64 编码，默认值 #3D3D3D |
| /dissolve/     | 文字透明度，取值 1-100 ，默认 100（完全不透明）               |
| /gravity/       | 文字水印位置，九宫格位置（[参见九宫格方位图](#1) ），默认值 SouthEast |
| /dx/          | 水平（横轴）边距，单位为像素，缺省值为 0                     |
| /dy/          | 垂直（纵轴）边距，单位为像素，默认值为 0                      |

## 示例

```
http://v2test-10000812.image.myqcloud.com/tencentyunRestfulAPITest?watermark/2/text/6IW-6K6v5LqRwrfkuIfosaHkvJjlm74=/fill/d2hpdGU=/fontsize/100/dissolve/50/gravity/northeast/dx/20/dy/20
```
<span id="1"></span>
## 九宫格方位图
添加文字水印位置，可参考如下九宫格方位图。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/apicankao-3.jpg)
