## 1. 描述

计算两个Face的相似性以及五官相似度。

接口：http://service.image.myqcloud.com/face/compare

## 2. 请求内容

使用image则使用 multipart/form-data格式

不使用image则使用 application/json格式

| 参数名    | 是否必须 | 类型     | 参数说明                                     |
| ------ | ---- | ------ | ---------------------------------------- |
| appid  | 必须   | String | 项目ID                                     |
| imageA | 可选   | Binary | A图片内容                                    |
| imageB | 可选   | Binary | B图片内容                                    |
| urlA   | 可选   | String | A图片的url, image 和url只提供一个就可以了,如果都提供,只使用url |
| urlB   | 可选   | String | B图片的url, image 和url只提供一个就可以了,如果都提供,只使用url |

## 3. 返回内容

| 字段              | 类型     | 说明                        |
| --------------- | ------ | ------------------------- |
| data.session_id | String | 相应请求的session标识符           |
| data.similarity | float  | 两个face的相似度                |
| data.fail_flag  | Int    | 标志失败图片，1为第一张，2为第二张（失败时返回） |
| code            | Int    | 返回码                       |
| message         | String | 返回错误消息                    |

## 4. 示例

### 4.1 使用url的请求包:

```
POST /face/identify HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 123
Content-Type: application/json

{
  "appid":"123456",
  "urlA":"http://test-123456.image.myqcloud.com/testA.jpg",
  "urlB":"http://test-123456.image.myqcloud.com/testB.jpg"
}
```

### 4.2 使用image的请求包:

```
POST /face/identify HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 460
Content-Type: multipart/form-data;boundary=--------------acebdf13572468

----------------acebdf13572468
Content-Disposition: form-data; name="appid";

123456
----------------acebdf13572468
Content-Disposition: form-data; name="imageA"; filename="testA.jpg"
Content-Type: image/jpeg

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
----------------acebdf13572468
Content-Disposition: form-data; name="imageB"; filename="testB.jpg"
Content-Type: image/jpeg

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
----------------acebdf13572468--
```

### 4.3 回包:

```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 109
Content-Type: application/json

{
  "data":{
    "similarity":100.0,
    "session_id":""
  },
  "code":0,
  "message":"OK"
}
```

 