## 1. 说明

人脸核身服务现已开放申请，您可以[点此进行申请](https://cloud.tencent.com/act/event/face-in.html)

**基本概念：**

| 概念     | 解释               |
| ------ | ---------------- |
| appid  | 项目ID, 用于唯一标识接入项目 |

 **说明：**如果开发者使用的是V1版本，appid为其当时生成的appid。

人脸核身接口采用http协议，支持指定图片URL和 上传本地图片文件两种方式。
限制说明：
(1) 每个请求的包体大小限制为6MB。
(2) 所有接口都为POST方法。
(3) 不支持 .gif这类的动图。

协议头部：所有请求都要求含有下表列出的头部信息

| 参数名            | 值                                        | 描述                                       |
| -------------- | ---------------------------------------- | ---------------------------------------- |
| Host           | service.image.myqcloud.com               | 万象优图服务器域名                                |
| Content-Length | 包体总长度                                    | 整个请求包体内容的总长度，单位：字节（Byte）                 |
| Content-Type   | Application/json  或者  Multipart/form-data | 根据不同接口选择                                 |
| Authorization  | 鉴权签名                                     | 用于鉴权的签名，[**详情**](https://cloud.tencent.com/doc/product/275/3805) |

## 2. 描述

获取一个唇语验证字符串，用于用户录制视频时使用。视频的作用是进行活体检测

接口：http://service.image.myqcloud.com/face/livegetfour

## 3. 请求内容

使用 application/json格式。

| 参数名    | 是否必须 | 类型     | 参数说明    |
| ------ | ---- | ------ | ------- |
| appid  | 必须   | String | 项目ID    |
| seq    | 可选   | String | 标识请求序列号 |

## 4. 返回内容

| 字段                 | 类型     | 说明      |
| ------------------ | ------ | ------- |
| data.validate_data | String | 唇语验证字符串 |
| code               | Int    | 返回状态码   |
| message            | String | 返回错误消息  |

## 5. 示例

### 5.1 请求包

```
POST /face/livegetfour HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 66
Content-Type: application/json

{
  "appid":"123456"
}
```

### 5.2 回包

```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 114
Content-Type: application/json

{
  "data":{
    "validate_data": "9532",
  },
  "code":0,
  "message":"OK"
}
```

### 