## 1. 说明

人脸核身服务现已开放申请，您可以[点此进行申请](https://cloud.tencent.com/act/event/face-in.html)

**基本概念：**

| 概念     | 解释               |
| ------ | ---------------- |
| appid  | 项目ID, 用于唯一标识接入项目 |

 **说明：**如果开发者使用的是V1版本，appid为其当时生成的appid。

人脸核身接口采用http协议，支持指定图片URL和 上传本地图片文件两种方式。
限制说明：
(1) 每个请求的包体大小限制为6MB。
(2) 所有接口都为POST方法。
(3) 不支持 .gif这类的动图。

协议头部：所有请求都要求含有下表列出的头部信息

| 参数名            | 值                                        | 描述                                       |
| -------------- | ---------------------------------------- | ---------------------------------------- |
| Host           | service.image.myqcloud.com               | 万象优图服务器域名                                |
| Content-Length | 包体总长度                                    | 整个请求包体内容的总长度，单位：字节（Byte）                 |
| Content-Type   | Application/json  或者  Multipart/form-data | 根据不同接口选择                                 |
| Authorization  | 鉴权签名                                     | 用于鉴权的签名，[**详情**](https://cloud.tencent.com/doc/product/275/3805) |

 

## 2. 描述

本接口可以进行人用户上传照片的身份校验。根据用户的身份证号、姓名，与用户上传的图像进行人脸相似度对比。

接口：http://service.image.myqcloud.com/face/idcardcompare

## 3. 请求内容

使用image则使用 multipart/form-data格式

不使用image则使用 application/json格式

| 参数名           | 是否必须 | 类型     | 参数说明                                  |
| ------------- | ---- | ------ | ------------------------------------- |
| appid         | 必须   | String | 项目ID                                  |
| idcard_number | 必须   | String | 用户身份证号码                               |
| idcard_name   | 必须   | String | 用户身份证姓名                               |
| image         | 可选   | Binary | 图片内容                                  |
| url           | 可选   | String | 图片的url, image和url只提供一个即可,如果都提供,只使用url |
| session_id    | 可选   | String | 相应请求的session标识符，可用于结果查询               |

## 4. 返回内容

| 字段              | 类型     | 说明                        |
| --------------- | ------ | ------------------------- |
| data.session_id | String | 相应请求的session标识符           |
| data.similarity | float  | 用户上传图像与公安部获取带网纹图像的face相似度 |
| code            | Int    | 返回码                       |
| message         | String | 返回错误消息                    |

## 5. 样例

### 5.1 使用url的请求包:

```
POST /face/idcardcompare HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 187
Content-Type: application/json

{
  "appid":"123456",
  "idcard_number":"110110199909090909",
  "idcard_name":"张三",
  "url":"http://test-123456.image.myqcloud.com/test.jpg"
}
```

### 5.2 使用image的请求包:

```
POST /face/idcardcompare HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 735
Content-Type: multipart/form-data;boundary=--------------acebdf13572468

----------------acebdf13572468
Content-Disposition: form-data; name="appid";

123456
----------------acebdf13572468
Content-Disposition: form-data; name="idcard_number";

110110199909090909
----------------acebdf13572468
Content-Disposition: form-data; name="idcard_name";

张三
----------------acebdf13572468
Content-Disposition: form-data; name="image"; filename="test.jpg"
Content-Type: image/jpeg

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
----------------acebdf13572468--
```

### 5.3 回包:

```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 204
Content-Type: application/json

{
  "data":{
    "similarity":100.0,
    "session_id":"",
  },
  "code":0,
  "message":"OK"
}
```

### 