说明：该接口的费用可查看[文档](/document/product/460/6970)。按使用量进行月结。

## 1. 描述

计算两个Face的相似性以及五官相似度。

接口：http://service.image.myqcloud.com/face/compare

## 2. 请求内容

使用image则使用 multipart/form-data格式

不使用image则使用 application/json格式

| 参数名    | 是否必须 | 类型     | 参数说明                                     |
| ------ | ---- | ------ | ---------------------------------------- |
| appid  | 必须   | String | 项目ID                                     |
| imageA | 可选   | Binary | A图片内容                                    |
| imageB | 可选   | Binary | B图片内容                                    |
| urlA   | 可选   | String | A图片的url, image 和url只提供一个就可以了,如果都提供,只使用url |
| urlB   | 可选   | String | B图片的url, image 和url只提供一个就可以了,如果都提供,只使用url |

## 3. 返回内容

| 字段              | 类型     | 说明                        |
| --------------- | ------ | ------------------------- |
| data.session_id | String | 相应请求的session标识符           |
| data.similarity | float  | 两个face的相似度                |
| data.fail_flag  | Int    | 标志失败图片，1为第一张，2为第二张（失败时返回） |
| code            | Int    | 返回码                       |
| message         | String | 返回错误消息                    |

## 4. 示例

### 4.1 使用url的请求包:

```
POST /face/identify HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 123
Content-Type: application/json

{
  "appid":"123456",
  "urlA":"http://test-123456.image.myqcloud.com/testA.jpg",
  "urlB":"http://test-123456.image.myqcloud.com/testB.jpg"
}
```

### 4.2 使用image的请求包:

```
POST /face/identify HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 460
Content-Type: multipart/form-data;boundary=--------------acebdf13572468

----------------acebdf13572468
Content-Disposition: form-data; name="appid";

123456
----------------acebdf13572468
Content-Disposition: form-data; name="imageA"; filename="testA.jpg"
Content-Type: image/jpeg

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
----------------acebdf13572468
Content-Disposition: form-data; name="imageB"; filename="testB.jpg"
Content-Type: image/jpeg

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
----------------acebdf13572468--
```

### 4.3 回包:

```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 109
Content-Type: application/json

{
  "data":{
    "similarity":100.0,
    "session_id":""
  },
  "code":0,
  "message":"OK"
}
```

## 5.  返回码

| 错误码   | 含义                       |
| ----- | ------------------------ |
| 3     | 错误的请求                    |
| 4     | 签名为空                     |
| 5     | 签名串错误                    |
| 6     | 签名中的appid与操作目标不匹配 |
| 9     | 签名过期                     |
| 10    | appid不存在                 |
| 11    | secretid不存在              |
| 12    | appid和secretid不匹配        |
| 13    | 重放攻击                     |
| 14    | 签名校验失败                   |
| 15    | 操作太频繁，触发频控               |
| 21    | 无效参数                     |
| 23    | 请求包体过大                   |
| 107   | 鉴权服务不可用                  |
| 108   | 鉴权服务不可用                  |
| 213   | 内部错误                     |
| -1101 | 人脸检测失败                   |
| -1102 | 图片解码失败                   |
| -1103 | 特征处理失败                   |
| -1104 | 提取轮廓错误                   |
| -1105 | 提取性别错误                   |
| -1106 | 提取表情错误                   |
| -1107 | 提取年龄错误                   |
| -1108 | 提取姿态错误                   |
| -1109 | 提取眼镜错误                   |
| -1200 | 特征存储错误                   |
| -1300 | 图片为空                     |
| -1301 | 参数为空                     |
| -1302 | 个体已存在                    |
| -1303 | 个体不存在                    |
| -1304 | 参数过长                     |
| -1305 | 人脸不存在                    |
| -1306 | 组不存在                     |
| -1307 | 组列表不存在                   |
| -1308 | url图片下载失败                |
| -1309 | 人脸个数超过限制                 |
| -1310 | 个体个数超过限制                 |
| -1311 | 组个数超过限制                  |
| -1312 | 对个体添加了几乎相同的人脸            |
| -1400 | 非法的图片格式                  |
| -1403 | 图片下载失败                   |

 