说明：该接口的费用可查看[文档](/document/product/460/6970)。按使用量进行月结。

## 1. 基本概念

| 概念        | 解释                                       |
| --------- | ---------------------------------------- |
| appid     | 项目ID, 用于唯一标识接入项目                         |
| group_id  | 个体(person)以组（group）的形式存储，一个组可以包含多个个体，一个个体也可以存在于多个组。group_id即用来标识group。组(group)没有专门的创建接口，创建个体(person)时，指定group_id则会自动创建。 |
| person_id | 人脸以个体（person）的形式存储，一个个体下可以存储多张人脸。person_id即用来标识person |
| face_id   | 标识每张人脸的id                                |

 **说明：**如果开发者使用的是V1版本，appid为其当时生成的appid

## 2. 描述

对于一个待识别的人脸图片，在一个Group中识别出最相似的Top5 Person作为其身份返回，返回的Top5中按照相似度从大到小排列。

**接口**：http://service.image.myqcloud.com/face/identify

**方法：**POST

Group信息管理接口如下：

| 接口                                       | 描述                                       |
| ---------------------------------------- | ---------------------------------------- |
| [创建个体](https://cloud.tencent.com/document/product/460/6896#1-.E4.B8.AA.E4.BD.93.E5.88.9B.E5.BB.BA) | 创建一个Person，并将Person放置到group_ids指定的组当中，不存在的group_id会自动创建。 |
| [删除个体](https://cloud.tencent.com/document/product/460/6896#2.-.E5.88.A0.E9.99.A4.E4.B8.AA.E4.BD.93) | 删除一个Person。                              |
| [增加人脸](https://cloud.tencent.com/document/product/460/6896#3.-.E5.A2.9E.E5.8A.A0.E4.BA.BA.E8.84.B8) | 将一组Face加入到一个Person中。注意，一个Face只能被加入到一个Person中。 一个Person最多允许包含20个Face；加入几乎相同的人脸会返回错误。 |
| [删除人脸](https://cloud.tencent.com/document/product/460/6896#4-.E5.88.A0.E9.99.A4.E4.BA.BA.E8.84.B8) | 删除一个person下的face，包括特征，属性和face_id。        |
| [设置信息](https://cloud.tencent.com/document/product/460/6896#5.-.E8.AE.BE.E7.BD.AE.E4.BF.A1.E6.81.AF) | 设置Person的name。                           |
| [获取信息](https://cloud.tencent.com/document/product/460/6896#6.-.E8.8E.B7.E5.8F.96.E4.BF.A1.E6.81.AF) | 获取一个Person的信息, 包括name, id, tag, 相关的face, 以及groups等信息。 |
| [获取组列表](https://cloud.tencent.com/document/product/460/6896#7.-.E8.8E.B7.E5.8F.96.E7.BB.84.E5.88.97.E8.A1.A8) | 获取一个AppId下所有group列表。                     |
| [获取人列表]()                                | 获取一个组Group中所有person列表。                   |
| [获取人脸列表](https://cloud.tencent.com/document/product/460/6896#9.-.E8.8E.B7.E5.8F.96.E4.BA.BA.E8.84.B8.E5.88.97.E8.A1.A8) | 获取一个组person中所有face列表。                    |
| [获取人脸信息](https://cloud.tencent.com/document/product/460/6896#10.-.E8.8E.B7.E5.8F.96.E4.BA.BA.E8.84.B8.E4.BF.A1.E6.81.AF) | 获取一个face的相关特征信息。                         |

> 限制说明：
>
> 1. 一个appid下建立的group_id数量限制为5000个。
> 2. 一个group_id下建立的person_id数量限制为10000个。
> 3. 一个person_id下建立的人脸数量限制为20个。
> 4. 每个请求的包体大小限制为1.5MB。
> 5. 不支持 .gif这类的动图。

## 3. 请求

人脸识别接口采用http协议，支持指定图片URL和 上传本地图片文件两种方式进行识别。

**请求包的http header**

| 参数名            | 值                                     | 描述                                       |
| -------------- | ------------------------------------- | ---------------------------------------- |
| Host           | service.image.myqcloud.com            | 万象优图服务器域名                                |
| Content-Length | 包体总长度                                 | 整个请求包体内容的总长度，单位：字节（Byte）                 |
| Content-Type   | Application/json或者Multipart/form-data | 根据不同接口选择                                 |
| Authorization  | 鉴权签名                                  | 用于鉴权的签名，[详情](https://cloud.tencent.com/doc/product/275/3805) |

**请求包http body**
使用image则使用 multipart/form-data格式；不使用image则使用 application/json格式

| 参数名      | 是否必须 | 类型     | 参数说明                                     |
| -------- | ---- | ------ | ---------------------------------------- |
| appid    | 必须   | String | 项目ID                                     |
| group_id | 必须   | String | 候选人组id                                   |
| image    | 可选   | Binary | 图片内容                                     |
| url      | 可选   | String | 图片的url, image 和url只提供一个就可以了,如果都提供,只使用url |

## 4. 返回内容

| 字段              | 类型                  | 说明                      |
| --------------- | ------------------- | ----------------------- |
| data.session_id | String              | 相应请求的session标识符，可用于结果查询 |
| data.candidates | Array(IdentifyItem) | 识别出的top5候选人             |
| code            | Int                 | 返回状态码                   |
| message         | String              | 返回错误消息                  |

IdentifyItem说明

| 字段         | 类型     | 说明           |
| ---------- | ------ | ------------ |
| person_id  | String | 候选者person_id |
| face_id    | String | 候选者face_id   |
| confidence | Float  | 候选者的置信度      |
| tag        | String | 人脸备注信息       |

## 5. 样例

**使用url的请求包:**

```
POST /face/identify HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 123
Content-Type: application/json

{
  "appid":"123456",
  "group_id":"tencent",
  "url":"http://test-123456.image.myqcloud.com/test.jpg"
}
```

**使用image的请求包:**

```
POST /face/identify HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 460
Content-Type: multipart/form-data;boundary=--------------acebdf13572468

----------------acebdf13572468
Content-Disposition: form-data; name="appid";

123456
----------------acebdf13572468
Content-Disposition: form-data; name="group_id";

tencent
----------------acebdf13572468
Content-Disposition: form-data; name="image"; filename="test.jpg"
Content-Type: image/jpeg

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
----------------acebdf13572468--
```

**回包:**

```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 409
Content-Type: application/json

{
  "data":{
    "session_id":"session_id",
    "candidates":[
      {
        "person_id":"person3",
        "face_id":"1031567119985213439",
        "confidence":54.90695571899414,
        "tag":"new tag"
      },
      {
        "person_id":"person1",
        "face_id":"1031587105968553983",
        "confidence":54.86775207519531,
        "tag":"new tag"
      }
    ]
  },
  "code":0,
  "message":"OK"
}
```

## 6.  返回码

| 错误码   | 含义                       |
| ----- | ------------------------ |
| 3     | 错误的请求                    |
| 4     | 签名为空                     |
| 5     | 签名串错误                    |
| 6     | 签名中的appid与操作目标不匹配 |
| 9     | 签名过期                     |
| 10    | appid不存在                 |
| 11    | secretid不存在              |
| 12    | appid和secretid不匹配        |
| 13    | 重放攻击                     |
| 14    | 签名校验失败                   |
| 15    | 操作太频繁，触发频控               |
| 21    | 无效参数                     |
| 23    | 请求包体过大                   |
| 107   | 鉴权服务不可用                  |
| 108   | 鉴权服务不可用                  |
| 213   | 内部错误                     |
| -1101 | 人脸检测失败                   |
| -1102 | 图片解码失败                   |
| -1103 | 特征处理失败                   |
| -1104 | 提取轮廓错误                   |
| -1105 | 提取性别错误                   |
| -1106 | 提取表情错误                   |
| -1107 | 提取年龄错误                   |
| -1108 | 提取姿态错误                   |
| -1109 | 提取眼镜错误                   |
| -1200 | 特征存储错误                   |
| -1300 | 图片为空                     |
| -1301 | 参数为空                     |
| -1302 | 个体已存在                    |
| -1303 | 个体不存在                    |
| -1304 | 参数过长                     |
| -1305 | 人脸不存在                    |
| -1306 | 组不存在                     |
| -1307 | 组列表不存在                   |
| -1308 | url图片下载失败                |
| -1309 | 人脸个数超过限制                 |
| -1310 | 个体个数超过限制                 |
| -1311 | 组个数超过限制                  |
| -1312 | 对个体添加了几乎相同的人脸            |
| -1400 | 非法的图片格式                  |
| -1403 | 图片下载失败                   |

 