说明：该接口的费用可查看[文档](/document/product/460/6970)。按使用量进行月结。

## 1.   描述

**接口：**http://service.image.myqcloud.com/v1/detection/imagetag_detect

**方法：** POST

## 2.  请求

**请求包的http header**

| 参数             | 是否必选 | 描述                                   |
| -------------- | ---- | ------------------------------------ |
| Host           | 是    | 访问域名，service.image.myqcloud.com      |
| Authorization  | 是    | 鉴权签名，详见[鉴权文档](/doc/product/460/6968) |
| Content-Type   | 是    | 标准的application/json                  |
| Content-Length | 是    | http body总长度                         |

**请求包body采用json格式，body具体内容见下表：**

| 参数     | 是否必选 | 类型     | 描述                                       |
| ------ | ---- | ------ | ---------------------------------------- |
| appid  | 是    | string | 业务id                                     |
| image  | 否    | string | 需要检测的图像base64编码，图像需要是JPG/PNG/BMP  其中之一的格式 |
| url    | 否    | string | 图片可以下载的url, 如果url 和image 都提供, 仅使用url     |

**注意：image和url必须填写一个**

## 3.  返回内容

返回的结果为：

| 参数      | 类型       | 描述                |
| ------- | -------- | ----------------- |
| code    | int      | 服务器错误码, 0为成功      |
| message | string   | 服务器返回的信息          |
| tags    | ImageTag | 图像的分类标签ImageTag列表 |

其中ImageTag 具体内容为：      

| **参数**         | **类型** | **描述**                    |
| -------------- | ------ | ------------------------- |
| tag_name       | string | 返回图像标签的名字                 |
| tag_confidence | int    | 图像标签的置信度,范围 0-100,越大置信度越高 |

**4. 示例：**

```
{

    "code": 0,

    "message": "success",

    "tags": [

        {

            "tag_name": "天空",

            "tag_confidence": 27

        },

        {

            "tag_name": "女孩",

            "tag_confidence": 47

        }

    ]

}
```

