## 人脸错误码说明

| **错误码** | **含义**                   |
| ------- | ------------------------ |
| 3       | 错误的请求                    |
| 4       | 签名为空                     |
| 5       | 签名串错误                    |
| 6       | 签名中的appid/bucket与操作目标不匹配 |
| 9       | 签名过期                     |
| 10      | appid不存在                 |
| 11      | secretid不存在              |
| 12      | appid和secretid不匹配        |
| 13      | 重放攻击                     |
| 14      | 签名校验失败                   |
| 15      | 操作太频繁，触发频控               |
| 16      | Bucket不存在                |
| 21      | 无效参数                     |
| 23      | 请求包体过大                   |
| 107     | 鉴权服务不可用                  |
| 108     | 鉴权服务不可用                  |
| 213     | 内部错误                     |
| -1101   | 人脸检测失败                   |
| -1102   | 图片解码失败                   |
| -1103   | 特征处理失败                   |
| -1104   | 提取轮廓错误                   |
| -1105   | 提取性别错误                   |
| -1106   | 提取表情错误                   |
| -1107   | 提取年龄错误                   |
| -1108   | 提取姿态错误                   |
| -1109   | 提取眼镜错误                   |
| -1200   | 特征存储错误                   |
| -1300   | 图片为空                     |
| -1301   | 参数为空                     |
| -1302   | 个体已存在                    |
| -1303   | 个体不存在                    |
| -1304   | 参数过长                     |
| -1305   | 人脸不存在                    |
| -1306   | 组不存在                     |
| -1307   | 组列表不存在                   |
| -1308   | url图片下载失败                |
| -1309   | 人脸个数超过限制                 |
| -1310   | 个体个数超过限制                 |
| -1311   | 组个数超过限制                  |
| -1312   | 对个体添加了几乎相同的人脸            |
| -1400   | 非法的图片格式                  |
| -1403   | 图片下载失败                   |

## 图片鉴黄错误码说明

| **错误码** | **含义**                              |
| ------- | ----------------------------------- |
| 3       | 错误的请求                               |
| 4       | 签名为空                                |
| 5       | 签名串错误                               |
| 6       | appid/bucket/url不匹配                 |
| 7       | 签名编码失败（内部错误）                        |
| 8       | 签名解码失败（内部错误）                        |
| 9       | 签名过期                                |
| 10      | appid不存在                            |
| 11      | secretid不存在                         |
| 12      | appid不匹配                            |
| 13      | 重放攻击                                |
| 14      | 签名失败                                |
| 15      | 操作太频繁，触发频控                          |
| 16      | 内部错误                                |
| 17      | 未知错误                                |
| 200     | 内部打包失败                              |
| 201     | 内部解包失败                              |
| 202     | 内部链接失败                              |
| 203     | 内部处理超时                              |
| -1300   | 图片为空                                |
| -1308   | url图片下载失败                           |
| -1400   | 非法的图片格式                             |
| -1403   | 图片下载失败                              |
| -1404   | 图片无法识别                              |
| -1505   | url格式不对                             |
| -1506   | 图片下载超时                              |
| -1507   | 无法访问url对应的图片服务器                     |
| -5062   | url对应的图片已被标注为不良图片，无法访问（专指存储于腾讯云的图片） |

## OCR识别错误码说明

| **错误码** | **含义**                              |
| ------- | ----------------------------------- |
| 3       | 错误的请求                               |
| 4       | 签名为空                                |
| 5       | 签名串错误                               |
| 6       | appid/bucket/url不匹配                 |
| 7       | 签名编码失败（内部错误）                        |
| 8       | 签名解码失败（内部错误）                        |
| 9       | 签名过期                                |
| 10      | appid不存在                            |
| 11      | secretid不存在                         |
| 12      | appid不匹配                            |
| 13      | 重放攻击                                |
| 14      | 签名失败                                |
| 15      | 操作太频繁，触发频控                          |
| 16      | Bucket不存在                           |
| 17      | url为空                               |
| 18      | 没有图片或url                            |
| 19      | 图片数过多，单次请求最多支持20个url或文件             |
| 20      | 图片过大，单个文件最大支持1MB                    |
| 21      | 无效的参数                               |
| 200     | 内部打包失败                              |
| 201     | 内部解包失败                              |
| 202     | 内部链接失败                              |
| 203     | 内部处理超时                              |
| -1102   | 图片解码失败                              |
| -1300   | 图片为空                                |
| -1301   | 请求的参数为空                             |
| -1308   | url图片下载失败                           |
| -1400   | 非法的图片格式                             |
| -1403   | 图片下载失败                              |
| -1404   | 图片无法识别                              |
| -1505   | url格式不对                             |
| -1506   | 图片下载超时                              |
| -1507   | 无法访问url对应的图片服务器                     |
| -5062   | url对应的图片已被标注为不良图片，无法访问（专指存储于腾讯云的图片） |
| -5103   | OCR识别失败                             |
| -5107   | 提供的图片不是身份证                          |

## 人脸核身错误码说明

| **错误码** | **含义**                   |
| ------- | ------------------------ |
| 3       | 错误的请求                    |
| 4       | 签名为空                     |
| 5       | 签名串错误                    |
| 6       | 签名中的appid/bucket与操作目标不匹配 |
| 9       | 签名过期                     |
| 10      | appid不存在                 |
| 11      | secretid不存在              |
| 12      | appid和secretid不匹配        |
| 13      | 重放攻击                     |
| 14      | 签名校验失败                   |
| 15      | 操作太频繁，触发频控               |
| 16      | Bucket不存在                |
| 21      | 无效参数                     |
| 23      | 请求包体过大                   |
| 107     | 鉴权服务不可用                  |
| 108     | 鉴权服务不可用                  |
| 213     | 内部错误                     |
| -4006   | 视频中自拍照特征提取失败             |
| -4007   | 视频中自拍照之间对比失败             |
| -4009   | Card照片片提取特征失败            |
| -4010   | 自拍照与Card照片相似度计算失败        |
| -4015   | 自拍照人脸检测失败                |
| -4016   | 自拍照解码失败                  |
| -4017   | Card照片人脸检测失败             |
| -4018   | Card照片解码失败               |
| -5001   | 视频无效                     |
| -5002   | 唇语失败                     |
| -5005   | 自拍照解析照片不足                |
| -5007   | 视频没有声音                   |
| -5008   | 声音识别失败                   |
| -5009   | 视频人脸检测失败，没有嘴或者脸          |
| -5010   | 唇动失败                     |
| -5011   | 活体检测失败(活体其他错误都归类到里面)     |
| -5012   | 视频中噪声太大                  |
| -5013   | 视频里的声音太小                 |
| -5014   | 活体检测level参数无效            |
| -5015   | 视频像素太低，最小320*480         |
| -5801   | 请求缺少身份证号码或身份证姓名          |
| -5802   | 服务器内部错误，服务暂时不可用          |
| -5803   | 身份证姓名与身份证号码不一致           |
| -5804   | 身份证号码无效                  |
| -5805   | 用户未输入图像或者url下载失败         |

## 图片处理

| **错误码** | **含义**                 |
| ------- | ---------------------- |
| -5999   | 参数错误                   |
| -5998   | 签名格式错误                 |
| -5997   | 后端网络错误                 |
| -5996   | HTTP请求方法错误             |
| -5995   | 文件大小错误                 |
| -5994   | url参数解析不匹配             |
| -5993   | multipart/formdata参数错误 |
| -5992   | 请求参数错误                 |
| -5991   | 分片过大                   |
| -5990   | 找不到filecontent         |
| -5989   | 上传失败                   |
| -5988   | cgi初始化错误               |
| -5987   | wup编码失败                |
| -5986   | wup解码失败                |
| -5985   | 获取路由失败                 |
| -5984   | sha1不匹配                |
| -5983   | 错误的session             |
| -5982   | 建立连接错误                 |
| -5981   | 建立连接错误                 |

## 图片下载错误码说明

图片下载失败时，返回包headers中的X-ErrNo字段错误码说明。

| **错误码** | **含义**                                   |
| ------- | ---------------------------------------- |
| -6101   | 图片不存在、图片没有上传或者图片已经删除                     |
| -5062   | 图片涉嫌违禁                                   |
| -902    | 镜像存储功能把请求转发到开发商源站，但没有收到响应，超时了            |
| -100    | 未知错误，某些场景或者逻辑未定义                         |
| -101    | 存储文件失败                                   |
| -103    | 无效的请求；请求报文无法识别                           |
| -104    | 无效的appid。Url中包含的appid无效,或者域名没有和appid绑定   |
| -105    | 无效的样式名。 Url中指定的样式名或者别名没有配置               |
| -106    | 无效的URL。 Url格式不符合格式要求                     |
| -107    | 无效的Host头域                                |
| -108    | 无效的Referer                               |
| -109    | 无效的样式名ID。没有找到该样式名对应的图片。可能是上传该图片后，新增的样式名， 因此图片上传时不能生成该样式名对应的数据 |
| -110    | 该图片在黑名单中                                 |
| -111    | http服务器内部错误                              |
| -120    | 回源到源站获取数据时，源站返回的数据有异常，无法正常获取到图片数据        |
| -121    | http服务器内部错误                              |
| -122    | 图片数据没有修改，客户端可以使用缓存数据                     |
| -123    | 图片数据没有修改，客户端可以使用缓存数据                     |
| -124    | 下载偏移错误。 Http请求的Range 断点续传偏移量可能设置错误       |
| -129    | 无法预料的错误                                  |
| -130    | http服务器内部错误                              |
| -140    | http服务器内部错误                              |

## 图片插件错误码说明

| **错误码** | **含义**             |
| ------- | ------------------ |
| -2000   | 服务过载               |
| -1900   | 框架handle process错误 |
| -1899   | 存储文件失败             |
| -1898   | 校验md5失败            |
| -1897   | 秒传失败               |
| -1896   | 编码失败               |
| -1895   | 解码失败               |
| -1894   | 业务ID错误             |
| -1893   | 图片数据异常，压缩库无法处理     |
| -1892   | 上传失败，服务器错误         |
| -1891   | 解码biz_req失败        |
| -1890   | 编码biz_req失败        |
| -1889   | 存储文件超时             |
| -1888   | 压缩超时               |
| -1887   | 校验sha1失败           |
| -1886   | 图片fileid已经存在       |

## 文件缓存错误码说明

| **错误码** | **含义**             |
| ------- | ------------------ |
| -300    | 服务过载               |
| -299    | 命令字未知              |
| -298    | 解包失败               |
| -297    | 框架handle process错误 |
| -296    | 打包失败               |
| -295    | 文件数据异常             |
| -294    | 文件数据异常             |
| -293    | 通知插件失败             |
| -292    | 文件缓存服务器错误          |
| -291    | 编码session失败        |
| -290    | 无效的session         |
| -289    | 插件拒绝上传             |
| -288    | process打包失败        |
| -287    | process解包失败        |
| -286    | 解码session失败        |
| -285    | 文件过大               |
| -284    | 分片大小不一致            |
| -283    | 分片过小               |

## cmd错误码说明

| **错误码** | **含义**                    |
| ------- | ------------------------- |
| -199    | 文件移动失败                    |
| -198    | 重定向错误                     |
| -197    | 查无此文件                     |
| -196    | 网络请求失败                    |
| -195    | 网络请求失败                    |
| -194    | 后端打包失败                    |
| -193    | 返回包打包失败                   |
| -192    | 请求包解析失败                   |
| -191    | url参数解析不匹配                |
| -190    | 文件删除失败                    |
| -189    | 输入参数错误：download_url empty |
| -187    | 从url中解析参数失败               |
| -186    | 暂不支持视频文件复制                |
| -185    | 业务预处理失败                   |
| -184    | 业务后处理失败                   |
| -183    | 获取路由失败                    |
| -182    | 参数检验失败                    |

## proxy错误码说明

| **错误码** | **含义**                    |
| ------- | ------------------------- |
| -99     | proxy读取配置失败               |
| -98     | 调用签名服务失败                  |
| -97     | 非法签名                      |
| -96     | 签名过期                      |
| -95     | 消息缺少session信息             |
| -94     | 携带错误session信息             |
| -89     | proxy转发cmd服务失败            |
| -88     | 编码cmd服务消息失败               |
| -87     | 解析cmd服务消息失败               |
| -86     | proxy转发process服务失败        |
| -85     | 解析process服务应答失败           |
| -84     | 获取process L5失败            |
| -83     | 签名服务解包失败                  |
| -82     | 不存在此appid                 |
| -81     | 签名为空                      |
| -80     | 非法的业务ID                   |
| -79     | secret id不存在              |
| -78     | SDK协议不匹配,请升级              |
| -77     | 单次性签名已不可用                 |
| -76     | 单次签名没有url                 |
| -75     | 不支持此操作                    |
| -74     | 多次签名-过期时间为0               |
| -73     | 单次签名-过期时间不为0              |
| -72     | 签名失败                      |
| -71     | 操作太频繁,请稍后再试               |
| -70     | appid/userid 与签名不匹配       |
| -69     | 输入参数错误:download_url empty |
| -68     | ip直通车打包失败                 |
| -67     | ip直通车解包失败                 |
| -65     | 断点续传不支持携带数据包              |
| -64     | 该业务已经被屏蔽                  |