人脸识别（Facial Recognition）是一种基于深度学习技术进行面部分析的服务。包括人脸检测与分析、五官定位、人脸比对与验证、人脸检索、活体检测等服务。可应用在美妆美颜、面部动效合成、安防监控追逃、金融领域身份认证等多种场景下。
## 人脸识别优势
**高可用性**</br>立足于腾讯社交数据大平台拥有海量的数据分析和人脸、图片训练集，贴近实际业务，覆盖多样场景，成功标注的千万人脸数据。</br>**高准确性**</br>独创 Uface 深度人脸模型，LFW 评测以 99.65%目前世界领先。实际互联网金融场景测试，自拍-身份证缩略图对比 0.01%错误率，通过率 95%。多个国际公开竞赛中刷新纪录，人脸识别、人脸检索等识别准确率业界领先。</br>**高适用性**</br>可使用在门禁系统、摄像监视系统等安防场景下，也可以使用在学生考勤系统中，通过人脸识别进行出席点名记录。在自动美妆美图，人脸属性识别等娱乐应用中也得到了广泛的应用。目前已成功应用于微众银行、天天P图等服务中，经过海量用户和复杂场景的验证，服务稳定可靠。
## 技术支持
- 基于高维 LBP、PCA、LDA 联合贝叶斯、度量学习、迁移学习、深度神经网络等全面的算法，并根据每种场景，训练优化模型，达到高性能低时延。
- 90 点五官定位，平均定位像素偏差 < 1.5，业界领先。平均耗时 < 50ms，平均模型数据 < 2MB。
- 基于语音+唇动+唇语+语音视频同步的活体检测方案，百万级别随机唇语模式，可抵挡照片、视频、静态3D模型的攻击，且不受方言甚至语种的影响。高于眨眼、摇头的方案。用户几乎无法破解。
-  FAR：False Accept Rate，错误接受率，指将身份不同的两张照片，判别为相同身份，越低越好。
FRR：False Reject Rate，错误拒绝率，指将身份相同的两张照片，判别为不同身份，越低越好。
这两个指标有明确的物理意义，FAR 决定了系统的安全性，FRR 决定了系统的易用程度，在实际中，FAR 对应的风险远远高于 FRR，因此，生物识别系统中，会将 FAR 设置为一个非常低的范围，如万分之一甚至百万分之一，在 FAR 固定的条件下，FRR 低于 5%，这样的系统才有实用价值。
- 腾讯的人脸识别算法在实际互联网金融场景测试，自拍-身份证缩略图对比达到0.01 %错误率，通过率 95%。
- 速度指标
• 支持最小人脸尺寸 64x64。
• 人脸特征尺寸 1-2 KB。
• 1：1 人脸对比 500 ms。

## 功能介绍
### a. 人脸检测与分析
人脸检测与分析技术，是人脸识别的第一步。对任意一副给定的图像，采用一定的策略对其进行搜索以确定其中是否含有人脸。对其进行识别以确定其中是否含有人脸，如果是则返回人脸的位置、大小，性别，姿态等属性。2014 年在国际权威数据库 FDDB 评测，检测准确率 99%，召回率 99.5%。人脸检测技术持续保持业界领先。

![人脸检测](https://mc.qcloudimg.com/static/img/f9e13a389d231ff6a5562040c5360e56/image.png)

### b. 五官定位

五官识别技术，精确定位面部的关键区域位置，包括眉毛、眼睛、鼻子、嘴巴，脸部轮廓等。五官定位具有很高挑战性，需要适应不同表情、性别、年龄、姿态、光照条件，如果没有五官定位技术作为支撑，很多创意应用就成为无本之木。人脸属性识别需要精确的双眼位置，人脸美化、人脸变形、人脸漫画、人脸换脸，更需要极其精确的五官位置信息。优图对自拍照片做到了 90 点人脸五官定位。定位偏差 1.5 像素，接近人工水平。

![五官定位](https://mc.qcloudimg.com/static/img/6d8a92a45ab76672b0d2ecd9fa3f8c8d/image.png)

### c. 人脸比对与验证

根据面部特征，计算两张人脸的相似度，自动进行身份鉴别，即1：1身份验证。通过传统方法和深度学习技术结合，以空间面孔墙和微众银行远程核身为基础，LFW 测评准确度高达 99.80%，2017 年刷新纪录。

![人脸比对与验证](https://mc.qcloudimg.com/static/img/53c6b5fef747c1894f145dff756d5d55/image.png)

### d. 人脸检索

将一张照片与数据库中N个人脸进行对比，给出是否为其中某一个人，或给出相似度的排序结果。1：N用于用户不需要声明身份的场景。根据人脸数据的采集方式，光线条件，配合与非配合，各种人脸识别技术的成熟度差异很大。

![人脸检索](https://mc.qcloudimg.com/static/img/153c71182d36756d1fd0d376e2a97cf6/image.png)

### e. 活体检测

在人脸识别系统中，为了防止不法分子窃取利用他人的照片或者视频进行欺诈，需要使用活体检测技术来阻挡照片、视频、人头模型等各种不同类型的攻击。 万象优图为不同场景提供成熟而灵活的解决方案，有针对性地研发了多种类型的活体检测技术，可以有效提高验证的安全性同时保证真人的通过率，极大地降低人工成本。 目前优图团队的活体检测技术分为基于交互式的活体检测技术和基于无交互的活体检测技术。

![人脸检索](https://mc.qcloudimg.com/static/img/e727e32465fcd08e55809429d510fe02/image.png)
