## 什么是万象优图？

万象优图（Cloud Image）是腾讯云为客户提供的专业一体化的图片解决方案，涵盖图片上传、下载、存储、处理、识别等功能，将 QQ 空间相册积累的十年图片服务运作经验开放给开发者。目前有图片识别（包括智能鉴黄、图片标签）、OCR 识别、人脸识别、人脸核身四大板块。万象优图能够提供高效准确的图像识别及处理服务，减少人力投入，真正地实现人工智能。
## 产品功能
### 1. 图片基础处理
万象优图的图片上传和存储服务是基于对象存储服务（COS），您可通过 COS 的上传和处理接口去管理文件。同时，万象优图也提供多种图像处理功能，包含智能裁剪、无损压缩、水印、格式转换等。
### 2. 图片识别

**智能鉴黄**</br>您是否在担心应用中出现淫秽色情内容？</br>万象优图自主研发的基于深度学习和人工智能的图片鉴黄技术，可以高效地识别出图像中的色情内容，准确率高达 99.95%，有效规避您的业务涉黄风险，为您解放审核人力，节省业务支出。</br>**图片标签**</br>您是否想识别图片中的内容，实现智能分类？</br>万象优图基于团队自主研发的深度识别引擎，可以准确快速地识别图片内容信息。标签范围涵盖上百种热词，囊括了社交生活、人物、风景、建筑、常见生活物品等大类，全面支持了不同维度层次的图片语义信息提取。平均处理时长仅需数百毫秒，准确率高达 80%。
### 3. OCR 识别
您是否担心过长的证件号码会导致输入错误？</br>万象优图提供多种身份证、名片、营业执照、运单、驾驶证等多种卡证票据的识别，将图片上的文字内容智能识别成为可编辑的文本。可以有效代替人工录入，降低用户输入错误。

### 4. 人脸识别

**人脸识别**</br>万象优图提供人脸识别服务。例如，计算两张人脸的相似度，从特定的数据库中找出与给定人脸匹配的人脸等，准确度高达 99.65%。这项服务可以使用在门禁系统、考勤系统、摄像监控系统中，也可以应用在照片分类等场景中。</br>**活体检测**</br>在金融等安全性要求高的使用场景下，您可能需要检测当前用户是否为真人。我们为您提供活体检测功能，有效分辨照片、静态#D模型、视频等仿冒欺诈行为。独创基于随机验证码的唇语活体检测，安全性远远高于眨眼、摇头、去路等方案，用户几乎无法破解，也不受方言和语种的影响。
### 5. 人脸核身

万象优图 FaceIn 人脸核身能够通过用户的一段自拍视频（或一张自拍照）与另外一张照片（可为公民身份信息库里的高清证件照或用户事先留存的自拍照）之间的 1:1 人脸验证和活体验证来确认用户身份，可确认当前用户是否为本人和真人。主要包括了 身份证 OCR、人脸比对、活体检测 等技术模块。
### 6. 深度识别引擎定制
您是否只想识别某一垂直领域的图片，但万象优图提供的识别功能无法满足您的需求？</br>我们有世界一流水准的图片分类深度识别引擎，您只需提交 2000 张图片，经过两周时间的智能学习，即可实现您的个性化业务场景的图片分类服务。轻松应对美食分类、花卉分类、玩具分类等领域内垂直分类场景，您无需再四处寻找各种专业方案，万象优图助您高效完成。

## 应用场景
所有 APP 和网站涉及到图片的地方均可使用，比如：</br>**社交**（陌陌、闺蜜圈等）</br>对于有大量用户图片上传的社交类应用，万象优图的图片鉴黄服务可以为您甄别图片内容中的色情信息，有效减少人力成本并降低业务涉黄风险，也能为您提供精准的人脸识别服务，您也可以通过便捷的裁剪、压缩、水印等功能适配各个业务场景。</br>**电商**（唯品会、蜜芽宝贝等）</br>对于电商类应用，万象优图的图片内容识别可以为您自动化审核商户上传的图片，确定图片中的内容是否违反行业规范。</br>**游戏**（王者荣耀、欢乐斗地主）</br>对于游戏类应用，用户上传的自定义头像场景下，万象优图可以实时识别头象内容确定是否合规，也可以对用户上传的头像进行基本的裁剪压缩等处理。</br>**金融** (微众银行、财付通)</br>对于金融类应用，您可以通过万象优图的 OCR 功能，精确检测证件中的重要信息，提升身份认证审核的效率，也可以使用人脸识别、活体检测等功能对用户进行实名制认证。</br>**物流**（顺丰速运、中通快递等）</br>物流在电子商务的快速发展中起着至关重要的作用，传统的运单内容都靠人工肉眼识别，成本高并且效率低。使用万象优图的智能运单识别服务，能够快速准确识别运单上的寄件人和收件人信息，大大提高了快递录入和中转效率。</br>利用图片完善的解决方案，开发者既能快速的对外提供图片服务，也能基于云服务的弹性调度能力快速调整资源适应业务突然变化。
