万象优图的存储功能是基于对象存储服务（COS）的。存储桶即 Bucket ，是在腾讯云 COS 上存储图片的前提，用户可以通过腾讯云控制台、API、SDK 等多种方式创建和管理存储桶，一个存储桶中可以存储多个对象。
## 创建存储桶
登录腾讯云控制台后，您可以通过万象优图控制台创建存储桶，创建完成后可对该存储桶进行自定义配置。
1. 登录 [万象优图控制台](https://console.cloud.tencent.com/ci/index)，请单击左侧导航【 Bucket 管理】，进入 Bucket 管理页面。
![创建BUCKET](//mc.qcloudimg.com/static/img/ee31ad88e824f1b7661cdc26e8e85ad1/image.png)
2. 单击【+ 创建 Bucket】，弹出创建 Bucket 对话框。
3. 填写存储桶名称（如 test1），选定存储桶所属地区，单击【确定】即可快速创建一个存储桶。关于相关信息的选择请参考 [相关信息说明](#1) 。
![创建存储桶](//mc.qcloudimg.com/static/img/207c3c3e17e7aae69086a43cf5314dc4/image.png)
## 相关信息说明
**新增方式**
支持两种方式：
a. 新建：新创建一个存储桶。由于万象优图的存储功能是基于对象存储服务（COS）的，新创建的存储桶也可以在 [对象存储控制台](https://console.cloud.tencent.com/cos4/index)里查询到。
b. 选择已有 COS 的存储桶。通过此种方式，本质上是为一个 COS 上的存储桶开通图片处理服务。
>  **注意：**
>   存储桶数量上限是 200 个（不区分地区）。但是存储桶下目录、文件数量没有限制。

**所属项目**
存储桶创建于项目下，一个存储桶只能属于一个项目，选择后不可更改。

**名称**
a. 存储桶名称支持小写字母和数字的组合，不支持特殊符号及下划线，且不能超过 40 字节。
b. 同一个 APPID 的所有项目下存储桶名称是唯一的，不能重名。

**所属地区及访问域名**
存储服务支持多地区，目前开放了华南、华北、华东地区，不同地区的默认域名不同。创建存储桶时可选择存储桶所属地区，一旦设置不可更改。为提高访问速度，建议选择离您的用户近的可用地区。

| 地区   | 区域表示  | 默认域名                                    | 状态   |
| ---- | ----- | --------------------------------------- | ---- |
| 华南   | picgz | < bucketname >-[APPID].picgz.myqcloud.com | 已上线  |
| 华北   | pictj | < bucketname >-[APPID].pictj.myqcloud.com | 已上线  |
| 华东   | picsh | < bucketname >-[APPID].picsh.myqcloud.com | 已上线  |
| 新加坡  | -     | -                               | 敬请期待 |

内网跨区域访问： 不同区域的不同腾讯云产品之间无法直接进行访问。若需要实现内网跨区域的访问， 例如，所在地区为广州的 CVM 需要使用新加坡的存储服务上的数据，则需要使用 VPC 部署专属网络通道，实现高速访问体验。点击查看 [VPC 产品介绍](https://cloud.tencent.com/product/vpc.html)。

**访问权限**
存储桶默认提供两种访问权限：公有读私有写和私有读写。
a. 公有读私有写：任何人（包括匿名访问者）都对该存储桶中的对象有读权限，但只有存储桶创建者及有相应权限的账号才对该存储桶中的对象有写权限。
b. 私有读写：只有该存储桶的创建者及有相应权限的账号才对该存储桶中的对象有读写权限，其他任何人对该存储桶中的对象都没有读写权限。
c. 如果后续需要修改访问权限，可进入 COS 控制台空间属性修改。

**CDN 加速**
CDN 加速默认关闭，您可以根据自身业务需求选择开启或关闭。开启 CDN 加速后，用户可通过 800+ 节点的 CDN 中转文件实现加速访问。

[上一步：注册与登录](/doc/product/460/10511)
[下一步：上传图片](/doc/product/460/10662)
