## 1. 图片鉴黄

图片鉴黄是付费服务，查看[收费详情](https://cloud.tencent.com/doc/product/460/6970#2.2-.E5.9B.BE.E7.89.87.E9.89.B4.E9.BB.84)。

开发者可以通过两种方式使用图片鉴黄:

1. 在控制台的图片识别处开通服务，开通后该Bucket的图片会在上传时进行鉴黄处理。

2. 直接调用接口使用图片鉴黄服务，查看[接口文档](/doc/product/460/6900).

   >  注意事项：暂不支持私有读的Bucket开通鉴黄服务，您可以直接调用接口进行图片鉴黄

打开需要开通鉴黄服务的图片Bucket，进入"图片识别"页面，可以开启图片鉴黄。

![图片鉴黄](https://mc.qcloudimg.com/static/img/ef54b3660bf9a4b91eda21fb1bcfa01c/image.png)

**回调设置**

1. 回调阈值为一个分值区间; 

2. 设置后，万象优图将会把图片分值在阈值内的图片返回给您;

3. 对于腾讯云封禁的图片，如果勾选了回调，此类图片也会返回给您，但是无法进行下载; 

4. 回调URL需以http开头且默认返回200正确码方可以进行使用，请在保存设置前进行检查;

5. 回调URL预计30分钟后生效。

6. 回调URL设置生效后，当发现上传的图片分值在阈值内，万象优图会默认回调该URL，向其发送一个标准的HTTP POST通知消息。HTTP包信息如下表：

   ​

| 参数名称          | 类型     | 必选   | 描述                                       |
| ------------- | ------ | ---- | ---------------------------------------- |
| url           | String | 是    | 上传后的资源url，包括域名                           |
| result        | Int    | 是    | 供参考的识别结果，0正常，1黄图，2疑似图片                   |
| forbid_status | Int    | 是    | 封禁状态，0表示正常，1表示图片已被封禁（只有存储在万象优图的图片才会被封禁）  |
| confidence    | Double | 是    | 识别为黄图的置信度，范围0-100；是normal, hot, porn的综合评分 |
| normal        | Double | 是    | 图片为正常图片的评分                               |
| hot           | Double | 是    | 图片为性感图片的评分                               |
| porn          | Double | 是    | 图片为色情图片的评分                               |

   接口样式如下：

   ```
   POST / HTTP/1.1
   Content-Type: application/x-www-form-urlencoded
   confidence=100&forbid_status=1&hot=3.971e-06&normal=1.988e-10&porn=100&result=1&url=http://xx.yy.com/10000/zz/e9e570bfb54ebc708179208983ce8b95/0
   ```

   ## 2. 图片内容标签

   万象优图的图片内容标签功能支持400+的标签识别，支持调用接口的方式，查看[接口文档](/doc/product/460/6899)

   万象优图也可基于用户提交的数据，快速学习，实现贴合用户个性化业务场景的图片分类服务，对于垂直分类场景提供专业方案，如有需要可[提工单](https://console.cloud.tencent.com/workorder/category)给我们。

   ## 3. OCR识别

   **身份证识别**

   根据身份证正反面照片，识别证件姓名、性别、民族、出生日期、地址、身份证号、证件有效期、发证机关等详细的身份证信息。[接口文档](/doc/product/460/6895)

   **名片识别**

   根据名片照片，识别名片中姓名、电话号码等详细信息。[接口文档](/doc/product/460/6894)
