## 基本概念
存储在存储桶中的图片，可使用万象优图的图片处理和识别服务。该图片需通过万象优图的域名进行下载。
用户可以通过以下地址对存储桶内的图片进行访问：
- 系统分配域名
- CDN 加速域名
- 自定义域名

## 系统分配域名
由腾讯云定义，不可更改。当用户使用腾讯云内部业务使用该域名访问图片资源时，请求将通过内网环境发送和接收；当用户从公网使用该域名进行访问时，访问将从公网向万象优图请求文件。在创建存储桶后，腾讯云会自动生成一条系统分配域名，格式为：
```
<bucketname>-[APPID].pic[area].myqcloud.com
例如：test-1250000000.picgz.myqcloud.com
```
> **注意：**
> 此域名不可更改。

获取每个存储桶中的资源对应 URL，即在存储桶的域名后加上相对路径即可，如：
```
http://testbucket-1250000000.picgz.myqcloud.com/test.txt
```
>** 注意：**
>若资源的权限为私有，则需要在上述 URL 后加上签名后缀。

### 查看系统分配域名
登录 [万象优图控制台](https://console.cloud.tencent.com/ci) ，单击【 Bucket 管理】进入管理页面，选择【域名管理】页签，即可看到系统分配域名。
![域名管理](//mc.qcloudimg.com/static/img/ef6c7b9e2b7f896f738756c6f05f9685/image.png)

**系统分配域名- 内网跨区域访问：** 系统分配域名可以用于在同区域的不同腾讯云产品之间进行访问。但是，若需要实现内网跨区域的访问， 例如，所在区域为广州的 CVM 需要使用新加坡的万象优图上的数据，则需要使用 VPC 部署专属网络通道，实现高速访问体验。 [点击查看 VPC 相关信息](https://cloud.tencent.com/product/vpc.html)


## CDN 加速域名
CDN 加速域名由腾讯云初始化，可以更改（需要 CNAME），可获得更高的带宽和更低的等待时延。在创建存储桶后，腾讯云会默认生成一条 CDN 加速域名，格式为：
```
<bucketname>-[APPID].image.myqcloud.com

```
用户可以在创建存储桶时选择开启 CDN 加速。也可以在万象优图控制台的开启 CDN 加速，则外网可以直接访问 CDN 加速域名，例如：
```
http:// testbucket-1250000000.image.myqcloud.com/testdir/test.jpg
```
同时CDN控制台会新增一条域名，这条域名也就是CDN加速域名。

> **注意：**
> 同一个 APPID 下最多可以创建 100 条 CDN 加速域名。

### 配置 CDN 加速域名
1. 登录 [万象优图控制台](https://console.cloud.tencent.com/ci) ，进入左侧菜单栏【 Bucket 管理】，点击需要配置域名的存储桶（如 imagetest1），进入存储桶。
![CDN1](//mc.qcloudimg.com/static/img/fb43c549d02662497d4e7fb3358e81cf/image.png)
2. 单击【域名管理】，进入域名管理页面，单击 CDN 加速的【编辑】按钮，进入可配置状态。
![CDN2](//mc.qcloudimg.com/static/img/1d257a46c29d2aa8643ded252d72414f/image.png)
3. 修改当前状态，单击【保存】即可。
![CDN3](//mc.qcloudimg.com/static/img/65ee8ab794886a7787e02700deb2a877/image.png)

## 自定义域名
根据用户的需要，可能不希望类似 “qcloud.com” 等域名显示在网站或服务上。例如，如果在腾讯云上托管网站，用户可能会首选`http://myblog.net/`， 而不是`http://myblog-1250000000.image.myqcloud.com`。用户可以通过自定义域名的方式实现上述需求，其中需要 CDN 控制台创建 CNAME 记录将 `http://myblog.net/`映射到 `http://myblog-1250000000.image.myqcloud.com`。

您可以通过添加自定义域名直接指向存储桶，绑定后可通过自定义域名直接访问存储桶中的内容。添加自定义域名以后，您还可以选择开启 CDN 加速来快速访问，为避免业务中涉及的安全问题，建议您使用自定义域名方式访问万象优图的图像文件；
- 自定义域名后，为保证域名正常访问万象优图，需先修改 DNS 记录 CNAME 到指定地址，才能生效。
- 您绑定的域名需在工信部备案，否则自定义域名将无法访问。

### 配置自定义域名
#### 绑定说明
1. 进入【域名管理】页面，选择【自定义域名】，点击【添加域名】，添加用户已有的域名。
![示例1](https://mc.qcloudimg.com/static/img/8cce7bac608aa4d89a328344078a23b5/image.png)
2. 复制 CNAME 地址
![示例2](https://mc.qcloudimg.com/static/img/86d0429283502cc3f13593ea77a2330f/image.png)
3. 进入云解析管理控制台，点击已绑定的自定义域名。
![示例3](//mccdn.qcloud.com/static/img/706dbd1854f7ac85768a8dffc58e130c/image.png)
> **注意：**
> 请到相应的域名解析商处进行配置，此处以腾讯云解析为例。
4. 单击【添加】，添加一条  CNAME 记录。
![示例4](//mc.qcloudimg.com/static/img/6dc03d2698d7c8a2431865a5cc77f4a5/image.png)
> **注意：**
> 记录值是之前复制的 CNAME 地址，添加后，大约需 15 分钟左右生效，请耐心等待

#### 结果验证
自定义域名绑定成功后，便可以通过自定义域名地址下载存储桶中的文件。假如，您的 testnew 存储桶中有一个 index.htm 文件，绑定的自定义域名为 www.srcostest.com.
**绑定前：**
您可以通过系统分配域名外网访问地址加文件路径访问：testnew-1250000000.image.myqcloud.com/index.htm.
![结果验证](//mc.qcloudimg.com/static/img/9f9abfe04c8c6d43fa677c82eb8cfb8d/image.png)
**绑定后：**
![结果验证](//mc.qcloudimg.com/static/img/ddb68254d81f45fa27d4cef7d533c1c0/image.png)
您可以通过自定义域名地址加文件路径访问：www.srcostest.com/index.htm.

>** 注意：**
>开启静态网站功能，可通过自定义域名直接打开浏览文件，关于如何开启静态网站功能，请参考 [静态网站托管](/doc/product/430/5896) 。

## 防盗链设置

为了防止不良网站盗用开发者的图片链接，盗取图片流量，给开发者带来经济损失，腾讯云万象优图推出防盗链功能，通过 HTTP 协议支持的 Referer 机制（参见 [HTTP Referer](https://en.wikipedia.org/wiki/HTTP_referer) ） 来进行相应的来源识别和管理。
登录 [万象优图控制台](https://console.cloud.tencent.com/ci) ，进入左侧菜单栏【 Bucket 管理】，点击需要配置域名的存储桶（如 imagetest1 ），单击【域名管理】可进行防盗链设置。

> **注意：**
a. 您可以设置网站为黑名单或白名单，Referer 名单支持多个域名。回车换行，一行输入一个，支持通配符。
b. 开启防盗链设置后，可根据策略限定服务来源。
