## 1. 基本概念

存储在云对象存储服务（COS）的图片，可以使用万象优图的图片处理和识别服务，需要通过万象优图的域名进行下载。

用户可以通过以下地址对 Bucket 内的图片进行访问：

- 系统分配域名


- CDN 加速域名


- 自定义域名

万象优图系统分配域名由腾讯云定义，不可更改。当用户使用腾讯云内部业务使用该域名访问图片资源，请求将通过内网环境发送和接收；当用户是从公网使用该域名访问时，访问将从公网向万象优图 请求文件。CDN 加速域名由腾讯云初始化，可以更改（需要CNAME），访问经由 500+ 的 CDN 加速节点；自定义域名由用户自行进行别名映射，适合需要屏蔽腾讯云地址标识（qcloud）的场景。


## 2. 系统分配域名

其中万象优图 系统分配域名由腾讯云定义，不可更改，可以用于腾讯云内部业务请求也适用于公网直接访问。在创建 Bucket 后，腾讯云会自动生成一条系统分配域名，格式为：

`[bucketname]-[appid].pic[area].myqcloud.com`
`例如：test-1250000000.picgz.myqcloud.com`

此域名不可更改。

获取每个Bucket 中的资源对应 URL，即在 Bucket 的域名后加上相对路径即可，如：

`http://testbucket-1250000000.picgz.myqcloud.com/test.txt`

若资源的权限为私有，则需要在上述 URL 后加上签名后缀

进入万象优图管理控制台，点击 Bucket 名称进入管理页面，选择【域名管理】页签，即可以看到系统分配域名

![系统分配域名](https://mc.qcloudimg.com/static/img/f44f67ba9f404b38be578ccc76064a80/image.png)

**系统分配域名-内网跨区域访问： 系统分配域名可以用于在同区域的不同腾讯云产品之间进行访问。但是，若需要实现内网跨区域的访问， 例如，所在区域为广州的 CVM 需要使用新加坡的万象优图上的数据，则需要使用 VPC 部署专属网络通道，实现高速访问体验。 [点击查看 VPC 相关信息](https://cloud.tencent.com/product/vpc.html)**


## 3. CDN 加速域名

CDN 加速域名由腾讯云初始化，可以更改（需要 CNAME），访问经由 500+ 的 CDN 加速节点，可获得更高的带宽和更低的等待时延。在创建 Bucket 后，腾讯云会默认生成一条 CDN 加速域名，格式为：

`[bucketname]-[appid].image.myqcloud.com`

可以在创建 Bucket 时候选择开启 CDN 加速。也可以在后续，到 万象优图的 控制台的【域名管理】中，开启 CDN 加速，则外网可以直接访问 CDN 加速域名，如：

`http://testbucket-1250000000.image.myqcloud.com/testdir/test.jpg`

同时CDN控制台会新增一条域名，这条域名也就是CDN加速域名.

**注：同一个APPID下最多可以创建100条CDN加速域名。**

用户还可以修改 CDN 加速域名：

进入万象优图管理控制台，选择 Bucket 列表页面，点击选择一个Bucket

进入【**域名管理**】页面，选择**加速域名**，点击**修改**，开启 CDN 加速

![CDN加速域名](https://mc.qcloudimg.com/static/img/8e459cba8ec4e8ea79d044e184e338ef/image.png)

## 4. 自定义域名

根据用户的需要，可能不希望类似 “qcloud.com” 等域名显示在网站或服务上。例如，如果在腾讯云上托管网站，用户可能会首选 `http://myblog.net/`， 而不是 `http://myblog-1250000000.image.myqcloud.com`。

可以通过自定义域名的方式实现上述需求，其中需要 CDN 控制台创建 CNAME 记录将 `http://myblog.net/`映射到 `http://myblog-1250000000.image.myqcloud.com`。

您可以通过添加自定义域名直接指向 Bucket ，绑定后可通过自定义域名直接访问 Bucket 中的内容。添加自定义域名以后，您还可以选择开启 CDN 加速来快速访问，为避免业务中涉及的安全问题，建议您使用自定义域名方式访问万象优图的图像文件；

- 自定义域名后，为保证域名正常访问万象优图，需先修改 DNS 记录 CNAME 到指定地址，才能生效。
- 您绑定的域名需在工信部备案，否则自定义域名将无法访问。

## 5. 示例

### 5.1 绑定说明

进入【**域名管理**】页面，选择**自定义域名**，点击**添加域名**，添加用户已有的域名。

![](https://mc.qcloudimg.com/static/img/8cce7bac608aa4d89a328344078a23b5/image.png)

复制**CNAME地址**

![](https://mc.qcloudimg.com/static/img/86d0429283502cc3f13593ea77a2330f/image.png)

进入云解析管理控制台，点击已绑定的自定义域名【请到相应的域名解析商处进行配置，此处以腾讯云解析为例】

![](//mccdn.qcloud.com/static/img/706dbd1854f7ac85768a8dffc58e130c/image.png)

添加一条CNAME记录

![](//mccdn.qcloud.com/static/img/56678b11886365cff3c9c258076d3424/image.png)

*注：记录值是之前复制的CNAME地址，添加后，大约需15分钟左右生效，请耐心等待*

### 5.2 结果验证

自定义域名绑定成功后，便可以通过自定义域名地址下载Bucket中的文件。假如，您的testnew存储桶中有一个index.htm文件，绑定的自定义域名为 www.srcostest.com

**绑定前**

您可以通过系统分配域名外网访问地址加文件路径访问：testnew-1250000000.image.myqcloud.com/index.htm

![](//mccdn.qcloud.com/static/img/939165a47b8da3c678577a9ff945e80a/image.png)

**绑定后**

您可以通过自定义域名地址加文件路径访问：www.srcostest.com/index.htm

![](//mccdn.qcloud.com/static/img/32e0a9be3c5fc82754014ccc497c4b1d/image.png)

> 注：开启静态网站功能，可通过自定义域名直接打开浏览文件，关于如何开启静态网站功能，请参考 [静态网站托管](/doc/product/430/5896) 。

## 6. 防盗链设置

为了防止不良网站盗用开发者的图片链接，盗取图片流量，给开发者带来经济损失，腾讯云•万象优图支持防盗链功能，通过HTTP协议支持的Referer机制（参见[HTTP Referer](https://en.wikipedia.org/wiki/HTTP_referer)） 来进行相应的来源识别和管理。

您可以通过设置域名防盗链白名单，来决定哪些域名能够访问该空间下的图片；也可以通过设置域名防盗链黑名单，来决定哪些域名不能够访问该空间下的图片。

您可以通过以下方式进行设置：

1. 进入万象优图管理控制台，选择 Bucket 列表页面，点击选择一个Bucket

2. 进入【**域名管理**】页面的防盗链设置，点击**修改**，开启 CDN 加速

   ![防盗链设置](https://mc.qcloudimg.com/static/img/e8f3855eb8915d87b5e180bd03056210/image.png)

   ​

