## 样式分隔符
样式分隔符是分割文件名称和处理样式的符号，包含中划线(-)、下划线()、斜杠(/)和感叹号(!)。
登录 [万象优图控制台](https://console.cloud.tencent.com/ci) ，点击【 Bucket 管理】进入管理页面，选择【样式】页面，即可进入【编辑】。您可选择一种或多种样式分隔符。
![样式分隔符](//mc.qcloudimg.com/static/img/a2e77d8cc02bb25abdd79c0c95139e29/image.png)
### 使用方法
**格式： **http:// 绑定域名 /文件名称 +分隔符 + 处理样式名；
 假设样式分隔符为(!)，同时样式名为 yunstyle ，原图 fileid 为 sample.jpg ，则原图的经过样式 yunstyle 处理后的图片 url 为：
`http://space.image.com/sample.jpg!yunstyle`
> **注意：**
a. 为避免歧义，处理样式名中不可出现当前所启用的间隔标志符。
b. 设置生效时间平均为 30 分钟。
c. 更改分隔符需清除缓存，全网生效至少需要 24 小时。
d. 取消已使用的分隔符，可能导致产品功能异常。

## 样式设置
在存储桶中，开发者可以设置图片的样式，方便管理不同需求的图片。此处设置的样式是图片下载时为实时处理参数组合起的一个别名。
具体操作如下：</br>1. 选择一个存储桶（如 imagetest1 ）,进入【样式】页面。点击【添加样式】。
![样式](//mc.qcloudimg.com/static/img/2c7294a96a42cedfa59d381a2bbbbd56/image.png)</br>2. 进入编辑样式界面，填写样式名称。可以设置样式的缩略方式，渐进效果、输出格式、输出效果、文字或图片水印等。
![样式2](//mc.qcloudimg.com/static/img/7f9ff0b97e32ae0c62fe00a066b7b8ad/image.png)
> **注意**：
> 样式名需要区分大小写，且保存之后不可修改。

### 缩略方式
万象优图支持裁剪+缩放、只裁剪、只缩放三种缩略方式。缩略方式非必选项，开发者可以设置为不缩略。
> 注意：
> 万象优图的缩放处理都是将图片缩小，而不会将图片拉伸，若上传图片的尺寸小于设置的尺寸，则不会对图片进行处理。

#### 裁剪+缩放
裁剪+缩放功能是为了能够在原图较大，目标图较小且比例和原图不一致时使用，会先将图片缩放到缩略尺寸，再按照用户设定的裁剪位置和宽高尺寸进行裁剪。可以通过九宫格的选择，来决定裁剪中心的位置。
**等比缩放：**等比缩放是指按原图的长宽比例根据用户的尺寸设置进行缩略。
**限定宽高缩放：**严格按照用户限定的图片尺寸进行缩略。
![裁剪+绽放](https://mc.qcloudimg.com/static/img/21db4ddf530b4208e0e27cd59542eb60/image.png)
例如原图为 1200X900 ，缩略图为尺寸为 600X600 ，则会先将原图按宽高比（ 600:600 即 1:1 ）做裁剪，裁剪原图到 900X900 后，再进行缩放，缩小到 600X600 的目标尺寸。
#### 只裁剪
只裁剪样式根据您设置的裁剪位置和缩略图尺寸，直接对原图进行裁剪，其中九宫格确定裁剪的中心位置。
![只裁剪](https://mc.qcloudimg.com/static/img/4cbcb00783a18f9af81fb7de51ec3535/image.png)

例如设置裁剪位置为居中，裁剪后的缩略图尺寸为 600X600  ，则沿宽中线左右各取 300，高沿中线各取300，形成最终的 600X600 缩略图进行裁剪。

#### 只缩放
只缩放是将图片按照设置的尺寸进行缩放。
**等比缩放：**等比缩放是指按原图的长宽比例根据用户的尺寸设置进行缩略。
**限定宽高缩放：**严格按照用户限定的图片尺寸进行缩略，忽略原图宽高比例。

![只缩放](https://mc.qcloudimg.com/static/img/f5587dbc9f134685b6eaad8c1e816a4e/image.png)

### 文字水印

文字水印能够按照您设置的文字内容、字体、字号、颜色、透明度等信息，由九宫格确定水印位置，在目标图片上设置水印。
![文字水印](https://mc.qcloudimg.com/static/img/cc49b28240074876f5c297a4d60b53bb/image.png)

### 图片水印

图片水印能够按照您设置的图片，由九宫格确定水印位置，在目标图片上设置水印。
![图片水印](https://mc.qcloudimg.com/static/img/8922a70b10fc2b8580bf8ca297eac44b/image.png)

### 高级设置
万象优图也提供样式的高级设置，可以根据参数进行配置，查看[参数文档](/document/product/460/6925)。
