## 1. 产品介绍
人脸核身，即通过自拍照和身份证照之间的人脸识别来确认用户身份的一种技术手段。为解决金融等高风险行业线下复杂的身份验证流程，腾讯优图在业内率先推出了一整套高准确度、高安全性的人脸核身解决方案——FaceIn人脸核身，成为国内第一家在金融行业全量上线此业务的人脸识别研发团队，独创的活体检测方案能全方位的抵挡各类攻击。目前已在微众银行APP、微证券等产品中落地使用。
## 2. 解决方案
FaceIn人脸核身目前包括静态人脸比对和视频人脸核身的在线服务，满足用户需求。解决方案主要特点有：
a.核身验证技术
静态人脸比对包括：身份证OCR（可选）、人脸识别。
视频人脸核身包括：身份证OCR（可选）、活体检测、人脸识别。
基于优图自研的，世界领先的人脸识别和活体检测技术，百万级人脸训练集，亿级人脸比对实践，优图为用户提供安全可靠的人脸核身服务。
b.人脸比对数据源
用户身份证照片：通过与相关可信机构的深入合作，可实时为国内公民提供在线的身份证照片比对，完全优于其他同类产品的照片数据质量，以实时数据接口形式进行查询比对，确保7X24小时接口开放，安全、实时、合法。
c.人脸质量检测模块
优图在APP端为用户提供了图片/视频的人脸质量检测离线SDK模块，主要包括人脸检测、人脸跟踪、光照检测、姿态检测等，用户在手机前端即可通过此离线SDK选择所需最优的图片或视频，提高核身的通过率。
d.数据安全性
HTTPS接口形式，确保用户使用安全。
e.APP和H5两种产品交互形式
•   基于APP的核身验证方式
基于随机数字跟读的唇语口令引导模式，目前提供4字活体版本，实时交互，满足用户需求。
![App](https://mc.qcloudimg.com/static/img/ce90185ef24051bedd43e1454151423a/image.png)
•   基于H5的核身验证方式
H5页面下的核身验证，目前提供4字活体版本，方便记忆，满足用户需求。
![H5](https://mc.qcloudimg.com/static/img/822349dab8b583e7514987f7d966095a/3.2.png)
## 3. 流程
![流程图](https://mc.qcloudimg.com/static/img/edafa2f0e9bfdfd769a118440159b153/face_check_flow2.png)
## 4. 我们的优势
a) 提供真实、安全、可靠的身份证数据源。
b) 身份证OCR技术帮助获取用户身份，号码关键字识别准确率达到99.9%，姓名识别准确率98%。
c) 人脸识别技术验证用户身份， LFW中达到99.65%的准确率，刷新世界纪录，现累计识别人脸超过1000亿。
d) 活体检测技术抵御照片、视频等各类攻击，独创的唇语验证方案首次实现实用化，错误率0.01%时，通过率超过98%，安全可靠。

## 5. PaaS服务

腾讯云提供标准化的接口，开发者可以灵活按照自己的使用场景进行开发，[查看文档](/document/product/460/8171)

### 5.1 SaaS服务和PaaS服务的区别

| 项目                               | PaaS服务   | SaaS服务   |
| -------------------------------- | -------- | -------- |
| 基础模式（通过用户照片与核身数据源进行比对）           | 支持       | 支持       |
| 简单模式（基础活体检测，如摇头、眨眼等+与核身数据源的人脸比对） | 开发中，暂不支持 | 支持       |
| 高级模式（唇语活体检测+与核身数据源的人脸比对）         | 支持       | 开发中，暂不支持 |
| SDK                              | 支持，不包含UI | 支持，包含UI  |

###  

## 6. SaaS服务

经过微众银行的实践，我们推出标准的人脸核身SaaS服务。将用户身份信息与权威机构提供的金融级别数据源比对，返回相应的用户身份核查结果。服务以SDK的形式输出，合作伙伴可以便捷的集成到自己的应用中。同时，支持多种模式进行验证，适用于各行业远程身份的验证需求。

### 6.1 优势

a. 腾讯优图技术

人脸识别的功能基于深度学习的智能识别技术，立足于腾讯社交数据大平台，拥有海量的数据分析和人脸、图片训练集。识别准确率世界领先

b. 完整核身闭环

微众银行实践的完整的核身闭环方案，已应用于开户、修改密码、绑卡等业务中。百万级核身数据，差错率低于百万分之一

c. 核身风控模型

基于用户环境、业务场景、用户行为的多维核身风控模型，确保核身环境安全可控

### 6.2 身份验证模式

#### a. 说明

![模式](https://mc.qcloudimg.com/static/img/96b3ff47d3b77ac5ab88316485978c6a/SaaS.png)

#### b. 简单模式交互流程

> 1. 人脸识别
> 2. 整个过程将在3~5秒完成

![简单](https://mc.qcloudimg.com/static/img/998f87046b6397616271b160bdd47007/image.png)

#### c. 中级模式交互流程

> 1. 人脸识别
> 2. 活体检测：基于摇头、眨眼、张嘴等动作的活体检测
> 3. 整个过程5-10秒完成

![中级](https://mc.qcloudimg.com/static/img/6134d19adcfc6d369f4c9321e5a37687/image.png)

#### d. 高级模式交互流程（尚在开发中，暂不支持）

> 1. 人脸识别
> 2. 活体检测：唇语+唇动+语音+数字多种检测方式
> 3. 整个过程10-15秒完成

![高级](https://mc.qcloudimg.com/static/img/daac517b984939b6a263443a0633ad35/image.png)

## 

