## 1. 计费方式
万象优图按照实际使用量付费，采用后付费方式，次月3-7日会出本月账单，进行账号扣费。
## 2. 计费冻结机制

本月结算完成后，将以本月账单金额的 120% 对帐户进行下月费用预估冻结。
下月结算时，先解冻上月的冻结费用，再进行本月使用额度的扣费。

## 3. 计费项

月结账单由以下几部分组成：
1. 流量费用
2. 图片识别费用
   **注：**由于万象优图的存储是基于COS的，所以存储部分的费用会在对象存储服务（COS）的账单中给出。

### 3.1 流量费用
流量费用按照阶梯累进计费方式，超出阶梯部分按照下一阶梯单价计费，流量越大，单价越低。

| 流量类型    | 定义                             | 使用量        | 单价       |
| ------- | ------------------------------ | ---------- | -------- |
| 入流量     | 数据上传至万象优图                      | 所有         | 免费       |
| 内网流量    | 腾讯云其他产品**（CDN除外）**与万象优图之间产生的流量 | 所有         | 免费       |
| CDN回源流量 | 通过腾讯云CDN访问万象优图，CDN回源产生的流量      | 0-10GB     | 免费       |
|         |                                | 10GB以上     | 0.15元/GB |
| 外网出流量   | 通过外网直接访问万象优图的域名，产生的IDC流量       | 0-10GB     | 免费       |
|         |                                | 10GB-500GB | 0.64元/GB |
|         |                                | 500GB以上    | 0.6元/GB  |
> 注：通过CDN下发到用户终端产生的流量不在万象优图计费范畴，按CDN计费标准收取，详见[CDN计费](https://cloud.tencent.com/doc/product/228/562)。

### 3.2 图片鉴黄

图片鉴黄按照月使用量采取阶梯到达计费方式，当月总量在哪个阶梯内，则按该阶梯单价计费，鉴图量越大，单价越低。
对于图片鉴黄，存储在腾讯云的图片享受更低的单价。

**图片存储在腾讯云：**

| 月鉴图总量       | 确定部分      | 不确定部分      |
| ----------- | --------- | ---------- |
| 0-300万      | 1.50 元/千张 | 0.38 元/千张张 |
| 300万-1500万  | 1.35 元/千张 | 0.34 元/千张  |
| 1500万-3000万 | 1.30 元/千张 | 0.33 元/千张  |
| 3000万以上     | 1.10 元/千张 | 0.28 元/千张  |

**图片未存储在腾讯云：**

| 月鉴图总量       | 确定部分      | 不确定部分      |
| ----------- | --------- | ---------- |
| 0-300万      | 2.50 元/千张 | 0.63 元/千张张 |
| 300万-1500万  | 2.30 元/千张 | 0.58 元/千张  |
| 1500万-3000万 | 2.10 元/千张 | 0.53 元/千张  |
| 3000万以上     | 1.90 元/千张 | 0.48 元/千张  |

> 备注：
>
> 1. 图片鉴黄为打分制，对于每一张图片均有一个0~100的分值
> 2. “确定部分”指确定是黄图和确定是正常的图片，无需人工干预
> 3. “不确定部分”指疑似色情图片，系统无法区分是否色情，分值在83~91，建议用户通过人工审核的方式确定
> 4. 存储在腾讯云的图片每日有2000张的免费鉴图额度，未用完的额度不累计至下一天，计费会扣除免费的2000张（先扣费用比较高的确定部分）。



### 3.3 图片标签识别

图片标签识别按照月使用量采取阶梯到达计费方式，当月总量在哪个阶梯内，则按该阶梯单价计费，识别量越大，单价越低。

| 月识别总量      | 单价       |
| ---------- | -------- |
| 0-300万     | 0.011元/张 |
| 300万-1500万 | 0.009元/张 |
| 1500万以上    | 0.007元/张 |

### 3.4 OCR识别

图片OCR识别按照月使用量采取阶梯到达计费方式，当月总量在哪个阶梯内，则按该阶梯单价计费，识别量越大，单价越低。

| 月识别总量  | 身份证识别单价 | 名片识别单价  |
| ------ | ------- | ------- |
| 0-1万   | 0.2元/张  | 0.05元/张 |
| 1万-10万 | 0.12元/张 | 0.04元/张 |
| 10万以上  | 0.08元/张 | 0.02元/张 |

### 3.5 人脸识别

人脸识别按照月使用量采取阶梯到达计费方式，当月总量在哪个阶梯内，则按该阶梯单价计费，识别量越大，单价越低。

| 月识别总量      | 人脸检测与分析                                  | 五官定位                                     | 人脸比对                                     | 人脸验证                                     | 人脸检索                                     |
| ---------- | ---------------------------------------- | ---------------------------------------- | ---------------------------------------- | ---------------------------------------- | ---------------------------------------- |
| 计费接口       | [人脸检测与分析](https://cloud.tencent.com/document/product/460/7401) | [五官定位](https://cloud.tencent.com/document/product/460/7400) | [人脸比对](https://cloud.tencent.com/document/product/275/6014#2.12-.E4.BA.BA.E8.84.B8.E5.AF.B9.E6.AF.94) | [个体创建](https://cloud.tencent.com/document/product/275/6014#2.1-.E4.B8.AA.E4.BD.93.E5.88.9B.E5.BB.BA)，[增加人脸](https://cloud.tencent.com/document/product/275/6014#2.3-.E5.A2.9E.E5.8A.A0.E4.BA.BA.E8.84.B8)，[人脸验证](https://cloud.tencent.com/document/product/275/6014#2.11-.E4.BA.BA.E8.84.B8.E9.AA.8C.E8.AF.81) | [个体创建](https://cloud.tencent.com/document/product/275/6014#2.1-.E4.B8.AA.E4.BD.93.E5.88.9B.E5.BB.BA)，[增加人脸](https://cloud.tencent.com/document/product/275/6014#2.3-.E5.A2.9E.E5.8A.A0.E4.BA.BA.E8.84.B8)，[人脸检索](https://cloud.tencent.com/document/product/275/6014#2.11-.E4.BA.BA.E8.84.B8.E6.A3.80.E7.B4.A2) |
| 0-300万     | 0.0005元/张                                | 0.002元/张                                 | 0.0032元/张                                | 0.0032元/张                                | 0.0032元/张                                |
| 300万-1500万 | 0.0004元/张                                | 0.0018元/张                                | 0.003元/张                                 | 0.003元/张                                 | 0.003元/张                                 |
| 1500万以上    | 0.0003元/张                                | 0.0015元/张                                | 0.0027元/张                                | 0.0027元/张                                | 0.0027元/张                                |

### 3.6 人脸核身服务

人脸核身服务按照月使用量采取阶梯到达计费方式，当月总量在哪个阶梯内，则按该阶梯单价计费，识别量越大，单价越低。

| 月识别总量 | 照片+身份证核身                                 | 活体检测+身份证核身                               | 活体检测                                     |
| ----- | ---------------------------------------- | ---------------------------------------- | ---------------------------------------- |
| 计费接口  | [idcardcompare](https://cloud.tencent.com/document/product/460/8171) | [livegetfour](https://cloud.tencent.com/document/product/460/8170)+[idcardlivedetectfour](https://cloud.tencent.com/document/product/460/8169) | [livegetfour](https://cloud.tencent.com/document/product/460/8170)+[livedetectfour](https://cloud.tencent.com/document/product/460/8168) |
| 0-2千  | 1.8元/次                                   | 2元/次                                     | 0.232元/次                                 |
| 2千-5千 | 1.7元/次                                   | 1.87元/次                                  | 0.202元/次                                 |
| 5千-1万 | 1.5元/次                                   | 1.65元/次                                  | 0.182元/次                                 |
| 1万以上  | 联系我们                                     | 联系我们                                     | 联系我们                                     |
