## 解决问题
在信息爆炸互联网时代，人们难以在海量的数据中获取到自身需要的信息，所以人们更希望的是得到针对自己兴趣推荐的个性化结果。一个网站或一款 App 如果不能 **根据用户偏好将个性化信息和服务展示到用户面前且最大程度降低用户获取有用信息的成本**，将无法跟上时代发展大潮，逐步失去他的用户。通过将合适物品展示给适合它的用户，可以给企业带来巨大的收益，例如亚马逊 35% 的营收来自个性化推荐， Netflix 通过推荐系统每年可以节省 10 亿美元。

## 产品定位
云推荐引擎(Cloud Recommendation Engine）依托腾讯在社交、泛娱乐、资讯、视频、游戏等多领域积累的丰富用户画像和深厚机器学习技术，为客户打造基于 8 亿活跃 QQ 用户画像的个性化精准推荐服务，协助互联网企业最大化提升非商业化流量的转化率以及商业化流量变现能力。  

![](https://mc.qcloudimg.com/static/img/37980857551ea34c0ec865826f3d1322/2017-09-28_100104.png)  
推荐引擎在一款产品中所处位置，可以通过抽象后的图简单说明，包括三个部分：前端系统、日志系统、推荐系统。

- 前端系统一般是用户直接交互的 App 或 Web 页面，用户浏览前端系统提供的服务，消费自己需要的物品或内容。
- 日志系统通过在前端系统埋点，采集用户在 App 或者 Web 页面上行为，上报到后台数据存储系统。
- 推荐系统将日志系统采集用户行为与物品属性信息及推荐算法相结合，学习个性化推荐模型，然后在线上根据用户的请求，使用模型实时对推荐候选物品打分排序，将最适合该用户的物品通过终端系统展示给用户。  

## 产品框架
![](https://mc.qcloudimg.com/static/img/76521221bedd60481bb5256965a3857d/2017-10-18_104507.png)
互联网时代，面对过载的信息，人们经常会做出错误的决策或者是干脆不做任何选择，陷入“选择困难症”，云推荐引擎能够有效协助客户解决用户使用产品时面临的“选择困难症”问题。腾讯云推荐引擎包括四个子系统：离线系统、在线系统、近线系统、ABtest 系统。

- **离线系统**，存储客户按照协议上报的用户行为、物料信息两部分数据，离线计算会对用户行为数据（比如：浏览、点击、下载、购买）和物料数据进行理解，将用户理解和物品理解结果，转换为标准化数据，推荐算法（比如：相似度算法、矩阵分解算法、概率算法、树集成算法、深度学习算法）对标准化的数据进行学习，得到个性化推荐模型。

- **在线系统**，云推荐引擎为客户提供实时的 API，根据用户的请求，根据离线系统学习出的模型，实时对候选池中物品打分排序，返回适合改用户的个性化物品列表。

- **ABtest系统**，支持推荐算法的对比观测，辅助优化推荐算法的效果。一个推荐场景可以同时存在多个推荐算法，ABtest 通过多种流量切分方法将同一场景下的用户按照自定义的比例，路由到不同的推荐算法上；同时会根据用户的实时行为计算各个算法的推荐效果，以达到最终的效果对比观测目的。

- **近线系统**，当用户的行为发生变化或者业务更新了待推荐物品的信息时，近线系统通过内部的在线学习和实时特征引擎模块对数据进行实时处理，生成实时模型和实时特征，使得用户的个性化推荐列表也随之改变，已达到快速捕捉用户兴趣变化的目的。