以接入一个应用类APP的应用搜索为例。通过该示例将展示如何完成一个搜索服务，希望能通过该示例让您对应用接入的流程有所了解。

首先，在腾讯云首页导航>云产品>数据处理与分析下找到腾讯云搜，点击红框区域，进入产品详情页面。

![](//mccdn.qcloud.com/img5698c8b919005.png)

以下为产品详情页：

![](//mccdn.qcloud.com/img5698c8ffeadfc.png)

在详情页面，您可以了解云搜的基本信息。

点击“立即体验”按钮，进入腾讯云控制台。资料审核通过的用户即可进入腾讯云搜页面。根据系统的提示开始创建应用。

## 1 创建应用

创建应用的目的是需要开发者告诉我们应用的基本信息、用于搜索的字段是哪些，并设置好每个字段的搜索属性。

### 1.1 基本信息填写

![](//mccdn.qcloud.com/img5698c98359c55.jpg)

### 1.2 定义应用结构

开发者需要在“定义应用结构”页面配置用于搜索服务的数据。这些数据将用于搜索结果的召回、排序、筛选等。用户可以采用内置模版、或者自定义模版。

![](//mccdn.qcloud.com/img5698c9ae6d9d1.jpg)

**文本域字段配置：**

文本域适合于文本类型的数据，是希望被用户搜索到的字段，主要用于搜索结果的召回。

如应用网站的应用名称、应用信息、开发者、版本号属于文本域字段。且应用信息由于介绍文字较多，属于长文本，详见下图：
   
![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yunsousuobangzhuwendang-13.png)	 
	 
**数值域字段配置：**

数值域字段适用于数值类型的数据。如评分、下载量、大小、评论量等。该字段中的字符串值必须可以转化为数字，主要用于搜索的排序。

数值域字段必须包含一个主键和权威字段。主键用来唯一标识一条数据，该字段用于向您返回结果时使用。权威字段是数值域中最能代表一条数据好坏的数值字段。

如应用网站中应用评分、下载量、大小、评论量属于数值域字段。内容ID属于主键、下载量属于权威，最能代表一个应用的重要程度。详见下图：

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yunsousuobangzhuwendang-14.png)


**分类域字段配置：**

用于分类检索的字段，主要满足对搜索结果按照分类筛选的需求。 将不进行分词处理，整体建索引。

如应用中的分类、标签属于分类字段：

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yunsousuobangzhuwendang-15.png)


### 1.3 确认明细

明细展示应用之前所填写的所有信息：应用基本信息、应用结构。以便于用户确认。点击确认后，由于需要为您配置服务，因此需要花费一些时间。



### 1.4 创建成功

创建成功后，如果您是首次使用，建议您选择体验版，可以免费试用一段时间，最多可以拥有5个体验版应用。点击“现在试用”按钮进行试用。

如果您已经试用过，也可以直接购买搜索服务，购买流程详见：“购买指导”。

![](//mccdn.qcloud.com/img5698ca82853f9.png)

点击后，您将进入以下页面，已获得试用权限。

![](//mccdn.qcloud.com/img5698cabc539ba.png)
	


## 2 数据上传

要搜索，先要有数据，您现在需要按照创建应用时设置的字段及属性，提供相应的数据。腾讯云搜现阶段支持API、SDK、页面文件上传三种方式。

通过API、SDK上传数据，请参照“API使用手册”进行。 这里我们体验时，可以通过页面文件上传的方式进行。

接口使用方法详见：[《API使用说明》](//cloud.tencent.com/wiki/API%E4%BD%BF%E7%94%A8%E8%AF%B4%E6%98%8E)

第一步：在应用管理界面，上传数据

![](//mccdn.qcloud.com/img5698cb528b390.png)

您提供的数据格式需要为jason格式，可参考数据模板添加。如果您的配置为：

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yingyongkuaisujieru-1jpg.jpg)

则您可以按照如下提供数据：

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yingyongkuaisujieru-2.jpg)


## 3 搜索

上传数据后，您就可以通过“体验测试”体验搜索服务了。

腾讯云搜还可以通过API/SDK检索接口进行搜索，详见API/SDK文档说明：

接口使用方法详见：[《API使用说明》](//cloud.tencent.com/wiki/API%E4%BD%BF%E7%94%A8%E8%AF%B4%E6%98%8E)

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yunsousuobangzhuwendang-25.png)

至此，您已经享受了基本的搜索服务了，如果您对搜索服务有更高的需求，可以参照高级组件部分进行配置。当然您上面创建应用过程中的配置可以在应用管理中修改。