为满足不同用户的差异化需求，腾讯云搜向用户提供了体验版，专业版，极速版三个版本。

## 1 版本区别
体验版： 体验版主要面向于中小站点和应用，用户数据量少、检索量低，开发人员无需复杂配置，即可通过云搜快速实现高质量的搜索服务。

专业版： 专业版主要面向于中型网站和应用。用户数据量和检索量适中，希望实现更多的个性化功能与配置，打造定制化的搜索服务。

极速版： 极速版主要面向于大型网站和应用。用户数据量和检索量都较多，对大数据量下的搜索速度和纠错有较高要求，并希望共享云搜的搜索经验。

使用不同版本享受到的服务会有不同，具体如下：

<table>
	<tbody>
		<tr>
			<th><strong>分类</strong></th>
			<th><strong>服务</strong></th>
			<th><strong>体验版</strong></th>
      <th><strong>专业版</strong></th>
			<th><strong>极速版</strong></th>
			<th><strong>说明</strong></th>
		</tr>
		<tr>
			<td rowspan="2" style="text-align: center;"><strong>量级限制</strong></td>
			<td style="text-align: center;">每秒搜索请求峰值（QPS）</td>
			<td style="text-align: center;">QPS<=10</td>
			<td style="text-align: center;">10< QPS<=100</td>
			<td style="text-align: center;">10< QPS</td>
			<td style="text-align: center;">每秒的搜索请求数峰值</td>

		</tr>
		<tr>
			<td style="text-align: center;">文档量</td>
			<td style="text-align: center;">文档量<=0.1G</td>
			<td style="text-align: center;">0.2G<=文档量<=100G</td>
			<td style="text-align: center;">1G<=文档量</td>
			<td style="text-align: center;">文档量指用户为应用选择的文档容量，用户存储于腾讯云搜的文档量不能超过设置的值。</td>
		</tr>
				<tr>
			<td rowspan="9" style="text-align: center;"><strong>通用服务</strong></td>
			<td style="text-align: center;">多种分词方式</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">当前支持选择单字分词、正常分词和混合分词三种方式</td>

		</tr>
						<tr>
			<td style="text-align: center;">海量同义词库</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">云搜在做通用搜索和各垂直明星业务搜索过程中，积累的海量的同义词库，如“北大”与“北京大学”等</td>

		</tr>
						<tr>
			<td style="text-align: center;">自动摘要</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">自动摘要是指用户选定一个文本字段，在返回结果的时候会给用户自动提取摘要</td>

		</tr>
						<tr>
			<td style="text-align: center;">按域检索</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">按域检索，主要是帮助用户将每次检索限定在一定字段范围内，如搜索小说时只想命中“小说名”或“作者”时出结果，就可以用到。</td>
				</tr>
						<tr>
			<td style="text-align: center;">通用纠错</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">通用纠错可帮助降低用户的常识性错误带来的搜索问题。如用户输入”植物大战讲师”,可将“讲师”纠正为“僵尸”。会让搜索显得非常聪明。</td>
				</tr>
						<tr>
			<td style="text-align: center;">升降排序</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">指用户可以指定为按照文本相关性排序或者数值大小排序。详见API介绍”用户指定排序”等。</td>
				</tr>
						<tr>
			<td style="text-align: center;">数据实时生效</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">指应用通过实时接口上传数据，上传完成后，无需重建索引，用户可以立即搜索到新上传的数据，非常适合有较高更新需求的产品</td>
				</tr>
										<tr>
			<td style="text-align: center;">分类检索</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">分类检索是指用户可以根据指定的分类字段，来获取相应分类的结果，主要用于视频（电影，电视剧等），小说（言情，武侠等）等业务的分类</td>
				</tr>
														<tr>
			<td style="text-align: center;">groupby</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">groupby是指返回结果的时候将同类的结果聚在一起返回</td>
				</tr>
				<tr>
			<td rowspan="7" style="text-align: center;"><strong>高级服务</strong></td>
			<td style="text-align: center;">位置服务</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">与位置相关的LBS排序，可实现位置由近到远的排序，可与高级排序组合，实现非常灵活的LBS排序方式。</td>
		</tr>
				<tr>
			<td style="text-align: center;">高级排序</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">用户可以首先将数据分成一个个的群体，首先对群体进行先后排序，然后各群体内部还可以指定按照一个特定的值或者表达式计算出的值排序。是一种非常高效的排序方式，适合非常个性化的排序需求。</td>
		</tr>
						<tr>
			<td style="text-align: center;">结果干预系统</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">用户可以通过系统对搜索结果进行干预，已实现运营目的。（暂时还未上线）</td>
		</tr>
						<tr>
			<td style="text-align: center;">智能联想</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">可以根据搜索框用户已输入的文字，结合网站有的内容，给用户最下拉搜索提示，经实践，该种搜索方式可以提高搜索点击率50%以上。</td>
		</tr>
								<tr>
			<td style="text-align: center;">高级分词</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">高级分词还未上线，敬请期待</td>
		</tr>
			<tr>
			<td style="text-align: center;">全内存加速</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">一种极速的检索方案，可以在大数据量、高QPS情况下，高速返回检索结果</td>
		</tr>
					<tr>
			<td style="text-align: center;">高级纠错</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">一种基于网站自身内容搭建的纠错方式，可保证纠错与自己网站强相关，是非常智能的一种纠错方式。如在音乐网站，搜索“武林Q传”，则会显示“武林外传”主题曲的结果。</td>
		</tr>
		
						<tr>
			<td rowspan="6" style="text-align: center;"><strong>增值服务</strong></td>
			<td style="text-align: center;">协助定制搜索方案</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">腾讯云搜支撑了大量的精品业务，并积累了丰富的经验。在用户开发搜索的过程中，云搜技术人员可以协助用户制定搜索排序策略等方面的方案。</td>
		</tr>
								<tr>
			<td style="text-align: center;">搜索行为量化分析</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">搜索是可以运营的，我们会向您提供分析数据，帮助您提高搜索运营效率。</td>
		</tr>
									<tr>
			<td style="text-align: center;">共享搜索转化经验</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">转化是搜索的终极目的，如何做才能提高搜索转化，云搜可以向您共享最佳业务实践的搜索转化经验。</td>
		</tr>	
											<tr>
			<td style="text-align: center;">1对1指导</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">在开发过程中，您可以联系我们的专业技术人员帮助您解决搜索问题，交流云搜使用上的疑问</td>
		</tr>	
		
													<tr>
			<td style="text-align: center;">搜索大牛授课</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">×</td>
			<td style="text-align: center;">√</td>
			<td style="text-align: center;">云搜将不定期通过腾讯课堂或者其他方式向您进行云搜使用方面的授课。</td>
		</tr>	
		
	</tbody>
</table>

如果您的搜索服务无法找到合适的分档，请联系QQ号：yunsou_help@qq.com

## 2 注意事项

1、当您的文档量和QPS峰值超过付费量时，云搜将不会处理对应的数据和请求，请您选择合适的文档量和QPS峰值。

2、“结果干预系统”和“高级分词”功能暂未上线，请以实际上线为准，未上线前默认为不提供对应服务。



