## 1 熟悉业务架构及流程

### 1.1 基本架构

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/youturenlian-1.png)

腾讯云建议你按以下架构来接入人脸识别的服务，以便得到更好的服务支持和产品体验。

主要包括三个部分：

1）优图人脸识别服务:

由腾讯云提供的高准确度的人脸检测、人脸识别和人脸检索技术服务；
2）开发者服务器：

你的业务服务器需提供至少以下3个功能：

a)生成签名: 腾讯云将通过签名来判断请求的合法性。签名是由一套密钥生成，为了应用安全请定期更换密钥。
因为需要定期更换密钥，所以禁止将签名的生成逻辑放在终端APP上进行，否则将产生极大的安全隐患以及产品更新问题

b)使用数据库管理用户信息和业务数据；

c)响应终端的业务请求；

3）用户终端： 

通常在使用人脸识别服务前，应该先向开发者服务器获取签名信息，然后使用签名访问优图人脸识别。SDK已经封装了部份人脸识别的API，可以直接调用。你也可以自行调用人脸识别的RESTFULL API实现你的业务逻辑。

### 1.2 业务流程

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/youturenlian-2.png)

我们建议你按以下的业务处理流程来实现你的人脸识别业务，以便得到更好的服务支持和产品体验：

1.	终端向开发者服务器请求获取签名
2.	开发者服务器计算签名，返回给终端设备
3.	终端设备利用签名向优图人脸识别服务器请求人脸识别服务
4.	优图人脸识别服务器返回识别结果

## 2 准备工作

只需要按以下步骤，即可接入腾讯云优图人脸识别服务：

1.	申请腾讯云帐号
2.	申请密钥
3.	参考DEMO在服务器部署鉴权签名服务
4.	调用Restful API文档或者使用SDK，实现业务逻辑

### 2.1 申请密钥

请在[腾讯云密钥管理](https://console.cloud.tencent.com/capi/project)页面， 为你的项目申请密钥

### 2.2 部署签名服务

请参考[签名鉴权文档](/doc/product/277/签名鉴权)