创建数据集是商业智能分析 BI 的核心模块之一，作为软件的第一级接口与数据源相连接，将原始数据按照客户的需求进行筛选和优化，为后续数据分析操作提供输入。由于当前的数据类型、数据结构、数据范围和数据库类型各种各样且纷繁复杂，不能够直接用于数据分析，必须按照用户需求和商业智能分析 BI 的规范进行过滤，才能成为系统可以识别的数据，才可以直接用于数据分析。因此数据集模块的目的就是提供各种不同的条件，严格筛选数据，输出适合的数据给其他功能模块使用。

创建数据集包括创建数据集和数据集引擎两个主要模块。用户通过创建数据集定义各种数据集条件，为后续的数据分析提供分析模型和输入准则。当大量的原始数据进入到数据集模块以后，数据集引擎就根据设定好的条件对于数据进行排列组合，生成数据集列表，为以后的数据分析提供服务。针对于不同用户对于数据集的需求和自身所能提供的技术的复杂度，数据集模块提供了各种不同级别的数据集。
#### 创建数据集概述
创建数据集是使用商业智能分析 BI 的开始，通过定义各种不同的数据集条件，将原始数据转换成为系统所需的数据类型和数据模式，为后续操作提供各种输入。
创建数据集模块目前支持九种数据数据集，通过定义数据集条件，连接各种不同的数据库类型，提供各种数据过滤服务，产生最终的数据集表单。
数据建模奠定了数据块技术的基础，让您操作异构数据源时使用统一的数据块的数据。
您将使用创建数据集来连接到不同的数据源，创建数据集，并确定语义层。这些数据集和语义层（逻辑模型），您可以直接使用，或者可以进一步在创建数据集中创建复杂的，组合的原子数据块。
创建数据集，可以访问关系数据库和文件。数据库包括数据仓库、数据集市、大型机。文件包括电子表格。
#### 启动创建数据集
单击 【创建数据集】 按钮后，进入到创建数据集的界面。
打开创建数据集，就可以开始创建数据集，来创建数据集源和搭建数据模型，以供制作报告使用。
![](//mc.qcloudimg.com/static/img/b3c35061fccf95b3e8f85260a3eb546c/image.png)
创建数据集界面左边是产品导航栏，数据集界面整体分为四部分：菜单栏、数据集列表、数据集编辑区和元数据区。
![](//mc.qcloudimg.com/static/img/b8db0e0322bca9e8503ede9bd1e98abf/image.png)
## 创建数据集界面 
### 菜单栏
#### 创建数据集
单击此按钮，弹出下拉菜单，用户可创建不同类型的数据集。本产品提供三种类型的数据集：SQL 数据集， Mongo 数据集，组合数据集。
#### 保存
当用户保存新建的数据集时，会弹出另存为对话框，用户可设定保存路径以及数据集的名称。当用户打开已经存在的数据集后，对该数据集进行修改，可单击保存按钮直接保存。
#### 另存为
另存已打开的数据集。
#### 测试连接
测试当前数据集中的数据库是否连接成功。
#### 取消
当某一操作长时间未响应时可点击此按钮取消当前操作。
#### 关闭
单击此按钮，可关闭当前的数据集。倘若用户尚未保存对当前数据集的修改，将会弹出提示对话框。
### 数据集列表
数据集列表分为两部分，一是数据源，二是用户所创建数据集。
![](//mc.qcloudimg.com/static/img/16b3a7732d9cab2d92d66e093ce546d8/image.png)
用户可以创建文件夹、对已有数据集重命名、移除等。有两种实现方式：
1. 选中内容，单击鼠标右键
2. 单击内容上的更多图标，如下图所示
![](//mc.qcloudimg.com/static/img/93ea9f50a1d0a586d1573f7f8a5752bd/image.png)
在数据集列表中支持鼠标的拖拽来更改数据集位置。如下图所示，用户通过鼠标拖拽来把数据集“Mongo查询” 移动到“ 行业案例” 文件夹中。
![](//mc.qcloudimg.com/static/img/f3c06f446380a70f104d5700153fc21b/image.png)
在 bi.properties 中配置属性 manual.sort.repository=true，数据集列表中支持鼠标的拖拽来更改数据集、数据源、文件夹之间的排序。如下图所示，用户通过鼠标拖拽来把文件夹 “InfoProcess4DB” 移动到文件夹 “Embed” 和 “Excel” 之间。
![](//mc.qcloudimg.com/static/img/b8def2dcf34792125c6aec5171a60183/image.png)
#### 搜索数据集
单击数据源搜索图标，进入搜索。
![](//mc.qcloudimg.com/static/img/da72323021c3f58dd3aa85b1d3f73185/image.png)
数据源搜索的用法以 sqlserver 数据库为例。点击搜索图标后，展开数据源，单击选择默认数据库 tpch，单击刷新图标后，如下图所示。
![](//mc.qcloudimg.com/static/img/da0240b16d83978cb4cb088647f354a9/image.png)
输入搜索内容 coffee_chain，展开节点，搜索内容如下图所示。
![](//mc.qcloudimg.com/static/img/54027d796140161d42ae020432078a24/image.png)
选中表结构模式 dbo，单击刷新图标，内容如下图所示。
![](//mc.qcloudimg.com/static/img/18b29cd383d095cc861dff29a52b2ee0/image.png)
单击刷新图标旁的清除图标，返回数据集列表。如果数据源搜索之前对数据集列表进行了搜索则会返回搜索后的列表。
#### 打开数据源
在数据集列表区域，选中数据源文件夹下的数据源，右键或单击更多图标选择打开数据源选项，在“ 添加数据源” 模块打开选中的数据源。
#### 打开数据集
用户在数据集列表区域，右键或单击更多图标选择打开数据集选项来打开选中的数据集。
#### 创建数据集
用户在数据集列表区域，选中数据源文件夹下的数据源，右键或单击更多图标选择创建数据集选项来新建数据集。
#### 重命名
对已存在的数据集、数据源或文件夹进行重命名。用户首先选中需要重命名的数据集或文件夹，然后右键选择重命名选项即可。
#### 新建文件夹
用户在数据集列表区域右键选择新建文件夹选项来创建文件夹。
#### 复制 & 粘贴
对已存在的数据集或文件夹进行复制。重名时，名字后面自动加后缀 “_ 副本”。当用户复制文件夹，在此文件夹下面的数据集也一并被复制。
#### 删除
移除列表中用户不需要的数据集或文件夹。当用户移除文件夹后，在此文件夹中的数据集也将一并被移除。
#### 刷新
刷新当前的数据集列表。
#### 新建报告
选中数据集或数据源下的表、视图，单击新建报告能够在制作报告模块打开新建页面，绑定的资源树上显示绑定的数据集、表或视图。
#### 预览数据集
当鼠标悬停在数据集列表的某一列时，会在该列的右边显示 “预览数据集” 的按钮，如下图所示。
![](//mc.qcloudimg.com/static/img/44febfd51e367bf8d7ec964ceb5dbb10/image.png)
当鼠标移动到 “预览数据集” 按钮时，按钮的底部显示灰色的边框，并显示tooltip：预览数据集，如下图所示。
![](//mc.qcloudimg.com/static/img/42b8079b169259cfef48519f37ff57e9/image.png)
单击 “预览数据集” 按钮后，可预览选中的数据集，预览对话框如下图所示。
![](//mc.qcloudimg.com/static/img/44fa177b17e71adc17dbb2dfa0417018/image.png)
【预览行数】预览数据集时所显示的行数。默认为 1000 行。预览行数可以修改，修改后，单击” 运行”按钮，则可按照用户设置的预览行数进行显示。
【显示总行数】单击”显示总行数”按钮后，会在此按钮的后面显示出所预览数据集的总行数，如下图所示。
![](//mc.qcloudimg.com/static/img/d1ff69bdfb1552343f13f8ef613af122/image.png)
倘若用户设定了弹出参数，则在预览对话框中存在参数项，用户可根据需求来设定参数值。
### 数据集编辑区
不同类型的数据集，数据集编辑区界面各不相同。各类数据集的详细介绍见下文。
### 数据区
数据区包括预览数据和行过滤器两部分，预览数据又分元数据和细节数据。
在预览数据的元数据区可显示用户需要进行统计的所有数据段名称，用户还可自定义数据段等。元数据区如下图所示。
![](//mc.qcloudimg.com/static/img/2dab16e8ddfd72bcf5d6c0904e4ec668/image.png)
#### 同步数据集数据
同步数据集数据，用于将所创建的数据集进行同步。请参考同步数据集数据章节中的介绍。
#### 全量数据
当勾选全量数据时，样本行数处于置灰状态。用户在编辑报告中可以对数据集的全部数据进行编辑，在编辑模式下绑定框的左上角显示“ 全量数据”。
#### 样本行数
用户可设定采集样本数据的行数。假设用户设定为 5000 行，则用户在编辑报告中只能对前 5000 行数据进行编辑，在编辑模式下绑定框的左上角显示
 “数据样本行数 5000”。
#### 名称
在名称列数据段被分为两组，一组是作为维度，一组是作为度量。默认字符、字符串、布尔、字节类型的数据段被划分到维度目录下。其余的类型数据段被划分到度量目录下。
对于用户自定义的数据段：日期型层次、日期型列、数据范围、分析算法、自循环列默认存放在维度目录下，其他类型的数据段根据数据类型划分。
#### 别名
用户可给数据段设置别名，在编辑器中显示的是该数据段的别名。
#### 数据类型
用户可以在部分数据集（如内嵌数据集、Excel 数据集等）中修改相应数据段的数据类型。
![](//mc.qcloudimg.com/static/img/e3feefbe599d221b8d3e964942c0b82d/image.png)
#### 格式
可编辑数据集中列的格式，在编辑报告中可按照设置的格式显示。当单击格式与列的交叉处时，将会显示提示文字：编辑，单击编辑，则会弹出格式对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/140776ce55820b51c1103588910e7fd3/image.png)
可通过格式对话框中的选项设置列的格式。
例如：将时间戳类型的列：DATE, 设置成日期类型的格式，则需要在弹出的格式对话框中选择日期选项，设置后在格式中显示日期的格式，如下图所示。
![](//mc.qcloudimg.com/static/img/604d207a220a4b4a8595eb7fb8f2010e/image.png)
在编辑报告中绑定在表格上后，DATE 的格式为日期类型的，如下图所示。
![](//mc.qcloudimg.com/static/img/dcf8e3212b8725835a41ff6bd54a4ccc/image.png)
#### 可见性
可见，用于设置数据集中列的可见性。请参考 VPM 章节中的介绍。
#### 列过滤器
列过滤器，用于设置对某一用户，角色，组的过滤。请参考 VPM 章节中的介绍。
在预览数据的细节数据区用户可以预览当前数据集元数据区中的数据，如下图所示, 也可以通过数据集列表中的“ 预览数据集” 按钮打开对应数据集的预览数据。
![](//mc.qcloudimg.com/static/img/f4208043f6f3737560f24f9435047ba0/image.png)
【预览行数】预览数据集时所显示的行数。默认为 1000 行。预览行数可以修改，修改后，单击 “运行” 按钮，则可按照用户设置的预览行数进行显示。
【显示总行数】单击”显示总行数”按钮后，会在此按钮的后面显示出所预览数据集的总行数，如下图所示。
![](//mc.qcloudimg.com/static/img/9a0a92ea7ff6aa897366b8e83a14ee35/image.png)
倘若用户设定了弹出参数，则在预览细节数据前会弹出参数框，用户可根据需求来设定参数值。
## 创建数据集引擎
数据集引擎是数据集分析和运行的核心模块。用户通过数据集将数据导入数据库中，通过可视化的操作界面对数据进行各种操作。而数据集引擎作为后台处理平台，执行这些数据集请求，并将结果返回给前台。
