## 维度
维度表示数据分类的角度或方面。城市是一个维度，月份是一个维度，数据范围是一个维度。多维度思考，符合人类习惯。常用的是 3 维立体思维。3 维可以构成一个立方体。Slice 是一个立方体的切片。例如一月的所有城市的数据，构成一个面。Dice 是一个立方体的切块。例如一月份的北京的数据，构成一个小立方体。也可以把维度理解成组的概念，把这些方面分组，把数值类型做统计汇总。常用来做维度的数据类型包括：
![](//mc.qcloudimg.com/static/img/f4a16b263a5026259755febb07c77338/image.png)

维度的排序功能更有意义，特别是高级排序可以支持基于别的字段的聚合后的排序，还可以进行排名。细节数据不具备此功能，只有聚合数据才能排名。

维度可以为转变成度量，连接数据模块的界面可以修改，只是整个 data set 级别的改动，所有使用报表的地方，都按照数据集里的划分来判断维度还是度量。还有一个地方可以在维度和度量之间转换，就是在对象的绑定界面上，这个转换只是对象本身起作用。但维度字段切成度量后 ，支持的统计函数只有求最大值、最小值、统计个数、统计不同值个数和近似不同值的个数。因为对非数值类型字段做求和等统计没有意义。但是取最大、最小、统计个数、统计精确不同值计数和不同值计数还是有意义的。
![](//mc.qcloudimg.com/static/img/1491fd281b2e6dfb22f389cee40eee62/image.png)
## 度量
度量表示可被用于衡量和统计的数值，销售、利润、成本等都是度量。因此，数值类型的数据都被划分为度量了。另外把日期、时间也划分为度量。常用来做度量的数据类型包括：
![](//mc.qcloudimg.com/static/img/b652e877351f894bfbef32c207f689fc/image.png)
度量同样也可以变为维度，转变规则如上。
度量支持的统计函数较多，支持所有本产品提供的统计函数。
![](//mc.qcloudimg.com/static/img/78b2ceadf80b48bef3a20d755af65e1c/image.png)
![](//mc.qcloudimg.com/static/img/6e9f91307919f9f5380b41dfdd8e2a54/image.png)
需要自动把数据类型分成维度还是度量分类的地方包括：
1. 刷新元数据。在数据集建立好后，刷新元数据的时候，需要把数据集里的所有字段自动分成维度和度量，分配规则如上。分好后，会分别在元数据界面的两个节点上列出来。
2. 新建表达式。在元数据界面上新建表达式，即用脚本生成字段，此时需要选择数据类型。会自动列到对应的节点上。
3. 创建了层次，日期层次，数字范围，新建分组，值映射、去空格，拆分列会自动列到维度上；缺失值填充根据原字段数据类型来判断，如果是字符串会自动列在维度上，如果是数值类型会自动列在度量上。
4. 在制作报告的时候，创建表达式字段。在报表的绑定界面上，不会根据数据类型来分，而是根据选择的表达式字段的类型来分。细节维度字段是维度。细节度量字段和聚合度量字段是度量。
## 文件夹
用户可以在数据集编辑界面创建文件夹，按照需求将字段拖拽到文件夹中，便于对字段进行分类。通过维度和度量字段创建的文件夹分别对应存放在维度区域和度量区域。当字段较多时，通过创建文件夹可以使界面看起来更有层次感，展示起来更清晰。
**举例说明**
某一 SQL 数据集中存在 BUDGET\_COGS , BUDGET\_MARGIN , BUDGET\_PROFIT , BUDGET_SALES
这四个与预算相关的字段，如下图所示。
![](//mc.qcloudimg.com/static/img/ad94355e636c6eb648cedf2ae2bcabed/image.png)
用户在元数据区域右键选择新建文件夹，如下图所示。
![](//mc.qcloudimg.com/static/img/8603128074ee58620fc0ccea1c92dc87/image.png)
在弹出的对话框中，中文环境下会默认名称是 “文件夹”，修改文件夹名称，单击【确定】按钮则在元数据区域生成文件夹。
![](//mc.qcloudimg.com/static/img/b49a72edd73f767bf40efcab0d59a859/image.png)
拖拽鼠标把相应字段放到文件夹中，如下图所示。
![](//mc.qcloudimg.com/static/img/a643f4e234c6bdc17b4c7fbe96653cc3/image.png)
被拖拽到文件夹中的字段不可以通过鼠标的拖拽来调节位置。
在 bi.properties 中配置属性 manual.sort.repository=true，可以通过拖拽鼠标调整维度、度量、各个文件夹下列的排序，如下图所示。
![](//mc.qcloudimg.com/static/img/b6334d81d7eed3ad73aa2f5214806b41/image.png)
## 层次
维度的范围有大小的概念，例如国家的范围大，省的范围次之，城市的范围更小。可以把范围的大小的概念称之为层次。在维度节点下建立层次目录，把有范围大小的维度通过拖拽放入层次中。范围大的放在最上面，范围小的维度放在下面。维度的顺序，决定了钻取的顺序。当需要上钻时，会找到与当前维度最近的上一个维度（即范围大点的维度）。当需要下钻时，会找到与当前维度最近的下一个维度（即范围小点的维度）。
**举例说明**
某一 SQL 数据集中存在年、季度、月份字段，三个字段之间有范围大小的概念，年大于季度，季度大于月份，如下图所示。
![](//mc.qcloudimg.com/static/img/a72bad7ea41da5a0be77299439b8f2f6/image.png)
用户在元数据区域右键选择增加层次，如下图所示。
![](//mc.qcloudimg.com/static/img/46e0b259e81f1044c1282295e731ee10/image.png)
在弹出的对话框中，中文环境下会默认名称是 “层次”，可以修改层次名称，点击确定按钮则在元数据区域生成层次。
![](//mc.qcloudimg.com/static/img/b96d3149e5d3edab75d57181ba47dbe7/image.png)
用户通过鼠标拖拽来把具有层次的字段放到层次文件夹中，如下图所示。
![](//mc.qcloudimg.com/static/img/90b1dae44bcbe9ea1c94ec0b6ce7a865/image.png)
被拖拽到层次文件夹中的字段仍可通过鼠标的拖拽来调节位置。在上的字段范围较大，如下图所示。
![](//mc.qcloudimg.com/static/img/fa87da680c0496e2b49007558821c750/image.png)
当用户在报告编辑区中绑定该层次文件夹中的字段时，会在范围较大的数据段的左侧生成加号，当用户点击此加号时，比当前数据段的范围小一级的数据段将被自动绑定，同时加号变成减号。
![](//mc.qcloudimg.com/static/img/efd062f49d0ff709fac587c40edb7d08/image.png)
## 日期层次
用户可在日期、时间、时间戳类型的数据段上右击，选择增加日期型层次，来创建用户数据段。
![](//mc.qcloudimg.com/static/img/608062b96a1a1536c30fbf0115207b2f/image.png)
打开的日期型层次对话框如下图所示。会默认名称是 “日期层次”，用户根据需要修改日期型层次的名称，以及勾选需要创建的日期型列。 
![](//mc.qcloudimg.com/static/img/0d0bfdbe1cf35e14d8c3eb081cefdab0/image.png)
日期是一个典型的层次结构。当选择了某一日期字段时，可以给该字段建立一个层次，并选择需要建立的日期维度。支持的日期维度如下表所示。
![](//mc.qcloudimg.com/static/img/101bf26a360c787d55fa4ea9ef0bcbef/image.png)
![](//mc.qcloudimg.com/static/img/7ea9ac80dcd850303009ce042b716d3b/image.png)
年季度、年月、年周、天、小时、五分钟、分钟、秒，均把相应的日期、时间、时间戳数据段映射成时间戳类型。年、季度\_年、月\_年、周\_年、天\_年、天\_周、小时\_天、分钟\_小时、秒\_分钟则把日期、时间、时间戳数据段映射成整数类型。
例如一时间戳类型数据为 2012-11-02 11:34:25，进行映射后的数据如下表所示。
![](//mc.qcloudimg.com/static/img/3e80978b84b4c098b800be68a810a149/image.png)
![](//mc.qcloudimg.com/static/img/5fc55f4f51efd77850b9fb2e75f3e3bc/image.png)
在已创建的日期型层次上右键，可对其进行重命名、删除。
## 转换为度量列
有两种方式可以将维度字段转为度量字段，一种是通过拖拽的方式，即选中维度字段拖动鼠标将字段从维度区域拖拽到度量区域，另一种是在元数据区选中维度字段右键选择转换为度量列, 如下图所示。
![](//mc.qcloudimg.com/static/img/67088f80d1aa922bdf9b2e08e44b09b8/image.png)
转换后该列存放在度量区域。
![](//mc.qcloudimg.com/static/img/ff467aca3546902a0943f5daa47939e4/image.png)
## 转换为维度列
有两种方式可以将度量字段转为维度字段，一种是通过拖拽的方式，即选中度量字段拖动鼠标将字段从度量区域拖拽到维度区域，另一种是选中度量字段右键选择转换为维度列, 如下图所示。
![](//mc.qcloudimg.com/static/img/a987a94939ba4ade0803249582ed3374/image.png)
转换后该列存放在维度区域。
![](//mc.qcloudimg.com/static/img/a43382fdd137e6176ba28760d31fd05b/image.png)
## 转换为日期列
可以将字符串和长整数两种类型的字段转换为日期列。在元数据上选中字段或者在细节数据选中字段的列头右键菜单中可以选择转换为日期列选项，同样在元数据或细节数据中右键可以编辑或者删除新转化的列。
1.在字符串类型的字段上右键，打开转换为日期列对话框，如图：
![](//mc.qcloudimg.com/static/img/faad3e39ca5462a3a91dad8137720cdc/image.png)
【原始字段】需要转换为日期列的字段。
【列名】日期列名称，默认名称是“ 日期列”，可以对名称进行修改。
【日期】根据列数据选择相应的格式。例如数据为 2016-01-23，选择的格式应该为 yyyy-MM-dd。
2.在长整数类型的列上右键，打开转换为日期列对话框，如图。
![](//mc.qcloudimg.com/static/img/c9d7ab40a0233482d5f4fe7444db1e3b/image.png)
【原始字段】需要转换为日期列的字段。
【名称】日期列名称，默认名称是“ 日期列”。修改列名，点击确定后，根据相应的公式，把数据转化为日期。
**举例说明**
原始数据如图：
![](//mc.qcloudimg.com/static/img/0c4f8bb981f9973ecc41dc6ab7585d6e/image.png)
将 “字符串” 列转换为日期列“ 日期列1”，格式为 “yyyy.MM.dd” ；将 “长整数” 转换为日期列 “日期列2” 。转化后数据如下：
![](//mc.qcloudimg.com/static/img/b4a09e4d6f95c077a906e4362088ee0a/image.png)
新建生成日期列后，会自动选中该列，如果有纵向滚动条会滑动到新列的位置并选中新列。
在已创建的日期列上右键，可对其进行编辑、删除。
## 转换为数字列
可以将字符串类型的字段转换为数字列，在元数据上选中字段或者在细节数据选中字段的列头右键菜单中可以选择转换为数字列选项，同样在元数据或细节数据中右键可以编辑或者删除新转化的列。
在字符串类型的字段上右键，打开转换为数字列对话框，如图。
![](//mc.qcloudimg.com/static/img/3843418c94f1c17dbb8216a93172ce03/image.png)
【原始字段】需要转换为数字列的字段。
【名称】数字列名称，默认名称是 “数字列”，可以对名称进行修改。
【数字 & 货币 & 百分比】根据列数据选择相应的格式。例如数据为 20%，选择的格式应该为百分比。
**举例说明**
原始数据如图：
![](//mc.qcloudimg.com/static/img/2bb2e8777471c21084b5e2eb8eee8410/image.png)
将 “百分比字符串” 转化为数字列 “百分比”，格式选择 “百分比” ；将 “浮点数字符串” 转换为 “浮点数”，格式选择 “#,##0.##”。预览数据如图：
![](//mc.qcloudimg.com/static/img/f1b5ca1cfca7f3968514e8c2b15764c8/image.png)
新建生成日期列后，会自动选中该列，如果有纵向滚动条会滑动到新列的位置并选中新列。
在已创建的日期列上右键，可对其进行编辑、删除。
