## SQL 数据集
### 创建 SQL 数据集
通过以下两种方式进入创建 SQL 数据集界面：
* 方式一：单击导航栏-> 创建数据集，在新打开的页面上选择 “SQL 数据集”。
* 方式二：如果您有已打开的数据集界面，单击菜单栏-> 创建数据集->SQL 数据集。
用户在数据集界面上，单击菜单栏上的新建数据集按钮，选择 SQL 数据集，即可打开 SQL 数据集界面。
![](//mc.qcloudimg.com/static/img/4102f560bfd328cdbcd24b7a64e40822/image.png)
也可以单击首页上的 SQL 数据集，进入 SQL 数据集新建界面。
![](//mc.qcloudimg.com/static/img/e6fef0611823b8450b9af84765501f06/image.png)
### SQL 数据集界面
在打开的界面中，用户可设定数据库类型、驱动、URL 等，并可编辑使用 SQL 语句，还能够对 SQL 数据集的性能进行检测。
![](//mc.qcloudimg.com/static/img/4c049f7e158a6b13c09405180f820d93/image.png)
【数据源】当用户选择自定义数据源时，可配置相应的数据源。用户也可以从已有的数据源列表中选择已经创建好的数据源。
【数据库】用户可设定该数据集中使用的数据库的类型。
【URL】所选数据库的 URL 地址。
【驱动】用户可选择需要的驱动类型
【需要登录】当数据库设定了访问权限后，用户需要勾选此项，使用用户名和密码来访问当前数据库。
【表】当用户单击刷新按钮后，在列表中列出了当前数据库中存在的所有表。右键刷新后可以对数据源中表、视图、存储过程进行搜索。详细用法见简介中数据源搜索部分。
倘若是使用腾讯云数据BI 提供的驱动和数据库，则在此列表中列出了所有的数据集。
【SQL 语句】用户输入脚本语句，实现对数据库中数据的数据集。

在使用 ACCESS 数据库时，刷出的表名称的后边有 $ 字符，用户在写 SQL 语句时需要使用双引号把该表引起来，如 select Sales from "Coffee_chain$"。在使用腾讯云数据 BI  产品提供的驱动及数据库时，在编写 SQL 语句时需要遵循本产品的 SQL 语句法则。

* 引用的数据集存在子级时需要添加双引号，如 select Sales from "cloud/test.clqry"，不存在子级时则不需要添加双引号，如 select Sales from test.clqry
* 引用关键字时需要加引号。如数据集 a.clqry 中存在 Date 字段，由于 Date 字段是数据库中的关键字，则需要被双引号引起来， select "Date" from test.clqry
*赋值类型为字符串类型时，需要用单引号引起来而不是双引号。如 select Nation from test.clqry where Nation='China'
>**注意：**
>在 SYBASE 数据库中不支持 order by 语句。

【性能检测】用户使用 SQL 数据集时，系统会对数据集性能进行实时检测，并对影响性能的地方做出橙色标识，告知用户哪些列操作操作没有下推到数据库执行，如下图所示。
![](//mc.qcloudimg.com/static/img/b12f8806a689ce6e45644c5d3a170669/image.png)
行过滤器处的过滤条件如果没有下推到数据库执行，行过滤器处也会做出橙色标识, 如下图所示。
![](//mc.qcloudimg.com/static/img/6c43734d0ee3e7ae3fee1f4d8d2c4236/image.png)
用户也可以通过单击检测性能，查看所有性能问题。
![](//mc.qcloudimg.com/static/img/99b4d39bfbdc81bd580a494985e1628b/image.png)
用户单击【刷新元数据】按钮时，所有数据段将在元数据区域显示。 在表达式、过滤器等位置引用的列如果发生变化，刷新元数据时会提示 “ 数据集的列如果发生变化可能会导致表达式列、层次或行过滤器不可用，是否清空表达式列、层次和行过滤器？ ”，否则不会提示。本产品默认字符类型、字符串类型、字节类型、布尔类型的数据段存放在维度目录下，其他类型数据段存放在度量目录下。
## 组合数据集
组合数据集提供了一个强大却又简单的方式，通过简单的拖拽操作，实现多个查询，多张表或视图联接（JOIN）或联合（UNION）在一起。这些查询、表、视图均可以来自于不同的数据源。
### 创建组合数据集
用户在数据集模块中，单击工具条上的新建数据集按钮，选择组合数据集，即可打开组合数据集界面。
![](//mc.qcloudimg.com/static/img/4102f560bfd328cdbcd24b7a64e40822/image.png)
### 组合数据集实时性能检测
用户使用组合数据集时，系统会对数据集性能进行实时检测，并对影响性能的地方做出橙色标识，告知用户哪些操作操作没有下推到数据库执行：
![](//mc.qcloudimg.com/static/img/b79152eadc8d0eb16ae17ad9a6b11b68/image.png)
和 SQL 数据集一样，在组合数据集上，用户也可以通过点击检测性能，查看所有性能问题。
### 添加表
组合数据集可以直接从左边的数据集资源树上拖拽一个数据集到组合数据集编辑区域；也可以拖拽数据源里的表或视图到组合数据集编辑区域。
当把数据集、表、视图拖拽到组合数据集里后，在这个文档里，统一叫 “表”。
#### 添加数据集
从左边资源树上拖拽一个数据集得到组合数据集编辑区域。任何类型的数据集都可以被添加进来。一个组合数据集里不能仅仅只有一张表，这张表来自于数据集。
#### 添加数据库中的表或视图
展开数据源的表和视图节点，拖拽一张表或一个视图到组合数据集编辑区域。一个组合数据集里可以仅仅只有一张表，这张表来自于表或视图。
![](//mc.qcloudimg.com/static/img/527039f06ab04f50f0047048739bdf1d/image.png)
#### 添加区域
如果将表插入到一个空白的组合数据集里，可以通过 DND 的方式将这张表放入组合数据集编辑区域的左上角。
如果组合数据集编辑区域里已经有别的表，可以将新加的表放到：
* 第一张表之前
* 两张表之中
* 最后一张表之后
* 已存在的表上
* 其它空白区域

如果添加到已存在的表上，新添加的表会替换老的表。
如果添加到其它空白区域，新添加的表会插入到最后一张表之后。
下图为添加到两张表之中的截图，用蓝色粗线提示此区域可以插入。
![](//mc.qcloudimg.com/static/img/cdb094624478b6d2798a8b6b4d9a424e/image.png)
### 定义表间的联接关系
拖拽数据库中的表，如果两个表之间定义了外连接信息，当两个表拖入组合数据集之后，可以基于这些外连接信息将缺省的连接做好，而无需用户指定。
点击表与表之间连接线上的图标，即可以打开 “操作类型” 窗口，来定义两张表之间的联接关系。
两张表之间的关系图：
![](//mc.qcloudimg.com/static/img/b42a0d6540ac37af39f12cc2606bff01/image.png)
#### 联接
**联接类型**：
* 内部联接（Inner Join): 将左右两张表符合联接条件的记录组合在一起。
* 左侧联接(Left Join): 左表的记录全部显示，右表只会显示符合联接条件的记录，右表中记录条件不足的地方补空。
* 右侧联接(Right Join): 右表的记录全部显示，左表只会显示符合联接条件的记录，左表中记录不足的地方补空。
* 外部联接(Outer Join): 左右表的记录都全部显示，左表不符合联接条件的记录对应的右表位置补空，右表不符合条件的记录对应左表位置补空。

**联接条件**：
在 “操作类型” 窗口里，点击 “添加新的联接列” 来定义联接左右两张表的条件。从左右表中选择数据类型匹配的列作为连接条件列。两张表之间可以定义多个条件。
![](//mc.qcloudimg.com/static/img/e838273f8d16fa0eaacf3295e2d51232/image.png)
* 无效联接：当没有定义两张表的联接条件，或联接条件无效时，这种联接关系就是一种无效的联接。

### 移动连接线
新插入的表，默认会找插入点的上一张表来产生连接。如果不存在上一张表，会找插入点的下一张表产生连接。也可以拖动连接线，来重新选择连接的左右两张表。
移动鼠标到连接线上，当鼠标变为可移动状态时，上/ 下拖动它到另一张表上。
![](//mc.qcloudimg.com/static/img/450a538f0650eb1433dc68abef9a7ac5/image.png)
当连接线变为绿色时，即可释放鼠标，如下图。
![](//mc.qcloudimg.com/static/img/d3c983ffb0ad6e97c31565d57706545a/image.png)
组合数据集上，任何一张都必须与任意一张别的表产生关系，所有连接线的个数为（表的个数-1）。当拽连接线导致某张表和别的表没有关系时，连接线的颜色会显示为红色，示意非法拖动连接线。
### 移动表
选择表的表头部分，拖动表到新的位置，可以插入到另一个表之前，或附加到另一个表之后，也可以移动到另一个表上替换这个表。
### 编辑表
组合数据集里的表，可以定义过滤器，隐藏列，改变列顺序，改变表的尺寸。
定义过滤器：单击表头上的过滤器按钮，打开过滤器窗口，定义过滤。
隐藏列：单击列名前的小图标来显示/ 隐藏列。在表上右键可以显示/ 隐藏所有列。
改变列顺序：拖动列到另一列的前面或后面来改变列的顺序。隐藏列总是排在最后的位置。
改变表的尺寸：拖拽表的底部边线改变这一个表的高度；拖拽表的右边线，改变在同一列上的所有表的宽度。
### 删除表
点击表头上的 “删除数据集” 按钮即可删除表。
### 展示SQL 语句
可以单击组合数据集编辑区域下方的 “展示SQL 语句” 按钮，来查看这个组合数据集生成的 SQL 语句。
## Mongo 数据源
商业智能分析 BI 支持连接 MongoDB 数据源，进行数据查询、计算和分析。通过输入 URL、用户名和密码成功连接 MongoDB 后，选择数据库中的某个集合，即可以数据集这个集合中的数据。产品支持管道操作（Pipeline）语句对集合进行过滤、分组、聚合和排序等等操作。
### 创建Mongo 数据集
单击创建数据集按钮后，进入到创建数据集的界面。
用户在数据集模块中，单击工具条上的新建数据集按钮，选择 Mongo 数据集，即可打开 Mongo 数据集界面。
![](//mc.qcloudimg.com/static/img/4102f560bfd328cdbcd24b7a64e40822/image.png)
### Mongo 数据集界面
在打开的界面中，用户可从已有的数据源中选择 Mongo 数据源，也可以自己设定 URL、集合等，并且可编辑使用管道操作语句。
![](//mc.qcloudimg.com/static/img/7c434a4ab14d0d1058df76a672776845/image.png)
【数据源】 当用户选择自定义数据源时，可配置相应的数据源。用户也可以从已有的数据源列表中选择已经创建好的 Mongo 数据源。
【URL】 Mongo 数据库的 URL 地址。
【选择转换时区】输入数据存入 Mongo 时的时区。如果数据存入 Mongo 时，没有指定时区，即可以不用做选择。如果存入数据时，指定了时区，在这需要选择相应的时区对数据进行转换。
【需要登录】当数据库设定了访问权限后，用户需要勾选此项，使用用户名和密码来访问当前数据库。
【默认数据库】指定默认数据库。
【集合】可以在此输入集合（Collection）名称，也可以从下方选择集合中选择一个集合。
【选择集合】点击右键刷新，此列表中列出了默认数据库下的所有集合。右键刷新后可以对数据库下的集合进行搜索。详细用法可参考简介中数据源搜索部分。
【管道操作语句】用户输入管道操作（Pileline）语句，实现对数据库中数据的数据集。

在选择或输入集合名称之后，点击刷新元数据，既可以按列以 Table 的形式显示集合中的所有数据。
也可以输入管道操作语句，产品可以解析 “{}” 括起来的所有正确的管道操作语句，多个管道操作语句之间用逗号分隔。
如:

    { $project : { market:{$toUpper:"$market"} , sales:1, _id:0 } };
    { $sort : { market : 1, sales: 1} }
