交叉表组件（Pivot）是以交叉表的形式展现数据的载体。交叉表可以绑定任意一查询的多个字段。交叉表组件支持的功能和表格组件一样，只是由于交叉表的排列方式不同，定位格子的种类不同。
一个完整的交叉表由三部分组成：行表头、列表头和汇总。如果行表头、列表头和汇总都只有一列数据，那可以定位出 3 个格子。当改变格子大小尺寸时，这 3 类格子都可以有自己的大小和格式。
本文档主要介绍如何创建交叉表、如何定义属性、如何绑定数据以及各种交互功能。
## 创建交叉表
### 创建交叉表
本产品支持两种方法来创建交叉表：
* 直接拖拽工具条上的交叉表按钮 <img src="//mc.qcloudimg.com/static/img/d5975f4dac8e5a9da22a33bb6b186da2/image.png" style="margin:0;"> 到仪表盘编辑区。
* 在组件的下拉列表中，拖拽交叉表组件到仪表盘编辑区。
![](//mc.qcloudimg.com/static/img/332c6ee9570674498b4cc2437a9e85f8/image.png)

### 绑定数据源
1. 单击交叉表上的 【点击绑定数据】 绿色按钮进入绑定模式，或者在其右键菜单选中绑定选项，打开交叉表组件的绑定界面。
2. 通过鼠标拖拽来实现对交叉表组件的数据绑定，交叉表组件的每行均能够绑定多个数据段。在绑定界面中交叉表行表头和列表头都可进行合计。
列表头绑定的数据段在交叉表以横向显示，行表头绑定的数据段在交叉表中以纵向显示，汇总绑定的数据段用来对数据进行各种统计运算。
在查询树中支持 Shift 键连续选中，以及 Ctrl 键不连续多选。

交叉表支持以下三种方式来绑定数据段（列表头、行表头和汇总的绑定方法）：
* 拖拽数据段到绑定窗口实现列表头、行表头和汇总的绑定。
![](//mc.qcloudimg.com/static/img/c014d540cb239dc020cb7e35016d7d00/image.png)
您可通过拖拽数据段到已绑定数据的窗口，替换已有绑定。
* 拖拽数据段到交叉表区域实现列表头、行表头和汇总绑定，初始状态的列表头、行表头和汇总的划分区域如图所示。
![](//mc.qcloudimg.com/static/img/197fe9a5a6cb44c136fcfe9c180a2b4a/image.png)
您可通过拖拽数据段到列表头（区域 1）、行表头（区域 2）和汇总（区域 3）替换绑定。拖拽数据段在列表头、行表头和汇总插入绑定（可以插入到列表头区域的顶部或底部，插入到行表头区域的左侧或者右侧或者插入到汇总区域的左侧或者右侧）。
替换原有数据段的样式。
![](//mc.qcloudimg.com/static/img/5e78981828b30c7efae948d1a3c862bb/image.png)
插入原有数据的的样式显示。
![](//mc.qcloudimg.com/static/img/e33f4286516289f2bba9b151bccfbeb0/image.png)
* 双击查询树列表的数据段，实现绑定。

### 移除数据段
列表头和行表头我们有以下三种方法移除数据段：
* 绑定窗口的下拉列表中选择删除。
* 拖拽绑定窗口的数据段到查询树中实现移除。
* 拖拽绿色小三角到查询树中实现移除。
![](//mc.qcloudimg.com/static/img/cdb0a7c737697d2e844b5fb87b13e151/image.png)

汇总我们有以下两种方法移除数据段：
* 绑定窗口的下拉列表中选择删除。
* 拖拽绑定窗口的数据段到查询树中实现移除。

## 交叉表属性
交叉表的属性包括交叉表的名称与标题的设定、在预览模式下是否可见、刷新间隔的设定等。
交叉表的属性与表格属性类似，可参考 [表格属性](https://cloud.tencent.com/document/product/590/11299)。
## 交叉表格式
在交叉表组件中存在区域的概念，用户可选择组件格式对交叉表整体进行格式的设定，用户还可选择局部格式来对组件的特定区域进行格式设定。交叉表组件中存在标题区域、列表头区域、数据区域，用户可针对特定的区域进行格式设定。
![](//mc.qcloudimg.com/static/img/faacfe94f0b145987432d05ff0de8715/image.png)
### 组件格式
在组件上右键选择组件格式，打开格式对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/158820e7f4bffd1b73afd7c9ee0456fa/image.png)
【对齐】调整组件中文本的对齐方式，其中自动换行是调整单元格内容长度超过单元格长度时会换行显示。
【字体】设置组件中文本的字体。
【边框】可为组件添加边框，以及设置边框的格式。
【颜色】为组件设置背景色及前景色。
【透明度】设置背景色的显示程度。
### 局部格式
在交叉表的特定区域上右键选择局部格式，即可打开格式对话框来对该区域进行格式的设定。
![](//mc.qcloudimg.com/static/img/dc89a5095c0afdf5bc2236172241613b/image.png)

## 常用交互功能
交互功能包括叠放层次、显示指标名称、纵向排列 / 横向排列、分组 / 取消分组、隐藏标题、隐藏行表头 / 显示行表头、移除组件、剪切组件、复制组件、钻取、汇总列的排序。
### 显示指标名称
在交叉表中通过右键菜单可将汇总数据段的名称显示出来。当添加两个汇总数据时，汇总数据段的名称会自动显示出来，如下图所示。
![](//mc.qcloudimg.com/static/img/0ec38248290fc9f996a75db61effc0be/image.png)
### 纵向排列 / 横向排列
指标名称在交叉表的行表头显示还是在交叉表的列表头进行显示，如下图所示，指标的名称在交叉表的列表头显示。
![](//mc.qcloudimg.com/static/img/e51d4eeca9d8af662409b87c9ee27f68/image.png)
### 分组 / 取消分组
分组可以将两个字段进行合并成一组，那么取消分组就是将合并在一起的字段进行拆分的过程，具体实例见表格的手册。
### 钻取
交叉表中对层次字段可以进行钻取整列和单元格钻取。钻取整列图标默认显示在行表头单元格和列表头的第一列单元格上，如图所示。
![](//mc.qcloudimg.com/static/img/378b10bddd5a1c2915017d887bf01257/image.png)
如下图所示，在行表头上绑定层次字段 Year_DATE，列表头和汇总上分别绑定 PRODUCT 和 PROFIT，点击行表头上的下钻所有按钮 “+”，则可以查看所有年份下相应的季度 PROFIT 值。
![](//mc.qcloudimg.com/static/img/8d1ac71b6f063b8d5fa36b2ff4de9b5d/image.png)
单击上钻所有按钮，则恢复到下钻所有前的状态。如果隐藏行表头名称，则钻取整列图标显示在第一行行表头上，如图所示。
![](//mc.qcloudimg.com/static/img/9c5685e71ccabd9182187dc392a738bc/image.png)
也可以通过单元格钻取来查看具体某一年的各个季度的 PROFIT 值，如单击 2009 年的下钻按钮 “+”，则可以查看该年份四个不同季度的 PROFIT 值，如下图所示。
![](//mc.qcloudimg.com/static/img/84b74ab6f79bbd9be5a904d106733d9f/image.png)
同理，上钻时恢复到下钻前的状态。
### 汇总列的排序
单击交叉表组件上的排序图标 <img src="//mc.qcloudimg.com/static/img/1295207796b54e1717401bb824728ca8/image.png" style="margin:0;"> 更改汇总列的排序。当交叉表绑定多个汇总列时，直接按照汇总数据的第一列顺序进行排序。例如，对 pivot 绑定多个维度和汇总列，对 MARKET 设置合计和分组合计，如下图所示。
![](//mc.qcloudimg.com/static/img/4a4f4685573a19086d73ce37e2ea71a5/image.png)
对汇总列进行降序排序，则排序后按照第一列降序排列，如下图所示。
![](//mc.qcloudimg.com/static/img/65153ca388899b7899b2f038d6c4d8e7/image.png)
