仪表盘是由组件（Element）组成的，现有的分为四大类：展示数据、过滤数据、图形图片文本展示。
**展示数据的组件**包括：表(Table)、交叉表(Pivot)、图表(Chart)、自由式表格（Free Style）。
**过滤数据的组件**包括：列表过滤(Filter List)、树状过滤(Filter Tree)、范围过滤(Range)、日期过滤(Calendar)、过滤容器（Filter Group）。
**图形图片文本展示的组件**包括：文本(Text)、仪表(Gauge)、图片(Image)、选项卡(Tab Element)。
## 组件基本功能
### 悬浮按钮
当鼠标移动至组件区域时，组件的悬浮按钮会自动显示在组件的右上角。当组件的标题隐藏时，为了避免遮挡组件内容，悬浮图标会自动显示在组件的外部。用户可通过悬浮按钮对组件进行操作。不同的组件支持的悬浮按钮也不同。
表格组件的悬浮按钮：
![](//mc.qcloudimg.com/static/img/460b19a379578bbfa5b0d549eff339bc/image.png)
【笔刷】单击 “笔刷” 按钮后，会把高亮区域的维度信息送出，来对其他组件的数据进行筛选。
【显示具体数据】单击 “显示具体数据” 按钮，会弹出显示具体数据对话框，并将详细数据展示在对话框中，还可以通过点击 “细节数据导出到CSV” 按钮，将展示的数据导出到 CSV 文件。
【导出数据】单击 “导出数据” 按钮，可将绑定数据导出成 Excel 格式。
【导出数据为 CSV】单击 “导出数据为CSV” 按钮，可将绑定数据导出成 CSV 格式。此功能可应用于大量数据的导出。
交叉表组件的悬浮按钮：
![](//mc.qcloudimg.com/static/img/c336965e3cee776c57804b93cdc9efed/image.png)
【切换行列表头】用于交换交叉表中的行表头和列表头的位置。
图表组件的悬浮按钮：
![](//mc.qcloudimg.com/static/img/8854ff03b92ee19f41523da5e6af7a91/image.png)
【切换 XY】用于交换图表中的 X 轴和 Y 轴的位置。
【缩放】选中一个或多个标记再单击缩放则会放大显示选中的标记。
### 右键选项
在组件上右键单击，即弹出右键菜单，此菜单中包含对当前组件的可用选项。
![](//mc.qcloudimg.com/static/img/d0d7a260e1d3bdb1053fd3dc06e0684b/image.png)
【局部格式】通过格式选项用户可对当前组件的局部区域进行格式的设定。
【高亮】用户可设定高亮条件，当条件满足时，组件中相应的数据以设定的格式进行显示。例如分数低于 60 分的同学名字以红色形式显示。
【超链接】在组件上可创建超链接，可链接到其他仪表盘或指定网址。
【过滤器】用户在过滤器窗口中可设定过滤条件，满足条件的数据将在组件上进行展示。
【组件格式】用来设定组件的整体格式。
【悬浮】智能布局模式下，固定组件或固定组合支持悬浮操作。悬浮后，默认处于布局最上层，不受布局控制；最下层为智能布局的组件，实现自动调整，同智能布局中删除组件规则。
组件悬浮前：
![](//mc.qcloudimg.com/static/img/3c3a0f3b802667bc15e30b28154d4e1d/image.png)
组件悬浮后：
![](//mc.qcloudimg.com/static/img/b3ef13b8f817dc6c04bd1842d3932201/image.png)
【取消悬浮】智能布局模式下，悬浮组件或悬浮组合支持取消悬浮操作。取消悬浮后，插入到布局中，实现自动调整，同智能布局中插入组件规则。
取消悬浮前：
![](//mc.qcloudimg.com/static/img/579e44cd08e362af1d97ffddc2cc9e05/image.png)
取消悬浮后：
![](//mc.qcloudimg.com/static/img/0d2e74ac9c0b36ea23481b75fd1ba356/image.png)
### 交互功能
用户可对组件的位置以及组件的大小进行设定，当需要组件进行重叠显示时，可在组件的右键选项中选择到顶部或到底部对组件进行修改。
在表、交叉表以及图表组件中支持笔刷功能，在图表组件中还支持显示具体数据和缩放功能。
## 属性对话框
每个组件都有一些通用属性，包括名称、可见、可用、标题、刷新间隔。
### 名称
名称是组件的唯一标识，每个组件都有特定的标识，当要引用该组件时，就要用到这个标识。
### 可见
当用户把组件设置为隐藏时，组件在仪表盘编辑区中以半透明的状态显示，但组件的所有操作不受影响，只是在预览以及用户门户界面中打开此仪表盘时当前组件不可见，并且在导出文件中不显示该组件；当用户设置为可见时，在仪表盘编辑区，预览以及用户门户中该组件都可见，并且在导出文件中显示。
勾选输出可见，则在导出文件中显示组件并且在导出的 Excel 文件中显示组件  sheet，不勾选则在导出文件中不显示该组件，并且在在导出的 Excel 文件中不显示组件 sheet。
### 标题
用户可以给存在标题的组件设定新的标题。
### 刷新间隔
用户设定每隔多长时间刷新一次组件。假设刷新间隔为 2 秒，如用户在查询中对该组件绑定的数据进行更改后，则在预览模式或在用户门户中将对相应的组件每隔 2 秒进行刷新一次，即更新组件中的数据。
### 操作
在操作对话框中存在三个列表，可配置的操作、分析的操作、查看的操作、编辑的操作。
**可配置的操作：**用户通过用户门户访问当前组件时可用的所有操作；
**分析的操作：**用户在用户门户中以分析的模式进行访问当前组件时可用的操作；
**查看的操作：**用户在用户门户中以查看的模式进行访问当前组件时可用的操作；
**编辑的操作：**用户在用户门户中以编辑的模式进行访问当前组件时可用的操作；
用户可通过鼠标的拖拽来设定分析模式、查看模式、编辑模式访问当前组件可用的操作，如下图所示。
![](//mc.qcloudimg.com/static/img/ccd87e6d885d03d17911ff41635c5315/image.png)
### 渐变方式
在图表组件和仪表组件的属性中可以对组件的渐变方式进行设置，且渐变方式的优先级高于动画效果的优先级。对设置有渐变方式的组件，当组件被操作时，会按照预先设定好的效果进行渐变。组件的渐变类型包括：不渐变、向上渐变、向下渐变、向左渐变、向右渐变、淡入淡出渐变。默认为无渐变。
设置渐变效果的界面如下图所示：
![](//mc.qcloudimg.com/static/img/de82ecdf8f237129def211c3001c0729/image.png)
## 格式对话框
### 格式
使用方法参照常用操作中的格式。
在组件上右键选择相应组件格式，打开格式对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/89e03fd2e54f4bef76ca8a31b614a19d/image.png)
【对齐】调整组件中文本的对齐方式。
【字体】设置组件中文本的字体。
【边框】可为组件添加边框，以及设置添加边框的格式。
【颜色】为组件设置背景色及前景色。
【透明度】设置组件的透明度。
### 区域介绍
在组件中存在区域的概念，用户可选择局部格式来对组件的特定区域进行格式设定。例如表组件中存在标题区域、列表头区域、每列的数据区域，用户可针对特定的区域进行格式设定。
![](//mc.qcloudimg.com/static/img/7dfa8173b6928bc979ec3ead6709193c/image.png)
当用户需要对组件的格式进行整体的设定时，在组件上右键选择相应组件格式即可对整体格式进行修改。

