可供选择数据项，并自动过滤数据的组件被称作过滤器组件。此类组件包括列表过滤组件，日期过滤组件和范围过滤组件。当修改了过滤器组件上的选项，所有与该组件同一数据源的输出型组件（例如图表，表格，交叉表，文本和仪表）都会自动过滤出数据。把此种行为称作数据联动。数据联动是商业智能分析 BI 的一个重要特点, 是提供一种从数据库提取信息的方法，改善用户的使用体验, 使基于任意数据的任意分析都能得到响应。当用户选择了该组件上得某些记录， 这些记录被送到其他同数据源的数据组件上作为查询条件，更新查询数据。
列表过滤组件是以列表的形式提选项，选项可以单选也可以是多选，多选时支持 Shift 键连续选中。列表过滤可以绑定任意一查询的一个字段，该字段是不能使用汇总函数的。列表过滤组件区域分为标题部分和选项部分。除了整体部分可以设格式属性外，标题和选项部分也可以被分别定位，设定格式和属性。
本文档主要介绍如何创建列表过滤、以及如何定义属性、如何绑定数据以及各种交互功能。
## 创建列表过滤组件
通过已绑定的数据，来对其他组件进行筛选，前提是被筛选的组件与当前列表过滤绑定的数据源相同。
### 创建列表过滤组件
单击工具栏的【更多组件】按钮，在其下拉列表中拖拽列表过滤到仪表盘编辑区，则在仪表盘编辑区中创建列表过滤。
![](//mc.qcloudimg.com/static/img/8a0fce0082950e0e2133301699ffafd3/image.png)
### 绑定数据源
给列表过滤绑定数据，列表过滤不接收用户在仪表盘编辑区中创建的聚合指标类型的数据段。创建列表过滤组件。在列表过滤上右键选择绑定，则打开列表过滤的绑定界面，绑定界面包含两部分，查询树和列表过滤的绑定窗口。我们有以下三种方法绑定数据段：
* 拖拽数据段到绑定窗口绑定。
![](//mc.qcloudimg.com/static/img/8f0aa3a8e3d04ba36df48ab12ba5f2d2/image.png)
也可以拖拽数据段到绑定窗口替换绑定。
* 拖动数据段到列表过滤组件上实现绑定。
![](//mc.qcloudimg.com/static/img/740bedaed4c90cef9a05abc9f466c8c0/image.png)
也可以拖拽数据段到下拉列表组件上替换绑定的数据段。
* 双击查询树列表的数据段，实现绑定。

### 移除数据段
移除绑定数据段，我们有以下三种方法：
* 绑定窗口的下拉列表中选择删除。
* 拖拽绑定窗口的数据段到查询树中实现移除。
* 单击【清空】按钮。

### 已绑定数据段的可用操作
绑定的数据段可用操作包括排序和移除。
排序：对列表过滤中的数据进行排序，包括无序、升序、降序、更多排序，更多排序包括手动排序和高级排序。
![](//mc.qcloudimg.com/static/img/3eb2ff09f1751bf0e55ba8c2b4c80278/image.png)
删除：移除当前数据段。

## 列表过滤组件属性
列表过滤的通用属性同表的相似，详细介绍见 [表格属性]()。下面详细介绍列表过滤的特有属性。列表过滤的高级属性如下图所示：
![](//mc.qcloudimg.com/static/img/95d2a34e18c352efedf745949f027eb4/image.png)
【布局】为用户提供两种展现形式，列表和下拉列表，产品默认以列表的形式展现。当选择下拉列表时会在其后显示出行数，默认下拉列表以 6 行显示，用户可根据需求进行设置。列表过滤以下拉列表的形式展现后在右上角生成显示/隐藏按钮，如下图。
![](//mc.qcloudimg.com/static/img/58aa72c585286d8776ad59a671df81c6/image.png)
【选中值置顶】默认该选项被选中。即选中的选项自动被排在前面了。当不勾选该选项时，选中的选项位置不会变化。
【列】默认列表过滤以一列的形式展现，用户可根据需求进行设置。
【改变时提交】默认该选项被选中，即勾选后立即执行筛选功能。当不勾选该选项时，在列表过滤中会生成应用按钮，当勾选列表过滤中的数据后单击此按钮才会执行筛选功能。
![](//mc.qcloudimg.com/static/img/1a5ed75004bbd8ea6010157cbd75de00/image.png)
【单选】默认此选项不被勾选，在列表过滤中可同时选择多个数据进行筛选，在勾选此选项后，列表过滤中只能选择一个数据进行筛选。列表过滤上的复选框变成单选框。
![](//mc.qcloudimg.com/static/img/ece8b8fcd4bf4bf94375fc401a70a26e/image.png)
【排除】默认此选项不被勾选，当勾选排除时，选中的数据相当于被排除的数据，在选中的数据上显示排除线。
例如，列表过滤和表格组件都绑定 MARKET 列，MARKET 的数据包括 East、Central、South、West，在列表过滤组件的属性中勾选排除后，再在列表过滤中选择 East，则 table 中 East 数据被排除在外，其他数据显示。如下图所示：
![](//mc.qcloudimg.com/static/img/942f94c9cd9af2b08fc8ada603b6c8f9/image.png)
【忽略空值】空值被忽略，即不显示空值。
【必选】默认为不勾选。当勾选必选后，组件为必选组件。在有多个过滤组件参与过滤时，只有所有的必选组件都选择了值，才能过滤出数据。

## 列表过滤组件格式
列表过滤格式可以设置整体列表过滤的格式，以及可以设置局部区域的格式。局部区域包括列表过滤标题，列表过滤数据区。
### 组件格式
在组件上右键组件格式，打开格式对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/09a3e29ac08cb48900f9b9357d444b88/image.png)
【字体】设置组件中文本的字体。
【边框】设置组件中的所有边框线。
【颜色】为组件设置背景色及前景色。
【透明度】设置组件的透明度。
### 局部格式
在列表过滤的特定区域上右键选择格式，即可打开格式对话来对该区域进行格式的设定。局部区域包括列表过滤标题，列表过滤数据区，如下图所示，以不同的背景色代表不同的区域。
![](//mc.qcloudimg.com/static/img/301853d25e7ce650022cb434e87c1598/image.png)

## 常用交互功能
交互功能包括叠放层次、清空、反选、增加列数、减少列数、隐藏标题、移除组件、剪切组件、复制组件以及在列表过滤右上方悬浮的排序按钮、查找按钮。
![](//mc.qcloudimg.com/static/img/ac236b0c88e5a5663cef22840b198572/image.png)
【叠放层次】分为到顶部和到底部。当存在组件的重叠现象时，使用此功能可以调整组件的显示顺序。
【清空】当在列表过滤中勾选多个选项时，可使用此功能快速清空所有已勾选的选项。
【反选】使用此功能可以快速选中未勾选的数据，已勾选的数据变成未勾选状态。
【增加列数/ 较少列数】增加或减少列表过滤的列数。
【隐藏标题/ 显示标题】隐藏列表过滤的标题，在隐藏列表过滤的标题后，可再次显示列表过滤的标题。
【剪切组件】先选中列表过滤，然后选择剪切选项，再在仪表盘的指定位置单击鼠标然后右键选择粘贴。
【复制组件 & 移除组件】分别用快捷键 Ctrl+C/V， Delete。
### 排序按钮
通过排序按钮来对列表过滤中的数据进行排序，按钮显示当前列表过滤中数据的排序状态。排序有三个状态：无序、升序、降序。对列表过滤中的数据进行升序显示，如下图。
![](//mc.qcloudimg.com/static/img/9b93b1e05ee12378f8c379ed4a42f372/image.png)
### 查找按钮
当列表过滤中的数据较多时使用此功能可更加方便用户的使用。查找功能是只当列表过滤中的数据包含查找内容时便被筛选出来，如下图所示，查找列表过滤中的数据含有 000 的数据。
![](//mc.qcloudimg.com/static/img/5e6a6dc843b0cbf7c662055fc9ffa4b1/image.png)

## 列表过滤组件的数据联动
列表过滤对绑定相同数据源的其他组件（文本、表、交叉表、仪表、图表）具有筛选作用，列表过滤与列表过滤之间也具有状态影响。
### 列表过滤与其他组件的数据联动
假设一数据源包含 MARKET、MARKET_SIZE、ID 三个数据段，数据如下表所示：
![](//mc.qcloudimg.com/static/img/3cb1ba277b2c6bad4cd985cf787b80b1/image.png)
1. 新建一个列表过滤对其绑定数据段。
![](//mc.qcloudimg.com/static/img/8e2ec8d5cc9efd08d1a141e8851c9252/image.png)
2. 新建交叉表、文本、仪表、图表，对其分别绑定与列表过滤相同的数据源中的数据段，其中文本、仪表绑定的数据段为 ID，对 ID 求总和，交叉表和图表为聚合表。
![](//mc.qcloudimg.com/static/img/6efd958e83f44c861025be390a9d69ae/image.png)
3. 列表过滤对其进行筛选，如下图所示。列表过滤对表同样具有筛选作用。
![](//mc.qcloudimg.com/static/img/2e6bf5005048942018040a2daf982ba6/image.png)
### 列表过滤与列表过滤之间的状态影响
状态的介绍：
<style>
table th:first-of-type {
    width: 100px;
}
</style>

| 列表过滤是否有选中选项 | 选中状态 | 是否被其他列表包含 | 状态 |
|---------|---------|---------|---------|
| 本列表过滤中有选项 | 选中 | 包含 | 选中<img src="//mc.qcloudimg.com/static/img/af864641bbe3db4d4165ff16a32c36b1/image.png" style="margin:0;"> |
| 本列表过滤中有选项 | 未选中 | 包含 | 可选<img src="//mc.qcloudimg.com/static/img/51a4b2a787ada7fc0628412f68c81712/image.png" style="margin:0;" > |
| 本列表过滤中有选项 | 选中 | 不包含 | 已选冲突<img src="//mc.qcloudimg.com/static/img/6ec11636c9d4f07e57218f7f7ed05a05/image.png" style="margin:0;"> |
| 本列表过滤中有选项 | 未选中 | 不包含 | 未选冲突<img src="//mc.qcloudimg.com/static/img/9a75d0ba98990b4ca1d2d030684b1e25/image.png" style="margin:0;"> |
| 本列表过滤中没有选项 | 无 | 包含 | 隐含<img src="//mc.qcloudimg.com/static/img/152bd69bb75c14b8b3a37cdaed8a508a/image.png" style="margin:0;"> |
| 本列表过滤中没有选项 | 无 | 不包含 | 未选冲突 <img src="//mc.qcloudimg.com/static/img/9a75d0ba98990b4ca1d2d030684b1e25/image.png" style="margin:0;"> |
假设一数据源包含 market_size、market、ID 三个数据段，其中 Major Market 包含 Central、Weat，Small Market 包含 East、South，数据如下表所示：
![](//mc.qcloudimg.com/static/img/f8be6569aac4556b4843bb3025ddc2c9/image.png)
1. 创建两个列表过滤，一个绑定 market_size 数据段，一个绑定 market 数据段。
![](//mc.qcloudimg.com/static/img/2e8160f90751d00e8a9c6846d145e459/image.png) 
2. 在第 2 个列表过滤中勾选 Central，第 1 个列表过滤中不勾选任何选项，则第 1 个列表过滤是被影响列表，其中 Major Market 处于隐含状态，其他处于未选冲突状态。
![](//mc.qcloudimg.com/static/img/37b3ee20bd38a8bc88bb2a4df439e316/image.png)
3. 在第 1 个列表过滤中勾选 Small Market 选项，则在第 2 个列表过滤中的 East&South 处于隐含选中状态， West 处于未选冲突状态， Central 值处于已选冲突状态。
![](//mc.qcloudimg.com/static/img/7d626c4acd8fa8642014890019f7c0f1/image.png)

