## 仪表盘编辑器
通过仪表盘编辑器可以定制各种组件来展现数据。一个仪表盘是一个数据集的可视化展现。数据集是通过数据集编辑器定义的。此数据集编辑器可以将多种数据源的数据混合起来，构建返回业务逻辑的数据集。
一个仪表盘将开发好的数据集表提取数据，用一种直观和交互式可视化界面来展现。你可以使用仪表盘浏览任何固有层次结构的数据，您可以添加新的信息来做 “假设” 分析等先进的应用。
本文档讨论仪表盘的一些基本功能和编辑器界面，帮助您迅速创建仪表盘。
### 启动仪表盘编辑器
1. 单击制作报告按钮后，进入到仪表盘编辑器的首页界面。
![](//mc.qcloudimg.com/static/img/adfc6a341041002b8f81f3c8e4199724/image.png)
2. 在仪表盘编辑器首页界面，可以选择不同的主题来创建仪表盘。单击主题的图标进入到不同的主题。
![](//mc.qcloudimg.com/static/img/f5a2d181d4937f5475c8bddf2c718526/image.png)
也可以单击 “新建” 按钮，打开仪表盘编辑器，来创建仪表盘，展现数据。
### 布局方式
仪表盘编辑器包含两种布局方式：智能布局和自由布局，其中默认为智能布局。可通过仪表盘属性切换为自由布局，但暂不支持由自由布局切换为智能布局。在智能布局下，每个组件放在格子中并且按照一定的规则进行排列展示，可以实现组件之间无空隙快速布局。
![](//mc.qcloudimg.com/static/img/116671c359fa528d812c073d0201f40e/image.png)
#### 智能布局
##### 增加组件
用户根据需要选择组件，通过鼠标拖拽至仪表盘时，依据鼠标的位置判断组件的插入位置。
![](//mc.qcloudimg.com/static/img/9c64fdac2c95825869b64f158239a2eb/image.png)
插入组件时，组件的宽是自适应的，根据组件的插入位置以及行内容动态设定宽度，以保证横向铺满。
>**注意：**
>智能布局暂不支持过滤容器组件。

在新的仪表盘中插入一个组件，组件的宽会自适应来进行智能布局。而在已有组件的仪表盘继续插入新的组件时，会根据拖拽组件时鼠标的所在位置判断插入位置，插入组件并进行智能布局。

1. 整体插入响应区
智能布局中的组件是按照一个格子一个格子进行排列的，格子之间的间距为固定值 12px。当鼠标悬停在格子之间会触发整体插入响应区，插入效果如下图所示：
![](//mc.qcloudimg.com/static/img/52ab0480035a2955ea85a0c0076dfa09/image.png)
插入组件的高度 = 组件 A 的高度 + 组件 C 的高度 + 12px
12px 表示：智能布局下两个相邻格子之间的间距.
插入组件的宽度：
假设仪表盘的宽为 1，插入的组件为 D，插入组件 D 之前，组件的宽度之比为 A : B = 1 : 1.2，插入组件 D 之后，组件的宽度之比为 A :  D : B = (2/3) \* (1/2.2) : 1 / 3 : (2/3) * (1.2/2.2)。
插入结果如下图所示：
![](//mc.qcloudimg.com/static/img/4172d1e9601c29bd931cd36a78379b20/image.png)
2. 整体局部插入响应区
当组件的宽度 / 高度小于 36px 时，鼠标悬停在格子边框向内 6px 的范围内，会触发整体局部插入响应区；
当组件的宽度和高度大于等于 36px 时，鼠标悬停在格子边框向内 12px 的范围内，会触发整体局部插入响应区, 插入效果如下：
![](//mc.qcloudimg.com/static/img/a8e4f5acf7f8fe7b8f4b14cbeb17b5f5/image.png)
插入组件的高度 = 组件 A 的高度; 
插入组件的宽度与整体插入响应区时的计算方法相同。
插入结果如下图所示：
![](//mc.qcloudimg.com/static/img/5a130e5d5ac5dd85039ed87e0cb2c732/image.png)
3. 组件内部插入响应区
当鼠标悬停在组件的左右 1/3 区域时，即下图蓝色区域内，触发组件内部左右响应区。
![](//mc.qcloudimg.com/static/img/0cce77535549f3a728f8fc4820e1a3d4/image.png)
插入到组件右侧时，插入效果如下：
![](//mc.qcloudimg.com/static/img/a4307f8e9664a5a494737b6fe163f186/image.png)
插入组件的高度 = 组件 A 的高度；
插入组件的宽度 = ( 组件 A 的宽度 - 12px）/ 2
插入结果如下图所示：
![](//mc.qcloudimg.com/static/img/2c7e785bc05610ffb9a81acac23076b2/image.png)
当鼠标悬停在组件的中间 1/3 区域时，即下图红色区域内，触发组件内部上下响应区。
![](//mc.qcloudimg.com/static/img/0cce77535549f3a728f8fc4820e1a3d4/image.png)
插入到组件上侧时，插入效果如下：
![](//mc.qcloudimg.com/static/img/7e08c50cb68ffc435acd0e83f2f79ed7/image.png)
插入组件的高度 = ( 组件 A 的高度 - 12px) / 2；  
插入组件的宽度 = 组件 A 的宽度
插入结果如下图所示：
![](//mc.qcloudimg.com/static/img/01a6f26fb4940e809adcc08de7060ec5/image.png)
>**注意：**
>选项卡组件不会触发组件内部插入响应区，当其他组件移入选项卡组件内部时，默认插入到选项卡内部。

#### 删除组件
当用户需要删除组件时，首先需要选中需要删除的组件，在该组件上右键选择删除组件选项，则可把当前组件从仪表盘编辑区中删除，用户还可使用快捷键 Delete 来快速删除组件。
当用户需要一次删除多个组件时，需要使用 Ctrl 键同时选中多个组件进行删除，还可以使用 Ctrl+A 全选仪表盘中的所有组件进行删除。
![](//mc.qcloudimg.com/static/img/25bdf33066a7bfd24a09bc3c878c4379/image.png)
组件删除时，周围的组件会进行智能布局。组件优先以横向扩展，优先左侧的组件补充空白。
>**注意：**
>选项卡中的组件通过选项卡组件属性删除时，默认将删除的组件添加到最下端。

#### 隐藏组件
隐藏组件包含两种形式，通过在组件的属性中设置组件不可见和组件输出不可见。
当组件不可见时，制作报告的此组件会显示为置灰状态，预览或在查看报告查看此报告时，不可见的组件隐藏掉了，其他组件进行智能布局。查看效果与移除组件相同。
当组件输出不可见时，不会影响组件在制作报告和查看报告的显示，只有在输出报告时，输出不可见的组件隐藏掉了，其他组件进行智能布局。查看效果与移除组件相同。
#### 摆放位置
##### 拖拽移动
组件可以通过拖拽移动调整位置，被拖拽移动的组件呈半透明状态，此时拖拽组件到新位置的插入行为与新建组件插入行为一致。
原有位置变化规则为该组件所在行内组件按照比例自适应行宽，非最大高度的组件调整位置后，原有临近的组件高度按比例自适应最大行高。优先以横向扩展，优先由左侧的组件补充空白。
![](//mc.qcloudimg.com/static/img/130ad11d0cff343b847d99907b0a9a23/image.png)
1. 临近组件宽度变化
移动前：
![](//mc.qcloudimg.com/static/img/fb355209b7d368ead4c97926de660631/image.png)
移动后：
![](//mc.qcloudimg.com/static/img/e28d9ece45b247c2261e114c4dcb8750/image.png)
2. 临近组件高度变化
移动前：
![](//mc.qcloudimg.com/static/img/f828d1bb309a00023ad34d44c577c911/image.png)
移动后：
![](//mc.qcloudimg.com/static/img/a6f798d38bf710e7693bcf2f24dd98af/image.png)
同时移动多个组件的时候，插入原则不变，插入组件的顺序按照移动组件之前组件的相对位置：先上后下，再左再右，再上层下层。
>**注意**
>智能布局下不能同时移动悬浮组件和非悬浮组件。

##### 尺寸修改
智能布局下，用户可以对单个组件或者一行 / 列组件进行宽度 / 高度的修改。当鼠标悬停在组件边界上时，会使鼠标状态变为双向箭头状，此时可以按住鼠标左键向上 / 下，左 / 右移动鼠标修改组件的尺寸。
1. 调整单个组件的尺寸
当鼠标悬停在组件 B 的边框上时，鼠标呈双向箭头状，按住鼠标左键向左 / 右移动鼠标对组件 B 宽度进行调整，从而组件 C 的宽度也自适应调整。
调整前：
![](//mc.qcloudimg.com/static/img/a016bceb45e2f4e21547587558b0ae8d/image.png)
调整后：
![](//mc.qcloudimg.com/static/img/eb703fac705322788fe0049bced57d24/image.png)
2. 调整一行 / 列组件的尺寸
当组件严格排列在一行或者一列时，当鼠标悬停在行 / 列的间距处，鼠标呈双向箭头状，同时触发组件的对齐线，见下面截图。按住鼠标左键向左 / 右移动鼠标对第一列组件（组件 A 和组件 B）宽度进行调整，从而第二列组件（组件 C 和组件 D）的宽度也自适应调整。
调整前：
![](//mc.qcloudimg.com/static/img/158d78397d03030484beebe416ccd43a/image.png)
调整后：
![](//mc.qcloudimg.com/static/img/9bfc6829fcd17e8bbe8d029bfd1ad2b3/image.png)
#### 复制 / 剪切组件
当用户需要复制 / 剪切组件时，首先选中需要复制 / 剪切的组件，在该组件上右键选择复制 / 剪切组件选项，然后在指定区域右键选择粘贴组件（或快捷键 Ctrl+V），则可把当前组件从仪表盘编辑区中剪切 / 复制到指定仪表盘的指定区域。
当用户需要一次复制 / 剪切多个组件时，需要使用 Ctrl 键同时选中多个组件，然后使用快捷键 Ctrl+C 复制 / Ctrl+X 剪切。还可以使用 Ctrl+A 全选仪表盘中的所有组件进行复制 / 剪切。
![](//mc.qcloudimg.com/static/img/f304f5f14d53de241713257a7fadbc43/image.png)
在智能布局粘贴组件时，鼠标单击的位置作为插入位置，插入复制 / 剪切的组件。当同时粘贴多个组件时，组件插入顺序的原则与移动组件时相同：先上后下，再左再右，再上层下层。
粘贴的组件的尺寸与插入位置有关，当插入到新的一行时，会保持原有组件的高度，宽度自适应；当插入的位置不是新的一行时，会根据插入位置自适应组件的高度和宽度。
### 自由布局
#### 增加组件
用户根据需要选择组件，通过鼠标拖拽，可定位组件在仪表盘编辑区的位置。
![](//mc.qcloudimg.com/static/img/9c64fdac2c95825869b64f158239a2eb/image.png)
#### 删除组件
当用户删除指定组件时，其他组件的位置保持不变，当前删除组件的位置会空白。
删除组件前:
![](//mc.qcloudimg.com/static/img/8bb5ecd2479fa41d7b448df293dc926a/image.png)
删除组件后:
![](//mc.qcloudimg.com/static/img/f33c44fb86db0f2b8385d825ae3e8b6e/image.png)
#### 隐藏组件
隐藏组件包含两种形式：组件不可见和组件输出不可见。
当组件不可见时，制作报告的此组件会显示为置灰状态，预览或在查看报告查看此报告时，不可见的组件所在位置显示空白，其余组件的位置和大小保持不变；
当组件输出不可见时，不会影响组件在制作报告和查看报告的显示，输出报告时，输出不可见的组件所在位置显示空白，其余组件的位置和大小保持不变。
#### 摆放位置
##### 拖拽移动
用户可通过鼠标拖拽来移动组件到编辑区中指定的位置。当组件被鼠标拖拽时会形成半透明状态的组件，用户可把此半透明状态的组件摆放到指定的位置。
![](//mc.qcloudimg.com/static/img/4484784c72983adf9ce2a55aa6712bc3/image.png)
##### 组件之间的对齐
两组件或多组件之间可以互相对齐。
当拖拽组件移动的时候，系统会出现绿色对齐提示线，方便用户对齐组件。下面以两组件为例，举例说明。
* 两组件之间的上对齐：
![](//mc.qcloudimg.com/static/img/534d0e0d3ca367b46fe84274fd7a9f85/image.png)
* 两组件之间的内部居中对齐：
![](//mc.qcloudimg.com/static/img/d52ef5038afaef93c116237c68797c9c/image.png)
##### 尺寸修改
用户可对组件进行横向纵向尺寸的修改，当鼠标处于调整尺寸状态时可对当前组件的尺寸进行设定。本产品支持从组件的边框以及右下角进行尺寸调整。
![](//mc.qcloudimg.com/static/img/0151824d736e33454e00e0baf0e3cfaa/image.png)
调整组件大小的同时，绿色对齐线提示线会辅助用户对齐组件。
例如：要调整日期组件与表格组件的高度一致。可以拖拽日期组件到如图所示的位置，会显示绿色的对齐线，并且会悬停提示调整后组件的宽和高的像素， W 代表宽， H 代表高。
![](//mc.qcloudimg.com/static/img/4865d4ed953508187baf09b994296be0/image.png)
松开鼠标，则日期组件与表格组件对齐且高度一致，效果如下图：
![](//mc.qcloudimg.com/static/img/c3947e13cf9a46ec167e1b53e39c5982/image.png)
#### 复制 / 剪切组件
将组件复制 / 剪切后，粘贴到自由布局的仪表盘时，以鼠标单击的位置作为粘贴的起始点，粘贴后，保持原有组件的尺寸和布局不变。





