图表组件（Chart）是以图表的形式展现数据的载体。图表可以绑定任意一查询的多个字段。图表组件除了有表格组件支持的功能外， 还有自身特有的、更丰富的功能。

一个组数据系列采用什么形式（颜色、符号、形状、纹理）显示在图表上，被称作标记。支持的标记种类包括点图、线图、面积图、柱状图、饼图、雷达图、组织图、气泡、词云、矩形图等。

为给图表支持丰富的交互，图表被划分为多个区域。大粒度来讲，可以分成 Title（标题）、 Axis （轴）、Legend （图列）、 Mark （标记）。另外还有一个图表对象的大底图，我们称为 Chart Area，它是整个图表的最外层容器。还有一个专门放标记的基址图，是在中间的部分，可以理解为所有标记的容器，或底图，我们称为 Plot Area。包含关系是：Chart Area 包含 Title、 Axis、 Plot、 Legend，Plot 包含 Mark 和 Grid line （网格线）， 以后还会包含 Target Line、 Trend Line、 Form （Annotation）等。大粒度的区域又可以包含小粒度的区域。例如，标题分 X 方向和 Y 方向。轴分成 Label、 Tick、 Line。图例分 Title、Item、 Band 等， 标记又分不同类型的 Mark。
### 创建图表
本产品支持两种方法来创建图表。
* 拖拽工具条上的图表按钮 <img src="//mc.qcloudimg.com/static/img/4450ba94e5b41bd6270a4ffac585ad60/image.png" style="margin:0;"> 到仪表盘编辑区，则在仪表盘中生成图表。
* 单击工具条上的组件按钮，在其下拉列表中拖拽图表到仪表盘编辑区，则在仪表盘编辑区中创建图表。
![](//mc.qcloudimg.com/static/img/1c6ef01c90f7ef49f1a3fc3c90531afe/image.png)
### 绑定数据段
图表：把鼠标移动到图表内的 “点击以绑定数据” 图标，鼠标变成手状，点击则可打开图表的绑定界面。或者在图表上右键选择绑定，打开图表的绑定界面；绑定界面包含三部分：查询树、美化界面以及图表的绑定窗口。在查询树中支持 Shift 键连续选中，以及 Ctrl 键不连续多选。
图表支持以下三种方式来绑定数据段：
#### X 轴或 Y 轴绑定
X/Y 轴绑定，有以下三种方法：
* 拖拽数据段到绑定窗口实现 X 轴或 Y 轴绑定，如图所示。
![](//mc.qcloudimg.com/static/img/a3943194e54bf72908f05f6cbf1c7a2e/image.png)
也可以拖拽数据段到绑定窗口替换绑定。
* 拖拽数据段到图表区域的 X 轴、Y 轴、图表展示区域实现绑定，初始状态的 X 轴和 Y 轴的划分区域如图所示。
>**注意：**
>深灰色的是图表展示区域。

![](//mc.qcloudimg.com/static/img/b140013a4542818d5327bce318fd562a/image.png)
也可以拖拽数据段到 X 轴或者 Y 轴替换绑定。还可以拖拽数据段在 X 轴或 Y 轴插入绑定（可以插入到 X 轴数据段的顶部或底部或者插入到 Y 轴的左侧或者右侧），如图显示。
![](//mc.qcloudimg.com/static/img/1479d915741db0b6535c6fb4d8aad1f8/image.png)
* 双击查询树列表的数据段实现绑定。

#### 标记组的绑定方法
* 拖拽数据段到图表区域实现绑定( 标记组添加数据段的规则：数据绑定在标记组上，顺序为颜色、形状、大小、标签；如都绑定了字段，再进行拖拽到区域绑定，只在颜色上进行改变)，如图所示。
![](//mc.qcloudimg.com/static/img/23c89f6ea61b66636356cdb5233e9a21/image.png)
* 拖拽数据段到标记组窗口实现绑定。

### 移除数据段
移除绑定数据段，有以下三种方法：
* 绑定窗口的下拉列表中选择删除。
* 拖拽绑定窗口的数据段到查询树中实现移除。
* 拖拽绿色小三角到查询树中实现移除。如图所示。
![](//mc.qcloudimg.com/static/img/859153315601ccf91cf59f022ea99a54/image.png)

### 图表类型
图表包括多种类型，如柱状图、线图、点图、雷达图、组织图等，下面详细介绍图表的类型。
切换图表类型的方式有两种，一种是通过下拉列表切换图表类型，另一种是直接单击切换图标更改图表类型。
* 通过绑定下拉列表切换图表类型。
![](//mc.qcloudimg.com/static/img/11e95fb930ace0549d2a254a567757e0/image.png)
* 通过单击标记图标切换图表类型。
单击下图中红色框内区域。
![](//mc.qcloudimg.com/static/img/1d5cdcffe41ca0d1587418ced8849d43/image.png)
弹出如下图所示的对话框，即可切换。
![](//mc.qcloudimg.com/static/img/c5358b6f21d56a874b664d710fe83c81/image.png)
* 地图图表类型的切换
直接绑定地图列字段或通过切换图表类型都可将图表类型转化为地图类型。由地图转化为其他类型图表时，需先清空字段，再重新绑定后切换图表类型。

#### 柱状图
柱状图用于显示一段时间内的数据变化或显示各项之间的比较情况。 在柱状图中，通常沿横坐标轴组织类别，沿纵坐标轴组织值。
![](//mc.qcloudimg.com/static/img/ff4268a8d4b60cb9abfd49dee57a6ab5/image.png)
#### 堆积柱状图
堆积柱状图显示单个项目与总体的关系，并跨类别比较每个值占总体的百分比。堆积柱状图使用二维垂直堆积矩形显示值。当有多个数据系列并且希望强调总数值时，可以使用堆积柱状图。
![](//mc.qcloudimg.com/static/img/5963b107fe1af8742e79bffa75954a7f/image.png)
#### 3D 柱状图
3D 柱状图使用三维透视效果显示数据，使用隐藏的第三条数值轴。
![](//mc.qcloudimg.com/static/img/835cbce728ca855aa6fb831395ffc1a1/image.png)
#### 3D 堆积柱状图
3D 柱状图使用三维透视效果显示数据。
![](//mc.qcloudimg.com/static/img/053855630bfc8d42416ed3217cc0cef3/image.png)
#### 线图
折线图可以显示随时间（根据常用比例设置）而变化的连续数据，因此非常适用于显示在相等时间间隔下数据的趋势。在折线图中，类别数据沿水平轴均匀分布，所有值数据沿垂直轴均匀分布。
![](//mc.qcloudimg.com/static/img/80991de95965e2595c03923a617e13eb/image.png)
#### 堆积线图
堆积折线图可用于显示各个值的分布随时间或排序的类别的变化趋势，但是由于看到堆积的线很难，因此请考虑改用其他折线图类型或者堆积面积图。
![](//mc.qcloudimg.com/static/img/14f039d8e2018958eeaa1da204a82770/image.png)
#### 点图
点图显示若干数据系列中各数值之间的关系，或者将两组数绘制为 XY 坐标的一个系列。
点图有两个数值轴，沿横坐标轴（X 轴）方向显示一组数值数据，沿纵坐标轴（Y 轴）方向显示另一组数值数据。点图将这些数值合并到单一数据点并按不均匀的间隔或簇来显示它们。点图通常用于显示和比较数值，例如科学数据、统计数据和工程数据。
![](//mc.qcloudimg.com/static/img/d3d3e055b90dc57c060d58377c778147/image.png)
#### 堆积点图
堆积点图可用于显示各个值的分布随时间或排序的类别的变化趋势，但是由于看到堆积的线很难，因此请考虑改用其他折线图类型或者堆积面积图。
![](//mc.qcloudimg.com/static/img/9739bbc9d5c8e6105bd1c10080181688/image.png)
#### 面积图
面积图强调数量随时间而变化的程度，也可用于引起人们对总值趋势的注意。例如，表示随时间而变化的利润的数据可以绘制在面积图中以强调总利润。
![](//mc.qcloudimg.com/static/img/1953aa9ab5758182555b4b3e75b3b2b2/image.png)
#### 堆积面积图
通过显示所绘制的值的总和，面积图还可以显示部分与整体的关系。
![](//mc.qcloudimg.com/static/img/97427bd8890b6a05a4e718e9b3931260/image.png)
#### 饼图
饼图只有 X 轴绑定度量字段或只有 Y 轴绑定度量字段。饼图显示一个数据系列（数据系列：在图表中绘制的相关数据点，这些数据源自数据表的行或列。图表中的每个数据系列具有唯一的颜色或图案并且在图表的图例中表示。可以在图表中绘制一个或多个数据系列。饼图只有一个数据系列。）中各项的大小与各项总和的比例。饼图中的数据点 （数据点：在图表中绘制的单个值，这些值由条形、柱形、折线、饼图或圆环图的扇面、圆点和其他被称为数据标记的图形表示。相同颜色的数据标记组成一个数据系列。）显示为整个饼图的百分比。
![](//mc.qcloudimg.com/static/img/c8643c375cbdeed9c262a1f8fe9c0231/image.png)
#### 3D 饼图
3D 饼图使用三维透视效果显示数据。
![](//mc.qcloudimg.com/static/img/b11fe5ad62ce065a99cc217e69cbe110/image.png)
#### 环状图
环状图只有 X 轴绑定度量字段或只有 Y 轴绑定度量字段，可以绘制到环状图中。显示数据的方式和饼图一样。
![](//mc.qcloudimg.com/static/img/549ffd184a09bf5a1c2d61b8fb30a5a9/image.png)
#### 雷达图
雷达图可只绑定度量，也可在轴上绑定维度来展示度量数据。
第一个轴以角度 90 度起。轴上只绑定度量时，会根据度量数进行等分；轴上既绑定了度量，又在对面绑定了维度，会根据维度数进行等分，逆时针分布所有的维度。
网格线将一直显示，如下图。
![](//mc.qcloudimg.com/static/img/079274741fb68207693ac99b8dac2be9/image.png)
雷达图显示各值相对于中心点的变化，其中可能显示各个数据点的标记，也可能不显示这些标记。
![](//mc.qcloudimg.com/static/img/8d35bbd8e1747f5f7f36aa866301ca31/image.png)
#### 填充雷达图
在填充雷达图中，由一个数据系列覆盖的区域用一种颜色来填充。
![](//mc.qcloudimg.com/static/img/35dd5e0c0f5be4766fdc4dd3efdf23c0/image.png)
#### 瀑布图
瀑布图可显示数据的累积效果，最后进行汇总。
当用户需要对汇总的柱子进行大小或颜色等的调整时需要通过该柱子的右键菜单中相对应的属性或格式进行设定。
![](//mc.qcloudimg.com/static/img/9d5041d27e13766e9b2df031d71715f7/image.png)
#### 帕累托图
帕累托图是按照发生频率大小顺序绘制的直方图，表示有多少结果是由已确认类型或范畴的原因所造成。它是将出现的质量问题和质量改进项目按照重要程度依次排列而采用的一种图表。可以用来分析质量问题，确定产生质量问题的主要因素。
当用户需要对帕累托图的线进行大小或颜色等的调整时需要通过该线的右键菜单中相对应的属性或格式进行设定。
![](//mc.qcloudimg.com/static/img/4a1ae39e9746498b3fd75734c58e5e9b/image.png)
#### 气泡图
气泡图可用气泡的颜色、大小、数目等来形象的反映出仪表盘中数据的定量关系。
创建气泡图，通常需要先绑定字段到 X 轴或 Y 轴上，然后单击字段前面的图标或通过字段下拉菜单中的图表类型>更多，转化为气泡图。
#### 词云图
词云图类似于气泡图。对于关键词予于视觉上的突出，形成 “关键字云层” 或 “关键字渲染” 从而大量过滤掉相对不重要信息，帮助浏览者找到它的关键信息。
创建词云图，通常需要先绑定字段到 X 轴或 Y 轴上，然后单击字段前面的图标或通过字段下拉菜单中的图表类型>更多，转化为词云图。
![](//mc.qcloudimg.com/static/img/2e6d43d0d4229f252c9c6ab1df6a53db/image.png)
#### 组织图
组织图又名组织结构图、组织架构图等，是企业的流程运转、部门设置及职能规划等最基本的结构依据。
**组织图的绑定**
首先在 X 轴或者 Y 轴上绑定一个字段，在图标类型中选择组织图来切换类型到组织图。在组织图中，通常绑定字段到组织图区域，绑定数值到标签，如下图所示。
![](//mc.qcloudimg.com/static/img/c1c72afced2a8bfe2c6f5bf2a542cd79/image.png)
**组织图的钻取**
组织图的钻取不同于其它图表，主要是将分支收起和展开，钻取的符号在标记上，如下图。
![](//mc.qcloudimg.com/static/img/9af61e82ef5e3da9c5181ee4d1fff499/image.png)
也可选择标记的右键菜单里的下钻 / 上钻来实现钻取。
**矩形树图**
矩形树图是一种有效的实现层次结构可视化的图表结构，全称是矩形式树状结构图。
首先在 X 轴或者 Y 轴上绑定一个字段，在图标类型中选择组织图来切换类型到矩形树图。在矩形树图中，通常绑定字段到矩形树图区域，绑定数值到大小和标签，如下图所示。
![](//mc.qcloudimg.com/static/img/38f93b14cba0b56fbcd4d58f8b295c7d/image.png)
#### 地图
用户可通过地图来统计不同区域的销售等指标。
地图分为两种数据类型，一种是区域数据，一种是点数据，具体名称请参考下表。其中 “自定义” 是用户提供的地图数据。
<style>
table th:first-of-type {
    width: 100px;
}
</style>

|  | 区域数据 | 点数据 |
|---------|---------|---------|
| 自定义 | 区域 | 点 |
| 世界大洲 | 大洲（区域） | 大洲（点） |
| 世界国家 | 国家 | 市 |
| 世界省份 | 省 | 市 |
| 世界城市 | 市 | 市( 点) |
| 世界县城 | 县( 区域)| 县( 点)|
| 澳大利亚 | 州| 市 |
| 法国 | 大区 | 省|
| 加拿大 | 省 | 市|
| 美国 | 州 | 郡|
| 日本 | 地区 | 都/ 道/ 府/ 县|
| 英国 | 地方 | 郡|
| 中国 | 省 | 市|
区域数据又有两种渲染方式：区域渲染和点渲染，用户可在已绑定字段的下拉列表中选择渲染类型；而点数据只能是点渲染。
地图中有两种方式来定位，通过经纬度来定位与通过地标来定位。
通过经纬度来定位
经纬度接收的字段类型为处于维度和度量目录下的数值类型的字段。
![](//mc.qcloudimg.com/static/img/a6e70492c0191e8ed75203594bbeaf00/image.png)
如果是第一次绑定经纬度字段，会根据经纬度数据自动匹配相应的国家地区。
在绑定的度量字段的下拉列表中，可以设置地理信息，例如：世界国家、中国、美国等。
**通过地标来定位**
地标行接收的字段类型为字符串类型，在地标处绑定字段时，首先要将字段转换为地图列才能进行绑定，如下图所示。
![](//mc.qcloudimg.com/static/img/5a5832378e9528b64705d151bd9c43f8/image.png)
若是用户第一次编辑地图列会弹出提示对话框：地图列是全局属性，继续修改？若选择 “是” 并勾选 “记住我的选择” 则修改属性并且以后将不再弹出此提示，若选择 “否” 则不修改。如果不慎误选了 “记住我的选择”，则需先退出产品再清除浏览器（cookie）缓存，即可。
选择 “是” 打开地图列对话框，如图所示。
![](//mc.qcloudimg.com/static/img/2399134761e233a3482143b5a41e2ebe/image.png)
【地理信息】选择地图的地理信息，例如世界国家、世界省份、世界城市、世界县城（目前只包括中国地区）、中国、美国等。
【地理数据】地图的匹配数据类型， “国家” 是区域数据有两种渲染方式：区域渲染和点渲染，用户可在已绑定字段的下拉列表中选择渲染类型。“市” 是点数据只能是点渲染。
【地理数据匹配】单击绿色图标，打开地理数据匹配对话框，进行数据匹配，如下图。
![](//mc.qcloudimg.com/static/img/3379767b3520b593c6c6c9dca503139b/image.png)
本产品提供了四种匹配算法，已匹配的数据将在地图中显示，如下图所示。
![](//mc.qcloudimg.com/static/img/dff65da1c21800cd0250a4bf2dc57ab9/image.png)
**类型**
用户可在已绑定字段的下拉列表中选择类型：区域渲染或者点渲染。
用户可选择世界或者某个特定国家的地图，展现形式为区域渲染或点渲染。
世界地图且为区域渲染如下图所示。
![](//mc.qcloudimg.com/static/img/83f61627b9587f8d0dd13c819ac8fe6b/image.png)
中国地图且为点渲染如下图所示。
![](//mc.qcloudimg.com/static/img/3423f7a3028e19f2224c7716f4cd601c/image.png)
当地图选择的类型为点渲染的时候，可以将 Map 上面的点标记为饼图，只需要在美化界面上绑定相应的字段，如下图所示。
![](//mc.qcloudimg.com/static/img/d9f8d03ebf2f75700728b89725640342/image.png)
**地图钻取**
Map 天生就存在着一定的层次（Hierarchy），比如一开始是全球，用户可以选中国，下钻，显示中国的各个省，选中广东，下钻，可以显示广东的各个城市，也可以通过上钻返回。地图的定义有两种，一种是通过地标列，另外一种是通过 X、Y 经纬度的绑定，第一种才支持钻取，第二种无所谓上下层级关系，所以不支持。
当用户绑定带有层次的字段后，在地图上直接右键单击就可以直接上钻或者下钻，如下图所示。
![](//mc.qcloudimg.com/static/img/5a5f30ec30424f22847aa02b45ff5fc3/image.png)
### 美化界面
图表的美化包含标记颜色、标记图案、标记形状、标记大小、以及标签的设置。其中标记图案和标记形状是互斥的，其中点图、线图、面积图、雷达图设定标记的形状，而其他图表类型则是设定图案。
美化界面提供标记组来对标记进行分组以及不同类型标记的美化，还提供共享机制更加方便用户的使用。
#### 美化界面打开方式
新建一个图表，打开其绑定界面，然后给表绑定数据后，则在查询树的下边打开美化界面，如下图所示。
![](//mc.qcloudimg.com/static/img/60b5cd0cf932b72656fe308aadc2af93/image.png)
#### 标记颜色
用户可通过此属性来设定标记的颜色，本产品提供单色和双色模式。在单色模式或双色模式对话框中用户可选择颜色的渐变方向。当用户不勾选效果时，标记的颜色高亮显示，当勾选效果时，颜色度量降低。
![](//mc.qcloudimg.com/static/img/e9e7974ca15d67ca511eeeb672334ee7/image.png)
用户还可拖拽当前查询中的数据段到颜色行中，则在图表上生成相应的图例，当用户拖拽维度目录下的数据段时，在图表上生成非连续的图例；当用户拖拽度量目录下的数据段时，在图表上生成连续的图例。
![](//mc.qcloudimg.com/static/img/513d14e3acded6f4fbd8aaf0fb70873b/image.png)
用户还可在已拖拽的数据段的下拉列表中对图例的颜色进行编辑。维度数据段的颜色编辑对话框中存在反转选项，当勾选此项后图例中的数据显示顺序颠倒。
![](//mc.qcloudimg.com/static/img/9d7f782f3d7e1a43bd554ac0e34dd8c4/image.png)
当用户拖拽度量目录下的数据段时，度量数据段的颜色编辑对话框中可设置图例的表现形式，可以以渐变、亮度、饱和度、或彩虹的形式来展现。当勾选上对数刻度属性时，图例的范围是按照该数据段的值的对数显示。用户可自定义图例显示的最小值以及最大值。也可以选择渐变离散，通过设置步长改变图例色。还可以通过反转改变图例色。
![](//mc.qcloudimg.com/static/img/5e02c6164053a60f3e4b8d615801efcb/image.png)
<style>
table th:first-of-type {
    width: 100px;
}
</style>

| 类型 | 说明 | 
|---------|---------|
| 渐变 | 从一个颜色到另一个颜色的渐变。RGB 都会变化。需要选定一个起点颜色，和终点颜色。 | 
| 亮度 | 亮度的线性变化。需要选择一个颜色作为基色。只改变其亮度。|
| 饱和度 | 饱和度的线性变化。需要选择一个颜色作为基色。只改变其饱和度。|
| 彩虹 | 按照彩虹的变化趋势。|
#### 标记图案
当图表类型是柱状图、饼图、环状图类型时，在美化界面上可设置标记的图案。在标记图案中用户可单击图片选项，打开图样编辑器来设定图片作为标记的图案。在图样编辑器对话框中用户双击左侧图片列表中的图片，则在右下方显示示例图片，用户可设定图片的类型，拉伸、重复、按比例重复。
![](//mc.qcloudimg.com/static/img/f05d88b2c6eb887f0d8aced3ca6489cf/image.png)
当用户选择拉伸时，标记只是显示一个图片；当用户选择重复时，标记按照固定比例重复显示图片；当用户选择按比例重复时，用户可设定单位长度，如 40000，则标记中每隔 40000 显示一个图片。当用户选择拉伸或重复时，不能设置单位，单位处于非激活状态。
![](//mc.qcloudimg.com/static/img/3ef38192fdba5c3b5d14fe776bace67e/image.png)
用户还可拖拽当前查询中的数据段到图案行中，则在图表上生成相应的图例，当用户拖拽维度目录下的数据段时，在图表上生成非连续的图例；当用户拖拽度量目录下的数据段时，在图表上生成连续的图例。
![](//mc.qcloudimg.com/static/img/0d5f487a45a110964ca22b915df6b652/image.png)
用户还可在已拖拽的数据段的下拉列表中对图例的图案进行编辑。维度数据段的图案编辑对话框中存在反转选项，当勾选此项后图例中的数据显示顺序颠倒。
![](//mc.qcloudimg.com/static/img/2296b7ee7ec7daa04aacb7950a80972f/image.png)
当用户拖拽度量目录下的数据段时，度量数据段的图案编辑对话框中可设置图例的表现形式，可以按横向、纵向、格子、左倾、右倾、或斜格子的形式来展现。当勾选上对数刻度属性时，图例的范围是按照该数据段的值的对数显示。用户可自定义图例显示的最小值以及最大值。
![](//mc.qcloudimg.com/static/img/e49e361c271c8f31b3f58fda47c8c524/image.png)
<style>
table th:first-of-type {
    width: 100px;
}
</style>

| 类型 | 说明 | 
|---------|---------|
| 横向 | 水平方向，由疏至密变化 | 
| 纵向 | 垂直方向，由疏至密变化 |
| 格子 | 十字网格，由疏至密变化 |
| 左倾 | 向左倾斜的方向，由疏至密变化 |
| 右倾 | 向右倾斜的方向，由疏至密变化 |
| 斜格子 | 倾斜的网格，由疏至密变化 |
#### 标记形状
当图表类型是点图、线图、面积图、雷达图类型时，在美化界面上可设置标记的形状。
![](//mc.qcloudimg.com/static/img/1381247b3a4e310d20fe4b382803c3e0/image.png)
用户还可拖拽当前查询中的数据段到形状行中，则在图表上生成相应的图例，当用户拖拽维度目录下的数据段时，在图表上生成非连续的图例；当用户拖拽度量目录下的数据段时，在图表上生成连续的图例。
![](//mc.qcloudimg.com/static/img/e3549ca25185393bae1000afad5b9132/image.png)
用户还可在已拖拽的数据段的下拉列表中对图例的形状进行编辑。维度数据段的形状编辑对话框中存在反转选项，当勾选此项后图例中的数据显示顺序颠倒。
![](//mc.qcloudimg.com/static/img/174f1877d32c90942398624389a214a8/image.png)
当用户拖拽度量目录下的数据段时，度量数据段的形状编辑对话框中可设置图例的表现形式，可以以填充图、填充饼图、多边形图、填充多边形图、梯形、或填充梯形的形式来展现。当勾选上对数刻度属性时，图例的范围是按照该数据段的值的对数显示。用户可自定义图例显示的最小值以及最大值。
![](//mc.qcloudimg.com/static/img/e2d890793210ff892e582d634292caae/image.png)
<style>
table th:first-of-type {
    width: 100px;
}
</style>

| 类型 | 说明 |
|---------|---------|
| 填充圆 | 变化方式：逐渐填满。 | 
| 填充饼图 | 变化方式：逐渐填满。 | 
| 多边形图 | 变化方式：逐渐边增多，达到趋向于圆。 | 
| 填充多边形图 | 变化方式：逐渐边增多，达到趋向于圆。 | 
| 梯形 | 变化方式：从倒三角形，变成倒梯形，变成方，变成正梯形，<br>最后趋向于正三角形。 | 
| 填充梯形 | 变化方式：从倒三角形，变成倒梯形，变成方，变成正梯形，<br>最后趋向于正三角形。 | 
| 填充矩形 | 变化方式：逐渐填满。 | 
#### 标记大小
通过此属性，用户可调节标记的大小。默认标记大小自动调整，自动选项被勾选，当用户调整标记大小后，不再勾选自动选项。
![](//mc.qcloudimg.com/static/img/fb5ce7443500e73c8589795b43717ebd/image.png)
用户还可拖拽当前查询中的数据段到大小行中，则在图表上生成相应的图例，当用户拖拽维度目录下的数据段时，在图表上生成非连续的图例；当用户拖拽度量目录下的数据段时，在图表上生成连续的图例。
![](//mc.qcloudimg.com/static/img/5266729173827e950b06a9929f943497/image.png)
用户还可在已拖拽的数据段的下拉列表中对图例的大小进行编辑。用户可选择图例显示大小的范围，维度数据段的大小编辑对话框中存在反转选项，当勾选此项后图例中的数据显示顺序颠倒。
![](//mc.qcloudimg.com/static/img/41bd8c3ba6f9438a68661d842a2ae0b9/image.png)
当用户拖拽度量目录下的数据段时，在度量数据段的大小编辑对话框中，当勾选上对数刻度属性时，图例的范围是按照该数据段的值的对数显示。用户可自定义图例显示的最小值以及最大值。
![](//mc.qcloudimg.com/static/img/815793bc80e841bf10aab4c1b63f118a/image.png)
#### 标记标签
用户可拖拽当前查询中的数据段到标签行，在图表标记上显示相应的标签值。
![](//mc.qcloudimg.com/static/img/25663a917b970fd6745372b662f4f124/image.png)
#### 移除数据段
用户可使用两种方法来移除已绑定的数据段：
* 用户可在已绑定数据段的下拉列表中选择移除选项，来移除当前数据段，如下图所示。
![](//mc.qcloudimg.com/static/img/540364861ae7bfcc3da43114d31d1b13/image.png)
* 直接使用鼠标拖拽到查询树中来删除当前数据段。
![](//mc.qcloudimg.com/static/img/1dc778e8be099061ca1df5f776c62c0c/image.png)

#### 调整大小

**纵向大小的调整：**
把鼠标移至下图红色框中的区域时，鼠标形状改变，通过上下移动来调整美化界面纵向的大小。
![](//mc.qcloudimg.com/static/img/ff64f18adc2a83679a4da7c1772d1246/image.png)
**横向大小的调整：**
把鼠标移至下图红色框中的区域时，鼠标形状改变，通过左右移动来调整美化界面横向的大小。
![](//mc.qcloudimg.com/static/img/35803f175608277fb95469e951a24dc2/image.png)
### 共享机制
在图例中最多显示 30 个值。针对离散类型数据段需要做一个映射关系，已绑定的数据段的 30 个值和美化界面的值相对应。用户可能有自己对颜色的偏好。当用户给一个图表的颜色行绑定城市字段，设定好颜色后，也许用户希望给另外一个图表的颜色行绑定城市字段, 默认的颜色映射关系就可能不是上次的映射，就需要用户再进行颜色的修改，但有可能改得不太一致，会导致用户的误解。一个图表的红色表示北京，另一个图表的绿色才是北京。为了减少此弊端，提供了一个共享机制，所有使用该字段的地方，都共享一套映射。
举例说明：
1. 新建一个图表，对其 XY 轴绑定好数据段，并在其美化界面的颜色行绑定 MARKET 数据段，并编辑图例的颜色，如下图所示。
![](//mc.qcloudimg.com/static/img/1b32e9992e61529d13f3fa7d2667c6bf/image.png)
2. 再新建一个图表，对其 XY 绑定不同于上图表的数据段，但其美化界面也绑定1）中的 MARKET 数据段，不对其进行颜色的编辑，则图例的颜色默认共享 1）中图例的颜色，如下图所示。
![](//mc.qcloudimg.com/static/img/7834d783420b62518cbc3468433fb719/image.png)
### 多美化指标
当图表中含有多个标记时，使用多美化指标可以给每个标记设置颜色，形状或图案，标记大小。当图表中只有一个标记时，多美化按钮处于非激活状态，当含有两个及更多个标记时，多美化按钮变成激活状态。
![](//mc.qcloudimg.com/static/img/9f98a3c81c4ed18af909e1412fb59fa2/image.png)
单击多美化按钮，则在美化界面上添加标记行，打开标记行中的下拉三角，则存在各个标记的数据段名称以及全部选项。用户可选择给其中一个标记设置特定的颜色、形状或图案、标记大小；也可选择全部，给所有标记设置统一的颜色、形状或图案、标记大小。
![](//mc.qcloudimg.com/static/img/ff9c72c6f046f2bb575c5a5b37249358/image.png)
假设给 总和\_SALES 标记设置不同的标记属性，如下图所示。
![](//mc.qcloudimg.com/static/img/d722f887cb0796ed1b60aefb64ee0f2a/image.png)
在图表含有多个标记的情况下，用户也可给特定的标记的颜色、图案或形状、大小、标签绑定该查询中的数据段，当用户绑定的是度量目录下的数据段时，则美化效果只适用于当前标记，若用户绑定的是维度目录下的数据段时，则美化效果适用于所有标记。
### 数据钻取
在图表上的钻取与在表格组件和交叉表组件上的钻取效果不同，在表格以及交叉表组件上的钻取是以增加维度或者减少维度信息的形式展现，而在图表上则是以替代的形式展现。
**举例说明：**
1. 如下图所示，创建一个图表，绑定层次字段年。
![](//mc.qcloudimg.com/static/img/134da1e5d1fed5359b3a69842057395c/image.png)
2. 对 2009 年的数据进行下钻，单击下钻符号，如下图所示。
![](//mc.qcloudimg.com/static/img/ef4d98b6140e705c84344ee821cc2a46/image.png)
3. 钻取结果为2009 年各个季度的数据统计，同时在绑定窗口中出现了季度字段，如下图所示。
![](//mc.qcloudimg.com/static/img/4fd94958f473b8be2218d83b9c0e2347/image.png)
4. 由于季度字段处于年字段与月字段之间，则在图表上同时显示了上钻按钮以及下钻按钮。当用户继续点击下钻按钮时，则显示2009 年第一季度的三个月份的数据统计；若单击上钻按钮，则再次显示 2009 年与 2010 年的数据统计。
![](//mc.qcloudimg.com/static/img/f1bcf2f6a7f24286b142d95c1388fcac/image.png)





















