图表的不同区域存在不同的交互功能，共有的交互功能包括分组/ 取消分组、叠放层次、移除组件、剪切组件、复制组件、粘贴组件。在图表轴的标题区域、轴及标签区域、标记区域、标记值区域、图表区域、图例区域有各自特有的交互功能。
### 共有的交互功能
【叠放层次】分为到顶部和到底部。当存在组件的重叠现象时，使用此功能可以调整组件的显示顺序。
【移除组件】在仪表盘中移除当前组件。
【复制组件 / 剪切组件】先选中选择列表，然后选择复制或剪切选项，再在仪表盘的指定位置单击鼠标然后右键选择粘贴。
【分组 / 取消分组】分组可以将两个字段进行合并成一组，那么取消分组就是将合并在一起的字段进行拆分的过程，在图标中，不光是标记能够实现分组的功能，图例也能进行分组，具体实例见表格的手册。
### 图表的标题区域
在图表的轴的标题区域右击，在其右键菜单中有标题选项以及隐藏标题选项，如下图所示。
![](//mc.qcloudimg.com/static/img/3d43e8b4bc29899fd3a3f8cda43a30be/image.png)
#### 标题
当用户单击标题选项时，打开标题对话框，用户可对相应轴的标题进行设置。用户可设置标题的名称以及标题的位置，当选择左或右时，用户可设置标题所占的宽度；当选择顶部或底部时，用户可设置标题所占的高度；当选择漂浮时，用户可设置相对 X 轴的距离、相对 Y 轴的距离、标题所占的宽度、标题所占的高度。
![](//mc.qcloudimg.com/static/img/26dbd4571fb852d2e6aa8ab88f643b24/image.png)
如下图所示，设置图表的 X 轴的标题悬浮在图表上。
![](//mc.qcloudimg.com/static/img/fdc04095506197b67d5f21226fb36977/image.png)
#### 隐藏标题
当用户单击隐藏标题后，相应的轴的标题会被隐藏掉。当用户在此图表的任何区域右键，右键菜单中有显示所有标题选项，当用户点击此项时，被隐藏的所有标题再次全部显示出来。
#### 显示所有标题
默认情况下，当 X 和 Y 轴同时存在时，图表的右键菜单中才会显示此项。选择此项后，打散 X 轴和 Y 轴的标题，两种轴的标题分别组合在一起，显示在相应的位置，如下图。
默认显示：
![](//mc.qcloudimg.com/static/img/4a89d8c181fa61ca72de9bae672d4303/image.png)
显示所有标题后：
![](//mc.qcloudimg.com/static/img/5c2506bc0df8fd8b38482f27f7b5d354/image.png)
### 轴及标签区域
在图表的轴上或其标签上右键，其右键菜单中有轴和隐藏轴选项。其中轴包括：标签、刻度和轴线。单击轴选项，可打开轴的属性对话框。点击隐藏轴选项可将相应的标签、刻度和轴线隐藏起来。当用户在此图表的任何区域右键，右键菜单中有显示轴选项，当用户点击此项时，被隐藏的所有轴再次全部显示出来。
![](//mc.qcloudimg.com/static/img/17fae9da68822f469f1a9b2afdd96e46/image.png)
当选择编辑 Y 轴选项时弹出了关于轴的对话框。
![](//mc.qcloudimg.com/static/img/75e528f2a182710c041753b793db0c63/image.png)
轴页面的属性如下：
【 Y 轴位置】设置 Y 轴的显示位置。
【标签位置】设置标签的显示位置。
【每多少间隔显示标签】设置每多少个刻度显示一个标签。
【标签可见】设置标签是否可见，勾选上是显示刻度。
【刻度位置】设置刻度的显示位置。
【刻度可见】设置刻度是否可见，勾选上是显示刻度。
【轴线可见】设置轴线是否可见，勾选上是显示轴线
【网格设置】自动、显示网格、隐藏网格：绑定度量时，自动为显示网格；绑定维度时，自动时不显示网格。
![](//mc.qcloudimg.com/static/img/7464bec901fbeb78fcbf3d441d2375a2/image.png)
刻度页面的属性如下：
【反转】是对轴的最大值和最小值的位置调换一下，并且 Mark 值也跟着变化
【忽略空值】计算的时候是否忽略空值
【对数刻度】对轴上的刻度取对数
【离散刻度】根据标记的值创建轴，轴上的刻度不是等分的，也就是说标记的值有那些数据，那么轴上就有相应的刻度在绑定窗口上和标记组绑定上也可以设置离散刻度。
修改 Y 轴上度量为离散：
![](//mc.qcloudimg.com/static/img/74bd1ebdf68897821bb7e5f200cfa367/image.png)
在图例上设置离散属性：
![](//mc.qcloudimg.com/static/img/14df1c27edef13ff0276c4da106cc471/image.png)
【 X 轴数据起始值】设置标记的起始值，下图为设置了 X 轴数据起始值为 50000，此时小于 50000 的值都是从 50000 往下的，大于 50000 的值都是往上的。
![](//mc.qcloudimg.com/static/img/6c033657682afc4bce0a847653678f68/image.png)
【共享组】可以设置同一个 chart 下的不同的轴是否共享范围，需要手动输入共享组名称，在其它轴上选择已经定义的共享组名称，被选到一个组的轴就能默认共享范围，共享范围的意思是轴上的刻度范围是一样的。
【最小值】设置轴的最小值。
【最大值】设置轴的最大值。
【以 0 为坐标轴中点】设置轴区间以 0 对称。
【主要刻度】设置主要刻度。
【次要刻度】设置次要刻度。
### 标记区域
用户在图表的标记上右键，则在其右键菜单中有标记、超链接、高亮选项，其中超链接的详细介绍见 [超链接] 章节，高亮的详细介绍见 [高亮] 章节。
![](//mc.qcloudimg.com/static/img/6522ef1714a44747e556b147b7dd37f1/image.png)
#### 标记
用户在标记上右键选择标记选项，即可打开标记属性对话框，不同的图表类型其属性不同。
#### 柱状图
在柱状图的标记上右键选择标记，即可打开柱状图的标记属性对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/89836f53bd2dda5342df8787a75b452a/image.png)
【显示值】 当用户勾选显示值时，图表的标记值（即标签）将会在相应的标记上显示。用户在其标签上右键选择隐藏标签时，则相应的标签被隐藏了起来，若右键选择显示标签则被隐藏的标签会全部显示出来。
当用户需要在标记的内部显示标签时则可在标签上右键选择在标记内部，若想恢复在标签的外部显示时只需在标签上右键选择在标记外部即可。
【大小】 单击大小中的下拉三角，可对标记的大小进行调整。
【堆积负数】 当勾选堆积负数时，图表上的标记进行堆积，负数与负数进行堆积，正数与正数进行堆积。
堆积前的图表如下图所示:
![](//mc.qcloudimg.com/static/img/8a3cad99d63fd681a7f4ed9541bc6708/image.png)
进行堆积负数，选择图表类型：堆积柱状图后，由于 USA “电脑” 与 “平板” 产品利润值均为负数，故 “电脑” 与 “平板” 产品的利润进行堆积，-90 加上 -100 后的堆积高度达到 -190。而 China 中的 “ 电脑” 与 “手机” 产品的利润值均为正数，故 “电脑” 与 “手机” 产品的利润进行正向堆积， 120 加上 55 后的堆积高度达到 175，如下图所示。
![](//mc.qcloudimg.com/static/img/f10d61be667fbdc8cf2304a62ff75ea0/image.png)
【提示格式】自定义提示的信息。
可以直接输入文本，提示信息就是所输入的文本；还可以通过脚本来控制所绑定字段的展示格式，写法为：{ 字段名称, 数据类型, 数据格式}。
字段名称：必须和绑定里面的名称一致，但是聚合要写成英文，例如 “总和\_SALES” 应该写为 “Sum\_SALES”。 字段中不支持空格，如 Y 轴绑定的字段为 Distinct Count\_SALES 则在提示格式中应写成 {col[“DistinctCount_SALES”],number,percent}。
数据类型：常用类型是 date， number。
数据格式：根据自己的需求输入需要的格式。日期和数字的格式请参考常用操作章节中 [数据格式] 的详细介绍。
* 日期，时间，时间戳字段的格式设置，举例如下：
日期：{col[“xxx”],date,yyyy-MM-dd}
时间：{col[“xxx”],date,HH:mm:ss}
时间戳：{col[“xxx”],date,yyyy-MM-dd HH:mm:ss}

* 数值类型字段格式设置
货币：{col[“xxx”],number,currency}
百分比：{col[“xxx”],number,percent}
千：{col[“xxx”],number,K}，也可以写 “千”， “万”， “亿”
百万：{col[“xxx”],number,M}
十亿：{col[“xxx”],number,B}
其它数据格式：{col[“xxx”],number,#,##0.00}
假设一图表如下图所示。
![](//mc.qcloudimg.com/static/img/7dffef2043b85cbd827dcee78b068673/image.png)
通过脚本来控制提示内容的格式，如下图所示。
![](//mc.qcloudimg.com/static/img/c7175ef54b5b00aeecf23e93e23f5f41/image.png)
则图表的提示如下图所示。
![](//mc.qcloudimg.com/static/img/fa25ec6cbb84f6122cfd4c21259650d3/image.png)
>**注意：**
>柱状图、堆积柱状图、3D 柱状图、3D 堆积柱状图的标记属性同柱状图的相同。

#### 线图
在线图的点上右键选择标记，即可打开线图的标记属性对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/7c8661e6c6431ead368f371fcf2f60ee/image.png)
显示值、大小、堆积负数的详细介绍见 [柱状图]()。
【显示点】当用户不勾选此项时，线图中将不显示点，如下图所示。
![](//mc.qcloudimg.com/static/img/8e40552c5a1b0e2635419479469c3030/image.png)
【光滑曲线】当用户勾选此项时，线图将会以平滑的曲线进行展示，如下图所示。
![](//mc.qcloudimg.com/static/img/d997d6ada47e30b6d0b372d1bf13ad2f/image.png)
#### 点图
在点图的点上右键选择标记，即可打开点图的标记属性对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/9cae9706e5b3a9ad090b08c515b08c55/image.png)
显示值、大小、堆积负数的详细介绍见柱状图。
【形状】用户可设定标记的形状。
【显示基准线】当用户勾选此项后，鼠标悬浮在点图的标记上时将显示基准线，如下图所示。
![](//mc.qcloudimg.com/static/img/f23f433bddb619c9e0db87a84b2b3b98/image.png)
>**注意：**
>堆积点图与点图的标记属性相同。

#### 面积图
在面积图的点上右键选择标记，即可打开面积图的标记属性对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/88fa7693bddc859b299fdd8e683d0535/image.png)
显示值与堆积负数的概念见柱状图中的详细介绍。
【大小】调节面积图中连接点的线的粗细，如下图所示。
![](//mc.qcloudimg.com/static/img/11c9cdb88b0fb22a3bb7f59455902729/image.png)
>**注意：**
>堆积面积图与面积图的标记属性相同。

【光滑曲线】当用户勾选此项时，面积图将会以平滑的曲线进行展示，如下图所示。
![](//mc.qcloudimg.com/static/img/e0a6f21134000b1fe1c2fe13f8aab781/image.png)
#### 饼图
在饼图上右键选择标记，即可打开饼图的标记属性对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/12b1285b15a371bc0c7d905088db8002/image.png)
显示值、大小、堆积负数的详细介绍见柱状图, 并且在饼图中可以选择引导线的显示和隐藏。
【分离饼图】设定分离尺度后，饼图将被分离，如下图所示。
>**注意：**
>分离饼图不能超50%。

![](//mc.qcloudimg.com/static/img/a978f27145bcd0a54b39d2763d1f30bd/image.png)
【起始角度】当用户设定角度后，饼图将按照逆时针旋转相应度数，注意旋转度数不能超过360。
![](//mc.qcloudimg.com/static/img/a6582f0ce5aa67b85686b8a47ec0303d/image.png)
>**注意：**
>3D 饼图与饼图的标记属性相同。

#### 环状图
在环状图上右键选择标记，即可打开环状图的标记属性对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/51d735d611e540eba24d402e09eacc02/image.png)
显示值、大小、堆积负数的详细介绍见柱状图，分离环状图、起始角度的详细介绍见饼图。
【内半径】可设定环状图的内半径。
![](//mc.qcloudimg.com/static/img/dd87c8df623e4f7ae6a4373c5f4e341b/image.png)
#### 雷达图
在雷达图的点上右键选择标记，即可打开标记属性对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/2786b1285a43a29329491c7612fa4acc/image.png)
显示值、大小、堆积负数的详细介绍见柱状图，显示点的详细介绍见线图。
>**注意：**
>填充雷达图与雷达图的标记属性相同。

#### 词云图
选中词云的标签右键选择标记，即可打开词云的标记属性对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/30973203648da419b69b22d73492bdc0/image.png)
>**注意：**
>词云上绑定大小后，标记对话框不再支持设置标记的大小。

#### 组织图
在组织图的标记上右键选择标记，即可打开组织图的标记属性对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/7aa1d26d4254fa1ea09d36758dcaf8c6/image.png)
【方向】设置组织图的展开方向，横向是由左向右，纵向是由上到下。默认是横向。
【值位置】设置标签值显示的位置。当方向是纵向时，位置是前置和后置，内部。默认是内部。
【合并叶子】设置最后的叶子节点是否合并显示。默认是自动合并。
**举例说明：**
属性设置：“方向：纵向；值位置：前置；合并叶子：合并”，显示如下图。
![](//mc.qcloudimg.com/static/img/e5af2f42306ca5085f1f3f24b9e10828/image.png)
### 标记值区域
用户在图表 (非自动类型的图表) 的标记值上右键，则在其右键菜单中有在标记内部 / 在标记外部、隐藏标签、超链接、局部格式，其中超链接的详细介绍见超链接章节，高亮的详细介绍见高亮章节。
【在标记内部 / 在标记外部】用户可设定标记值的显示位置是在标记的内部还是外部。
![](//mc.qcloudimg.com/static/img/ba679fcd47a12c6e5588f6cd5286779f/image.png)
如下图所示，标记值在标记的外部显示。
![](//mc.qcloudimg.com/static/img/4e1864410e098f968420ad3dd4e75670/image.png)
如下图所示，标记值在标记内部显示。
![](//mc.qcloudimg.com/static/img/bddd698023d1e5ae46ea571f6a586d7f/image.png)
### 图表区域
在图表区域上右键，则右键菜单中有图表区域选项，如下图所示。
![](//mc.qcloudimg.com/static/img/e82eab33bf8ab2df8ecd7c69b4432b85/image.png)
单击图表区域选项后，打开图表区域对话框，用户可设置重叠标签的属性。
【保留重叠标签】当标记的标签重叠显示时，进行保留，不对重叠标签进行修改。
【打散重叠标签】当标记的标签重叠显示时，把重叠的标签打散，使其不再重叠显示。
【删除重叠标签】当标记的标签重叠显示时，把重叠的标签删除。
![](//mc.qcloudimg.com/static/img/65f5140ccf27b90ff98c74b32b10fdc0/image.png)
如下图所示，标记的标签值重叠显示。
![](//mc.qcloudimg.com/static/img/7535fb59152a85d6bdb0e75dad24001c/image.png)
在删除重叠标签后，如下图所示。
![](//mc.qcloudimg.com/static/img/1a3390619639bd7e854c5c18068cfd8c/image.png)
在饼图、3D 饼图、环状图上的图表区域右键菜单中有显示百分比选项，通过此选项可以快速实现总数百分比。
![](//mc.qcloudimg.com/static/img/4d76576632960560767251ec36e9e313/image.png)
显示结果如下图所示。
![](//mc.qcloudimg.com/static/img/7b8192183917b86cb2d72ea9bfdf600c/image.png)
### 图例区域
在图表的图例上右键，则在右键菜单中有图例、隐藏图例 / 显示图例、隐藏图例标题 / 显示图例标题选项。
单击隐藏图例选项可隐藏相应的图例，当用户在此图表的任何区域右键，右键菜单中有显示图例选项，当用户单击此项时，被隐藏的所有图例再次全部显示出来。
单击隐藏图例标题时，可隐藏当前图例的标题。当再次在此图例上右键时，单击显示图例标题，可显示当前图例的标题。
![](//mc.qcloudimg.com/static/img/47fdacc8e5a1f5efe0f66e957bd9b4f1/image.png)
### 度量组
用户有时候会遇到不只是 stack 同一个 mark 内部的值，而是想 stack 多个 measure 的值，这个取决于用户的数据是如何定义的，如果有一列数据是产品，一列数据是北京的销售额，一列数据是上海的销售额，一列数据是南京的销售额，那么这个 stack 就比较有意义了。
比如在 chart 的绑定的 tree 上右键可以创建一个度量组，见下图。
![](//mc.qcloudimg.com/static/img/305ecdc10fe950cb26b24b3b612bfd10/image.png)
然后就弹出新建个度量组的对话框，输入相应的名称。
![](//mc.qcloudimg.com/static/img/180d188fc27224e3ae872e1f26d47566/image.png)
单击确定后生成了名为度量组的度量字段，同时在维度下面也生成了一个度量组\_names 的维度字段，将度量组\_names 绑定到美化界面上，此时就实行了放在一个组里的所有的度量字段都能堆积显示出来，此时显示出来的效果是如图所示。
![](//mc.qcloudimg.com/static/img/a3688b1af12c6004962ed50c61b3229a/image.png)
可以对绑定的度量组中的字段进行分别起别名，如下所示。
![](//mc.qcloudimg.com/static/img/b3ec177de512cb60779f142f796405b9/image.png)
单击组内度量别名后，可以在弹出的对话框中修改别名，情况如下图。
![](//mc.qcloudimg.com/static/img/10df5800839299df821936485ff77480/image.png)
单击确定后的情况如下图。
![](//mc.qcloudimg.com/static/img/50da4f8b0c41cd9e090aa5568bb197d4/image.png)






