在制作报告中，您可使用过滤器来实现对数据的筛选。在展示数据的组件上均可实现对数据的过滤，需要先绑定数据才能设置过滤器，设置的过滤器可以复制到同源的组件上。
## 过滤器的实现步骤
1. 在组件上右键选择【过滤】>【过滤器】，打开过滤器对话框。
2. 在打开的过滤器对话框中右键单击【增加过滤器】。
![](//mc.qcloudimg.com/static/img/a672756ba13c0a3cb346a0fe21ef5dd0/image.png)
3. 设定过滤条件，完成后单击【应用】。例如：设定 margin 是大于等于 -26。
4. 在此过滤条件上右键，在其右键菜单中选择【在下方插入过滤条件】，并设定过滤条件。
![](//mc.qcloudimg.com/static/img/2656d836d5871d68181a5b3c6e4fd813/image.png)
5. 右键单击两个过滤调价中间的灰色区域，调整过滤条件之间的关系。
![](//mc.qcloudimg.com/static/img/3d39d2a1bd50052d101825be5ac2c4f0/image.png)

两个过滤条件之间的关系包括与、或的关系。在关系行右键，在右键菜单中有移除、转化为或/ 转化为与、节点向前缩进（不能向前缩进时显示灰色且不能单击操作）、节点向后缩进（不能向后缩进时显示灰色且不能点击）、交换子条件、清除过滤条件等选项。
【删除】删除该行的上下两个过滤条件。即删除拥有此过滤关系的过滤条件。
【转化为或 / 转化为与】两个同级别的筛选条件间关系的互换。
【节点向前缩进】节点向前一级缩进，当前节点的第一个子条件可以和当前节点上方的且与其同级的过滤条件进行组合。
右键单击 “market_size” 的下一行选择 “节点向前缩进”。
缩进前：
![](//mc.qcloudimg.com/static/img/fc7ec71b53598c6dc2987f12810ea299/image.png)
缩进后：
![](//mc.qcloudimg.com/static/img/c4e161e3c6863bb2dc286adb6bb506da/image.png)
【节点向后缩进】节点向前一级缩进，当前节点的第一个子条件可以和第二个子条件下的第一个子条件进行组合。
缩进前：
![](//mc.qcloudimg.com/static/img/7810adf3dc5e52408a9edee1fe3e4965/image.png)
缩进后：
![](//mc.qcloudimg.com/static/img/7a0ec68a86c2a07b716065888f270682/image.png)
【交换子条件】交换同级别的筛选条件的位置。如下图所示，两个框中的条件是同级别的，其中下边红色边框是上边蓝色边框的子条件。
![](//mc.qcloudimg.com/static/img/54c4a1ce17d99d3ee5d4b15b5c4bde8e/image.png)
在交换子条件后，上图的筛选条件变为下图所示的情形。
![](//mc.qcloudimg.com/static/img/36517a436ff3f472a707865e210a7a80/image.png)

## 过滤条件的设定
依据已绑定查询的数据段来进行过滤条件的设置，其中数据段包含该 query 中的所有数据段。
不同数据类型的数据段包含的筛选条件不同，见下表：
<style>
table th:first-of-type {
    width: 200px;
}
</style>

| 数据类型 | 支持的语句 | 
|---------|---------|
| 布尔 |  `空`、`=`|
| 日期，时间，时间戳 | `空`、`=`、`>`、`>=`、`<`、`<=`、`之间`、`其中一个` |
| 长整型 | `在圆形内`、`在矩形内`、`=`、`>`、`>=`、`<`、`<=`、`包含`、`起始`、`之间`、`包含其中一个`、`其中一个`、`空` |
| 其他 | `=`、`>`、`>=`、`<`、`<=`、`包含`、`起始`、`之间`、`包含其中一个`、`其中一个`、`空` |
其中日期、时间、时间戳类型的数据会显示日历按钮。
“之间” 会弹出两个输入框，用于输入初始值和终止值。
“其中一个”、“包含其中一个” 可添加多个值，通过 “添加” 和 “删除” 按钮对所添加的值进行编辑。
“在圆形内” 需要添加 3 个参数值并且必须按照顺序依次添加，需要添加的参数值为：经度值、纬度值、半径（米）。
“在矩形内” 需要添加 4 个参数值并且必须按照顺序依次添加，需要添加的参数值为：经度值、纬度值、宽（米）、高（米）。
只有长整型数据（比如：表示经度和纬度的位置列 pos）才有 “在圆形内” 和 “在矩形内” 的过滤条件。
![](//mc.qcloudimg.com/static/img/5c9e629a402d6ddd7c25cfece92e6e72/image.png)
上图中，（1）为筛选字段，（2）为条件设定，（3）为增加/删除按钮。

## 复制过滤器
在组件上右键选择【过滤】>【复制过滤器】，可以将组件上的过滤器复制到与其绑定相同数据源的其他组件上。
例如：
在表格 1 上设置过滤条件：MARKET_SIZE 是 等于 Major Market 后，再在表格 1 上右键选择【过滤】>【复制过滤器】，在表格 2 上右键选择【过滤】>【粘贴过滤器】，则过滤器被复制到了表格 2 上了。
如果表格 2 上已有过滤器，则会提示：新过滤条件将会代替原有过滤条件，是否继续？单击【是】，表格 2 的原有条件被替换；单击否，则表格 2 的原有条件保留。
