高亮是使符合条件的数据以设定的颜色、字体、背景或者格式进行显示，从而在显示上和其他数据区别开来。
在输出型组件中均可设置高亮，在表的数据区域、图表的标记、绑定数据的文本、交叉表的数据区域的单元格上，仪表上右键才有高亮选项。如用户在图表组件上绑定了日期和利润数据段，当利润为负值时，标记以红色显示。复制组件时，高亮也会被复制。
## 详细介绍
高亮是针对组件的特定区域来定义的。
<style>
table th:first-of-type {
    width: 100px;
}
</style>

| 组件 | 支持高亮的区域 |
| ---- | ---- |
| 表 | 表头区域和数据区域 |
| 交叉表 | 表头区域和数据区域 |
| 图表 | 标记区域 |
| 文本 | 整个区域 |
| 仪表 | 整个区域 |

## 使用方法
### 查看高亮
1. 在高亮区域上右键选择高亮，弹出高亮对话框。
图表的高亮对话框只有 “颜色” 页签，仪表组件的高亮对话框中只有 “字体和颜色” 页签，表、交叉表、文本组件的高亮对话框中为两个页签 “字体和颜色” 和“ 格式”，如下图所示。
格式默认选择空，可选项包括：日期，数字，货币，百分比，文本等。其中，文本支持用户自定义显示类型，高亮中的格式设置方法与局部格式中设置格式类似，详细见 [格式]() 介绍。
### 设置高亮
1. 在表格上右键，选择高亮，弹出高亮对话框，显示字体和颜色页签。未新建高亮时页签灰化显示，如下图所示。
![](//mc.qcloudimg.com/static/img/8983ab0b3b9de464a08d272628c75076/image.png)
2. 单击格式，打开格式页签，如下图所示，选项默认选中 “空”，未建立高亮时，各选项灰化显示，不能选择。
![](//mc.qcloudimg.com/static/img/dd6a10c8c49f3bdd70c70cd9a508e90c/image.png)
3. 在已打开的高亮对话框上右键选择新建高亮，弹出设置高亮名称的对话框，设置高亮条件的名称，设置好后，单击【确定】按钮。
用户可设置多个高亮，以及设定不同高亮条件的显示顺序。
4. 为确定的高亮条件设置背景色、前景色、字体样式以及文字格式。
图表上的高亮对话框中没有前景色以及字体的设置，因为对于标记来说没有意义。
格式设置只有在表、交叉表和文本的高亮上有，格式的设置方法与组件的局部格式中的格式类似。
5. 单击【编辑】按钮，进入过滤器模式，设置过滤条件。但在设置过滤条件时，只能对已绑定的数据段设置条件，而且只有在维度目录下的数据段才能刷出数据来。
![](//mc.qcloudimg.com/static/img/5f1bc9630ad40e025e28529f24a58c50/image.png)
6. 单击【确定】按钮。

### 表格组件、交叉表组件的特殊用法
在表格组件、交叉表组件上可以通过条件每隔两行、 每隔三行、 每隔五行来设定组件的样式。
![](//mc.qcloudimg.com/static/img/1a1d2bd6d8fc45dfdc4dd846d5d71839/image.png)
**条件值设定：**
每隔两行可设定的条件值为 0、1；
每隔三行可设定的条件值为 0、1、2；
每隔五行可设定的条件值为 0、1、2、3、4。

以每隔两行为例进行解释：
当表格组件的总和\_AREA_CODE 数据区域上设定过滤条件为每隔两行 是 等于 0，并设定背景色为黄色，设置格式为数字类型 “#,### 千”。
![](//mc.qcloudimg.com/static/img/ac606f16521c03523b5d472da1f46834/image.png)
则在数据区域所有偶数行满足筛选条件（该列的表头也参与奇偶运算）。
执行结果如下图所示：
![](//mc.qcloudimg.com/static/img/fe5cff4147c4b10dc0610e34df43688e/image.png)
### 高亮举例说明
1. 新建一个表，对其绑定下图所示的数据。
![](//mc.qcloudimg.com/static/img/46a1bd967e94a681f5a01d93007ef253/image.png)
2. 在第一列的数据区域上右键选择高亮，如下图所示：
![](//mc.qcloudimg.com/static/img/3fa9555314c811146b2304e4c9aadd5c/image.png)
3. 在打开的高亮对话框中右键单击新建高亮，设定高亮的名称为 highlight，然后点击编辑按钮，设定高亮条件 TYPE 是 等于 Regular，设置颜色为红色，格式为文本格式 “{0}aa”。
![](//mc.qcloudimg.com/static/img/8548630a877be6dc48235d6027c13d28/image.png)
4. 单击【确定】按钮，则表中的 TYPE 为 Regular 的单元格处于高亮状态，单元格背景为红色且文字显示为 Regularaa。如下图所示。
![](//mc.qcloudimg.com/static/img/7107438119ea5ecd05c094d370c6f447/image.png)

### 通过高亮中的格式进行空值填充举例说明
1. 新建交叉表，绑定数据如下图所示：
![](//mc.qcloudimg.com/static/img/72c4e00d4f5f34eac723b82b535fb024/image.png)
2. 在单元格区域上右键，打开高亮对话框，建立两个高亮名为 “HL1” 和 “HL2”，设置 HL1：字体颜色为红色，设置格式为文本格式，值为 “0”，设置过滤条件为 “总和_SALES” 是 “空”，如下图所示。
![](//mc.qcloudimg.com/static/img/85c6f8af3bd44cfd802c2f145dccc522/image.png)
3. 设置 HL2：字体加粗，字体颜色、背景色分别为绿色和白色，格式设置为货币，设置过滤条件为 “总和_SALES” 不是 “空”，如下图所示。
![](//mc.qcloudimg.com/static/img/35a2d3a0cd429e0d9117cc065bad6ab1/image.png)
4. 高亮应用后结果如下图所示。“总和_SALES” 为空的单元格，被字体颜色为红色的数字 0 填充，不为空的单元格背景显示为绿色，字体加粗显示白色，数字前加上中文的货币符（和当前环境语言一致）。
![](//mc.qcloudimg.com/static/img/e9318d677fd10fb533c6612b0be71fad/image.png)

