可供选择数据项，并自动过滤数据的组件被称作过滤器组件。此类组件包括列表过滤组件、树状过滤组件、日期过滤组件、范围过滤组件和过滤容器。当修改了过滤器组件上的选项，所有与该组件同一数据源的输出型组件（例如图表、表格、交叉表、文本和仪表）都会自动过滤出数据。把此种行为称作数据联动。数据联动是商业智能分析 BI 的一个重要特点, 是提供一种从数据库提取信息的方法，改善用户的使用体验, 使基于任意数据的任意分析都能得到响应。当用户选择了该组件上得某些记录， 这些记录被送到其他同数据源的数据组件上作为查询条件，更新查询数据。
树状过滤组件是以列表的形式提选项，选项可以单选也可以是多选，多选时支持 Shift 键连续选中。树状过滤可以绑定任意一查询的一个字段或多个字段，绑定多个字段时，字段之间为层级关系，绑定在前的字段是绑定在后的字段的父级。该组件绑定度量字段时不能使用汇总函数。树状过滤组件区域分为标题部分和选项部分。除了整体部分可以设格式属性外，标题和选项部分也可以被分别定位。
本文档主要介绍如何创建树状过滤、如何定义属性、如何绑定数据以及常用交互功能。
## 创建树状过滤组件
通过已绑定的数据，来对其他组件进行筛选，前提是被筛选的组件与当前树状过滤绑定的数据源相同。
### 创建树状过滤
单击工具条上的组件按钮，在其下拉列表中拖拽树状过滤到仪表盘编辑区，则在仪表盘编辑区中创建树状过滤。
![](//mc.qcloudimg.com/static/img/e3d3bd8c8bb79320f8afccb95e06f61a/image.png)

### 绑定数据源
给树状过滤绑定数据，树状过滤不接收用户在仪表盘编辑区中创建的聚合指标类型的数据段。在树状过滤上右键选择绑定，则打开树状过滤的绑定界面，绑定界面包含两部分，查询树和树状过滤的绑定窗口。
树状过滤可以绑定一个字段，也可以绑定多个字段，绑定多个字段时，字段之间为层级关系。我们有以下三种方法绑定数据段：
* 拖拽数据段到绑定窗口绑定，如图所示：
![](//mc.qcloudimg.com/static/img/3293d983e5a89be2f8f267dafa735761/image.png)
也可以拖拽数据段到绑定窗口替换绑定；
* 拖动数据段到树状过滤组件上实现绑定。如图所示：
![](//mc.qcloudimg.com/static/img/f781595923fccf99a01c91cb448d4447/image.png)
不可以拖拽数据段到树状过滤组件上替换绑定的数据段。
* 双击查询树列表的数据段，实现绑定。

### 移除数据段
移除绑定数据段，我们有以下三种方法：
* 绑定窗口的下拉列表中选择删除。
* 拖拽绑定窗口的数据段到查询树中实现移除。
* 单击清空按钮。

### 已绑定数据段的可用操作
绑定的数据段可用操作包括排序和移除。
* 排序：对过滤中的数据进行排序，包括无序、升序、降序、更多排序，更多排序包括手动排序和高级排序，其中高级排序的详细介绍见 [排序和排名]()。
* 删除：移除当前数据段。

## 树状过滤组件属性
树状过滤的通用属性同表的相似，详细介绍见 [表格属性]()。下面详细介绍树状过滤的特有属性。树状过滤的高级属性如下图所示：
![](//mc.qcloudimg.com/static/img/1d8e8e63fca02f2c0625c015686b3d67/image.png)
【布局】为用户提供两种展现形式，列表和下拉列表，产品默认以列表的形式展现。当选择下拉列表时会在其后显示出行数，默认下拉列表以 6 行显示，用户可根据需求进行设置。树状过滤以下拉列表的形式展现后在右上角生成显示 / 隐藏按钮，如下图。
![](//mc.qcloudimg.com/static/img/b44008f9c3bdebe4d4d1f371cde2249b/image.png)
【选中值置顶】默认该选项被选中。即选中的选项自动被排在前面了。当不勾选该选项时，选中的选项位置不会变化。
【改变时提交】默认该选项被选中，即勾选后立即执行筛选功能。当不勾选该选项时，在树状过滤中会生成应用按钮，当选中选项后单击此按钮才会执行筛选功能。
不勾选改变时提交，如下图所示：
![](//mc.qcloudimg.com/static/img/b11b80ed6401028fbfde73f5b6158e7e/image.png)
【忽略空值】空值被忽略，即不显示空值。如果空值在第一层，这一行数据都不显示；如果空值在中间层，那空值后的数据不显示。
【必选】默认为不勾选。当勾选必选后，组件为必选组件。在有多个过滤组件参与过滤时，只有所有的必选组件都选择了值，才能过滤出数据。

## 树状过滤组件格式
树状过滤格式可以设置整体树状过滤的格式，也可以设置局部区域的格式。局部区域包括树状过滤标题，树状过滤数据区。
### 组件格式
在组件上右键选择组件格式，打开格式对话框，如下图所示。
![](//mc.qcloudimg.com/static/img/c3f902e7a9166775e8315a899abc7464/image.png)
【字体】设置组件中文本的字体。
【边框】设置组件中的所有边框线。
【颜色】为组件设置背景色及字体颜色。
【透明度】设置组件背景颜色的透明度。
### 局部格式
在树状过滤的特定区域上右键选择局部格式，即可打开格式对话来对特定区域进行格式的设定。局部区域包括树状过滤标题，树状过滤数据区。树状过滤的数据区不同层级的字段局部格式单独设置，如下图所示，以不同的背景色代表不同的区域。
![](//mc.qcloudimg.com/static/img/a07bae0716c012d7c9009f896dd3859a/image.png)

## 常用交互功能
常用的交互功能包括叠放层次、清空、反选、隐藏标题、移除组件、剪切组件、复制组件以及在树状过滤右上方悬浮的排序按钮、查找按钮。
![](//mc.qcloudimg.com/static/img/1e76a9654f68de6e62aa2f7d0d4d0302/image.png)
【叠放层次】分为到顶部和到底部。当存在组件的重叠现象时，使用此功能可以调整组件的显示顺序。
【清空】当在树状过滤中勾选多个选项时，可使用此功能快速清空所有已勾选的选项。
【反选】使用此功能可以快速选中未勾选的数据，已勾选的数据变成未勾选状态。
【隐藏标题 / 显示标题】隐藏树状过滤的标题，在隐藏树状过滤的标题后，可再次显示树状过滤的标题。
【删除组件】在仪表盘中删除当前组件。
【复制组件 / 剪切组件】先选中树状过滤组件，然后选择复制组件或剪切组件选项，再在仪表盘的指定位置单击鼠标然后右键选择粘贴组件。
### 排序按钮
通过排序按钮来对树状过滤中的数据进行排序，按钮显示为树状过滤中第一列数据的排序状态。排序有三个状态：无序、升序、降序。点击升序则第一个字段升序排列，单击降序则第一个字段降序排列。对树状过滤中的数据进行降序显示，如下图。
![](//mc.qcloudimg.com/static/img/ab5bf87737ee50072e90fd28d55b03b8/image.png)
### 查找按钮
当树状过滤中的数据较多时使用此功能可更加方便用户的使用。查找功能是只当树状过滤中的数据包含查找内容时便被筛选出来，如下图所示，查找树状过滤中的数据含有 “s” 的数据。
![](//mc.qcloudimg.com/static/img/eec8e091a1288528df8c60b471b00a5d/image.png)

## 树状过滤组件的数据联动
树状过滤对绑定相同数据源的其他组件（文本、表、交叉表、仪表、图表）具有筛选作用，树状过滤与树状过滤之间也具有状态影响。
### 树状过滤与其他组件的数据联动
假设一数据源包含 market、market_size、ID 三个数据段，数据如下表所示：
![](//mc.qcloudimg.com/static/img/2bf6cab4c2fb6e57599274abebac239c/image.png)
1. 新建一个树状过滤对其绑定数据段。
![](//mc.qcloudimg.com/static/img/de0efa77c0337090302b6d20138b0633/image.png)
2. 新建交叉表、文本、仪表、图表，对其分别绑定与树状过滤相同的数据源中的数据段，其中文本、仪表绑定的数据段为 ID，对 ID 求总和，交叉表和图表为聚合表。过滤前的数据，如下图所示：
![](//mc.qcloudimg.com/static/img/7ed11ee1ebae8f2680c092a941a892b0/image.png)
3. 树状过滤对其进行筛选后，如下图所示。树状过滤对表同样具有筛选作用。
![](//mc.qcloudimg.com/static/img/7bea557f64eb36c1882832fd26bd767f/image.png)

### 树状过滤与树状过滤之间的状态影响
<style>
table th:first-of-type {
    width: 100px;
}
</style>

| 树状过滤是否有选中选项 | 选中状态 | 是否被其他列表包含 | 状态 |
|---------|---------|---------|---------|
| 本树状过滤中有选项 | 选中 | 包含 | 选中<img src="//mc.qcloudimg.com/static/img/af864641bbe3db4d4165ff16a32c36b1/image.png" style="margin:0;"> |
| 本树状过滤中有选项 | 未选中 | 包含 | 可选<img src="//mc.qcloudimg.com/static/img/51a4b2a787ada7fc0628412f68c81712/image.png" style="margin:0;" > |
| 本树状过滤中有选项 | 选中 | 不包含 | 已选冲突<img src="//mc.qcloudimg.com/static/img/6ec11636c9d4f07e57218f7f7ed05a05/image.png" style="margin:0;"> |
| 本树状过滤中有选项 | 未选中 | 不包含 | 未选冲突<img src="//mc.qcloudimg.com/static/img/9a75d0ba98990b4ca1d2d030684b1e25/image.png" style="margin:0;"> |
| 本树状过滤中没有选项 | 无 | 包含 | 隐含<img src="//mc.qcloudimg.com/static/img/152bd69bb75c14b8b3a37cdaed8a508a/image.png" style="margin:0;"> |
| 本树状过滤中没有选项 | 无 | 不包含 | 未选冲突<img src="//mc.qcloudimg.com/static/img/9a75d0ba98990b4ca1d2d030684b1e25/image.png" style="margin:0;"> |
** 举例说明一**
假设一数据源包含 market\_size、market、ID 三个数据段，其中 Major Market 包含 Central、West，Small Market 包含 East、South，数据如下表所示：
![](//mc.qcloudimg.com/static/img/27b3f9315925af6d09a8173f93588ea3/image.png)
1. 创建两个树状过滤，一个绑定 market\_size 数据段，一个绑定 market 数据段
![](//mc.qcloudimg.com/static/img/6c0b8e02cff2d2e4a818f7d8cb345a00/image.png)
2. 在第 2 个树状过滤中勾选 Central，第 1 个树状过滤中不勾选任何选项，则第 1 个树状过滤是被影响列表，其中 Major Market 处于隐含状态，其他处于未选冲突状态。
![](//mc.qcloudimg.com/static/img/44752da070862bda5f8ad8927026c13e/image.png)
3. 在第 1 个树状过滤中勾选‘Small Market’ 选项，则在第2 个树状过滤中的 East&South 处于隐含选中状态， West 处于未选冲突状态， Central 值处于已选冲突状态。
![](//mc.qcloudimg.com/static/img/40e6fd97affff1654a4694af1a3b79c4/image.png)
**举例说明二**
假设一数据源包含 market_size、market、ID 三个数据段，其中 Major Market 包含 Central、West，Small Market 包含 East、South，数据如下表所示：
![](//mc.qcloudimg.com/static/img/08a506212ea42b4c0a8618f0fb2e2610/image.png)
1. 创建一个树状过滤，绑定 market_size 和market 数据段。勾选树状过滤中的 Central, 则 Central 的上级 Major Market 被默认选中。
![](//mc.qcloudimg.com/static/img/2636833cbf02c5c049939e8b9f7bf33f/image.png)
2. 勾选树状过滤中的 Major Market, 则 Major Market 的下级 Central 和 West 被隐含选中。
![](//mc.qcloudimg.com/static/img/7c7c2ce04d326b51969c4af72ece2619/image.png)
