可供选择数据项，并自动过滤数据的组件被称作过滤器组件。此类组件包括范围过滤组件、日期过滤组件、列表过滤组件、树状过滤组件和过滤容器。当修改了过滤器组件上的选项，所有与该组件同一数据源的输出型组件（例如图表、表格、交叉表、文本和仪表）都会自动过滤出数据。把此种行为称作数据联动。数据联动是商业智能分析 BI 的一个重要特点, 是提供一种从数据库提取信息的方法，改善用户的使用体验, 使基于任意数据的任意分析都能得到响应。当用户选择了该组件上得某些记录， 这些记录被送到其他同数据源的数据组件上作为查询条件，重新查询数据。
范围过滤是以滑竿的形式提选项，滑竿可以单点选择也可以是区间范围选择。范围过滤可以绑定任意一查询的一个数字类型的字段，该字段是不能使用汇总函数的。
本文档主要介绍如何创建范围过滤器、如何定义属性、如何绑定数据以及各种交互功能。
## 创建范围过滤
通过已绑定的数据，来对其他组件进行筛选，前提是被筛选的组件与当前范围过滤绑定的数据源相同。
### 创建范围过滤
单击工具条上的组件按钮，在其下拉列表中拖拽范围过滤到仪表盘编辑区，则在仪表盘编辑区中创建范围过滤。
![](//mc.qcloudimg.com/static/img/60932eb5281550983cfc1234d5dcbead/image.png)
### 绑定数据源
创建范围过滤，在范围过滤上右键选择绑定，则打开范围过滤的绑定界面。绑定界面包含两部分，查询树和范围过滤的绑定窗口。范围过滤只能绑定一个数据段。我们有以下三种方法绑定数据段：
* 拖拽数据段到绑定窗口绑定，如图所示：
![](//mc.qcloudimg.com/static/img/ce14d54263606ad47958a6ba0ef30436/image.png)
也可以拖拽数据段到绑定窗口替换绑定。
* 拖动数据段到范围过滤组件上实现绑定。如图所示：
![](//mc.qcloudimg.com/static/img/c90bce612c9b2199eb27265b445008cd/image.png)
也可以拖拽数据段到范围过滤组件上替换绑定的数据段。
* 双击查询树列表的数据段，实现绑定。

### 移除数据段
移除绑定数据段，我们有以下三种方法：
* 绑定窗口的下拉列表中选择删除。
* 拖拽绑定窗口的数据段到查询树中实现移除。
* 单击清空按钮。

## 范围过滤属性
通过范围过滤的属性可以对范围过滤的名称、刻度、范围、标签等进行设置，在范围过滤的属性中包含四个选项卡：属性、高级、范围和操作。
![](//mc.qcloudimg.com/static/img/131d9d144a824a2a58cf0965a8ef679c/image.png)
范围过滤器的通用属性同表的相似，详细介绍见表格属性。下面详细介绍范围过滤器的特有属性。
【显示刻度】当勾选上显示刻度选项时，在范围过滤上显示刻度，否则不显示。
【显示当前值】显示当前的范围的值。
【标签可见】对范围过滤的标签进行设置，用户可选择是否显示当前选中的区间值，设置每隔多少刻度显示标签，是否显示最小值，是否显示最大值。当用户选择显示最小值时，最小值标签处于激活状态，否则处于非激活状态，最大值同理。
【滑块区域大小】设定选择的区间的大小，计算单位是刻度的个数。假设范围过滤上每隔 1 个刻度显示标签，如下图所示。
假如设定范围为 4，则选择的区间的大小为 2 个刻度，如下图所示。
![](//mc.qcloudimg.com/static/img/a4b80d6c2a5209708874bb00e3eb88e9/image.png)
【单选】当勾选上时，可以在范围过滤上选择单个的值。
【必选】默认为不勾选。当勾选必选后，组件为必选组件。在有多个过滤组件参与过滤时，只有所有的必选组件都选择了值，才能过滤出数据。
![](//mc.qcloudimg.com/static/img/55e8bfbc0bf0c9f8d5bbc58aa7104820/image.png)
#### 离散
选择离散模式，那么 range 就不对绑定的值进行计算，并且范围都是左右闭区间。
#### 范围
【定义刻度】定义刻度的最小值和最大值。
【步长】输入相应的步长值，如果数值的最小值是 4，最大值是 21，用户只指定的步长是 10，应该计算出的结果是 0、10、20、30, 而不是 4、14、24。如果指定的步长值是 4 的话，计算出的结果是 4、8、12、16、20、24。因为 4 可以被 4 整除。
【包含小于最小值的范围】当用户勾选此项时，假设定义的最小值是 3，而查询中的数据存在 -1、-3 等小于 2 的值时，在区间选择器上会被映射成 2（最小值减去 1）。则当用户在区间选择器上选择 2 时， -1、-3 会被筛选出来。包含大于最大值的范围同理，但当存在大于定义的最大值时，均被映射成最大值加 1。
【包含范围的左边界不包含右边界】假设用户在区间选择器上选择的范围是 3~6，则筛选出来的数据包含 3 而不包含 6，不包含范围的左边界包含右边界同理。
#### 分组
【定义刻度】定义刻度值。
【添加】将定义的刻度添加进去。
【删除】将已添加的刻度删除掉。
【标签】可以给添加的刻度范围设置别名。

## 范围过滤格式
在范围过滤上右键选择组件格式，打开组件格式的对话框。
![](//mc.qcloudimg.com/static/img/abb28d6b144a2125fa69be3cf4ab7f15/image.png)
【格式】用来设置以绑定数据段的显示格式。
【字体】设置组件中文本的字体。
【颜色】为组件设置背景色及前景色。
【透明度】设置组件的透明度。

## 范围过滤的数据联动
范围过滤对其他组件（文本、表、交叉表、仪表、图表）具有筛选功能，范围过滤与其它的范围过滤也具有联动关系。
### 范围过滤组件与其他组件的数据联动
假设一数据源中含有customer_id、nation、price 三个数据段，如下图所示。
![](//mc.qcloudimg.com/static/img/23a65de036b27d7fcd51bbc37193a281/image.png)
1. 新建一个范围过滤，对其绑定 customer\_id 数据段，如下图所示。
![](//mc.qcloudimg.com/static/img/91173a58607735d5872174391e24bb43/image.png)
2. 新建一个图表，对其 X 轴绑定 customer\_id 数据段， Y 轴绑定 price 数据段。
![](//mc.qcloudimg.com/static/img/586b6401ae5c3a243e1ef813003e9971/image.png)
3. 使用范围过滤对其进行筛选，假设筛选 1-4 之间的数据，对其他组件的筛选效果同理，如下图所示。
![](//mc.qcloudimg.com/static/img/478412ef29c1ee249576a5f4f1244bb1/image.png)

### 范围过滤与范围过滤之间的数据联动
范围过滤与范围过滤筛选条件间的关系是相与的关系。如一个范围过滤的筛选条件是 3-5 之间，另一个范围过滤的筛选条件是 2-4 之间，则范围过滤对其他组件的筛选条件是 3-4 之间的数据。
**举例说明**
1. 新建一个表，对其绑定数据段，如下图所示。
![](//mc.qcloudimg.com/static/img/23a65de036b27d7fcd51bbc37193a281/image.png)
2. 新建两个范围过滤，分别对其绑定对 customer_id，如下图所示。
![](//mc.qcloudimg.com/static/img/492260a980d5a48594790675bf1a3d03/image.png)
3. 范围过滤 1 的筛选条件是 2-9，范围过滤 2 的筛选条件是 5-13，则最终筛选条件为 5-9( 包含范围的左边界不包含范围的右边界)。
![](//mc.qcloudimg.com/static/img/39a28e7efe039ada23debd7dc828290f/image.png)
