### 概述
仪表盘中展现数据的组件包括表格、交叉表、自由式表格和图表。

表格组件（Table）是以表格的形式展现数据的载体。表格可以绑定任意一查询的多个字段。根据是否给字段使用统计函数来区分，可划分为细节数据表格（Plan Table）和汇总表格（AggregationTable）。
细节数据表是没有汇总统计函数的表，显示的都是具体的细节数据；汇总表格是使用了汇总统计函数的表，按照维度分组，把数值类型的数据汇总统计。

表格组件的功能还有过滤器（Filter）、排序和排名（Sort and Ranking）、合计和总计（Grand Total and Group Total）、 取别名（Alias）、合并单元格（Span Cell)、 添加格式（Format）、超链接（Link）、高亮（Highlight）、表格渲染（Cell Renderer）、笔刷（Brush）、同比环比（Compare Data）、动态计算（Dynamic Calculation）、钻取（Drill）等功能。

### 创建表
本产品支持两种方法来创建表：
* 直接拖拽工具条上的表按钮 <img src="//mc.qcloudimg.com/static/img/bc40f91154e0f25dd256877a9b559535/image.png" style="margin:0;"> 到仪表盘编辑区。
* 在组件的下拉列表中，拖拽表格组件到仪表盘编辑区。
![](//mc.qcloudimg.com/static/img/cc86bf94817061d3660d55192e01be03/image.png)

### 表的状态
表格有两种状态：细节数据表格和汇总数据表格。
新建表格默认是汇总数据表格，在绑定模式下，单击绑定区域右上角的按钮 <img src="//mc.qcloudimg.com/static/img/c0bb196ef342663e4c2e328cf2942e1d/image.png" style="margin:0;"> 来切换汇总数据表格和细节数据表格。转换时会移除掉可能非法的字段，如绑定的聚合指标计算器，并试图去转换度量字段的汇总函数。

### 绑定数据源
本产品支持三种方式绑定数据源：拖拽数据段到绑定窗口、拖拽数据段到表格区域、双击查询树列表的数据段。具体操作如下：

1. 选中表格组件，右键单击【绑定】选项打开表格组件的绑定界面。
2. 通过鼠标拖拽或点击来实现对表格组件的数据绑定。
>**注意：**
在绑定界面中，维度目录下的数据段显示为浅灰色，而度量目录下的数据段显示为深灰色。
表格组件能够绑定多个数据段。
在查询树中支持 Shift 键连续选中，以及 Ctrl 键不连续多选。


- 拖拽数据段到绑定窗口实现绑定，如图所示。
![](//mc.qcloudimg.com/static/img/d419a20bf0763e86b8fd4d350bf3b60e/image.png)
也可以拖拽数据段到绑定窗口替换已有绑定。
- 拖拽数据段到表格区域实现绑定，如图所示。
![](//mc.qcloudimg.com/static/img/81621c097a3b256d1e288541d607f499/image.png)
也可以拖拽数据段到表格区域替换已有绑定。还可以拖拽数据段在表格区域插入绑定。
替换原有数据段的样式：
![](//mc.qcloudimg.com/static/img/d7a0ad045670640dd7d5082b8e1e7bc3/image.png)
插入原有数据段显示的样式：
![](//mc.qcloudimg.com/static/img/3b91f35ec09db5b608b973536eb5a93e/image.png)
- 双击查询树列表的数据段，实现绑定。

### 移除数据段
本产品支持四种方式来移除数据段：下拉列表、鼠标拖拽、绑定窗口的快捷清除按钮、绿色小三角。具体操作如下：
- 下拉列表
在已绑定的数据段的下拉列表中选择删除。
![](//mc.qcloudimg.com/static/img/80f1710446f89162fec5acd5ca7d7117/image.png)
- 鼠标拖拽
直接通过鼠标拖拽来实现数据段的移除，把数据段拖拽的查询树中。
![](//mc.qcloudimg.com/static/img/6377339eacdfae6183b1e1bd9c30345b/image.png)
- 快捷清除键
通过绑定窗口的快捷清除按钮来移除所有数据段。
![](//mc.qcloudimg.com/static/img/5e2a81dc6d53856abf2a92c2759fa989/image.png)
- 绿色小三角
拖拽绿色小三角到查询树中实现移除。
![](//mc.qcloudimg.com/static/img/34128b8a3d846089a2626b45c764db55/image.png)

### 已绑数据段的可用操作
汇总表和非汇总表存在不同的操作，当汇总按钮高亮时，当前表处于汇总状态，见下图。非汇总表是指对绑定的数据不进行汇总统计，而汇总表格会把已绑定的数据进行汇总统计。
![](//mc.qcloudimg.com/static/img/cb43b024d121df78197ab1dc8cd37adb/image.png)
表格绑定的维度数据段和度量数据段的可用操作存在差异。
![](//mc.qcloudimg.com/static/img/98f977f33c189a54738a2776b8ead30d/image.png)
汇总表格的维度数据段的可用操作见下表。
<style>
table th:first-of-type(1) {
    width: 60px;
}
</style>

| 维度数据段的下拉选项 | 说明 | 
|---------|---------|
| 排序 | 对该数据段中的数据进行排序，其中高级排序的详细介绍见 [排序和排名]()。 | 
|维度|显示当前数据段为维度数据段。|
|度量|用户可对当前的维度数据段进行统计计算( 计数、不同值计数、最大值、最小值)。|
|别名| 用户可给当前绑定的维度数据段设置别名。|
|移除|移除当前数据段。|
|合计|可对每列进行合计（空、前置、后置）。|
汇总表格的度量数据段的可用操作见下表。
<style>
table th:first-of-type(1) {
    width: 60px;
}
</style>

| 度量数据段的下拉列表 | 说明 |
|---------|---------|
|维度 | 用户可把当前的度量数据段转换为维度数据段，不进行任何统计计算。 | 
|度量|用户可以对当前的度量数据段进行各种统计计算。|
|环比|用户可对当前的度量数据段进行环比计算，详细介绍见 [计算器]()。|
|同比|用户可对当前的度量数据段进行同比计算，详细介绍见 [计算器]()。|
|添加动态计算器|用户可对当前数据段中的数据进行动态计算，详细介绍见 [计算器]()。|
|预定义的动态计算器|系统中已定义好的动态计算器。|
|别名|用户可给当前绑定的数据段设置别名。|
|移除|移除当前数据段。|
### 别名
您可以对所绑定的度量数据段和维度数据段设置别名。

