## 如何做 TOP N 排名
TOP N 排名意为从研究对象中得到所需的 N 个数据，并从排序列表中选取最大或最小的 N 个数据。

#### 1. 添加组件
从菜单栏拖拽 <img src="//mc.qcloudimg.com/static/img/dd9f97b5fe504a9af32618760de1a03b/image.png" style="margin:0;"> “图表” 组件到编辑区。
#### 2. 绑定数据
从左侧数据列表中，拖拽维度 “产品名称” 到图表组件 Y 轴，拖拽度量 “销售额” 到图表组件 X 轴，生成柱图。
![](//mc.qcloudimg.com/static/img/694dcb9d82425e5f476038ac19aaf9ca/image.png)
2.1 在绑定区域，打开 “产品名称” 的操作菜单，选择【更多排序】>【高级排序】。
![](//mc.qcloudimg.com/static/img/05c08ed8bc63c9f6f6fbeebc1be9b365/image.png)
2.2 在高级排序对话框中，选择【降序】，【聚合列】；选择列为 “销售额”，聚合方式为 “总和”，即系统将根据产品的总销售额来进行排名。
![](//mc.qcloudimg.com/static/img/0c841539d5daccc0e8a589b5ce076c04/image.png)
2.3 在 TOP N 区域，输入数字 5，即排名后，系统只展现销售额最高的五种产品。
3.3 单击【确定】，最终得到如下 TOP 5 图表。
![](//mc.qcloudimg.com/static/img/23675adae164ecf0f4df0edddf7009d7/image.png)

## 如何做趋势分析
趋势分析通常采用线图。线图可以显示随时间而变化的连续数据，因此非常适用于显示在相等时间间隔下数据的趋势。在线图中，类别数据沿水平轴均匀分布，所有值数据沿垂直轴均匀分布。

以两年内产品销量变化为例，为您介绍趋势分析的做法。

#### 1. 添加组件
从菜单栏拖拽 <img src="//mc.qcloudimg.com/static/img/dd9f97b5fe504a9af32618760de1a03b/image.png" style="msrgin:0;"> “图表” 组件到编辑区。
#### 2. 绑定数据
从左侧数据列表中，拖拽维度 “年月” 到图表组件 X 轴，拖拽度量 “销售额” 到图表组件 Y 轴，得到趋势图。
![](//mc.qcloudimg.com/static/img/bc22aaa4edb15db93b6193ef21de23cd/image.png)
#### 3. 设置图表标题
3.1 在标题区域，右键菜单中，选择【标题】。
3.2 在弹出的标题窗口中，输入新标题 “产品销售趋势”。
3.3 单击【确定】，最终得到产品销售趋势图。
![](//mc.qcloudimg.com/static/img/7ed58e2a6fc6224dae94a5b6f00c3811/image.png)

## 如何做占比分析
占比分析通常采用饼图或玫瑰图。饼图通常显示一个数据系列中各项的大小与各项总和的比例。饼图中的扇面大小表示占比大小。

以产品销量占比为例，为您介绍占比分析的做法。

#### 1. 添加组件
从菜单栏拖拽 <img src="//mc.qcloudimg.com/static/img/dd9f97b5fe504a9af32618760de1a03b/image.png" style="margin:0;"> “图表” 组件到编辑区。

#### 2. 绑定数据
从左侧数据列表中，拖拽维度 “产品种类”，度量 “销售额” 到图表组件 Y 轴。

#### 3. 切换图表类型
在绑定区域，点击 <img src="//mc.qcloudimg.com/static/img/1166652603fe9e16cffdccf91b7327cb/image.png" style="margin:0;"> 图表，打开图表类型对话框，切换图表类型到饼图，点击【确定】。
![](//mc.qcloudimg.com/static/img/451a07bad9f61252a3406dbd99654dff/image.png)

#### 4. 设置标签
4.1 从左侧的数据列表中，拖拽量度 “销售额” 到标记组标签区域。
4.2 在标记组标签区域，打开 “总和_销售额” 的操作菜单中，选择【预定义的动态计算器】>【汇总百分比】。
![](//mc.qcloudimg.com/static/img/b835b691e02da92fd6480368eca930a2/image.png)
最终得到如下占比图。
![](//mc.qcloudimg.com/static/img/64c27671dbd468603287143688e9af9f/image.png)

## 如何找出异常数据
要找出异常数据，通常采用散点图。散点图表示数据随变量而变化的大致趋势，常用于显示和比较数值。

以销售环比增长率为例，为您介绍如何找出异常数据。

#### 1. 添加组件
从菜单栏拖拽 <img src="//mc.qcloudimg.com/static/img/dd9f97b5fe504a9af32618760de1a03b/image.png" style="margin:0;"> “图表” 组件到编辑区。

#### 2. 绑定数据
从左侧数据列表中，拖拽维度 “年月” 到图表组件 X 轴，拖拽度量 “销售额” 到图表组件 Y 轴。

#### 3. 切换图表类型
在绑定区域，单击 <img src="//mc.qcloudimg.com/static/img/1166652603fe9e16cffdccf91b7327cb/image.png" style="margin:0;">，打开图表类型对话框，切换图表类型到点图，单击【确定】，得到散点图。
![](//mc.qcloudimg.com/static/img/d975ed9ffab1570fd3646429a9994c17/image.png)
#### 4. 设置标记值
4.1 在绑定区域，打开 “总和_销售额” 的操作菜单，选择【环比】->【环比增长率】。
4.2 在图表 X 轴或  Y 轴区域，从右键菜单进入编辑 “编辑 X 轴” 或 “编辑 Y 轴” 窗口，调整 X 轴或 Y 轴的刻度与位置。
最终得到如下点图。
![](//mc.qcloudimg.com/static/img/a127f05a6101758f1947d22f8573ab71/image.png)

## 如何做集中度分析
集中度分析通常可采用气泡、词云、树图这三种形式。

气泡图利用气泡的颜色、大小、数目等来形象的反映出仪表盘中数据的定量关系。词云图类似于气泡图，对于关键词予于视觉上的突出，形成 “关键字云层” 或 “关键字渲染” 从而大量过滤掉相对不重要信息，帮助浏览者找到它的关键信息。矩形树图是一种有效的实现层次结构可视化的图表结构，全称是矩形式树状结构图。

以产品库存统计为例，向您介绍如何使用气泡做集中度分析。

#### 1. 添加组件
从菜单栏拖拽 <img src="//mc.qcloudimg.com/static/img/dd9f97b5fe504a9af32618760de1a03b/image.png" style="margin:0;"> “图表” 组件到编辑区。

#### 2. 绑定数据
从左侧数据列表中，拖拽维度 “产品种类” 到图表组件 X 轴，拖拽度量 “剩余库存” 到图表组件 Y 轴。
#### 3.切换图表类型
在绑定区域，单击 <img src="//mc.qcloudimg.com/static/img/2fc37a5333353a5d1ab3365945dfb692/image.png" style="margin:0;">，打开图表类型对话框，切换图表类型到气泡，单击【确定】。
![](//mc.qcloudimg.com/static/img/b0ca09fed6a35a9b0d6045d5129c3f35/image.png)
最终得到如下气泡图，每个颜色的气泡代表一种产品类，气泡越大，该类产品库存越多。
![](//mc.qcloudimg.com/static/img/2d09756de9f72fee1c2087597b7b9bb0/image.png)

## 如何做流向分布
流向分布通常采用组织架构图。

本节以咖啡订单的分布为例，向您介绍如何采用组织架构图做流向分布。

#### 1. 添加组件
从菜单栏拖拽 <img src="//mc.qcloudimg.com/static/img/dd9f97b5fe504a9af32618760de1a03b/image.png" style="margin:0;"> “图表” 组件到编辑区。

#### 2. 绑定数据
从左侧数据列表中，拖拽维度 “市场分布” 到图表组件 X 轴。

#### 3. 切换图表类型
在绑定区域，单击 <img src="//mc.qcloudimg.com/static/img/1166652603fe9e16cffdccf91b7327cb/image.png" style="margin:0;">，打开图表类型对话框，切换图表类型到组织图，点击【确定】。
![](//mc.qcloudimg.com/static/img/529d034336ca2296af71dec46992f789/image.png)
#### 4. 继续绑定数据
从左侧数据列表中，拖拽维度 “省份”、“门店” 到绑定区。
![](//mc.qcloudimg.com/static/img/222aafafe3265b16e30c00dd8a7c3597/image.png)
#### 5. 设置标签
5.1 从左侧数据列表中，拖拽度量 “订单ID” 到标记组标签区域。
5.2 在标记组标签区域，打开菜单选择【度量】->【精确不同值计数】，这样可根据订单ID的不同，统计并显示出订单数量。
![](//mc.qcloudimg.com/static/img/746b0dccaab3741667c4d4f9d44aa20c/image.png)
最终订单分布流向图如下。
![](//mc.qcloudimg.com/static/img/0f16886c758ded3c5c0a6c43cee3ff02/image.png)

## 如何做出一张地图
地图直观显示了不同区域的数据信息。用户可以通过地图来统计不同区域的销售等指标。

本节以咖啡中国数据联接表为例，向您介绍如何做出一张咖啡销售额地图。

#### 1. 添加组件
从菜单栏拖拽“图表”组件到编辑区。

#### 2. 转换地图列
在左侧数据列表中，选择维度 “省份”,右击，在右键菜单中选择【转换为地图列】。

#### 3. 匹配地理信息
3.1 在地图列对话框中，选择地理信息为 “中国”、地理数据为“省”。
![](//mc.qcloudimg.com/static/img/f2d3e6d7fe815801f81b804368eedde0/image.png)
3.2 单击问号，将数据中的地理信息与产品中的地理信息进行匹配。
![](//mc.qcloudimg.com/static/img/fdb1186870133c89e63d05541d3e9003/image.png)
#### 4. 绑定数据
从左侧数据列表中，拖拽地图列 “省份” 到图表组件 X 轴，得到地图。
#### 5. 设置渲染方式
在绑定区域中，打开地标行 “省份” 的操作菜单，选择【区域渲染】，改变地图的渲染方式。
#### 6. 设置标签
从左侧的数据列表中，拖拽度量 “销售额” 到标记组标签区域。该地图将呈现各地区的销售数据。
![](//mc.qcloudimg.com/static/img/56c9783321c9530952f70ec5ac11f35c/image.png)

## 如何做多指标综合性分析
多指标综合性分析通常采用雷达图。

以咖啡市场的销售额和利润额为例，向您介绍如何使用雷达图做多指标综合性分析。

#### 1. 添加组件
从菜单栏拖拽 <img src="//mc.qcloudimg.com/static/img/dd9f97b5fe504a9af32618760de1a03b/image.png" style="margin:0;"> “图表” 组件到编辑区。

#### 2. 绑定数据
在左侧数据列表中，拖拽维度 “市场分布” 到图表组件X轴，拖拽度量 “销售额” 和 “利润” 到 Y 轴。

#### 3. 切换图表类型
在绑定区域，单击 <img src="//mc.qcloudimg.com/static/img/1166652603fe9e16cffdccf91b7327cb/image.png" style="margin:0;"> ，打开图表类型对话框，切换图表类型到雷达图，点击【确定】，得到雷达图。
![](//mc.qcloudimg.com/static/img/17d09c210aa589c1213f0a2cf2273c55/image.png)
#### 4. 设置标记
如果需要在一个雷达图中，显示多个指标，就要改变雷达图的混合方式。在标记组区域，选择混合方式为 “重叠”。
![](//mc.qcloudimg.com/static/img/68c9766fdb22e2a797043f6c4631d3f4/image.png)
最终得到如下雷达图。
![](//mc.qcloudimg.com/static/img/40c2bb81c08f606042d2076462df5929/image.png)

## 如何做瀑布图
瀑布图可显示数据的累积效果，并在最后进行汇总。

以市场销售收入为例，向您介绍如何做瀑布图分析。

#### 1. 添加组件
从菜单栏拖拽 “图表” 组件到编辑区。

#### 2. 绑定数据
在左侧数据列表中，拖拽维度 “市场分布” 到图表组件 X 轴，拖拽度量 “销售额” 到 Y 轴。

#### 3. 切换图表类型
在绑定区域，单击 <img src="//mc.qcloudimg.com/static/img/1166652603fe9e16cffdccf91b7327cb/image.png" style="margin:0;"> ，打开图表类型对话框，切换图表类型到瀑布图，点击【确定】。
![](//mc.qcloudimg.com/static/img/aa1bd9390f94d01abda6b0210bc52beb/image.png)
最终得到瀑布图。
![](//mc.qcloudimg.com/static/img/cc2a4415eebd2b71e6918cfdd101988e/image.png)

## 如何做仪表
仪表常用来展示汇总数据。

本节使用咖啡中国数据联合表，向您介绍如何使用仪表统计产品销售总额。

#### 1. 添加组件
在菜单栏上点击【更多组件】；在更多组件菜单中，拖拽 <img src="//mc.qcloudimg.com/static/img/15d775852871a58a3ac8d21ed878e6cb/image.png" style="margin:0;"> “仪表” 组件到编辑区。

#### 2. 绑定数据
从左侧数据列表中，拖拽度量 “销售额” 到仪表区域。

#### 3. 设置仪表样式
3.1 在仪表区域，右键菜单中选择【属性】。
3.2 在属性对话框，【选项】页签中，选择所需的仪表盘样式。
![](//mc.qcloudimg.com/static/img/5d915a6f2f15eb06758a71618d4a41a2/image.png)
最终得到如下仪表盘。
![](//mc.qcloudimg.com/static/img/37e16864580d07ad847a18dcfa3e8ea2/image.png)

## 如何做一维表
表格是展示数据的载体，可以绑定任意一数据集的多个字段；既可以展示细节数据，也可以显示统计数据。

本节使用咖啡中国数据联接表，向您介绍如何用一维表展示产品销售额和利润额。

#### 1. 添加组件
从菜单栏拖拽 <img src="//mc.qcloudimg.com/static/img/d150c5bd86ebb4d966e2f2c325414b9e/image.png" style="margin:0;"> “表” 组件到编辑区。

#### 2. 绑定数据
2.1 在表区域双击，激活绑定区域。
2.2 在左侧数据列表中，先后拖拽维度 “产品名称”，度量 “销售额”、“利润” 到绑定区域的数据列。
最终得到如下表。
![](//mc.qcloudimg.com/static/img/3a106dff103ff971f7d1dd134845252e/image.png)

## 如何做二维表
二维表，又叫交叉表，可以绑定任意一数据集的多个字段。二维表常用来显示分类汇总数据。

本节使用咖啡中国数据联接表，向您介绍如何用二维表展示产品销售额和利润额。

#### 1. 添加组件
从菜单栏拖拽 “交叉表” 组件到编辑区。

#### 2. 绑定数据
在左侧数据列表中，先后拖拽维度 “年月”、“市场分布” 到绑定区域列表头，维度 “产品名称” 到绑定区域行表头，再拖拽度量 “销售额” 到绑定区域的汇总，得到如下表格。
![](//mc.qcloudimg.com/static/img/9163ed93f6a27ebd68bc652ef4ad3e3b/image.png)
此时，阅读报告的人在看到该表时，并不知道这些数字是代表利润额、销售额、销量还是其他别的含义，所以我们需要给这个表格加一个斜线表头。

#### 3. 制作斜线表头
3.1 选中需要设置表头的单元格，右击，选择【表格渲染】。
3.2 在弹出的表格渲染窗口中，选择 “斜线渲染”，并输入表头的内容。
![](//mc.qcloudimg.com/static/img/09d9b76e10de9d7ac49ad21be1d523ae/image.png)
3.3 单击【确定】，最终得到如下表。
![](//mc.qcloudimg.com/static/img/79f3bd96440f43fe793b503ebae35120/image.png)

## 如何让表格做的更好看
表格渲染可以让您的表格更形象好看。一维表和二维表中的数值类型数据都可以进行表格渲染。

本例将介绍如何对二维表进行柱状渲染。

1. 在交叉表单元格区域右键，在右键菜单中，选择【表格渲染】，打开表格渲染对话框。
2. 在渲染下拉菜单中，选择 “柱状渲染”，设置渲染属性。
3. 单击【确定】，最终得到如下表格。
![](//mc.qcloudimg.com/static/img/7fb856f2d4c3076f40170f75bb37dd7b/image.png)

## 如何过聚焦分析

笔刷和缩放工具可用于聚焦分析，产生数据联动。笔刷功能适用于表、交叉表以及图表，而缩放功能只适用于图表。

#### 笔刷聚焦：
1.用户可直接单击笔刷按钮 <img src="//mc.qcloudimg.com/static/img/3039daa971303c9f45546cdf51194fd0/image.png" style="margin:0;"> 进入笔刷模式。
2.直接在表、交叉表的内部双击（标题区域不支持），在图表的标记、图例、以及坐标上双击进入笔刷模式。
注：当组件没有维度信息时不能进入笔刷模式。
3.进入笔刷模式后，会把高亮区域的维度信息送出，来对其他组件的数据进行筛选。其中被影响的组件可以是表、交叉表、图表、文本、仪表。

#### 缩放聚焦：
1. 用鼠标单击图表中某个标记，使该标记处于选中状态，图表支持 Ctrl 键进行多选。
2. 单击图表右上方的缩放按钮 <img src="//mc.qcloudimg.com/static/img/5908ca77f742c82dd4ac315fac9be1a6/image.png" style="margin:0;">，则选中的标记进入放大状态，倘若进入放大状态的标记有多个，图表可支持 Ctrl 键多选以及鼠标划选来选中标记，单击缩放按钮再次进入放大状态。
3. 当对图表使用缩放功能后，会联动与其绑定数据源相同的其他组件（表、交叉表、图表、仪表、文本）。
4. 单击缩放按钮，退出缩放模式。

## 如何实现数据联动过滤

过滤组件，包括日期过滤组件、范围组件和列表过滤组件，可以实现全局数据的过滤筛选。当修改了过滤器组件上的选项，所有与该组件同一数据源的输出型组件（例如图表，表格，交叉表，文本和仪表）都会自动过滤出数据，使基于任意数据的任意分析都能得到响应。

本节使用咖啡中国数据联接表，以日期过滤组件为例，向您介绍如何实现数据联动过滤。

#### 1. 添加组件
在菜单栏上单击【更多组件】，在更多组件菜单中，拖拽 “日期过滤” 组件到编辑区。
#### 2. 绑定数据
从左侧的数据列表中，拖拽日期数据 “年月” 到日期过滤组件区域。
#### 3. 过滤数据
在日期过滤组件上，选择一个时间，系统将会对绑定相同数据源的其他组件的数据进行筛选。
![](//mc.qcloudimg.com/static/img/9998e6d8e7d1f6d9d17d27c898ba3638/image.png)
#### 4. 设置时间过滤模式
通过时间过滤组件区域的右键菜单，单击【模式转换】->【范围转换】，将时间过滤设置为范围模式，从而过滤出指定时间段范围内的数据。
![](//mc.qcloudimg.com/static/img/ef9e73b406d88a29d9fe74b9e5afa0c5/image.png)

## 如何实现上卷下钻
下钻是指将特定分组的数据按第二维度继续向下细分显示。而上卷，是下钻的逆过程，即收起细节数据，显示上一层级的汇总数据。

以时间层次为例，向您介绍如何实现时间维度上的上卷下钻。

#### 1. 在创建数据集界面，设置您的数据层次：

1.1 在元数据区域，在右键菜单中选择【新建日期层次】；
1.2 勾选需要新建的日期层次格式，例如 “年”、“季度\_年”、“月\_年”，单击【确定】；
1.3 元数据区生成 “日期层次” 文件夹，该文件夹下储存有已建好的层次。
![](//mc.qcloudimg.com/static/img/cecce62d1a49cbfe8fa2ad6a7ecf9e44/image.png)
>**注意：**
>在该层次文件夹下数据段的排放顺序决定了数据段间的级别关系，默认排列在上方的数据段的级别最高，依次往下类推。

#### 2. 在制作报告界面，使用数据层次，钻取数据：
2.1 从菜单栏拖拽 <img src="//mc.qcloudimg.com/static/img/d150c5bd86ebb4d966e2f2c325414b9e/image.png" style="margin:0;"> “表” 组件到编辑区。
2.2 在左侧数据列表中，拖拽 “日期层次” 文件夹中的维度 “年”、“季度”、“月” 和度量 “销售额” 到绑定区域数据列。最终得到如下表。
![](//mc.qcloudimg.com/static/img/f6b824f697d7cab9dc53f432f53220ff/image.png)
2.3 单击绑定区域或表格区域的【+】实现下钻，可查看下一级详细数据；点击【—】实现上卷，查看上一级汇总数据。

## 如何实现数据分析报告导出
报告编辑完成后，您可以将数据分析报告导出到本地电脑。

1. 在制作报告界面，单击菜单栏上的【页面设置】->【输出布局】，进入输出布局界面。 
2. 单击菜单栏上的【输出】按钮<img src="//mc.qcloudimg.com/static/img/4b28429b1a6d902e7762324d05bc9fb4/image.png" style="margin:0;">，在弹出的菜单中，选择需要输出的格式。
![](//mc.qcloudimg.com/static/img/b91989187dbf94a5f84a1daf572cb782/image.png)
3. 在弹出窗口中，输入文件名和保存路径，单击【确定】，即输出报告到本地电脑。
