## 情景假设与预期效果
您需要一份产品利润情况报告。在分析利润数据时，您发现有些产品的利润似乎比其他产品高，而某些地区的利润并没有达到预期。您希望能更清晰地呈现各产品各地区的利润差异与变化，并确定影响利润的因素。
通过商业智能分析服务，您将按地区构建产品利润地图；按时间构建产品利润的变化趋势图；按产品类型构建利润明细表。
最终得到如下所示的利润分析报告：
![](//mc.qcloudimg.com/static/img/6e6402829ff4830e09a200e2fd6b4732/image.png)
## 步骤一：登录商业智能分析
首先，登录 [商业智能分析](https://console.cloud.tencent.com/bi)，单击【进入 BI】，进入控制台。
在控制台首页，您可通过左侧菜单栏进入添加数据源、创建数据集、制作报告、查看报告和管理系统页面，通过左下角按钮进入个性化设置页面，或通过菜单栏右侧按钮进入到相应操作界面。
![](//mc.qcloudimg.com/static/img/6b018a1cb45f0caa43f9cfaa9287a0ce/image.png)
## 步骤二：连接数据
连接数据是使用商业智能分析的开始。商业智能分析需要连接到您的数据，并为您筛选出所需数据，为后续使用数据制作报告做准备。
#### 1. 添加数据源
单击【添加数据源】按钮，进入添加数据源界面，单击搜索框右侧按钮，开始添加数据源（选择腾讯云中已为您内置了本示例中所需的数据源）。
![](//mc.qcloudimg.com/static/img/93d1a1dedd89a144f48fbdba47a825e4/image.png)
#### 2. 创建组合数据集
通过组合数据集，您可以将多个数据集、表、视图联接或联合在一起。
本示例将向您演示，如何将步骤 1 数据源中的两张表 “咖啡中国市场销售数据” 和 “咖啡中国门店订单数据” 联合在一起。更多组合数据集操作详见 [如何做组合数据集](https://cloud.tencent.com/document/product/590/10394?!preview&lang=cn)。
 2.1 在组合数据集页面中，分别拖拽数据表 “咖啡中国市场销售数据” 和 “咖啡中国门店订单数据” 到编辑区。
 2.2 单击两张表之间的组合圆圈，选择两张表的组合方式为 “内部联接”，联接列选择 “订单ID”。
![](//mc.qcloudimg.com/static/img/3f9c80c3e7a4c90ba55e62572e411f88/image.png)
 2.3 单击【刷新元数据】，刷新出两表联接后的元数据。
![](//mc.qcloudimg.com/static/img/6e9760b5da5249fb3d6415f97d63dca3/image.png)
 2.4 在元数据区创建所需的时间维度中选择 “交易时间” 时间戳，右键新建日期表达式。
![](//mc.qcloudimg.com/static/img/a1ea213087b1aab11e2ff0c63197dfc4/image.png)
>**注意：**
>数据分析中，时间是常见的分析维度，帮助展示特定时间的数据信息或趋势。
>本步骤有助于在编辑报告时，展示时间维度下的数据信息。

 2.5 选择日期表达式的格式为 “年月”，维度区域出现您刚建立的时间维度 “YearMonth_交易时间”，系统自动将 “年月” 作为该时间维度的别名。
 2.6 保存该组合数据集为 “咖啡中国市场数据联合表”。
 2.7 保存完成后，单击【编辑报告】，进入编辑报告界面，进行步骤三操作。

## 步骤三：编辑报告
### 制作利润地图
在统计各地区利润时使用地图，您可以直观地看出地区间盈利能力差异。目前，地图可以按 “大洲”、“国家”、“省份”、“城市”、“县城” 来展示。
#### 1. 生成地图
 1.1 在制作报告页面，绑定数据集 “咖啡中国市场数据联合表”。
![](//mc.qcloudimg.com/static/img/c4e9727e7bed245b7a20c9ff39434bf2/image.png)
 1.2  在数据列表中，右键单击【省份】，选择【编辑地图列】>【是】。
![](//mc.qcloudimg.com/static/img/0567ee19cc900878679c6d75ef00287f/image.png)
 1.3 在地图列窗口，地理信息下拉列表中选择需要匹配的国家 “中国”，并按 “省” 显示数据。单击地理数据匹配后的问号，将数据源中的省份名称与软件中内置的省份进行匹配。
![](//mc.qcloudimg.com/static/img/4e87d455c19896d5e6848b50a44f42b1/image.png)
 1.4 从数据列表，拖拽地图列 “省份” 到编辑区，生成地图。
![](//mc.qcloudimg.com/static/img/75153d67ad023628a43acf99912813bd/image.png)
#### 2. 设置标记
 2.1 从数据列表，拖拽度量 “利润” 到标记组区域 > 颜色，不同利润额以不同颜色显示。
 2.2 从数据列表，拖拽度量 “利润” 到标记组区域 > 标签，地图上显示每个标记的利润值。
![](//mc.qcloudimg.com/static/img/c44677136238867de4718e4d0ea01410/image.png)
#### 3. 图表渲染
在绑定区域，地标下拉菜单中，选择【区域渲染】。
![](//mc.qcloudimg.com/static/img/1d57ddc73cfc711a077bc0e806c86145/image.png)
#### 4. 设置图例
为了使图表看起来更美观，可将图例拖拽到图表右下角，并右键单击菜单选择【图例】，在图例窗口修改图例标题。
![](//mc.qcloudimg.com/static/img/bee4734f43161725dcf47416b2475ea1/image.png)
### 制作利润总额仪表
通过对利润地图的分析，您可以了解每个地区产品的利润情况。例如：仪表可以帮您统计两年来的利润总额，了解产品为公司带来了多少盈利。
#### 1. 生成仪表
 1.1 从工具栏>更多组件中拖拽仪表组件到编辑区。
 1.2 从数据列表，拖拽度量 “利润” 到仪表区域。仪表上显示所有产品利润额的总和。
![](//mc.qcloudimg.com/static/img/afcfc46e670169a9064df98737f1513e/image.png)
#### 2. 添加仪表标题
 2.1 从工具栏拖拽 “文本” 组件到编辑区仪表组件左方，生成文本框，如下图。
![](//mc.qcloudimg.com/static/img/f4c74c57b1332d2c3dc0a2c837f93be0/image.png)
>**注意：**
>智能布局中，组件之间默认为非悬浮关系，即多个组件不能在一个位置叠加显示。

 2.2 选中 “文本” 组件，右键菜单中选择【悬浮】，悬浮效果如下图。
![](//mc.qcloudimg.com/static/img/6dea15748fff7b8d64a8509cb3fa2531/image.png)
 2.3 双击激活 “文本” 组件，键入标题内容 “利润总额”；调整 “文本” 组件大小及位置。
#### 3. 设置标题格式
 3.1 选中标题文本框，右键单击菜单，选择【组件格式】，设置对齐方式居中，字体粗体 14 号，字体颜色蓝色，无边框线，无背景色。
 3.2 按住键盘 Ctrl 键，选中文本框组件和仪表组件，单击工具栏 > 组合，将两个组件组合为一个组件。
![](//mc.qcloudimg.com/static/img/e541894008b2958874e84fb1b30e81d1/image.png)
最后，您会得到利润总额仪表。通过该仪表，您可以查看利润额的汇总结果。
### 制作产品利润趋势图
趋势图帮助您了解某个时间段内，产品利润是稳定增长还是较大波动。趋势图不仅能够展示过去时间数据的变化，还可以帮助您预估利润未来的走向。您的数据覆盖的时间范围越大，趋势也就越准确。
本节以两年内的产品利润为例，展示利润趋势图的构建过程。
#### 1. 生成趋势图
从数据列表，拖拽时间维度 “年月”，度量 “利润”，分别到图表区域 X 轴与 Y 轴，实现绑定。
![](//mc.qcloudimg.com/static/img/21e2f753867ebfce8434703b5248d3cc/image.png)
#### 2. 设置趋势图标题
在标题区域右键单击，选择【标题】，输入标题内容 “利润趋势图”。
![](//mc.qcloudimg.com/static/img/c3a87b2eea57a043efdf7a5dd76a8553/image.png)
最终，您会得到如下线图。它显示了两年内，产品利润的变化趋势。
![](//mc.qcloudimg.com/static/img/fb597bfa3f002efd1d19f8275e799953/image.png)
### 制作产品利润明细表
利润明细表帮您快速找到盈利较强与较弱的产品。
#### 1. 生成明细表
从工具栏中，拖拽“新建表”图标到编辑区。
从数据列表，拖拽维度中 “市场分布”、“门店”、“产品名称”和度量中 “利润”，到普通表的数据列，实现绑定。
![](//mc.qcloudimg.com/static/img/65645655a0bf99d97364a59dfa8b3cd5/image.png)
#### 2. 设置别名
在绑定区域，“总和_利润” 字段的下拉菜单中，选择【别名】，设置别名为 “利润额”。
![](//mc.qcloudimg.com/static/img/980fdee7b1969593500eb9e725bf9c37/image.png)
#### 3. 设置表格标题
在标题区域双击，标题变成下图所示的可编辑状态，输入新标题 “产品利润明细”。
![](//mc.qcloudimg.com/static/img/19250aec20157b282e592b21e531359a/image.png)
此时，一张利润明细表就制作完成了。通过这张利润明细表，您可以锁定指定市场上的特定产品，查看其利润状况。
![](//mc.qcloudimg.com/static/img/55730cc86967dbaf3db4d344036f3182/image.png)
### 添加数据过滤组件
在您分析数据的过程中，或许已经发现有些产品的盈利较好，而有些产品盈利较差。这是否跟市场区域有关系？是否有些产品只在个别市场受欢迎？是否有些产品前期利润较高，但最近下滑过快？通过数据过滤，您能一步筛选出所需的数据信息、排除干扰、得到答案。
过滤组件包括时间过滤、列表过滤、范围过滤和树状过滤。本小节将介绍如何为您的报告添加列表过滤组件，在全局为您过滤出想要的信息。
#### 生成产品过滤组件
1. 从工具栏>更多组件中拖拽 “列表过滤” 到编辑区。
2. 拖拽维度 “产品名称” 到列表过滤组件区域，实现绑定，生成产品过滤组件。
当您选中一个或多个产品时，仪表板上的各图表都会过滤并呈现该产品的数据情况。
最终，您将会得到如下图的列表过滤组件。
![](//mc.qcloudimg.com/static/img/e3672f4ceaf9e2efb4c4a86a2bcbd7a1/image.png)

## 步骤四：查看并输出报告
通过输出报告，您可以将自己的分析成果保存到本地电脑。
### 数据联动
当您在分析一份利润报告时，或许留意到其中一些异常数据。
比如，东部市场摩卡咖啡产品的利润为负。
到底是什么原因导致：
* 摩卡咖啡产品的亏损？
* 该产品是否连年亏损？
* 在其他市场是否盈利？
* 东部市场的其他产品盈利如何？

您需要专注摩卡咖啡和东部市场的数据进一步探究。通过数据联动，报告中的所有图表都能根据您的需要，突出展现摩卡咖啡和东部市场的利润情况，帮助您快速发现问题。
使用过滤组件、缩放、笔刷都会引起数据的联动反应，以下示例将为您展示这三种工具在报告分析中的使用效果（在实际应用中您可以根据需求决定工具的使用与否和使用顺序）。

#### 使用过滤组件联动数据
例如：当您留意到东部市场摩卡咖啡的异常利润数据时，可以对产品进行过滤，只查看摩卡咖啡这一种产品的利润总额、利润分布、明细数据和两年内变化趋势。
在过滤组件上，只勾选摩卡咖啡，其他产品保持未勾选状态。此时，报告中所有组件仅显示摩卡咖啡的相关数据，如下图。
![](//mc.qcloudimg.com/static/img/95509913aaca32cb5ef750485699cfd2/image.png)
可以从本例图中，分析出虽然摩卡咖啡在全国市场的利润总体上升，但在东部市场，其利润为负。并且从利润地图来看，正是因为摩卡咖啡在安徽和山东的负利润导致该产品在东部市场的亏损。 
#### 使用缩放联动数据
继续深究：
到底是摩卡咖啡不受市场欢迎？
还是该市场上多数产品的利润都不如其他市场呢？
缩放工具帮您过滤掉无用信息，帮您专注查看山东和安徽两个市场的利润状况。
* 在利润地图中，按住 Ctrl 键不放，鼠标选中安徽、山东两个省份，单击图表区域外的缩放 <img src="//mc.qcloudimg.com/static/img/31887c1a6bff997534a35d8cb420204f/image.png" style="margin:0;"> 按钮。
* 报告中，所有组件都将只呈现这两个省份的数据。
![](//mc.qcloudimg.com/static/img/57b3a0c000563ff56926b48a69d596ca/image.png)
当仅显示这两个省的数据时，您可以发现，与摩卡咖啡利润趋势相似，其余产品的利润总额两年来总体有所上升。但观察这两个省内其他产品的利润明细数据时，发现薄荷花茶一样出现了亏损。
#### 使用笔刷联动数据
继续深究：
薄荷花茶是不是和摩卡咖啡的盈利状况类似呢？
为了研究出东部市场薄荷花茶的利润状况，您需要在数据缩放的基础上，使用笔刷工具。笔刷将高亮显示薄荷花茶的数据，帮您找到答案。
* 选中利润明细表 “薄荷花茶” 单元格，单击图表区域的笔刷 <img src="//mc.qcloudimg.com/static/img/6752762d0db44e663f9c0d3aa0878535/image.png" style="margin:0;"> 按钮。
* 趋势图和地图中，与 “薄荷花茶” 有关的数据高亮显示。仪表和明细表中，都将只呈现该产品数据，其余产品不再显示。
![](//mc.qcloudimg.com/static/img/d5e70baeb12fabc5efcb32b2d04a4cca/image.png)
当薄荷花茶的利润被高亮显示后，您可以发现，只有安徽销售该产品，且利润为负，而山东并不售卖薄荷花茶。而且，与其他产品平稳上升的利润情况不同，薄荷花茶自上市来就是利润亏损，且两年间亏损越来越大。
### 输出报告
在预览报告后，您可能需要将报告导出为 PDF 或 PNG 等格式，以便保存查阅。
以 PNG 格式导出为例：
1. 在登录后主界面，单击【查看报告】，进入查看报告界面。
2. 单击菜单栏上的【输出】按钮 <img src="//mc.qcloudimg.com/static/img/996c8446511304d89ce746845b791cf0/image.png" style="margin:0;">，在弹出的菜单中选择所需的格式【PNG 格式】。
3. 浏览器弹出下载对话框，您可以设置文件名和下载路径；单击【下载】，该报告即以 PNG 形式下载到您的电脑。
