本章节以一家大型连锁咖啡店的销售分析为例，引导您采取相应步骤，构建利润分析的可视化报表，并发现隐藏在数据中的问题，逐步提高公司业绩。

通过阅读本章节，您将了解如何使用商业智能分析连接到您的数据，构建并呈现直观的视图，完成一份利润分析报告；以及如何分享查看您的报告。

## 背景介绍
假设您是一家大型连锁咖啡店的员工，需要向您的上级报告产品利润情况。在分析利润数据时，您发现有些产品的利润似乎比其他产品高，而某些地区的利润并没有达到预期。您希望能更清晰地呈现各产品各地区的利润差异与变化，并确定影响利润的因素，然后把您的发现分享给经理以及团队成员。这样，团队可以根据您的研究结果，采取相应的行动，有针对性地提高公司的盈利能力。

通过商业智能分析服务，您将按地区构建产品利润地图，按时间构建产品利润的变化趋势图，按产品类型构建利润明细表，最终得到如下所示的利润分析报告。您可以将您的分析报告，保存到本地电脑。

决策者能够使用商业智能分析查看任意时间点任意市场上任意产品的利润情况，发掘数据背后隐藏的问题，做出更具针对性和效果的决策。
![](//mc.qcloudimg.com/static/img/cecec57d6aab9b029d365274207ee548/image.png)

## 登陆
首先，登陆商业智能分析。

在该页面，您可以进入添加数据源、创建数据集、制作报告、查看报告和管理系统页面；您也可以由此进入个性化设置页面。
![](//mc.qcloudimg.com/static/img/158f8ff4d66dab38379cbd6991908d1f/image.jpg)

## 连接数据
连接数据是使用商业智能分析的开始。商业智能分析需要连接到您的数据，并为您筛选出所需数据，为后续使用数据制作报告做准备。

1.添加数据源，腾讯云中已为您内置了本示例中所需的数据源。
![](//mc.qcloudimg.com/static/img/3018328f9a6b506efcf7acfa77a370f1/image.png)

2.创建组合数据集

通过组合数据集，您可以将多个数据集，表，视图联接或联合在一起。
本示例将向您演示，如何将步骤 1 数据源中的两张表 “咖啡中国市场销售数据” 和 “咖啡中国门店订单数据” 联合在一起。其他组合数据集类型，请查看操作指南：[如何做组合数据集](https://cloud.tencent.com/document/product/590/10394?!preview&lang=cn#.E5.A6.82.E4.BD.95.E5.81.9A.E7.BB.84.E5.90.88.E6.95.B0.E6.8D.AE.E9.9B.86)。

2.1 在组合数据集页面中，分别拖拽数据表 “咖啡中国市场销售数据” 和 “咖啡中国门店订单数据” 到编辑区。

2.2 点击两张表之间的组合圆圈，设置两张表的组合方式为 “内部联接”，联接列为 “订单ID”。
![](//mc.qcloudimg.com/static/img/3f9c80c3e7a4c90ba55e62572e411f88/image.png)

2.3 点击【刷新元数据】，刷新出两表联接后的元数据。
![](//mc.qcloudimg.com/static/img/6e9760b5da5249fb3d6415f97d63dca3/image.png)

2.4 数据分析中，时间是常见的分析维度，帮助展示特定时间的数据信息或趋势。为了在编辑报告时，展示时间维度下的数据信息，您需要在元数据区创建所需的时间维度。选择 “交易时间” 时间戳，右键新建日期表达式。

2.5 选择日期表达式的格式为 “年月”，维度区域出现您刚建立的时间维度 “YearMonth_交易时间”，系统自动将 “年月” 作为该时间维度的别名。

2.6 保存该组合数据集为 “咖啡中国市场数据联合表”。

2.7 通过【编辑报告】按钮，进入编辑报告界面。

## 编辑报告
### 制作利润地图
当您在统计各地区利润的时候，非常适合使用地图。从地图上，您可以直观地看出哪些地区的盈利能力突出。目前，地图可以按 “大洲”、“国家”、“省份”、“城市”、“县城” 来展示您的区域数据。

本小节在利润分析报告模板的基础上，继续向您介绍使用已保存的数据集 “咖啡中国数据联接表” 制作利润地图的步骤。

#### 1. 生成地图
1.1 从数据列表中，选择维度 “省份” 右击，选择【转化为地图列】->【确定】。
![](//mc.qcloudimg.com/static/img/eee0bd4207e232e960a3d30971d00c6b/image.png)

1.2 在地图列窗口，选择需要匹配的国家 “中国”，并按 “省” 显示数据。点击地理数据匹配后的问号，将数据源中的省份名称与软件中内置的省份进行匹配，匹配后如下图所示。
![](//mc.qcloudimg.com/static/img/b68be6d4050c16183b790789c474abbb/image.png)

1.3 从数据列表，拖拽地图列 “省份” 到图表 1 区域，生成地图。

#### 2. 设置标记
2.1 从数据列表，拖拽度量 “利润” 到标记组 -> 颜色，不同利润额以不同颜色显示。

2.2 从数据列表，拖拽度量 “利润” 到标记组 -> 标签，地图上显示每个标记的利润值。
![](//mc.qcloudimg.com/static/img/c7a37ad4bef634874c794e9aec8cd527/image.png)

#### 3. 图表渲染
在绑定区域，地标字段的下拉菜单中，选择【区域渲染】。
![](//mc.qcloudimg.com/static/img/1d57ddc73cfc711a077bc0e806c86145/image.png)

#### 4. 设置图例
为了使图表看起来更美观，将图例拖拽到图表右下角，并在右键菜单中选择【图例】，在图例窗口修改图例标题。
![](//mc.qcloudimg.com/static/img/bee4734f43161725dcf47416b2475ea1/image.png)

最终您会得到如下利润地图。
![](//mc.qcloudimg.com/static/img/1b9fb892fbe284d4e70f8ffa7fb05ba8/image.png)

### 制作利润总额仪表
通过对利润地图的分析，您了解了每个地区产品的利润情况。但是，到底两年来，产品为公司带来了多少的盈利呢？仪表可以帮您统计两年来的利润总额。

#### 1. 生成仪表
从数据列表，拖拽度量 “利润” 到仪表区域。此时，仪表上显示所有产品利润额的总和。

#### 2. 添加仪表标题
2.1 从工具栏拖拽 “文本” 组件到编辑区仪表组件左方，生成文本框，如下图。
![](//mc.qcloudimg.com/static/img/f4c74c57b1332d2c3dc0a2c837f93be0/image.png)

>**注意：**
>智能布局中，组件之间默认为非悬浮关系，即多个组件不能在一个位置叠加显示。

2.2 选中 “文本” 组件，右键菜单中选择【悬浮】。悬浮效果如下图。
![](//mc.qcloudimg.com/static/img/6dea15748fff7b8d64a8509cb3fa2531/image.png)

2.3 双击激活 “文本” 组件，键入标题内容 “利润总额”；调整 “文本” 组件大小及位置，效果如下图。
![](//mc.qcloudimg.com/static/img/0b66c4f4513d6780ed295157f832cb2b/image.png)

#### 3. 设置标题格式
3.1 选中标题文本框，右键菜单中选择【组件格式】，设置对齐方式为居中，字体为粗体 14 号，字体颜色为蓝色，无边框线，无背景色。

3.2 按住键盘 Ctrl 键，连续选中文本框组件和仪表组件，点击工具栏 -> 组合，将两个组件组合为一个组件。
![](//mc.qcloudimg.com/static/img/e541894008b2958874e84fb1b30e81d1/image.png)

最后，您会得到如下的利润总额仪表。通过该仪表，您可以查看利润额的汇总结果。
![](//mc.qcloudimg.com/static/img/f55e179e88ad0a4311d6381a56953d56/image.png)

### 制作产品利润趋势图
了解某个时间段内，产品利润是否稳定增长，或存在较大波动，从而进一步挖掘原因，就需要采用趋势图。趋势图不仅能够展示过去时间数据的变化，还可以帮助您预估利润未来的走向。您的数据覆盖的时间范围越大，趋势也就越准确。

本节以两年内的产品利润为例，向您展示利润趋势图的构建过程。

#### 1. 生成趋势图
从数据列表，拖拽时间维度 “年月”，度量 “利润”，分别到图表 2 区域 X 轴与 Y 轴，实现绑定。
![](//mc.qcloudimg.com/static/img/21e2f753867ebfce8434703b5248d3cc/image.png)

#### 2. 设置趋势图标题
在标题区域右击，选择【标题】，键入标题内容为 “利润趋势图”。
![](//mc.qcloudimg.com/static/img/c3a87b2eea57a043efdf7a5dd76a8553/image.png)

最终，您会得到如下线图。它显示了两年内，产品利润的变化趋势。
![](//mc.qcloudimg.com/static/img/fb597bfa3f002efd1d19f8275e799953/image.png)

### 制作产品利润明细表
品都能带来利润？是否有些产品在各市场的利润表现都不佳？利润明细表帮您快速找到盈利较弱的产品。

#### 1. 生成明细表
从数据列表，拖拽维度 “市场分布”、“门店”、”产品名称”，度量 “利润”，到普通表的数据列，实现绑定。
![](//mc.qcloudimg.com/static/img/65645655a0bf99d97364a59dfa8b3cd5/image.png)

#### 2. 设置别名
在绑定区域，“总和_利润” 字段的下拉菜单中，选择别名，设置别名为 “利润额”。
![](//mc.qcloudimg.com/static/img/980fdee7b1969593500eb9e725bf9c37/image.png)

#### 3. 设置表格标题
在标题区域双击，标题变成下图所示的可编辑状态，输入新标题 “产品利润明细”。
![](//mc.qcloudimg.com/static/img/19250aec20157b282e592b21e531359a/image.png)

此时，一张利润明细表就制作完成了。通过这张利润明细表，您可以锁定指定市场上的特定产品，查看其利润状况。
![](//mc.qcloudimg.com/static/img/55730cc86967dbaf3db4d344036f3182/image.png)

### 添加数据过滤组件
在您分析数据的过程中，或许已经发现有些产品的盈利较好，而有些产品营收较差。这是否跟市场区域有关系？是否有些产品只在个别市场受欢迎？是否有些产品的前期利润较高，但最近利润下滑过快？通过数据过滤，您能一步筛选出所需的数据信息，排除干扰，得到答案。

过滤组件包括时间过滤、列表过滤、范围过滤和树状过滤。本小节将介绍如何为您的报告添加列表过滤组件，在全局为您过滤出想要的信息。

#### 1. 生成产品过滤组件
拖拽维度 “产品名称” 到列表过滤组件区域，如下图，实现绑定，生成产品过滤组件。
![](//mc.qcloudimg.com/static/img/df330c19ef317ade4a5ebca3b2995ccc/image.png)

最终，您将会得到如下图的列表过滤组件。当您选中一个或多个产品时，仪表板上的各图表都会过滤并呈现该产品的数据情况。
![](//mc.qcloudimg.com/static/img/e3672f4ceaf9e2efb4c4a86a2bcbd7a1/image.png)

## 查看并分析报告
您已经完成一份产品利润分析报告，并发现了其中的一些问题。通过输出报告，您可以将自己的分析成果保存到本地电脑，以待后续与同事研究讨论。

### 数据联动
当您在分析一份利润报告时，或许留意到其中一些异常数据。比如，东部市场摩卡咖啡产品的利润为负。到底是什么原因导致摩卡咖啡产品的亏损？该产品是否连年亏损？在其他市场是否盈利？东部市场的其他产品盈利如何？您需要专注摩卡咖啡和东部市场的数据进一步探究。通过数据联动，报告中的所有图表都能根据您的需要，突出展现摩卡咖啡和东部市场的利润情况，帮助您快速发现问题。

过滤组件、缩放、笔刷都会带来数据的联动反应。

#### 使用过滤组件联动数据
当您留意到东部市场摩卡咖啡的异常利润数据时，可以对产品进行过滤，只查看摩卡咖啡这一种产品的利润总额、利润分布、明细数据和两年内变化趋势。

在过滤组件上，只勾选摩卡咖啡，其他产品保持未勾选状态。此时，报告中所有组件仅显示摩卡咖啡的相关数据，如下图。
![](//mc.qcloudimg.com/static/img/85705cafd8fc934a95d3d063154d9b4b/image.png)

从图中，您可以看出虽然摩卡咖啡在全国市场的利润总体上升，但在东部市场，其利润为负。而且从利润地图来看，正是因为摩卡咖啡在安徽和山东的负利润导致该产品在东部市场的亏损。

#### 使用缩放联动数据
那么，到底是摩卡咖啡不受市场欢迎？还是该市场上多数产品的利润都不如其他市场呢？
缩放工具帮您过滤掉无用信息，帮您专注查看山东和安徽两个市场的利润状况。

1.在利润地图中，按住 Ctrl 键不放，鼠标选中安徽、山东两个省份，点击图表区域外的缩放 <img src="//mc.qcloudimg.com/static/img/31887c1a6bff997534a35d8cb420204f/image.png" style="margin:0;"> 按钮。

2.报告中，所有组件都只呈现这两个省份的数据，其余地区的数据不再显示。
![](//mc.qcloudimg.com/static/img/b0c5e4a58bf529b0ad4466cc351ce972/image.png)

当仅显示这两个省的数据时，您可以发现，与摩卡咖啡利润趋势相似，其余产品的利润总额两年来总体有所上升。但观察这两个省内其他产品的利润明细数据时，发现薄荷花茶一样出现了亏损。那么薄荷花茶是不是和摩卡咖啡的盈利状况类似呢？

#### 使用笔刷联动数据
为了研究出东部市场薄荷花茶的利润状况，您需要在数据缩放的基础上，使用笔刷工具。笔刷将高亮显示薄荷花茶的数据，帮您找到答案。

1.选中利润明细表 “薄荷花茶” 单元格，单击图表区域的笔刷 <img src="//mc.qcloudimg.com/static/img/6752762d0db44e663f9c0d3aa0878535/image.png" style="margin:0;"> 按钮。

2.趋势图和地图中，与 “薄荷花茶” 有关的数据高亮显示。仪表和明细表中，都只呈现该产品数据，其余产品不再显示。
![](//mc.qcloudimg.com/static/img/83ec86622e89bfbf40a7ed40aa7142ce/image.png)

当薄荷花茶的利润被高亮显示后，您可以发现，只有安徽销售该产品，且利润为负，而山东并不售卖薄荷花茶。而且，与其他产品平稳上升的利润情况不同，薄荷花茶自上市来就是利润亏损，且两年间亏损越来越大。

### 输出报告 
在预览报告后，您可能需要将报告导出为 PDF或 PNG 等格式，以便保存查阅。

以 PNG 格式导出为例：

1.在登陆后主界面，单击【查看报告】，进入查看报告界面。

2.单击菜单栏上的【输出】按钮 <img src="//mc.qcloudimg.com/static/img/996c8446511304d89ce746845b791cf0/image.png" style="margin:0;">，在弹出的菜单中选择所需的格式【PNG格式】。
![](//mc.qcloudimg.com/static/img/25cf49f374805db774f96ac1d1ccd3c9/image.png)

3.浏览器弹出下载对话框，您可以设置文件名和下载路径；单击【下载】，该报告即以 PNG 形式输出到了您的电脑。

