## 什么是 TBDS
腾讯大数据处理套件 TBDS（Tencent Big Data Suit）是在腾讯多年海量数据处理经验之上，结合开源 Hadoop 生态和自研组件服务，对外提供可靠、安全、易用的大数据处理平台。用户可以按需部署大数据处理服务以实现企业的大数据处理需求，例如：数据提取、处理、分析、报表展示、客户画像、机器学习等大数据应用，以提高企业在大数据背景下的核心竞争力。
### 我们的理念
**1. 屏蔽系统规划、安装及部署细节，降低使用成本**
通过控制台规划集群，安装和部署大数据组件；
通过控制台管理系统配置，启停和上下线大数据服务；
尽可能降低用户上机操作的几率；
基于解决方案的一键式部署；

**2. 系统可用性**
借鉴腾讯相关产品在大数据领域的先进经验，在用户端快速复制腾讯相关产品的高可用大数据系统，做到开箱即用；

**3. 系统可扩展**
 系统提供接口方便后续引入新的大数据服务；

**4. 系统可维护性**
系统提供丰富的日志帮助用户定位问题；
系统升级不影响现有业务；

### 我们的架构
一条完整的数据处理流水线通常由“接入-存储-计算-输出-展示”多环节衔接而成。大数据技术经过阶段性地发展，各环节都涌现出一批相互借鉴、相互补充的基础系统。大数据套件将常见的基础系统（包含社区版系统、社区改造版系统以及腾讯自研系统）集成封装，形成统一的大数据平台。数据开发人员可以从大数据平台自由选择不同的基础系统来构建数据流水线，以满足不同场景的数据处理需求。
![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/TBDSjs-a.png)

## 社区方案
社区版系统各自关注于大数据生态某个环节，没有端到端闭环解决方案，同时在使用便利和稳定性上往往无法达到企业级标准。TBDS 经过腾讯内部多业务系统海量数据打磨，通过对社区版加固，自研，提供友好的 IDE 开发环境，从开发，部署，运维全方位满足线上系统高可用要求。
![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/TBDSjs-1.png)

## 实践与案例
![](//mc.qcloudimg.com/static/img/4f712b5fa0b833b9b684183dde3c87cf/image.png)
