## 基本架构
腾讯大数据处理套件基本构架如下：
![](//mc.qcloudimg.com/static/img/525d37eb54fd9477e7e6e53356d06b30/image.png)
## 功能描述
腾讯大数据处理套件 TBDS（Tencent Big Data Suit）功能如下：

### 全链路数据开发
易用、安全、稳定、高性能的全链路大数据开发引擎。提供拖拽式的可视化数据开发 IDE，为用户的大数据集成、存储、计算环节提供完整而稳定的企业级解决方案。用户能借助于大数据套件获取到强大的大数据开发能力，聚焦于进行企业的业务创新。包括但不仅限于以下功能：
- **多渠道数据集成**
实时数据接入：支持 Flume、Tube、Kafka 数据接入，包含结构化、半结构化、非结构化的异构数据毫秒级实时接入。
离线数据导入：支持 Mysql、Postgre、Oracle 等主流关系数据库高效导入，支持文本类日志数据离线导入。
压缩及传输安全：支持高强度数据压缩及加密传输，历经每天 400T、2 万亿条数据接入考验。</br></br>
- **企业级大数据存储解决方案**
多类型存储支持：支持块存储、分布式文件、对象存储、SQL、NoSQL 从 GB 到 PB 量级的存储解决方案，满足企业客户复杂存储应用场景。
可靠：存储系统高可靠容灾设计,可靠性可达 99.996%，用户按需选择数据热备数量，支持冷热数据分治，支持数据冷备策略自定义。
可扩展：高可扩展设计，存储系统可动态随企业数据量增加从 G 到 P 级的动态扩容，支持系统不停机动态扩容。
集群数据平衡成本最小化。</br></br>
- **离线批处理计算**
灵活：支持 MapReduce、Hive、Pig 等批处理计算作业，可支撑企业数仓建设中的数据清洗、转换、汇集、主题提取等数据处理需求；支持 Spark 分布式内存计算框架，在内存中对数据集进行快速的多次迭代，以支持复杂的数据挖掘算法和图计算算法。
丰富的调度策略：支持丰富的作业调度策略，包含分钟、小时、天、月级周期或非周期的任务执行策略。</br></br>
- **实时流处理计算**
灵活：支持 TStorm(用 Java 语言重写的 Storm 流处理引擎)、Storm 流式任务作业引擎，覆盖实时要求极高的流式作业场景；支持基于 Spark 上的 Spark Streaming，满足毫秒级的实时计算场景需求，如实时推荐、用户行为分析等。</br></br>
- **可视化工作流开发 IDE**
数据开发 IDE：拖拽式的工作流开发 IDE，简单 Web 式拖拽操作来完成整个大数据工作流的任务开发。
丰富的任务类型：内置丰富的处理器，囊括离线数据导入导出、在线实时数据接入、MR 程序、TStorm 程序、Java 程序、Shell 脚本、Email、Hive 脚本、机器学习等多种任务的配置集成。</br></br>
- **文本检索及检索分析**
文本检索：基于 Lucene 的文本搜索服务器 ElasticSearch 向用户提供友好的 RESTful 接口的分布式多用户能力的全文搜索引擎，支持 TB 级别的全文检索应用。
检索分析：万级纬度、千亿数据规模下向用户提供毫秒级高性能检索分析服务，满足用户的检索分析场景需求。

### 强大的数据分析与探索挖掘引擎
一站式数据分析、探索、挖掘平台。包含基于纬度建模的多维分析、交互式探索分析、机器学习、深度学习、可视化敏捷报表门户等功能，向用户提供强大的数据分析与数据挖掘能力，助力用户大数据的价值发现。包括但不仅限于以下功能：
- **多维分析引擎**
SQL 兼容：基于 Apache Kylin 开源分布式分析引擎，为用户提供基于 Hbase 存储的数据 Cube 预建模及百亿行规模的 SQL 数据分析能力，满足企业级用户面向部门的数据集市建设需求。</br></br>
- **交互式数据探索**
任意纬度组合、秒级分析：采用列存储技术、万维标签查询处理技术为用户提供实时的多维交互式 SQL 查询、统计、分析系统，支撑万级维度、千亿级规模下的秒级数据统计分析需求，支持数据离线导入及在线数据实时接入。</br></br>
- **分布式数据库**
支持 SQL 标准：支持 SQL 2003 核心扩展的分布式关系数据库，完全兼容 PostgreSQL 的 SQL 语法，支持主键、触发器、约束、函数、存储过程、跨节点 join 等绝大部分的 SQL 特性，同时满足百 T 级数据规模的 OLTP 和 OLAP 应用场景。
高性能、可扩展：单机可达 20000TPS，支持服务器在线扩容，扩容后性能表现接近线性扩展。
内核级分库分表：内核级支持数据库分库分表，分库分表逻辑对业务完全透明化，简化业务的数据访问逻辑。
内核级冷热数据分治：内核级支持冷热数据分治，业务无需感知底层存储介质的差异，对外提供一个统一的数据库视图，可有效降低服务器硬件成本。
高可靠：可选多份数据热备，保障系统高可用，故障秒级切换。</br></br>
- **敏捷报表门户**
易用：可视化数据源配置，可视化自助创建报表门户，无任何 IT 基础也可配置专业级运营报表门户，轻松把握业务脉搏，助力企业决策。
多渠道触达：勾选报表门户中已有指标源即可实现数据内容的可视化配置推送，支持邮件、微信渠道报表定向推送，助力决策者实时调整商业决策。
丰富的可视化模板：内置十余种图表模板，表格、曲线图、柱状图、饼图、雷达图等主流图表模板一应囊括。</br></br>
- **机器学习**
丰富：面向数据科学家的专业机器学习算法开发平台。集成 Spark、Python、R、XGBoost 等 4 种机器学习框架，支持图计算和深度学习，内置分类、回归、聚类、关联规则等 60 余种丰富算法。
拖拽式开发：可视化的 Web 拖拽式任务流开发，能够让算法工程师和数据科学家从数据和模型的角度以最自然的流方式来思考，充分激活企业大数据活力。
团队协作与知识共享：支持机器学习任务的团队协作开发，提高企业数据探索发现效率，有效助力团队的知识沉淀与共享

### 开箱即用的数据治理工具
开箱即用的数据治理工具，面向企业数据治理需求，提供完善的数据元信息管理功能。支持细到字段级别的数据权限管控，包含库表数据字典、数据血缘跟踪与溯源、热点数据分析等特色功能，以帮助企业客户提高海量数据资产的管理效率。包括但不尽限于以下功能：
- **数据权限管控**
细粒度权限管控：提供对关系数据库、分布式数据库、HDFS 文件、Hive 库和 Hbase 的文件、库、表、字段级的数据权限控制能力，满足用户在不同场景下对不同粒度数据的安全管控能力。
安全：支持基于项目、用户、角色纬度的数据权限验证和授权，及时阻断用户的数据非法访问请求，保障企业数据资产安全。
数据访问审计：实时记录敏感数据访问行为以支持定期的安全审计，支持自定义敏感数据访问预警策略，严控内部数据安全风险。</br></br>
- **数据字典**
海量数据的元信息管理：可视化 Web 式元信息管理工具，满足用户对海量数据的元信息检索、标注、数据口径标准化等诉求。让用户能高效的对企业数据资产进行管理、索引、查找，有效提高企业数据资产管理效率。</br></br>
- **血缘分析、直系分析和重要性分析**
元数据分析及追溯：包含血缘分析、直系分析、重要性分析等数据治理工具。
用户可通过元数据分析直观了解到数据的来源、数据之间的关系、数据与任务的计算关系、数据流向、数据被引用次数等重要信息，便于用户直观的把握数据资产状况。</br></br>
- **自助提数**
成本优化：降低提数门槛，无 SQL 基础的业务专家也可以自助提数，大大释放 IT 技术部门压力，有效降低企业人力成本。
效率：业务人员也可自助提数，不再需要提交需求到技术团队，减少沟通环节，提数周期从周降低到分钟级别，可大大提高企业的商业决策效率。
安全管控：完备的数据权限管控机制始终贯穿自助提数的整个环节，在降低成本的同时更降低数据安全风险。

### 一站式运维管理平台
一站式的可视化运维管理平台，包含一键式集群部署、增量部署、丰富的可视化运维工具、完善的面向多租户的计算资源管控体系和完善的用户权限管理体系为客户提供企业级的大数据平台运维管理能力支撑。包括但不仅限于以下功能：
- **便捷部署**
一键部署：企业级大数据平台一键式部署，用户搭建部署稳健大数据平台的耗时从数周降低到数小时。 
增量部署：存储、计算节点适应企业数据从 GB 到 PB 的数据规模增长一键式线性扩容。
30 余组件一键式增量部署，用户可根据企业的快书发展实时调整大数据架构。</br></br>
- **仪表盘式运维**
可视化运维：集群运维仪表盘的实时呈现，支持仪表盘自定义配置，服务健康度跟踪告警，为用户提供集群运行状态实时感知能力。
监控告警：支持自定义短信、邮件渠道的服务异常告警。
20 余纬度的指标监控覆盖所有 30 余组件的运行状态，让运维人员对集群服务监控指标了如指掌。
备份：支持 Hdfs 文件、文件夹的自定义备份策略，支持 Hbase 表的自定义备份策略。</br></br>
- **资源管控**
资源隔离：完整多租户方案面向企业提供部门级的计算、存储资源分配与隔离，有效防止租户间任务的相互影响。
动态调整：支持资源的动态调整，结合完善的资源指标监控系统可为用户极大程度的提升系统吞吐量，降低总体IT硬件成本。
灵活：支持以项目，角色为主体的数据资源、计算资源申请与使用，系统管理员分配资源更便捷直观。</br></br>
- **项目管理**
可视化：项目任务的可视化运维，包含项目内的实时、离线、机器学习等任务的运行状态指标。
基于角色的项目管理：内置项目管理员、运维工程师、开发工程师三种项目角色，满足大多数部门级大数据处理场景。
支持基于项目的角色自定义，企业客户可根据企业特点打造专属的大数据项目管理模型。</br></br>
- **用户及租户管理**
灵活：支持基于用户、用户组、项目的用户管理体系，满足不同发展阶段企业客户的需求。
安全：单点登录，统一访问策略体系有效支撑管理员对用户的功能访问进行权限管控，杜绝内部风险。
