## 工作流相关术语
**工作流：**腾讯自研的任务调度系统，具有毫秒级任务下发，高可靠的特性，同时支持插件式扩展任务类型
**数据分析**：提供简单的 SQL 查询功能，可以将 SQL 语句转换为 MapReduce/Spark 任务运行，进行在线 Scala、Python、SQL 脚本调试。
**机器学习：**让数据科学家和算法工程师提供更棒体验的机器学习平台，通过拖拽式任务流设计，灵活多变的运行模式，丰富的内置机器学习算法，支持多种机器学习框架， 并提供可视化效果，同时还有强大的团队协作和分享能力，支持多种场景下的多实例调度， 让用户享受机器学习的乐趣。
## 平台管理相关术语
**项目：**项目是大数据平台所有资源管理的基础，所有应用系统上线，都必须运行在分配好的项目之内，项目可以认为是一个大数据开发项目，也可以按照组织部门逻辑划分项目。项目包含唯一的资源队列，包括 CPU、内存、存储空间等，不同资源队列之间分配优先级；
**用户：**大数据平台的使用用户，隶属于项目，拥有开发、运维、管理员等数种项目成员权限身份。
**角色：**分配给用户在大数据平台的权限划分，包括系统管理员（超级用户）、项目管理员、项目开发、项目运维。
**资源：**包括计算资源和存储资源，计算资源是 yarn 资源可以调度分配 CPU 和内存资源；存储资源是 HDFS 的存储空间。
**资源池：**是 yarn 分配指定资源队列，提供计算任务时需要的资源。
## 数据管理相关术语
**可管理库表：**数据库表的责任人具有对库表的可管理权限。
**可读写库表：**数据库表所属项目的成员对库表具有可读写权限，其它项目成员可通过申请库表权限功能开通可读写权限。
**无归属库表：**系统扫描到的数据库表（一般是用户在登录机器命令行创建），无责任人和项目归属关系。
**数据血缘：**数据产生的链路或者路径，比如通过数据 A 数据 B 产生了数据 C，那么 C 的父血缘就是 A 和 B，反之亦然。在大数据套件中描述数据“父子”关系，以思维导图形式展现了数据变化影响和数据生产溯源，清晰刻画表与表之间、任务与任务之间的关系。
**直系关系：**父级到子级数据表的任务处理流程关系。
**血缘回溯：**分析原始数据到目标数据表的计算路径。
**数据字典：**对数据的数据项、数据结构、数据存储等进行定义和描述，其目的是对数据流程图中的各个元素做出详细的说明，使用数据字典为简单的建模项目。简而言之，数据字典是描述数据的信息集合，是对系统中使用的所有数据元素的定义的集合。
## 数据展现相关术语
**数据源：**是报表展示的数据来源，一般指数据库表；
**维度：**是报表展示的可指定不同值的对象的描述性属性或特征，是报表展示分析的角度。例如，网页浏览统计的浏览器类型维度，该维度包含 IE、Chrome、Firefox 等浏览器，地理分析中的城市维度，该维度包含北京、上海、广州等地点。用户可以使用维度来整理、细分和分析数据，也可以通过添加和删除维度来查看数据的不同统计特征。
**指标：**是报表展示的聚合统计对象，通常是指数据字段，可以按总数或比值衡量的具体维度元素。例如，维度“城市”可以关联指标“人口”，其值为具体城市的居民总数。
