## 1 管理用户和群组

大数据套件支持本地用户和群组. “控制台管理员”可以创建并管理可以使用大数据套件的用户和群组。本章介绍了大数据套件管理模块是如何支持管理本地用户/群组的。

-  本地用户/群组类型
-  控制台管理员权限
-  创建本地用户
-  设置用户状态
-  设置控制台管理员标识
-  修改本地用户的密码
-  删除本地用户
-  创建本地群组
-  管理群组成员
-  删除本地群组
-  套件管理员权限
-  
### 1.1 大数据套件管理员权限

作为一个大数据套件管理员，您可以创建新用户，删除用户，修改用户密码和修改用户设置。你可以控制本地用户一定的权限。下表列出了大数据套件管理员对本地套件用户可用和不可用的权限。下表是套件管理员对tbds本地用户的权限。

<table style="display:table;width:80%;">
	<tbody>
		<tr>
			<th style="text-align: center;"><strong>管理员用户权限</strong></th>
			<th style="text-align: center;"><strong>本地用户</strong></th>
		</tr>
		<tr>
			<td style="text-align: center;">修改密码</td>
			<td style="text-align: center;">可用</td>
		</tr>
		<tr>
			<td style="text-align: center;">设置套件管理员标志</td>
			<td style="text-align: center;">可用</td>
		</tr>
		<tr>
			<td style="text-align: center;">修改群组成员</td>
			<td style="text-align: center;">可用</td>
		</tr>
		<tr>
			<td style="text-align: center;">删除用户</td>
			<td style="text-align: center;">可用</td>
		</tr>
		<tr>
			<td style="text-align: center;">设置是否可用</td>
		<td style="text-align: center;">可用</td>
		</tr>
	</tbody>
</table>

### 1.2 创建本地用户

以管理员用户帐号进入管理控制台页面为了创建一个本地用户：

 1. 浏览用户页面
 2. 点击“创建本地用户”
 3. 输入一个唯一的用户名
 4. 输入并确认密码
 5. 点击“保存”

### 1.3 设置用户状态

以管理员帐号进入用户控制台页面，如下图：

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/TBDSjs-11.png)

然后进入“用户+组管理”/”用户列表”， 点击右上角的“创建LOCAL用户”， 输入用户名，选择状态和是否管理员，设置好密码点击保存即可。如下图：

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/TBDSjs-12.png)

用户状态是指用户是否是可用的和被允许登录控制台或是无效的和被拒绝登录控制台的。通过设置状态标志为有效或无效，你可以有效地“禁用”用户帐户访问控制台同时保留权限相关的用户帐户信息。可通过双击用户列表中的用户名进行状态的修改。

另外，可以通过设置套件管理员来指定一个或更多的用户有管理员权限。可以通过双击用户列表修改某个用户是否为管理员。

为了防止你意外地把自己锁在套件管理员用户界面外面，控制台不允许将自己的套件管理员帐户的套件管理员标识设置为No。

### 1.4 修改本地用户密码

套件管理员可以修改本地用户的密码。修改本地用户密码：

 1. 浏览用户页面
 2. 点击“修改密码”
 3. 输入你的管理员账户密码来确认你有修改本地用户密码所需的权限
 4. 输入并确认一个新密码
 5. 点击保存
 
### 1.5 删除本地用户

删除本地用户可以将用户帐户从系统中删除，包括与用户相关联的所有权限。你可以重用已经被删除的本地用户的名字。

删除本地用户：

 1. 浏览用户页面
 2. 点击“删除用户”
 3. 确认
 
>如果你只是不允许该用户登录，将用户状态设置为失效即可

### 1.6 创建本地群组

创建本地群组：

 1. 浏览群组页面
 2. 点击“创建本地群组”
 3. 输入一个唯一的群组名
 4. 点击“保存”

### 1.7 管理群组成员

你可以通过将用户添加到群组或从群组中移除来管理本地群组的成员。

-  将用户添加到群组
-  修改群组成员

将用户添加到群组操作步骤：

1. 浏览群组页面
2. 点击群组名列表中的一个名字
3. 选择“本地成员”控制按钮来编辑成员列表
4. 在空白处，输入一个已存在用户名的第一个字母
5. 在可选用户名列表中选择一个用户名
6. 单击复选标记以将当前显示的成员保存为群组成员

修改群组成员操作步骤：

1. 在套件管理员页面，点击“群组”
2. 点击需要修改的群组名
3. 选择“本地成员”控制按钮来编辑成员列表
4. 点击本地成员文本区域来修改当前成员
5. 点击“X”来移除一个用户
6. 点击复选按钮来保存修改，点击“X”来取消修改

### 1.8 删除本地群组

删除本地群组将删除群组相关的所有权限。删除本地群组操作步骤：

1. 浏览群组页面
2. 点击“删除群组”
3. 确认。群组将会被删除，所有相关群组成员的信息将会被移除

## 2 管理节点

控制台前台有一个主机页，用户可通过该页管理运行在集群节点上的hadoop组件，包括DataNodes，NameNodes，TaskTrackers和RegionServers等，例如重启所有的DataNode组件。该页面基于运行状态、节点健康度和定义主机分组支持针对节点组件的筛选。

用户在主机页可以查看每个服务和组件跑在哪些具体的节点上，通过在该页操作按钮提供的选项来操作集群的一台或多台机器。用户可以输入具体机器的IP或主机名来查找节点，如下图所示：

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/jiqunxin-1.png)

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/jiqunxin-2.png)

### 2.1 观测节点状态

节点名前的上色图标表明了每个节点的运行状态，如下所示：

- 红色 – 至少有一个在该节点上的master组件挂掉，用户可移动鼠标至该图标，系统会弹出提示框展示挂掉的组件名；
- 橙色 – 至少有一个在该节点上的slave组件挂掉，用户可移动鼠标至该图标，系统会弹出提示框展示挂掉的组件名；
- 黄色 – 服务器已有三分钟没有收到该节点上报的心跳；
- 绿色 – 正常运行状态。

颜色展示的优先级为红色 > 橙色 > 黄色。也就是说，一个标识为红色的组件除了有master组件挂起之外，也可能会存在其它的问题。下图展示了两个节点，其中一个节点为红色警告，一个是橙色警告。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/jiqunxin-3.png)

### 2.2 过滤节点列表

用户可以使用过滤器展示那些处于特定运行状态的节点，过滤器的下拉列表会展示处于不同运行状态的机器总数，如下图所示：

### 2.3 操作节点

用户可以使用"操作"按钮操作一个或多个节点，该按钮主要有三种类型的功能，包括：
● 展示节点 — 根据用户的筛选条件展示用户关心的节点；
● 展示组件 — 展示用户选中节点上的组件信息；
● 操作 — 展示用户选中组件可以执行的操作类型。
以在某个节点上重启DataNodes为例：
（1）选中一个有运行DataNodes的节点；
（2）点击操作按钮，选中"已选择的机器(1)"-> "DataNodes"->"重启"，如下图所示：