## 1 基础环境

### 1.1 系统要求
<table style="display:table;width:80%;"class="t">

<tbody><tr>
<td> 系统要求
</td><td> CentOS6.5，x86_64
</td></tr>
<tr>
<td colspan="2">预装软件
</td></tr>
<tr>
<td> tbds-server主机
</td><td> yum，rpm，wget，tar，expect，perl
</td></tr>
<tr>
<td> yum私有源主机
</td><td> yum，rpm，httpd，createrepo
</td></tr></tbody></table>

### 1.2 名词解释

1)	tbds-server：tbds总控节点，负责生成安装计划、指标搜集和状态监控等；
2)	tbds-agent：tbds部署在各节点上的client，负责拉起程序，监控节点健康度等；
3)	yum源：使用httpd服务提供系统所需各种rpm包的下载；

## 2 配置yum私有源

### 2.1 选择云主机

假如选择主机10.104.27.85（根据不同环境修改）。

### 2.2 启动httpd服务

```
$ sudo service httpd start
```

### 2.3 准备yum源文件

解压tbds光盘文件到httpd目录（默认为/var/www/html,可对该目录进行定制），最后源文件地址为/var/www/html/hdp-mirror（需要有4G空间）。

### 2.4 创建yum源的rpm包索引

```
$ sudo createrepo /var/www/html/hdp-mirror
```
### 2.5 验证

通过以上步骤，yum私有源地址为`http://10.104.27.85/hdp-mirror`， 该地址为其它节点安装yum源。可将该地址添加到系统源

/etc/yum.repos.d/centos.repo，内容如下：

      
```
[hdp]
       name=hdp-mirror
       baseurl=http://10.104.27.85/hdp-mirror
       enabled=1
       gpgcheck=0
$ wget  http://10.104.27.85:80/hdp-mirror/java/jdk-6u31-linux-x64.bin
#验证是否成功
```

## 3 配置tbds-server

### 3.1 初始化云主机

该云主机要求至少4G内存，假如选择主机10.104.27.83。tbds-server可以和yum私有源在同一台主机上，但是不能和其它主机一起做agent使用。

首先需要重新配置hostname。

```
$ sudo hostname 10.104.27.83
```

### 3.2 添加yum私有源

创建/etc/yum.repos.d/tbds.repo文件，添加yum私有源，内容如下：

```
 [TDP-2.2]
   name=hdp-mirror
   baseurl=http://10.104.27.85:80/hdp-mirror
   enabled=1
   gpgcheck=0
$ yum clean all     
$ yum makecache
```

### 3.3 安装tbds-server

```
$ sudo yum install tbds-server
```

### 3.4 设置tbds-server

```
$ sudo tbds -server setup --repo-url 10.104.27.85:80<font color="red">/hdp-mirror</font>
```

下图提示，表示安装成功

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/TBDSjs-3.png)

### 3.5 启动tbds-server

```
$ sudo tbds-server start
```
如出现下图，表示启动成功：

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/TBDSjs-4.png)

## 4 tbds卸载重装说明

由于集群规划不够好，环境太过杂乱，或是出现验证bug时。可以格式化集群，重新安装。具体步骤如下。

### 4.1 tbds格式化（server节点）


```
$ sudo tbds-server stop      #必须先停止
$ sudo tbds-server reset     #遇到的交互对话，输入yes 即可
$ sudo tbds-server start     #若启动失败，查看log
```

### 4.2 集群清理
首先在控制台页面停止所有服务。然后在Server端执行：

```
$ sudo tbds-server clean-agent   //agent清理
$ sudo tbds-server clean-server   //server清理
```
