任务管理模块主要用于对 EasyCount 任务进行管理，主要包括 EasyCount 任务的创建、运行、停止、删除、复制和任务导入导出。下面通过一个操作流程来介绍各个功能。
首先登录[腾讯大数据处理套件](https://123.207.155.53:8081/cas/login?service=http%3A%2F%2F123.207.155.53%3A80%2Findex.html)，单击【实时计算】模块。
![实时计算](//mc.qcloudimg.com/static/img/02645e4feac029bf6e6f1709e9723dca/image.png)
单击【任务管理】导航进入任务管列表页面。
![任务管理](//mc.qcloudimg.com/static/img/5b2f99117a5becc3dd0ae1e144e91591/image.png)
单击【新建任务】按钮，进入新建任务页面。新建任务的信息分为三块：任务信息、库表配置和脚本编辑。
- 任务信息：任务的基本配置信息，包括任务名称、任务描述、选择任务的责任人及所属项目。***扩展配置 numWorkers 代表任务在 storm 上需要启动多少个 worker。***
![任务信息](//mc.qcloudimg.com/static/img/7e2b7ab2c2368c8a81d3cd8353d13c81/image.png)

- 库表配置：配置脚本信息中需要使用的表信息，库表分为源表、目标表和纬表三类。源表只能为流水表，代表计算数据的主要来源。目标表是计算的存储位置。纬表是一些静态数据，在计算过程需要关联的表。
![库表配置源表](//mc.qcloudimg.com/static/img/05836073ef13ff81b949fe7a80d35814/image.png)
![目标表](//mc.qcloudimg.com/static/img/ecc55d96da301f37e0659325ca26d181/image.png)
![纬表](//mc.qcloudimg.com/static/img/f164243591ffe4a8ea0d65370f562905/image.png)
库表配置可以单击【导入】从模板中选择，或进一步单击【新增模版】。每个库表信息填写完整后可以点击测试验证该库表是否连通。
![导入](//mc.qcloudimg.com/static/img/3f195f77bd8da1a70f8dd47a5e6d6689/image.png)
![新增模版](//mc.qcloudimg.com/static/img/c1b10f14b0b2de58602eeac3d6ce0e99/image.png)
> 注意：在申请使用 hippo 表时需要配置生产组和消费组权限，在使用 kafka 表时需要配置生产组权限。Hippo 和 kafka 在使用之前，分别需要先申请配置生产组和消费组权限，生产组权限。Hippo 权限申请参考《tbds-hippo使用手册》。
Kafka topic 和 hbase 表的权限分配需要联系管理员申请。以上所需的 kafka、hippo 和 hbase 表的权限申请通过之后才能在 SQL 中使用，否则在任务运行过程中会有权限异常抛出。

- 脚本编辑：编辑计算的 sql 脚本。
![脚本编辑](//mc.qcloudimg.com/static/img/37490db94b782935b0c4a7d58e23a326/image.png)
以上三个模块的信息都填写完整后，单击【预编译】按钮，查看脚本是否能编辑通过。脚本编译异常会有错误提示，脚本编辑通过后单击【保存】，进入任务列表页面单击对应任务的【运行】按钮来启动任务。任务会异步下发到 storm 集群，任务的状态会每隔 30 s 刷新一次。
![e运行](//mc.qcloudimg.com/static/img/b5b06b18638b0fcadc9cf4047fcab51f/image.png)

进入任务列表页面单击对应任务的【停止】或【删除】按钮，即可停止或删除一个任务。
![停止删除](//mc.qcloudimg.com/static/img/3df982f001cc60fde0dc101efec2ed34/image.png)
如果对某一个任务单击【复制】按钮，则会复制一个执行相同操作的任务。配置信息和原任务相同。
![复制任务](//mc.qcloudimg.com/static/img/2d90f19939418cf803263b5e8ed506f3/image.png)

任务导出功能：为了将已有的任务方便的迁移到其他平台，可以选择任务单击【任务导出】，任务脚本会打包下载，解压后可以看到任务脚本。
![e任务导出](//mc.qcloudimg.com/static/img/534a9a3a2a96c931dcc8955959a8a61d/image.png)
任务导入功能：选择任务单击【任务导入】，将已有的任务脚本导入到系统生成任务。
![e任务导入](//mc.qcloudimg.com/static/img/e823e8964256f45bf3abbcdc05cbda6c/image.png)
