## 概述和组件构成
腾讯大数据平台提供细而全数据权限验证和授权，保障企业数据资产安全支持血缘、直系、重要性分析，便于用户直观的把握数据资产状况清晰了解全局信息，支持多渠道全方位进行统一维护。数据管理提供了平台的全局概览视图、库表管理、数据血缘管理功能。
## 相关术语
- 可管理库表：数据库表的责任人具有对库表的可管理权限。
- 可读写库表：数据库表所属项目的成员对库表具有可读写权限，其它项目成员可通过申请库表权限功能开通可读写权限。
- 无归属库表：系统扫描到的数据库表（一般是用户在登录机器命令行创建），无责任人和项目归属关系。
- 数据血缘：数据产生的链路或者路径，比如通过数据 A 数据 B 产生了数据 C，那么 C 的父血缘就是 A 和 B，反之亦然。在大数据套件中描述数据“父子”关系，以思维导图形式展现了数据变化影响和数据生产溯源，清晰刻画表与表之间、任务与任务之间的关系。
- 直系关系：父级到子级数据表的任务处理流程关系。
- 血缘回溯：分析原始数据到目标数据表的计算路径。
- 数据字典：对数据的数据项、数据结构和数据存储等进行定义和描述，其目的是对数据流程图中的各个元素做出详细的说明，使用数据字典为简单的建模项目。简而言之，数据字典是描述数据的信息集合，是对系统中使用的所有数据元素的定义的集合。

## 全局概览
用户进入数据管理页面后，可以通过全局概览视图查看整个平台的状况。主要涵盖：
- 集群项目数量：在平台管理中建立的项目数量
- 集群用户数量：在平台管理中建立的用户数量
- 使用存储大小：项目使用的 HDFS 存储容量大小
- 当前运行任务数量：在工作流中建立的任务数量
- 当前任务类型统计：在工作流中建立的任务类型分布
- 资源使用情况（yarn vcore和mem使用）：在平台管理中项目对应的资源使用统计
- 资源使用排行：每个项目的 yarn 分配的资源使用排行
- 库表排行：hive 数据库表的使用热度排行