与自建 Hadoop 相比，弹性 MapReduce（ EMR ） 能提供更方便、更安全、更可靠的云端托管 Hadoop 服务。
## 灵活
* 只需几分钟即可获得一个安全可靠的 Hadoop 集群，以运行 Hive、Spark、Presto 等主流开源计算框架。 
* 可对一个已有的弹性 MapReduce 集群进行快速的弹性伸缩，以在变动的业务部门数据分析需求与高昂 IT 硬件成本之间快速获得平衡点。 

## 可靠
* Master 节点容灾设计，备节点秒级拉起，保障大数据服务可用性。 
* 完善的监控体系建设，您可以通过短信渠道秒级感知集群组件及任务的运行异常状况。
* 支持将 Hive 元数据存放于 CDB，元数据可靠性达 99.9996%。
* 支持分析存放于 COS 的高存储耐久性的 PB 级数据。

## 安全
* 可通过便捷的 VPC 网络安全隔离手段规划托管 Hadoop 集群网络策略，支持网络 ACL 和安全组，可从子网和主机维度筛选流量，全方位满足网络安全需求。
* 腾讯云品质的安全加固服务为 EMR 集群提供一体化的安全服务，涵盖网络防护、入侵检测、漏洞防护等。

## 易用
* 可以响应业务需求创建不同版本的集群分析 COS 上的同一份数据。
* 可以借助开箱即用的 Hue、Oozie 等社区组件随心分析位于数据节点或 COS 上的 PB 级数据，无需担心产生任何知识迁移成本。

## 节约成本
* 通过 EMR 服务，可以按业务曲线随心伸缩托管 Hadoop 集群，极致缩减高昂的硬件成本。
* 丰富的运维工具支持，大幅提升运维工作效率，让工程师更专注于业务本身的商业价值，摆脱重复搭建监控、安全、运维工具等基础设施。



