### 1 MD5和TOKEN的作用是什么？

MD5 和request_id用做数据校验，目的是防止竞争对手的流量攻击。目前TOKEN验证正在完善，可以先用一个字符串代替，后续再找腾讯云分配。目前接收请求的CGI还没有对这块验证，因此前期数据接入，MD5可以随便填写。（TOKEN和request_id是用来生成MD5的），因此TOKEN先不用关心。另外，如果后续有了TOKEN，md5(bid&request_id&TOKEN)：其中的&符号是需要跟bid、request_id拼接在一起的，需要把这个‘&’拼接到字符串里面，一起生成MD5。

### 2 请求推荐结果返回一般需要多长时间？

一般耗时30ms-40ms之间返回。

### 3 曝光数据问题

尽可能上报用户真实看到的曝光数据，而不是拉取的商品都作为曝光数据上报。且曝光行为里面的多个item_id，需要按照给用户展示的真实的位置顺序上报。此外，尽可能后端上报，这样数据更稳定。

### 4 数据上报API字段问题

item上报：是单条上报，目前不支持批量上报，但商品的频率、个数都不限制。同一个item_id，有更新时，后面的item后覆盖前面的item信息。

action上报： 表示哪个用户（uid），在哪个场景下（scene_id)，对哪些item（item_id），进行了点击/曝光等操作（action_type)，即(uid，item_id，action_type，scene_id）这个四元组需要对应起来，如果没有分配scene_id的点击或者成交等，scene_id可以暂时不填写；但要注意的是：上报过来的场景A的点击和曝光数据，一定是场景A下产生的点击和曝光，不能是其他场景的点击和曝光。可以简单理解为：“某个场景下的曝光和点击数据，要么点击和曝光一起上报，要么都不上报“（包括成交、购买等）。

### 5 关键字段说明

| 参数名称 | 类型 | 必传 | 含义 |
|---------|---------|---------|---------|
| MD5  | string | Y | MD5(bid&request_id&TOKEN)  | 
| request_id   | string | Y | 请求标识，格式：毫秒级时间戳_随机数，随机数建议三位以上  |
| data_type  | integer | Y | 协议类型： 1 - item, 2 – action， 物料上报取1。区分上报和请求是两个不同的域名：上报： data.dm.qcloud.com，请求： service.dm.qcloud.com  | 
| item_id  | string | Y | 物料id，物料唯一标识，数值和字符串都可以  | 
| scene_id  | string | Y | 推荐场景ID，由腾讯分配，比如有“猜你喜欢”，“热门商品”等推荐模块，每一个模块都有一个scene_id来表示，到时腾讯方会为每一个接入的场景，分配一个scene_id  | 
| pool_id  | string | N | 物料池，表示商品可以在哪些地方进行推荐展示，示例：“热门商品”场景，有一个“全部”tab，还有“女装”、“食品”等tab或者分类页，此时给每一个tab分配一个pool_id，“全部”：1，“女装”：2，“食品”：3，当一个商品可以在“全部”这里推荐，也可以在“女装”这里推荐，则该商品的pool_id写为1;2；如果一个商品既可以在“全部”这里推荐，也可以在“食品”这里推荐，则该商品的pool_id填写：1;3；pool_id可以是数字，也可以是其他字符，但是要有区分性，同步到双方即可；多个pool_id之间使用分号分割  | 
| trace_id  | string | Y | 跟踪点击和曝光的自定义会话ID，用来关联“曝光-点击”session 的,是由业务上报方生成的，一般是由uid_时戳_随机数生成的一个ID，为了保证点击跟曝光是同一个用户 对同一个item的操作行为；强烈建议每次曝光分配一个trace_id，如果点击来自这次曝光，赋之相同的trace_id，这样我们就能识别session了  | 
| tags  | string | N | 作为模型的特征使用，是对物品的一个重要的区分特征，tags的丰富、区分程度，很大程度上决定了模型训练的好坏，该字段尽可能的把商品的类目、品牌、标签描述等都填写到该字段。不同tag之间使用分号分割  | 
| vender  | string | N | 可以传品牌，商家，店铺，广告主  | 
| extend  | string | Y | 扩展字段，用作特殊字段处理。比如后续模型要进行ABtest，可以传算法ID；其他的一些数据，后面分析业务特点或者业务根据自身的经验，进行填写上报；用不到可以不填写  | 
| uid  | string | Y | qq，微信号，imei/icfa，手机号，如果是imei号，则是15位数字字符串；如果是IFA号，则是8-4-4-4-12，32个字符串；如果是MD5（uid），则是32位的0-f的字符串，且需要是大写的IDFA进行的MD5 | 
| source  | string | Y | 用于分流的标识字段；区分用户的行为是哪个算法， 取值为 ：bus，tx，def 三者之一；其中：bus 表示业务自己的算法（business）；tx 为腾讯算法；def 为默认算法（default），可以理解为随机算法，或者对照组 | 
