## Web 应用日志分析

无论是PC端还是移动端网页浏览，都会产生大量的日志信息；这些日志可以为界面交互设计改进和业务逻辑优化提供重要的信息。使用TDF可以为大规模日志数据处理提供强大灵活的引擎，并做到按需开通，在计算完成后，即刻释放计算资源，满足海量日志计算对灵活性的要求。

在下图中，数据接入模块将最终用户访问记录，从 CDN 节点以及 Web 应用服务器以文件形式存放到 COS 节点。随后将 COS 节点上的日志文件导入 TDF 中，并进行查询分析。TDF处理结果可周期性存放至 CDB，并借助BI组件进行可视化分析。

Web 应用日志分析架构如下图所示：

![](//mc.qcloudimg.com/static/img/ff2c4c2d3cd64e29e6e7b2f4f160f288/image.png)

## 游戏用户数据分析

从千万级用户数据中往往可以提取出宝贵信息以指导业务决策，包括游戏数值设定、转化率优化方案等等。TDF 可以为游戏开发商提供 HIVE 等成熟技术框架用于用户数据分析服务，实现海量用户数据分析。

在下图数据接入部分，最终用户在访问业务服务器过程中，产生大量的行为数据和自身属性数据，这些数据由各业务服务器产生并收集。这些原始数据可存放在 CDB 数据库，随后周期性提交给TDF，进行数据分析。最终，TDF处理结果导出至 CDB，并由 BI 组件进行可视化分析，业务决策者可由此分析判断进行决策。

游戏用户数据分析架构图如下所示：

![](//mc.qcloudimg.com/static/img/aba1a4ee86ec6373b793dcb722d7e6c1/image.png)

## PB 级数据仓库应用

传统 OLTP 数据库在超大规模数据分析上往往捉襟见肘，TDF 可以为用户提供高达 P 级容量的强大数据仓库查询和分析能力，帮助用户以极低成本实现海量数据 OLAP 处理过程。

如下图，在数据接入部分，CDB 数据库可直接运行 OLTP 业务，产生的数据将作为原始数据待分析，在数据处理部分，数据库管理员可以直接通过TDF管理控制台提交 OLAP 数据仓库应用作业，作业将被 TDF 调度并计算，最后 TDF 计算结果可被导出至 CDB 存放，并由 BI 组件进行可视化分析，业务决策者可由此分析判断进行决策。

PB 级数据仓库应用架构如下图所示：

![](//mc.qcloudimg.com/static/img/209bca25c5c184ffd849ee8bc543e528/image.png)

## 金融领域数据仓库分析

无论是银行、保险、证券等传统金融机构，还是互联网金融企业，都需要灵活快速对已有数据进行分析，发现业务规律，实现精细化管理。

传统数据仓库分析往往需要使用复杂的数据库应用软件和商业智能套件。IT技术团队需要耗费大量的时间完成技术设施搭建和运行维护工作，并保障系统的可用性、安全性和稳定性。

采用腾讯云 TDF 解决方案，可通过公有云服务方式，对用户已有海量业务数据和客户信息进行分析处理，在包括但不限于如下具体业务领域实现快速应用交付：

- 个人金融产品精准营销：通过 TDF 对个人信用卡消费时间、频次、金额、类别等详细交易信息进行分析，确定推广目标人群，分析其年龄阶段、消费偏好、收入状况、支付能力等属性，并对消费行为建模分析,还可借助TDF 内置机器学习算法，预测消费行为，并有针对性进行金融产品精准营销。

- 个人或小微企业贷款风控：根据海量交易数据，在 TDF 中通过机器学习算法进行风险计算，提升风险评估的精确性和处理速度。
