## 新建工作流

点击左上角【工作流列表】的【+】按钮，即可新建工作流，其中，工作流相关参数如下：

- 工作流名称：中文或字母开头，由中文、字母、下划线、数字组成，最长20个字符。

- 责任人：工作流可对应一个或多个责任人,责任人可创建、删除任务节点，并配置工作流调度信息,默认责任人为创建者，可在创建者之外，增加其他人为责任人,单工作流最多10个责任人,责任人需具备开发者权限。

【备注】：工作流说明和备注信息,工作流新建后，需添加任务节点，并配置工作流对应调度信息，才可运行。

## 添加任务节点

将左下任务类型面板中的任务拖拽到编辑区域，即可新建任务。

当前支持如下类型任务节点：

- 数据计算节点：HQL脚本。

- 数据接入节点：腾讯云 CDB MySQL导入Hive。

- 数据导出节点：Hive导出至 腾讯云 CDB MySQL。

拖拽后，编辑区域任务节点将自动生成任务名称，例如【计算任务 n 】，其中 n 为累计计数以便于区分。

## 编辑任务节点

生成任务节点后，右键单击任务节点，可进行编辑、复制、删除工作。也可双击任务节点，由此进入任务编辑界面。

在任务编辑界面，可查看当前工作流所有任务，并编辑任务的详细参数。任务的调度信息统一在工作流处进行配置。包括任务基本信息，以及不同类型任务的详细参数，详细如下描述:

### 任务基本信息设置

任务基本信息（包括不同类型任务）如下：

- 任务名称：自动生成任务名称，可根据业务逻辑修改。

- 任务类型：自动根据拖动节点类型生成，不可修改。

- 责任人：指定唯一责任人，该责任人默认为当前操作者，责任人需具备开发工程师角色。

- 任务说明：任务备注说明。

任务的调度信息将直接继承工作流调度信息，参见工作流调度配置。

### CDB MySQL导入Hive任务参数设置

【注意】：不支持通过TDF将CDB MySQL的数据直接导入到COS表

任务参数如下：

- 源数据库：即之前所定义的数据源，需在“工程管理——数据源管理”中提前配置，也可在当前页面跳转配置；当前支持CDB MySQL作为数据源。

- 源数据库查询SQL：类似 select、join 等查询操作，支持通配符。

- 目标表所在工程：数据导入至Hive表所对应目标工程，当前用户需为该表的拥有者；此工程可以不同于当前任务所属于工程。

- 目标表：数据导入至 Hive 表的目标表，可新建。

【注意】：不同任务需对应不同 Hive 目标表；否则可能造成多个任务重复向同一个表写入数据

- 目标表列名映射：填目标表列名，顺序需与源数据查询结果顺序保持一致，日期和常量需要用中括号包起来，例如：column_1,column_2,column_3

- 分区格式：目标表分区的 Partition 格式。当前支持如下四种方式：

1.不分区：即目标表不是分区表，例如一次性任务。

2.${YYYYMMDDHH}：按小时分区，例如每小时调度的任务。

3.${YYYYMMDD}：按天分区，例如每天调度的任务。

4.${YYYYMM}：按月分区，例如每月调度的任务。

【注意】：如设置分区格式，则需要在 TDF 目标表创建时指定相应字段设置为分区字段（一旦创建 TDF 表后，则无法修改分区字段设置）。

- 分隔符：目标表的 Column 分隔符。

- 脏数据阈值：设置发现脏数据条数后，任务失败的阈值，当高于此数量，任务进入失败状态，脏数据包括格式错误、取值范围超出允许值等。

- 是否忽略空数据源：设置是否忽略数据源中的空条目，如选择不忽略，则发现有空数据源则任务失败。

### HQL脚本计算任务参数设置

数据库名：自动生成，该 TDF 数据库对应该工程，计算时即对工程的具体表进行操作。

SQL：具体操作语句，用户可自行从编辑器中复制粘贴至对话框,其中，可参考示例需明确指定数据库名以及表名（即 use 数据库）,该操作语句语法需符合 HQL 规则。

TDF中HQL 支持的命令格式兼容Apache Hive，相关文档可参考链接。
https://cwiki.apache.org/confluence/display/Hive/Home 。


### Hive导出到 CDB MySQL 任务参数设置

【注意】：不支持通过TDF将COS源表导入到CDB中

任务参数如下：

- 源数据库所在工程：选择 Hive 表对应工程，该工程可以同当前工程不同。

- 源数据库查询SQL：类似 select、join 等查询操作，支持通配符。
 
- 目标数据库：数据导出至Hive表所对应目标数据库，当前支持 CDB MySQL 作为目标数据库；需在【工程管理——数据源管理】中提前配置，也可在当前页面跳转配置。

- 目标表：数据导入至 CDB MySQL 表的目标表，需提前在CDB中创建。

- 目标表列名映射：填目标表列名，顺序需与源数据查询结果顺序保持一致，例如： column_1,column_2,column_3。

- 数据库入库模式：可选择 TRUNCATE 或 APPEND 方式 TRUNCATE 即每次执行时，先删除表内所有数据，再进行数据库入库 APPEND 方式为不删除当前数据，追加数据写入入库。

【注意】：当使用 APPEND 方式时，数据写入 CDB MySQL 将会自动新增一列，以记录任务信息和时间戳，当使用 APPEND 方式时，数据写入CDB MySQL将会自动新增一列，以记录时间戳和任务，格式包括taskId_dataTime ，类似如下内容：20161213153920902_201612130000

- 脏数据阈值：设置发现脏数据条数后，任务失败的阈值，当高于此数量，任务进入失败状态，脏数据包括格式错误、取值范围超出允许值等。

- 是否忽略空数据源：设置是否忽略数据源中的空条目，如选择不忽略，则发现有空数据源则任务失败。

### 连接任务节点组成工作流

在任务节点之间可添加连线。连线代表任务之间的依赖关系。在工作流配置调度信息后，或即时运行后，将从第一个任务节点开始执行至最后一个任务节点。

【注意】：工作流按照有向无环图的概念组织，即不允许出现脱离工作流路径的独立节点（仅包含一个任务节点的工作流除外），同时也不允许出现环状工作流，系统将自动检查并在保存工作流前提示。
