## 模块说明

该模块对 TDF 中的数据表和数据提供管理功能，分为如下子模块：

- 表总览：提供对组织内所有表的查看，以及申请权限功能。

- 表管理：包括创建新表，对已有的表调整结构或删除，以及对同自己相关的表的管理工作等。

- 权限审批：申请对不属于自己的表进行查看。

TDF 数据表是整个 TDF 的核心组件，所有的计算节点执行的查询或其他操作均针对 TDF 数据表中的数据。

## 数据存放与导入导出的一般性步骤

涉及数据存放和导入导出场景的一般性逻辑和步骤如下：

- 第一步：数据在数据源导入至 TDF 数据表，或从 TDF 数据表导出到其他数据源的过程中，首先需要创建表，明确 TDF 数据表的格式，即包括字段数量、字段类型。导入的数据将严格按照该对应过程随后，在数据导入的过程中，需指定 TDF 数据表（目标表）的分隔符。

- 第二步：将导入数据源或导出数据目的地，定义为具体TDF数据源服务器。配置相关的外部数据库访问账户和密码，即完成外部数据源（例如CDB MySQL）到 TDF 数据源服务器的映射）。

- 第三步：配置任务或工作流完成整个流程。在任务重完成对表的数据导入或导出。

### 数据存放的转换规则

入库时，数据存放需按照一定规则，详细如下：

- 按照先后顺序，数据源的字段名称，一一对应至TDF数据表的各个字段，建议保证导入与导出数据字段数量和字段类型一致。

- 导入时，如源数据库查询SQL执行结果列数大于目标表列名映射数量情况下，任务会执行失败，如源数据库查询SQL执行结果列数小于目标表列名映射数量情况下，任务会提示成功，但数据可能错乱。

- 导出时，如源数据库查询SQL执行结果列数大于目标表列名映射数量情况下，任务会执行失败，如源数据库查询SQL执行结果列数小于目标表列名映射数量情况下，任务成功取决于其他字段是否允许为空。


