## 使用指南

### 表总览

用户可在此界面对组织全局下所有的表进行查看，并针对具体表申请功能权限。
表总览显示表名、描述、所属工程、表空间、所有者等信息。对不属于该用户的表，可在【操作】中点击权限申请，以申请对该表的读或读写权限。

### 表管理

用户可在此界面对不同工程中的表统一管理。

表的拥有者默认为创建者。拥有者可授权其他用户对表的读写权限，并修改拥有者。表同时与特定的某个工程相关联。该特定工程内的所有角色（包括开发工程师和运维工程师）自动被授权可读写该表的数据，但不可修改表结构。

### 新建表

创建一个新的表，用于按照指定格式存放TDF需要处理的数据。该表在数据输入输出时被引用。

### 1.创建TDF表

步骤：

** 第一步：填写表信息**

包括名称，所属工程（下拉选择已有工程即可），以及基本描述。
在高级设置中，需设置TDF表的详细记录格式，包括：记录格式（已通过逗号、制表符等分隔）、字段终止符、集合终止符、Map键终止符以及文件格式。

【注意】：如果用户从腾讯云CDB MySQL产品接入数据，按照默认值设置即可。

** 第二步：字段与分区**

编辑表内部字段名称，字段类型，字段描述，以及设置其中某字段为分区字段（Partition）。当前支持字段类型、规格、示例如下：

![](//mc.qcloudimg.com/static/img/b7b079fbc49bea3c7a1454af44827550/image.png)

以上规格兼容Hive表项说明，可参考如下社区链接。
https://cwiki.apache.org/confluence/display/Hive/LanguageManual

### 2.创建COS表

COS分两类，一类是cos上的数据无时间分区概念，另一类是cos上的数据有时间分区概念（也就是cos上的数据有类似按时间做目录的维度），比如以下cos目录：
![](//mc.qcloudimg.com/static/img/8aac92adfa282c588df812cf48c631b3/image.png)

### 普通COS表

COS表需要通过HQL方式创建，在输入建表sql时不需写location，location信息通过点选“高级设置”中的COS数据源设置。建表时可以建COS上的外表，也可以建内表，区别在于删除表的时候，内表会删除COS上的数据，而外表则不会。
![](//mc.qcloudimg.com/static/img/08ad0ec727d9fcd05d488638184e6c98/image.png)

【注意】：建表时填写的COS目录路径需要填写到目录一级，不能直接到文件。

### 分区COS表

**第一步：创建分区表**

![](//mc.qcloudimg.com/static/img/46f7cad6c41b893f45658d1101ad9fc8/image.png)
![](//mc.qcloudimg.com/static/img/a61951c161b8844dc4d068039f061244/image.png)

**第二步：创建工作流**

周期性的对之前创建的表添加分区，比如以下是按天添加分区：

【注意】：这里COS上的分区必须是对应的按天分目录

![](//mc.qcloudimg.com/static/img/a3e3845820a5569e179f44fb9371110b/image.png)

以上添加分区任务跑成功后，就可以读取对应的COS数据。

建立COS表以后，对COS表的读写与普通表一样。

表成功建立后，可在【表管理】——【我拥有的表】中检索。

### 表管理

通过【可读写表】、【可管理表】、【我拥有的表】三个维度，对已有表进行查看和管理4。

- 可读写表：用户具备表读或读写权限，这些表包含用户拥有的表，以及其他人拥有但用户已经申请读写权限的表，以及所属工程下的表。

- 可管理表：用户作为工程管理员时，可对可管理工程下所有表进行管理，即指定所有者。

- 我拥有的表：用户对所拥有的表，可以修改表结构，或删除。

以上操作可在对应界面完成。

【注意】：工程内的所有开发工程师和运维工程师，将自动被赋予同该工程相关联的表的读写权限，而无需向表的所有者申请。

### 申请表权限

表权限默认如下：

- 表的创建者即拥有者，自动拥有该表读写权限。

- 工程管理员，可对工程内表指定拥有者。

- 用户可对任意工程中的任意表，发起读写权限申请（即使此用户未在该工程中），申请由表的拥有者判断是否通过。

操作如下：

在【数据管理】——【表管理】界面，点击右侧【申请表权限按钮】，

在工程中，选择对应的表，即可修改为对应的拥有者。

### 权限审批

一旦其他用户对拥有者所有的表提出权限请求，表拥有者可在此页面通过或拒绝表读写的权限。表拥有者可查阅自己通过或拒绝的历史记录。

