## 什么是TDF?

数据工坊（TDF，Tencent Data Factory）是基于腾讯云数智大数据套件的轻量级云上大数据产品，为用户提供 Hive 等常见大数据计算框架，适合于需要动态灵活获取大数据计算能力的客户。

## TDF 能帮我完成什么工作？

当前，TDF 支持 Hive 计算框架，因此TDF特别适用于大数据集的批处理作业，例如网络日志分析，用户行为分析等等。

## TDF 不适用于处理哪些工作？

TDF不适用如下场景：
1. 实时或超低延迟的查询。由于 Hive 本身不具备处理实时查询的功能，不建议使用 TDF 处理对延迟要求较高的数据分析应用，未来我们将发布对应云端解决方案覆盖该场景。

2. 大量数据存放本地且不易迁移。TDF 为公有云化服务，即用户需将数据上传至TDF数据表进行处理。TDF 未来将提供数据接口，支持本地上传，但对于本地有大量数据场景，建议通过 TBDS 大数据套件私有部署方式支持。

3. 复杂ELT操作。当前 TDF 所支持的 Hive 框架可通过类 SQL的 HiveQL语言实现数据操作，主要用于结构化数据的查询。根据 Hive 本身特点，并不擅长处理数据的改写和添加，或非结构化至结构化数据的处理。未来我们将发布对应云端解决方案覆盖该场景。

## 和线下方案相比，云上大数据产品 TDF 有什么好处？
云上方案相对于线下部署，有如下特点：

1. 成本低：用户无需承担硬件和软件一次性采购和部署成本，而是按需付费。

2. 动态扩缩容：根据实际需要，动态订购计算引擎。

3. 免运维：计算框架所依赖的计算节点和存储资源对用户透明，用户仅关心具体任务或工作流即可。

4. 易于对接云上数据源：如果用户在云上数据库如腾讯云 CDB 已经存放大量数据，这些数据可通过数据中心内部网络直接接入至 DF（例如 Hive表）进行计算，快速高效。

## TDF 和其他大数据产品组件的区别和联系？

TDF 是轻量级线上大数据服务，其技术原理和核心架构来源于 TBDS，即线下部署的大数据套件。相对于 TBDS，TDF 更适合于以下几类场景：

1. 数据已经存放于云上。
2. 对计算能力动态扩缩容的应用场景。
3. 可以用Hive计算框架完成。

如果用户需要进行私有部署，且使用 Spark 等其他计算框架，则可考虑使用 TBDS 大数据套件。

