文智提供的API功能包括词法分析、句法分析、篇章分析、下载四大类别。具体API功能如下：

## 1.分词/命名实体识别API
提供智能分词（基本词和短语）、词性标注、命名实体识别功能。专业的团队对数据、模型、程序进行迭代更新以保证效果的不断提升。用户只需简单的调用相关API接口即可获取到所需结果，无需担心诸如新词发现、歧义消除、调用性能等词法分析难题。词法分析已经为应用宝搜索、微信公共账号搜索等业务提供支持，均取得了良好的效果。
## 2.情感分析API
为有情感分析需求的产品提供的服务。该服务能够对信息进行情感上的正向、负向及中性进行评价。在舆情监控、话题监督、口碑分析等商业分析领域有非常重要的应用价值。
## 3.主题分类API
为用户提供自动文本分类服务，平台已对文本分类的模型算法进行了封装，用户只需提供待分类的文本数据，而不必关注具体的实现，通过平台就能得到提供文本的所属类别。目前平台能识别类别囊括了求职招聘、影视、音乐、健康养生、财经、广告推广、犯罪、政治等90多个类别，且算法支持快速迭代更新已有类别及增加新类别。
## 4.关键词提取API
基于关键词抽取平台, 为用户实现诸如新闻内容关键词自动提取、评论关键词提取等提供基础服务。支持用户自定义词典，提高在垂直领域的抽取效果。目前已经接入的业务包括腾讯新闻客户端、手机腾讯网等。

## 5.敏感信息识别API
识别信息的色情、政治等敏感程度。可用于敏感信息过滤，舆情监控等。

## 6.句法分析API
句法分析出句子中词与词之间的关系，可用于提取句子主干，提取句子核心词等。句法分析可以更好的理解句子，从而在机器翻译、自动问答、知识抽取等领域都可以应用。

## 7.同义词API
为用户提供同义词查询服务，搜索团队通过全网数据挖掘出海量同义词，并持续对数据、模型等进行迭代更新，保证同义词的效果始终与时俱进。用户也可以通过提供产品专有的数据，与我们合作打造专属的同义词库。同义词服务作为搜索引擎检索串理解的基本功能，目前已经应用在视频、音乐、应用宝、群搜、商圈等数百个产品中。
## 8.纠错API
能够实现对短文本的自动纠错功能，长文本的自动纠错也即将推出。用户只需要提供业务数据和日志, 无需关注技术细节和更新流程, 就可以享受到业务自身定制的纠错服务, 甚至不提供业务数据，享受通用的纠错服务。 目前已经接入的业务包括音乐、视频、应用宝、云搜等， 评测效果均好于竞品。
## 9.转码API
分为两大类：网页转码和网页名片。网页转码将在PC机上展示的二维页面转换为适合在手机等移动端设备上展示的一维页面，方便用户在移动端阅读。网页名片将页面简化为主体图片、标题、摘要的组合，以“卡片”的形式展示给大众，适合做页面的分享、收藏、推广等。用户只需要提交网页的 url ，就能获取我们的转码服务，方便、快捷。当前，网页转码已为公司QQ、qzone、微云、微博、正文吧等平台提供服务。

## 10.下载抽取API
基于分布式爬虫系统， 用户只需提供一个url即可轻松完成数据抓取, 也可与下载团队合作打造专有的定向抓取服务。分布式爬虫系统通过对全网url进行精准调度、智能压力挖掘、自适应页面更新周期预测，可以实现自动路由、url作弊识别、智能主题抓取等功能。水平的架构设计使得系统可以进行任意的扩展，同时结合公司海量运营的经验，在系统监控、运营告警等方面都不断进行完善使得系统可以稳定高效运行。
