## 简介
对于一个待识别的人脸图片，在一个 group 中识别出最相似的 Top5 Person 作为其身份返回，返回的 Top5 中按照相似度从大到小排列。

**基本概念**

| 概念        | 解释                                       |
| --------- | ---------------------------------------- |
| APPID     | 项目 ID, 用于唯一标识接入项目                        |
| group_id  | 个体( person )以组（ group ）的形式存储，一个组可以包含多个个体，一个个体也可以存在于多个组。group_id 即用来标识 group 。组( group )没有专门的创建接口，创建个体( person )时，指定 group_id 则会自动创建。 |
| person_id | 人脸以个体（ person ）的形式存储，一个个体下可以存储多张人脸。person_id即用来标识 person |
| face_id   | 标识每张人脸的 id                               |
><font color="#0000cc">**注意：** </font>
>如果开发者使用的是V1版本，则  APPID  为其当时生成的  APPID。

group 信息管理接口如下：

| 接口                                       | 描述                                       |
| ---------------------------------------- | ---------------------------------------- |
| [创建个体](document/product/641/12417#.E4.B8.AA.E4.BD.93.E5.88.9B.E5.BB.BA) | 创建一个 Person ，并将 Person 放置到 group_ids 指定的组当中，不存在的 group_id 会自动创建。 |
| [删除个体](document/product/641/12417#.E5.88.A0.E9.99.A4.E4.B8.AA.E4.BD.93) | 删除一个 Person 。                            |
| [增加人脸](document/product/641/12417#.E5.A2.9E.E5.8A.A0.E4.BA.BA.E8.84.B8) | 将一组 Face 加入到一个 Person 中。注意，一个 Face 只能被加入到一个 Person 中。 一个 Person 最多允许包含 20 个 Face ；加入几乎相同的人脸会返回错误。 |
| [删除人脸](document/product/641/12417#.E5.88.A0.E9.99.A4.E4.BA.BA.E8.84.B8) | 删除一个 person 下的 face ，包括特征，属性和 face_id 。  |
| [设置信息](document/product/641/12417#.E8.AE.BE.E7.BD.AE.E4.BF.A1.E6.81.AF) | 设置 Person 的 name 。                       |
| [获取信息](document/product/641/12417#.E8.8E.B7.E5.8F.96.E4.BF.A1.E6.81.AF) | 获取一个 Person 的信息, 包括 name , id , tag , 相关的 face , 以及 groups 等信息。 |
| [获取组列表](document/product/641/12417#.E8.8E.B7.E5.8F.96.E7.BB.84.E5.88.97.E8.A1.A8) | 获取一个 APPID 下所有 group 列表。                 |
| [获取人列表](document/product/641/12417#.E8.8E.B7.E5.8F.96.E4.BA.BA.E5.88.97.E8.A1.A8)                                | 获取一个组 group 中所有 person 列表。               |
| [获取人脸列表](document/product/641/12417#.E8.8E.B7.E5.8F.96.E4.BA.BA.E8.84.B8.E5.88.97.E8.A1.A8) | 获取一个组 person 中所有 face 列表。                |
| [获取人脸信息](document/product/641/12417#.E8.8E.B7.E5.8F.96.E4.BA.BA.E8.84.B8.E4.BF.A1.E6.81.AF) | 获取一个 face 的相关特征信息。                       |

><font color="#0000cc">**注意：** </font></br>1. 一个 APPID 下建立的 group_id 数量限制为 5000 个。</br> 2. 一个 group_id 下建立的 person_id 数量限制为 10000 个。</br> 3. 一个 person_id 下建立的人脸数量限制为 20 个。</br>4. 每个请求的包体大小限制为 1.5MB 。</br>5. 不支持 .gif 这类的动图。

## 接口形式
接口：`http://service.image.myqcloud.com/face/identify`
请求方式： POST

说明：该接口的费用可查看 [计费说明](/document/product/641/12397) ，按使用量进行月结。

## 请求
人脸识别接口采用 http 协议，支持指定图片 URL 和上传本地图片文件两种方式进行识别。

**请求包的http header**

| 参数名            | 值                                     | 描述                                       |
| -------------- | ------------------------------------- | ---------------------------------------- |
| Host           | service.image.myqcloud.com            | 万象优图服务器域名                                |
| Content-Length | 包体总长度                                 | 整个请求包体内容的总长度，单位：字节（Byte）                 |
| Content-Type   | Application/json或者Multipart/form-data | 根据不同接口选择                                 |
| Authorization  | 鉴权签名                                  | 用于鉴权的签名，可查看 [签名与鉴权](/document/product/641/12409 )|

**请求包 http body**
><font color="#0000cc">**注意：** </font>
>使用 image 则使用 multipart/form-data 格式；
>使用非 image 则使用 application/json 格式。

| 参数名      | 是否必须 | 类型     | 参数说明                                     |
| -------- | ---- | ------ | ---------------------------------------- |
| APPID    | 必须   | String | 项目 ID                                    |
| group_id | 必须   | String | 候选人组 id                                  |
| image    | 可选   | Binary | 图片内容                                     |
| url      | 可选   | String | 图片的 url , image 和 url 只提供一个就可以了，如果都提供，只使用 url |

## 返回内容

| 字段              | 类型                  | 说明                        |
| --------------- | ------------------- | ------------------------- |
| data.session_id | String              | 相应请求的 session 标识符，可用于结果查询 |
| data.candidates | Array(IdentifyItem) | 识别出的 top5 候选人             |
| code            | Int                 | 返回状态码                     |
| message         | String              | 返回错误消息                    |

IdentifyItem 说明：

| 字段         | 类型     | 说明            |
| ---------- | ------ | ------------- |
| person_id  | String | 候选者 person_id |
| face_id    | String | 候选者 face_id   |
| confidence | Float  | 候选者的置信度       |
| tag        | String | 人脸备注信息        |

## 示例

### 使用 url 的请求包:
```
POST /face/identify HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 123
Content-Type: application/json

{
  "appid":"123456",
  "group_id":"tencent",
  "url":"http://test-123456.image.myqcloud.com/test.jpg"
}
```
### 使用 image 的请求包:
```
POST /face/identify HTTP/1.1
Authorization: FCHXdPTEwMDAwMzc5Jms9QUtJRGVRZDBrRU1yM2J4ZjhRckJi==
Host: service.image.myqcloud.com
Content-Length: 460
Content-Type: multipart/form-data;boundary=--------------acebdf13572468

----------------acebdf13572468
Content-Disposition: form-data; name="appid";

123456
----------------acebdf13572468
Content-Disposition: form-data; name="group_id";

tencent
----------------acebdf13572468
Content-Disposition: form-data; name="image"; filename="test.jpg"
Content-Type: image/jpeg

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
----------------acebdf13572468--
```
### 回包
```
HTTP/1.1 200 OK
Connection: keep-alive
Content-Length: 409
Content-Type: application/json

{
  "data":{
    "session_id":"session_id",
    "candidates":[
      {
        "person_id":"person3",
        "face_id":"1031567119985213439",
        "confidence":54.90695571899414,
        "tag":"new tag"
      },
      {
        "person_id":"person1",
        "face_id":"1031587105968553983",
        "confidence":54.86775207519531,
        "tag":"new tag"
      }
    ]
  },
  "code":0,
  "message":"OK"
}
```

## 错误码说明

| **错误码** | **含义**                  |
| ------- | ----------------------- |
| 3       | 错误的请求                   |
| 4       | 签名为空                    |
| 5       | 签名串错误                   |
| 6       | 签名中的 APPID /存储桶与操作目标不匹配 |
| 9       | 签名过期                     |
| 10      |  APPID 不存在                 |
| 11      |  SecretId 不存在              |
| 12      |  APPID 和 SecretId 不匹配        |
| 13      | 重放攻击                     |
| 14      | 签名校验失败                   |
| 15      | 操作太频繁，触发频控               |
| 16      | 存储桶不存在                |
| 21      | 无效参数                     |
| 23      | 请求包体过大                   |
| 107     | 鉴权服务不可用                  |
| 108     | 鉴权服务不可用                  |
| 213     | 内部错误                     |
| -1101   | 人脸检测失败                   |
| -1102   | 图片解码失败                   |
| -1103   | 特征处理失败                   |
| -1104   | 提取轮廓错误                   |
| -1105   | 提取性别错误                   |
| -1106   | 提取表情错误                   |
| -1107   | 提取年龄错误                   |
| -1108   | 提取姿态错误                   |
| -1109   | 提取眼镜错误                   |
| -1200   | 特征存储错误                   |
| -1300   | 图片为空                     |
| -1301   | 参数为空                     |
| -1302   | 个体已存在                    |
| -1303   | 个体不存在                    |
| -1304   | 参数过长                     |
| -1305   | 人脸不存在                    |
| -1306   | 组不存在                     |
| -1307   | 组列表不存在                   |
| -1308   |  url 图片下载失败                |
| -1309   | 人脸个数超过限制                 |
| -1310   | 个体个数超过限制                 |
| -1311   | 组个数超过限制                  |
| -1312   | 对个体添加了几乎相同的人脸            |
| -1400   | 非法的图片格式                  |
| -1403   | 图片下载失败                   |


更多其他 API 错误码请看[**错误码说明**](/document/product/641/12410) 。
