## 简介
本接口用于识别图片内容信息，并以标签的形式显示。

## 计费说明
请查看[计费说明](/document/product/641/12400)。

## 说明
| 概念    | 解释              |
| ----- | --------------- |
| appid | 项目ID, 接入项目的唯一标识 |
><font color="#0000cc">**注意：** </font>
> 如果开发者使用的是 V1 版本，则 appid 为其当时生成的 appid。

## 调用URL
`http://service.image.myqcloud.com/v1/detection/imagetag_detect`

## 请求包header
采用 http 协议，支持指定图片 URL 和上传本地图片文件两种方式。

所有请求都要求含有下表列出的头部信息：

| 参数名            | 值                          | 描述                       |
| -------------- | -------------------------- | ------------------------ |
| Host           | service.image.myqcloud.com | 万象优图服务器域名                |
| Content-Length | 包体总长度                      | 整个请求包体内容的总长度，单位：字节（Byte） |
| Content-Type   | application/json           | 标准 application/json      |
| Authorization  | 鉴权签名                       | 用于[**鉴权**](/document/product/641/12409)的签名          |

## 请求参数

| 参数名   | 是否必选 | 类型     | 说明                                    |
| ----- | ---- | ------ | ---------------------------------------- |
| appid | 必须   | string | 项目ID                                     |
| image | 可选   | string | 需要检测的图像 base64 编码，图像需要是 JPG/PNG/BMP 其中之一的格式 |
| url   | 可选   | string | 图片可以下载的 url，如果 url 和 image 都提供, 仅使用 url  |

><font color="#0000cc">**注意：** </font>
>image 和 url 必须填写一个。

## 返回内容
| 字段      | 类型       | 说明                  |
| ------- | -------- | ------------------- |
| code    | int      | 错误码, 0 为成功          |
| message | string   | 错误描述                |
| tags    | ImageTag | 图像的分类标签 ImageTag 列表 |

其中 ImageTag 具体内容为：      

| 字段             | 类型     | 说明                            |
| -------------- | ------ | ----------------------------- |
| tag_name       | string | 返回图像标签的名字                     |
| tag_confidence | int    | 图像标签的置信度，取值范围[0， 100]，越大置信度越高 |


## 示例

### 回包

```
{
    "code": 0,
    "message": "success",
    "tags": [
        {
            "tag_name": "天空",
            "tag_confidence": 27
        },
        {
            "tag_name": "女孩",

            "tag_confidence": 47
        }
    ]
}
```

## 错误码

| **错误码** | **含义**                               |
| ------- | ------------------------------------ |
| 3       | 错误的请求                                |
| 4       | 签名为空                                 |
| 5       | 签名串错误                                |
| 6       | APPID /存储桶/ url 不匹配                  |
| 7       | 签名编码失败（内部错误）                         |
| 8       | 签名解码失败（内部错误）                         |
| 9       | 签名过期                                 |
| 10      | APPID 不存在                            |
| 11      | SecretId 不存在                         |
| 12      | APPID 不匹配                            |
| 13      | 重放攻击                                 |
| 14      | 签名失败                                 |
| 15      | 操作太频繁，触发频控                           |
| 16      | 内部错误                                 |
| 17      | 未知错误                                 |
| 200     | 内部打包失败                               |
| 201     | 内部解包失败                               |
| 202     | 内部链接失败                               |
| 203     | 内部处理超时                               |
| -1300   | 图片为空                                 |
| -1308   | url 图片下载失败                           |
| -1400   | 非法的图片格式                              |
| -1403   | 图片下载失败                               |
| -1404   | 图片无法识别                               |
| -1505   | url 格式不对                             |
| -1506   | 图片下载超时                               |
| -1507   | 无法访问 url 对应的图片服务器                    |
| -5062   | url 对应的图片已被标注为不良图片，无法访问（专指存储于腾讯云的图片） |


更多其他 API 错误码请看[**错误码说明**](/document/product/641/12410) 。










