
##  描述
当语音识别系统完成识别后，会将结果通过 HTTP POST 请求的形式通知到用户，用户需要在自身业务服务器上搭建服务接收回调。

##  回调接口说明

语音识别系统通过回调接口形式将识别结果回调通知客户，接口Body各字段说明如下：

| 字段         |    类型          | 说明      | 
| ------------- | ------------- | ---------- |
| code | Int32 | 任务状态；0：成功；其他：失败 | 
| message |String | 成功或者失败原因文字描述 | 
| requestId | Unit64 | 请求 ID，与后台任务 ID 一一对应 | 
| appid | Unit64 | 腾讯云应用 ID |
| projecteid |  Unit64 | 腾讯云项目 ID |
| audioUrl |  String | 语音下载ur。如果语音源非公网可下载URL，则不包含该字段l |
| text |  String | 识别出的结果文本 |
| audioTime |  double | 语音总时长 |

**注意**：为了防止某些字段中，出现诸如 “&” 等特殊字符，导致解包失败，所有字段的 value 值都将进行 url_encode 之后发送给用户业务服务器，在获取 value 之后，需要先对 value 进行 url_decode 以获取原始 value 值。

##  用户返回结果

用户业务服务器在接收到语音识别系统发起的HTTP POST回调请求后，需要按照如下约定，返回结果：

|   参数名称  | 类型    | 说明      |
| --- | --- | --- |
| code    |   Int   |  服务器错误码，0为成功，其他值代表失败   |
| message     |  String    |   失败原因说明，比如业务服务器过载。 如果业务服务器返回失败，会间隔一段时间重新通知  |


##  示例
接口样例如下所示：
```
POST http://xx.yy.com/code=code&message=message&requestId=requestId&appid=appid&projectid=projectid&audioUrl=audioUrl&text=text&audioTime=audioTime
```
语音识别系统发起请求，收到请求后，用户侧需要以 json 格式回以响应：
```
{
"code" : 0,
"message" : "成功"
}
```





