## 功能描述
以第三方用户传入的问题数据，在该机器人对应的数据信息中进行匹配计算，并返回给用户最优结果。

## 请求
### 请求 URL
<pre>
https://yun.tim.qq.com/v3/prophet/queryanswer?
appid=$appid
&sdkappid=$sdkappid
&identifier=$identifier
&usersig=$usersig
&random=999999
&contenttype=json 
</pre>

 URL 详细字段说明请参阅 [URL 字段说明]() 文档。

### 请参数

| 字段名称 | 描述 | 类型|必填|
|---------|---------|----|------|
|botid | 机器人唯一标识，由用户指定，不能修改|String|是|
|auth |第三方帐号认证信息，用作回调验证第三方帐号合法性|String|是|
|from_user_name |提问者，用户唯一标识|String|是|
|question |问题|String|是|
|max_answer_num |答案最大回复数|String|是|


## 响应
### 响应参数
| 字段名称 |	描述 | 类型|
|---------|---------|-----|
|ActionStatus	|处理状态，OK：成功；FAIL：失败|String|
|ErrorCode	|错误码，0：成功；非 0：失败|Int|
|ErrorInfo|	错误信息|String|
|qid|	会话 ID|String|
|answer_list	|答案列表|String|
|question	|问题|String|
|match_str	|命中关键词列表|String|
|answer	|答案|String|
|qaid	|知识库唯一 ID|String|


## 示例
### 请求示例

```
https://yun.tim.qq.com/v3/prophet/queryanswer?
appid=$appid
&sdkappid=$sdkappid
&identifier=$identifier
&usersig=$usersig
&random=999999
&contenttype=json 

{
    "botid": "third party account", 
    "auth": "", 
    "from_user_name": "小明", 
    "question": "发送消息失败", 
    "max_answer_num": 10
}
```

### 响应示例
```
{
    "ActionStatus": "ok", 
    "ErrorCode": 0,
    "ErrorInfo": "" 
    "qid": "12334441", 
    "answer_list":
    [
        {
            "question": "发送消息返回失败错误码10001？",
            "match_str": ["消息"， "失败"],
            "answer": "没有权限",
            "qaid": "Qeewe32",
        },
        {
            "question": "发送消息超时失败？",
            "match_str": ["消息"， "超时"],
            "answer": "检查网络",
            "qaid": "Qeewe33"
        }
    ]
}

```
