# 接入小微机器人
您可以根据其自身实际场景选择使用控制台完成全部操作，或使用 Rest API 接入方式操作。接入流程如下图所示：
![](//mc.qcloudimg.com/static/img/6ee9c38421513642266ed50c2de89a1e/image.png)

## 注册腾讯云小微
在接入腾讯云小微前，您需要先在产品介绍页实现信息注册，并开通小微客服机器人功能。功能开通页面 URL 链接：[https://xiaowei.qcloud.com/robot.html](https://xiaowei.qcloud.com/robot.html) 。 注册需要提供如下信息：
![](//mc.qcloudimg.com/static/img/9203c7c65182103be7107579b78992db/image.png)

1. 基本信息：请确保信息准确无误，以免耽误后续审核的过程中的联系失败；
2. 公司信息：请上传公司的营业执照进行资质认证，并确保提交的公司规模信息准确；

完成以上信息填写，单击【确认提交】，即可完成注册。注册完成后，可以在产品介绍页查看功能详细信息和 API 接口详细信息。

## 开通功能
完成注册信息提交后，后台会进行资料审核，资料审核通过后会使用注册信息中的联系方式通知用户。审核通过的用户再次点击申请开通时会跳转至功能开通页面，该页面会完成功能开通。用户可以选填 callback url 信息，并确认开通机器人功能。开通成功后，控制台页面会展示用户的 Appid 信息、业务 ID 信息（sdkappid）、功能开通时间、可创建和已创建的机器人个数、callback url 信息以及相关功能的统计和上限信息。功能开通后，用户可以下载公私钥文件和 TLS 加密串生成工具。这两个文件是用于生成 Rest API 接入方式中 UserSig 字段的关键文件，使用详情请参考下文中的 TLS 登录鉴权部分。

## 机器人操作和管理
机器人的操作管理可以通过控制台实现，也可以通过 Rest API 接入方式实现，管理功能如下：

- 创建机器人；
- 删除机器人；
- 上传知识库；
- 下载知识库；
- 编辑知识库；
- 编辑默认答案；
- 获取历史交互信息；
- 获取数据统计信息；
- 使用调试工具测试机器人功能。


## TLS登录鉴权
详情请见：[TLS后台API使用手册](https://www.qcloud.com/document/product/269/1510) 。

## Rest API接入
Rest API 接入是提供给第三方后台、微信公众号后台接入或第三方APP调用接入小微机器人客服平台功能。Rest API功能可以实现控制台中除用户注册外的全部功能。第三方使用 Rest API 前需要先通过 TLS 登录鉴权生成操作者 identifier 的 usersig 字段，这是使用 Rest API 方式接入小微客服机器人的前提条件。这一步将生成操作者 identifier 的鉴权数据信息，Rest API 请求接入小微客服机器人后台时会校验 usersig 字段的合法性，如果 usersig 字段不合法，则该请求将被拒绝。

## 微信公众号接入
微信公众号通过授权协议绑定小微客服机器人，实现消息自动应答、智能推荐、url 跳转以及语音自动应答等功能：

- **自动应答功能：**请在授权时选择“消息管理权限”。
- **智能推荐功能：**请在授权时选择“智能应答权限”，同时要取消“消息管理权限”。
- **url 跳转功能：**在录入知识库时，可以附上 html 链接标签，如 qq 官网：`http://qq.com`。
- **语音自动应答功能：**请在微信公众号开通“接收语音识别结果”。
