## 申请硬件开放平台
开发者申请接入腾讯云小微硬件开放平台需要在官网递交申请资料，进入 [腾讯云小微官网](https://xiaowei.qcloud.com/hardware.html) >【硬件开放开放】>单击【申请内测】：
![](//mc.qcloudimg.com/static/img/f204612801bc7f61d93affdd7d7a9783/image.jpg)

### 相关信息填写
单击申请之后需要完善开发者的相关信息：

1. 基本信息：请确保信息准确无误，以免耽误后续审核的过程中的联系失败；
2. 公司信息：请上传公司的营业执照进行资质认证，并确保提交的公司规模信息准确；
3. 技术参数：请根据需求选择符合自己硬件设备的技术参数，如有疑问可参见技术wiki。

![](//mc.qcloudimg.com/static/img/671e653e8d9f738a1591c401f1c4d936/image.jpg)

以上信息确认填写无误之后，选择提交，会获得您的申请接入单号，腾讯云小微团队会尽快通过邮件反馈审核结果给您注册信息上的邮箱地址，您也可以在申请页面查看审核进度及反馈。
![](//mc.qcloudimg.com/static/img/b649e07232d9d5cae1ac4ea73ef6092e/image.png)
当申请通过之后，再次进入官网硬件开放平台，会看到【申请内测】的按钮变成了【开始接入】，此时单击【开始接入】即可进入配置平台进行具体的硬件开发配置。
![](//mc.qcloudimg.com/static/img/b40a57927333781f1d11307792f5bcc8/image.jpg)

### 远场拾音
注意，这一步很重要！当您通过腾讯云小微官网硬件开放平台的申请之后，您需要准备您的硬件设备（请准备两台设备）寄送给我们，我们会对您的设备进行远场语音识别的硬件基础测试，来验证您的设备是否有具备接入语音功能的最基本能力，以确保后续功能的正常对接。

寄送地址：北京市海淀区北四环西路66号 中国技术交易大厦 B座6层 刘荐（收）18611192798

## 配置平台
### 添加新设备
进入配置平台之后，单击【添加设备】按钮，填写【设备名称】及选择【设备类型】后即可开始快速注册一个新设备；
**设备名称：**您可以自由填写，设备名称请尽量用中文并控制长度。
**设备类型：**必须填写准确，后期无法进行修改，这里我们选择设备类型为音箱。
![](//mc.qcloudimg.com/static/img/525d3fa55e3a3fac244ae19afccb284b/image.png)

完成后，您已经获取了该产品的重要信息：PID 和 Server key。每一个设备会对应产生一对 PID 和 Server key，并在 SDK 登录的时需要用到。
在设备导航栏中，选择进入相应的设备，即可在头部看到这两个信息，请看下图：
![](//mc.qcloudimg.com/static/img/13ba09b1af8e68b1ca657299206da2ae/image.jpg)

进入到刚刚创建的设备名>【设备信息】栏，补充完整设备的【基本信息】：
- **设备型号：**您可以自由填写，设备名称请尽量用中文并控制长度；
- **设备图标：**请上传 jpg、png 格式的图片，大小为 512 * 512；
- **设备描述：**请尽量简明扼要的描述您设备的主要功能及特点。
然后需要补充【设备信息】：
- **操作系统：**这里我们支持 androd 和 linux 两大操作系统；
- **是否带屏幕：**请根据您的设备实际情况进行选择；

### 上传公钥
公钥上传稍微复杂一点，因为您需要下载一个工具来完成这个步骤，单击网页上的【公钥&证书工具下载（Win 7 Only）】链接，然后运行密钥生成工具，单击下图中的【生成 KEY 】按钮，会在您指定的目录下生成一对非对称密钥文件： ec_key.pem 和 public.pem。之后单击上传按钮上传 public.pem 就可以了。
![](//mc.qcloudimg.com/static/img/7e68e685e1762da7792171c72b7b8933/image.png)

### 为设备配置 skill
每一个接入腾讯云小微的硬件都有使用我们强大资源和服务的权限，此处需要使用同一个账号在我们腾讯云小微 skill 平台进行创建，创建完成之后就会显示在这里，开发者可以自行选择该硬件需要使用的 skill。
![](//mc.qcloudimg.com/static/img/0848aa993e34b465d45dff4183146e3b/image.png)

### OTA 能力管理

OTA 能力配置中分为【正式环境】和【测试环境】两个部分，开发者每上传一个 OTA 包的时候需要先填写相关的版本信息；
在测试环境中允许向指定的设备推送升级，需要上传对应的 sn 包，限制为 100 个。
![](//mc.qcloudimg.com/static/img/db779e1a51e39467ea04890a05dc2d09/image.png)

### 样机审核
当产品所有功能均开发完毕后需要将样机寄送至腾讯云小微团队进行测试审核，只有审核通过之后产品才可以正式认证上线。

