本文档主要介绍迁移设备 CDM-L80 及相关操作指南，协助用户完成数据拷贝。

## 产品介绍
云数据迁移设备 CDM-L80 是一款专用于线下数据迁移的服务器设备。用户可以将本地存储环境的数据拷贝至 CDM-L80，通过线下搬迁的方式满足大规模数据迁移上云的需求。该设备配有 80TB 的存储容量和 2 个 10Gbps 传输带宽的以太网电口。
<span id="设备连接拓扑图示"></span>
### 拓扑连接
![1](//mc.qcloudimg.com/static/img/5d49166e2fa57438c8a1f38cc3b4c7f5/image.png)
- CDM-L80：寄给客户的数据迁移设备；  
- 交换机：客户提供用于连接外部设备（例如 CDM-L80）的交换机；  
- 存储挂载点：能够连接客户本地数据存储环境的设备。

### CDM-L80 逻辑结构
通过对 CDM-L80 设备进行初始化，可以将其逻辑结构划分成 4 个部分，如图所示：
![2](//mc.qcloudimg.com/static/img/39f5a8b7062b64b4976bc1a57f45b8a4/image.png)
*  顶层为 NFS 服务，主要面向客户提供 NFS 服务，便于客户访问 CDM-L80 上的文件系统。
*  中间层为数据保护层，主要分为两个部分：文件系统加密和 RAID。通过对文件系统进行加密，可以保证从磁盘不能获取文件信息，即使磁盘遗失，也能保障数据安全。同时，通过配置磁盘阵列 RAID，保证数据一致性和完整性，确保运输过程中可承受部分硬盘损坏。
* 底层为物理层，存储迁移数据。

###  原理说明
客户收到 CDM-L80 设备之后，需要将 CDM-L80 中的共享目录`/dataseal`挂载到本地，方可执行数据拷贝。
![3](//mc.qcloudimg.com/static/img/c4e9c887cc43537dfc237bb0ccbcf207/image.png)


## 操作步骤
### 1. 连接网线并开机
按照 [设备连接拓扑图示](#设备连接拓扑图示)，利用网线连接 CDM-L80，然后开机启动。
### 2. 远程登录
通过 SSH 远程登录到 CDM-L80，用户名为 admin，密码为 admin。
![4](//mc.qcloudimg.com/static/img/2d50b992c088aeaf5d4746f23820b7fc/image.png)
### 3. 配置 IP
如已预设 IP 无变故，可跳过此步骤，进入步骤 4：[挂载目录](#挂载目录)。
#### 3.1 切换用户目录
执行以下命令切换到 admin 对应的用户目录下（`/data/home/admin`）：
```
cd /data/home/admin
```
#### 3.2 运行 IP 重置脚本 ip-conf.sh
```
./ip-conf.sh
```  
![5](//mc.qcloudimg.com/static/img/d3b59763ab72e438dad110570bae5a90/image.png)  
#### 3.3 填写 IP 等信息并保存
执行过程中会弹出 vi 编辑窗口，按照提示填写 IP 地址，网关和掩码信息，填写完毕之后保存。
![6](//mc.qcloudimg.com/static/img/e0a951958a5702611f68f1f2c51967b6/image.png)

>**注意：**
>最多只能填写两个有效的 IP 地址，中间用空格隔开，若填写一个 IP 地址，则只会配置一个网卡（默认网卡 eth0）。

#### 3.4 重启主机完成配置
等待脚本执行完毕，然后执行重启命令重启主机，IP 地址会自动重置生效。
```
reboot
``` 
<span id="挂载目录"></span>
### 4. 挂载目录
将 CDM-L80 中 nfs 服务的共享目录`/dataseal`挂载到本地目录，在存储挂载点执行挂载命令， 命令格式为：
```
mount <nfs 服务器 IP>：/dataseal <本地挂载点目录>
```
例如，编号为 ABC123 的迁移设备对应的 IP 地址是 192.168.1.100，挂载该设备中 nfs 共享目录`/dataseal`到存储挂载点上的`/mydata`目录下，存储挂载点需执行命令： 
```
mount 192.168.1.100:/dataseal /mydata
```
### 5. 拷贝数据
利用相关拷贝指令（如`cp`）拷贝数据到本地挂载点目录（如上例中`/mydata`目录）。

### 6. 清除密钥
数据拷贝后密钥清除，以保证设备传输回机房过程中设备即使丢失，也不会被读取。清除密钥的脚本为 rm-key.sh，执行命令：
```
/root/cdm/rm-key.sh
```  
>**注意：**
>一旦删除密钥，用户关机之后再次 mount 共享目录`/dataseal`，将无法向其中读写数据。

### 7. 关机并回寄
输入以下关机命令将设备 CDM-L80 关机，拆除网线，然后联系相关工作人员发起回寄申请。
```
shutdown -h now
```
