CDN provides two billing models - **Bill by Bandwidth** and **Bill by Traffic**. You can choose the billing model that is best suitable for your business type. For instructions on how to select the billing model, please see [here](https://cloud.tencent.com/doc/product/228/2949).

## Price Overview
CDN's "Pay by Bandwidth" method uses a **tiered pricing** model, with the tiered prices shown as below:
<table  style="width:494px">
	<thead>
		<tr>
			<th scope="col" style="width: 145px;">Billing Model</th>
			<th scope="col" style="width: 154px;">Bandwidth Tiers</th>
			<th scope="col" style="width: 180px;">Unit Price (USD/Mbps/Month)</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="1" rowspan="4" style="text-align: center; width: 145px;">Bandwidth Peak</td>
			<td style="text-align: center; width: 154px;">0 - 500 Mbps</td>
			<td style="text-align: center; width: 180px;">4.80</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 154px;">500 Mbps - 5 Gbps</td>
			<td style="text-align: center; width: 180px;">4.20</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 154px;">5 Gbps - 50 Gbps</td>
			<td style="text-align: center; width: 180px;">3.90</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 154px;">>= 50 Gbps</td>
			<td style="text-align: center; width: 180px;">< 3.30, subject to the contract price</td>
		</tr>
	</tbody>
</table>

CDN's "Pay by Traffic" method takes a **monthly tiered progressive** approach, with the tiered prices shown as below:
<table  style="width:494px">
	<thead>
		<tr>
			<th scope="col" style="width:98px">Billing Model</th>
			<th scope="col" style="width: 170px;">Traffic Tiers</th>
			<th scope="col" style="width: 189px;">Unit Price (USD/GB)</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="1" rowspan="5" style="text-align:center; width:98px">Monthly Traffic</td>
			<td style="text-align: center; width: 170px;">0 GB - 2 TB</td>
			<td style="text-align: center; width: 189px;">0.055</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 170px;">2 TB - 10 TB</td>
			<td style="text-align: center; width: 189px;">0.053</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 170px;">10 TB - 50 TB</td>
			<td style="text-align: center; width: 189px;">0.049</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 170px;">50 TB - 100 TB</td>
			<td style="text-align: center; width: 189px;">0.046</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 170px;">>= 100TB</td>
			<td style="text-align: center; width: 189px;">< 0.040, subject to the contract price</td>
		</tr>
	</tbody>
</table>

For more information on price calculation, refer to [Price Overview](https://cloud.tencent.com/doc/product/228/2949). You can also use [Price Calculator](https://buy.cloud.tencent.com/calculator/cdn) for a price estimation.

Note: In the event of a bandwidth/traffic surge caused by a DDoS attack or CC attack, the traffic beyond 10 Gbps will be exempt from charge.

## Billing for VIP Customers
If your monthly consumption amount in Tencent Cloud is or will be more than USD 20,000, you can be granted more favorable prices and more flexible billing options (such as payment on a monthly basis) through negotiations. For more details, please submit a ticket.



