## 产品简介
内容分发网络（Content Delivery Network），是在现有 Internet 中增加的一层新的网络架构，由遍布全国的高性能加速节点构成。这些高性能的服务节点都会按照一定的缓存策略存储您的业务内容，当您的用户向您的某一业务内容发起请求时，请求会被调度至最接近用户的服务节点，直接由服务节点快速响应，有效降低用户访问延迟，提升可用性。

CDN 有效地解决了目前互联网业务中网络层面的以下问题：
1. 用户与业务服务器地域间物理距离较远，需要进行多次网络转发，传输延时较高且不稳定。
2. 用户使用运营商与业务服务器所在运营商不同，请求需要运营商之间进行互联转发。
3. 业务服务器网络带宽、处理能力有限，当接收到海量用户请求时，会导致响应速度降低、可用性降低。

CDN 接入简单，您无需调整自身业务结构，或是进行复杂的操作配置，即可享受全球 CDN 加速服务。您可以通过 [快速入门](https://cloud.tencent.com/doc/product/228/3149)，轻松启动您的 CDN 加速服务。

## 加速原理
假设您的业务源站域名为 ```www.test.com```，域名接入 CDN 开始使用加速服务后，当您的用户发起 HTTP 请求时，实际的处理流程如下图所示：
![](https://mc.qcloudimg.com/static/img/1bead74703061b71eeaf6bf4db27fcdb/image.png)
**详细说明如下：**
1. 用户向 ```www.test.com``` 下的某图片资源（如：1.jpg）发起请求，会先向 Local DNS 发起域名解析请求。
2. 当 Local DNS 解析 ```www.test.com``` 时，会发现已经配置了 CNAME ```www.test.com.cdn.dnsv1.com```，解析请求会发送至 Tencent DNS（GSLB），GSLB 为腾讯云自主研发的调度体系，会为请求分配最佳节点 IP。
3. Local DNS 获取 Tencent DNS 返回的解析 IP。
4. 用户获取解析 IP。
5. 用户向获取的 IP 发起对资源 1.jpg 的访问请求。
6. 若该 IP 对应的节点缓存有 1.jpg，则会将数据直接返回给用户（10），此时请求结束。若该节点未缓存 1.jpg，则节点会向业务源站发起对 1.jpg 的请求（6、7、8），获取资源后，结合用户自定义配置的缓存策略（可参考产品文档中的 [缓存过期配置](https://cloud.tencent.com/doc/product/228/6290)），将资源缓存至节点（9），并返回给用户（10），此时请求结束。