## 极致加速 覆盖全球
为了能够让您发布的内容更快的触达用户，腾讯云 CDN 在全国各省份部署了 800+ 加速节点，涵盖了移动、联通、电信等主流运营商，以及铁通、长宽等多家中小型运营商。每个节点单机服务器性能能够达到双百万，总节点带宽 70T+，完美解决地域、网络、源站性能等多因素引起的用户访问延迟较高、不稳定等问题。
**国内节点分布**
![](https://mc.qcloudimg.com/static/img/19f5708498e59acef7d60a755dee686e/image.png)
腾讯云 CDN 提供了 100+ 海外节点，覆盖全球 30+ 国家和地区，支持您的业务无缝出海。
**海外节点分布**
![](https://mc.qcloudimg.com/static/img/7576cb999f587790b39430600bfc2949/image.png)

## 智能调度 链路优化
您的用户在请求资源的过程中，可能受到网络、地域、带宽等影响，无法保证请求一定是按照最优访问路径进行传递，腾讯云 CDN 通过对全网链路进行实时监控，结合自研的 GSLB 调度体系和智能路由技术，从以下三个方面优化用户访问体验。

**最优接入**
通过腾讯云 GSLB 调度体系，您的用户请求会调度至最近最优的 CDN 节点，保证用户能够快速的获取所需资源。

**最优回源**
当请求调度至的节点未缓存所需资源时，该节点需要回源站获取资源。腾讯云 CDN 根据全网实时状态监控，以及智能路由技术，为您选择最优的回源链路，保证快速获取资源。

**动态加速**
若您的用户发起动态请求，如登录时，此类请求无法通过节点进行加速，需要直接透传至源站。腾讯云 CDN 也为此类请求提供最优的网络链路，有效避开质量较差、较拥堵链路，速度提升可达 20%。
## 安全透明 全面防护
公网环境存在较多安全隐患，您的源站可能遭受恶意网络攻击，从而导致无法正常为用户提供服务，或是发布的资源被恶意盗刷造成不必要的损失。腾讯云 CDN 为了保障您的业务安全，从以下三个方面进行了全方位防护，为您的业务保驾护航。

**攻击防护**
腾讯云 CDN 的每一个节点都拥有一定的 DDOS 防御能力，配合自主研发的恶意攻击过滤模块，能有效抵御 DDOS、CC 攻击，保障您的业务正常运行。

**HTTPS 支持**
腾讯云 CDN 支持全网所有节点 HTTPS 传输。如果您的业务有较高的安全需求，且已拥有证书，可直接上传至 CDN 节点进行部署，不论是用户请求至节点还是节点回源请求，都会进行加密处理，保障数据安全。若您暂无证书，腾讯云为您提供了免费的第三方 DV 证书，一键部署，让连接更加安全。

**域名防劫持**
为了避免您的域名在解析过程中受到劫持，无法解析到最优接入节点，腾讯云 CDN 提供了 HTTP DNS 直通车解决方案。使用该方案，您的域名将会通过公有 PUBLIC DNS 进行更加快速的解析，避免被恶意劫持。
## 简单接入 多样管理
您无需担心接入腾讯云 CDN 需要对自身业务进行调整和变更，也无需担心无法透明获取业务统计数据、业务费用结算明细，或是对业务状态进行实时监控。腾讯云 CDN 接入方式简单快速，同时还提供了多样化的管理工具，使整个 CDN 尽量透明的展现在您的面前。

**简单接入**
接入腾讯云 CDN 时，您只需要提供自己的域名，CDN 会为您分配固定格式的 CNAME，您需要在域名对应的域名服务商处修改此域名对应的 CNAME 配置，即可完成对 CDN 的接入，待 DNS 生效后，便可享受腾讯云 CDN 加速服务。

**统计监控**
腾讯云 CDN 为您提供了多维度的数据分析，包括消耗统计、访问统计、请求状态统计、源站数据统计等。若您需要对此类统计数据进行实时监控，可至 [云监控](https://cloud.tencent.com/product/bcm) 配置相应告警，便于您实时了解业务状态。同时，腾讯云 CDN 每月会为您提供运营数据月报，便于您了解月度业务波动。

**多样管理**
您可以通过 CDN 的控制台进行域名的管理、配置修改、上线/下线、删除等操作，也可以进行上述各类统计数据图表查询。若您的运维人员需要定制化的对您的业务进行管理、监控、数据展示、分析，腾讯云为您提供了丰富标准的 API 接口。
## 效果对比
使用了腾讯云 CDN 的源站与未使用 CDN 的源站在时延和可用性上对比如下图所示。在腾讯云 CDN 的优化下，时延降低 5 倍，资源的可用性提升至99.5% 以上。
![](https://mc.qcloudimg.com/static/img/f3f9a16b4ccd0b863509a496b45249d4/image.png)
以上测试结果是使用业界通用的基调对比测试得出的结果，详细测试数据和结果可以查阅 [CDN性能说明(抽样)](https://cloud.tencent.com/doc/product/228/1198) 。