## Spectacular Acceleration and Global Coverage

In order to allow your published content to reach users faster, Tencent Cloud CDN has set up more than 800 nodes across the nation, covering mainstream ISPs such as China Mobile, China Unicom and China Telecom as well as many medium and small-sized ISPs such as China Tietong and Great Wall Broadband. Standalone server on each node has a performance up to double-hundred-million and the total node bandwidth reaches over 70T, thus perfectly solving the problem of high access latency of user and instability caused by such factors as geographical location, network and origin server's performance.

**Nodes in Mainland China**
![](https://mc.qcloudimg.com/static/img/19f5708498e59acef7d60a755dee686e/image.png)

Tencent Cloud CDN provides more than 100 overseas nodes with a coverage of more than 30 countries and regions across the globe to allow your business to go global seamlessly.

**Overseas node distribution **
![](https://mc.qcloudimg.com/static/img/7576cb999f587790b39430600bfc2949/image.png)


## Intelligent Scheduling and Link Optimization

When your user requests for resources, the request may not be transmitted via the optimal access route due to such factors as network, geographical location or bandwidth. Tencent Cloud CDN, through the real-time monitoring of the links across the network and by using the self-developed GSLB scheduling system and intelligent routing technology, optimizes user's access experience in the following three ways.

**Optimal Connection**
With Tencent Cloud's GSLB scheduling system, your users' requests will be allocated to the nearest, best CDN node to ensure that users can quickly get what they need.


**Optimal Back-to-origin**
When the request for the content needed is sent to the allocated node, the node needs to go back to the origin server to get it. Tencent Cloud CDN will select for you the optimal network link to ensure a rapid access to the content based on the real-time status monitoring across network and intelligent routing technology.

**Dynamic Acceleration**
If your user initiates a dynamic request, for example, makes a login, such a request cannot be accelerated by the node and it needs to be directly transmitted to the origin server. Tencent Cloud CDN also provides the optimal network link for such requests to effectively bypass links with poor quality or congested links, improving the speed by up to 20%.


## High Security and Transparency, Comprehensive Protection

With the presence of enormous security risks in public network environment, your origin server may be subject to malicious network attacks, resulting in the failure to provide services for users normally or unnecessary losses caused by malicious cheating for your published content. In order to guarantee your business security, Tencent Cloud CDN provides an all-round protection for your business in the following three aspects.

**Anti-Attack Protection**
Each node of Tencent Cloud CDN boasts anti-DDOS capability. In combination with the independently developed malicious attack filter module, these nodes can effectively defense against DDOS and CC attacks to ensure the normal operation of your business.

**HTTPS Support**
Tencent Cloud CDN supports HTTPS transmission of all nodes across the network. If your business has a high security requirement and has a certificate, it can be directly uploaded to the CDN node for deployment. Both the user request sent to node and back-to-origin request sent from node will be encrypted to ensure data security. If you have no certificate, Tencent Cloud provides you with a free third-party DV certificate that allows one-click deployment to make the connection more secure.

**Anti-hijacking of Domain Name**
In order to prevent your domain name from being hijacked in the process of revolution and thus failing to be resolved to the optimal access node, Tencent Cloud CDN provides HTTP DNS Express Service solution. In this way, your domain name will be resolved more rapidly through the PUBLIC DNS to avoid being hijacked maliciously.

## Simple Connection and Various Management Tools

You do not need to make adjustments or changes to your business to connect to Tencent Cloud CDN. In addition, you don't have to worry that you cannot access the business statistics and business cost details in a transparent way or achieve a real-time monitoring of business status. Tencent Cloud CDN features a quick and simple connection and offers a variety of management tools, so that the whole CDN can be presented to you as transparent as possible.

**Simple Connection**
To connect to Tencent Cloud CDN, you only need to provide your domain name. CDN will assign you a CNAME in a fixed format. You need to change the CNAME setting corresponding to this domain name at the domain name service provider for the domain name. Once the DNS takes effect, you can immediately start using Tencent Cloud CDN.

**Statistics Monitoring**
Tencent Cloud CDN provides you with multi-dimensional data analysis, including consumption statistics, access statistics, request status statistics, origin server statistics, etc. If you need to perform real-time monitoring of such statistics, you can go to Cloud Monitor to set relevant alarms, so that you can get a picture about the business status in real time. At the same time, Tencent Cloud CDN will provide monthly operating data report to allow you to keep track of the monthly business fluctuations.

**Various Management Tools**
You can perform domain name management, setting changes, going online/going offline, deletion and other operations through the CDN console. You can also make queries on the above statistics and charts. If your operation&maintenance personnel need to realize the management, monitoring, data presentation and analysis of your business in a customized way, Tencent Cloud provides a wealth of standard API interfaces.


## Results Comparison

The comparison between the origin server that uses Tencent Cloud CDN and the one that does not in latency and availability is shown in the following figure. With the optimization of Tencent Cloud CDN, the latency is reduced by 5 times and the availability of resources is improved to 99.5% or more.
![](https://mc.qcloudimg.com/static/img/f3f9a16b4ccd0b863509a496b45249d4/image.png)

The above test results are based on the results of benchmarking test that is commonly used in the industry. For detailed test data and results, please [Click Here](https://cloud.tencent.com/doc/product/228/1198).


