## 1. 业务功能
腾讯云内容分发网络服务（简称：CDN 服务）适用于静态网页、文件下载、流媒体等内容的分发加速，支持按流量或峰值带宽进行计费，具体以腾讯云官网说明为准。

## 2. 业务可用性
> **注意:**
> 业务可用性不低于 99.9%。
> 可用性=域名服务周期内正常服务时间 / 域名服务周期内服务总时间。

相关说明：
+ 以一个自然月作为一个服务周期，不满一个月不计算为一个服务周期，即不计算业务可用性。
+ 不可用时间：CDN 服务在单位时间内（5 分钟为一个统计粒度）错误率大于 0.05%（不含本数），视为该单位时间服务不可用，这种情况持续 10分钟及以上时，计为不可用时间；低于 10 分钟不计入不可用时间。
+ 错误率 =（单位时间内的 5xx 错误数+单位时间内节点不可用导致的失败请求数）/ 该域名单位时间内全部请求数：
  + 5xx：指 HTTP 状态码，表示服务器错误。
  + 单位时间内的 5xx 错误数：单位时间内，因 CDN 系统问题导致的域名返回的 5xx 错误数量。
  + 单位时间内节点不可用导致的失败请求数：当出现某个节点不可用的情况，通过计算前 7 天单位时间内客户域名在此节点的平均请求数，再用该平均值乘以单位时间内节点不可用时间，从而计算出单位时间内该节点不可用导致的失败请求数。
+ 因以下原因导致的服务不可用不计算在不可用时间内：
  + 客户源站故障所引起的。
  + 客户内容违规或其他原因而导致域名被封禁而产生的错误。
  + 客户未事先通知腾讯云而修改源站配置或加速域名的 DNS 配置导致腾讯云节点服务器无法正常访问客户的源站服务器。
  + 客户维护不当或保密不当致使数据、口令、密码等丢失或泄漏所引起的。
  + 客户自行升级操作系统所引起的。
  + 客户网站受到黑客攻击而引起的。
  + 客户大规模流量突发增长未提前书面告知腾讯云所导致的可用性降低。
  + 腾讯云预先通知客户后进行系统维护所引起的，包括割接、维修、升级和模拟故障演练。
  + 任何腾讯云设备以外的网络、设备故障或配置调整引起的。
  + 不可抗力以及意外事件引起的。
  + 其他非腾讯云原因所造成的不可用。

> **示例说明：**
> 1. 域名 ```www.abc.com```，5 分钟的总请求数为 100 万次，期间无节点故障，有 1000 个 5xx 错误返回，错误率 =（1000 + 0）/ 1000000 = 0.1%，大于 0.05%，这 5 分钟为服务不可用。
> 2. 当月域名服务周期内服务总时间为 30(天)x24(小时)x60(分钟)=43200 分钟，按 99.9% 的可用性计算，月不可用时间为 43.2 分钟。也就是说，当按照示例 1 计算出来的不可用时间大于 43.2 分钟时，则当月服务视为 SLA 不达标。

## 3. 网络接入能力
CDN 服务对客户不限制公网出口带宽，在全国部署数百个缓存节点，保障客户的网络接入质量。

## 4. 故障恢复能力
腾讯云提供至少两路的网络冗余和设备冗余，可对突发的网络线路故障进行容错服务，以保障服务的连续性。同时，腾讯云提供专业团队 7x24 小时全面维护，并以工单和电话报障等方式提供技术支持，具备完善的故障监控、自动告警、快速定位、快速恢复等一系列的故障应急响应机制。

## 5. 业务资源调配能力
+ CDN 服务不设置带宽、存储限制，客户可根据实际业务需要动态扩展，但大规模流量突增（业务突发增长大于等于上月计费带宽的 30% 或总带宽增加 50Gbps 及以上），客户需至少提前 3 个工作日书面告知腾讯云，否则将可能影响可用性。
+ 未提前告知的情况下，CDN 服务可紧急提供附加 30% 以内（含本数）上月计费带宽供客户使用，确保接入的域名可用性不会明显降低。但是，腾讯云不对未提前书面告知的大规模流量突增提供业务可用性承诺，即若因此影响服务可用性的，腾讯云不承担责任。

## 6. 服务和数据可销毁性
客户使用 CDN 服务时，可随时访问、下载文件，并根据实际业务需要自行清除缓存文件，清除后，该文件不可恢复，再次访问数据需回源站获取。

## 7. 服务私密性
客户可根据实际需要，配置访问鉴权策略，可控制和隔离外部访问，保障数据的私密性。

## 8. 服务知情权
+ 目前腾讯云 CDN 服务缓存的数据分布于全国各个节点之上，按域名访问情况分配节点资源，客户可通过提交工单查询自己域名的节点分布情况，从而了解缓存数据的分布情况。
+ 腾讯云数据中心将遵守当地相关的法律法规，客户对此具有知情权，可通过提交工单进行咨询。
+ 未经客户书面许可，客户所有数据不会提供给任意第三方，除在法律法规允许或政府监管部门的监管需要。
+ 除用于对腾讯云 CDN 服务运行状态的统计分析，客户的行为日志不会对外呈现客户个人信息数据。

## 9. 服务可审查性
腾讯云在依据现有法律法规体系下，出于配合政府监管部门的监管或安全取证调查等原因的需要，在符合流程和手续完备的情况下，可以提供客户所使用的服务的相关信息，包括关键组件的运行日志、运维人员的操作记录、客户操作记录等信息。

## 10. 服务计量准确性
腾讯云 CDN 服务的费用在客户的选购页面和订单页面均有明确展示，根据客户的实际使用量据实结算，具体计费标准以腾讯云官网公布的计费模式和价格为准。

## 11. 服务补偿
服务补偿指因腾讯云设备故障、设计缺陷或操作不当导致客户所购买的 CDN 服务未达到本服务等级协议承诺的业务可用性的，腾讯云将对客户进行赔偿。赔偿规则如下：
+ 腾讯云对客户未达到业务可用性的每个域名按不可用时间的 10 倍赔偿。
+ 赔付金额=未达到业务可用性的域名在故障前 24 小时平均每分钟费用（若不足 24 小时，则按实际使用时长的平均值计算费用）x 故障时间 x 10。

> **注意：**
> 故障时间=故障解决时间-故障开始时间，按分钟计算故障时间，小于 1 分钟的按 1 分钟计算；例如，故障时间为 1 分 01 秒，按 2 分钟算。
> 赔偿只针对使用 CDN 服务并已产生费用的客户，赔付金额以代金券的形式发放，不折算现金返还，赔付金额不超过客户对该故障域名历史支付的费用总额。

## 12. 其他
腾讯云有权根据变化对本协议的部分服务条款进行改变。涉及到客户使用的变更会以邮件形式进行推送。