CDN 为您提供了 IP 黑白名单配置功能，您可以根据业务需要对用户请求的源 IP 配置过滤策略，帮助您解决恶意 IP 盗刷、攻击等问题。

## 配置说明
登录 [CDN 控制台](https://console.cloud.tencent.com/cdn)，选择左侧菜单栏的【域名管理】，单击您所要编辑的域名右侧的【管理】。
![](https://mc.qcloudimg.com/static/img/f2f50e0d81eb0a8c0dcb61d2ee37e6c9/manage.png)
单击【访问控制】，您可以看到 **IP 黑白名单配置** 模块。
![](https://mc.qcloudimg.com/static/img/9168d32358c157569309e2e84fbcbf2f/iplist.png)

### 默认配置
默认情况下，IP 黑白名单未启用，无黑/白名单。

### 自定义配置
> **注**:
> + IP 黑名单、白名单二者不兼容，同一时间只能生效一种类型。
> + 黑名单最多可输 100 条，白名单最多可输入 50 条，以换行符相隔，一行输入一个。
> + 目前仅支持如下格式的网段：/8、/16、/24、/32，其他网段格式暂不支持。
> + 当 IP 黑名单、白名单输入内容均为空时，表示当前未开启 IP 黑白名单功能。

#### 配置IP白名单
单击【编辑】按钮，选中 **IP 白名单**，可进行白名单配置。
![](https://mc.qcloudimg.com/static/img/f0ecdcbb58f4e30372b9aa8f0bbebfa0/iplist-white.png)
假设用户为域名 ```www.abc.com``` 配置了 IP 白名单，白名单内容如下：
> 1.1.1.1
> 2.2.2.0/24

则表明用户 **仅允许** 请求源 IP 为 ```1.1.1.1``` 或匹配 ```2.2.2.0/24``` 网段时能够正常返回所请求的内容，不满足条件的请求均直接返回 403。 
#### 配置IP黑名单
单击【编辑】按钮，选中 **IP 黑名单**，可进行黑名单配置。
![](https://mc.qcloudimg.com/static/img/da72c3cbe48612d41f1c820a47c85917/iplist-black.png)
假设用户为域名 ```www.abc.com``` 配置了 IP 黑名单，黑名单内容如下。
> 3.3.3.3
> 4.4.0.0/16

则表明 **仅当** 请求源 IP 为 ```3.3.3.3``` 或匹配 ```4.4.0.0/16``` 网段时直接返回 403，其他请求均正常返回所请求内容。