CDN 为您提供回源跟随 302 配置功能。当节点回源请求返回 302 状态码时，CDN 节点会直接向跳转地址请求资源而不返回 302 给用户。

## 配置说明
登录 [CDN 控制台](https://console.cloud.tencent.com/cdn)，选择左侧菜单栏的【域名管理】，单击您所要编辑的域名右侧的【管理】。
![](https://mc.qcloudimg.com/static/img/f2f50e0d81eb0a8c0dcb61d2ee37e6c9/manage.png)
单击【回源配置】，您可以看到 **回源跟随 302 配置** 模块。
![](https://mc.qcloudimg.com/static/img/0bd71ed96690e639d7700bb9c4e60417/302.png)

### 默认配置
默认情况下，回源跟随 302 配置为关闭状态。

### 配置效果说明
假设用户请求资源： ```http://www.test1.com/1.jpg```，在节点未命中缓存，则节点会请求源站获取所需资源，若源站返回的 Http Response 状态码为 302，跳转指向地址为 ```http://www.test2.com/2.jpg```，则：
**当回源跟随 302 关闭时**：
1. 节点将该 HTTP Response 直接返回给用户。
2. 用户向 ```http://www.test2.com/2.jpg``` 发起请求，若该域名未接入 CDN，则不会有加速效果。
3. 若此时其他用户也向 ```http://www.test1.com/1.jpg```  发起请求，则会重复上述流程。

**当回源跟随 302 开启时**：
1. 开启回源跟随 302 配置后，节点收到状态码为 302 的 Http Response 后，会直接向跳转指向的地址发起请求。
2. 获取到所需资源后，缓存至节点，并返回给用户。
3. 若此时其他用户也向 ```http://www.test2.com/1.jpg``` 发起请求，则会在节点直接命中并返回给用户。

> **注意**：开启回源跟随 302 配置后，最多仅跟随 3 次跳转，超出限制则会直接返回 302 给客户。