The basic information of a domain includes its accelerated domain, CNAME, time of creation, the project to which it belongs, and its content type.

You can modify a domain's project and content type as necessary.



## Project

If there are a large number of domains, you can group them into projects for classified management. Click [Project Management](https://console.cloud.tencent.com/project) to view the existing projects.

Log in to [CDN Console](https://console.cloud.tencent.com/cdn) and go to "Domain Management" page. Then click **Manage** button to the right of the domain name to enter the management page:

![](https://mc.qcloudimg.com/static/img/f92d2ef7e4be2b69185ab43228f025ef/1.png)

You can check the current project to which a domain belongs from **Basic info** in "Basic Configuration":

![](https://mc.qcloudimg.com/static/img/c988671d3bb852b53dd136965f7ef8a6/2.png)

Click "Modify" to the right of **Project** to change the project:

![](https://mc.qcloudimg.com/static/img/78a5d44004d74055b3a0ed3e0c67e3f8/3.png)

<font color="red">Users who use the CDN permission system should proceed with caution, since this operation may cause changes to the permissions of sub-users.</font>



## Content Type

The selected content type determines which resource platform will be used by the domain. Acceleration configurations vary with resource platforms. Please choose the content type that matches your business:

-  **Static content**: Suitable for acceleration scenarios for static resources such as e-commerce, websites, game images;
-  **Media streaming**: Suitable for application scenarios such as LVB, ILVB downstream acceleration and VOD acceleration;
-  **Downloading**: Suitable for scenarios such as audio & video source file download, mobile phone firmware delivery.


You can check the current content type of a domain from **Basic info** in "Basic Configuration":

![](https://mc.qcloudimg.com/static/img/1d679f62f54a3c91b0075df18619ec42/4.png)

Click the "Modify" link to the right of **Content type** to change the content type.


