您可以下载用户对您接入域名访问情况的详细日志进行分析，CDN 为您提供小时维度的域名日志，您可以下载最近 30 天内的 CDN 日志。

## 日志下载
登录 [CDN 控制台](https://console.cloud.tencent.com/cdn)，选择左侧菜单栏的【日志管理】。
![](https://mc.qcloudimg.com/static/img/32a9db3c12cd53b24d1daa289ccaac3b/logs_manage.png)
选择要获取日志的时间及域名，单击【确定】，即可获取日志下载链接。
![](https://mc.qcloudimg.com/static/img/123ef1899acc4613effb3b11d4a28f75/logs_manage2.png)
若当天该域名无请求，则不会产生日志，页面会显示 **无数据**。
> **注意：**
> + CDN 日志默认按小时分割，每天 24 个日志文件，若某个小时域名无请求，则不会产生日志数据包。
> + CDN 日志在实时性上，延迟半小时左右。

## 日志字段说明
将下载好的日志数据包解压，以文本方式查看日志文件，可以看到各字段信息以空格隔开。部分信息如下图所示。
![](https://mc.qcloudimg.com/static/img/a3ef1ea051dc277872ec10a7135872df/logs.png)
日志中对应的字段顺序(从左到右)及含义如下表所示：

| 顺序   | 日志内容        |
| ---- | ----------- |
| 1    | 请求时间        |
| 2    | 访问域名的客户端 IP  |
| 3    | 被访问的域名      |
| 4    | 文件请求路径      |
| 5    | 本次访问字节数大小   |
| 6    | 省份(省份编号映射请详见下文 **省份映射**)         |
| 7    | 运营商(运营商编号映射请详见下文 **运营商映射**)     |
| 8    | HTTP 状态码    |
| 9    | Referer 信息  |
| 10   | 响应时间（毫秒）    |
| 11   | User-Agent 信息  |
| 12   | Range 参数    |
| 13   | HTTP Method |
| 14   | HTTP协议标识    |
| 15   | 缓存 HIT/MISS  |

### 地域映射
1：华北地区；2：西北地区；3：东北地区；4：华东地区；5：华中地区；6：西南地区；7：华南地区；8：其他地区；

### 省份映射
22：北京；86：内蒙古；146：山西；1069：河北；1177：天津；119：宁夏；152：陕西；1208：甘肃；1467：青海；1468：新疆；145：黑龙江；1445：吉林；1464：辽宁；2：福建；120：江苏；121：安徽；122：山东；1050：上海；1442：浙江；182：河南；1135：湖北；1465：江西；1466：湖南；118：贵州；153：云南；1051：重庆；1068：四川；1155：西藏；4：广东；173：广西；1441：海南；0：其他；1：港澳台；1：海外。

### 运营商映射
2：中国电信；26：中国联通；38：教育网；43：长城宽带；1046：中国移动；3947：中国铁通；-1：海外运营商；0：其他运营商。

## 注意事项
日志中记录的带宽或流量数据为应用层（HTTP 协议）回包数据，由于 TCP 协议丢包、三次握手、重传等机制，比通过 TCP 层统计得出的消耗带宽或消耗流量要小。

## 海外 CDN 日志下载
目前海外 CDN 功能正在内测中，若您已开通海外 CDN 功能，您可在海外 CDN 控制台的【日志管理】页面中下载海外 CDN 日志。海外 CDN 为您提供小时维度的域名日志，日志延时在一至两天，您可以下载最近 30 天内的 CDN 日志。日志字段与国内 CDN 日志字段一致，其中省份字段，将由海外地区代替，海外地区与运营商映射如下所示。

### 海外地区映射
73：印度、1195：印度尼西亚、1176：新加坡、57：泰国、144：越南、3701：马来西亚、2588：菲律宾、2026：台湾、1044：日本、3379：韩国、1200：香港、3839：加拿大、669：美国、-2：海外其他地区、-3：未知。

### 海外运营商映射
-1：海外运营商。