CDN 为您提供了自助故障诊断工具，当您发现您的某资源 URL 出现访问异常时，本工具能够帮助您进行自助检测，自助检测过程包括了接入域名的 DNS 解析、链路质量、站点可用性、数据访问一致性等一系列诊断项，帮助您定位问题，并给您提供解决建议。

> **注意**：
> 诊断的资源 URL 需要是您的账号下接入的状态为 **已启动** 的域名。诊断中产生的带宽将计入计费带宽，我们建议您诊断的目标资源不超过 200MBytes。

## 使用说明
### 本机接入诊断
当您发现您的某个资源访问存在异常，您可以通过 **本机接入诊断** 发起检测。步骤如下：
1. 登录 [CDN 控制台](https://console.cloud.tencent.com/cdn)，选择左侧【诊断工具】菜单中的【自助故障诊断】。
2. 进入【本机接入诊断】页面，输入您需要诊断的异常 URL，URL 需输入 ```http://``` 前缀，目前暂不支持 https 诊断。
3. 正确输入 URL 后，单击【获取检测地址】，页面中将会生成检测地址。单击地址链接打开检测页面，开始收集诊断信息。请不要在诊断过程中关闭检测页面，诊断结束后该页面将会自动关闭。
4. 检测完毕后，可以前往【诊断报告】页面中查看本次诊断的结果。

![本机诊断](https://mc.qcloudimg.com/static/img/0ca0998f99eb34b0518c0d2bec8a3723/self_diagnose.png)
### 用户接入诊断 
当您的用户向您反应资源访问存在异常，您可以通过 **用户接入诊断** 定位问题，并通过腾讯云提供的建议操作解决问题。步骤如下：
1. 登录 [CDN 控制台](https://console.cloud.tencent.com/cdn)，选择左侧【诊断工具】菜单中的【自助故障诊断】。
2. 进入【用户接入诊断】页面，输入您需要诊断的异常 URL，URL 需输入 ```http://``` 前缀，目前暂不支持 https 诊断。
3. 正确输入 URL 后，单击【获取检测地址】，页面中将会生成检测地址。请您将该检测地址发送至您的用户，诊断信息将在用户打开检测网址时收集，请告知用户不要在诊断过程中关闭该页面。
4. 检测完毕后，可以前往【诊断报告】页面中查看从您用户处收集到的诊断结果。

![用户诊断](https://mc.qcloudimg.com/static/img/bbf78690bdf0427185c262f2bebc1131/client_diagnose.png)
### 查看诊断报告
登录 [CDN 控制台](https://console.cloud.tencent.com/cdn)，选择左侧【诊断工具】菜单中的【自助故障诊断】。进入【诊断报告】页面，您将看到已经产生的诊断报告按时间顺序展示在表格中。
![诊断报告列表](https://mc.qcloudimg.com/static/img/e7f20ed2db1f3189fa76f52e7eab8405/diagnose_report.png)
单击诊断报告右侧的【查看】，您可以浏览诊断报告详情。 
![报告详情](https://mc.qcloudimg.com/static/img/a20eec7d8f810d8351bd5438d51bde36/diagnose_details.png)
报告详情页分为 **诊断对象** 与 **诊断报告** 两个部分：
**诊断对象：**包含诊断 ID、异常 URL、异常域名、源站类型、诊断时间的信息。
**诊断报告：**包含 CNAME、DNS 解析、各站点可用性、链路质量、数据访问一致性的诊断结果。各诊断项可能出现的诊断结果如下：
**第一项：CNAME**
1. 正常：若诊断域名实际解析 CNAME 与应配置解析的 CNAME 一致时，诊断结果为“正常”。
2. 异常：若诊断域名实际解析 CNAME 与应配置解析的 CNAME 不一致时，诊断结果为“异常”。您可以单击【查看详情】，查看实际解析的 CNAME 及 CDN 厂商和应配置解析的 CNAME 及 CDN 厂商。若诊断域名实际解析多个 CNAME，详情处仅展示一个。此时建议您在 DNS 服务商处修改 CNAME 配置。若 CNAME 配置异常，将不继续进行其他项目的诊断。

**第二项：DNS解析**
1. 正常：若诊断域名访问的实际节点与最优节点一致，诊断结果为“正常”，您可以单击【查看详情】，查看客户端 IP、Local DNS、实际节点与最优节点的 IP、地区与运营商信息。
2. 当前解析路径非最优路径：若诊断域名实际访问节点与最优节点不一致，则诊断结果为“当前解析路径非最优路径”，建议您联系腾讯云技术人员排查问题。
3. 节点 IP 获取失败：若诊断域名 IP 被劫持，或者出现访问节点连接失败等情况，诊断结果为“节点 IP 获取失败”，此时建议您联系腾讯云技术人员排查问题。

**第三项：各站点可用性**
1. 正常：若节点与源站连接正常，则诊断结果为“节点源站连接正常”。
2. 异常：如果节点或源站连接异常，则诊断结果为“节点连接异常”或“源站连接异常”或“节点、源站均连接异常”，此时建议您联系腾讯云技术人员排查问题。

**第四项：链路质量**
1. 正常：若诊断域名访问正常，则诊断结果为“正常”，并为您展示资源访问的总延时，您可以单击【查看详情】，进一步查看详细链路中每一环节的耗时。
2. 异常：若诊断域名访问失败，则诊断结果为“异常”，此时建议请您联系腾讯云技术人员排查问题。若链路质量为异常，将不继续进行数据访问一致性诊断。

**第五项：数据访问一致性**
1. 正常：若诊断资源在源站、节点上均访问正常，并且 MD5 一致，则诊断结果为“正常”。您可以单击【查看详情】，查看源站与节点的资源情况。
2. 源站资源异常：若源站资源返回码为 4XX 或 5XX，或多个源站上的资源 MD5 不一致，则诊断结果为“源站资源异常”，此时建议您检查源站资源。您可以单击【查看详情】，查看源站与节点的资源情况。
3. CDN 资源异常：若源站资源正常，但是节点资源返回码为 4XX 或 5XX，或者节点资源与源站资源 MD5 不一致，则诊断结果为“CDN 资源异常”，此时建议您联系腾讯云技术人员排查问题。您可以单击【查看详情】，进一步查看源站与节点的资源情况。

若诊断报告无法解决您的问题，我们建议您 [提交工单](https://console.cloud.tencent.com/workorder/category)，或联系腾讯云技术人员排查问题。
