您可以在 CDN 控制台中查看带宽、流量使用详情，以及运营商、用户区域、热门 URL 分析等数据，支持历史数据查询。

## 查询条件
登录 [CDN 控制台](https://console.cloud.tencent.com/cdn)，左侧菜单栏单击【统计分析】下的【使用量统计】进入 **使用量统计** 页面。页面查询条件如下。
![](https://mc.qcloudimg.com/static/img/cfb0daf5ebeb0d380aa8d7404ade59ae/usagesearch.png)
>**注意**：
> + 时间区间：可查询的最早时间为 2015-01-01，查询时间跨度最长为 90 天。
> + 项目：支持按照项目维度查询使用量。
> + 域名：支持指定域名查询使用量。
> + 地域：支持指定地域查询使用量，暂时不支持地域、运营商双选，若您选择了地域，则运营商需设置为【全部运营商】。
> + 运营商：支持指定运营商查询使用量，暂时不支持地域、运营商双选，若您选择了运营商，则地域需设置为【全部地区】。
> + 网络层级：支持查询边缘节点或中间源使用量。
> + 时间粒度：时间粒度是指流量带宽数据展示的时间粒度，可选择的时间粒度与您所选的时间跨度有关：
	1. 所选时间跨度为 1 天，您可以查询每 5 分钟、15 分钟、30 分钟、2 小时、4 小时时间粒度的数据。
	2. 所选时间跨度为 2-3 天，您可以查询每 15 分钟、30 分钟、2 小时、4 小时时间粒度的数据。
	3. 所选时间跨度为 4-7 天，您可以查询每 30 分钟、2 小时、4 小时时间粒度的数据。
	4. 所选时间跨度为 8-30 天，您可以查询每 2 小时、4 小时、天时间粒度的数据。
	5. 所选时间跨度大于 30 天时，您仅可以查询每 4 小时、天时间粒度的数据。

## 结果数据说明
### 使用量统计
选择查询条件后，单击【查询】，在下方选择【使用量统计】，您可以查看流量、带宽和流量命中率的统计曲线，以及域名流量/带宽的使用详情。
![](https://mc.qcloudimg.com/static/img/123232ecc83f0c5587dec5e191fd1074/usage_statistics.png)
流量命中率 = 命中 CDN 节点缓存产生的流量 / 用户请求产生的总流量，其中用户请求产生的总流量包括命中 CDN 节点缓存的产生的流量和回源产生的流量。

> **注意**：
> + 账号曾经接入而后删除的加速域名，会以灰色字体展示在【域名】下拉菜单中。
> + 流量、带宽、流量命中率统计最小粒度均为 5 分钟，即 2017-07-24 10:00:00 - 2017-07-24 10:04:59 之间的统计数据，展示在 2017-07-24 10:00:00 这个统计点上，其他时间粒度的统计点数据展示方式同上。
> + 实时数据延迟在 5 分钟左右，即 2017-07-24 10:00:00 - 2017-07-24 10:04:59 的统计点，在 2017-07-24 10:10:00 左右出现。
> + 域名流量/带宽使用详情均为网卡数据统计。
> + 统计须知：
	1. 指定时间区间内，域名尚未接入 CDN，即使勾选，也不会纳入统计。
	2. 指定时间区间内，域名已经删除，即使勾选，也不会纳入统计。
	3. 指定时间区间内，域名一段时间未接入，一段时间接入，一段时间已删除，则未接入和已删除的时间段统计数据均补 0。

### 区域/运营商分布
选择查询条件后，单击【查询】，在下方选择【区域/运营商分布】，您可以查看用户区域和运营商的流量及占比，数据由高到低进行排列。
![](https://mc.qcloudimg.com/static/img/10cb1f780eec2967c1f600640839eed0/region.png)
> **注意**：
> + 用户区域分布和运营商分布数据通过分析日志来获取，为应用层数据，因此与【使用量统计】中的流量/带宽网卡数据统计存在一定误差。
> + 高峰期数据统计延迟 30 分钟以内。

### 流量 TOP100 URL
选择查询条件后，单击【查询】，在下方选择【流量 TOP100 URL】，您可以查看单个 URL 资源的流量使用量及 TOP100 排名，帮助您定位热门资源。
![](https://mc.qcloudimg.com/static/img/a3019797a1ba8c6cb541a252a649b6d6/top100.png)
> **注意**：
> 流量 TOP100 URL 数据通过分析日志来获取，因此存在 1-2 小时延迟。