您可以在 CDN 控制台中查看回源带宽、回源流量、回源速度等统计数据。

## 查询条件说明
登录 [CDN 控制台](https://console.cloud.tencent.com/cdn)，左侧菜单栏单击【统计分析】下的【源站统计】进入 **源站统计** 页面。页面查询条件如下。
![](https://mc.qcloudimg.com/static/img/9713491fff774fa25cb7dd00e9b29d2b/hoststatistics.png)
> **注意**：
> + 时间区间：支持最近 30 天访问情况统计查询，查询跨度最大为 30 天。
> + 项目：支持按照项目维度查询使用量。
> + 域名：支持指定域名查询使用量。
> + 时间粒度：时间粒度是指流量带宽数据展示的时间粒度，可选择的时间粒度与您所选的时间跨度有关：
	1. 所选时间跨度为 1 天，您可以查询每 5 分钟、15 分钟、30 分钟、2 小时、4 小时时间粒度的数据。
	2. 所选时间跨度为 2-3 天，您可以查询每 15 分钟、30 分钟、2 小时、4 小时时间粒度的数据。
	3. 所选时间跨度为 4-7 天，您可以查询每 30 分钟、2 小时、4 小时时间粒度的数据。
	4. 所选时间跨度为 8-30 天，您可以查询每 2 小时、4 小时、天时间粒度的数据。

## 结果数据说明
**统计说明：**
1. 回源失败率统计、回源失败情况分析，以及 404 状态码均从日志统计分析中获取，因此是以回源 HOST 维度进行统计，如：
	1. 接入加速域名 ```www.a.com```，将其回源 HOST 设置为 ```www.c.com```。
	2. 接入加速域名 ```www.b.com```，将其回源 HOST 设置为 ```www.c.com```。
2. 此时查询 ```www.a.com``` 或 ```www.b.com``` 的上述相关信息，结果是完全一致的，均为针对源站 ```www.c.com``` 的统计。
3. 回源带宽、回源速率统计不遵循上述逻辑，独立统计。

### 回源消耗统计
选择查询条件后，单击【查询】，在下方选择【回源消耗统计】，您可以查看回源流量、回源带宽和回源速度的统计曲线。
![](https://mc.qcloudimg.com/static/img/3385a751c7fa31fe227b137dfa315582/origin.png)
回源速度能够让您更清晰地了解回源链路的质量。统计周期内，回源速度 = 所有回源请求的流量/所有回源请求的时间。
![](https://mc.qcloudimg.com/static/img/8024e1bed39f73ae244fadd27fb0b488/origin_speed.png)
> **注意**：
> + 状态码统计最小粒度均为 5 分钟，即 2017-07-24 10:00:00 - 2017-07-24 10:04:59 之间的统计数据，展示在 2017-07-24 10:00:00 这个统计点上，其他时间粒度的统计点数据展示方式同上。
> + 实时数据延迟在 5 分钟左右，即 2017-07-24 10:00:00 - 2017-07-24 10:04:59 的统计点，在 2017-07-24 10:10:00 左右出现。
> + 30 天内接入的域名，都会纳入【域名】下拉菜单中，包括删除的域名。
> + 统计须知：
	1. 指定时间区间内，域名尚未接入 CDN，即使勾选，也不会纳入统计。
	2. 指定时间区间内，域名已经删除，即使勾选，也不会纳入统计。
	3. 指定时间区间内，域名一段时间未接入，一段时间接入，一段时间已删除，则未接入和已删除的时间段统计数据均补 0。

### 回源失败统计
选择查询条件后，单击【查询】，在下方选择【回源失败统计】，您可以查看实时回源失败率统计曲线。
![](https://mc.qcloudimg.com/static/img/c54a57f82f2368af9d97eab2ed7d41c3/image.png)
与回源失败率相对应，您可以查看各回源失败类型的实时统计及占比。
![](https://mc.qcloudimg.com/static/img/e7387607bc028f8b9c9071c3926c3619/image.png)
> **注**： 
> + 回源失败率 = 回源失败次数/回源总次数，判断为回源失败的情况有 TCP 连接超时、源站断开连接、HTTP 协议不兼容、5XX 服务器错误。
> + 您可以前往 [云监控](https://console.cloud.tencent.com/monitor/policylist) 针对 CDN 域名、CDN 项目的回源失败率配置告警策略，详情请查看 [创建告警策略](https://cloud.tencent.com/document/product/248/6215)。

### 404 状态码统计
选择查询条件后，单击【查询】，在下方选择【404 状态码统计】，您可以查看回源产生的 404 状态码统计情况。
![](https://mc.qcloudimg.com/static/img/9f91e944475c29a7b33d8f5fd2207e0e/404.png)