您可以在 CDN 控制台中查看 2XX、3XX、4XX、5XX 状态码统计情况。

## 查询条件说明
登录 [CDN 控制台](https://console.cloud.tencent.com/cdn)，左侧菜单栏单击【统计分析】下的【状态码统计】进入 **状态码统计** 页面。页面查询条件如下。
![](https://mc.qcloudimg.com/static/img/7c984a5279ee4ceaaa9f03679af1cf1c/statuscode.png)
> **注意**：
> + 时间区间：支持最近 90 天访问情况统计查询，查询跨度最大为 90 天。
> + 项目：支持按照项目维度查询使用量。
> + 域名：支持指定域名查询使用量。
> + 网络层级：支持查询边缘节点或中间源状态码统计。
> + 时间粒度：时间粒度是指流量带宽数据展示的时间粒度，可选择的时间粒度与您所选的时间跨度有关：
	1. 所选时间跨度为 1 天，您可以查询每 5 分钟、15 分钟、30 分钟、2 小时、4 小时时间粒度的数据。
	2. 所选时间跨度为 2-3 天，您可以查询每 15 分钟、30 分钟、2 小时、4 小时时间粒度的数据。
	3. 所选时间跨度为 4-7 天，您可以查询每 30 分钟、2 小时、4 小时时间粒度的数据。
	4. 所选时间跨度为 8-30 天，您可以查询每 2 小时、4 小时、天时间粒度的数据。
	5. 所选时间跨度大于 30 天时，您仅可以查询每 4 小时、天时间粒度的数据。

## 结果数据说明
查询结果包括 **状态码统计** 数据及 **返回码分布** 数据。
**统计说明：**
+ 2XX：200、206 统计。
+ 3XX：302、304 统计。
+ 4XX：401、403、404、405、416 统计。
+ 5XX：500、502 统计。

### 状态码统计
您可以在此部分结果中查看 2XX、3XX、4XX、5XX 状态码的统计曲线。
![](https://mc.qcloudimg.com/static/img/26919bf34cd366225e7573503c2718c1/status_code.png)
> **注意**：
> + 状态码统计最小粒度均为 5 分钟，即 2017-07-24 10:00:00 - 2017-07-24 10:04:59 之间的统计数据，展示在 2017-07-24 10:00:00 这个统计点上，其他时间粒度的统计点数据展示方式同上。
> + 实时数据延迟在 5 分钟左右，即 2017-07-24 10:00:00 - 2017-07-24 10:04:59 的统计点，在 2017-07-24 10:10:00 左右出现。
> + 90 天内接入的域名，都会纳入【域名】下拉菜单中，包括删除的域名。
> + 统计须知：
	1. 指定时间区间内，域名尚未接入 CDN，即使勾选，也不会纳入统计。
	2. 指定时间区间内，域名已经删除，即使勾选，也不会纳入统计。
	3. 指定时间区间内，域名一段时间未接入，一段时间接入，一段时间已删除，则未接入和已删除的时间段统计数据均补 0。

### 返回码分布
您可以在此部分结果中查看返回码及其数量明细与整体占比。
![](https://mc.qcloudimg.com/static/img/74a3106852e5250ef91ddeb6a3dd5411/response_code.png)