CDN provides the following six tools for data analysis and query to help you understand these factors more clearly: how users are accessing your business resources, the statistical analysis of data consumption generated by your business on CDN, the bandwidth generated by your origin server when receiving back-to-origin requests as well as the speed:

| Statistic | Description |
|--------|--------|
| [Usage](https://cloud.tencent.com/doc/product/228/6307)    | Query for real-time traffic and bandwidth consumption generated by projects and domains on CDN, provides TOP usage analysis regarding provinces and ISPs, provides analysis of popular URLs |
| [Access](https://cloud.tencent.com/doc/product/228/6308) | Query for real-time number of requests generated by projects and domains, provides TOP analysis for number of requests of provinces and ISPs, provides analysis of popular URLs |
| [Status Code](https://cloud.tencent.com/doc/product/228/6309) | Provides statistics of HTTP status codes returned by projects and domains, in response to user requests, including the statistics of 2XX, 3XX, 4XX, 5XX |
| [Origin](https://cloud.tencent.com/doc/product/228/6310) | Query for real-time back-to-origin traffic and bandwidth of projects and domains, as well as the speed for back-to-origin accesses |
| [Global Status](https://cloud.tencent.com/doc/product/228/6311) | Review the status of the entire CDN network |
| [Monthly Report](https://cloud.tencent.com/doc/product/228/6312) | Provides analytical report regarding monthly CDN usage |


