您可以在 CDN 控制台中查看实时请求数量、请求数命中率和 IP 访问次数统计，支持 90 天内历史数据查询。

## 查询条件说明
登录 [CDN 控制台](https://console.cloud.tencent.com/cdn)，左侧菜单栏单击【统计分析】下的【访问情况统计】进入 **访问情况统计** 页面。页面查询条件如下。
![](https://mc.qcloudimg.com/static/img/6537d5e84cb118048e9ef9ee7365e805/requestsearch.png)
> **注意**：
> + 时间区间：支持最近 90 天访问情况统计查询，查询跨度最大为 90 天。
> + 项目：支持按照项目维度查询使用量。
> + 域名：支持指定域名查询使用量。
> + 地域：支持指定地域查询使用量，暂时不支持地域、运营商双选，若您选择了地域，则运营商需设置为【全部运营商】。
> + 运营商：支持指定运营商查询使用量，暂时不支持地域、运营商双选，若您选择了运营商，则地域需设置为【全部地区】。
> + 时间粒度：时间粒度是指流量带宽数据展示的时间粒度，可选择的时间粒度与您所选的时间跨度有关：
	1. 所选时间跨度为 1 天，您可以查询每 5 分钟、15 分钟、30 分钟、2 小时、4 小时时间粒度的数据。
	2. 所选时间跨度为 2-3 天，您可以查询每 15 分钟、30 分钟、2 小时、4 小时时间粒度的数据。
	3. 所选时间跨度为 4-7 天，您可以查询每 30 分钟、2 小时、4 小时时间粒度的数据。
	4. 所选时间跨度为 8-30 天，您可以查询每 2 小时、4 小时、天时间粒度的数据。
	5. 所选时间跨度大于 30 天时，您仅可以查询每 4 小时、天时间粒度的数据。

## 结果数据说明
### 访问情况统计
选择查询条件后，单击【查询】，在下方选择【访问情况统计】，您可以查看请求数量、请求数命中率和 IP 访问次数的统计曲线，以及域名访问状况统计。
![](https://mc.qcloudimg.com/static/img/3bfa4795f9f67b1927e6f8d41aa480e2/access_statistics.png)
+ 请求数量：全网 CDN 边缘节点请求数量。
+ 请求数命中率：百分比，命中率 = （请求数量 - 回源请求数量）/ 请求数量。
+ IP访问次数：统计方式为 5 分钟内，所有请求数量进行 IP 去重后计算所得。

> **注意**：
> + 请求数量、请求数命中率和 IP 访问次数统计最小粒度均为 5 分钟，即 2017-07-24 10:00:00 - 2017-07-24 10:04:59 之间的统计数据，展示在 2017-07-24 10:00:00 这个统计点上，其他时间粒度的统计点数据展示方式同上。
> + 实时数据延迟在 5 分钟左右，即 2017-07-24 10:00:00 - 2017-07-24 10:04:59 的统计点，在 2017-07-24 10:10:00 左右出现。
> + 90 天内接入的域名，都会纳入【域名】下拉菜单中，包括删除的域名。
> + 统计须知：
	1. 指定时间区间内，域名尚未接入 CDN，即使勾选，也不会纳入统计。
	2. 指定时间区间内，域名已经删除，即使勾选，也不会纳入统计。
	3. 指定时间区间内，域名一段时间未接入，一段时间接入，一段时间已删除，则未接入和已删除的时间段统计数据均补 0。

### 区域/运营商分布
选择查询条件后，单击【查询】，在下方选择【区域/运营商分布】，您可以查看用户区域分布和运营商分布的排名分析。
![](https://mc.qcloudimg.com/static/img/aac352f0879fe560b52582f09f283384/access_region.png)
> **注意**：
> 高峰期数据统计延迟 30 分钟以内。

### 请求量 TOP100 URL
选择查询条件后，单击【查询】，在下方选择【请求量 TOP100 URL】，您可以查看单个 URL 资源的请求数及 TOP100 排名，帮助您定位热门资源。
![](https://mc.qcloudimg.com/static/img/da61ee36745dae4c591301d88a641530/access_top100.png)
> **注意**：
> 请求量 TOP100 URL 数据通过分析日志来获取，因此存在 1-2 小时延迟。