CDN 目前已经接入新版的云资源访问管理（Cloud Access Management）系统，根据功能属性的不同对 CDN 的所有操作进行了划分，每一项功能的权限包含了对应的 **控制台操作** 及对应的 **云 API 操作**，创建者可以根据需要对子用户进行一个功能或多个功能及功能对应允许操作对象（项目/域名）的配置。
> **注意**：
> 原协作者无法完成生成密钥对调用 API 操作。在 CAM 系统中配置权限后，子用户可使用自身密钥对调用有权限使用的 API。

## 管理员权限
### 创建者
创建者是指此腾讯云账号的拥有者，拥有最高权限，可以管理账户内所有用户及其权限、财务相关的信息、云服务资产。
### 预设管理员
预设管理员包括超级管理员、云资源管理员和财务管理员。超级管理员拥有创建者的所有权限。云资源管理员拥有对所有云服务资产的管理权限。财务管理员拥有账户内财务相关的内容的管理权限，如：付款，开票。
创建者可以通过将用户关联到 **预设策略**（详情参考 [策略管理](https://cloud.tencent.com/doc/product/228/6690)），指派以下几种管理员：
+ 超级管理员(策略名：AdministratorAccess)
+ 云资源管理员(策略名：QCloudResourceFullAccess)
+ 财务管理员(策略名：QCloudFinanceFullAccess)

CDN 部分功能仅供预设管理员使用，如：
+ 调用云 API [DescribeCdnHosts](https://cloud.tencent.com/doc/api/231/3937) 获取账户下所有域名的详细信息，包括配置信息，支持分页查询。
+ 调用云 API [UpdateCdnProject](https://cloud.tencent.com/doc/api/231/3935) 或在 CDN 控制台进行域名所属项目的切换。

如何配置预设管理员？请参考 [预设管理员配置示例](https://cloud.tencent.com/doc/product/228/6693)。
### 项目管理员
项目管理员拥有管理 CDN 业务项目内云资源和管理其他业务项目内云资源的权限。创建者或超级管理员可以通过将用户关联到 **项目管理** 策略进行指派。
项目管理员权限等同于原有版本 **项目协作者**，可以在控制台进行有权限项目之间的资源分配。由于项目的划分对所有云资源均有效，您可以根据需要对项目管理的业务范围进行选择。
如何配置项目管理员？请参考 [项目管理员配置示例](https://cloud.tencent.com/doc/product/228/6693)。

## 子用户权限
### 查看消耗数据及统计量
#### 配置须知
+ 目前查询消耗及统计信息的权限仅可按照 **项目** 划分。
+ 仅有 **默认项目** 的用户，给子用户分配查看消耗数据及统计量权限时无法进行更细粒度的划分。

#### 控制台权限控制
拥有查看消耗数据及统计量权限的子用户，在控制台可进行如下操作：
+ 【CDN 控制台】>【概览】：显示指定项目下资源对象的概览信息。
+ 【CDN 控制台】>【统计分析】>【使用量统计】：指定项目下资源对象的消耗明细查询、下载。
+ 【CDN 控制台】>【统计分析】>【访问情况统计】：指定项目下资源对象的访问情况明细查询、下载。
+ 【CDN 控制台】>【统计分析】>【状态码统计】：指定项目下资源对象的状态码统计明细查询、下载。
+ 【CDN 控制台】>【统计分析】>【源站统计】：指定项目下资源对象的源站统计明细查询、下载。
![](https://mc.qcloudimg.com/static/img/b75e99c6f9f034bd42b0aaaa8d2509f2/child_1.png)

#### 云 API 权限控制
拥有查看消耗数据及统计量权限的子用户，可申请云 API 密钥，详情请参考 [申请安全凭证](https://cloud.tencent.com/doc/api/231/1725#1.-.E7.94.B3.E8.AF.B7.E5.AE.89.E5.85.A8.E5.87.AD.E8.AF.81)，并使用密钥调用下列云 API 查询指定项目下资源对象的消耗数据及统计量：
+ [DescribeCdnHostInfo](https://cloud.tencent.com/doc/api/231/3941)：查询指定时间区间、数据类型、项目、域名对应的统计量汇总信息。
+ [DescribeCdnHostDetailedInfo](https://cloud.tencent.com/doc/api/231/3942)：查询指定时间区间、数据类型、项目、域名对应的统计明细。
+ [GetCdnStatusCode](https://cloud.tencent.com/doc/api/231/3943)：查询指定时间区间、项目、域名对应的状态码统计明细。
+ [GetCdnStatTop](https://cloud.tencent.com/doc/api/231/3944)：查询指定时间区间、项目、域名、统计类型，对应的各省份、运营商、URL 排名 TOP100 统计。

> **注意**：项目中已删除的域名，由于存在历史记录，因此在消耗查询中仍然可以查到。

### 查询域名信息
#### 配置须知
+ 目前查询域名信息的权限仅可按照 **项目** 划分。
+ 仅有 **默认项目** 的用户，给子用户分配查询域名信息权限时无法进行更细粒度的划分。

#### 控制台权限控制
拥有查询域名信息权限的子用户，在控制台可进行如下操作：
【CDN 控制台】>【域名管理】：查看指定项目下资源对象的域名信息，单击【管理】可查看更多配置详情。
![](https://mc.qcloudimg.com/static/img/eb54831422643fda390974c9bdc5a1b7/child_2.png)

#### 云 API 权限控制
拥有查询域名信息权限的子用户，可申请云 API 密钥，详情请参考 [申请安全凭证](https://cloud.tencent.com/doc/api/231/1725#1.-.E7.94.B3.E8.AF.B7.E5.AE.89.E5.85.A8.E5.87.AD.E8.AF.81)，并使用密钥调用下列云 API 查询域名信息（该域名必须属于该子用户有权限的项目）：
+ [GetHostInfoByHost](https://cloud.tencent.com/doc/api/231/3938)：根据域名查询域名的详细信息、配置信息，支持多个域名同时查询。
+ [GetHostInfoById](https://cloud.tencent.com/doc/api/231/3939)：根据域名 ID 查询域名详情，支持多域名 ID 一次性查询。

### 查询日志下载链接
#### 配置须知
+ 目前查询日志下载链接的权限仅可按照 **项目** 划分。
+ 仅有 **默认项目** 的用户，给子用户分配查询日志下载链接权限时无法进行更细粒度的划分。

#### 控制台权限控制
拥有查询日志下载链接权限的子用户，在控制台可进行如下操作：
【CDN 控制台】>【高级工具】>【日志管理】：查询指定项目下资源对象的指定日期日志下载链接。
![](https://mc.qcloudimg.com/static/img/4cadb7313db04a4c1cff29a1438cb9ec/child_3.png)

#### 云 API 权限控制
拥有查询日志下载链接权限的子用户，可申请云 API 密钥，详情请参考 [申请安全凭证](https://cloud.tencent.com/doc/api/231/1725#1.-.E7.94.B3.E8.AF.B7.E5.AE.89.E5.85.A8.E5.87.AD.E8.AF.81)，并使用密钥调用下列云 API 查询日志下载链接（该域名必须属于该子用户有权限的项目）：
+ [GenerateLogList](https://cloud.tencent.com/doc/api/231/3950)：根据域名 ID 查询指定时间区间内，指定域名日志的下载链接，一次仅可指定一个域名进行查询。
+ [GetCdnLogList](https://cloud.tencent.com/doc/api/228/8087):根据域名查询指定时间区间内，指定域名日志的下载链接，一次仅可指定一个域名进行查询。

### 添加域名
#### 配置须知
+ 目前添加域名的权限仅可按照 **项目** 划分，即可指定允许添加域名的项目。
+ 仅有 **默认项目** 的用户，给子用户分配添加域名权限时无法进行更细粒度的划分。

#### 控制台权限控制
拥有添加域名权限的子用户，在控制台可进行如下操作：
【CDN 控制台】>【域名管理】>【添加域名】：单击【添加域名】后，**所属项目** 下拉菜单中显示的项目即为有权限添加域名的项目，若无项目，表明该子用户无添加域名的权限。
![](https://mc.qcloudimg.com/static/img/cb9e203da35f5e68253b757744f651ff/child_4.png)

#### 云 API 权限控制
拥有添加域名权限的子用户，可申请云 API 密钥，详情请参考 [申请安全凭证](https://cloud.tencent.com/doc/api/231/1725#1.-.E7.94.B3.E8.AF.B7.E5.AE.89.E5.85.A8.E5.87.AD.E8.AF.81)，并使用密钥调用下列云 API 添加域名（项目必须为有权限的项目）：
+ [AddCdnHost](https://cloud.tencent.com/doc/api/231/1406)：新增加速域名。

### 上线/下线域名
#### 配置须知
+ 目前上线/下线域名的权限仅可按照 **项目** 划分。
+ 仅有 **默认项目** 的用户，给子用户分配上线/下线域名权限时无法进行更细粒度的划分。

#### 控制台权限控制
拥有上线/下线域名权限的子用户，在控制台可进行如下操作：
【CDN 控制台】>【域名管理】：找到有权限的域名，可对其进行上线/下线（开启/关闭）操作。
![](https://mc.qcloudimg.com/static/img/882c01a9efbd86104b096bf9bd51b4a3/child_5.png)

#### 云 API 权限控制
拥有上线/下线域名权限的子用户，可申请云 API 密钥，详情请参考 [申请安全凭证](https://cloud.tencent.com/doc/api/231/1725#1.-.E7.94.B3.E8.AF.B7.E5.AE.89.E5.85.A8.E5.87.AD.E8.AF.81)，并使用密钥调用下列云 API 上线/下线域名（上线/下线的域名必须为有权限的域名）：
+ [OnlineHost](https://cloud.tencent.com/doc/api/231/1402)：根据域名 ID 上线 CDN 域名。
+ [OfflineHost](https://cloud.tencent.com/doc/api/231/1403)：根据域名 ID 下线 CDN 域名。

### 删除域名
#### 配置须知
+ 目前删除域名权限仅支持按照 **项目** 划分。
+ 可删除的域名状态需为 **已关闭**，否则需要先进行下线域名操作。

####  控制台权限控制
拥有删除域名权限的子用户，在控制台可进行如下操作：
![](https://mc.qcloudimg.com/static/img/2f34796e2ca647d03d8d58e5257d1a5a/child_6.png)
【CDN 控制台】>【域名管理】：勾选要删除的域名，单击【更多操作】下拉菜单中的【删除】，可以对有权限的已关闭的域名进行删除操作。

#### 云 API 权限控制
拥有删除域名权限的子用户，可申请云 API 密钥，详情请参考 [申请安全凭证](https://cloud.tencent.com/doc/api/231/1725#1.-.E7.94.B3.E8.AF.B7.E5.AE.89.E5.85.A8.E5.87.AD.E8.AF.81)，并使用密钥调用下列云 API 删除域名（指定域名必须为有权限的域名，域名状态需要为已关闭状态）：
+ [DeleteCdnHost](https://cloud.tencent.com/doc/api/231/1396)：根据域名 ID 删除 CDN 域名。

### 修改域名配置
#### 配置须知
+ 目前修改域名配置权限仅支持按照 **项目** 划分。
+ 仅有 **默认项目** 的用户，给子用户分配修改域名配置权限时无法进行更细粒度的划分。

#### 控制台权限控制
拥有修改域名配置权限的子用户，可在控制台做如下操作：
【CDN 控制台】>【域名管理】：点击域名右侧【管理】，可对有权限的域名的各项配置进行修改。
![](https://mc.qcloudimg.com/static/img/f728980f311e41b6b1df1465898aa3ee/child_7.png)

#### 云 API 权限控制
拥有修改域名配置权限的子用户，可申请云 API 密钥，详情请参考 [申请安全凭证](https://cloud.tencent.com/doc/api/231/1725#1.-.E7.94.B3.E8.AF.B7.E5.AE.89.E5.85.A8.E5.87.AD.E8.AF.81)，并使用密钥调用下列云 API 修改域名配置（指定域名必须为有权限的域名）：
+ [UpdateCdnConfig](https://cloud.tencent.com/doc/api/231/3933)：修改域名配置。
+ [UpdateCache](https://cloud.tencent.com/doc/api/231/3934)：修改域名缓存配置。
+ [UpdateCdnHost](https://cloud.tencent.com/doc/api/231/1397)：修改域名源站配置。

### 刷新预热
#### 配置须知
+ 目前刷新预热权限仅支持按照 **项目** 划分。
+ 提交的 URL 列表或者目录列表中的域名必须都有权限。

#### 控制台权限控制
拥有刷新预热权限的子用户，可在控制台做如下操作：
【CDN 控制台】>【缓存刷新】：批量贴入有权限的域名下的 URL 或目录，提交进行刷新。单击【操作记录】，可以看到您最近的操作记录。
![](https://mc.qcloudimg.com/static/img/136ff0c6cc2562f533988c5020becca4/child_8.png)

#### 云 API 权限控制
拥有刷新预热权限的子用户，可申请云 API 密钥，详情请参考 [申请安全凭证](https://cloud.tencent.com/doc/api/231/1725#1.-.E7.94.B3.E8.AF.B7.E5.AE.89.E5.85.A8.E5.87.AD.E8.AF.81)，并使用密钥调用下列云 API 进行刷新预热（仅可提交有权限的域名下的 URL 或目录）：
+ [RefreshCdnUrl](https://cloud.tencent.com/doc/api/231/3946)：将节点上指定 URL 资源设置为过期。
+ [RefreshCdnDir](https://cloud.tencent.com/doc/api/231/3947)：将节点上指定资源目录下的内容设置为过期。
+ [GetCdnRefreshLog](https://cloud.tencent.com/doc/api/228/3948):查询指定时间区间内的刷新日志、刷新次数，可指定 URL 查询。

### 默认权限
子用户一旦配置了 CDN 功能权限，则默认可以进行如下操作，无需进行配置。
+ 使用控制台查询所有刷新记录。
  ![](https://mc.qcloudimg.com/static/img/f28d32cf6b939324abccbddc95134214/child_9.png)
+ 使用云 API [GetCdnRefreshLog](https://cloud.tencent.com/doc/api/228/3948) 查询指定时间区间内的刷新日志、刷新次数，可指定URL查询。

如何配置子用户？请参考 [子用户配置示例](https://cloud.tencent.com/doc/product/228/6693)。