### 功能及特性问题
**1. 腾讯云 CDN 有没有海外加速能力？**
腾讯云 CDN 目前已经具备海外加速能力。腾讯云 CDN 开放了腾讯十多年的节点累计，目前在海外 30 多个国家设置了 100 多个加速节点，已经具备海外加速能力。

**2. 接入 CDN 后，源站需要改造才能享受加速服务吗？**
基本不需要。但是为了能够达到更好的加速效果，我们建议您先做动静分离，动态文件和静态文件分配在不同域名下，仅需要对静态资源做加速。

**3. 腾讯 CDN 支持跨域访问吗？**
腾讯云 CDN 在处理跨域访问时，是不做跨域限制的。如果用户网站需要跨域访问，在自身网站中配置 Access-Control-Allow-Origin 字段即可，您也可以选择在 CDN 对域名配置跨域头来实现跨域访问，详情请参考 [HTTP Header 配置](https://cloud.tencent.com/doc/product/228/6296)。

**4. 哪里可以下载 CDN 访问日志？**
您可以在 CDN 控制台中下载 CDN 访问日志，具体操作步骤请查阅 [日志下载](https://cloud.tencent.com/document/product/228/6316#.E6.97.A5.E5.BF.97.E4.B8.8B.E8.BD.BD)。

**5. 如何使用自助故障诊断工具？**
自助故障诊断工具能够检测接入域名的 DNS 解析、链路质量、站点可用性、数据访问一致性等一系列诊断项，具体操作步骤请参阅 [自助故障诊断](https://cloud.tencent.com/document/product/228/6304)。

**6. 本机接入诊断跟用户接入诊断的区别？**
本机接入诊断：当您发现您的某个资源访问存在异常，您可以通过“本机接入诊断”发起检测。
用户接入诊断：当您的用户向您反应资源访问存在异常，您可以通过“用户接入诊断”定位问题，并通过腾讯云提供的建议操作解决问题。

**7. CDN 支持 POST 请求吗？**
CDN 支持 POST 请求。

**8. CDN 是否支持源站的 Cache-Control 设置？**
腾讯云 CDN 默认支持源站的 Cache-Control 设置。

**9. CDN 是否支持 GZIP 压缩？**
CDN 为了节省您的流量流量，默认将大小在 256Byte -- 2048KB 区间，后缀为 .js;.html;.css;.xml;.json;.shtml;.htm; 的文件进行 Gzip 格式压缩。

**10. CDN 加速支持非 80 端口吗？**
目前 CDN 加速的端口支持 80、443、8080 三个端口。

**11. CDN 中间源是什么？**
CDN 中间源即中间源服务器，是位于业务服务器与 CDN 节点之间的一个中间层回源服务器。中间源对节点的回源请求进行了收敛，降低您源站的回源压力。


### 计费相关问题
**1. CDN 如何收费？**
CDN 为您提供了两种计费方式：**带宽计费** 和**流量计费**，均为后付费按日结算，前一天 00:00:00 - 23:59:59 产生的总消耗，会在第二天进行计算扣费。请参阅 [计费说明](https://cloud.tencent.com/document/product/228/2949) 了解如何选择计费模式。

**2. CDN 是否能够免费体验？**
CDN 针对所有客户，提供每月 10GB 的流量包。您可以选择流量计费模式，利用此 10GB 流量包进行产品体验。

**3. CDN 什么时候进行扣费？**
CDN 属于后付费结算模式（先使用后付费）。第二日结算时的计费方式，以前一天产生消耗时对应的计费方式为准:
- 当日查看计费方式为带宽计费，未产生消耗时切换为流量计费,则第二天结算时，若中途未再修改计费方式，按照流量计费方式结算。
- 当日查看计费方式为带宽计费，切换为流量计费时已经产生了消耗，则第二天结算时，按照带宽计费方式结算，若中途未再次修改计费方式，第三天结算第二天消耗时，按照流量计费方式结算。

若您为签有合同的腾讯云大客户，可通过联系为您服务的大客户经理、拨打 4009-100-100、 [提交工单](https://console.cloud.tencent.com/workorder/category) 等方式变更计费方式。

**4. 什么是月 95 带宽计费？**
带宽计费以带宽的峰值来作为计费值。
月 95 带宽：CDN 每日带宽统计点共 288 个，从当月 1 号起，每一个有效天（产生的消耗大于 0 byte，则记为有效天）的所有统计点进行排序，去掉前 5% 的统计点，剩下的最大的统计点，即为计费带宽，再根据合同价格计算费用。
> 计算示例：
> 客户从 2017 年 2 月 1 日正式开始计费，签订的合同价格为：P 元/Mbps/月。
> 假设客户 2 月份有 14 天产生的消耗大于 0，则计费带宽为这 14 天的所有统计点 14 * 288 个，去掉最高的 5% 的点，剩余统计点中最高的> 为 Max95，Max95 即为计费带宽，2 月的费用为：Max95 x P x 14 / 28

**5. 怎么查询 CDN 账单？**
您可以在腾讯云 [费用中心](https://console.cloud.tencent.com/account) 查询您的账单。具体操作步骤请参阅 [账单查询](https://cloud.tencent.com/document/product/228/6071)。

**6. 买了 CDN 流量包不想用了，能否能退货？**
不能。CDN 流量包购买后会立即下发给您的账号，无法返还。

**7. CDN 的价格计算器在哪里？**
请单击 [CDN 价格计算器](https://buy.cloud.tencent.com/calculator/cdn) 进入价格计算页面。

**8. CDN 是否支持按照请求数计费？**
目前 CDN 不支持按照请求次数计费。

**9. CDN 如果欠费了，有什么影响吗？**
请参阅 [欠费说明](https://cloud.tencent.com/document/product/228/2954) 文档中的相关说明。

**10. 源站使用的是 COS，CDN 回源至 COS 产生的流量收费吗？**
CDN 回源至 COS 产生的流量不进行收费。

**11. 关闭 CDN（CDN 服务下线后），是否还会有流量，是否会产生费用？**
关闭 CDN 后，会将 CNAME 的解析改回源站，正常情况下用户针对域名的请求，会全部解析至源站，此部分不会经过 CDN 节点，不会产生任何费用。
如果有用户将 CDN 的 IP 和域名在本地绑定 Host 访问，请求仍会到达 CDN 节点，节点会返回 404，因此会产生微小的流量，会产生一定费用。

### 域名相关问题
**1. 如何接入域名？**
您可以在 CDN 控制台中接入域名，详情请参阅 [域名接入](https://cloud.tencent.com/document/product/228/5734)。

**2. CDN 是否支持泛域名接入？**
CDN 目前已经支持泛域名接入,但需要通过认证。将腾讯云提供的验证文件上传至网站的根目录，验证成功后即可接入泛域名。

**3. CDN 配置大概需要多久？**
CDN 配置时间一般不超过 30 分钟，若您设置后等待时间超过 30 分钟，您可及时提交工单联系我们协助您处理。

**4. 接入 CDN 的域名有什么要求吗？**
接入 CDN 进行加速的域名，需要在工信部完成备案，且源站的业务内容必须合法。

**5. 源站 IP 可以配置多个吗？**
您可配置多个源站 IP。当您配置了多个 IP 后，CDN 在回源请求时会随机访问所填 IP 中的某一个。当某一个 IP 回源失败次数超出阈值，该 IP 默认会隔离 300 秒，不再向此源站回源。

**6. 域名接入 CDN 之后，如何绑定 CNAME？**
您可以参考 [CNAME配置](https://cloud.tencent.com/doc/product/228/3121) 文档中的操作说明，在您的 DNS 服务商处绑定 CNAME。

**7. 域名只能关闭，不能删除是什么原因？**
请检查用户是否是协作者身份，协作者的操作权限由 CDN 服务的创建者配置，若创建者未分配对应权限，则协作者无法进行操作。

**8. 关闭加速服务后，域名配置会保留吗？**
关闭后的域名配置会保留，但不会继续为您提供加速服务，此时用户请求会直接回源。

**9. 删除加速域名后，域名配置会保留吗？**
删除域名后，其配置将不会保留。

**10. 如何关闭加速服务？**
您可以在 CDN 控制台中关闭加速服务，具体操作步骤请参阅 [关闭加速服务](https://cloud.tencent.com/document/product/228/5736#.E5.85.B3.E9.97.AD.E5.8A.A0.E9.80.9F.E6.9C.8D.E5.8A.A1)。

**11. 如何删除加速域名？**
您可以在 CDN 控制台中删除加速域名，具体操作步骤请参阅 [删除加速域名](https://cloud.tencent.com/document/product/228/5736#.E5.88.A0.E9.99.A4.E5.8A.A0.E9.80.9F.E5.9F.9F.E5.90.8D)。

**12. 域名被封禁如何解封？**
需要 [提交工单](https://console.cloud.tencent.com/workorder/category)，由专门的运维人员处理。

### 缓存配置问题
**1. 什么是缓存过期配置？**
缓存过期配置是指配置 CDN 加速节点在缓存您的业务内容时遵循的一套过期规则。
CDN 节点上缓存的用户资源都面临“过期”问题。若资源处于未过期状态，当用户请求到达节点后，节点会将此资源直接返回给用户，提升获取速度；当资源处于过期状态（即超过了设置的有效时间），此时用户请求会由节点发送至源站，重新获取内容并缓存至节点，同时返回给用户。合理地配置缓存时间，能够有效的提升命中率，降低回源率，节省您的带宽。

**2. 什么是高级缓存配置？**
在域名配置的缓存过期配置模块中可以找到 **高级缓存过期设置** 开关，单击即可打开。
![](https://mc.qcloudimg.com/static/img/253949748892d15c5340f341b99af32f/advanced_cache.png)
当您开启了高级缓存过期设置开关后，会达到如下效果。
用户请求源站某资源时 Response HTTP Header 中带有 Cache-Control 字段，且值为 max-age=xxxx，此时节点对该资源的缓存时间取配置的过期时间与 max-age 中的最小值：
- 若用户源站配置 /index.html 的 max-age 为 200 秒，CDN 对应配置的缓存时间为 600 秒，则文件实际过期时间为 200 秒。
- 若用户源站配置 /index.html 的 max-age 为 800 秒，CDN 对应的缓存时间为 600 秒，则文件实际过期时间为 600 秒。

> **注意：**若您的源站 Response Header 中无 Cache-Control 字段，则 CDN 会默认添加：Cache-Control: max-age=600 头部。

**3. 如何控制文件在浏览器的缓存时间？**
腾讯云 CDN 默认支持源站的 Cache-Control 设置。目前暂不支持配置 Cache-Control 头部，因此无法在 CDN 节点上配置 max-age，但 CDN 节点会继承源站的 max-age，因此只需要在源站的服务器上配好即可。

**4. 如何调整缓存配置的优先级？**
请参阅 [优先级调整](https://cloud.tencent.com/document/product/228/6290#.E4.BC.98.E5.85.88.E7.BA.A7) 文档中的操作说明。

**5. CDN 自有源可以设置不缓存某种文件吗？缓存时间设置成 0，是否就是不缓存？**
您可以按照目录和文件类型设置对应的缓存时间。若缓存时间设置为 0，即 CDN 节点不缓存该资源，用户每次发送访问请求至 CDN 节点时，CDN 节点都需回源站拉取相应资源。相关缓存设置可参照 [缓存过期配置](https://cloud.tencent.com/doc/product/228/6290)。

**6. 腾讯云支持哪些缓存过期配置？**
腾讯云 CDN 支持各维度的缓存时间设置、支持自定义优先级调整、支持 cache 继承策略（高级缓存配置）。合理的配置缓存时间，能够有效的提升命中率，降低回源率，节省您的带宽。

**7. CDN 默认的缓存配置是什么？**
在域名接入时，默认配置如下：
自有源域名接入：所有文件默认 30 天缓存过期时间，常规动态文件（如.php .jsp .asp .aspx）默认缓存过期时间为 0，对此类动态文件请求会直接回源。
COS 源域名接入：所有文件默认 30 天缓存过期时间。
默认关闭高级缓存过期设置。

**8. 缓存继承的策略是什么？**
当用户请求您某一业务资源时，源站对应的 Response HTTP Header 中存在 Cache-Control 字段，此时默认策略如下：
Cache-Control 字段为 max-age，对该资源的缓存时间以配置的缓存时间为主，不继承 max-age 指定时间。
Cache-Control 字段为 no-cache 或者 no-store，此时 CDN 节点对此资源不做缓存。

**9. 缓存的匹配方式是什么？**
当设置了多条缓存策略时，相互之间会有重复，配置项列表底部优先级高于顶部优先级。假设某域名配置了如下缓存配置：
> 所有文件 30天
> .php .jsp .aspx 0秒
> .jpg .png .gif 300秒
> /test/*.jpg 400秒
> /test/abc.jpg 200秒

假设域名为 ```www.test.com```，资源为 ```www.test.com/test/abc.jpg```，其匹配方式如下：
1. 匹配第一条所有文件，命中，此时缓存时间为 30 天。
2. 匹配第二条，未命中。
3. 匹配第三条，命中，此时缓存时间为 300 秒。
4. 匹配第四条，命中，此时缓存时间为 400 秒。
5. 匹配第五条，命中，此时缓存时间为 200 秒。

因此最终缓存时间为 200 秒，以最后一次匹配生效。

### 缓存刷新问题
**1. 什么是缓存刷新？**
缓存刷新方式有 URL 刷新、目录刷新和 URL 预热。（详细操作步骤请参阅 [缓存刷新](https://cloud.tencent.com/document/product/228/6299)）
- URL 刷新是以文件为单位进行缓存刷新。
- 目录刷新是以目录为单位，将目录下的所有文件进行缓存刷新。
- URL 预热是以文件为单位进行资源预热。

刷新与预热的区别：
- 刷新后，会删除该资源在全网 CDN 节点上的缓存。当用户请求到达节点时，节点会回源站拉取对应资源，返回给用户并缓存到节点，保证用户获取到最新资源。
- 预热后，该资源会提前缓存到全网 CDN 节点。当用户请求到达节点时，可以直接在节点获取到资源。

**2. 缓存刷新有什么要求？缓存刷新需要多久生效？**
缓存刷新方式有 URL 刷新、目录刷新和 URL 预热。
URL 刷新：每日 URL 刷新数量最多不超过 10000 个，每次刷新提交的 URL 数量不超过 1000 个，刷新任务生效时间约为 5 分钟。当文件配置的缓存过期时间少于 5 分钟时，建议不使用刷新工具，而是等待超时更新。
目录刷新：每日目录刷新数量最多不超过 100 个，每次刷新提交的 URL 目录数量不超过 20 个，刷新任务生效时间约为 5 分钟。当文件夹配置的缓存过期时间少于 5 分钟，建议不使用刷新工具，而是等待超时更新。
URL 预热：URL 预热功能暂时仅对 CDN 大客户开放。若节点上已缓存该资源且尚未过期，则不会更新为最新的资源，若您需要更新所有 CDN 节点上的资源到最新，可以在预热前先进行刷新操作。每日 URL 预热数量最多不超过 1000 个，每次预热提交的 URL 数量不超过 20 个，预热任务生效时间依据预热文件大小而定，约需要 5 到 30 分钟。

**3. CDN 加速节点上的缓存内容是实时更新的吗？**
目前 CDN 加速节点上的缓存内容不会实时更新。CDN 节点根据您在控制台配置的 [缓存过期配置](https://cloud.tencent.com/document/product/228/6290) 来更新缓存，若您需要实时更新某个文件的缓存，您可以通过 [缓存刷新](https://cloud.tencent.com/document/product/228/6299) 的手段来进行。

**4. CDN 刷新支持对目录刷新吗？**
目前 CDN 已经支持 URL 刷新、目录刷新和 URL 预热。
方法1：在腾讯云 CDN 控制台进行 [目录刷新](https://console.cloud.tencent.com/cdn/refresh)，详情请参考 [缓存刷新](https://cloud.tencent.com/document/product/228/6299) 。
方法2：通过调用 API 方式进行刷新，详情请参考 [URL 刷新](https://cloud.tencent.com/document/product/228/3946)。

**5. 怎么查看缓存刷新的记录？**
您可以在 CDN 控制台中查看缓存刷新的记录，详情请参阅 [操作记录](https://cloud.tencent.com/document/product/228/6299#.E6.93.8D.E4.BD.9C.E8.AE.B0.E5.BD.95)。

**6. 为什么预热或刷机目录不生效？**
请检查源站 Last-Modified 是否变动，Last-Modified 若有变动会导致回源失败。

### 统计分析问题
**1. 什么是使用量统计？**
使用量统计提供各项目、各域名在 CDN 产生的流量&带宽消耗情况实时查询，支持省份、运营商消耗 TOP 分析，热门 URL 分析。

**2. 什么是访问情况统计？**
访问情况统计提供各项目、各域名产生的请求数实时查询，支持省份、运营商请求数 TOP 分析，热门 URL 分析。

**3. 什么是状态码统计？**
状态码统计提供各项目、各域名针对用户请求返回的 HTTP 状态码统计，包括 2XX、3XX、4XX 、5XX 统计。

**4. 什么是源站统计？**
源站统计提供各项目、各域名回源流量&带宽实时查询及回源速率查询。

**5. 什么是全网状态监控？**
全网状态监控展示了各地域的时延及可用性。

**6. 什么是运营月报？**
运营月报提供月度 CDN 消耗分析报表。

**7. 如何查看带宽使用情况？**
您可以在控制台中查看流量及带宽使用详情，具体操作步骤请参阅 [使用量统计](https://cloud.tencent.com/document/product/228/6307#.E4.BD.BF.E7.94.A8.E9.87.8F.E7.BB.9F.E8.AE.A1)。

### HTTPS 配置问题
**1. 什么是 HTTPS？**
HTTPS，是指超文本传输安全协议（Hypertext Transfer Protocol Secure），是一种在 HTTP 协议基础上进行传输加密的安全协议，能够有效保障数据传输安全。配置 HTTPS 时，需要您提供域名对应的证书，将其部署在全网 CDN 节点，实现全网数据加密传输功能。

**2. CDN 是否支持 HTTPS 配置？**
腾讯云 CDN 目前已经全面支持 HTTPS 配置。您可以上传自有证书进行部署，或前往 [证书管理](https://console.cloud.tencent.com/ssl ) 控制台申请由亚洲诚信免费提供的第三方证书。

**3. 如何配置 HTTPS 证书？**
您可以在 CDN 控制台中配置 HTTPS 证书，详情请参阅 [HTTPS 配置](https://cloud.tencent.com/document/product/228/6295)。

**4. 源站的 HTTPS 证书更新了，CDN 上需要同步更新吗？**
由您的回源方式决定：
HTTP 回源：不需要。
HTTPS 回源：源站更新证书，CDN 节点也需要同步更新。客户端到节点，节点到源站证书是需要一致的。

**5. CDN 有没有方法让用户控制只允许 HTTPS 访问，禁止 HTTP 访问？**
使用强制https功能。证书配置成功后，会出现【强制跳转】开关，开启后，即使用户发起 HTTP 请求，也会强制跳转为 HTTPS 进行访问。

### 节点网络问题
**1. 腾讯云 CDN 节点默认超时时间是多长？**
腾讯云 CDN 节点默认超时时间是 10 秒。

**2. 在 CDN 管理下关闭接入域名，关闭后 CDN 节点上的文件会怎么样？**
若您关闭当前已接入 CDN 的域名的 CDN 服务，则 CDN 节点将会保留对应域名的接入配置，但不再产生 CDN 流量，该域名下的请求都将直接回源。在做此操作前，请确认：
- 您已将该域名的 CNAME 设置修改为对应 A 记录，否则该域名将无法访问。
- 您的源站带宽处理能力是否足够，否则会影响您域名的正常访问。

**3. 接入 CDN 之后网站打不开，如何排查？**
请先检查接入域名的 CDN 状态是否为“已关闭”，若为“已关闭”状态则对应网页无法打开。若非“已关闭”状态时，可按照下列步骤进一步检查：
+ 通过 ping 或 nslookup 检查该域名的 CNAME 解析是否已生效。
+ 检查源站是否能正常访问。

**4. 如何判断用户访问的是哪个 CDN 节点？**
您可通过 nslookup 和 ping 命令可以获取用户访问的 CDN 节点的 IP 和延时丢包等基本的排错信息。

**5. 命中率低是什么原因呢？**
命中率低可能由以下原因造成：
+ 缓存配置问题，如缓存时间较短。
+ Http Header 导致无法缓存，请检查源站 Cache-Control 或 Expires 的设置。
+ 源站类型问题，可缓存的内容少。
+ 网站访问量低，过期时间短，命中的文件少，导致频繁回源。

**6. 用户感觉 CDN 访问慢？**
大文件关注下载速度，小文件关注延时。首先得到用户访问慢的 URL，通过测速网站判断是否访问慢（推荐工具： 17ce http://www.17ce.com ）：
+  如果测速确实慢，而且是 FTP 托管源或 SVN 源，反馈到一线进行处理。
+  如果测速显示慢，源站属于自有源，协助用户排查源站机器负载和带宽是否受限。

**7. 如何判断用户访问是否命中 CDN Cache？**
查看访问回包头部的 X-Cache-Lookup 信息：![](https://mc.qcloudimg.com/static/img/64ac912c895b36f0241a927df6da3543/image.png)
+ X-Cache-Lookup:Hit From MemCache 表示命中 CDN 节点的内存。
+ X-Cache-Lookup:Hit From Disktank 表示命中 CDN 节点的磁盘。
+ X-Cache-Lookup:Hit From Upstream 表示没有命中 CDN。

**8. 为什么同名文件节点返回的文件大小不一致？**
因为所有文件类型都默认缓存，CDN 节点上可能存在不同的文件版本。解决方法：
+ 强制刷新文件，立即更新缓存。
+ 带上版本号，例如： ```http://www.xxx.com/xxx.js?version=1```。
+ 更换其它文件名，不使用同名文件。