### 1. 什么是缓存刷新？
缓存刷新方式有 URL 刷新、目录刷新和 URL 预热。（详细操作步骤请参阅 [缓存刷新](https://cloud.tencent.com/document/product/228/6299)）
- URL 刷新是以文件为单位进行缓存刷新。
- 目录刷新是以目录为单位，将目录下的所有文件进行缓存刷新。
- URL 预热是以文件为单位进行资源预热。

刷新与预热的区别：
- 刷新后，会删除该资源在全网 CDN 节点上的缓存。当用户请求到达节点时，节点会回源站拉取对应资源，返回给用户并缓存到节点，保证用户获取到最新资源。
- 预热后，该资源会提前缓存到全网 CDN 节点。当用户请求到达节点时，可以直接在节点获取到资源。

### 2. 缓存刷新有什么要求？缓存刷新需要多久生效？
缓存刷新方式有 URL 刷新、目录刷新和 URL 预热。
URL 刷新：每日 URL 刷新数量最多不超过 10000 个，每次刷新提交的 URL 数量不超过 1000 个，刷新任务生效时间约为 5 分钟。当文件配置的缓存过期时间少于 5 分钟时，建议不使用刷新工具，而是等待超时更新。
目录刷新：每日目录刷新数量最多不超过 100 个，每次刷新提交的 URL 目录数量不超过 20 个，刷新任务生效时间约为 5 分钟。当文件夹配置的缓存过期时间少于 5 分钟，建议不使用刷新工具，而是等待超时更新。
URL 预热：URL 预热功能暂时仅对 CDN 大客户开放。若节点上已缓存该资源且尚未过期，则不会更新为最新的资源，若您需要更新所有 CDN 节点上的资源到最新，可以在预热前先进行刷新操作。每日 URL 预热数量最多不超过 1000 个，每次预热提交的 URL 数量不超过 20 个，预热任务生效时间依据预热文件大小而定，约需要 5 到 30 分钟。

### 3. CDN 加速节点上的缓存内容是实时更新的吗？
目前 CDN 加速节点上的缓存内容不会实时更新。CDN 节点根据您在控制台配置的 [缓存过期配置](https://cloud.tencent.com/document/product/228/6290) 来更新缓存，若您需要实时更新某个文件的缓存，您可以通过 [缓存刷新](https://cloud.tencent.com/document/product/228/6299) 的手段来进行。

### 4. CDN 刷新支持对目录刷新吗？
目前 CDN 已经支持 URL 刷新、目录刷新和 URL 预热。
方法1：在腾讯云 CDN 控制台进行 [目录刷新](https://console.cloud.tencent.com/cdn/refresh)，详情请参考 [缓存刷新](https://cloud.tencent.com/document/product/228/6299) 。
方法2：通过调用 API 方式进行刷新，详情请参考 [URL 刷新](https://cloud.tencent.com/document/product/228/3946)。

### 5. 怎么查看缓存刷新的记录？
您可以在 CDN 控制台中查看缓存刷新的记录，详情请参阅 [操作记录](https://cloud.tencent.com/document/product/228/6299#.E6.93.8D.E4.BD.9C.E8.AE.B0.E5.BD.95)。

### 6. 为什么预热或刷机目录不生效？
请检查源站 Last-Modified 是否变动，Last-Modified 若有变动会导致回源失败。若您无法解决问题，可以 [提交工单](https://console.cloud.tencent.com/workorder/category) 让运维人员进行处理。