### 1. 腾讯云 CDN 节点默认超时时间是多长？
腾讯云 CDN 节点默认超时时间是 10 秒。

### 2. 在 CDN 管理下关闭接入域名，关闭后 CDN 节点上的文件会怎么样？
若您关闭当前已接入 CDN 的域名的 CDN 服务，则 CDN 节点将会保留对应域名的接入配置，但不再产生 CDN 流量，该域名下的请求都将直接回源。在做此操作前，请确认：
- 您已将该域名的 CNAME 设置修改为对应 A 记录，否则该域名将无法访问。
- 您的源站带宽处理能力足够，否则会影响您域名的正常访问。

### 3. 接入 CDN 之后网站打不开，如何排查？
请先检查接入域名的 CDN 状态是否为“已关闭”，若为“已关闭”状态则对应网页无法打开。若非“已关闭”状态时，可按照下列步骤进一步检查：
+ 通过 ping 或 nslookup 检查该域名的 CNAME 解析是否已生效。若未绑定 CNAME，您可以参考 [CNAME 配置](https://cloud.tencent.com/doc/product/228/3121) 文档中的操作说明，在您的 DNS 服务商处绑定 CNAME。
+ 待 CNAME 生效后，检查源站是否能正常访问。

若您无法通过上述步骤解决该问题，请 [提交工单](https://console.cloud.tencent.com/workorder/category) 联系我们帮您处理。

### 4. 如何判断用户访问的是哪个 CDN 节点？
您可通过 nslookup 和 ping 命令可以获取用户访问的 CDN 节点的 IP 和延时丢包等基本的排错信息。

### 5. 命中率低是什么原因呢？
命中率低可能由以下原因造成：
+ 缓存配置问题，如缓存时间较短。
+ HTTP Header 导致无法缓存，请检查源站 Cache-Control 或 Expires 的设置。
+ 源站类型问题，可缓存的内容少。
+ 网站访问量低，过期时间短，命中的文件少，导致频繁回源。

### 6. 用户感觉 CDN 访问慢？
大文件关注下载速度，小文件关注延时。首先得到用户访问慢的 URL，通过测速网站判断是否访问慢（推荐工具： 17ce http://www.17ce.com ）：
+  如果测速确实慢，源站是 FTP 托管源，请 [提交工单](https://console.cloud.tencent.com/workorder/category) 联系我们帮您处理。
+  如果测速确实慢，源站属于自有源，协助用户排查源站机器负载和带宽是否受限。

### 7. 如何判断用户访问是否命中 CDN Cache？
查看访问回包头部的 X-Cache-Lookup 信息：![](https://mc.qcloudimg.com/static/img/64ac912c895b36f0241a927df6da3543/image.png)
+ X-Cache-Lookup:Hit From MemCache 表示命中 CDN 节点的内存。
+ X-Cache-Lookup:Hit From Disktank 表示命中 CDN 节点的磁盘。
+ X-Cache-Lookup:Hit From Upstream 表示没有命中 CDN。

### 8. 为什么同名文件节点返回的文件大小不一致？
因为所有文件类型都默认缓存，CDN 节点上可能存在不同的文件版本。解决方法：
+ 强制刷新文件，立即更新缓存。
+ 带上版本号，例如： ```http://www.xxx.com/xxx.js?version=1```。
+ 更换其它文件名，不使用同名文件。

若您无法通过上述步骤解决该问题，请 [提交工单](https://console.cloud.tencent.com/workorder/category) 联系我们帮您处理。