## 1 Installing the SVN Client

Before using SVN for file upload, install the SVN client on your local PC. It is recommended to use the SVN client 1.7. Please do not upgrade SVN to version 1.8 as defects are found in version 1.8, which may lead to exception in SVN synchronization.

Download the SVN client at:http://subversion.apache.org/download/ 

Introduction to SVN (Chinese):http://www.subversion.org.cn/?action-channel-name-product 

SVN Manual:http://svndoc.iusesvn.com/

## 2 Connecting the SVN Library

To connect to the SVN library and transfer data to the local server, please follow the two steps below:

1. Select the directory where you want to store the SVN files, use "cd" command to enter the directory, and run "svn checkout" command. (Refer to [CDN File Release](http://cloud.tencent.com/doc/product/228/CDN%E6%96%87%E4%BB%B6%E5%8F%91%E5%B8%83) for more information on getting the SVN path of a CDN service.) Taking the developer of Cloud Services account (1251000013) as an example, run the command as follows:

```
svn checkout https://cdn.yun.qq.com/1251000013
```

2. Enter the user name and password (account and password of Cloud Services; see [CDN File Release](http://cloud.tencent.com/doc/product/228/CDN%E6%96%87%E4%BB%B6%E5%8F%91%E5%B8%83) for details).

Before you upload any files to the SVN library, the directory can be checked out with no files under it (except the automatically generated .svn folder).

## 3 Adding/Modifying/Deleting Files

When adding, modifying, or deleting the files, "svn commit" is required finally to submit the local changes to the SVN library. The following describes the steps for the above three actions respectively.

### 3.1 Adding Files
For example:
Your SVN library path is https://cdn.yun.qq.com/1251000013. You want to send two files to the CDN, so users can access the two files from the Web page via the following URLs:

```
http://1251000013.cdn.myqcloud.com/1251000013/image/1.png
http://1251000013.cdn.myqcloud.com/1251000013/image/2.png
```


Simply follow the four steps below to upload the files to the SVN:

1. Create the image directory under your local SVN library directory;

2. Copy the files to the image directory;

3. Use "svn add" to add new directories and files;

4. Use "svn commit" to submit changes.

**The action commands are as follows:**

```
mkdir image
cp /tmp/1.png ./image
cp /tmp/2.png ./image
svn add image
svn commit -m "your svn action log"
```

### 3.2 Modifying Files

In the same case as above, to update the 1.png file, just follow the two steps below:

1. Copy the new 1.png file to the image directory;

2. Run "svn commit" to submit changes.

**The action commands are as follows:**

```
cp /tmp/1.png ./image/1.png
svn commit -m "your svn action log"
```

### 3.3 Deleting Files

In the same case as above, to delete the unnecessary 2.png file, just follow the two steps below:

1. Use "svn delete" to delete the 2.png file;

2. Run "svn commit" to submit changes.

**The action commands are as follows:**

```
svn delete ./image/2.png
svn commit -m "your svn action log"
```

