## 1. Installing the SVN Client
Before using SVN for file upload, install the SVN client on your local PC. It is recommended to use the SVN client 1.7. Please do not upgrade SVN to version 1.8 as defects are found in TortoiseSVN 1.8, which may lead to exception in SVN synchronization.
TortoiseSVN is recommended for Windows. Download at http://tortoisesvn.net/downloads.html
The following instructions are based on TortoiseSVN.
## 2. Connecting the SVN Library
To connect to the SVN library and transfer data to the local server, please follow the five steps below:
1. Select a directory where you want to store the SVN file to enter the folder, right click on the blank space, and select "SVN Checkout..." from the shown menu, as shown below:

![](https://mccdn.qcloud.com/static/img/b8fb186b04b4b9a27d84d65447659ad9/image.png)
1. In the pop-up dialog box, enter your SVN library path (Refer to "CDN File Release" for more information on getting the SVN path of a CDN service) and leave all other options unchanged, as shown below:

![](https://mccdn.qcloud.com/static/img/74b67cf17f5634c7bec53d88f3d9b8b7/image.png)
1. Click the "OK" button in the pop-up dialog box. The user name and password of the SVN library (account and password of Cloud Services; see "CDN File Release" for details) are required when logging in for the first time. The login dialog is shown as below:

![](https://mccdn.qcloud.com/static/img/2724c0ac1174f4758b23e32df9c38a1e/image.png)
1. After the authentication, all the files in the SVN library will be checked out immediately, as shown below:

![](https://mccdn.qcloud.com/static/img/3c35149768d4b63e105866ce9735bd03/image.png)
1. After Checkout is completed, you can see all the files in the SVN library under the "cdn-files" directory on your local PC.
   Before you upload any files to the SVN library, there is no file under such directory but only one .svn directory, as shown below:

![](https://mccdn.qcloud.com/static/img/908adec0d5ef3f6cb1f61d09cf824023/image.png)
1. Adding/Modifying/Deleting files
   When adding, modifying, or deleting the files, "SVN Commit..." is required finally to submit the local changes to the SVN library. The following describes the steps for the above three actions respectively.
   3.1 Adding files

For example: your svn library path is `https://cdn.yun.qq.com/1251000013`. You want to send two files to the CDN, so users can access the two files from the Web page via the following URLs:
`http://1251000013.cdn.myqcloud.com/1251000013/image/1.png`
`http://1251000013.cdn.myqcloud.com/1251000013/image/2.png`

Simply follow the four steps below to upload the files to the svn:

1. Create the image directory under your local svn library directory, as shown below:

![![](https://mccdn.qcloud.com/static/img/63787ccac5d746d0cf706c2f6c313c4a/image.png)](https://mccdn.qcloud.com/static/img/63787ccac5d746d0cf706c2f6c313c4a/image.png)
1. Put the two files (1.png and 2.png) into the image directory to upload to the CDN, as shown below:
2. 
   ![](https://mccdn.qcloud.com/static/img/e76bf166493b470dfbae4a1b897853c9/image.png)
3. Right click on the image directory, as shown below; select TortoiseSVN, and then select Add....

![](https://mccdn.qcloud.com/static/img/284abe368b773674b9c6e46d43db48ea/image.png)
When you click Add, you will be prompted with the list of files to be added, as shown below:

![](https://mccdn.qcloud.com/static/img/9e475ba5d78dac92242d65db1c3bcd95/image.png)
When you click OK, the blue cross marks will appear on the image directory and its files, as shown below:

![](https://mccdn.qcloud.com/static/img/ded6fb8a9464d9043d483565b67c4b23/image.png)
1. Right click on the blank space under the directory or on the image directory, and select the "SVN Commit..." menu item, as shown below:

![](https://mccdn.qcloud.com/static/img/c2e7e91e6d91b755162ae0ed599ed989/image.png)
Next, in the pop-up dialog box shown below, enter the log of this commit (required; the commit may fail if it is left blank), and then click "OK":

![](https://mccdn.qcloud.com/static/img/9554e6ff8f9f65049e3adf5892150516/image.png)
If the following pop-up dialog box appears, the upload is completed.

![](https://mccdn.qcloud.com/static/img/d02114243966200e6f777d80b8bc3e3b/image.png)
Green tick marks will also appear on the image directory, 1.png and 2.png files.

![](https://mccdn.qcloud.com/static/img/e029fa171231dff4f052c22e1a437636/image.png)
In this way, image/1.png and image/2.png has been successfully added to SVN.
3.2 Modifying files
In the same case as above, to update the 1.png file, just follow the two steps below:

1. Replace the 1.png file under the image directory with a new 1.png file, and then a red exclamation mark appears on the new 1.png file, as shown below:

![](https://mccdn.qcloud.com/static/img/5db64f71e1939da60644f352dbeb6b9c/image.png)
1. Right click on the blank space in the image directory or on the updated 1.png file, and select "SVN Commit..." as in step 4 of the "Adding files" section. When a pop-up dialog box appears, enter the svn action log and click "OK". Then, the following dialog box will appear. Click "OK" and the green tick mark will get back on the 1.png file. In this way, image/1.png file has been updated in CDN.

![](https://mccdn.qcloud.com/static/img/47f6d61be73bc811ecad8c813be256af/image.png)
3.3 Deleting files
In the same case as above, to delete the unnecessary 2.png file, just follow the two steps below:

1. Right click on the 2.png file, as shown below. Select TortoiseSVN, and then click "Delete". The 2.png file will disappear.

![](https://mccdn.qcloud.com/static/img/dee153d48c88d87560e3bdfdfe047bc3/image.png)
1. Right click on the blank space in the image directory and select "SVN Commit...". Enter the SVN action log in the pop-up dialog box, and then click "OK". The SVN dialog box will pop up as shown below. Click "OK" to delete the image/2.png file from the CDN.
   ![](https://mccdn.qcloud.com/static/img/603a40a251957a018ffda3bd53d0186d/image.png)
