## 产品简介
腾讯云动态加速网络（Dynamic Site Accelerator，简称：DSA），通过遍布全球的优质节点，结合腾讯自研的链路优化技术，使动态内容通过安全可靠的最优传输路径快速分发给用户，

DSA 接入简单，您无需调整自身业务结构，或是进行复杂的操作配置，即可享受全球链路加速服务。您可以通过 [快速入门](https://cloud.tencent.com/doc/product/570/8651)，轻松开启您的 DSA 加速服务。

## 加速原理
假设您的业务源站域名为 ```www.test.com```，当域名接入 DSA 开始使用加速服务后，当您的用户发起 HTTP 请求时，实际的处理流程如下图所示：
![](https://mc.qcloudimg.com/static/img/817fa5ac29d2e7fb3bbea4b740fe7524/dsa.png)
**详细说明如下：**
1. 用户向 ```www.test.com``` 下的某动态资源(如：1.asp) 发起请求，先要向 Local DNS 发起域名解析请求。
2. 当 Local DNS 解析 ```www.test.com``` 时，会发现已经配置了 CNAME 记录 ```www.test.com.dsa.dnsv1.com```，解析请求会发送至 Tencent DNS（GSLB），GSLB 为腾讯云自主研发的调度体系，会为请求分配最佳节点 IP。
3. Local DNS 获取 Tencent DNS 返回的解析 IP。
4. 用户测获取解析 IP。
5. 用户向获取的 IP 发起对资源 1.asp 的访问请求。
6. 节点通过智能探测算法，探测到内部网络到源站之间的最优路径，通过最优路径将请求转发至源站。
7. 源站收到请求后，根据请求内容，将动态数据返回给动态加速节点。
8. 动态加速网络通过内部最优链路，将源站返回的内容透传给用户。