## Product Overview
Tencent Cloud Dynamic Site Accelerator (DSA) is used to accelerate the transmission of data from a user to the origin server using the link optimization technology independently developed by Tencent Cloud through high-quality nodes across the globe.

**Featuring a simple connection, DSA allows you to enjoy the global DSA acceleration services without the need to change your business structure or perform complicated operations and configuration. **For more information about connection, please see [Getting Started](https://cloud.tencent.com/document/product/570/8651) and [Activate DSA](https://cloud.tencent.com/document/product/570/8648).


## How does it work?
For example, if your business origin server's domain name is `www.test.com` and the domain name has been connected to DSA and starts to use acceleration service, when your user makes an HTTP request, the request will be processed as shown in the figure below:


![](https://mc.qcloudimg.com/static/img/de40992cedfd3b0e234620a2bbc7beab/image.png)

**The procedure is as follows:**

1. A user wants to make a request to access a dynamic resource on `www.test.com`, e.g. 1.asp. The user needs to send a domain name resolution request to Local DNS first;
2. When Local DNS resolves `www.test.com`, it will find that CNAME `www.test.\*.\*cdntip.com` has been configured, so the resolution request will be sent to Tencent DNS (GSLB). GSLB is a scheduling system independently developed by Tencent Cloud and will allocate the best node IP to the request;
3. Local DNS receives the resolved IP returned by Tencent DNS;
4. The user receives the resolved IP;
5. The user sends a request to access 1.asp to the received IP;
6. The node detects the best routing path from internal network to origin server with the intelligent detection algorithm, and sends the request to the origin server through this path;
7. Upon receiving the request, the origin server sends the dynamic data to the DSA node based on the request;
8. DSA sends the result from the origin server to the user transparently via the optimal internal link.



