## Domain name/IP of Origin Server

The domain name or IP of a customer's business server.



## Accelerated Domain Name

Different from the domain name of the origin server, it is provided for the DSA accelerated node to configure CNAME.

Note: The domain name of the origin server must be different from the accelerated domain name.



## CNAME Domain Name

When Tencent Cloud's DSA console has been connected with the accelerated domain name, the system will assign a "CNAME domain name" (in a form of  \*.\*cdntip.com) to the domain name. Users need to set a CNAME record at domain service provider. When the record takes effect, domain name resolution will be turned over to Tencent Cloud DSA, with all the requests of the domain name transferred to Tencent Cloud DSA nodes.



The figure below shows the order in which **origin server's domain name/IP**, **accelerated domain name**, **CNAME domain name** appear when a request is sent from a user to the origin server:

![](https://mc.qcloudimg.com/static/img/86e3c5c7f5cdbbe229d4c3850abac1be/image.png)

The accelerated domain name accessed by the user is resolved onto the CNAME domain name of the accelerated node, and is then sent to the origin server after being accelerated through Tencent Cloud DSA.



