## Mesh-like Interconnection and Global Acceleration

To allow your published content to reach users faster, Tencent Cloud has set up more than 500 DSA nodes across the nation, covering mainstream ISPs such as China Mobile, China Unicom and China Telecom as well as many medium and small-sized ISPs such as China Tietong and Great Wall Broadband. Mesh-like interconnection is implemented between two accelerated nodes, and a huge number of transmission links are available.

**Domestic Node Distribution**
![](https://mc.qcloudimg.com/static/img/19f5708498e59acef7d60a755dee686e/image.png)

Tencent Cloud DSA provides more than 50 overseas nodes with a coverage of more than 30 countries and regions across the globe to allow your business to go global seamlessly.

**Overseas Node Distribution**
![](https://mc.qcloudimg.com/static/img/7576cb999f587790b39430600bfc2949/image.png)



## Dynamic Scheduling and Optimal Link

When requesting for resources, your users may be faced up with problems of high delay and high packet lost due to such factors as network, region or bandwidth. Tencent Cloud DSA, through the real-time monitoring of the links across the network and by using the self-developed GSLB scheduling system and intelligent routing technology, optimizes user's access experience in the following three ways.

**Optimal Connection**

With Tencent Cloud's GSLB scheduling system, your users' requests will be allocated to the nearest, best accelerated node to connect to the accelerated network.

**Optimal link**

Tencent Cloud DSA will select the optimal network link for the requests to effectively bypass links with poor quality or congested links, to ensure a rapid access to the content based on the real-time status monitoring across network and intelligent routing technology.

**Protocol Optimization**

Tencent Cloud DSA has independently developed an optimized algorithm for the protocol layer, which makes full use of the bandwidth resources to make the network transmission more stable and improve the network performance.



## Secure, Stable and Reliable

Complex public environment, packet lost due to network jitter, and malicious hacker attacks may prevent you from providing services to users normally. To guarantee your business security, Tencent Cloud DSA provides an all-round protection for your business in the following two ways.

**Private Protocol**

When a user requests for a connection to the accelerated network, you can use a reliable Tencent private protocol for transmission through private network to ensure security.

**Redundancy Transmission**

Tencent Cloud DSA supports multi-link redundancy transmission, to guarantee the reliability of data transmission, so that users can enjoy a reliable web experience.



## One-click Connection and Transparency in Business

You do not need to make adjustments or changes to your business to connect to Tencent Cloud DSA. In addition, you don't have to worry that you cannot access the business statistics and business cost details in a transparent way or achieve a real-time monitoring of business status. Tencent Cloud DSA features a quick and simple connection and offers a variety of management tools, so that the whole DSA can be presented to you as transparent as possible.

**Simple Connection**

To connect to Tencent Cloud DSA, you only need to provide your domain name. DSA will assign you a CNAME in a fixed format. You need to change the CNAME setting corresponding to the domain name at the domain service provider for this domain name. Once the DNS takes effect, you can immediately start using Tencent Cloud DSA.

**Statistics Monitoring**

Tencent Cloud DSA provides multi-dimensional data analysis for you to get a full picture about the requests from users at business side. If you need to perform real-time monitoring of such statistics, you can go to Cloud Monitor to set relevant alarms, so that you can get an overall sense of the business status in real time.

**Various Management Tools**

You can perform domain name management, configuration changes, going online/going offline, deletion and other operations through the DSA console. You can also make queries on the above statistics and charts.
