您可以通过如下步骤快速开始使用 **动态加速网络（Dynamic Site Accelerator，简称：DSA）** 服务。
**步骤预览**
![](https://mc.qcloudimg.com/static/img/63e99672290d674e5e068783223f9b32/dsa_start.png)

## 第一步：开通 DSA 服务
目前 DSA 处于内测阶段，在使用 DSA 服务前，您需要获取内测资格以及进行实名认证。若您的账号已经开通了 DSA 服务，请直接跳到第二步。开通 DSA 服务流程如下。
1. 进入 [DSA](https://cloud.tencent.com/product/dsa) 产品页面,单击【立即申请】进入申请页面。
![](https://mc.qcloudimg.com/static/img/3a724c4fdd220d2e518ae92d1bd2bede/dsa_application.png)
2. 确认 **用户信息**，填写相关 **业务信息**，完成后单击【提交申请】等待审核，审核通过后，我们会以站内信、短信、邮箱的方式通知您。
![](https://mc.qcloudimg.com/static/img/ba9cb8e878df6374cc67784406c6d5b9/application_info.png)
3. 内测申请通过后，登录 [DSA 控制台](https://console.cloud.tencent.com/dsa) 可以看到实名认证指引，单击【前往认证】可进行实名认证。
	![](https://mc.qcloudimg.com/static/img/6b0bb2dfb3c56629d3920334c6b4a391/auth.png)
	您也可以通过进入 [帐号中心](https://console.cloud.tencent.com/developer) ，单击[【实名认证】](https://console.cloud.tencent.com/developer?to=auth)进行认证。
	![](https://mc.qcloudimg.com/static/img/89cf6aefa8292bdc64662fcc8817a397/auth.png)
4. 详细认证流程请查阅 [实名认证指引](https://cloud.tencent.com/doc/product/378/3629) 。个人认证会在提交审核后立即完成。企业认证约一个工作日完成，且认证成功后您将收到短信通知。您可以 [提交工单](https://console.cloud.tencent.com/workorder/category/create?level1_id=1&level2_id=41&level1_name=%E5%85%AC%E5%85%B1%E5%9F%BA%E7%A1%80%E7%B1%BB%E9%97%AE%E9%A2%98&level2_name=%E8%B4%A6%E5%8F%B7%E7%B1%BB) 咨询实名认证进度。

## 第二步：接入域名
1. 登录 [DSA 控制台](https://console.cloud.tencent.com/dsa)，单击左侧【域名管理】菜单进入 **域名管理** 页面，单击页面中的【+ 添加域名】进入 **添加域名** 页面。
![](https://mc.qcloudimg.com/static/img/b4a628fbcf1e78d12e3cf82ee16dff18/add_host.png)
2. 在 **域名** 位置填入需要加速的域名，域名必须在工信部进行过备案。
3. 选择 **源站类型** 并填写源站信息。源站类型只能是【源站 IP】和【源站域名】的其中一个。
	3.1. 当源站类型为源站 IP 时，可以设置多个源站 IP，每行填写一个（最多支持 32 个），支持端口设置，设置格式为 ```IP:Port```，端口号需大于 0 小于 65536。
	3.2. 当源站类型为源站域名时，只能填入一个源站域名，且不能与加速域名相同，支持端口设置，设置格式为 ```Host:Port```，端口号需大于 0 小于 65536。
![](https://mc.qcloudimg.com/static/img/64f6c5b723947b09b1cbdb19a382ef25/domain_configuration.png)
4. 域名配置完成后单击【提交】，即可添加域名。在弹出的窗口中单击【前往域名列表】可查看域名状态。添加的域名，系统将在后台为您部署相关配置，生效时间大约为 5 分钟。
![](https://mc.qcloudimg.com/static/img/ac66cbfb7916cbce90f6c6ade65167ab/add_ok.png)

## 第三步：配置 CNAME
1. 接入域名后，系统会为您分配对应的 **CNAME** ，以 ```.dsa.dnsv1.com``` 为后缀。您可以在 **域名管理** 页中进行查看。
![](https://mc.qcloudimg.com/static/img/63f31c808a654b6d2047c72ec00e1e0e/dsa_cname.png)
2. 您需要到接入域名的 DNS 服务商处完成 CNAME 配置，配置方法请查阅 [CNAME 配置](https://cloud.tencent.com/doc/product/570/11134)。
3. 验证域名 CNAME 是否已经生效：不同的 DNS 服务商，CNAME 生效的时间略有不同，一般会在半个小时之内生效。您也可以通过 PING 的方式来查询 CNAME 是否生效，如果 PING 到后缀为 ```.dsa.sp.spcdntip.com``` 或 ```.dsa.p23.tc.cdntip.com``` 的域名，表示域名 CNAME 已生效。
![](https://mc.qcloudimg.com/static/img/3e45aca57e30b993541c16d83d07d154/image.png)
![](https://mc.qcloudimg.com/static/img/c3deeb94c05f02ae934d2f7bb7673f28/image.png)