您可以在 DSA 控制台中接入域名，享受腾讯云 DSA 为您提供的动态加速服务，具体操作步骤如下。

## 第一步：接入域名
1. 登录 [DSA 控制台](https://console.cloud.tencent.com/dsa)，单击左侧【域名管理】菜单进入 **域名管理** 页面，单击页面中的【+ 添加域名】进入 **添加域名** 页面。
![](https://mc.qcloudimg.com/static/img/b4a628fbcf1e78d12e3cf82ee16dff18/add_host.png)
2. 在 **域名** 位置填入需要加速的域名，域名必须在工信部进行过备案且未接入过腾讯云 CDN 或 腾讯云 DSA。
3. 在 **所属项目** 处选择域名对应的项目，进行域名的分项目管理，这里的项目为腾讯云所有产品共享，您可以在 [项目管理](https://console.cloud.tencent.com/project) 控制台中对项目进行管理。
4. 选择 **源站类型** 并填写源站信息。源站类型只能是【源站 IP】和【源站域名】的其中一个。
	4.1. 当源站类型为源站 IP 时，可以设置多个源站 IP（不能是内网 IP），每行填写一个（最多支持 32 个），支持端口设置，设置格式为 ```IP:Port```，端口号需大于 0 小于 65536，当填入多个 IP 的时候，回源请求会依次轮流访问各 IP。
	4.2. 当源站类型为源站域名时，只能填入一个源站域名，且不能与加速域名相同，支持端口设置，设置格式为 ```Host:Port```，端口号需大于 0 小于 65536。
![](https://mc.qcloudimg.com/static/img/64f6c5b723947b09b1cbdb19a382ef25/domain_configuration.png)
5. 域名配置完成后单击【提交】，即可添加域名。在弹出的窗口中单击【前往域名列表】可查看域名状态。添加的域名，系统将在后台为您部署相关配置，生效时间大约为 5 分钟。
![](https://mc.qcloudimg.com/static/img/ac66cbfb7916cbce90f6c6ade65167ab/add_ok.png)

## 第二步：配置 CNAME
1. 接入域名后，系统会为您分配对应的 **CNAME**，以 ```.dsa.dnsv1.com``` 为后缀。您可以在 **域名管理** 页中进行查看。
![](https://mc.qcloudimg.com/static/img/63f31c808a654b6d2047c72ec00e1e0e/dsa_cname.png)
2. 您需要到接入域名的 DNS 服务商处完成 CNAME 配置，配置方法请查阅 [CNAME 配置](https://cloud.tencent.com/doc/product/570/11134)。
3. 验证域名 CNAME 是否已经生效：不同的 DNS 服务商，CNAME 生效的时间略有不同，一般会在半个小时之内生效。您也可以通过 PING 的方式来查询 CNAME 是否生效，如果 PING 到后缀为 ```.dsa.sp.spcdntip.com``` 或 ```.dsa.p23.tc.cdntip.com``` 的域名，表示域名 CNAME 已生效。
![](https://mc.qcloudimg.com/static/img/3e45aca57e30b993541c16d83d07d154/image.png)
![](https://mc.qcloudimg.com/static/img/c3deeb94c05f02ae934d2f7bb7673f28/image.png)