## Overview

HTTPS (Hypertext Transfer Protocol Secure) is a security protocol built on HTTP protocol to be used for encrypted communication and can effectively ensure data transmission security. When configuring HTTPS, you need to provide the certificate for your domain name and deploy it across all DSA nodes on the entire network to achieve encrypted data transmission across the network.



<font color="red">HTTPS configuration is now completely available for you.</font>



## Configuration Instructions

HTTPS configuration is only available to domain names which meet the following conditions:

- Domain name status is **Deploying** or **Activated** in "Domain Name Management" page;

​


Log in to [DSA Console](https://console.cloud.tencent.com/dsa) and go to "Domain Name Management" page. Then click **Manage** button to the right of the domain name to enter the management page:



![](https://mc.qcloudimg.com/static/img/3cc6ca7194505f957355f4ee60ee6c16/1.png)



Go to "Advanced Configuration" and find "HTTPS Configuration"



![](https://mc.qcloudimg.com/static/img/033bf3da954c43d3a61e4c47693f1992/1.png)



## Certificate Type

Tencent Cloud currently supports two certificate deployment methods:

- Self-owned certificate: Upload self-owned certificate and private key to DSA for deployment. Transmission is encrypted throughout the process to ensure security of your certificate;

- Tencent Cloud-hosted certificate: You can go to [SSL Certificate Management](https://console.cloud.tencent.com/ssl) and trust your certificate to Tencent Cloud to use it for multiple cloud products. You can also apply for a **Free Certificate** provided by TrustAsia through this platform and deploy it directly to DSA;





## Certificate Management

Go to [Certificate Management](https://console.cloud.tencent.com/cdn/tools/certificate) page to add, modify or delete certificates. For more information, please see [Certificate Management Instructions](https://cloud.tencent.com/document/product/570/10366).



