Log in to [DSA Console](https://console.cloud.tencent.com/dsa), and go to "Access Statistics" page to view real-time statistics of request volume, number of IP visits, latency. You can check the historical record within 30 days.

## Query Criteria
The following criteria are supported when querying access statistics:
![](https://mc.qcloudimg.com/static/img/cd18ad2fbf87b40aa5f4d525a2fe69e8/1.png)

**Note:**

+ Time selection: The query for access statistics for the last 30 days is supported with a query span of up to 30 days.
+ Project: Query for usage data based on project;
+ Domain: Query for usage data based on specified domain name;
+ Time interval: This refers to the temporal granularity with which bandwidth and traffic data will be presented. This is related to the selected time span:
  > If the selected time span is 1 day, you can query data with a temporal granularity of 5 minutes, 15 minutes, 30 minutes, 1 hour, 2 hours or 4 hours;
  > If the selected time span is 2-3 days, you can query data with a temporal granularity of 15 minutes, 30 minutes, 1 hour, 2 hours or 4 hours;
  > If the selected time span is 4-7 days, you can query data with a temporal granularity of 30 minutes, 1 hour, 2 hours, 4 hours or 1 day;
  > If the selected time span is 7-30 days, you can only query data with a temporal granularity of 2 hours, 4 hours or 1 day;

## Data Result
### Access Statistics
The figure shows the data under the specified query criteria:
![](https://mc.qcloudimg.com/static/img/c27044b6545e91548a0c6b88854b78b0/2.png)

+ Number of requests: number of requests for all nodes on the network;
+ Statistics for number of IP visits: This statistic is obtained by calculating all request IPs within 5 minutes after removing duplicates;

**Note:**

+ For access statistics, there is a statistical point every five minutes, that is, the statistical data from 2016-10-25 15:00:00 to 15:04:59 will be presented at the statistical point of 2016-10-25 15:00:00;
+ The latency of real-time data is about five minutes, that is, the statistical point for 2016-10-25 15:00:00 - 2016-10-25 15:04:59 will appear around 2016-10-25 15:10:00;
+ All domain names connected within 30 days will be covered in the "All Domains" drop-down box, including those that have been deleted;
+ Note about statistics:
  > Domain names that are not connected to DSA for the specified time range will not be covered in statistics even if they're checked;
  > Domain names that have been deleted for the specified time range will not be covered in statistics even if they're checked;
  > If the domain names experienced three stages (not connected, connected and deleted) for the specified time range, the statistical data for unconnected and deleted time period will be filled by 0.

### Latency

Displays the average access latency on the entire network for queried domain names:

![](https://mc.qcloudimg.com/static/img/7fe8194b0841998039b2d466e6846d8b/3.png)
