## 一、 CDN能做的

在大物移云（大数据、物联网、移动互联、云计算）的时代背景下，人们的生活方式发生了很大的变化，视频、游戏类的应用越来越广泛、Web页面交互越来越频繁。

CDN的全称是内容分发网络（Content Delivery Network），打个比方，我们在网上购物时，平台商可以选择直接从厂家（源站）发货，也可以在就近城市的仓库（边缘节点，Edge）发货。通常情况下，后者的发货速度明显要快于前者。CDN最核心的功能就是将用户访问的内容按区域缓存到不同的边缘节点上，让用户就近访问，从而提高用户体验。

就近仓库的方案好是好，但有个问题，如果定的商品过了保质期，这时需要从厂家调最新的过来，这个过程在CDN中叫回源。就近仓库中如果（1）有货，且没过期，叫命中（Hit）；（2）无货，则叫命失（Miss）；（3）有货，但过期了，则叫过期（Stale）。

众所周知，CP的站点有个3秒法则：如果用户打开站点的时间超过3秒种，则40%的人会选择离开这个页面，以后每延时100毫秒，则这个比率会升高一个百分点。CP们当然不希望因为页面打开慢而丢失用户。为了保证商品能近快的投递到用户手上，平台商会采取一些手段：

（1）扩大就近仓库的容积，及时调最新最热的商品到就近仓库，以提高命中率； 

（2）尽量塞满货厢，必要时商品会被挤压、捆绑，以增加单次运输的商品数量；

（3）升级快递工具，以缩短运输时间，例如亚马逊最近在研究无人快递机；

（4）增加派送员的数量、给派送员进行培训，使派件工作尽量并发和高效的进行。

在CDN中，对于这四种方式，我们将他分别对应到：

（1）Cache优化（Cache Optimization， 简称CO）；

（2）前端优化（Front-End Optimization，FEO）；

（3）网络优化（Network Optimization，NO)；

（4）WEB内容优化（Web Content Optimization，WCO）。



## 二、WCO是什么

简单点讲，就是对页面内容进行重新改写和编排（比如动静内容隔离、依赖资源重排序、异步化JavaScript执行），从而降低页面加载和渲染时间。主要影响的三个指标有：

（1）首包时间（Time To FirstByte,TTFB）；

（2）Render时间；

（3）加载完成时间。

现有的解决方案从技术原理上，也是类似的。所有的工作都在缓存服务器（或边缘节点）上完成，无需用户干预，用户切换成本小。Yahoo!的Kit Chan在一次报告中提到，动态页面的命中率会很低（约16%，静态内容动辄95%以上），平均45次/秒的响应能力。

前面的例子当中，假定了用户选定的同名称的商品，其内容短期内是不会发生变化的，比如一本书，一件衣服。比较适合放到离用户就近的临时仓库中，用户购买后，可以直接从就近的仓库发货。然而，动态内容却不一样。假如用户购买的是非常私人化的东西，如在网上定制了一套乒乓球拍，由于每人的喜好不同（球拍分横板和直板，采用不同的材质，胶皮分正反胶，厚度和弹性有不同的区间，品牌各异），则不太适合放到临时仓库中（否则命中率肯定低）。