## 1. The Capabilities of CDN

In the age of BIMC (Big Data, Internet of Things, Mobile Internet and Cloud Computing), people have experienced great changes in their lives. Video and gaming applications are becoming more and more popular, while web page based interactions are getting more frequent by the day.

CDN stands for "Content Delivery Network". Let's draw an analogy: when we buy something on the Internet, the seller can either send the item directly from the vendor (origin server) or from a warehouse in a nearby city (edge server). The latter approach is usually faster than the first one. The core feature of CDN is to cache the contents accessed by users onto different edge servers, which allows users to access the closest node to get better user experience.

Choosing the nearest warehouse may be a good plan, but there is a problem: if the purchased item has expired its shelf life, a new item will be needed from the vendor. In CDN, this process is called "origin-pull". Suppose the nearest warehouse: (1) has the item which has not expired, then this is a "Hit"; (2) does not have the item, this is "Miss"; (3) has the item which has expired, this is "Stale".

As we all know there is a 3-second rule for CPs' sites: 40% of the users will leave the page if it takes more than 3 seconds to load the page, and each extra 100 milliseconds will increase the ratio by 1%. Of course CPs don't want to lose their users because of slow page loading speed. Vendors will use certain approaches to ensure that their goods are delivered to customers from the nearest location, as fast as possible:

(1) Expand the size of nearest storage and allocate the newest merchandise to it, in order to improve hit rate; 

(2) Place as much items in the storage as possible, compress and bundle the items when necessary, to increase the number of goods delivered each time;

(3) Upgrade transportation to reduce transportation time. For example, Amazon is developing unmanned delivery vehicles;

(4) Increase the number of delivery men and provide training to make them work with high concurrency and high efficiency.

These four approaches are addressed as follows in CDN:

(1) Cache Optimization (CO);

(2) Front-End Optimization (FEO);

(3) Network Optimization (NO);

(4) Web Content Optimization (WCO).



## 2. What is WCO?

To put it simple, WCO is to rewrite and rearrange page content (such as separating dynamic and static content, reordering dependent resources and JavaScript execution asynchronization) to reduce the time it takes to load and render the pages. There are three main indicators that affect the time cost:

(1) Time To FirstByte (TTFB);

(2) Render time;

(3) Load completion time.

Existing solutions are all similar regarding the technologies they use. All jobs are completed on the cache server (or edge server) without the need for user intervention, reducing user switch cost. Kit Chan from Yahoo! mentioned in one of the reports that dynamic pages have low hit rate (about 16%, while the hit rate for static content is usually above 95%), with an average responsiveness of 45 times/second.

In the previous example, the content of an item selected by the user (such as a book or a piece of clothing) will not change in the short run. Such items are suitable to be put into a temporary storage near the user, from where the items can be sent to the user upon being purchased. However, dynamic contents are different. Suppose a user purchased something very personal, for example, a set of ping-pong rackets. These items can be diverse due to different personal preferences (straight/pen-hold grip, material, glued sides, thickness and elasticity extent, which can be all different for each brand) and are not suitable to be put into temporary storage (low hit rate).
