> **注意：**
> DSA 已于2017年11月1日发布正式版，自2017年11月8日正式开始计费。

DSA 的计费模式为 **请求次数计费**，为后付费模式，前一天 00:00:00 - 23:59:59 产生的总消耗，会在第二天进行计算扣费。费用由两部分组成：请求产生的费用以及超出免费流量额度的流量费用。

## 请求次数计费
### 计费说明
- 产品费用 = 实际 hit 数产生的费用 + 超出免费额度的流量费。
- **hit 数** 是指特定时间内，用户向 DSA 系统发起的全部 URL 请求次数。此数据可根据日志计算得出，即某个域名在特定时间段的日志总条数。
- hit 数阶梯区间为当月 1 日到结算日所产生的所有请求数之和，累进周期为一个月，每月 1 日重新归零计算。
- hit 数以每万 hit 为单位进行单价计算，不足万按万算。
- 流量以每 0.01GB 为单位进行单价计算，不足 0.01GB 按 0.01GB 算。

### 阶梯价格
DSA 请求次数计费按照月度阶梯累进方式计算，价格阶梯如下：
<table>
	<thead>
		<tr>
			<th scope="col" style="text-align: center;width: 145px;">计费方式</th>
			<th scope="col" style="text-align: center;width: 154px;">月累计区间</th>
			<th scope="col" style="text-align: center;width: 145px;">单价（元/百万 hit）
			</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="1" rowspan="6" style="text-align: center; width: 145px;">当日 hit 数</td>
			<td style="text-align: center; width: 154px;">0-5000 万（含）</td>
			<td style="text-align: center; width: 180px;">20</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 200px;">5000 万-1 亿（含）</td>
			<td style="text-align: center; width: 180px;">18</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 154px;">1 亿-5 亿（含）</td>
			<td style="text-align: center; width: 180px;">17</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 154px;">5 亿-10 亿（含）</td>
			<td style="text-align: center; width: 180px;">16</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 154px;">10 亿-20 亿（含）</td>
			<td style="text-align: center; width: 180px;">15</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 154px;">大于 20 亿</td>
			<td style="text-align: center; width: 180px;">单独议价，以合同价为准</td>
		</tr>
	</tbody>
</table>

### 免费流量额度
使用 DSA，您可以享受一定额度的免费流量，免费流量额度及超出部分单价如下表所示。
> **注意：**
> 若您的 hit 数月累计区间大于 20 亿，可单独议价，以合同价为准。

<table>
	<thead>
		<tr>
			<th scope="col" style="text-align: center;width: 200px;">每百万 hit 免费流量(GB)</th>
			<th scope="col" style="text-align: center;width: 200px;">超出部分单价(元/GB)</th>
			</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td style="text-align: center; width: 145px;">25</td>
			<td style="text-align: center; width: 154px;">1</td>
		</tr>		
	</tbody>
</table>


### 计费示例
请求次数计费计算方式如下例：
+ 若 1 月 1 日产生 hit 数为 5980 万，如下图所示。图中灰色为实际计费阶梯，绿色为 1 月 1 日产生的 hit 数，其中 5000 万 落入 0-5000 万 的计费阶梯，980 万落入 5000 万-1 亿 的计费阶梯，因此 1 月 1 日这一天 hit 数产生的费用为 50 &times; 20 + 9.8 &times; 18 = 1176.4 (元)。若这 60 个百万 hit 中，每个百万 hit 产生的流量均小于等于 25GB，则超出免费流量的费用为 0，总费用为 1176.4 + 0 = 1176.4（元）。
![](https://mc.qcloudimg.com/static/img/02f1474d5c00cf21eda6d97634057d3e/account_1.png)
+ 若 1 月 2 日产生 hit 数为 2520 万，如下图所示。请求次数计费采用月度阶梯累进，因此 1 月 2 日产生的 hit 数均落入 5000 万-1 亿 的计费阶梯，因此 1 月 2 日这一天 hit 数产生的费用为 25.2 &times; 18 = 453.6 (元)。若这 25.2 个百万 hit 产生的流量为692.52GB，共超出 692.52 - 25.2 &times; 25 = 62.52GB，则超出免费流量的费用为 62.52 &times; 1 = 62.52 (元)，总费用为 453.6 + 62.52 = 516.12（元）。
![](https://mc.qcloudimg.com/static/img/9bd000d948aa3d0eda88aae36b4fe16a/account_2.png)
+ 若 1 月 3 日产生 hit 数为 6400 万，如下图所示。此时 3 号的 6400 万中，有 1500 万落入 5000 万-1 亿 的计费阶梯，4900万 落入 1 亿-5 亿 的计费阶梯，因此 1 月 3 日这一天 hit 数产生的费用为 15 &times; 18 + 49 &times; 17 = 1103(元)。若这 64 个百万 hit 产生的流量为1731GB，共超出 1731 - 64 &times; 25 = 131GB，则超出免费流量的费用为 131 &times; 1 = 131(元)，总费用为 1103 + 131 = 1234（元）。
![](https://mc.qcloudimg.com/static/img/966a75858beab42b605c7a708308a075/account_3.png)

以此类推，计算出当月每一天 hit 数产生的费用及超出免费流量的费用，当 2 月 1 日开始计费时，hit 数归零开始重新阶梯累进。

## 大客户计费
若您在腾讯云月消耗金额大于 10 万元，或未来预期在腾讯云的月消耗金额大于 10 万元，您可以通过商务洽谈的方式获得更优惠的价格及请求次数月结、带宽计费等更加灵活的计费方式。
