# 产品概述

## 什么是存储网关
存储网关（Cloud Storage Gateway）是一种混合云存储方案，旨在帮助企业或个人实现本地存储与公有云存储的无缝衔接。您无需关心多协议本地存储设备与云存储的兼容性，只需要在本地安装云存储网关即可实现混合云部署，并拥有媲美本地性能的海量云端存储。

## 网关类型
### 卷网关
在客户本地网络环境中或公有云环境中部署卷网关后，可以将 COS 作为 Internet 小型计算机系统接口 (iSCSI) 设备挂载到本地应用程序服务器上。卷网关不仅保持了对热数据访问的低延时，在为用户节省大量主数据存储费用的同时还在最大程度上减小了对于本地存储扩展的需求。

### 文件网关
在客户本地网络环境中或公有云环境中部署文件网关后，可以将 COS 作为网络文件系统 (NFS/SMB/CIFS) 供多个服务器挂载。文件网关免去了用户自行安装文件系统的步骤，直接为用户提供符合行业标准文件系统协议共享存储。在保持了对热数据访问的低延时的同时，不仅为用户节省大量主数据存储费用，还在最大程度上减小了对于本地存储扩展的需求。

### 磁带网关
在客户本地网络环境中或公有云环境中部署磁带网关后，可以将 CAS(归档存储）作为更经济持久的存储存放备份及归档数据。磁带网关提供了虚拟磁带基础设施（VTL），可根据您的业务需求在本地网络环境中无缝扩展，并可免去对物理磁带库的预配置、扩展和运营维护成本。


## 产品功能
### 协议转换
支持将 RESTful API 的公有云存储作为 iSCSI 存储、NFS/SMB/CIFS 文件存储或虚拟磁带库存储（VTL）直接挂载到本地网络中，即装即用。对于已经部署基础设施的企业来说，接入公有云不再需要改变现有网络结构，也无需开发对齐网络程序的接口，使用云存储网关 CSG 即可接入公有云，享受海量云端存储的低价及弹性。

### 加速访问
存储网关通过缓存优化算法，将经常访问的热数据存储到本地存储，而较冷数据自动传输到云端存储。相比直接连接公有云，您可以更迅速获取常用数据。同时，通过利用云端弹性存储，本地仅需提供快速访问的缓存所需存储空间，更有效地节省在基础设施和运营维护上投入的成本。

### 快照及数据恢复
您可以定期执行快照，以便备份变动中的卷存储内容到云端数据中心。若企业本地存储发生意外或需要恢复历史数据，您可以随时从快照恢复可挂载到网关或云服务器的卷，还原指定时刻数据。

### 网络资源调节
存储网关 CSG 会将本地数据压缩后再上传到云端，优化传输效率；还支持配置上行/下行速率限制，帮助您更合理地利用企业出口带宽资源，节约数据传输成本。 


