# 名词解释
## 网关
用户本地运行的代理程序，根据用户选择的网关类型将 COS 或 CAS 转换为本地 iSCSI / NAS / VTL 存储设备。

## 卷
可挂载到卷网关的存储空间，一个网关最多可挂载 4096 个卷，每个卷大小上限为 1P。

## 文件系统
可挂载到文件网关的存储空间，一个网关最多可挂载 4096 个文件系统，每个文件系统大小上限为 1P。

## 磁带
可挂载到磁带网关的存储空间，一个网关最多可挂载 7200 个磁带，每个磁带大小上限为 4 TB。

## 快照
快照是腾讯云提供的一种数据备份方式，通过对指定卷进行完全可用的拷贝，使该备份独立于卷的生命周期。快照包括卷在拷贝开始的时间点的映像。腾讯云将以冗余的方式把用户创建的快照以分布式方式存储在 COS 上，从而进一步确保了备份的可靠性。快照属于增量备份，这意味着仅保存设备上在最新快照之后有更改的数据，这将尽可能缩短创建快照所需的时间，且可以节省存储成本。快照将作为最终存储量的一部分进行计费。
用户可以基于快照创建新的卷，这样新建的卷在初始状态就具有快照中的数据，是原始卷的精确副本。快照可以跨地域进行卷的恢复，但是由于需要跨地域拷贝数据，因此跨地域从快照恢复卷需要收取跨地域复制的费用。

## 缓存
本地存储（本地磁盘、DAS、SAN）中用来存放频繁访问的热数据的存储空间。

## 上传缓冲区
本地存储（本地磁盘、DAS、SAN）中暂存待上传内容的存储空间。

## 通用型网关
适合于大多数场景下的用户，不需要很高的出口带宽。

## 高 IO 型网关
文件网关除了通用型网关外，还提供高 IO 型网关。高 IO 型网关适合于高出口带宽或者开通专线的场景，可以更快速的上传数据至公有云。对于有大量数据需要迁移到公有云上进行备份或者归档的用户可以选择高 IO 型网关。注意：高 IO 网关主机内存最低配置为64GB。

## 稳定模式/高速模式
通用型网关提供 "稳定" 和 "高速" 两种工作模式。两种模式区别如下，可以根据业务场景来灵活选择。
高速模式：数据先写入内存，然后从内存写入磁盘。写入后即返回写入结果，适合响应速度要求较高的场景。但该模式由于是写入内存即返回成功，在数据写入到磁盘之前，如果遇到异常掉电等情况可能会造成内存中缓存数据丢失。
稳定模式：数据直接写入磁盘。写入结果的返回会有一个落入磁盘的时间差，但是该模式数据写入后稳定性高，异常掉电等情况也可以从磁盘中进行数据恢复。

## 归档
使用磁带网关时，用户可以将不再需要频繁读取数据的磁带从 COS 中转移到 CAS 中存储，称之为磁带归档。数据存储至 CAS 中之后，将以归档磁带收取存储费用，从而进一步降低备份数据的存储成本。

## 取回
如果需要读取已经归档的磁带中的数据，需要将已归档磁带从 CAS 中取回到 COS 中，取回的磁带为只读（不可写）。





