# 系统限制及注意事项
## 存储网关运行系统要求及网络带宽要求
以下是网关运行的系统最低配置和推荐配置。**注意，如果系统低于最低机器配置要求，存储网关可能无法正常运行。**

网关类型 | 最低机器配置 | 推荐机器配置
------- | ------- | ------- 
卷网关 | 4核 CPU/8GB 内存/4Mbps 带宽 | 8核 CPU/16GB 内存/10Mbps 带宽
文件网关 | 4核 CPU/16GB 内存/4Mbps 带宽 | 8核 CPU/32GB 内存/10Mbps 带宽
磁带网关 | 4核 CPU/8GB 内存/4Mbps 带宽 | 8核 CPU/16GB 内存/10Mbps 带宽
高IO版网关（高速上传、适合于有专线连接的情况） | 8核 CPU/64GB 内存/400Mbps 带宽 | -


## 本地磁盘容量推荐设置
为了让您的存储网关处于最佳的性能，建议按照您每日需要上传的数据量设置网关的上传网络带宽及用于 "上传缓冲" 的本地磁盘。同时，需要根据您对热数据读取的需求配置您的 "缓冲" 本地磁盘。**注意，小于 10GB 的磁盘不能用作 "缓存" 和 "上传缓冲"。**

项目 | 推荐容量
------- | -------
本地带宽x上传时间长 | 大于每日上传数据量
上传缓冲磁盘容量 | 大于每天上传数据量
缓存磁盘容量 | 大于频繁读取数据预估量
缓存磁盘：上传缓冲磁盘 | 大于 1.5：1


例如，本地每日产生 500GB 数据需要上传，并且存储网关于每日 20:00 至 06:00 上传。推荐带宽量不低于 120Mbps， 同时本地需要提供大于 500GB 磁盘作为 "上传缓冲"。 若经常读取的数据为最近 7 天的，则本地最少需要分配 7* 500GB= 3.5TB 磁盘作为 "缓存" 。 


## 内存与本地磁盘限制关系
由于内存会限制网关的读写性能，因此，请根据网关所在虚机的内存大小配置 "缓存" 和 "上传缓冲" 磁盘，限制关系如下：

内存 | 缓存磁盘上限（可多块磁盘） | 上传缓冲磁盘上限（可多块磁盘）
------- | ------- | -------
4 GB（最低配置） | 8 TB |  4TB 
8 GB | 16 TB |  8TB 
16 GB | 32 TB |  16TB 
32 GB | 64 TB |  32TB 

**注意：由于 VMware 版本限制，ESXi 5.5 以下版本（不含），单个磁盘容量上限为 2TB；ESXi 5.5 及以上版本单个磁盘容量上限为 8TB。**

## 网络及网关安全组
为了保障数据安全、防止来自公网的 iSCSI / NFS 连接，建议运行存储网关服务的主机配置如下安全组：

端口 | 协议  | 用途 | 开放建议
------- | ------- | ------- | -------
22 端口 | TCP | 使用该端口通过 SSH 访问并管理 CSG 主机 |  可以选择性对内部网络内的主机开放 
80 端口 | TCP | 使用该端口激活网关 |  需要对 登录腾讯云控制台执行激活存储网关操作的主机 开放（如果是使用腾讯云 CVM ，只需要使用外网 IP 激活即可） 
3260 端口 | TCP | 使用该端口连接卷 |  对需要挂载卷的客户端开放
111，662，892，2049，8082，32803 端口 |  TCP | 使用该端口连接文件系统 |  对需要挂载文件系统的客户端开放 
111，662，892，2049，32769 端口  |  UDP | 使用该端口连接文件系统 |  对需要挂载文件系统的客户端开放 

<!--如果是在 CVM 上部署 CSG 时， 可在购买流程中的第四步，配置安全组时，选择【新建安全组】，并在列表中找到 "存储网关安全组" 并选中。
-->

**注意： 使用 CVM 创建网关时，建议优先选择基础网络；如果使用 VPC 网络，网关可能会出现无法上传的情况（网关需要上传数据到COS， 而客户的 VPC 与 COS 之间可能会出现网络不通的情况）。** 

## 注意事项
### 重启及关机注意事项
当处在存储网关使用中时，请务必通过存储网关控制台来停止服务。操作完成后，当控制台上该网关处于停止状态后，再重启运行 CSG 的虚拟机或者物理机。
<p style="color: red;"> **注意：直接重启虚拟机、物理机或者机器掉电，可能会导致本地上传缓冲区数据不一致，从而导致机器重启后存储网关无法正常工作。**<p> 如果一旦发生这种情况，导致网关无法正常工作，请及时提交工单。

### 存储网关主机密码
为了保障您的存储网关程序后续能够正常升级以及与云端通讯，请不要修改存储网关主机的密码。若修改密码后，可能会导致网关无法正常服务。

