# 创建网关

## 安装前注意事项

1.安装网关的机器可以是 **CVM 主机**，也可以是用户本地环境的 **VMware 虚拟主机**，主机配置需要满足如下要求：

网关类型 | 最低机器配置 | 推荐机器配置 | 磁盘配置
------- | ------- | -------  | -------
卷网关 | 4核 CPU/8GB 内存/4Mbps 带宽 | 8核 CPU/16GB 内存/10Mbps 带宽 | 最少2块10G以上磁盘
文件网关 | 4核 CPU/16GB 内存/4Mbps 带宽 | 8核 CPU/32GB 内存/10Mbps 带宽 | 最少2块10G以上磁盘
磁带网关 | 4核 CPU/8GB 内存/4Mbps 带宽 | 8核 CPU/16GB 内存/10Mbps 带宽 | 最少2块10G以上磁盘
高IO版网关（高速上传、适合于有专线连接的情况） | 8核 CPU/64GB 内存/400Mbps 带宽 | -  | 无需配置磁盘

<p style="color: red;"> 注意，如果系统低于最低机器配置要求，存储网关可能无法正常运行。<p>更多机器配置、磁盘及内存限制请参考[系统限制及注意事项](https://cloud.tencent.com/document/product/581/9775).

2.登录存储网关控制台的机器（发起激活）必须与安装存储网关的机器（被激活）可以网络互通（内网/外网均可）；**如果使用的是 CVM 部署 CSG， 请使用 CVM 的外网 IP 进行激活**。

3.为了可以正常激活以及保障存储网关的通讯，请为安装存储网关的机器开启下列要求的端口

端口 | 协议  | 用途 | 开放建议
------- | ------- | ------- | -------
22 端口 | TCP | 使用该端口通过 SSH 访问并管理 CSG 主机 |  可以选择性对内部网络内的主机开放 
80 端口 | TCP | 使用该端口激活网关 |  需要对 登录腾讯云控制台执行激活存储网关操作的主机 开放（如果是使用腾讯云 CVM ，只需要使用外网 IP 激活即可） 
3260 端口 | TCP | 使用该端口连接卷 |  对需要挂载卷的客户端开放
111，662，892，2049，8082，32803 端口 |  TCP | 使用该端口连接文件系统 |  对需要挂载文件系统的客户端开放 
111，662，892，2049，32769 端口  |  UDP | 使用该端口连接文件系统 |  对需要挂载文件系统的客户端开放 

## 开始部署网关 

进入 CSG 控制台之后， 在列表左上角点击【创建网关】按钮，进入创建向导
![](https://mc.qcloudimg.com/static/img/3295699467ef5535cda16c00be82c812/image.png)	


## 选择地区

由于不同地区的网关跟云服务器之间无法之间互通，建议您根据业务主要分布的地区选择网关所在地区。点击【下一步】。
*注意：创建时，设置网关所在地区后将无法修改。*
![](https://mc.qcloudimg.com/static/img/8736746c1bbf9f3e10e3d1ca3247db47/image.png)

## 选择网关类型及网关性能

根据您的业务使用场景，在页面中选择 "卷网关" 或 "NFS 文件网关" 或者 "SMB 文件网关"。

- 卷网关：提供 iSCSI 访问接口，本地缓存频繁访问的热数据，全部数据存储于 COS。
- NFS 文件网关：提供 NFS v3.0 / v4.0 访问协议，本地缓存频繁访问的热数据，全部数据存储于 COS。
- SMB 文件网关：提供 CIFS / SMB v2.0 / v3.0 访问协议，本地缓存频繁访问的热数据，全部数据存储于 COS。
- 磁带网关： 提供 iSCSI 访问接口，模拟虚拟磁带库（VTL），将归档存储作为最终的后端存储，为用户提供更持久、更低廉的存储。


其中，NFS 文件网关和 SMB 文件网关 除了 "通用型" 还提供 "高 IO 型" 性能的版本 （卷网关默认为 "通用型"，暂不提供高 IO 型） 。

- 通用型：适合于使用公网来上传及下载的场景。
- 高 IO 型：适合于高出口带宽或者开通专线的场景。注意：高 IO 网关主机内存最低配置为64GB。

![](https://mc.qcloudimg.com/static/img/072000dcd814d9d681b641915092838f/image.png)

## 选择网关运行的平台

网关支持运行于 VMware 及 CVM 的 Linux 下。如果您需要在本地环境中创建网关，请下载并部署网关 VM，然后激活网关。如果您需要在 CVM 实例上创建网关，请在 CVM 镜像市场中选中包含网关 VM 镜像并启动运行，然后激活网关。

![](https://mc.qcloudimg.com/static/img/54779ae228dbc53e2480262c06fcc1a7/image.png)


### 在 VMware 上部署 CSG 网关
在当前页面下载带有 VM 镜像的压缩包。
![](https://mc.qcloudimg.com/static/img/d02d40b2e99351111f2c4bf4fc3059c9/image.png)

#### 将网关 VM 部署到 VMware 主机
  
- 连接到您的管理程序主机
	通过 Windows 上的 VMware vSphere 客户端，输入该主机的 IP 和密码后登陆。
	![](https://mc.qcloudimg.com/static/img/a19a562c204e25069182276b3adb6931/image.png)
	
- 打开 OVF 模板部署向导
	在 vSphere 客户端的 "文件" 菜单上，点击【部署 OVF 模板】。
	![](https://mc.qcloudimg.com/static/img/b937e1adc501d883799963e7540dc308/image.png)
	
- 选中网关镜像文件
	在 "源" 窗格中，选择刚刚解压后存储网关 CSG.ova 文件所在的路径，然后点击【下一步】。
	![](https://mc.qcloudimg.com/static/img/a0c8389fbf39c3c231beb922ecdb9752/image.png)

- 输入名称
	在 "名称和位置" 窗口中，输入 VM 的名称，然后点击【下一步】。
	![](https://mc.qcloudimg.com/static/img/21058d668eec84f00a56a03c6e9412f5/image.png)

- 设置数据存储 
	当您的主机仅有一个数据存储时，则直接进入下一步。
	当您的主机有多个数据存储时，您需要在列表中选择要从中部署 VM 的数据存储，然后点击【下一步】。
	![](https://mc.qcloudimg.com/static/img/17f78509150cd43543ac8947f24df245/image.png)
	
- 设置磁盘格式 
	在磁盘格式设置窗口中，选择 "厚置备延迟置零" 或者 "厚置备置零"，然后点击【下一步】。
	说明：设置厚置备格式为网关正常运行提供足够的磁盘。
	![](https://mc.qcloudimg.com/static/img/86c76c3f0c01a7ab03ca3c84917ba1fa/image.png)
	
- 完成设置 
	按照上述设置步骤，完成 VM 的配置。
	![](https://mc.qcloudimg.com/static/img/e18dba4da68619e611e8c17c5012e373/image.png)	
	
<p style="color: red;"> 注意： 为了防止来自公网的 iscsi 连接，建议网关所在机器将 22 端口及 80 端口全部开放，3260 端口只对内网 IP 开放。<p> 	
	
	
#### 设置 VM 时间、与主机时间同步	

- 在 vSphere 客户端中选择【编辑设置】，在 "选项" 选项卡中选择 "VMware Tools"。勾选 "同步客户机时间与主机时间" 选项。
	![](https://mc.qcloudimg.com/static/img/253856bf215be43d5c882c02a5e44ac7/image.png)
	![](https://mc.qcloudimg.com/static/img/cc7744baf1e40d70f30affc2a6cc9555/image.png)

- 设置主机时间与 NTP 服务器同步。
  在【时间设置】中选择【属性】。
  ![](https://mc.qcloudimg.com/static/img/34ebfd4dfb03630ac2e4ccccf1356750/image.png)
  
  在弹出的时间设置窗口中设置时间和日期。
  ![](https://mc.qcloudimg.com/static/img/81ee7d4b67d8b9d85d5dacc940e5bc77/image.png)
  
  点击上面窗口的【选项】按钮，在弹窗中点击添加 NTP 服务器 IP 或 完整域名，您可以输入 pool.ntp.org 的域名。
  ![](https://mc.qcloudimg.com/static/img/4021ee87b962df50eaf76846f5da1142/image.png)
  
  在【常规】点击【启动】按钮以启动服务，再点击【确认】。
  ![](https://mc.qcloudimg.com/static/img/9dbdf6b3b03a7a452551138edf8ad19a/image.png)

####  为网关 VM 预配置本地磁盘存储	

如果创建的是 "通用型网关"，则需要从本地磁盘、DAS 或 SAN 存储中为网关 VM 分配磁盘。

上传缓冲区：用于存储待上传数据，根据您的业务情况 "每日写入数据量" 及 "上传网络带宽" 情况评估所需存储大小。例如，每日写入数据 300 GB；每天 00:00 到 6:00 执行全量上传，上传网络带宽为 100 Mbps，其他时间限制为 10 Mbps, 则每天上传数据量约 300 GB。每天未上传数据为 30 GB，一年则为 360 GB。

缓存区：用于缓存频繁读取的热数据，由业务所需频繁读取数据量决定。例如，每天产生 100 GB 数据，一个月之内数据会频繁读写，一个月之前的数据很少读取。则用户需要准备 100*30 GB 约 3TB 的空间作为缓存区。

<p style="color: red;"> 注意，为了保障网关的读写性能，缓存磁盘的容量必须为上传缓冲磁盘容量的 1.5 倍或更高。<p>

请按照下列步骤为网关 VM 预配置本地磁盘。

- 点击【编辑设置】按钮。
	![](https://mc.qcloudimg.com/static/img/c543d185cce324d9bd78ba91fde45c24/image.png)	
	
- 在弹出窗口中，点击【添加】按钮，并选择 "硬盘"。
	![](https://mc.qcloudimg.com/static/img/ddba7eb592d7e6a6e8fd4f6545a0b1ae/image.png)

- 在弹出窗口中，选择 "创建新的虚拟磁盘".
	![](https://mc.qcloudimg.com/static/img/30e9f45df99906c35348b6e6cd6f1104/image.png)
	
- 设置磁盘大小（需要大于10 GB）和磁盘置备为 "厚置备延迟置零" 或者 "厚置备置零"。
	![](https://mc.qcloudimg.com/static/img/4e18ebc34b0b96b351e5afa918405f84/image.png)
	
- 完成磁盘创建。
	![](https://mc.qcloudimg.com/static/img/ce566e05137128e2d60a68d1e450db81/image.png)


#### 配置磁盘 ID

由于网关需要通过磁盘 ID 来挂载，还需要为上面步骤创建的磁盘添加 ID 信息。
	
- 在 "选项" 选项卡中选择 "常规"。点击【同配置参数】按钮。
	![](https://mc.qcloudimg.com/static/img/d47ce35e66d0583d0da3a2c4caae75ea/image.png)
	
- 在弹出的窗口内，点击【添加行】按钮。然后在增加的行内，名称栏填入 "disk.EnableUUID", 值栏填入 "true"。点击【确认】按钮，并退出。
	![](https://mc.qcloudimg.com/static/img/e05d02f29ccef723753bba137496a2c2/image.png)
	
### 在 CVM 上部署 CSG 网关

在创建网关的第三步，选择 "去 CVM 上部署"。从 CSG 控制台页面，跳转到 CVM 购买页。或者，也可以在 CVM 处直接创建新的主机。
![](https://mc.qcloudimg.com/static/img/8aa870b2527a0d51d281f99fd6d8a05f/image.png)

#### 选择 CVM 地域与机型
跳转到 CVM 购买页后，选择计费模式、地域、可用区、系列及机型。
<p style="color: red;"> 注意，部署网关的 CVM 可以与 CSG 分布在不同的地域，但是跨地域访问会产生相应的网络流量。同时，为了保证网关正常运行， 请根据本篇第一章要求选择合适的主机配置。若选择低于该配置的主机，存储网关将无法正常启动。<p> 

![](https://mc.qcloudimg.com/static/img/b744953d0eeb21f02ba8666a0716958c/image.png)
 
#### 选择 CSG 镜像
若是从 CSG 的控制台跳转到 CVM 购买页，则此处仅需确认镜像为 CSG 镜像即可。
![](https://mc.qcloudimg.com/static/img/f37783fc72d541b7e7e7f63d6434cf2f/image.png)

若是直接购买 CVM，则需要选择 "服务市场" 选项，在弹出的窗口中搜索 "存储网关" 并选择所需要的网关类型。
说明：CSG 镜像包含的系统为 CentOS 7.2 版本。
![](https://mc.qcloudimg.com/static/img/d87443a2452c4ee76f05bea4b0d491df/image.png)

#### 选择存储与网络
为存储网关配置存储及网络。在购买 CVM 流程中**不用选择数据盘（数据盘设置为 0GB）**。 
![](https://mc.qcloudimg.com/static/img/4e1de73e91cb3b4eab390e142d09af59/image.png)



#### 设置服务器相关信息并购买机器
为该存储网关设置主机名称及安全组。 端口开放需求请参考[存储网关安全组要求](https://cloud.tencent.com/document/product/581/9775#.E7.BD.91.E7.BB.9C.E5.8F.8A.E7.BD.91.E5.85.B3.E5.AE.89.E5.85.A8.E7.BB.84)，设置完成后确认购买机器。
![](https://mc.qcloudimg.com/static/img/4cf0544a1d410861d032f05ba61b464e/image.png)

<p style="color: red;">说明，处于安全原因考虑，运行存储网关的云主机暂不提供 root 权限（即使此处配置了 root 也无效。请使用下面用户名/密码进行登录到存储网关主机并维护。<p>

```
Username: csguser
Password: csg123
```

#### 为服务器增加磁盘

如果创建的是 "通用型网关"，则购买完云服务器后，需要回到[CVM 控制台](https://console.cloud.tencent.com/cvm)。 在 CVM 控制台新建至少 2 块 10GB 以上的云硬盘并挂载到该主机上（网关正常运行至少需要2块以上磁盘，请根据业务需要选择缓存/上传缓冲磁盘大小，磁盘后期还可根据需要自行添加）。<p style="color: red;"> 注意，为了保障网关的读写性能，缓存磁盘的容量必须为上传缓冲磁盘容量的 1.5 倍或更高。<p>

![](https://mc.qcloudimg.com/static/img/fdec74fc8ef0b0481eb14ef91c44f89a/image.png)
![](https://mc.qcloudimg.com/static/img/92c386037e4aeff1dfcf91a1d6fc6994/image.png)

## 连接到网关

在网关控制台上输入网关所在主机 IP， 点击【连接到网关】，激活过程将网关与您的腾讯云账户关联。您的网关 VM 必须正在运行才能成功激活。
 
- 网关运行于本地主机
	从网关 VM 本地控制台或管理程序客户端获取 IP 地址。
	
- 网关运行在 CVM 实例上
  从腾讯云 CVM 控制台获取 IP 地址。
  
 	![](https://mc.qcloudimg.com/static/img/0900a37d4650a2a6d8c0bd4ead88f356/image.png)
 
 *说明：若激活失败，请检查您输入的 IP 地址是否正确。如果该 IP 地址正确，则请确认已将网络设置为 "允许浏览器访问" 。*
 

## 激活网关

配置网关时区、填写网关名称及时区以激活网关。 

对于通用型的卷网关、NFS 文件网关、CIFS/SMB 文件网关，在此处可以选择数据写入模式（高IO型网关无该设置项），即，

- 高速模式：数据先写入内存，然后从内存写入磁盘。**说明：该模式数据写入速度较快，但如果遇到异常掉电等情况可能会造成内存中缓存数据丢失。**

- 稳定模式：数据直接写入磁盘。**说明：该模式数据写入后稳定性高，异常掉电等情况也可以从磁盘中进行数据恢复。**
![](https://mc.qcloudimg.com/static/img/4012fdd301ee6ed62a30a92ec54f12b7/image.png)

如果创建的是磁带网关，在该步骤可以选择介质转换器及磁带驱动。注，暂时仅支持STK-L700及IBM-UTL3580.	
![](https://mc.qcloudimg.com/static/img/c87edd7610fae8c3cb0d0ce68fcf38a8/image.png)

  
## 配置本地磁盘并完成创建  

### 通用型网关
在获取本地磁盘信息后，请根据业务情况将各个磁盘分别设置为 "上传缓冲区" 或 "缓存"。设置完毕后，点击【完成】并退出网关创建向导。*说明：本地磁盘一旦设置用途后不允许更改（仅可新增或者删除）。若在本地磁盘列表中未找到自己的磁盘，请点击【刷新】按钮。* 

- 上传缓冲区：用于存储待上传数据，根据您的业务情况 "每日写入数据量" 及 "上传网络带宽" 情况评估所需存储大小。例如，每日写入数据 300 GB；每天 00:00 到 6:00 执行全量上传，上传网络带宽为 100 Mbps，其他时间限制为 10 Mbps, 则每天上传数据量约 300 GB。每天未上传数据为 30 GB，一年则为 360 GB。

- 缓存区：用于缓存频繁读取的热数据，由业务所需频繁读取数据量决定。例如，每天产生 100 GB 数据，一个月之内数据会频繁读写，一个月之前的数据很少读取。则用户需要准备 100*30 GB 约 3TB 的空间作为缓存区。

![](https://mc.qcloudimg.com/static/img/74499026483883fb7244b8bf391cefdc/image.png)

<p style="color: red;"> 注意： 网关正常运行，**至少需要配置一个 "上传缓冲区" 和 一个 "缓存"，且缓存磁盘容量必须是上传缓冲区容量的 1.5 倍或更高**。 若您没有在创建时为网关分配本地磁盘，网关将处于 "待配置" 状态，需要等待配置本地磁盘后才能正常运行，请参照 [管理磁盘配置](https://cloud.tencent.com/document/product/581/9485#.E7.AE.A1.E7.90.86.E6.9C.AC.E5.9C.B0.E7.A3.81.E7.9B.985) 进行配置。<p> 
    
### 高 IO 型网关
无需配置本地磁盘，直接点击【完成】按钮即可结束创建向导。    
 



