# 管理网关
登录控制台后，选择 “网关” 列表页签。在该页面上您能看到所有的网关。
![](https://mc.qcloudimg.com/static/img/bb69a5ac5515450b697a5dd2c10a2371/image.png)

## 查看网关信息
点击列表中 “网关ID” 可以进入网关详情页面，查看网关详细信息及修改网关名、所在时区。
![](https://mc.qcloudimg.com/static/img/011d3d7cacc7fb6b1770355d0e31bee9/image.png)
![](https://mc.qcloudimg.com/static/img/c86a717862f4598324826bc18660ff72/image.png)

## 编辑网关信息
在网关详细信息页面，支持修改网关名称和所在时区。
![](https://mc.qcloudimg.com/static/img/79ab65c3f032928167938ed4ae0b1efb/image.png)
![](https://mc.qcloudimg.com/static/img/26d3f0a8fee26a0b27c22181c3efd776/image.png)

## 管理网络带宽
通常企业需要对网络带宽资源进行分配，使用该设置可以限制网关上传和下载速率，帮助用户更好的利用网络带宽。
在网关详细信息页面，找到网络限制选项，点击【编辑】按钮可以进入编辑。上传、下载速度限制为 50Kbps 到 10 Gbps之间。
![](https://mc.qcloudimg.com/static/img/7d1280ca7bf72d0e871c3d8972811c9f/image.png)

## 管理本地磁盘（仅通用型网关）
通用型网关的用户可以使用本地磁盘、DAS 存储或 SAN 存储作为网关的上传缓冲区或热数据缓存区。点击【编辑】按钮后，可以配置用户本地网关 VM 上挂载的磁盘为 “上传缓冲区” 或 “缓存”。
*注意：为了保证网关性能，小于 10GB 的本地磁盘将不会出现在列表中。*
![](https://mc.qcloudimg.com/static/img/7cf2f39c76e02432574c36aa8a644472/image.png)

<p style="color: red;"> 注意： 每个网关 **至少需要配置一个 "上传缓冲区" 和 一个 "缓存"，且缓存磁盘容量必须是上传缓冲区容量的 1.5 倍或更高** 才能正常工作。修改本地磁盘配置后，需要重启网关后新的配置才能生效。<p> 

## VTL 设备 (仅磁带网关)
磁带网关的详情中， 还有 VTL 设备清单。用户可以查看 VTL 的介质转换器及驱动目标名称（可以在 客户端上通过 iSCSI 程序来发现这些目标），其中介质转换器及驱动类型为创建磁带网关时的设置。
![](https://mc.qcloudimg.com/static/img/2b70d455091b26d10128faa2514c54ad/image.png)

在该页面，还可以为每个目标设置 CHAP。点击【设置CHAP】，在弹窗中进行修改。

说明：CHAP 信息主要用于使用 iSCSI 连接到卷时进行身份验证。当 CHAP 状态为关闭时，任何 Initator 都可以连接到该卷。当设置 CHAP 验证后，该卷只能被指定的 Initiator 通过身份验证后访问。存储网关使用了双向 CHAP，即启动程序验证 Target 身份的同时，目标也会验证 Initiator 的身份。

* Initiator 名称：输入允许连接的 Initiator 的名称，1-255位的小写字母或者数字。
* Initiator 密钥：用于验证 iSCSI 启动程序的密码。
* Target 密钥：用于验证 iSCSI 目标程序的密码（双向认证）。
*注意， Target 密钥不能与Initiator 密钥相同。*

![](https://mc.qcloudimg.com/static/img/e8afd6270a7b4b55fe18f9132a374e06/image.png)


## 停止网关
当需要停止网关时，可以从网关列表 “操作” 找到【停止】按钮。或者当需要批量停止时，勾选需要停止的网关，在列表顶部【更多操作】下拉菜单选中【停止网关】按钮。在弹窗中点击【立即停止】按钮停止该网关。
![](https://mc.qcloudimg.com/static/img/59002464250633bb56f87ccbb1ed52d6/image.png)

## 启动网关
当网关处于停止/配置中等状态时，用户可以点击网关列表中的【启动】按钮来启动网关。


## 删除网关
当需要删除网关时，可以从网关列表 “操作” 找到【删除】按钮。或者当需要批量删除时，勾选需要删除的网关，在列表顶部【更多操作】下拉菜单选中【删除网关】按钮。在弹窗中点击【立即删除】按钮删除该网关。
**注意：删除网关的同时，会将挂在该网关的卷一并删除。**
![](https://mc.qcloudimg.com/static/img/ae69ba3401d67291ba3b34040362a6dc/image.png)









