
## 基础架构
![基础架构](//mc.qcloudimg.com/static/img/9bbdb871803adca19579de8fa4fc499f/image.png)


#### 简捷易用

腾讯云 COS 对象存储使用了简捷的兼容性 HTTP RESTful API 作为基本的通信方式，并提供了常用的软件开发工具（SDK）。亦提供了 Web 控制台和命令行工具，轻松实现上传、下载和管理数据。

#### 数据分层

通过 Web 控制台或 API 的方式，可以将数据根据一定规则冷热分层，灵活调整存储和访问。将低频访问的数据转入低频存储引擎，将极少访问的数据转入近线存储引擎，进一步降低服务使用成本。

#### 数据处理
 
COS 中的存储数据支持使用腾讯云 CDN 全球分发，也支持腾讯云万象处理、大数据套件等数据处理能力集成，实现数据的真正价值。通过对象存储传输的数据，具备完善的权限管理和加密能力，保障安全。

## 内容分发
![内容分发](//mc.qcloudimg.com/static/img/0d3db0d35bd83c563191d696e3ababa5/image.png)
#### 动静分离

网站服务通常会在动态网页中，根据一定规则将经常变动和长期不变的资源区分开，静态资源就是指长期不变的非结构化数据资源。对象存储提供了静态资源的存储和分发能力，减轻资源服务器的压力，并利用无限容量、高频读写的特性，为静态资源的存储提供可扩展和可靠的能力。

#### 结合 CDN

对象存储为静态资源提供高可用和高可靠的存储，您可以将网站中的静态内容（包括音视频、图片等文件）全部托管在腾讯云对象存储中，并利用腾讯云 CDN 分发内容。结合腾讯云 CDN 全球加速节点的能力，您可以将热点文件提前下发到数百个边缘节点，减少响应延迟并加速访问，提升用户体验。

## 大数据分析
![大数据分析](//mc.qcloudimg.com/static/img/845693c5a041666d0f7c3e40aea15c7b/image.png)
#### 数据仓库

支持存储 EB 级别非结构化数据，高可用、高可靠、高安全和可扩展性，结合使用腾讯云大数据套件，快速构建和部署分析应用程序。

#### 成本优化

提供比自建分布式存储更低成本的存储单价，标准存储为大数据计算提供低延时、高并发和高吞吐的能力。在高性能计算需求完成后，可以通过配置生命周期规则转换为近线存储，花费仅标准存储一半以下的成本，便可以长期存储数据。

## 网盘应用
![网盘应用](//mc.qcloudimg.com/static/img/99f5c4ea52054a2557ec23d267561bf3/image.png)
#### 冷热分层

网盘数据写多读少，默认使用低频存储可降低整体存储成本。对于被分享次数多的文件、热点数据等，可转换至标准存储提供更高的响应和读写性能；对于非活跃用户数据，可转换至近线存储以进一步降低成本。

#### 数据处理

整合腾讯云的图片、音视频和文档能力，通过简单的接口即可实现缩略图、剪裁、水印，音视频转码、录制，文档预览与格式转换等功能。开发商不再需要针对不同需求额外开发，也无需增加第三方集成应用的学习成本。

## 数据灾备
![数据灾备](//mc.qcloudimg.com/static/img/dea0388daa6339f1ac51e510f6311008/image.png)
#### 数据保护

腾讯云对象存储提供的高可靠性、高可用性的机房设施和系统设计，可以提供数据保护，并具备灾难恢复的能力。数据在近线存储中以极低的单价长期存储，并随时待命。当发生灾难而必须切换或恢复服务时，可即时响应请求取回数据。

#### 跨区域复制

结合跨区域复制功能，可以将每一个对象自动复制到位于另一地域的腾讯云对象存储中。源存储桶承担主要业务逻辑，并提供高扩展的特性；备存储桶使用近线存储，满足灾备的低成本和高时效的特性。

## 应用数据
![应用数据](//mc.qcloudimg.com/static/img/8ee1d65a31b7c842f5d3479883f8a4b4/image.png)
#### 任意扩展

对象存储提供高可用、高可靠的数据存储，并具备高可扩展性。当业务爆发，用户产生内容（UGC）突增时，对象存储根据请求、流量的需求自动扩展，可在托管无限量内容的同时，从容应对业务突发访问的能力。

#### 节省成本

用户产生内容（UGC）通常具有时间维度级的访问特征，腾讯云对象存储可将热、温、冷数据分层，用户可根据业务需求配置生命周期规则，在指定时间将数据进行存储类型的转换。保持热点数据的高效访问，同时降低整体平均存储成本。

#### 原生接入

基于对象存储的手机 APP、PC 网站、HTML5 页面均可无缝集成各语言 SDK 使用。同时可进一步结合腾讯云大数据套件、处理组件等，直接对用户数据进行检索和处理，处理后的数据仍可存于对象存储中，提供进一步分发或存储的能力。
