## 1. 业务功能
腾讯云对象存储（Cloud Object Storage，COS）为用户提供大规模的 Web 接口存储服务。用户可以通过调用 COS 提供的 HTTP REST API 对数据进行上传、下载和管理。对象存储支持自动扩展，并以按量付费和结算的方式提供服务。

## 2. 业务可用性
### 2.1 可用性承诺
腾讯云对象存储提供整体 99.95% 的可用性，针对不同存储引擎分别承诺服务可用性：
- 标准存储：不低于 99.95%
- 低频存储：不低于 99.9%

### 2.2 定义
不可用性时间计算以每月为结算周期，当服务出现连续 5 分钟以上时累计不可用时间，并以占该月总时长的比例作为不可用性的定义。

其中不可用时间不包括腾讯云服务协议 [服务补偿](#服务补偿) 条款中列出的其他情况，以及由于第三方或不可抗力导致的不可用时间。

服务不可用性指由腾讯云 COS 返回的服务器内部错误（含 Internal Error 或 Service Unavailable 等）请求数，占该月总请求数的比例，得出该月的服务不可用率。该数字平均低于 0.05%，即整体服务可用性应达到 99.95% 以上。

## 3. 故障恢复能力
腾讯云对象存储提供 99.999999999% 的数据可靠性。

存储使用分布式存储的方式，提供高度持久的数据基础设置，并提供 7x24 小时的服务运维。腾讯云提供在线工单和电话报障等技术支持，并具备监控、告警、恢复等响应机制，可以及时修复硬件、网络等故障。

## 4. 业务资源调配能力
腾讯云对象存储通过监控用户的存储、请求、带宽等，自动对资源进行动态扩容操作，该过程用户无感知。对象存储每个存储桶空间无上限，请求和带宽可根据访问量的增长自动扩容，且无需用户干预。

## 5. 服务和数据可销毁性
腾讯云对象存储提供数据删除功能，当用户主动删除数据或其他指定需要销毁数据时，对象存储会从所有对应的存储介质中检索并删除指定数据，数据删除后将无法复原。

当硬件设备需进行报废、维修等操作，需离开腾讯云所在机房时，所有存储介质将执行消磁操作，并提供数据清空的操作记录。
## 6. 服务私密性
腾讯云对象存储的访问私密性由腾讯云安全平台统一鉴权服务（CAM）来保障。

用户可将对象存储设置为私有或仅授权有关用户访问（设置公有/匿名访问除外），当读、写、管理请求发起时，相关请求必须经过签名才可授权执行。通过接口层面上对用户执行权限控制，隔离用户操作，并保障用户数据的私密性。
## 7. 服务知情权
- 腾讯云对象存储为地域级服务，用户对于数据和备份数据所在的地域位置具有知情权，用户可自行指定数据需要存放的地域，或配置跨区域复制使数据的多个副本放置在不同的地域。
- 腾讯云对象存储会对数据自动进行冗余操作，无需用户指定和选择可用区。
- 腾讯云遵守数据所在地的相关法律法规，除应当地法律法规、监管审计要求外，用户的所有数据和日志均不会提供给第三方。
- 腾讯云中国境内的数据中心数据不会被存在境外数据中心，也不会被境外业务使用或分析。

## 8. 服务可审查性
腾讯云在依据现有法律法规体系下，出于配合政府监管部门的监管或安全取证调查等原因的需要，在符合流程和手续完备的情况下，可以提供相关信息，包括关键组件的运行日志、运维人员的操作记录、用户操作记录等信息。
## 9. 服务计量准确性
腾讯云对象存储的费用在产品价格页面和文档中均有明确展示，用户可自行选择具体服务类型并按列明的价格项进行使用。具体价格以腾讯云官网公布的价格为准，腾讯云按照用户选购的云服务规格和使用时长进行按量收费。
<span id="服务补偿"></span>
## 10. 服务补偿
### 10.1 适用范围
因腾讯云设备故障、设计缺陷或操作不当导致用户的对象存储无法正常使用，腾讯云将对不可用时间进行赔偿，但不包括主合同中的不可抗力和其他原因所导致的不可用时长。
### 10.2 不包含情况
- 腾讯云至少提前 7 天通知用户后进行的系统维护或不可用预警。
- 不属于腾讯云设施的网络、设备、配置引起的故障。
- 用户的应用接口或数据受到攻击或其他不当行为引起的故障。
- 由用户的疏忽授权、错误操作、用户自有设备或第三方软件、设备引起的故障。
- 不可抗力和意外事件引起的故障。
- 腾讯云根据协议、条款，或法律、法规暂停或终止服务的情况。
- 其他非腾讯云原因造成的故障。

### 10.3 补偿标准
腾讯云对象存储的补偿原则为百倍赔偿，补偿方式为腾讯云现金券。
补偿计算方法为：`发生故障的资源在故障前 7 天平均每分钟的费用 * 不可用时间 * 100 倍`。
其中，不可用时间小于 1 分钟的，按照 1 分钟计算，整体可用性不低于 99.95% 时，不进行赔偿。
