本文档介绍了使用腾讯云 COS 场景的基本架构及业务实现方法，并且为了保证服务质量和数据的安全，提供了用户服务器架构设计和编码方面的建议，希望开发者能尽可能的参考如下架构进行开发。

![](//mccdn.qcloud.com/static/img/7acb464a731cd8a47480566ab443e2d9/image.png)

用户使用腾讯云 COS 构建业务场景时，基本的组成部分有：
- 腾讯云对象存储 COS。提供高成功率、高可靠、高速的对象存储服务；
- 开发者业务服务器。
  开发者业务服务器一般提供至少如下3个功能：
- 生成签名。**签名的生成不能在终端APP上进行，否则会产生极大的安全隐患**；
- 管理数据库管理用户信息、文件资源信息；
- 响应终端的业务请求；开发者服务器也可以直接与腾讯云 COS 进行对象管理操作。
- 终端。通常既上传对象也下载对象。在上传对象前，通常先从开发者服务器获取签名，然后带着签名请求腾讯云 COS 进行上传行为；下载对象时，通常先从开发者服务器获取对象信息，比如对象的 URL。

终端在上传对象前先请求开发者服务器获取上传签名，然后再请求腾讯云 COS 进行上传，COS 会对上传签名进行验证，无效的签名会返回签名认证错误等信息。

- 终端访问开发者服务器，获取签名（注意：签名的创建不能在终端APP上进行，否则可能会导致用户信息泄露等安全隐患）；
- 终端上传对象，COS 验证权限及存储对象，生成文件ID，URL等信息返回给终端；
- 终端将对象信息和用户信息等反馈给开发者业务服务器。

![](//mccdn.qcloud.com/static/img/7acb464a731cd8a47480566ab443e2d9/image.png)


