## 创建存储桶

存储桶的相关说明，请参考 [基本概念](https://cloud.tencent.com/document/product/436/6225) 。您可以通过对象存储控制台概览页或 Bucket 列表创建存储桶：
### 通过概览页
 1. 登录对象存储控制台后，当您首次创建存储桶时，请单击概览页上的【创建 Bucket】，弹出创建 Bucket 对话框。
![概览页](//mc.qcloudimg.com/static/img/94a92b09d6dd58e9de2e9a3c8a3c3586/image.png)
 2. 请填写存储桶名称（如 example），选定存储桶所属地域（请参阅 [所属地域](#所属地域)），点击【确定】即可快速创建一个存储桶。
![创建存储桶](//mc.qcloudimg.com/static/img/063867e6fe748c848b296fe9a32e446b/image.png)

### 通过 Bucket 列表 
 1. 登录对象存储控制台后，请点击左侧导航【 Bucket 列表】，进入 Bucket 列表。
![bucket列表](//mc.qcloudimg.com/static/img/cbf6035188d87166c3fc7dd4c0f40b2d/image.png)
 2. 单击【+ 创建 Bucket】，弹出创建 Bucket 对话框。
 3. 请填写存储桶名称（如 example），选定存储桶所属地域（请参阅 [所属地域](#所属地域)），点击【确定】即可快速创建一个存储桶。
![创建存储桶](//mc.qcloudimg.com/static/img/063867e6fe748c848b296fe9a32e446b/image.png)

### 相关信息说明
#### 所属项目
存储桶创建于项目下，一个存储桶只能属于一个项目，选择后不可更改。
#### 名称
- 存储桶名称仅支持小写字母和数字的组合，不支持特殊符号及下划线，且不能超过 40 字符。
- 同一 APPID 所有项目下的存储桶名称唯一且不支持重命名。

<span id="所属地域"></span>
#### 所属地域
创建存储桶时可选择存储桶所属地域，一旦设置不可更改。为提高访问速度，建议选择离您的用户近的可用地域。更多信息请参阅 [可用地域](https://cloud.tencent.com/document/product/436/6224)。
#### 访问权限
存储桶默认提供两种访问权限：公有读私有写和私有读写。存储桶权限可通过对象存储控制台存储桶的基本配置修改，具体信息请参阅 [访问权限](https://cloud.tencent.com/document/product/436/6247)。
- 公有读私有写：任何人（包括匿名访问者）都对该存储桶中的文件有读权限，但只有存储桶创建者及有相应权限的账号才对该存储桶中的对象有写权限。 
- 私有读写：只有该存储桶的创建者及有相应权限的账号才对该存储桶中的文件有读写权限，其他任何人对该存储桶中的文件都没有读写权限。

#### CDN 加速
CDN 加速默认关闭，您可以根据自身业务需求选择开启或关闭。开启 CDN 加速后，用户可通过 CDN 中转文件实现加速访问。
#### 注意事项
- 同一 APPID 下，存储桶数量上限是 200 个（不区分地域）。


## 删除存储桶

当您不再需要使用某个存储桶时，可以对其进行删除操作。
1. 在对象存储控制台找到您想要删除的存储桶（如 example），单击【删除】，弹出删除 Bucket 对话框。
![存储桶列表](//mc.qcloudimg.com/static/img/d1adc73b2bd64240ebaec2eca9ce20f1/image.png)
2. 单击【确定】即可删除存储桶。
![删除 Bucket](//mc.qcloudimg.com/static/img/36a867a55c69f525cd955adb8d1ce9f4/image.png)

> **说明：删除存储桶时，需保证其中没有任何对象、目录，否则将无法删除。**


