## 数据存储的持久性

对象存储服务的持久性是指在合同期内存储的对象数据保存不丢的概率，即每月完好对象数量/(每月完好对象数量 + 每月丢失对象数量)。以自然月为统计周期，不满一个月按一个月计。

对象存储服务的持久性为 99.999999%。即用户每月每 100000000 个存储的对象数据，每月只有1个对象有数据丢失的可能性。

## 数据可销毁性

数据可销毁性是指用户要求删除对象数据时，对象数据将从内存以及磁盘中删除，并且原磁盘使用空间将会被新的对象数据覆盖，从而实现彻底删除，无法复原。

下线的存储服务器报废时，磁盘通过消磁销毁里面的数据。

## 数据可迁移性

对象存储服务存储的对象，可以通过 http 的方式直接下载。用户可以用标准的 http 的方式，很方便地把存储在腾讯云对象存储服务上的对象，转存到本地服务器或者其他云上。通过腾讯云提供的工具，还可以进行批量导入、导出对象。数据迁移可针对所有的文件类型。

## 数据私密性

对象存储数据的私密性，通过腾讯云安全平台提供的统一鉴权服务来保证。

对象存储服务，通过 bucket 的方式来组织对象数据。Bucket 中的对象的创建、操作请求，都需要用 bucket 所属用户的密钥计算得到一个签名，通过签名来校验请求的合法性。从而保证同一资源池中的不同用户的对象数据互不可见。

Bucket 中的对象数据的访问读取权限，可以由用户自由设置成公有读、私有读来控制。公有 bucket 的对象的访问，不需要签名。私有 bucket 的对象的访问，需要签名校验。

## 数据知情权

- 目前用户云对象存储部署在三大数据中心，分别是：上海数据中心、深圳数据中心、天津数据中心（可以通过提交工单咨询）。
- 数据备份数量以及备份数据存储的数据中心位置（可以通过提交工单咨询）。
- 帮助用户选择网络条件合适的数据中心存储数据，冷备则是根据资源利用情况动态分配，用户默认无需选择数据中心和冷备中心位置，如果需要选择，可以通过提交工单帮助处理。
- 数据中心要遵守的当地的法律和中华人民共和国相关法律（可以通过提交工单咨询）。
- 用户所有存储的数据不会提供给任意第三方，除政府监管部门监管审计需要。
- 对象存储服务不会分析用户存储的数据。

## 数据可审查性

腾讯云在依据现有法律法规体系下，出于配合政府监管部门的监管或安全取证调查等原因的需要，在符合流程和手续完备的情况下，可以提供云数据库相关信息，包括关键组件的运行日志、运维人员的操作记录、用户操作记录等信息。

## 业务功能

腾讯云提供的对象存储服务功能，具体包括 bucket 的创建、删除、访问权限控制、自定义访问域名、查看监控信息、运营数据，目录的创建、删除、属性更新、属性查看、文件列表、前缀搜索，对象的普通上传、分片上传、删除、属性更新、属性查看、下载，等功能。所有功能均已提供详细的功能介绍和使用说明文档，于此同时，腾讯云还提供相应的API和SDK，供用户使用。

## 业务可用性

对象存储服务承诺 99.95% 的业务可用性，即用户每月业务可用时间应为 30 天 x 24 小时 x 60 分钟 x 99.95% = 43178.4 分钟，即存在 43200 - 43178.4 = 21.6 分钟的不可用时间，其中业务不可用的统计单元为用户单业务实例，对于对象存储服务而言，用户单业务实例即为 bucket 。

业务故障的恢复正常时间 5 分钟及以下，不计入业务不可用性计算中，不可用时间指业务发生故障开始到恢复正常使用的时间，包括维护时间。

## 业务资源调配能力

对象存储服务，通过监控用户的存储、请求总量，自动地进行动态的扩容、缩容操作，用户完全没有感知。资源扩展针对存储容量，单次扩展资源在 1 小时内可完成，每次扩容最小集合是 400T ，最大不限。

## 故障恢复能力

腾讯云对象存储服务采用双副本数据冗余，即同一数据存储三份。至多两份数据损坏，都能保证客户服务的连续性。同时，腾讯云提供专业团队 7 x 24 小时帮助维护，能够及时修复出现故障的存储服务器。

