## 简介
COS 提供基于对象维度的访问权限设置，且该配置优先级高于存储桶的访问权限。
对象的访问权限只在用户通过默认域名访问时有效。通过 CDN 加速域名和自定义域名访问时，以存储桶访问权限为准。

通过设置对象的访问权限，可以实现例如：在私有读写的存储桶中设置个别允许公有访问的对象，或在公有读写存储桶中设置个别需要鉴权才可以访问的对象。对象权限有如下类型：
- 继承存储桶权限：对象权限与存储桶的访问权限一致。当访问对象时，COS 读取到对象权限为继承存储桶权限，会匹配存储桶的权限，来响应访问。任何新对象被创建时，默认继承存储桶权限。
- 公有读私有写：当访问对象时，COS 读取到对象的权限为公有读，此时无论存储桶为何种权限，对象都可以被直接下载。
- 私有读写：当访问对象时，COS 读取到对象的权限为私有读写，此时无论存储桶为何种权限，对象都需要通过 [签名鉴权](https://cloud.tencent.com/document/product/436/6054) 才可访问。

## 设置步骤
1. 登录 [对象存储控制台](https://console.cloud.tencent.com/cos4/index)，选择左侧菜单栏【 Bucket 列表】，进入 Bucket 列表页面。单击需要修改对象权限的对应存储桶（如 example），进入存储桶。
![访问权限1](//mc.qcloudimg.com/static/img/b51d5a77d53c3416324ea3eb283c788c/image.png)
2. 找到需要设置权限的对象（如 example.exe）,单击对象右侧的【更多】>【设置权限】，弹出设置权限对话框。
![设置对象权限1](//mc.qcloudimg.com/static/img/a66f40c902fe12aca6d774b1d19aa531/image.png)
3. 修改访问权限，单击【确定】保存即可。
![设置对象权限2](//mc.qcloudimg.com/static/img/bac61edceec5760b2d145cab5940f4f2/image.png)
