## 升级周知

由于对象存储 COS 架构优化升级到 V4 版本，2016 年 10 月以后新注册的用户默认使用了 V4 版本的控制台，API 和 SDK。对于 2016 年 10 月之前使用 COS 的用户，我们会为您继续维护 V3 版本的 API 和 SDK，**您可以继续使用原先功能**，但是 V3 版本的 API 和 SDK 将不发展新的功能特性。

## API文档

### 如何区分API的版本

V3版本API的上传域名为

```
web.file.myqcloud.com
```

V4版本JOSN API的上传域名为

```
<Region>.file.myqcloud.com
```

V4版本XML API的上传域名为（**重点推荐使用**）

```
<BucketName>-<AppID>.<Region>.myqcloud.com
```

### 历史版本V3 API文档入口

- [签名算法](/document/product/430/5993)
- [调用方式](/document/product/430/5994)

| 操作类型 |    功能     | 请求方式 |                详细说明                 |
| :--: | :-------: | :--: | :---------------------------------: |
| 目录操作 |   创建目录    | POST |   [创建目录API说明](/doc/api/264/6000)    |
| 目录操作 |   列出目录    | GET  |   [列出目录API说明](/doc/api/264/6001)    |
| 目录操作 |  查询目录属性   | GET  |  [查询目录属性API说明](/doc/api/264/6002)   |
| 目录操作 |   删除目录    | POST |   [删除目录API说明](/doc/api/264/6003)    |
| 文件操作 |  简单上传文件   | POST |  [简单上传文件API说明](/doc/api/264/6005)   |
| 文件操作 |  分片上传文件   | POST |  [分片上传文件API说明](/doc/api/264/6006)   |
| 文件操作 |  查询文件属性   | GET  |  [查询文件属性API说明](/doc/api/264/6008)   |
| 文件操作 |  更新文件属性   | POST |  [更新文件属性API说明](/doc/api/264/6011)   |
| 文件操作 | 移动（重命名）文件 | POST | [移动（重命名）文件API说明](/doc/api/264/6009) |
| 文件操作 |   删除文件    | POST |   [删除文件API说明](/doc/api/264/6010)    |

## SDK文档

### 历史版本V3 SDK文档入口

| SDK            | 接入文档                                     |
| :------------- | :--------------------------------------- |
| PHP SDK        | [PHP SDK 接入说明](/doc/product/430/5942)    |
| Python SDK     | [Python SDK 接入说明](/doc/product/430/5943) |
| Node.js SDK    | [Node.js SDK 接入说明](/doc/product/430/5947) |
| Java SDK       | [Java SDK 接入说明](/doc/product/430/5944)   |
| JavaScript SDK | [JavaScript SDK 接入说明](/doc/product/430/5946) |
| C++ SDK        | [C++ SDK 接入说明](/doc/product/430/5945)    |
| C sharp SDK    | [C sharp SDK 接入说明](/doc/product/430/5966) |
| Android SDK    | [Android SDK 接入说明](/doc/product/430/5950) |
| iOS SDK        | [iOS SDK 接入说明](/doc/product/430/5949)    |

## 开发者工具

### 如何区分工具的版本

V4版本的工具在功能说明之中，会重点标注『**只适用于COS 4.0**』

V3版本无此说明

例如：

![](https://mc.qcloudimg.com/static/img/b9ae616606fddd64a4ddd7277915c98c/image.png)

### 历史版本V3 工具文档入口

- [批量删除工具](/document/product/430/5918)
- [本地迁移工具](/document/product/430/5919)
- [七牛迁移工具](/document/product/430/6102)
- [OSS 迁移工具](/document/product/430/6103)
- [COS-Fuse工具](/document/product/430/6885)
