下表描述了可以由各种类型的COS REST请求使用的头文件。

| 标题内容                 | 描述                                       |
| -------------------- | ---------------------------------------- |
| Authorization        | 请求认证所需的信息。有关更多信息，请转到*腾讯云 COS 开发人员指南*中的[认证头部]()。 对于匿名请求，此标头部不是必需的。 |
| Content-Length       | 根据 RFC 2616 的消息长度（不带标题）。此标头对于加载 XML 的 PUT 和操作（如日志记录和ACL）是必需的。 |
| Content-Type         | 在请求内容的情况下，资源的内容类型。例子：纯文本                 |
| Content-MD5          | 消息为 base64 编码的 128 位 MD5 摘要（不带报头）根据 RFC 1864 该报头部可以用作消息完整性检查，以验证数据是否是最初发送的数据。虽然它是可选的，但我们建议使用 Content-MD5 机制作为端对端完整性检查。有关 REST 请求身份验证的更多信息，请[参阅]()*腾讯云 COS 开发人员指南*中的[REST 身份验证]()。 |
| Date                 | 根据请求者的当前日期和时间。例如：web 01 GMT 2006 12:00:00 损坏当您指定授权的标题，你必须指定 x-cos-date 或日期标题。 |
| Expect               | 当您的应用程序使用 100 个以上时，它不会发送请求正文，直到它收到确认。如果消息基于头部被拒绝，则不发送消息的正文。只有当您发送正文时，才能使用此标题。有效值：100 以上 |
| Host                 | 对于路径类型的请求，其值为  cloud.tencent.com。对于虚拟机类型的请求， 其值为 bucketname.cloud.tencent.com。 如果您想了解更多虚拟主机信息， [请查阅 COS 开发者指南]()。此标头部需要HTTP 1.1（大多数工具包自动添加此头部）；可选的 HTTP/1.0 请求。 |
| x-amz-content-sha256 | 使用签名版本4来验证请求时，此标头部提供请求有效载荷的哈希值。有关更多信息，请参见授权标头部的签名计算：在单个块中传输有效载荷。当上传对象块，将值设置为 streaming-aws4-hmac-sha256-payload 表明签名只包括头部和无载荷。更多信息，见签名计算认证头部：多块传输的有效载荷（分块上传）。 |
| x-cos-date           | 根据请求者的当前日期和时间。例如：web 01 GMT 2006 12:00:00 损坏当您指定授权的标题，你必须指定 x-cos-date 或日期标题。如果同时指定，则 x-cos-date 头部中指定的值优先。 |
| x-cos-security-token | 此标题可用于以下情况：使用腾讯云 DevPay 的每个请求都需要两个 x-cos-security-token 标头部：一个用于产品令牌，一个用于用户令牌。当 COS 收到经过身份验证的请求时，将计算的签名与提供的签名进行比较。用于计算签名的格式不正确的多值标题可能会导致身份验证问题。使用从 IAM 获得的临时安全凭证提出请求时，必须使用此标题提供安全令牌。要了解有关临时安全凭证的更多信息，请转到发出请求。对于使用腾讯云 DevPay 的请求和使用临时安全凭证签名的请求，此标头是必需的。 |