## 计费方式

COS 按照实际使用付费，采用后付费方式，次月 3-5 日会出上个月的账单，进行结算。

COS 月结账单由三部分组成：

**存储空间费用** + **流量费用** + **请求费用**

*注：为方便您更好的估算费用，进行预算规划，您可以在产品介绍页中使用COS费用计算器进行费用预估。*

## 存储空间费用

**每月存储空间用量** ＝ **当月每天存储量累计总和** ÷  **当月天数**，即当月平均每日存储空间。

存储费用按照阶梯累进计费方式，超出阶梯部分按照下一阶梯单价计费，存储使用空间越大，单价越低。

| 使用量          | 单价         | 备注   |
| ------------ | ---------- | ---- |
| 0 GB - 50 GB | 0 元/GB     | 免费额度 |
| 50 GB 以上     | 0.148 元/GB |      |

*注：2016年11月，COS的存储价格进行调整。当年10月及之前的账单按历史阶梯价格计算，当年11月及之后的账单按照新的价格计价*

## 流量费用

流量费用按照阶梯累进计费方式，超出阶梯部分按照下一阶梯单价计费，流量越大，单价越低。

| 流量类型    | 定义                            | 使用量            | 单价        |
| ------- | ----------------------------- | -------------- | --------- |
| 入流量     | 数据传入至COS                      | 所有             | 免费        |
|         |                               |                |           |
| 内网流量    | 腾讯云其他产品（CDN除外）与COS之间产生的流量     | 所有             | 免费        |
|         |                               |                |           |
| CDN回源流量 | 通过腾讯云 CDN 访问 COS ，CDN 回源产生的流量 | 0 GB - 10 GB   | 0 元/GB    |
|         |                               | 10 GB 以上       | 0.15 元/GB |
|         |                               |                |           |
| 外网出流量   | 通过外网直接访问COS，产生的 IDC 流量        | 0 GB - 10 GB   | 0 元/GB    |
|         |                               | 10 GB - 500 GB | 0.64 元/GB |
|         |                               | 500 GB 以上      | 0.6 元/GB  |

*注：通过CDN下发到用户终端产生的流量不在COS计费范畴，按CDN计费标准收取，[详见CDN计费](http://cloud.tencent.com/doc/product/228/%E8%AE%A1%E8%B4%B9%E8%AF%B4%E6%98%8E)。*

**COS 两种数据传输方式价格比较**

客户可选择让用户通过公网 BGP 带宽直接访问存储在 COS 源站上的文件，也可以使用腾讯云 CDN 对COS源站上的文件加速，然后让终端通过CDN分布在全国的加速节点访问文件。

这两种方式的对比如下，客户可根据自身业务情况自由选择：



| 传出方式        | 优点                                       | 缺点                                       |
| ----------- | ---------------------------------------- | ---------------------------------------- |
| 通过外网直接访问COS | 提供这种方式主要是给客户一种选择，如果客户的业务架构上不想使用腾讯云 CDN 做加速，则可选择这种方式将数据从 COS 直接传出到外网。 | 费用贵（0.64元/GB），速度没有通过CDN加速快（需从用户所在地域通过公网访问COS源站所在地域）。 |
| 通过CDN访问COS  | 费用便宜。CDN加速流量费用 + CDN回源流量费用，最高 0.34元/GB + 0.15元/GB = 0.49元/G。另外根据 CDN 缓存命中率，当通过 CDN 访问缓存命中时将不产生 0.15元/GB 的 CDN 回源流量。 |                                          |
|             | 访问速度快，用户可就近访问离他最近的CDN节点上缓存的文件。           | 无                                        |

## 请求费用

所有对COS的操作（通过 Web 控制台或 Restful API），都是对 COS API 的调用。COS API 的调用按请求次数进行计费，计费周期内请求次数不足1万次不计费。

| 请求类别                 | 使用量        | 单价        |
| -------------------- | ---------- | --------- |
| 读请求（GET）             | 0 - 100 万次 | 0 元/万次    |
|                      | 100 万次以上   | 0.01 元/万次 |
| 写请求（PUT/POST/DELETE） | 0 - 10 万次  | 0 元/万次    |
|                      | 10 万次以上    | 0.01 元/万次 |
| 所有其他请求               |            | 0.01 元/万次 |
