## COS 介绍

对象存储服务（Cloud Object Storage，简称：COS）是腾讯云对外提供的一种海量文件存储的分布式存储服务，可用于随时在 Web 上的任何位置存储和检索数据。腾讯云 COS 让所有开发人员都能访问同一个具备高扩展性、成本低、可靠和安全的数据存储。

对象存储服务 COS 解决了传统文件系统访问目录资源消耗过大问题，实现了海量数据存储能力，通过 API、SDK 等多样化方式简单、快速地接入。通过 COS，您可以上传任何类型的文件，并下载和管理它们。同时，腾讯云也提供了直观的web管理界面，您还可以通过遍布全国范围的 CDN 节点进行加速文件下载。

此产品文档将介绍腾讯云 COS 的一些核心概念（如存储桶、对象等）以及如何使用这些资源。您可以根据本文档了解如何创建存储桶、如何存储和检索对象、以及如何管理资源的访问权限等。

## 与传统文件系统对比

对象服务 COS 是一个分布式的对象存储服务，而文件系统是一个典型的树状索引结构。

文件系统支持对目录文件的所有操作，但也因为这些对树状索引的操作而导致文件系统访问的目录越深、消耗的资源也越大的情况。因此，文件系统会受限于单个设备的性能，适合少量数据操作；COS 在文件数据的基础上保存了文件的 metadata 信息，摒弃了文件系统中的树状索引，从而支持海量用户的并发访问，适合海量数据存储。


COS 的服务架构图如下所示：

![](https://mccdn.qcloud.com/static/img/054a0694e4d52fb1a470debcf57452eb/image.png)

用户可以参阅以下内容获得关于腾讯云 COS 的更多信息：
[COS 基本术语及概念](/doc/product/430/5863)
[如何使用Bucket](/doc/product/430/5878)
[如何使用对象](/doc/product/430/5876)

## 高频存储

高频存储为用户提供了高可靠性，高可用性和高性能的对象存储服务。高频存储拥有低访问时延和较高的吞吐量，因而适用于有大量热点文件，需要频繁访问数据的业务场景，例如热点视频，移动应用，游戏程序，动态网站等。

## 低频存储

低频存储为用户提供了高可靠性，较低存储成本和较低访问时延的对象存储服务。低频存储适用于不频繁访问但是必要时需要快速读取的业务场景，例如网盘数据，低频档案，较冷的媒体资源，灾难备份数据等。低频存储在降低存储价格的基础上同时保持首字节访问时间在毫秒级，保证了用户在取回数据的场景下，无需等待，直接读取。
