本部分介绍是为了您更有效的使用 COS ，而必须要了解的主要概念和术语。这些概念和术语是按照您最有可能遇到它们的顺序而显示的。

## Appid

开发者访问 COS 服务时每个项目拥有的唯一资源标识。在申请到 COS 后由系统自动生成，默认 Appid 属于默认项目，可以通过点击控制台 Bucket 列表页面顶部【获取 API 密钥】按钮获取。

## SecretID/SecretKey

SecretID/SecretKey是开发者拥有的项目签名密钥，在开通 COS 后由系统自动生成，默认 SecretID/SecretKey 属于默认项目。用户在创建Bucket之后，可以通过点击控制台- Bucket 列表页面顶部【获取 API 密钥】按钮获取。

## Bucket（存储桶）

存储桶是 COS 中用于存储数据的容器，是用户存储在 Appid 下的第一级目录，每个对象都存储在一个存储桶中。每个 Bucket 都拥有自己的访问域名（外网、内网、加速访问域名）、访问控制权限（公有、私有）、回源设置、防盗链设置等属性配置项目。

用户可以创建、配置存储桶，并向其添加对象。更多详细信息，请参阅[存储桶](/doc/product/430/5887)。

## Object（对象/文件）

对象是 COS 中存储的具体文件，是存储的基本实体。对象由 data 和 metadata 两部分组成：data部分即为常规意义上的“文件”，指文件的具体内容。metadata 是一组描述对象的 key - value 对，包括一些文件信息和 HTTP 头部信息（如 Content-Type等）。用户可以自行指定某些 metadata 信息，更多信息可以参考[ HTTP头 设置](/doc/product/430/5911)。

用户可以在 Bucket 中通过控制台、API、SDK 上传任意对象，这些对象也可以设置访问权限。更多详细信息，请参阅[对象](/doc/product/430/5912)。

## CDN 加速访问地址

在用户上传对象并且开启CDN加速后，腾讯云会自动为对象创建形如下的访问地址：

`http://workfile-10001.file.myqcloud.com/a.doc`

（其中 appid 为 10001，Bucket 名称为 workfile，在 Bucket 根目录下上传了 a.doc 文件。）

将 CDN 加速标识、Appid、存储桶名、对象名组合在一起，可通过CDN加速访问地址唯一地寻址 COS 中的对象。使用该下载地址将通过 500+ 节点的 CDN 中转文件实现加速访问，将产生单价较低的**CDN 回源流量**和**CDN 带宽**。更多内容请参阅 [CDN加速域名](/doc/product/430/5889)。

## 外网访问地址

在用户上传对象后，腾讯云会自动为对象创建形如下的访问地址：

`http://workfile-10001.cos.myqcloud.com/a.doc`

（其中 Appid 为 10001，Bucket 名称为 workfile，所属地标识为 cos，在 Bucket 根目录下上传了 a.doc 这个文件。）

将 COS 所属地标识、Appid、存储桶名、对象名组合在一起，可通过直接访问地址唯一地寻址 COS 中的对象。使用该地址将直接通过 COS 所在地域的腾讯云机房获取文件，将产生单价较高的**外网访问流量**，没有加速功能。更多内容请参阅[ 外网访问地址](/doc/product/430/5889)。