## 功能说明

该工具可批量删除 COS 中指定路径下的所有文件和目录。

## 使用环境

### 系统环境

Linux、OS X 或 Windows 系统

### 软件依赖

Python 2.7.x

## 使用方法

### 获取工具包

下载链接：[工具包 cos_rm_recursive.tar.gz](https://mccdn.qcloud.com/static/archive/d0c2bedbc157669e16e25ecde2b35dff/cos_rm_recursive.tar.gz) 

在下载路径下运行以下命令进行解压：

```
sudo tar -xzvf cos_rm_recursive.tar.gz
```

### 配置说明

配置文件位于工具包目录 conf/config.json

```son
{
    "appid":*********,
    "secret_id":"*********************************",
    "secret_key":"********************************",
    "log_level":1,                  
    "log_file_name":"del_file.log",
    "dir_thread_num":2,            
    "file_thread_num":5,
    "delete_folder_fail_exist":1
}
```

其中：
<<<<<<< HEAD
- **appid、secret_id、secret_key**： 修改为自身项目对应信息，可从控制台获取
=======
- **appid、secret_id、secret_key**： 修改为自身项目对应信息，可从控制台获取。
>>>>>>> origin/master
- **log_level** ：记录log级别，0：debug、1：info、2：warning、3：error
- **log_file_name**：记录log的文件名
- **dir_thread_num**：递归搜索文件夹线程数
- **file_thread_num**：删除文件线程数
- **delete_folder_fail_exist**： 删除文件夹失败是否直接退出，1：退出、0：继续执行其他文件删除操作


修改配置文件 `conf/bucketlist.txt`

此配置文件标识需要删除的bucket名称及文件夹，有类似如下结构：

```
testbucket, /folder1/
testbucket, /folder2/
```

可以指定根目录，表示删除此bucket下的所有文件及文件夹；删除指定目录时，目录本身也会被删除。

### 使用软件

执行删除命令：

``` 
python rm_recursive.py
```

### 结果返回

执行完成后，屏幕上以及日志文件中会显示如下关键信息：

``` 
$./rm_recursive.py   
delete task started  ...........
delete task ended

rm task finished
timecost:5.16713190079 (s)
delfilenum=0,deldirnum=0,delfilefailnum=0,deldirfailnum=0
```

## 常见问题

- 由于COS系统文件夹删除机制，当文件夹下存在文件时，则文件夹本身删除会失败，一旦出现文件删除失败，则该文件的所有父目录均会删除失败。


- COS 系统本身存在操作频率控制，因此当线程数设置过大时，容易出现触发频控，删除工具会屏幕上打印 `ERROR_PROXY_FREQ_CONTROL`，需要适当减少删除文件线程数量。
