<<<<<<< HEAD
## 功能说明

将本地目录下的子文件和子目录同步到 COS 上。

实现机制：COS 本地同步工具会获取用户本地的文件列表，执行上传并将上传的结果记录在本地。每次运行工具都会重新拉取本地文件列表，并与已成功的本地数据库进行比对和同步（上传或删除）。

## 使用环境

### 系统环境

Linux 或 Windows 系统

### 软件依赖

Python 2.7.x

## 使用方法
### 获取工具包
下载链接：[工具包 cos_sync.zip](https://mc.qcloudimg.com/static/archive/7f448f635c2bbe606759048bfc73464c/cos_sync.zip)

解压缩工具包并进入工具包路径：

```shell
unzip cos_sync.zip && cd cos_sync
```

### 配置说明

配置文件位于工具包目录/conf/config.json：

```json
{
    "appid"            : "xxxxxx",
    "secret_id"        : "xxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    "secret_key"       : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    "bucket"           : "xxxxxx",
    "timeout"          : "60",
    "thread_num"       : "5",
    "delete_sync"      : "1", 
    "daemon_mode"      : "0",
    "daemon_interval"  : "60", 
    "enable_https"     : "0",

    "local_path"       : "/home/test/data",
    "cos_path"         : "/mysyncfolder"
}
```

| 名称              | 描述                                       | 有效值      |
| --------------- | ---------------------------------------- | -------- |
| app_id          | 需要进行操作的 APPID，可从控制台获取 | APPID 数字 |
| secret_id       | APPID 对应的秘钥 ID，可从控制台获取 | 字符串      |
| secret_key      | APPID 对应的秘钥 Key，可从控制台获取 | 字符串      |
| bucket          | 指定要同步的 bucket 名称， 需要提前在控制台建立，参考 [创建 Bucket](/document/product/430/5887) | 字符串      |
| timeout         | 连接 COS 的超时时间，在网络状况不佳的情况下可以增大该值。<br />单位: 秒 | 数字       |
| thread_num      | 并发的线程数，增大该值可以提高并发度。<br />单目录（不含子目录）处理应低于 20 次/秒（包含上传时间），如有大量小文件建议分目录存放或避免设置过高并发线程数。 | 数字       |
| delete_sync     | 删除本地文件时同步删除 COS 文件。 <br />1：本地删除时同步删除远程文件 &verbar; 0：忽略本地已删除文件 | 数字       |
| daemon_mode     | 后台进程模式运行。<br />1：循环运行同步工具 &verbar; 0：运行一次后退出。 | 数字       |
| daemon_interval | 后台进程模式下，检查本地文件变化的时间间隔。<br />单位：秒         | 数字       |
| enable_https    | 启用 https 进行传输。<br />1：使用 https &verbar; 0：使用 http | 数字       |
| local_path      | 需要同步的本地绝对路径。Windows 路径需用双斜线 \\分割。<br />Linux 范例：/home/user/dir<br />Windows 范例：C:\\\document\\\dir | 字符串      |
| cos_path        | 同步到 COS 的目的路径，需以 / 为结尾以表示目录，根目录为 /。      | 字符串      |

### 使用软件

执行同步工具（Windows：请双击 start_cos_sync.bat）

```shell
sh start_cos_sync.sh 
```

执行完成后，会输出创建和删除成功与失败的统计，以及全部执行的时间。

## 常见问题

**同步完成后，在 COS 上不小心删除了文件，再运行工具会上传吗？**

不会。工具对于已同步的文件列表是记录在本地的，不会从 COS 拉取文件列表。

**已同步记录的数据库保存在哪？删除了再运行工具会发生什么？**

同步结果记录会保存在 db 目录下的数据文件里。如果删除了再运行工具，工具会试图将本地文件全量再上传到 COS，如果cos上已存在文件则会进行覆盖。

**是否支持中文文件名和目录？**

支持。目前支持所有 UTF-8 编码的路径或文件。

## 常见错误

**code: -3, connection timeout**

连接到 COS 服务超时，请检查解析和端口是否正常。

*检查 DNS 方法：本地执行 dig web.file.myqcloud.com 查看获取到的 IP 是否为腾讯云的 IP，可以通过外部 ping 工具验证（例如[站长工具 - Ping](http://ping.chinaz.com)）。如果为腾讯云机房，应当解析为 10.\*.\*.\* 的地址。*

*检查端口方法：在 IP 解析正确的情况下，执行  `telnet web.file.myqcloud.com 80` 查看是否会返回 `Escape character is '^]'.`，如果无返回请检查本地防火墙配置以及网络是否通畅。*

**code: -71**

对 COS 的操作频率过高，通常因为并发数设置过大或单目录下小文件过多导致。建议降低 thread_num 值，或将小文件分不同的目录存放，再执行同步工具。

**code: -4024, ErrOffGoBack**

内部数据错误，返回错误的文件将视为没有上传成功。退出程序重新运行，或通过配置进程模式待下次扫描时会自动重试。

## 版本历史

- 2016.06.15 Python 版本上线
- 2016.04.22 C++ 版本上线
=======
## 功能说明

将本地目录下的子文件和子目录同步到 COS 上。

实现机制：COS 本地同步工具会获取用户本地的文件列表，执行上传并将上传的结果记录在本地。每次运行工具都会重新拉取本地文件列表，并与已成功的本地数据库进行比对和同步（上传或删除）。

## 使用环境

### 系统环境

Linux 或 Windows 系统

### 软件依赖

Python 2.7.x

## 使用方法
### 获取工具包
下载链接：[工具包 cos_sync.zip](https://mc.qcloudimg.com/static/archive/7f448f635c2bbe606759048bfc73464c/cos_sync.zip)

解压缩工具包并进入工具包路径：

```shell
unzip cos_sync.zip && cd cos_sync
```

### 配置说明

配置文件位于工具包目录/conf/config.json：

```json
{
    "appid"            : "xxxxxx",
    "secret_id"        : "xxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    "secret_key"       : "xxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    "bucket"           : "xxxxxx",
    "timeout"          : "60",
    "thread_num"       : "5",
    "delete_sync"      : "1", 
    "daemon_mode"      : "0",
    "daemon_interval"  : "60", 
    "enable_https"     : "0",

    "local_path"       : "/home/test/data",
    "cos_path"         : "/mysyncfolder"
}
```

| 名称              | 描述                                       | 有效值      |
| --------------- | ---------------------------------------- | -------- |
| app_id          | 需要进行操作的 APPID，可从控制台获取 | APPID 数字 |
| secret_id       | APPID 对应的秘钥 ID，可从控制台获取 | 字符串      |
| secret_key      | APPID 对应的秘钥 Key，可从控制台获取 | 字符串      |
| bucket          | 指定要同步的 bucket 名称， 需要提前在控制台建立，参考 [创建 Bucket](/document/product/430/5887) | 字符串      |
| timeout         | 连接 COS 的超时时间，在网络状况不佳的情况下可以增大该值。<br />单位: 秒 | 数字       |
| thread_num      | 并发的线程数，增大该值可以提高并发度。<br />单目录（不含子目录）处理应低于 20 次/秒（包含上传时间），如有大量小文件建议分目录存放或避免设置过高并发线程数。 | 数字       |
| delete_sync     | 删除本地文件时同步删除 COS 文件。 <br />1：本地删除时同步删除远程文件 &verbar; 0：忽略本地已删除文件 | 数字       |
| daemon_mode     | 后台进程模式运行。<br />1：循环运行同步工具 &verbar; 0：运行一次后退出。 | 数字       |
| daemon_interval | 后台进程模式下，检查本地文件变化的时间间隔。<br />单位：秒         | 数字       |
| enable_https    | 启用 https 进行传输。<br />1：使用 https &verbar; 0：使用 http | 数字       |
| local_path      | 需要同步的本地绝对路径。Windows 路径需用双斜线 \\分割。<br />Linux 范例：/home/user/dir<br />Windows 范例：C:\\\document\\\dir | 字符串      |
| cos_path        | 同步到 COS 的目的路径，需以 / 为结尾以表示目录，根目录为 /。      | 字符串      |

### 使用软件

执行同步工具（Windows：请双击 start_cos_sync.bat）

```shell
sh start_cos_sync.sh 
```

执行完成后，会输出创建和删除成功与失败的统计，以及全部执行的时间。

## 常见问题

**同步完成后，在 COS 上不小心删除了文件，再运行工具会上传吗？**

不会。工具对于已同步的文件列表是记录在本地的，不会从 COS 拉取文件列表。

**已同步记录的数据库保存在哪？删除了再运行工具会发生什么？**

同步结果记录会保存在 db 目录下的数据文件里。如果删除了再运行工具，工具会试图将本地文件全量再上传到 COS，如果cos上已存在文件则会进行覆盖。

**是否支持中文文件名和目录？**

支持。目前支持所有 UTF-8 编码的路径或文件。

## 常见错误

**code: -3, connection timeout**

连接到 COS 服务超时，请检查解析和端口是否正常。

*检查 DNS 方法：本地执行 dig web.file.myqcloud.com 查看获取到的 IP 是否为腾讯云的 IP，可以通过外部 ping 工具验证（例如[站长工具 - Ping](http://ping.chinaz.com)）。如果为腾讯云机房，应当解析为 10.\*.\*.\* 的地址。*

*检查端口方法：在 IP 解析正确的情况下，执行  `telnet web.file.myqcloud.com 80` 查看是否会返回 `Escape character is '^]'.`，如果无返回请检查本地防火墙配置以及网络是否通畅。*

**code: -71**

对 COS 的操作频率过高，通常因为并发数设置过大或单目录下小文件过多导致。建议降低 thread_num 值，或将小文件分不同的目录存放，再执行同步工具。

**code: -4024, ErrOffGoBack**

内部数据错误，返回错误的文件将视为没有上传成功。退出程序重新运行，或通过配置进程模式待下次扫描时会自动重试。

## 版本历史

- 2016.06.15 Python 版本上线
- 2016.04.22 C++ 版本上线
>>>>>>> origin/master
