腾讯云 COS 是一种 Web 上的存储服务，在存储任何文件（对象）之前都需要先创建存储桶（Bucket），用户可以使用腾讯云控制台、 COS API、SDK 等多种方式创建存储桶并上传对象。本部分将说明存储桶的基本概念以及如何使用它。

## Bucket 属性配置

腾讯云 COS 支持各种存储桶的属性配置。例如，用户可以配置存储桶用于静态网站托管、自定义配置存储桶的访问路径、配置存储桶的访问权限等。

有关这些属性配置的更多信息，可以参考以下内容：

[在 Bucket 托管静态网站](/doc/product/430/5896)
[配置 Bucket 的访问权限](/doc/product/430/5891)
[启用跨域共享](/doc/product/430/5894)
[访问 Bucket 的域名管理](/doc/product/430/5889)

## Bucket 限制
- Bucket 数量上限是200个。但是 Bucket下目录、文件数量没有限制。
- Bucket 创建于项目下，一个 Bucket 只能属于一个项目，选择后不可以修改。
- 腾讯云 COS 中，Bucket 名称在单个项目下是唯一的。
- Bucket一旦创建后，将无法重命名，建议您在上传文件之前，定义好您的Bucket。

## Bucket 命名规则

- Bucket 名称的长度不能超过40字节。
- Bucket 名称仅可以包含小写字母和数字的组合。
- Bucket 名称不可以使用符号及下划线。

以下示例是有效的存储桶名称：

`mynewbucket`
`newproject1`

## Bucket 内的文件夹和对象
不同于计算机文件系统，COS 并不提供树状的索引结构，这也是 COS 能支持高并发请求的基本原因之一。但用户仍可以使用 COS 创建文件夹， COS 通过使用表示文件夹结构的地址来请求一个逻辑上的索引关系，但其实它们没有任何物理上的分层结构。例如，在 Bucket 根目录下中具有三个文件或文件夹：文件`test.jpg`、文件夹`photos/2015` 、文件夹`photos/2016` ，在`photos/2016` 文件夹中有名为`me.jpg`的图片。

腾讯云 COS 将构建类似 `/test.jpg` 和 `/photos/2016/me.jpg` 的相对路径进行对象请求。

