## 监控视频领域
### 场景举例
- 道路交通监控视频
- 小区安保监控视频
- 火车站机场海关监控视频
- 银行活体检测视频录像
- 居家宠物视频录像
- 物联网平台

### 说明

视频监控行业每天都在产生大量的视频数据信息，数据量增长迅速。由于视频数据保存的时间较长，所以积累的数据量庞大，需要对这些视频数据资源进行安全管理。可以将这些视频数据流经过预处理后，自动存入归档存储，按照不同的情况和规定，设置自动删除过期的视频数据资源，降低人工管理成本和存储成本。在特定情况之下的时候，可快速取回特定的视频资料进入对象存储，进行审查监控，重点监控内容上报到公安系统专网。

### 案例
![](https://mc.qcloudimg.com/static/img/914e6894a0ddf9ddb070376f3c2e591f/1491966162%281%29.jpg)

## 科学实验与医疗数据领域

### 场景举例
- 处理后的基因数据
- 医药实验数据
- 医疗影像
- 电子病历和健康数据库

### 说明

科学实验与医疗领域孕育有海量数据。基因测序数据量呈倍数增长，电子病历包括文本、图像、视频等类型数据，数据量庞大。大量原始数据经过对比分析可以挖掘到有效信息，为疾病的诊断和治疗提供参考，因此原始数据的长期积累存档管理很重要。通过归档存储，可以以极低的价格成本和管理成本存储大量原始数据和处理后的结果数据。同时，可以定时定量复原数据，重现结果。

### 案例
![](https://mc.qcloudimg.com/static/img/5afc2380f9f6e0f88733c347646162a4/1491966307%281%29.jpg)
## 数据库和系统服务集成商
### 场景举例
- 数据库存档
- 文件系统快照
- 用户日志
- 用户归档邮件
- PaaS 服务商
- SaaS 服务商

### 说明
SaaS 服务提供商通过互联网提供了低成本的服务交付和低成本的服务应用方式，大大地降低了以前需要花费大量精力才能关注到的市场的成本。SaaS 服务商使用归档存储，将比传统存储降低存储成本，通过专有安全设备模块，将数据脱敏存档，释放本地存储的压力，在激烈的竞争中，建立自身优势。

### 案例
![](https://mc.qcloudimg.com/static/img/c89ec146eb67d152d2920061f575a243/1491966514.jpg)

## 极冷的媒体资源
### 场景举例
- UGC 社区用户生成的视频
- 视频点播平台的历史电影电视
- 各大卫视的历史节目存档
- 报纸杂志原始未编辑素材
- 直播 App 历史影像

### 说明
电视台在线媒体库热点视频根据时间和热度，需要定期降冷。从高频数据到低频数据，再到近线数据，将过期下架的原始媒体数据，存入归档存储离线媒体库，释放存储空间资源，降低存储成本。大量旧的视频数据作为历史资料可以安全的在归档存储保存几年甚至十几年，集中、统一的资源管理、检索，降低电视台管理维护成本。在有视频点播需求的时候，1 到 5 分钟即可快速复原数据，提升使用效率。

### 案例
![](https://mc.qcloudimg.com/static/img/08542e68b4812b55bc937ac06a37ea0a/1491966600%281%29.jpg)

## 手机厂商移动数据
### 场景举例
- 已删除的手机网盘数据
- 历史版本的应用安装包
- 历史版本的系统补丁

### 说明
互联网手机厂商需要将历史版本数据存档保存。可以将应用分发的历史版本安装包、移动云盘的已删除文件以及系统升级的历史补丁，这些使用频率低的冷数据，离线存储到归档存储保存起来。

### 案例
![](https://mc.qcloudimg.com/static/img/e7924a5b890bae98ba2ecddf15950f8e/image.jpg)
