归档存储CAS是一项离线存储服务，不同于在线的对象存储COS，在使用过程中差异点如下

## 差异一：不保存文件索引

### 差异描述

对象存储COS是一项在线存储服务，主要由两个部分组成：文件数据和文件索引（包括文件元信息）。用户可以凭借一串指定的资源地址（即 URI ）来访问数据，用户也可实时获取所有的资源地址（即 URI ）。

作为离线存储的CAS，为了降低成本，去掉了文件索引的部分，转而用档案ID，档案ID中记录了该文件的归属者、存储地址等信息，但是该ID对使用者不可解读，只有CAS系统可以识别和解译其中的信息。

档案ID使用方式一

1. 用户上传档案时，系统返回档案ID，用户记录档案ID
2. 用户凭借记录的档案ID来发起数据取回任务

档案ID使用方式二

1. 用户上传档案时，系统返回档案ID，但是用户没有记录档案ID
2. 用户发起『检索档案列表』的数据取回任务
3. 任务返回一张表或者JSON字符串，其中每条记录档案ID，该档案的备注，上传时间等其他信息，该过程约耗时 3 - 5小时
4. 用户使用档案ID来发起档案取回类型的任务

### 使用效果

- 节约成本：由于不保存文件索引，因而归档存储的价格要远低于对象存储
- 无法实时获取目前文件库下所有的档案列表，需要发起『检索档案列表』的数据取回任务，该任务约耗时 3 - 5小时
- 无法使用 URI 直接获取文件，需要记录档案ID，通过档案ID发起数据取回请求
- 无法实时获取目前文件库下档案个数和总大小，该数据每日更新一次
  [](https://mc.qcloudimg.com/static/img/46ce4d096dabbd260302b1dfeea26b76/f39b95eb-a595-43f8-88b8-809498d9dce1.png)

## 差异二：数据取回需要时间等待

### 差异描述

归档存储是一项离线存储服务，存储集群在归档存储内部分为『临时缓存集群』和『持久化冷数据集群』。数据上传时，先进入『临时缓存集群』，后沉降至『持久化冷数据集群』。数据取回时，先从『持久化冷数据集群』进入『临时缓存集群』，后返回给用户。

保存在『持久化冷数据集群』的数据会做磁盘休眠，同时在『持久化冷数据集群』和『临时缓存集群』之间存在数据调度，因而数据取回的时候存在等待时间用以唤醒磁盘和调度数据

### 使用效果

- 节约成本：由于磁盘休眠，节约机房电力成本，因而归档存储的价格要远低于对象存储
- 用户需要发起一个任务请求，一段时间之后，再发起Get Job Output的请求获取缓存池中的数据，此处的缓存池即『临时缓存集群』的外部表现。缓存池中的数据保留24小时。
- 用户发起一个档案取回或者档案导入COS的任务，存在三种模式，三个模式时间不同，收费不同。**返回时间越短，在系统调度数据中优先级更高，价格越昂贵。**
