本部分介绍是为了您更有效的使用归档存储 ，而必须要了解的主要概念和术语。

### 地域 - Region

数据存储的具体地域，目前开放的区域如下

- 成都——域名：cas.ap-chengdu.myqcloud.com
- 北京——域名：cas.ap-beijing.myqcloud.com
- 广州——域名：cas.ap-guangzhou.myqcloud.com
- 上海——域名：cas.ap-shanghai.myqcloud.com

### 用户标识 - APPID（UID）

APPID也叫做UID，每个开发者访问 CAS 服务时拥有的唯一用户标识。在申请到 CAS 后由系统自动生成。[APPID获取地址](https://console.cloud.tencent.com/developer)

### 资源标识 - QCS

腾讯云用以描述所有云资源的统一标识，采用六段式表达，可用以标识一个文件库。[登陆控制台] - [文件库管理] - [基础信息]可以获取对应文件库的QCS。举例一个文件库的 QCS ：`qcs:id/0:cas:ap-chengdu:uid/1251781432:vaults/111`。[QCS获取地址](https://console.cloud.tencent.com/cas/vault)

### 密钥 - SecretID / SecretKey

SecretID / SecretKey 是开发者拥有的签名密钥，在开通 CAS 后由系统自动生成，同一个用户使用同一对 SecretID / SecretKey 来对该 APPID 下的所有资源进行访问。[密钥获取地址](https://console.cloud.tencent.com/capi)

### 文件库 - Vault

#### 基本概念
用户存储数据元的容器，每个数据元都存储在一个文件库中，客户可以通过文件库实现数据的批量管理。单个账户最多支持创建 1000 个文件库。

#### 支持操作
用户可以创建文件库、删除文件库、查询文件库数据、回调和锁定文件库等操作，并向其添加存储档案。

### 档案 - Archive

#### 基本概念
存储在归档存储中的基本实体，由数据和元数据构成，客户可直接操作单个档案文件。文件库中的档案个数是不受限制的，单个档案文件大小最大支持 40 TB。

#### 支持操作

用户可以上传档案、删除档案和查询档案。

### 任务 - Job
#### 基本概念
获取离线文件的任务实例，用户通过发起下载任务来获取保存在归档存储中数据。任务发起后，您可以查询任务的描述信息和任务列表。缓存池中文件保存时间为 24 小时，您可以在任务完成后 24 小时以内下载任务数据输出。

#### 支持操作
归档存储任务操作包括初始化任务、列出任务、描述任务、下载文件。

#### 任务获取流程
用户发起任务获取离线数据的流程如下：
![图片描述](https://mc.qcloudimg.com/static/img/e7a433af0916d0c407ae132621043692/1491810701%281%29.jpg)


### 缓存池 - Output
缓存池位于在归档存储中存储的档案与用户之间，用来提供档案数据信息的临时存储。当数据检索查询任务完成后，数据被临时存储的缓存池中，存储时间为 24 小时，24 小时后，缓存池中的数据将失效。

### 数据取回 - Retrieval

用户从归档存储取回档案到缓存池，按照访问时间和成本费用分为三种模式：加急模式、标准模式、批量模式。

- **加急模式**——需要的时间最短，只需要 1 到 5 分钟即可取回档案数据，支持 256 MB以下文件的快速读取。当您在特定情况下，需要紧急获取档案数据的时候，使用加急模式可以大大缩短时间和提高效率。
- **标准模式**——使用标准模式，一般可以在 3 到 5 小时完成档案数据取回。
- **批量模式**——成本最低，如果获取档案数据紧急程度低，采用批量模式可以用极低的成本获取大量的档案数据，一般在 5 到 12 小时可完成档案数据取回。

