## 计费实例
本文档主要按不同情况说明每种计费方式，要了解有关归档存储计费规则更多详细信息并查看价格组成，请访问归档存储计费项。
## 实例
### 背景
A机构是某地一家人才服务交流中心，是连接人与企业的一个节点，主要业务有人事档案进行托管服务，为了改善原来人员档案混乱的问题，帮助企业了解员工，需要对大量档案材料进行管理。

### 分析
A机构的所有档案平均每份 1 GB，在 4 月对归档存储的操作如下：

在 4 月 1 日的时候，总共剩余 10000 份档案在存储。在 4 月 5 日往档案库新增上传了 1000 份档案。在 4 月 10 日的时候采用标准模式取回 1000 份档案，经过核查，有 500 份不需要继续存储了，所以立刻删除，但是这 500 份档案在归档存储的存储时间为 30 天。  
对于A机构4月份对归档存储所做的所有操作，A 机构在 5 月 3 日出账单的时候，综合费用计算详情如下：


- 4 月 1 日上传 1000 份档案，请求次数为 1000 ，由于写请求的请求费用为 1 元/万次，

>写请求费用 = 1000 / 10000 =0.1 元  
>本次操作费用合计 = 0.1 元

- 4 月 10 日采用标准模式取回 1000 份档案,请求次数 1000 次，由于读请求费用 0.1 元/万次、外网出流量费用 0.64 元/GB以及数据读取费用0.06 元/GB,所以费用计算为，

>读请求费用 = 0.1 / 10000 x 1000 = 0.01 元  
>外网流量费用 = 1000 * 1 * 0.64 = 640 元  
>数据读取费用 = 0.06 x 1000 = 60 元  
>本次操作费用合计 = 读请求费用 + 外网流量费用 + 数据读取费用 = 700.01 元

- 删除 500 份档案，由于存储时间只有 30 天，没有达到 90 天，所以需要收取提前删除部分剩余天数的存储费用，费用如下，

>提前删除费用 = 500 x 1 x （90-30）x （0.033/30） = 33 元  
>本次操作费用合计 = 33 元

- 由于 4 月 5 日上传了 1000 份档案，4 月 10日 删除了 500 份档案，A机构存储空间的使用情况包括，

>上月遗留档案使用存储空间  
>时间：4 月 1 日—— 4 月 10 日，共 10 天，存储 10000G ；4月11日—4月30日，共 20 天，存储 9500G;    
>
>本月新增档案使用存储空间  
>4 月 5 日—— 4 月 30 日，共 26 天，存储空间 1000G；
>
>存储费用 =（10000 x 10 + 9500 x 20 +1000 x 26） x （0.033 / 30）= 347.6 元

综上所述，A机构四月账单花费总计：347.6 元 + 0.1 元 + 700.01 元 + 33 元 = 1080.71 元  
其中存储费用 = 347.6 元，流量费用 = 640 元，请求费用 = 0.11 元，数据读取费用 = 60 元，数据提前删除费用 = 33 元  
若本文档仍无法帮助到您，欢迎通过提交工单以咨询定制方案，获得更多技术支持，以及寻求大客户经理的帮助和价格商议。



