## 计费方式
**归档存储**按照实际使用付费，采用后付费方式，次月 3 日会出上个月的账单，进行月结算。其中，


月结账单组成方式有五个部分，具体如下：

**总费用** = **存储空间费用** + **流量费用** + **请求费用** + **数据读取费用** + **提前删除费用** 

### 第一部分：存储费用

**存储费用**按照统一计价方式计费，无免费额度，无阶梯计费，月单价如下：**0.033 元/GB/月**。

存储费用将按照**每月平均存储量**来进行计费，

>每月平均存储量计算公式如下：   
>
>**每月平均存储量** ＝ 当月 **每天平均存储量** 之和 ÷  **当月天数**；
>
>每天平均存储量计算公式如下： 
>
>**每天平均存储量** = 当天 **每小时平均存储量** 之和 ÷ **24小时**；


### 第二部分：流量费用

流量费按照统一标准价计费方式，无阶梯计费。

| 流量类型      | 定义                             | 单价       |
| --------- | ------------------------------ | -------- |
| 内网入流量(相同地区) | 内网直接将数据传入至归档存储 | 免费       |
| 内网出流量(相同地区)  | 腾讯云其他产品（CDN除外）与归档存储之间产生的流量 | 免费       |
| 外网入流量     | 外网直接将数据传入至归档存储                 | 免费       |
| 外网出流量     | 通过外网直接访问归档存储，产生的 IDC 流量   | 0.64元/GB |                    

### 第三部分：请求费用

所有对归档存储的操作（通过 Web 控制台或 Restful API），都是对归档存储 API 的调用。归档存储 API 的调用按请求次数进行计费。

| 请求类别                 | 价格      |
| -------------------- | ------- |
| 读请求（GET/HEAD）             | 0.1元/万次 |
| 写请求（PUT/POST/DELETE） | 1元/万次   |

### 第四部分：数据读取费用

归档存储需要收取数据读取费用，根据数据检索的模式，分为三种类型计费。

| 模式     | 加急模式     | 标准模式      | 批量获取模式     |
| ------ | -------- | --------- | ---------- |
| 获取数据时间 | 1—5 分钟   | 3—5 小时    | 5—12小时     |
| 单价     | 0.2 元/GB | 0.06 元/GB | 0.016 元/GB |


### 第五部分：数据提前删除费用

#### 费用收取规则
归档存储最短存储时长为90天。当数据存储到归档存储，不满90天即被删除、覆盖皆视为提前删除，需要收取提前删除部分剩余天数的存储费用。


>例如，10G 数据在存储60天后删除，此时我们将仍然收取 10G 数据90天的存储费用；当10G数据存储 100 天被删除，由于时间超过最短存储时长90天，那么不需要收取数据提前删除费用。

#### 费用计算公式

**数据提前删除费用** = **删除的存储量** X **剩余天数** X **日单价**

**注意**： 日单价指的是 **月单价** / **当月天数**  
          **单位**：元/GB/日



