## 常见问题
### CFS 支持哪些平台
支持 Linux 、 Windows（需要启用 NFS 客户端）。

### 文件存储怎么收费
仅存储费用。按实际存储量计费（按每小时峰值存储量收取费用）。

### 文件存储支持哪些访问协议
NFS v3.0/v4.0

### 文件存储相关概念
文件系统：文件系统是文件存储的实例，将文件系统挂载（ mount ）到 CVM 云服务器后，可以像使用本地文件系统一样使用文件存储。支持目录挂载
挂载点：挂载点是计算节点访问文件存储的入口，定义了什么类型网络的计算节点、采用怎样的权限来访问文件存储。

### 每个用户可以创建多少个文件系统？
单用户每个地区上限 10 个，有特殊需求可以提交工单申请扩容。

### 挂载点无法 mount
- 查看错误消息
- 检查是否安装了 nfs-utils 或 nfs-common
- 本地挂载目录是否存在
- 挂载点所在 VPC 网络是否和客户端虚拟机所在 VPC 网络一致，地域是否相同
- CFS 客户端所在的虚拟机是否有做禁止访问外部端口 2049 的安全组策略

### CFS 无法写入
- 查看报错信息
- 检查客户端所在虚拟机网络是否正常，telnet 挂载点 IP 2049 是否通
- 如果挂载的不是挂载点的根目录，请确认对应挂载的挂载点目录是否存在（这里常见的错误信息是“Stale file handle”可以通过已经挂载根目录的设备查看其对应子目录是否存在）


### 加速复制本地文件到 CFS
Linux 可以使用下面 shell 脚本来加速复制本地文件到 CFS。下面代码中，"线程数量" 可以根据需要调整。

```

threads=<线程数量>; src=<源路径/>; dest=<目标路径/>; rsync -av -f"+ */" -f"- *" $src $dest && (cd $src && find . -type f | xargs -n1 -P$threads -I% rsync -av % $dest/% )

<!--列如，threads=24; src=/root/github/swift/; dest=/nfs/; rsync -av -f"+ */" -f"- *" $src $dest && (cd $src && find . -type f | xargs -n1 -P$threads -I% rsync -av % $dest/% )-->

```

### Windows 下修改文件名/目录名异常
若使用缺省子目录 "nfs" 挂载出现读写异常、文件夹/文件无法重命名的情况，请使用 FSID 进行挂载，挂载命令如下。（ FSID 可以在"控制台->文件系统详情->挂载点信息" 中获取。）
> mount <挂载点IP>:/FSID <共享目录名称>:
> //列如： mount 10.10.0.12:/z3r6k95r X:

![](https://mc.qcloudimg.com/static/img/11af6b12a2b578c789d9d9dae63fae98/image.png)


### 使用 nfs 挂载后，Windows 下没有写入权限
请严格按照操作指引，在注册表中添加 AnonymousUid 和 AnonymousGid ，并重启系统后在重试。[查看操作指引](https://cloud.tencent.com/document/product/582/9133#.E5.9C.A8-windows-.E4.B8.8A.E4.BD.BF.E7.94.A8.E6.96.87.E4.BB.B6.E7.B3.BB.E7.BB.9F
)

### Windows IIS 无法使用 mapped driver问题
按照[Windows下的挂载指引](https://cloud.tencent.com/document/product/582/9133#.E5.9C.A8-windows-.E4.B8.8A.E4.BD.BF.E7.94.A8.E6.96.87.E4.BB.B6.E7.B3.BB.E7.BB.9F)中的步骤，配置正确的nfs客户端程序并修改注册（添加访问用户）表。
重启客户端后，打开 IIS 配置页面，增加站点并点击【高级设置】，将高级设置中的 "物理路径" 为 CFS 挂载点。
![](https://mc.qcloudimg.com/static/img/bdd15aa1ca694653b5595442cbc38737/IIS.png)
![](https://mc.qcloudimg.com/static/img/754bc7c54efd1a6b572fff503763854d/image.png)

### 某可用区下 CFS 资源已售罄，如何继续使用？
以上海为例，若已经有上海一区的云主机，此时需要用到 CFS 文件存储，但上海一区由于资源已售罄无法直接创建文件系统。

**VPC 网络下**
若云主机在 VPC 的 "上海一区子网" 内， 您可以到[VPC 控制台](https://console.cloud.tencent.com/vpc)到该 VPC  并为其创建可用区为 "上海二区" 的子网。
![](https://mc.qcloudimg.com/static/img/bb555e27b45c153e6ec4246f703e64de/image.png)
![](https://mc.qcloudimg.com/static/img/945a86eb6dabc9ae6364487dcbd71509/image.png)
![](https://mc.qcloudimg.com/static/img/0cab5743795cb970ca1755ac68a217c0/image.png)

创建子网完成后，回到 CFS 控制台，创建上海二区的资源时选择该 VPC 及刚创建的子网。 此时原来在该 VPC 上海一区子网下的云主机即可直接挂载 CFS 文件系统。[查看文件系统挂载帮助](https://cloud.tencent.com/document/product/582/11523)


**基础网络下** 
仍然按照上面方式，创建 VPC 及 上海二区子网。 通过 "基础网络互通" 方法，打通云主机所在的基础网络及该 VPC 即可实现访问。[查看基础网络互通帮助](https://cloud.tencent.com/document/product/215/5002)

