## 概述

此文将介绍在使用 CLS API 时需要用到的公共请求头部（Request Header），下文提到的头部在之后具体 API 文档中不在赘述。

## 公共请求头部列表

| HTTP Header 名称      | 描述                                       |
| ------------------- | ---------------------------------------- |
| Host                | 请求的 host 名字，每个地域不同，已上海为例：ap-shanghai.cls.myqcloud.com |
| Authorization       | 签名内容，计算方式请参考《请求签名》文档                     |
| Content-Length      | 请求的 Body 长度，如果无 Body，可以不提供此头部            |
| Content-Type        | 请求的 Body 格式，如果无 Body ，可以不提供此头部，根据接口详细文档确定，目前支持 application/json 、 application/x-protobuf |
| Content-MD5         | 请求的 Body 对应的 MD5 值，如果无 Body，可以不提供此头部，计算结果为小写字母 |
| x-cls-compress-type | 请求的 Body 使用的压缩方法，目前支持 lz4 压缩，只有上传日志接口需要，如果没有压缩则可以不提供此头部 |