# 日志采集

日志支持通过客户端或通过API/SDK的方式采集日志。

## 通过 LogListener 客户端实时采集

LogListener 是腾讯云日志服务提供的日志采集 Agent，您可以通过在您的服务器上安装 LogListener 实时采集指定路径上的日志。

### 配置步骤

通过LogListener采集日志分为以下三个步骤：第一步在机器上安装Loglistener；第二步在腾讯云日志服务控制台上创建机器组；第三步在日志主题除关联机器组并指定采集路径。

1. 安装 LogListener：

   在需要采集日志的服务器上安装、启动 LogListener，并配置对应的账号与地区信息。您的日志服务器可以是腾讯云CVM，也可以是非腾讯云的外部服务器；[使用Loglistener采集日志](https://cloud.tencent.com/document/product/614/11257)

2. 创建机器组：腾讯云日志服务通过机器组的方式管理您使用 LogListener 采集日志的服务器。您选择日志服务所在的区域，创建机器组，一个机器组可以通过配置多个IP以指定一组服务器。配置完成好，若您在机器组中查看该机器的状态为正常，则说明您的服务器可以与腾讯云日志服务正常通信。即可进入下一步；

   > 注：目前仅支持Linux云服务器；填写内网IP，暂不支持填写网段

   ![](https://mc.qcloudimg.com/static/img/fc5f5aa393e6c2a8c99b4bba23a50744/image.png)

3. 在日志主题下创建采集配置：在安装好 LogListener 并在机器组中配置完成后，需要您选择日志集、日志主题中创建相关配置。将该日志主题**关联机器组**，**并指定该机器上需要采集的路径**。完成配置后，日志服务即可以实时采集机器组中服务器上的日志。

   > 注：关联的机器组与日志主题所在的区域需一致；采集路径处填写需要采集的完整路径，非目录，即需要以 / 开头，非 / 结尾，如/data/log/2017.log，文件名支持正则，不支持通配符。采集路径中除文件名以外的其他部分不支持正则与通配符。

   ![](https://mc.qcloudimg.com/static/img/99a94ecc98ad0252e4a7bd253ffd0016/image.png)

   ![](https://mc.qcloudimg.com/static/img/6420a890c7f93d77b51160eff67d704f/image.png)

### 网络支持

- 内网：若您的服务器为腾讯云CVM并且与收集该服务器的日志主题与该机器处于同一地域，则日志数据的采集将使用内网通信，将不会再您的CVM上产生费用。


- 外网：若您的服务为外部服务器，或您的CVM服务器与日志主题不处在同一地域，则会使用外网通信，将在您的服务器上产生外网流量。


## 通过API/SDK采集日志

您可以通过调用[日志服务API](https://cloud.tencent.com/document/product/614/12445)上传日志至日志服务。[上传日志接口](https://cloud.tencent.com/document/product/614/12406)