## 1.服务介绍
### 1.1 天御如何接入？
目前天御开放使用系统主要通过API接入使用，各类服务的API接入在官网均有相关[接入文档](https://cloud.tencent.com/document/api/295/1774)介绍。
### 1.2 天御服务耗时多少？
为保证开发者能高效的访问天御服务，天御在上海、天津和深圳都有服务部署，同时支持腾讯云的内网访问，访问耗时小于100ms。
### 1.3 相对于同类产品，腾讯的区别和优势是哪些？
1）基于腾讯的黑产大数据以及智慧安全引擎，大数据涉及腾讯全业务，智慧安全引擎由腾讯自研安全系统演进而来，久经考验。
2）接入简单，只需要通过简单的API接口，不需要嵌入JS/SDK。
3）目前在各个行业中应用广泛，包括JD、58、斗鱼、聚美、钱升钱等客户使用。
### 1.4 现在社工库更新得非常快，腾讯是如何更新自己的黑名单库？
1）社工库更新主要是基于腾讯和合作伙伴的数据进行大数据分析，同时也有专门的黑产情报搜集。
2）在社工库的基础上还有腾讯十年来积累的策略库，能够覆盖各类黑产行为。
3）基于QQ+微信的开放用户能够覆盖绝大部互联网用户。
### 1.5 对于全新的手机号，天御是不是就判断不了？
1）手机号里面还有归属地等信息的，可以跟其他数据一起判断的。
2）恶意行为一般是需要大量账号协同操作才能获利，少量的账号并不能带来效益。所以面对大量的新手机号即使前面几个识别不了但后面的绝大部分也是可以打击的。
3）另外新的互联网用户最常用的身份信息是QQ和微信，如果在天御平台没有记录的话那么其他平台存在的概率更小，这个也是我们判断的一个辅助手段。

## 2.费用介绍

### 2.1 天御是否支持免费试用？
1）如果您是企业用户，您可以免费体验天御的各个服务（包括验证码、图片鉴黄、活动防刷、注册保护、登录保护、消息过滤、反欺诈），每个服务体验期为7天。
2）如果您是个人用户，您可以免费体验天御的验证码和图片鉴黄服务，服务体验期为7天。
### 2.2 如何开通免费试用？
登录[腾讯云控制台](https://console.cloud.tencent.com/tianyu/overview) 点击“免费申请”。
### 2.3 试用期账号未到期但无法正常使用？
试用期账号未到期但出现无法正常使用这种情况一般是使用量超过了上限（每日上限即试用期上限），超过上限后就无法继续使用，如有特殊需求可申请临时提高上限。
各子服务限额如下：
<table class="t">
<th><b>服务类型</b>
</th><th> <b>上限</b>
</th>
<tr>
<td> 验证码
</td><td> 5000
</td></tr>
<tr>
<td> 图片鉴黄
</td><td> 2000
</td></tr>
<tr>
<td> 活动防刷
</td><td> 10000
</td></tr>
<tr>
<td> 注册保护
</td><td> 10000
</td></tr>
<tr>
<td> 登录保护
</td><td> 10000
</td></tr>
<tr>
<td> 消息过滤
</td><td> 10000
</td></tr></tbody></table>
### 2.4 天御是如何计费的？
天御每个服务提供多种套餐可以选择，每个套餐会限制每天的使用量，使用量按照接口的调用次数进行统计，验证码服务按照CaptchaIframeQuery统计。
### 2.5 天御的产品价格
[注册保护价格](https://cloud.tencent.com/doc/product/295/6593)
[登录保护价格](https://cloud.tencent.com/doc/product/295/6610)
[活动防刷价格](https://cloud.tencent.com/doc/product/295/6598)
[消息过滤价格](https://cloud.tencent.com/doc/product/295/6604)
[验证码价格  ](https://cloud.tencent.com/doc/product/295/6621)
[图片鉴黄价格](https://cloud.tencent.com/doc/product/295/6588)
反欺诈价格  :暂无报价，企业用户如需试用可联系我们进行开通（开通方式：官网[提交工单](https://console.cloud.tencent.com/workorder/category/create?level1_id=141&level2_id=151&level1_name=%E5%AE%89%E5%85%A8%E6%9C%8D%E5%8A%A1&level2_name=%E5%A4%A9%E5%BE%A1%E4%B8%9A%E5%8A%A1%E5%AE%89%E5%85%A8%E9%98%B2%E6%8A%A4%20BSP)）
### 2.6 当天使用量超过套餐限制服务是否被停止？
当天使用量超过套餐限额，将会停止服务。但系统会在您当天使用量超过套餐限额80%的时候，通过短信、邮件等方式通知您进行套餐调整以满足业务需求。
### 2.7 购买了基础套餐后，临时超出限额？能自助升级套餐吗？
针对不同的情况，您可以选择以下调整方式：
A.针对长时间使用量过大的业务，建议您在[控制台](https://console.cloud.tencent.com/tianyu/overview)升级当前套餐，提高套餐限额；
B.针对临时使用量过大的业务，建议您[提交工单](https://console.cloud.tencent.com/workorder/category/create?level1_id=141&level2_id=151&level1_name=%E5%AE%89%E5%85%A8%E6%9C%8D%E5%8A%A1&level2_name=%E5%A4%A9%E5%BE%A1%E4%B8%9A%E5%8A%A1%E5%AE%89%E5%85%A8%E9%98%B2%E6%8A%A4%20BSP)申请开通弹性防护，临时提高限额。
### 2.8 弹性防护的价格
1）验证码：0.02/次
2）图片鉴黄：1.3/千（计费基准：1k）
3）其他服务暂无弹性防护报价