## 1. 概述
腾讯云直播安全解决方案，主要解决直播行业的色情直播、色情引流、性感识别，恶意文字四大类业务问题。即使用户的视频流不在腾讯云上也可以使用该解决方案，用户可以根据现状组合定制自身的安全解决方案，也可以选用腾讯云提供的多路直播监控系统快速搭建自己的人工审核系统。

## 2. 产品原理
腾讯云直播安全可鉴别出涉及黄色信息的直播流，将结果反馈给开发者并在鉴黄管理平台上展现出来。原理简单来说就是腾讯云对直播房间的视频流按指定的时间间隔（例如10s，用户可配置）进行截图，通过优图的色情图片识别技术给该图片进行色情度的评分，并将可疑分数在80分（可根据业务设置）的图片和对应的房间信息回调给开发者，开发者可以根据返回的结果信息优先给审核人员进行审核，进行封停等进一步处理。

## 3. 用户价值
### 节省人力
以日活跃1万个直播房间的平台为例，只需要3个人轮班就可以完成色情直播内容审核的工作。
### 发现更及时
大部分直播行业的审核人力不仅要处理色情直播内容，还要处理投诉等工作，受限于人力资源，审核普遍存在延迟。以一个日活1500个房间50个客服的直播平台为例，其发现色情直播的时间约10分钟。天御发现色情的时间来自开发者设置的截图时间，最快可在1秒内发现。
### 减少人工漏审
人工审核存在漏审等问题，天御凭借优图的图片识别技术，可以最大程度的发现色情问题并通知审核人员，减少人工漏审。
### 监督审核人员工作效率
审核主管人员可以使用天御的鉴黄结果通知信息，更好的评估普通审核人员的审核效率。

## 4. 方案优势
### 领先的色情识别技术
基于腾讯长期在音视频及图片处理领域的技术积累和能力，与QQ、微信共享海量特征样本，包括支撑腾讯视频亿级日均播放量、QQ音视频聊天、QQ空间数亿张日均上传量百万并发峰值的长期技术积淀等；同时采用腾讯优图的图片自动识别技术，其色情图片发现能力在国内厂商的对比测试中处于领先定位。
### 成熟的行业经验
超大规模120000+ 分布式转码截图集群；10w敏感词，基于恶意动机的语义分析，色情、招嫖弹幕量下降90%；在图片自动识别技术领域，主要是对图片进行色情可疑度的评分（0-100分）。在直播行业如何选择可疑度的分数阀值，来保证最大的色情覆盖度而又不需要投入过多的审核人力资源。腾讯从最早的QQ群直播审核开始，积累了成熟的行业经验，将推荐给用户的最优的实施方案。
### 图片识别率95%
即100张色情图片，可以完全识别出95张，可达到95%的识别率；错误接受率5%，即100张非色情图片，允许5张识别为色情图片，极大缓解了人工审核工作量。
### 丰富的合作经验
1) 使用决策测试
用户可以通过AB测试方案的方式来决策是否使用天御的色情直播审核服务，A组使用天御，B组采用原有的审核方式，来比对投入人力和发现色情房间的比值，进而进行决策。

2) 根据审核人力情况定制方案
当直播审核的人力不足时，天御会通过多种策略来为用户定制方案，来保证用户在人力不足的情况下，依然可以及时的发现色情房间。
### 低成本
天御色情直播审核方案按照识别的图片数量进行计费。
<br> 例如1000路直播房间，每10s截图一张，每天最多8640000张图，其成本远低于同等房间数对应的人力成本。
### 接入快速
即使用户已经有直播审核平台，只需要两步轻松接入天御色情审核服务，降低用户的开发成本和接入门槛。步骤可参考如下：
<br> 1)在腾讯云开启直播鉴黄功能，设置截图频率，图片保存时间。
<br> 2)设置天御回调地址，主动通知违规房间号和图片内容，用户需要存。