### 1.合作方生成签名

1.**前置条件**：必须按照文档[获取SIGN ticket](https://cloud.tencent.com/document/product/295/10118#1..E6.B3.A8.E6.84.8F.E4.BA.8B.E9.A1.B9).
2.合作方根据本次二要素验证的如下参数生成签名,需要签名的参数信息如下：

| 参数 | 说明 | 
|---------|---------|
| WebankAppId | 腾讯服务分配的WebankAppId | 
| orderNo | 订单号，本次服务上送的订单号，唯一标识。 | 
| nonce | 随机数  32位随机串（字母+数字组成的随机数） | 
| version | 1.0.0 | 
| api ticket | 合作伙伴服务端缓存的tikcet,注意是SIGN 类型，具体见[获取SIGN ticket](https://cloud.tencent.com/document/product/295/10118#1..E6.B3.A8.E6.84.8F.E4.BA.8B.E9.A1.B9) | 

3.生成一个 32 位的随机字符串(字母和数字) nonce(登录时也要用到)，将webankAppId、orderNo,version、连同ticket、nonce 共5个参数的值进行字典序排序。
将排序后的所有参数字符串拼接成一个字符串进行SHA1编码
SHA1编码后的40位字符串作为签名(sign)
示例代码及用法：
请求参数：
webankAppId= appId001
nonce = kHoSxvLZGxSoFsjxlbzEoUzh5PAnTU7T (必须为32位)
version = 1.0.0
orderNo = aabc1457895464
ticket=01.0.0FxlAe3HFtEy73Um0pJNzIUriwtfnS3KRcPXiesd5ulS4XRAIcT0FbfaP52dwZf5Saabc1457895464appId001

字典排序后的参数为：
[1.0.0, aabc1457895464, appId001, kHoSxvLZGxSoFsjxlbzEoUzh5PAnTU7T , zxc9Qfxlti9iTVgHAjwvJdAZKN3nMuUhrsPdPlPVKlcyS50N6tlLnfuFBPIucaMS]拼接后的字符串为：
0, 1.0.0, FxlAe3HFtEy73Um0pJNzIUriwtfnS3KRcPXiesd5ulS4XRAIcT0FbfaP52dwZf5S, aabc1457895464, appId001
计算 SHA1 得到签名：
7E0DE0E46500D0327F12ED4274CFA188B80D7AF9
该字串就是最终生成的签名(40位)，不区分大小写。

### 2. 二要素验证API接口
合作方后台服务上送sign、请求参数到二要素验证后台服务。

请求URL: `https://ida.webank.com/api/paas/ocrauth`
请求方法:POST
请求参数：

| 参数 | 说明 | 类型 |长度  |是否必输 |
|---------|---------|---------|---------|---------|
| webankAppId | WebankAppId，由腾讯指定 | string | 由腾讯指定腾讯服务分配 | 必输 |
| version | 接口版本号 | string | 20 | 必输,默认值：1.0.0 |
| nonce | 随机数  32位随机串（字母+数字组成的随机数） | string | 32 | 必输 |
| sign | 签名:使用上面生成的签名。 | string | 40 | 必输 |
| orderNo | 订单号，由合作方上送，每次唯一 | string | 32 | 必输 |
| name | 姓名 | string | 30 | 必输 |
| idNo | 身份证号码 | string | 18 | 必输 |
| bizScene | 场景编号，两位数字，具体见如下：<br>01 贷款申请<br>02 信用卡申请<br>03 开户<br>04 修改密码<br>05 重置密码<br>06 转账<br>07 挂失/解挂<br>08 登录<br>09 信息维护 | string | 2 | 可选 |


返回参数：

| 参数 | 说明 |类型 |
|---------|---------|---------|
| code | 二要素验证结果的返回码：<br>0:成功，非0失败 | 字符串|
|orderNo|订单号，由合作方上送，每次唯一，此信息为本次身份证ocr识别上送的信息。|字符串|
|msg|二要素验证返回结果描述|字符串|
注：返回码见[通用响应码章节描述](https://cloud.tencent.com/document/product/295/10194)
