### 1. 生成签名 
1. **前置条件**：必须按照 [NONCE ticket 获取](https://cloud.tencent.com/document/product/295/10136).
2. 合作方根据本次人脸验证的如下参数生成签名,需要签名的参数信息如下：

| 参数 | 说明 | 
|---------|---------|
| webankAppId | WebankAppId，由腾讯指定 | 
| version | 接口版本号 1.0.0 | 
| nonce | 随机数  32 位随机串（字母+数字组成的随机数） | 
 | orderNo | 订单号，由合作方上送，每次唯一，此信息为本次人脸验证上送的信息。 | 
| h5faceId | h5/geth5faceid 接口返回的唯一标识 | 
 | userId | 用户 ID ，用户的唯一标识（不要带有特殊字符） | 
| api ticket | 合作伙伴服务端缓存的 tikcet,注意是 NONCE 类型 |

3.生成一个 32 位的随机字符串(字母和数字) nonce (登录时也要用到)，将 webankAppId 、userId、orderNo,version、h5faceId 连同 ticket、nonce 共7个参数的值进行字典序排序。
将排序后的所有参数字符串拼接成一个字符串进行 SHA1 编码
SHA1 编码后的 40 位字符串作为签名( sign )
示例代码及用法：
请求参数：
`webankAppId= appId001
userId= userID19959248596551
nonce = kHoSxvLZGxSoFsjxlbzEoUzh5PAnTU7T (必须为 32 位)
version = 1.0.0
h5faceId = bwiwe1457895464
orderNo = aabc1457895464
ticket=zxc9Qfxlti9iTVgHAjwvJdAZKN3nMuUhrsPdPlPVKlcyS50N6tlLnfuFBPIucaMS`

字典排序后的参数为：
`[1.0.0, aabc1457895464, appId001, bwiwe1457895464, kHoSxvLZGxSoFsjxlbzEoUzh5PAnTU7T, userID19959248596551, zxc9Qfxlti9iTVgHAjwvJdAZKN3nMuUhrsPdPlPVKlcyS50N6tlLnfuFBPIucaMS]`
拼接后的字符串为：
`1.0.0aabc1457895464appId001bwiwe1457895464kHoSxvLZGxSoFsjxlbzEoUzh5PAnTU7TuserID19959248596551zxc9Qfxlti9iTVgHAjwvJdAZKN3nMuUhrsPdPlPVKlcyS50N6tlLnfuFBPIucaMS`
计算 SHA1 得到签名：
`4E9DFABF938BF37BDB7A7DC25CCA1233D12D986B`
该字串就是最终生成的签名( 40 位)，不区分大小写。

### 2. 启动 H5 刷脸

合作方公众号上送 h5faceId 以及 sign，后台校验 sign 通过之后重定向到 H5 刷脸。
请求 URL:` https://ida.webank.com/api/h5/login`
请求方法:GET
请求参数：

| 参数 | 说明 |类型 |长度 | 是否必填 |
|---------|---------|---------|---------|---------|
| webankAppId | WebankAppId，由腾讯指定 | String |腾讯服务分配 |必填 |
| version | 接口版本号 | String |20 |必填，默认值：1.0.0|
| nonce | 随机数  32 位随机串（字母+数字组成的随机数） | String |32 |必填 |
|orderNo | 订单号，由合作方上送，每次唯一，此信息为本次人脸验证上送的信息。 | 字符串 |32 |必填 |
|h5faceId | h5/geth5faceid 接口返回的唯一标识。 | string |32 |必填 |
|url | 人脸识别完成后回调第三方 URL | string | |必填，H5 刷脸完成后的回调 URL，**需要第三方提供完整 URL 且做 URL Encode。<br>完整 URL Encode 示例:<br>原 URL(`https://idaop.webank.com`)<br>Encode 后：<br>(`http%3A%2F%2Fidaop.webank.com`) **|
|resultType | 是否显示结果页面（值为“1”直接跳转到 url 回调地址，null 或其他值跳转提供的结果页面） | string | |非必填 |
|userId | 用户 ID ，用户的唯一标识（不要带有特殊字符） | string | |必填 |
|sign | 签名:使用上面生成的签名。 | string |40 |必填 |
