1.合作伙伴 APP 端或 H5 调用其服务端接口查询身份验证结果。
2.合作伙伴服务端生成签名，并调用远程身份认证服务端查询结果，远程身份认证服务端鉴权完成后返回结果（服务端上送 order_no 和 app_id 查询）。
3.合作伙伴 APP 端或 H5 获取结果后继续后续流程。

### 1. 合作方后台生成签名
合作方根据本次人脸验证的如下参数生成签名：


| 参数 | 说明 | 
|---------|---------|
| app_id | 腾讯服务分配的 app_id | 
| order_no | 订单号，本次人脸验证合作伙伴上送的订单号，唯一标识。 | 
| version | 默认值：1.0.0 | 
| api ticket | 合作伙伴服务端缓存的 tikcet,注意是 sign 类型，具体详见 [SING ticket获取](https://cloud.tencent.com/document/product/295/10120)| 
| nonceStr | 32 位随机字符串,字母和数字 | 

生成一个 32 位的随机字符串(字母和数字) nonceStr，将 app_id、order_no、version  连同 ticket、nonceStr 共五个参数的值进行字典序排序再 SHA1 编码生成签名。具体见[签名算法说明](https://cloud.tencent.com/document/product/295/10137)。

### 2. 身份认证查询接口
请求URL：https://idasc.webank.com/api/server/sync
请求方法:GET
请求参数：

| 参数 | 说明 | 类型 |长度 |是否必填 |
|---------|---------|---------|---------|---------|
| app_id | 腾讯服务分配的app_id | 字符串 |腾讯服务分配 |必填，腾讯服务分配的app_id |
| version | 版本号 | 字符串 |20 |必填，默认值：1.0.0 |
| nonce | 随机数 | 字符串 |32 |必填 |
| order_no | 订单号 | 字符串 |32 |必填，合作方订单的唯一标识 |
| sign | 签名值 | 字符串 |40 |必填，使用上面生成的签名。 |
| get_file | 是否需要获取刷脸的视频和文件 | 字符串 |1 |非必填，值为1则返回文件；其他则不返回。 |

请求示例：
https://idasc.webank.com/api/server/sync?app_id=xxx&nonce=xxx&order_no=xxx&version=1.0.0&sign=xxx

返回参数：


 参数 | 类型 |说明 
---|---
code |	string	|“0” 说明身份验证成功
msg|	string|	返回结果描述
bizSeqNo	|string	|业务流水号
orderNo|	string	|订单编号
idNo	|string	|证件号码
idType|	string	|证件类型 
name|	Base 64 string|	姓名
liveRate|	Base 64 string	|活体检测得分
similarity|	Base 64 string	|人脸比对得分
occurredTime|	string	|进行刷脸的时间
photo|	string|	刷脸时的照片，base64 位编码
video|	string	|刷脸时的视频，base64 编码


>  **注意：**
1)照片和视频信息作为存证，合作伙伴可以通过此接口拉取视频等文件，需要注意请求参数的 get_file 需要设置为 1；如果不上送参数或者参数为空，默认不返回视频和照片信息。
2)由于照片和视频信息有可能超过 1M，考虑传输的影响，建议合作伙伴在使用时注意，建议获取比对结果用于后续流程处理 和存证使用分开调用。避免网络传输带来的影响。
3)照片和视频均为 base64 位编码，其中照片解码后格式一般为 jpg,png.视频格式解码后一般为 mp4。
