### 1.生成签名 
1.1 **前置条件**：必须按照[SIGN ticket获取](https://cloud.tencent.com/document/product/295/10120?!preview&lang=cn).
1.2 合作方根据本次人脸验证的如下参数生成签名,需要签名的参数信息如下

| 参数 | 说明 |
|---------|---------|
| appId | 腾讯服务分配的app_id | 
| orderNo | 订单号，本次人脸验证合作伙伴上送的订单号，唯一标识。 | 
| name | 姓名 | 
| idNo | 证件号码 | 
| userId | 用户ID ，用户的唯一标识（不要带有特殊字符） | 
| version | 1.0.0 | 
| api ticket | 合作伙伴服务端缓存的tikcet,注意是SIGN 类型，具体参考[SIGN ticket获取](https://cloud.tencent.com/document/product/295/10120?!preview&lang=cn)| 

1.3 将webankAppId, orderNo, name, idNo, userId, version，ticket（SIGN类型）共七个参数的值进行字典序排序。将排序后的所有参数字符串拼接成一个字符串进行SHA1编码。
SHA1编码后的40位字符串作为签名(sign)
示例代码及用法：
请求参数：
webankAppId= appId001
orderNo= orderNo19959248596551
name= testName
idNo= 4300000000000
userId= userID19959248596551
version = 1.0.0
ticket= duSz9ptwyW1Xn7r6gYItxz3feMdJ8Na5x7JZuoxurE7RcI5TdwCE4KT2eEeNNDoe

字典排序后的参数为：
[1.0.0, 4300000000000, appId001, duSz9ptwyW1Xn7r6gYItxz3feMdJ8Na5x7JZuoxurE7RcI5TdwCE4KT2eEeNNDoe, orderNo19959248596551, testName, userID19959248596551]
拼接后的字符串为：
1.0.04300000000000appId001duSz9ptwyW1Xn7r6gYItxz3feMdJ8Na5x7JZuoxurE7RcI5TdwCE4KT2eEeNNDoeorderNo19959248596551testNameuserID19959248596551
计算 SHA1 得到签名：
EE57F7C1EDDE7B6BB0DFB54CD902836B8EB0575B
该字串就是最终生成的签名(40位)，不区分大小写。

### 2.合作方后台上送身份信息
请求URL: https://idasc.webank.com/api/server/h5/geth5faceid
请求方法:POST
报文格式：Content-Type: application/json
请求参数：

| 参数 | 说明 |类型 |长度 | 是否必输 |
|---------|---------|---------|---------|---------|
| webankAppId | 分配给服务使用方的appId | String |分配给服务使用方 |必输 |
| orderNo |订单号，由合作方上送，每次唯一，不能超过32位 | String |订单号，由合作方上送，每次唯一，不能超过32位 |必输 |
|name | 姓名 | String | |必输 |
|idNo | 证件号码 | String | |必输 |
|userId | 用户ID ，用户的唯一标识（不要带有特殊字符） | String | |必输 |
|sourcePhotoStr | 比对源照片 | **BASE64<br>String** | 比对源照片的**BASE64 String**<br>长度：**3145728**|非必输，<br>**注意：原始图片不能超过2M,且必须为JPG或PNG格式。**<br>**有值**：使用合作伙伴提供的比对源照片进行比对，必须注意照片是正脸可信照片，照片质量由合作方保证。<br>**为空**：根据身份证号+姓名使用权威数据源比对 |
|sourcePhotoType | 比对源照片类型 | String |1 |1：水纹正脸照<br>2：高清正脸照 |
|version | 1.0.0 | String | 20 |必输，默认值：1.0.0 |
|sign | 使用上面生成的签名 | String | 40 |必输 |

**响应返回参数：**
```
 {
"code": 0,
"msg": "成功",
"result": {
       "bizSeqNo":"业务流水号"，
       "orderNo":"合作方订单号",
       "h5faceId":"cc1184c3995c71a731357f9812aab988"
      }
```