### 1. 计算 ticket 阶段
  易出现 400101 不合法的请求,ticket 的类型是 NONCE 类型 ticket，ticket 有效期 2 分钟，且一次性有效，即每次启动 SDK 刷脸都要重新请求 NONCE ticket。
腾讯两种 ticket 的区别
NONCE 类型 ticket：用于合作方跳转到腾讯前端时的签名计算，NONCE ticket 有效期为 2 分钟，且一次性有效，合作方使用不需要缓存 NONCE ticket，每次跳转时重新获取。
SIGN 类型 ticket：用于合作方与腾讯后台交互时的签名计算，SIGN ticket 有效期为 1 小时，合作方使用时需要缓存 SIGN ticket，全局唯一。

### 2. 计算签名 sign 阶段

#### 2.1 参数类型
排序前全部的参数都必须是 string 类型，不能有 int 类型,如果有 timestamp 参数， timestamp 必须为 stirng 类型。

#### 2.2 参数个数
算签名的参数是否按照接口文档的描述计算，启动 SDK 刷脸时合作方后台计算签名的参数值为 5 个：app_id、nonce、version、user_id、ticket(NONCE 类型)。(注释：NONCE ticke 与用户是绑定的，请求 NONCE ticket 传的 user_id 必须与启动 SDK 刷脸时上送的 userId 一致)。其他接口计算签名的参数为 URL 上的参数值、ticket(SIGN 类型)以及整个 post body (编码为 json String)。
如果报 400101 不合法的请求。:app_id
请求参数格式有误，app_id 、version等几个参数是放在 URL 上，如果没有放会报如下错误："code";"400101","msg";"不合法请求:app_id"
解决办法：请求时将 app_id 、version 等几个参数是放在 URL 上，例：`https://xxx.webank.com/api/xxx?app_id=xxx&version=1.0.0`

#### 2.3 参数排序
字典序排序，以 ascii 码表的顺序进行排序，各种语言的 sort 方法就可实现。

#### 2.4 参数一致性
   合作方后台计算签名的数据与发给腾讯 SDK 的数据是否一致，例如合作方计算签名的 nonce、userId 等必须与发送给腾讯 SDK 的数据一致。提示：计算 sign 的目的就是为了防止数据被篡改，所以请务必计算 sign 签名的参数与发送给腾讯 SDK 的数据保持绝对一致。
	 
#### 2.5 ticket 过期
计算 sign 时有用到 ticket 这个参数。ticket 是否在有效期，ticket 的类型是否搞混，前端跳转时使用 NONCE 类型 ticket，ticket 有效期 2 分钟，且一次性有效，即每次做前端都要重新请求 NONCE ticket，重新计算签名；后台交互使用 SIGN 类型 ticket，1 小时有效。

#### 2.6 content type 为 application/json
所有请求的 content type 为 application/json，否则会报错。

#### 2.7 其他问题
把字典排序后的参数、拼接后的字符串、sha1 生成的签名值发到联调群里找开发人员协助解决。
