### 1.注意事项
整体鉴权流程基于 OAuth2.0 认证。合作伙伴同时使用人脸验证/身份证 OCR 识别服务时，鉴权所需的 token、ticket 及签名算法可以共用。只需实现各自的业务逻辑即可。
### 2.人脸验证 SDK 登录鉴权
![](https://mc.qcloudimg.com/static/img/3f21017572807fce0fb29b64f1481b84/image.jpg)
**整体登录鉴权流程分为三步：**
**1.第一步：access token 获取**
access token 有效期 7200 秒,建议合作方缓存在服务器,必须在临近过期和使用中失效时重新获取。
**2.第二步：SDK 登录鉴权**
1)nonce ticket 有效期 120 秒,且一次性有效
2)在用户登录流程中，获取 api ticket 请求的 user_id 为必填参数，type 为 NONCE。
**3.第三步：返回结果服务端验证**
SIGN ticket 有效期 3600 秒,建议合作方缓存在服务器,必须在临近过期和使用中失效时重新获取。流程中，获取 api ticket 请求的 type 为 SIGN。
3)方式一：签名验证
合作伙伴 APP 端调用其服务后台验证签名，验证成功后即可信任前端的返回结果。
4)方式二：服务端查询结果
合伙伙伴 APP 端调用其服务后台查询身份认证结果，由远程身份认证服务端鉴权并返回最终结果。

### 3.人脸验证微信 H5 登录鉴权
![](https://mc.qcloudimg.com/static/img/03f169bd91812cd1125d44fadf6083c2/image.jpg)
**整体登录鉴权流程分为三步：**
**1.第一步：access token 获取**
access token 有效期 7200 秒,建议合作方缓存在服务器,必须在临近过期和使用中失效时重新获取。
**2.第二步：合作伙伴后台上送身份信息**
**1)生成签名**
合作伙伴获取 SIGN ticket， 有效期 3600 秒,建议合作方缓存在服务器,必须在临近过期和使用中失效时重新获取。流程中，获取 api ticket 请求的 type 为 SIGN。根据规则生成签名。
**2)上送身份信息** 
合作伙伴上送本次人脸验证的用户身份信息，可以支持合作伙伴提供自带可信比对数据源和使用姓名+身份证获取权威比对数据源两种方式。成功后返回标识信息。
**3.第三步：H5 刷脸**
**此处**
1)NONCE ticket 有效期 120 秒,且一次性有效
2)在用户登录流程中，获取 api ticket 请求的 user_id 为必填参数，type 为 NONCE。
3)方式一：签名验证
合作伙伴 APP 端调用其服务后台验证签名，验证成功后即可信任前端的返回结果。
4)方式二：服务端查询结果
合伙伙伴 APP 端调用其服务后台查询身份认证结果，由远程身份认证服务端鉴权并返回最终结果。
具体接入开发指南见：[**人脸验证微信 H5 接入**](https://cloud.tencent.com/document/product/295/10183?=cn)。

### 4.OCR 识别 SDK 登录鉴权
 ![](https://mc.qcloudimg.com/static/img/9b2ba497ae39cb3877c55ab6380bba56/image.jpg)
**整体登录鉴权流程分为三步：
1.第一步：access token 获取**
access token 有效期 7200 秒,建议合作方缓存在服务器,必须在临近过期和使用中失效时重新获取。
**2.第二步：SDK 登录鉴权**
1)nonce ticket 有效期 120 秒,且一次性有效
2)在用户登录流程中，获取 api ticket 请求的 user_id 为必填参数，type 为 NONCE。
**3.第三步：返回结果服务端验证**
SIGN ticket 有效期 3600 秒,建议合作方缓存在服务器,必须在临近过期和使用中失效时重新获取。流程中，获取 api ticket 请求的 type 为 SIGN。
1)方式一：签名验证
合作伙伴 APP 端调用其服务后台验证签名，验证成功后即可信任前端的返回结果。
2)方式二：服务端查询结果
合伙伙伴 APP 端调用其服务后台查询识别结果，由 OCR 识别服务端鉴权并返回最终结果。

### 5. 身份证 OCR 识别 H5 识别登陆鉴权
![](https://mc.qcloudimg.com/static/img/24716918724d311af106b44f44e131aa/image.png)
**整体登录鉴权流程分为三步：**
**1.第一步：access token 获取**
access token 有效期 7200 秒,建议合作方缓存在服务器,必须在临近过期和使用中失效时重新获取。
**2.第二步：生成签名**
合作伙伴获取 SIGN ticket， 有效期 3600 秒,建议合作方缓存在服务器,必须在临近过期和使用中失效时重新获取。流程中，获取 api ticket 请求的 type 为 SIGN。根据规则生成签名。
**3.第三步：H5 身份证识别**
1)NONCE ticket 有效期 120 秒,且一次性有效
2)在用户登录流程中，获取 api ticket 请求的 user_id 为必填参数，type 为 NONCE。
3)方式一：签名验证
合作伙伴 H5 端调用其服务后台验证签名，验证成功后即可信任前端的返回结果。
4)方式二：服务端查询结果
合伙伙伴 H5 端调用其服务后台查询身份认证结果，由身份证识别服务端鉴权并返回最终结果。
具体接入开发指南见：[身份证识别微信H5接入](https://cloud.tencent.com/document/product/295/11294)。

### 6. API 调用服务登录鉴权
![](https://mc.qcloudimg.com/static/img/295523ac26c1a844ac3a3f371565fbc1/image.png)
**整体登录鉴权流程分为三步：**
**1.第一步：access token 获取**
access token 有效期 7200 秒,建议合作方缓存在服务器,必须在临近过期和使用中失效时重新获取。
**2.第二步：生成签名**
合作伙伴获取 SIGN ticket， 有效期 3600 秒,建议合作方缓存在服务器,必须在临近过期和使用中失效时重新获取。流程中，获取 api ticket 请求的 type 为 SIGN。根据规则生成签名。
**3.第三步：调用 api 服务**
1)SIGN ticket 有效期 3600 秒,且一次性有效
2)服务端查询结果：合伙伙伴服务后台校验 SIGN，查询身份认证结果。

