生成签名算法，合作伙伴可以直接使用，签名参数的要求见各文档描述。

### JAVA签名算法
```
public static String sign(List<String> values, String ticket) {
    if (values == null) {
        throw new NullPointerException("values is null");
    }

    values.removeAll(Collections.singleton(null));// remove null
    values.add(ticket);
    java.util.Collections.sort(values);

    StringBuilder sb = new StringBuilder();
    for (String s : values) {
        sb.append(s);
    }

    return Hashing.sha1().hashString(sb, Charsets.UTF_8).toString().toUpperCase();
}
```

**注**：
Hashing使用的的是com.google.common.hash.Hashing，版本是guava-18.0
用法：首先获取token和ticket再用ticket对数据进行签名
String accessToken = client.getAccessToken();//http请求
String ticket = client.getTicket(accessToken); //http请求
String sign = SignUtils.sign(data, ticket);