合作伙伴服务端生成签名，并调用身份证 OCR 识别服务端查询结果，鉴权完成后返回结果（服务端上送 order_no 和 app_id 查询）。

#### 1. 合作方后台生成签名
合作方根据本次人脸验证的如下参数生成签名：

| 参数 | 说明 | 
|---------|---------|
| app_id | 腾讯服务分配的 app_id | 
| order_no | 订单号，本次人脸验证合作伙伴上送的订单号，唯一标识。 | 
| version | 默认值：1.0.0 | 
| api ticket | 合作伙伴服务端缓存的tikcet,注意是sign 类型，具体见  [SIGN ticket获取](https://cloud.tencent.com/document/product/295/10120) | 
| nonceStr | 32 位随机字符串,字母和数字 | 

生成一个 32 位的随机字符串(字母和数字) nonceStr，将 app_id、order_no、version 连同 ticket、nonceStr 共五个参数的值进行字典序排序再 SHA1 编码生成签名。具体签名算法见[签名算法说明](https://cloud.tencent.com/document/product/295/10137)。

#### 2. 身份证 OCR 识别结果查询接口
请求URL：https://idasc.webank.com/api/server/getOcrResult
请求方法:GET
请求参数：

| 参数 | 说明 | 类型 |长度 |是否必填 |
|---------|---------|---------|---------|---------|
| app_id | 腾讯服务分配的 app_id | 字符串 |腾讯服务分配 |必填，腾讯服务分配的 app_id |
| order_no | 订单号 | 字符串 |32 |必填，合作方订单的唯一标识 |
| get_file | 是否需要获取身份证 OCR 图片文件 | 字符串 |1 |非必填，值为1则返回文件；其他则不返回。 |
| nonce | 随机数 | 字符串 |32 |必填 |
| version | 版本号 | 字符串 |20 |必填，默认值：1.0.0 |
| sign | 签名值 | 字符串 |40 |必填，使用上面生成的签名。 |

请求示例：
https://idasc.webank.com/api/server/getOcrResult?app_id=xxx&nonce=xxx&order_no=xxx&version=1.0.0&sign=xxx&get_file=xxxx
	
返回参数：

| 参数 | 类型 | 说明 |
|---------|---------|---------|
| frontCode | string | “0”说明人像面识别成功 |
| backCode | string | “0”说明国徽面识别成功 |
| orderNo | string | 订单编号 |
| name | string | frontCode为 0 返回:证件姓名 |
| sex | string | frontCode为 0 返回:性别 |
| nation | string | frontCode为 0 返回:民族 |
| birth | string | frontCode为 0 返回:出生日期 |
| address | string | frontCode为 0 返回:地址 |
| idcard | string | frontCode为 0 返回:身份证号 |
| validate | string | backCode为 0 返回:证件的有效期 |
| authority | string | backCode为 0 返回:发证机关 |
| frontPhoto | Base 64 string | 人像面照片，转换后为 JPG 格式 |
| backPhoto | Base 64 string | 国徽面照片，转换后为 JPG 格式 |
| frontCrop | Base 64 string | 人像面切边照片 |
| backCrop | Base 64 string | 国徽面切边照片 |
| headPhoto | Base 64 string | 身份证头像照片 |
| frontWarnCode | string | 人像面警告码，在身份证有遮挡、缺失、信息不全时会返回告警码；当 frontCode 为 0 时才会出现告警码，告警码的含义请参考“通用响应码”-“身份证识别响应码” |
| backWarnCode | string | 国徽面警告码，在身份证有遮挡、缺失、信息不全时会返回告警码；当 backCode 为 0 时才会出现告警码，告警码的含义请参考“通用响应码”-“身份证识别响应码” |
| operateTime | string | 做 OCR 的操作时间 |

**注意：**
1)身份证照片信息作为存证，合作伙伴可以通过此接口拉取识别结果和文件，需要注意请求参数的 get_file 需要设置为 1；如果不上送参数或者参数为空，默认不返回照片信息。
2)照片均为 base64 位编码，其中照片解码后格式一般为 jpg。
3)对于身份证识别有部分遮挡、缺失、信息不全的情况，请参考 frontWarnCode 和 backWarnCode 告警码。（见“身份证识别响应码”）
