### 1. 接入前置服务响应码
接入前置服务过程中的常用错误码返回：

| 返回码 | 返回信息 | 处理措施 |
|---------|---------|---------|
| 400101 | 不合法的请求 | 签名校验不通过，请按照章节7确认签名过程。 |
| 400102 | 不合法的请求 | 登录态失效 |
| 400103/400104 | 服务器拒绝访问此接口 | 需要仔细核对请求获取token或ticket参数 |
| 400502 | 请求上送版本参数错误 | 需要仔细核对请求获取 token 或 ticket 参数 |
| 400504 | 请求访问频率过高 | 同一个 APPID，10 分钟只能成功请求一次 token。 |
| 400601 | 请求参数提过大 | 检查上送的报文大小，尤其是包含图片和文件的报文，不能超过接口要求大小 |

### 2.人脸验证响应码

| 返回码 | 返回信息 | 处理措施 |
|---------|---------|---------|
|0  |  人脸验证成功|    |
| 66660001 | 不合法请求  |  APPID 不存在 |
|66660002  | 服务已过有效期  |服务已经过了有效期，请联系相关人员   |
|66660004 | 1.请确保光线充足;<br>2.请确保人脸正对框内;<br>3.请确保脸部无遮挡 | 人脸比对相似度得分不够  |
|66660005 | 无照片信息，无法比对 | 公安无照片  |
|66660006  | 1.请确保光线充足;<br> 2.请确保人脸正对框内;<br>3.请确保脸部无遮挡  |按照提示重新操作   |
|66660008/66660009/66660012|服务处理失败,请稍后再试|联系腾讯处理|
|66660010  |姓名和身份证不一致，请确认   | 姓名和身份证不匹配  |
|66660011|无人脸验证结果|当前订单或用户无人脸验证结果|
|66660014|活体检测未通过|活体检测未通过|
|66660015  |  姓名或身份证不合法 |身份证或姓名非法，后台校验身份证有效性，同时也校验姓名   |
|66660016|不合法请求|文件或视频不合法|
|66660017|验证次数超限|当日用户验证次数超限 |
|66660018|无此 ID 的用户身份信息|微信 H5 刷脸上送的 FACEID 信息有误|
|66660019|比对源照片问题,无法解码  |   比对的照片格式有问题，无法解析|
|66660022|唇语失效,请重新拉取|获取不到数字唇语|
|66660023|请确保正脸对框且光线充足|防攻击活体检测不通过(包含翻拍、模型等)|
| -4006/-4007/-4010/-4015/-5001/-5002/-5005/-5009 | 视频中自拍照特征提取或检测失败  | 按照如下提示再次尝试：<br>1.请确保光线充足;<br>2.请确保人脸正对框内;<br>3.请确保脸部无遮挡  |
|-4009/-4017/-4018  | 比对源照片问题,无法解码  |  提供的比对源照片编码问题，无法解析，可以尝试如下：<br>1、如果是合作伙伴自带数据源，请确保数据源照片 |
| -5007/-5008/-5013 | 视频没有声音或声音太小  | 请大声跟读屏幕数字  |
|-5010  |唇动失败   |  请大声跟读屏幕数字 |
|-5012  |  视频中噪声太大 | 请确保刷脸周围环境安静  |
| -5016 | 请确保正脸对框且光线充足 | 人脸或者活体检测失败  |
| -5011/-5014 |  活体检测失败 | 唇动、语音等检测失败导致的活体检测失败，需要用户匀速大声跟读数字
|  -5015|视频像素太低,最小 270*480  |视频像素太低不支持，建议换手机再试  |

### 3. 身份证识别响应码

| 返回码 | 返回信息 | 处理措施 |
|---------|---------|---------|
|0 |身份证识别成功| |
|66660020|OCR 结果查询不到|身份证识别无结果，确认订单号是否正确|
|66661001|识别错误,非身份证件或图像质量问题|未能识别，需重新识别|
|66661002|识别错误,临时身份证|未能识别，不支持临时身份证|
|66661003 |身份证已失效|未能识别，不支持实效身份证 |
|66661004 |非法的日期|未能识别 |
|66661005 |图像解码异常| 未能识别，需重新识别|
|66661006 |非身份证人像面|未能识别，需重新更换到人像面 |
|66661007 |非身份证国徽面|未能识别，需重新更换到国徽面|
|66661008 |姓名或身份证号未能识别|姓名或身份证号识别结果为空，或有效性校验不通过：如身份证号码不满足 18 位、身份证号码奇偶校验不通过、姓名只有一个汉字等情况|

| 警告码 | 返回信息 | 处理措施 |
|---------|---------|---------|
|10000000 |身份证图像不全（遮挡或缺角）| |
|01000000 |检测为复印件| &nbsp;    |

注：
（1）字符串每一位对应一个独立告警。可标识多重告警：比如复印件且信息不符：01001000
（2）对于告警码，默认处理为通过，客户可根据情况自行对此告警码做拒绝识别处理

### 4. 银行卡识别响应码
返回码 | 返回信息 | 处理措施 
---------|---------
0	|银行卡识别成功	| &nbsp; 
1304	|参数过长|	订单号长度为不超过 32 位，确认订单号是否正确
9011	|银行卡 OCR 识别失败	|未能识别，需重新识别
9012|	图片模糊	|未能识别，需确保图片对焦成功
9013	|未找到银行卡	|未能识别，不支持实效身份证
9014	|卡号不合法|	未能识别，需避免图片反光或遮挡

警告码	|返回信息|	处理措施
---------|---------
9110|	无效的日期信息	|&nbsp; 
66661009	|银行卡已过期	|&nbsp; 

> ** 注：**
（1）字符串每一位对应一个独立告警。可标识多重告警：比如复印件且信息不符：01001000
（2）对于告警码，默认处理为通过，客户可根据情况自行对此告警码做拒绝识别处理



### 5. 二要素验证响应码
| 返回码 | 返回信息 | 处理措施 |
|---------|---------|---------|
| 0 | 请求成功 |  |
| 66660001 | 不合法请求 | APPID 不存在 |
| 66660002 |服务已过有效期 | 服务已经过了有效期，请联系相关人员 |
| 66660008/66660009/66660012| 服务处理失败,请稍后再试 | 联系腾讯处理 |
| 66660010 | 姓名和身份证不一致，请确认 |姓名和身份证不匹配 |
| 66660015 | 姓名或身份证不合法 | 身份证或姓名非法，后台校验身份证有效性，同时也校验姓名 |
