
为了确保前端 SDK 的结果真实性且未被篡改，合作伙伴服务端可以验证结果。
1. 合作伙伴 APP 端银行卡 OCR 识别 SDK 返回的带签名结果。
2. 合作伙伴 APP 端调用其服务端接口进行签名认证，接口认证成功后继续业务流程。

#### 1. 合作方后台生成签名 ####
合作方根据本次人脸验证的如下参数生成签名：

参数 | 说明
---|--- 
app_id |腾讯服务分配的 app_id 
order_no	| 订单号，本次人脸验证合作伙伴上送的订单号，唯一标识。
api ticket	|合作伙伴服务端缓存的 tikcet,注意是 sign 类型，具体见 [Access Token获取](https://cloud.tencent.com/document/product/295/10118?=cn) 获取规则
生成签名步骤：
1. 将 app_id、order_no、连同 ticket（SIGN）共三个参数的值进行字典序排序。
2. 将排序后的所有参数字符串拼接成一个字符串进行 SHA1 编码。
3. SHA1 编码后的 40 位字符串作为签名（sign）。

示例代码及用法
```
示例：
请求参数：
app_id = appId001
order_no= userID19959248596551
ticket= duSz9ptwyW1Xn7r6gYItxz3feMdJ8Na5x7JZuoxurE7RcI5TdwCE4KT2eEeNNDoe
```

字典排序后的参数为：
```
[appId001, duSz9ptwyW1Xn7r6gYItxz3feMdJ8Na5x7JZuoxurE7RcI5TdwCE4KT2eEeNNDoe, test1480921551481]
```
拼接后的字符串为：
```
 appId001duSz9ptwyW1Xn7r6gYItxz3feMdJ8Na5x7JZuoxurE7RcI5TdwCE4KT2eEeNNDoetest1480921551481
```
计算 SHA1 得到签名：
```
B02CEBEB07F792B2F085E8CB1E7BA9EC19284F54 该字串就是最终生成的签名 (40位)，不区分大小写。
```

#### 2. 比对签名
  合作方服务端生成的签名与SDK返回的签名比对，如果相同即可信任 SDK 的刷脸结果。
> ** 注：合作方必须定时刷新 ticket(SIGN) 保证远程身份认证后台缓存有该合作方的 ticket(SIGN)，否则后台无法生成签名值。

