
合作伙伴服务端生成签名，并调用银行卡 OCR 识别服务端查询结果，鉴权完成后返回结果（服务端上送 order_no 和 app_id 查询）。

#### 1. 合作方后台生成签名
合作方根据本次人脸验证的如下参数生成签名：

参数 | 说明
---|--- 	
app_id|	腾讯服务分配的 app_id
order_no	|订单号，本次人脸验证合作伙伴上送的订单号，唯一标识。
version|	默认值：1.0.0
api ticket	|合作伙伴服务端缓存的 tikcet，注意是 sign 类型，具体见[Access Token获取](https://cloud.tencent.com/document/product/295/10118?cn)获取规则
nonceStr|	32位随机字符串，字母和数字
- 生成一个 32 位的随机字符串（字母和数字）nonceStr，将 app_id、order_no、version 连同 ticket、nonceStr 共五个参数的值进行字典序排序再 SHA1 编码生成签名。具体签名算法见[签名算法说明](https://cloud.tencent.com/document/product/295/10137)。

#### 2.  银行卡 OCR 识别结果查询接口
请求URL：`https://idasc.webank.com/api/server/getBankCardOcrResult`
请求方法：GET
请求参数：

参数	|说明	|类型	|长度|	是否必填
---|--- 
app_id|	腾讯服务分配的 app_id	|字符串	|腾讯服务分配|	必填，腾讯服务分配的 app_id
order_no	|订单号|	字符串	|32	|必填，合作方订单的唯一标识
get_file	|是否需要获取银行卡OCR图片文件	|字符串	|1	|非必填，值为1则返回文件；其他则不返回。
nonce	|随机数	|字符串	|32	|必填
version	|版本号	|字符串	|20	|必填，默认值：1.0.0
sign	|签名值	|字符串|	40	|必填，使用上面生成的签名。
 **请求示例：**
```
https://idasc.webank.com/api/server/getOcrResult?app_id=xxx&nonce=xxx&order_no=xxx&version=1.0.0&sign=xxx&get_file=xxxx
```	
返回参数：

参数|	类型|	说明
---|--- 
code	|string|	“0”说明银行卡识别成功
msg|	string|	返回结果描述
orderNo|	string	|订单编号
bankCardNo|	string	|resultCode为 0 返回：银行卡号
bankCardValidDate	|string|	resultCode 为 0 返回：银行卡有效期
bankcardCropPhoto|	Base 64 string|	银行卡切边图片
bankcardNoPhoto	|Base 64 string	|银行卡卡号切边图片
orginBankcardPhoto	|Base 64 string	|识别原始图片
warnCode	|string	|银行卡警告码，在银行卡日期失效或者过期会提示；当 frontCode 为 0 时才会出现告警码，告警码的含义请参考“通用响应码”-“银行卡识别响应码”
operateTime|	string	|做 OCR 的操作时间

>** 注意：
- 银行卡照片信息作为存证，合作伙伴可以通过此接口拉取识别结果和文件，需要注意请求参数的 get_file 需要设置为 1；如果不上送参数或者参数为空，默认不返回照片信息。
- 照片均为 base64 位编码，其中照片解码后格式一般为 jpg。
- 对于银行卡识别有日期失效或者过期的情况，请参考 frontWarnCode和backWarnCode 告警码。（见银行卡识别响应码码）
