## 产品概述

手游安全测试（Security Radar）为企业提供私密安全测试服务，通过主动挖掘游戏业务安全漏洞（诸如钻石盗刷、服务器宕机、无敌秒杀等40多种漏洞），提前暴露游戏潜在安全风险，提供解决方案及时修复，最大程度降低事后外挂危害与外挂打击成本。该服务为腾讯游戏开放的独家手游安全漏洞挖掘技术，杜绝游戏外挂损失，<a target="_blank" href="https://cloud.tencent.com/document/product/574/8818">查看手游外挂危害</a>。

## 产品优势

### 1. 预知风险

**预知风险并修复**  
提前挖掘漏洞，并提供修复方案，让外挂无机可乘。  

**与安全加固的区别**  
一般安全加固产品都是提高外挂制作门槛，不会从根本上消除漏洞和外挂。该产品是直接找到漏洞并修复，让外挂无机可乘。  

**与App安全扫描的区别**  
游戏安全扫描，不仅通过智能自动化工具扫描，还与游戏具体的玩法和功能紧密相关，理解游戏的功能后，分析正常功能背后的作弊点，找到能够通过非正常途径的获益点。

### 2. 专注游戏

支持Unity3D、UE4、Cocos2D等主流引擎的游戏，从游戏通信协议、客户端函数安全、脚本逻辑、内存安全、静态资源安全等多个维度挖掘业务安全漏洞。

### 3.专家团队

工程师来自腾讯IEG手游漏洞测试团队，具有极为丰富的实战经验, 曾服务过腾讯自研、累积服务产品版本700+，使用行业独创渗透测试方案提供专业级服务。

### 4. 星级标准

腾讯游戏6星级质量标准，获得与《王者荣耀》、《穿越火线-枪战王者》、《龙之谷》等腾讯顶级手游同等测试服务品质。

### 5. 降低成本

按效果付费，无漏洞，不收费。

### 6. 方便安全 

无需接入SDK，对游戏本身无影响；保证产品高度私密性，不公开任何漏洞细节。

## 产品功能

### 1. 漏洞挖掘

**风险分析**  
熟悉游戏，进行风险分析，设计测试风险点。


**漏洞挖掘**  
安全测试专家分组进行安全渗透测试，提交漏洞。

- 漏洞类型：包含服务器宕机、盗刷钻石、无敌秒杀、全屏攻击、游戏加速等40多种漏洞，不同游戏类型不一样。查看更多漏洞类型  
- 测试维度：游戏通信协议、服务器健壮性、客户端函数安全、脚本逻辑安全、内存安全、静态资源安全、变速测试等。  

**报告汇总**  
汇总游戏风险评估结果和漏洞，发送测试报告。查看测试报告


### 2. 灰盒与黑盒测试说明
漏洞挖掘，包含两种测试方式：灰盒测试、黑盒测试。根据您的情况进行选择。

**灰盒深度测试**  


- 对游戏进行深度风险分析和漏洞挖掘，覆盖全量游戏功能，并提供安全漏洞修复方案。
- 支持所有游戏。
- 需产品方提供游戏协议结构文件。
- 耗时5-8个工作日。

**黑盒深度测试**  

- 对游戏进行深度风险分析和漏洞挖掘，覆盖全量游戏功能，并提供安全漏洞修复方案。
- 支持Unity3D和UE引擎开发的游戏。
- 无需提供游戏协议结构文件。
- 耗时15个工作日。