### 1. debug签名
#### 1.1 什么是debug签名
Android应用通过数字签名来标识应用程序的作者和应用程序之间的信任关系。
android的这个签名由应用程序的作者完成，并不需要权威的数字证书签名机构认证，只是用来让应用程序包自我认证的。Android系统默认自动给应用程序签名，ADT会自动使用debug密钥为应用程序签 名，debug密钥是一个名为debug.keystore的文件，位置位于电脑的：/Documents and Settings/电脑用户名/.Android/debug.keystore。

##### 1.2 我的应用能使用debug签名吗
如果您的应用是采用默认签名的方式（debug签名），一旦换了新的签名应用将不能覆盖安装，必须将原先的程序卸载掉，才能安装上。
因为程序覆盖安装主要检查两点：
       1）两个程序的入口Activity是否相同。两个程序如果包名不一样，即使其它所有代码完全一样，也不会被视为同一个程序的不同版本；
       2）两个程序所采用的签名是否相同。如果两个程序所采用的签名不同，即使包名相同，也不会被视为同一个程序的不同版本，不能覆盖安装。
			 
因此，使用debug签名存在以下风险：
       1）debug签名的应用程序不能在Android Market上架销售，它会强制您使用自己的签名；
        Debug模式下签名用的证书(默认是Eclipse/ADT和Ant编译)自从它创建之日起，1年后就会失效。
       2）debug.keystore在不同的机器上所生成的可能都不一样，就意味着如果您更换机器进行apk版本升级，那么将会出现程序不能覆盖安装的问题。相当于软件不具备升级功能！
			 
基于上述原因，我们不建议您使用debug签名作为应用的签名，除非您只是做本地测试。

### 2.zipalign优化
#### 2.1 zipalign优化
Zipalign优化是对Apk文件进行存档对齐，确保所有的未压缩数据都从文件的开始位置以指定的对齐方式排列。尤其是.apk压缩包中的图片资源和未加工处理的相关文件，对齐的方式是以4字节对齐。
#### 2.2 zipalign优化有什么好处
Zipalign优化能够减少应用程序的RAM内存资源消耗。目前Google Play要求必须使用zipalign优化的安装包，其他应用市场暂无要求。
#### 2.3 我是否需要选择zipalign优化
您可以结合实际情况来自主选择是否zipalign优化。通常除上架Google Play外，无需做zipalign优化。

### 3. 渠道包不成功
AndroidManifest.xml 文件属于二进制文件，您若使用文本编辑器（包括notepad++、Editplus等）打开会显示乱码。若您使用文本编辑器查看，可能找不到已成功写入的渠道名称，建议您使用AXMLPrinter2等软件查看。

### 4.加固和混淆
#### 4.1 什么是代码混淆
代码混淆通常将代码中的各种元素（变量、函数、类名等）改为无意义的名字，使得阅读的人无法通过名称猜测其用途，增大反编译者的理解难度。
虽然代码混淆可以提高反编译的门槛，但是对开发者本身也增大了调试除错的难度。开发人员通常需要保留原始未混淆代码用于调试。

#### 4.2 代码混淆就安全了么
代码混淆并不能从根本上阻止反编译等。因为代码混淆仅仅提高了阅读难度，但并不能真正阻止反编译。因此，对于高安全要求的场景，代码混淆并不足够安全。

#### 4.3 加固前需要代码混淆么
加固前不需要特意混淆，直接提交安装包进行加固即可。
但是加固和代码混淆并不冲突。

#### 4.4 加固和代码混淆的安全性比较
代码混淆仅提搞了代码的阅读难度。
加固是多维度的安全防护方案，包括反破解、反逆向、防篡改等，可以防止应用被各类常见破解工具逆向，安全性要远大于单纯的代码混淆。

### 5. 加固后应用异常
#### 5.1 加固后无法安装
请确保您加固后已重新签名。
加固过程不可避免的会破坏签名，因此加固后的包需重签名，未签名应用将无法顺利安装。
#### 5.2 加固后部分功能异常
通常是因为未（正确）签名导致。应用加固不会影响应用既有功能，请排查以下可能问题：
①	应用加固前后签名不一致，或者未签名；
②	应用本身有签名、文件MD5校验等校验机制；
③	多次重复加固极易导致程序异常，请确保使用一次加固。推荐您上传原始安装包，使用乐固进行加固。请勿用第三方加固包或乐固加固包再次加固；
对于无法确认的问题，您可以联系我们。乐固官方QQ群：218062986

### 6. 加固失败
#### 6.1 加固失败：应用存在安全风险
说明应用被国内外杀毒引擎判定为恶意，乐固将会拒绝对此类应用进行加固，请检查应用是否有违规行为！
乐固采信了第三方杀毒引擎判定结果。若您的应用被杀毒引擎判定为恶意，是否加固已经无意义，因该类应用将无法上架正规应用市场，无法安装到用户手机，也注定会被手机的安全防护软件拦截。此类问题非加固造成，还请仔细检查应用是否违规。
#### 6.2 加固失败：重新加固
通常因超时等不可控因素，建议您点击重新加固。
若多次仍不能解决，请联系我们：乐固官方QQ群  218062986

### 7. 签名失败
#### 7.1 为什么签名失败
签名失败的原因通常有以下情况：
1、密码错误
2、签名文件错误

### 8. 签名信息获取
#### 8.1 签名工具中的签名信息（keystore路径、keystore密码、keystore别名）
签名信息请向您的开发人员索取，签名文件一般为keystore或jks的扩展名文件。

### 9. 缺少标签
#### 9.1 上传应用后提示缺少标签
APk中的androidmanifest.xml文件描述了应用的基本信息。
标签属性是一个重要的基础信息，乐固平台对APK文件中的androidmanifest.xml文件解析后，会获取其中的application和activity节点下的android:label字段的值，并作为APK的标签信息保存。如果该字段为空，乐固会提示“APK缺少标签”。
若您上传时提示APK缺少标签，建议您按照标准填写androidmanifest.xml文件的android:label字段。

### 10.如何加固
#### 10.1 加固步骤
您只需要确保使用** 已签名 **的安装包在乐固直接提交加固即可。
#### 10.2 加固须知
另外，因加固过程不可避免的会破坏签名，**请务必在加固后重签名。**签名后的加固包发布到各应用市场即可。

### 11. 上传失败
#### 11.1 上传失败的原因有哪些？
##### 上传的应用未签名
目前乐固仅允许上传已签名应用。
#### 应用存在安全风险
若第三方杀毒引擎提示您的应用存在安全风险，则乐固会拒绝您的上传、拒绝对应用进行加固。一旦出现该情形，建议您检查应用中是否存在违规行为。
若您将该应用发布出去，极大可能被渠道市场拒绝、无法在用户手机安装。对于此类应用，加固能否成功并非最核心要素，因为渠道分发、用户手机都会有类似的安全扫描，乐固采信的第三方杀毒引擎也极有可能被各分发市场、用户手机上安装的安全软件采信。
该类应用正真的问题在于，很难发布到正规市场、安装到用户手机上去，而非无法加固。
#### 浏览器不兼容
部分浏览器可能存在不兼容情况，推荐使用最新的chrome、IE浏览器或QQ浏览器。

### 12. 为什么要加固
#### 12.1 为什么要加固
国内android分发市场复杂，开发者若不对自身应用进行安全防护，极易被病毒植入、广告替换、支付渠道篡改、钓鱼、信息劫持等，严重侵害开发者的利益；
#### 12.2 使用乐固加固有什么好处
乐固)提供了移动应用的一站式安全解决方案。
使用乐固的加固功能，能有效避免应用被破解、逆向、盗版。且加固过程，对安装包体积、性能以及应用的兼容性影响极小。整个加固过程通常在数分钟内，一键式操作，便捷快速；


### 13. 重签名

#### 13.1 加固为什么必须重签名
应用加固不可避免的会破坏原有签名，加固后必须对加固包重签名才能发布至应用市场，否则会被提示“应用未签名”。请务必确保加固前后的签名一致。
#### 13.2 为什么签名失败
签名失败的原因通常有以下情况：
1、密码错误
2、签名文件错误
3、加固包下载不正确：请您检查下加固包体积是否过小。因网络原因，若您的包下载时间过久，可能还未下载完成已经被浏览器强制置为完成，导致下载的加固包实际是残缺的。
4、权限不足：受限用户自身系统、环境权限设定。签名工具可能无读写签名文件路径的权限。建议您可以把签名文件放在签名工具目录下重试。
若您确认无以上问题，仍然签名失败，可以联系我们。乐固官方QQ群：218062986
#### 13.3 签名工具中的签名信息（keystore路径、keystore密码、keystore别名）
签名信息请向您的开发人员索取，签名文件一般为keystore或jks的扩展名文件。
