## 1 多渠道打包概述

在应用分发过程中，开发者需要在APK配置文件AndroidManifest.xml内配置渠道信息，使得不同渠道发布的包能够具有标识该渠道包的能力。因此，腾讯云应用加固提供多渠道打包功能给开发者，方便开发者使用此功能，生成和下载加固后的不同渠道包。一个可能的meta-data配置如下：

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/axml.png)

## 2 操作步骤

### 2.1 多渠道信息的准备

在您上传APK后，应用加固系统会从您上传的APK配置文件AndroidManifest.xml中读取配置在application中的meta-data信息，以每个meta-data节点的android:name作为渠道key，作为可能的渠道选择显示出来。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/multiplechannel.png)

### 2.2 多渠道加固

您根据需要选择渠道key，并填入渠道key对应的渠道值，以逗号分隔key-value对，以回车分隔不同渠道的参数，点击开始加固即可。一个可能的例子如下：

A_CHANNEL=1,B_CHANNEL=1
A_CHANNEL=2,B_CHANNEL=2

上面表示，您需要制作两个渠道包，其中渠道包1配置文件中对应的A_CHANNEL和B_CHANNEL值需要被替换为1，另外一个渠道包2配置文件中的A_CHANNEL和B_CHANNEL值需要被替换为2。

每个渠道的key-value对数量必须相同且key取值必须是在可选的key范围内。

### 2.3 下载多渠道包

多渠道加固完成后，您可以点击下载，此时会根据您之前填写的渠道值给出下载包列表，您可以根据需要下载对应的渠道包。如果一次选择多个渠道下载，多个渠道包会一并压缩并提供下载。如下：

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/downloadmutiplepkg.png)