## 1 服务概述

安卓应用的分发渠道众多，应用经常面临着病毒植入、广告替换、支付渠道篡改、钓鱼、信息劫持等风险。为此，腾讯云结合多年的终端安全经验，联合手机管家团队，针对移动应用常见的安全风险，提供应用检测服务，检测移动应用潜在的风险点，帮助开发者快速发现问题，方便开发者作出针对性的解决方案。目前应用检测针对移动应用进行四方面的风险点检测：DEX文件保护检测、源代码混淆检测、so库文件保护检测和病毒扫描检测。

## 2 应用检测点

### 2.1 DEX文件保护检测

DEX文件是Android系统中在Dalvik虚拟机上可以直接运行的文件格式。 未做保护的DEX文件被反编译后，会导致源码泄漏。恶意人员通过阅读源代码了解应用结构和业务流程后，能够进行盗版、篡改、代码注入、攻击等危险行为。

### 2.2 源代码混淆检测

源代码混淆是针对代码的类名、函数名、变量名进行替换，使得代码达到普通人难以查看和理解的程度，降低业务代码逻辑暴漏风险的一种防范措施。 未经混淆的源代码一旦被恶意人员获取，同样会带来盗版、篡改、代码注入、攻击等风险。

### 2.3 so库文件保护检测

so库是通过NDK技术将应用代码用C/C++语言实现，再提供给Java层调用的一种方式。相对java来说，能够达到较高的安全性和获得较好的性能。但so库依然可以通过工具来破解。 so库文件未做保护，可能被破解，导致代码和业务逻辑的暴露。

### 2.4 病毒扫描检测

依托腾讯手机管家，对应用常见的安全项进行了检查，并进行了病毒扫描。

## 3操作步骤
1. 在[应用加固首页](http://game.qcloud.com/apkprotect)点击上传检测文件，在弹出框中选择待上传的APK，安装包不大于100M

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yingyongjiance-02.png)

2. 安装包上传完毕，点击下一步，稍等片刻，便能得到一份简要的检测和监控报告了。您可以根据自身需要，选择去[应用加固](/doc/product/283/操作步骤)加固应用安装包或者查看更多的[渠道监控](/doc/product/283/渠道监控)结果。

![](//qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yingyongjiance-01.png)