## 什么是debug签名
Android应用通过数字签名来标识应用程序的作者和应用程序之间的信任关系。
android的这个签名由应用程序的作者完成，并不需要权威的数字证书签名机构认证，只是用来让应用程序包自我认证的。Android系统默认自动给应用程序签名，ADT会自动使用debug密钥为应用程序签 名，debug密钥是一个名为debug.keystore的文件，位置位于电脑的：/Documents and Settings/电脑用户名/.Android/debug.keystore。

## 我的应用能使用debug签名么
如果您的应用是采用默认签名的方式（debug签名），一旦换了新的签名应用将不能覆盖安装，必须将原先的程序卸载掉，才能安装上。
因为程序覆盖安装主要检查两点：
       1）两个程序的入口Activity是否相同。两个程序如果包名不一样，即使其它所有代码完全一样，也不会被视为同一个程序的不同版本；
       2）两个程序所采用的签名是否相同。如果两个程序所采用的签名不同，即使包名相同，也不会被视为同一个程序的不同版本，不能覆盖安装。
			 
因此，使用debug签名存在以下风险：
       1）debug签名的应用程序不能在Android Market上架销售，它会强制您使用自己的签名；
        Debug模式下签名用的证书(默认是Eclipse/ADT和Ant编译)自从它创建之日起，1年后就会失效。
       2）debug.keystore在不同的机器上所生成的可能都不一样，就意味着如果您更换机器进行apk版本升级，那么将会出现程序不能覆盖安装的问题。相当于软件不具备升级功能！
			 
基于上述原因，我们不建议您使用debug签名作为应用的签名，除非您只是做本地测试。
