### 非腾讯云内的服务器能否使用网站管家 WAF？
网站管家支持云外机房用户接入。Web 应用防火墙可以保护任何公网的服务器，包括但不限于腾讯云，其他厂商的云，IDC 等。 
> 注意： 在中国大陆地区接入的域名必须按照工信部要求进行 ICP 备案。

### 网站管家 WAF 是否支持 HTTPS 防护？
网站管家全面支持 HTTPS 业务。只需根据提示将 SSL 证书及私钥上传，或者选择腾讯云托管证书，Web 应用防火墙即可防护 HTTPS 业务流量。

### 网站管家 WAF 的 QPS 限制规格是针对整个实例，还是配置的单个域名的 QPS 上限？
网站管家的 QPS 限制规格是针对整个实例。配置防护三个域名，则这三个域名累加的 QPS 不能超过规定上限。如果超过已购买的实例的 QPS 限制，将触发限速，导致丢包。

### 网站管家 WAF 的源站 IP 可以填写腾讯云 CVM 内网 IP 吗？
目前网站管家不支持填写 CVM 内网 IP。

### 网站管家 WAF 可以直接使用 BGP 高防包么？
可以，在 BGP 高防包控制台配置页面直接选择网站管家 WAF 实例的 IP 即可让网站管家具备高防能力。

### 网站管家 WAF 如何同 CDN 或 BGP 高防包 一起接入？
网站管家可直接将 BGP 高防包叠加，CDN 的源站指向网站管家 WAF 实例的 IP 即可。

最佳部署架构：
客户端 > CDN > 网站管家 WAF +高防包 > 负载均衡 > 源站

在客户需要 CDN 和高防能力时，只要将网站管家接入后提供的 CNAME 配置为 CDN 的源站即可，同时可以将 BGP 高防包叠加到网站管家 WAF 实例上。即可实现用户流量经过 CDN 之后，被转发至网站管家 WAF 同时具备大流量 DDoS 的清洗能力，最终转发至源站，对源站进行全面的安全防护。

### 网站管家 WAF 能够保护在一个域名下的多个源站 IP 吗？
支持，一个 网站管家 WAF 支持的防护域名最多为 20 个。

### 网站管家 WAF 配置多个源站时如何负载？
如果配置了多个回源 IP，网站管家 WAF 采用轮询的方式对访问请求进行负载均衡。

### 网站管家 WAF 是否支持健康检查？
网站管家 WAF 默认启用健康检查。网站管家 WAF 会对所有回源 IP 进行接入状态检测，如果某个回源 IP 没有响应，网站管家 WAF 将不再将请求转发到该回源 IP 直到接入状态恢复正常。

### 网站管家 WAF 是否支持会话保持？
网站管家 WAF 支持会话保持，默认开启。

### 在网站管家 WAF 的控制台中，更改配置后大约需要多少时间生效？
一般情况下，更改后的配置在 10 s 内即可生效。

### 网站管家 WAF 的回源 IP 段是多少？
```
123.207.88.0/24
123.207.124.0/24
119.29.245.0/24
139.199.169.0/24
123.207.83.0/24
119.29.218.0/24
119.29.106.0/24
118.89.61.0/24
```

### 网站管家 WAF 是否会自动将回源 IP 段加入安全组？
不会自动将高防回源 IP 段添加到安全组。请参考 [使用手册](/doc/product/627/11706) 将相应的回源 IP 加入到安全组。
