## 一. 域名添加
为了能够让网站管家识别需要防护的域名，您需要先在网站管家添加域名。下面以防护`www.qqtester.com`为例说明域名添加的步骤。

1. 登录 [腾讯云控制台](https://console.cloud.tencent.com/)，单击导航条【网站管家】选项卡，进入网站管家控制台。在左侧导航窗格中，单击【防护设置】，进入防护设置页面。
2. 单击【添加域名】按钮，弹出添加域名窗口。
3. 请输入需要防护的域名（如`www.qqtester.com`），选择协议和端口（如选择 HTTP 协议，80 端口），输入需要防护网站的真实 IP 源站地址（即源站的公网 IP 地址）；单击【添加】即可。
  ![域名添加](https://mc.qcloudimg.com/static/img/f1a9f6e80f56d9bf17d319f228e3084d/domain_add_01.png)
4. 防护设置页面将显示刚添加的域名，双击域名进入详情页，可查看网站管家为站点分配的 CNAME。此时，防护域名已添加完成。
  ![域名添加](https://mc.qcloudimg.com/static/img/d0cc2aa33cc48458c5a218cf86177eb6/domain_add_02.png)

## 二. 本地测试
本地机器访问网站需要 DNS 解析，在 DNS 解析之前，本地机器会优先从本地 Hosts 文件中获取目标域名对应的 IP 地址。因此我们可以用修改 Hosts 文件的方式把本地的访问流量导向网站管家，从而测试经过网站管家访问 Web 站点的线路连通性，避免直接修改 DNS 解析记录影响到公网用户对站点的访问。

1. 获取 IP 地址
  在本地的 Hosts 文件中添加的 IP 地址，是通过 Ping 网站管家分配的 CNAME 得到的 IP 地址。
  ![本地测试](https://mc.qcloudimg.com/static/img/e4f961fc46724e01b7c2530baf2ecbdd/local_test_01.png)
2. 修改 Hosts 文件
 在 Windows 下修改`C:\Windows\System32\drivers\etc\hosts`，增加条目。
    ![本地测试](https://mc.qcloudimg.com/static/img/786df96a80f335217c4e8fd6a9e2f00b/local_test_02.png)
 在 Linux 下 修改`/etc/hosts`，增加条目。
    ![本地测试](https://mc.qcloudimg.com/static/img/8658570d2c63b1bc2c4505080d84ec49/local_test_03.png)
3. 在本地机器上访问 Web 站点，站点能够正常打开则说明通过网站管家访问 Web 源站的线路连通性正常。
4. 在浏览器中输入以下地址：
```
http://www.qqtester.com/?test=alert(123)  
```
浏览器返回预期的阻断页面，则说明网站管家防护功能正常。
![本地测试](https://mc.qcloudimg.com/static/img/d7cc0f6ddf36d2d565cccae57f3c8d32/local_test_04.png)


## 三. 修改 DNS 解析
当您想通过网站管家防护公网用户访问网站的流量时，需要修改 DNS 的解析记录。下面以在腾讯云上修改测试站点 `www.qqtester.com `的 DNS 解析为例，说明修改 DNS 解析的步骤。

1. 登录 [云解析控制台](https://console.cloud.tencent.com/cns/domains)，在域名列表中，选择需要接入网站管家的域名`qqtester.com`，单击【解析】进入解析配置界面。
  ![本地测试](https://mc.qcloudimg.com/static/img/19e7342d2eea6d4d943ce0d2e7464d4f/domain_exp_01.png)
2. 单击【添加记录】，弹出添加记录窗口。记录类型选择 CNAME ，主机记录填对应网站的主机记录，这里需要防护的是`www.qqtester.com` ，即`www`。记录值填写网站管家分配的 CNAME 域名`***************16feb2214fc62a3.qcloudwzgj.com`。单击【确定】保存。
  ![本地测试](https://mc.qcloudimg.com/static/img/8a12c2aabf297c8e99e878a839b6657a/domain_exp_02.png)
3. 修改完成之后，待 DNS 记录生效，网站管家将对网站`www.qqtester.com` 的所有互联网用户的流量进行防护。同时，网站管家检测到被防护域名解析正常之后在控制台上将提示 **正常防护**。

## 四. 设置安全组 
安全组是腾讯云提供的实例级别防火墙，可以对任意云服务器进行入/出流量控制，在安全组中设置仅仅允许来自网站管家的流量访问网站可以避免攻击者绕过网站管家直接攻击网站源站，我们以在安全组中放行网站管家回源 IP 网段 `123.207.88.0/24` 为例说明配置过程。

1. 登录 [云服务器控制台](https://console.cloud.tencent.com/cvm/overview)，进入云服务器控制台，单击左侧导航【安全组】进入安全组页面。
![本地测试](https://mc.qcloudimg.com/static/img/e974185bedefc9071d4ce8ea639af578/sec_group_01.png)
2. 单击【+新建】按钮，输入安全组的名称（例如 my-security-group），选择自定义模板，填写相关备注。![本地测试](https://mc.qcloudimg.com/static/img/7bd416c6d5df549fbdd1489ca2616944/sec_group_02.png)
3. 在入站规则列表中单击【+新增一行】，在新增的配置行中，规则协议选择 HTTP，来源中填写需要放行的回源网段 `123.207.88.0/24 `。单击【新建】完成配置。
![本地测试](https://mc.qcloudimg.com/static/img/2326cd7793602227e0115ea4db7d373b/sec_group_03.png)
4. 在安全组列表中，找到新建的安全组，单击【操作】>【加入实例】，选择绑定类型：云主机，选择需要绑定的云主机，即可完成安全组绑定云主机的操作。您还可以进入云主机列表页查看或修改某云主机已绑定的的安全组，在云主机列表页选择需要调整安全组的云主机 ，单击对应的【操作】>【更多】>【配置安全组】，选择安全组绑定。

> **注意：**
> 网站管家所有需要被放行的回源地址段为：
```
123.207.88.0/24
123.207.124.0/24
119.29.245.0/24
139.199.169.0/24
123.207.83.0/24
119.29.218.0/24
119.29.106.0/24
118.89.61.0/24
```
