## 功能简介
自定义策略支持从 HTTP 报文的请求路径、GET 参数、 POST 参数、 Referer 和 User-Agent 等多个特征进行组合，进行特征匹配来对公网用户的访问进行管控。面对来自互联网上的各种攻击行为，腾讯云用户可以利用自定义策略灵活应对，组合出有针对性的规则来阻断各类攻击行为。

## 注意事项
- 每个自定义策略最多可以设置 5 个条件进行特征控制。
- 每个自定义策略中的多个条件之间是“与”的关系，也就是所有条件全部匹配策略才生效。
- 每个自定义策略匹配之后可以配置两种处理动作：阻断和放行。

## 配置案例
### 案例一：禁止特定 IP 地址访问指定站点
当网站管理员需要禁止特定 IP 地址访问指定站点时，可以
1. 登录 [网站管家控制台](https://console.cloud.tencent.com/guanjia)，单击【网站应用防火墙】>【防护设置】，选择需要防护的站点域名，单击【自定义策略】进入自定义策略配置界面。
![自定义规则](https://mc.qcloudimg.com/static/img/f2b0f14378b7ecc2e9aa1a2ae2f73246/zdy_01.png)
2. 单击【添加规则】，输入规则名称（如 001），在匹配字段中选择一个字段（如来源 IP），逻辑符号选择匹配，匹配内容填入需要禁止访问的来源 IP（如`192.168.1.1`），选择执行（如阻断）。
![自定义规则](https://mc.qcloudimg.com/static/img/d94ffab9b57bbcefb64a2b874381ba24/zdy_02.png)
同时，网站管家的自定义策略支持使用掩码来控制某一网段的源 IP 的访问请求。我们可以在匹配内容中输入特定网段（如` 10.10.10.10/24` ）。
![自定义规则](https://mc.qcloudimg.com/static/img/35d18c185c7fb64e4347907a7c4e7021/zdy_02_01.png)
3. 单击【确定】保存规则，此时规则将会生效，来自特定源 IP 的 HTTP 访问请求将会全部阻断。
![自定义规则](https://mc.qcloudimg.com/static/img/928321526ed2fad440f24f5f87087353/zdy_03.png)

### 案例二：禁止公网用户访问特定的 Web 资源 
当网站管理员不希望公网用户访问某些特定的 Web 资源时（如管理后台`/admin.html`），可以在匹配字段中选择请求路径，选择逻辑符号等于，匹配内容输入`/admin.html` ，执行选择阻断进行配置。
![自定义规则](https://mc.qcloudimg.com/static/img/8f0df39b43dbfcf5bc1d9070a2857a2e/zdy_04.png)

### 案例三：禁止某个外部站点盗链获取资源 
当网站管理员需要阻断外部站点（如`www.test.com`）的盗链行为时，可以利用自定义策略对盗链请求的 Referer 特征进行捕获和阻断。
在匹配字段中选择 Referer ，选择逻辑符号包含，匹配内容输入`www.test.com`，执行选择阻断进行配置。
![自定义规则](https://mc.qcloudimg.com/static/img/59acfeacb52cb3180e6fa926313966d6/zdy_05.png)
