审核通过的域名，通过后台部署后进入启动状态，可进行大禹分布式安全防御及内容加速服务。

**1.全局设置**
**启动**：
可以通过“启动”操作，将关闭状态的域名启动，启动后的域名将按原配置设置； 
**关闭**：
可以通过“关闭”操作，将启动状态的域名关闭，关闭后的域名的配置保留；但域名已关闭大禹安全防护及内容加速服务，访问请求将直接回到源站。
**删除**：
可以通过“删除”操作，将“已关闭”“审核中”“审核未通过”状态下的域名删除，删除后的域名配置被永久删掉。

**2.源地址设置**
接入DDoS分布式防御系统后，若对对应域名的源站地址有更新需求，可在域名配置管理页面，如下图处进行编辑：
![](//mccdn.qcloud.com/img56c5d4e2580fd.png)
注意：
1)  可以填写源站IP或者域名，一行填一个
2)  源列表中的域名不能和接入域名是同一个
3)  列表必须全部是ip或者全部域名,二者不能混填

**3.DDoS攻击防御设置**
接入DDoS分布式防御的域名默认开启大禹DDoS攻击防护，且不可取消该防护功能。

**4.CC攻击防御设置**
接入DDos分布式防御的域名默认开启大禹CC攻击防护，且不可取消该防护功能。

**5.缓存过期时间设置**
DDoS分布式防御支持配置缓存时间。在域名管理中点击您需要设置的域名，在域名配置管理页面，可以看到缓存时间配置窗口，如下图：
![](//mccdn.qcloud.com/img56c5d5b2a6e76.png)
1）  什么是大禹分布式防御缓存时间
大禹分布式防御缓存时间是大禹系统节点服务器保存的一套针对用户文件的缓存策略，根据缓存策略判断文件是否超时需要回源。合理配置您的缓存策略，会大大降低回源率，减少源站的压力，节省带宽。
2）  全局设置
系统默认所有文件的缓存时间是2592000秒（30天），用户可自定义设置时间；缓存时间可设置：0秒至4亿秒当中的任意整数秒，如果设置为0，则表示不缓存，文件访问会透传回源站。
3）  个性化设置
用户可以新加一列配置个性化的缓存时间，目前支持文件类型、文件夹两种，如：
文件类型 .jpg;.png;.js;.html 300秒
文件夹 /XXXX;/abcd;/1234 500秒

注意：
a)  缓存内容可填入多个项，每个项用“;”分开，内容区分大小写
b)  文件类型必须以“.”开头的文件后缀，如.jpg； 文件夹类型必须以“/”开头，不能以“/”结尾，如/12345/test
c)  用户最多只能添加10个个性化设置，每个设置内容不能超过150字。
d)  缓存时间可以设置任意整数秒，如果设置为0则表示不缓存。
4）  配置项的优先级
根据列表中配置项的顺序来确定优先级，列表底部的优先级大于列表顶部。
如：
规则1：全部类型 所有文件 600秒
规则2：文件类型 .jpg;.png;.js;.html 300秒
规则3：文件夹 /XXXX;/abcd;/1234 500秒
则：
对/XXXX/a.jpg类型，由于内容”/XXXX”命中规则3，列表底部优先，则缓存时间为500秒
对/b.png 类型，由于内容”.png” 命中规则2，列表底部优先，则缓存时间为300秒
对/c.css 类型，由于内容”/c.css”不命中规则2、规则3，故其命中规则1，则缓存时间为600秒
5）  大禹分布式防御缓存时间规则默认不继承源站http cache_control，以大禹分系统节点服务器设置的默认时间为当前资源的缓存过期时间。若要继承源站http cache_control，则可开启“高级缓存过期设置”

**6.防盗链设置**
 防盗链是通过http referer过滤请求内容返回对应信息的配置。http referer是http请求包包头的一部分，当浏览器向web服务器发送请求时，会带上referer，告诉服务器此请求是从哪个链接而来，从而可进行信息的处理。
1)、referer白名单：符合白名单内字符串内容的请求，大禹分布式防御节点正常返回请求信息；当设置白名单时，大禹系统节点只能返回符合该白名单内字符串内容的请求；
若用户请求中referer信息不命中，则大禹分布式防御节点拒绝返回请求信息
如：设置www.test.com为referer白名单，大禹分布式防御域名为：www.abc.com，当用户通过referer信息=www.test.com的http请求访问www.abc.com时，大禹系统节点才能正常返回该请求信息；
若设置了referer白名单后，http请求包包头referer≠www.test.com或referer为空时，大禹系统节点拒绝返回该请求信息；
2)、referer黑名单：符合黑名单内字符串内容的请求，大禹分系统节点将拒绝返回该请求信息；当设置黑名单时， 大禹系统节点拒绝返回符合该黑名单内字符串内容的请求;
若用户请求中referer信息不命中，则大禹系统节点正常返回该请求信息
如：设置www.test.com为referer黑名单，大禹分布式防御域名为：www.abc.com，当用户通过referer信息=www.test.com的http请求访问www.abc.com时，大禹系统节点拒绝返回该请求信息；若设置了referer黑名单后，http请求包包头referer≠www.test.com或referer为空时，大禹系统节点则正常返回该请求信息）；
注意：
a)、referer黑名单、白名单二者不兼容，同一时间只能生效一种类型；
b)、当防盗链黑、白名单为空时，等同于关闭防盗链，防盗链规则不生效；
c)、防盗链输入内容最多可输200条，以换行符相隔，一行输入一个；
d)、防盗链规则匹配的设定如下：
①、支持域名/ip规则，且为前缀匹配。
如设置www.qq.com，则referer中包含以下的都匹配：
http://www.qq.com
http://www.qq.com/123
http://www.qq.com.cn
如设置127.0.0.1，则referer中包含以下的都匹配：
http://127.0.0.1
http://127.0.0.1/123
②、 支持域名前缀通配符。
如设置*.qq.com, 则referer中包含以下的都匹配：
http://www.qq.com
http://a.qq.com
http://a.b.qq.com/123
③、referer为空（即指用户在浏览器中直接访问域名，则referer为空），空referer默认不匹配任何规则。
即：当referer为空时，若设置黑名单规则，空referer请求不会被黑名单规则拦截，大禹分布式防御正常返回该请求信息；
当referer为空时，若设置白名单规则，空referer请求不会命中白名单规则，大禹分布式防御拒绝返回该请求信息。
④、包含空referer
包含空referer即指：当设置了referer白名单时，开启“包含空referer”即为：允许通过浏览器地址栏直接访问该资源URL。 

**7.刷新缓存设置**
文件的回源控制，一般是通过缓存时间来管理的，当文件超时后即回源。
当您的文件在源站上更新后需要快速回源下发到大禹系统节点时，可以使用大禹分布式防御刷新缓存功能。
文件刷新的生效时间是5分钟，当文件配置的缓存时间少于五分钟，建议不使用刷新工具，而是等待超时更新。

**8.HTTPS设置**
什么是HTTPS？
HTTPS：超文本传输安全协议（Hypertext Transfer Protocol Secure，缩写为HTTPS，也被称为HTTP over TLS，HTTP over SSL，与HTTP Secure）一种网络安全传输协议。在计算机网络上，HTTPS经由超文本传输协议进行通讯，但利用SSL/TLS来对数据包进行加密。HTTPS开发的主要目的，是提供对网络服务器的身份认证，保护交换数据的隐私与完整性。

大禹DDoS分布式防御服务提供HTTPS的安全加密方案：证书托管方案。
用户需提自行供证书和私钥，可托管至腾讯云大禹分布式防御服务。大禹系统采用多种技术手段保证证书的安全。用户在使用此服务的时候，需要提前上传证书，在启动此服务后，证书将自动发送到大禹节点。
方案特点：
本方案采用证书和私钥前置于边缘节点的方式实现HTTPS的功能，腾讯证书管理系统提供一套完整管理系统保证证书的安全。
1. 统一管理证书，减少证书从提交到部署所经过的处理环节和落地；
2. 管理服务器和边缘节点之间通过密文传输证书，建立双向认证的HTTPS链路；
3. 边缘节点上证书和私钥只存在于内存，不落地磁盘；
4. 管理系统会对证书进行证书链的自动补全以及合法性校验、过期监控等功能。
使用方法：
在接入域名的“配置管理”页面中，设置HTTPS。如界面：
![](//mccdn.qcloud.com/img56c5d78fc172f.png)
 (1) 开启：点击“编辑”您将看到如下界面，您需要上传您当前网站的证书及KEY，上传完成后，需勾选“已阅读《腾讯云服务协议》”，最后点击“保存”即开启成功。
腾讯云大禹系统将采用多种方式保证您的证书安全，如证书上载均是加密进行、所有数据均是非人工处理、证书部署不落地、多重监控等多重手段进行保障。
![](//mccdn.qcloud.com/img56c5d7a8237d1.png)
(2) 关闭：在相应域名的“配置管理”页中选择“关闭HTTPS”，点击“保存”，即关闭成功。
![](//mccdn.qcloud.com/img56c5d7ba98499.png)
3、关于回源方式选择：
用户在使用HTTPS加速方案的时候，可以选择两种回源方式,HTTP回源或者HTTPS回源。
  (1) HTTP方式主要是针对安全要求不高如静态图片等资源，或源站负载能力较弱无法支撑大量的HTTPS的加解密。
  (2) HTTPS回源方式主要是针对用户安全要求高，且源站要求强烈支持HTTPS回源的需求。
![](//mccdn.qcloud.com/img56c5d7d0d3647.png)
