### 第一步：配置棋牌盾IP分组和转发规则
棋牌盾IP可在腾讯云官网控制台或通过API配置分组和转发规则，在控制台的配置见下文介绍，基于API的配置，见**API说明文档（API文档链接）**
棋牌盾IP可按照分组模式或者IP模式进行配置。分组模式下，可创建分组并添加/删除IP至分组，并可基于分组创建转发规则，添加至分组内的所有IP都将继承该转发规则。IP模式下，可对单个IP进行防护设置，或编辑转发规则。若某个IP加入某分组，则其转发规则将更新为分组的转发规则，并且不可在IP模式下编辑。若某个IP退出某分组，则其转发规则将清空。
#### 分组模式配置
##### 1.新建分组
点击“分组列表”页面下的“新建分组”按钮，进入分组创建页面，在该页面中，可创建分组名称，并将IP池中还未被加入分组的空闲IP加入到当前新建的分组中，选好IP后，点击“确定”按钮即可创建分组。
![](https://mc.qcloudimg.com/static/img/080ec2a1eb052e1569389a01c2892146/image.png)
![](https://mc.qcloudimg.com/static/img/1b438980b68ea6c53685714823fe351f/image.png)

##### 2.新建转发规则
点击“分组列表”页面分组列表中具体某个分组的ID，进入该分组配置页面。点击“添加规则”即可创建转发规则。也可点击“复制规则”按钮，批量复制现有某个分组的转发规则。
![](https://mc.qcloudimg.com/static/img/57a17722a39356c13ad0a3b7fc23fa29/image.png)
在转发规则创建页面中，可配置棋牌盾IP上用于接收业务的“转发端口”、后端RS上的“源站端口”，及后端RS的公网IP。若需添加多个源站RS，不同IP之间用enter键分隔。当前仅支持TCP协议的转发。
![](https://mc.qcloudimg.com/static/img/c1d286e5dea265c48fcdeed6b7456653/image.png)

#### IP模式配置
点击“IP列表”页面分组列表中某个IP的ID，进入该IP配置页面。
##### 1.新建规则
点击“添加规则”即可创建转发规则。
![](https://mc.qcloudimg.com/static/img/3fa3abc653774d3e313509e1c5742463/image.png)
在转发规则创建页面中，可配置棋牌盾IP上用于接收业务的“转发端口”、后端RS上的“源站端口”，及后端RS的公网IP。若需添加多个源站RS，不同IP之间用enter键分隔。当前仅支持TCP协议的转发。
![](https://mc.qcloudimg.com/static/img/82966098dbe442d78af2448409a8abc3/image.png)
##### 2.开启/关闭 CC防护
在IP配置详情页面中，可开启/关闭CC防护，并可设置CC防护启动阈值，默认启动阈值为100QPS。
![](https://mc.qcloudimg.com/static/img/ea0b5133311faae07cbf7dfdc3fa81e4/image.png)

### 第二步：开发游戏流量调度系统
客户根据棋牌盾**API文档指引（API文档链接）**开发游戏流量调度系统，并根据建议及自身业务实际情况，在调度系统中创建用户和流量调度策略；

### 第三步：调整client登陆机制
在登陆时，client先向流量调度系统请求游戏服IP，该过程建议基于域名进行通信。流量调度系统收到client请求后，根据用户调度策略，返回一个棋牌盾IP给client。最终游戏client向调度系统返回的棋牌盾IP发起链接，棋牌盾IP将正常业务流量转发至后端对应的真实游戏服务器，完成整个游戏的连接。

### 第四步：发布新版client
将调整完登陆机制后的client发布后，业务即可接入棋牌盾的防护。

**<font color=red>TIPS：如何防护游戏流量调度系统？</font color=red>**
我们建议采用“域名+棋牌盾IP”的方式来保护游戏流量调度系统，即通过域名来访问调度系统，同时把域名解析到一组棋牌盾IP上。这样流量就先流向棋牌盾IP，经棋牌盾IP防护后再转发到调度系统。
当某个用于防护调度域名的IP因攻击被黑洞后，DNSPOD等域名服务商基于自身检测能力，可对解析IP的状态进行检测，当发现某个IP不可访问后，进行剔除切换IP操作。假设TTL设置为60秒，则该IP上的用户约3分钟后（2个检测周期+TTL）即可重新访问调度系统。若Client有重试机制，配合DNS服务商本身的解析轮询功能，可以通过重试解析到其他可用IP上，进一步缩小访问恢复时间。