## 1. 接口描述

本接口(ModifyVpcPeeringConnection)用于修改同地域对等连接属性。
接口请求域名：<font style="color:red">vpc.api.qcloud.com</font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为ModifyVpcPeeringConnection。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| peeringConnectionId | 是 | String | 私有网络对等连接 ID，例如：pcx-krmzap90。|
| peeringConnectionName | 是 | String | 对等连接名称，取值：1-25个中文、英文大小写的字母、数字和下划线分隔符。|


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码。0：成功，其他值：失败。|
| message | String | 错误信息。|

 ## 4. 错误码表
  以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见<a href="https://cloud.tencent.com/doc/api/245/4924" title="VPC错误码">VPC错误码</a>。
 
| 错误码 | 描述 |
|---------|---------|
| InvalidPeeringConnectionName | 对等连接名称不合法。对等连接名称取值范围：1-60个中文、英文大小写的字母、数字和下划线分隔符。 |
| InvalidPeeringConnectionName.InUse | 对等连接名称已被使用。同一个VPC下对等连接名称不能重复。 |
| InvalidVpc.NotFound | 无效的vpc，vpc资源不存在。请再次核实您输入的资源信息是否正确。 |
| InvalidPeeringConnection.NotFound | 无效的对等连接，对等连接资源不存在。请再次核实您输入的资源信息是否正确。 |

## 5. 示例
输入
```
https://vpc.api.qcloud.com/v2/index.php?Action=ModifyVpcPeeringConnection
&<公共请求参数>
&peeringConnectionId=pcx-krmzap90
&peeringConnectionName=uuuuuuu
```
输出
```
{
    "code":"0",
    "message":""
}
```

