## 1. 接口描述
 
本接口(DescribeVpcs)用于查询私有网络详情。
接口请求域名：<font style="color:red">vpc.api.qcloud.com</font>

 

## 2. 输入参数
 以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href="/doc/api/372/4153" title="公共请求参数">公共请求参数</a>页面。其中，此接口的Action字段为DescribeVpcs。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| vpcId | 否 | String | 系统分配的私有网络ID，仅支持升级前的vpcId，例如：gz_vpc_226。 |

 

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| totalCount | Int | 开发商VPC总数。|
| vpcSet.n | Array | VPC信息组。|
| vpcSet.n.vpcId | String | 系统分配的vpcId，例如：gz_vpc_266|
| vpcSet.n.vpcName | String | 私有网络名称。|
| vpcSet.n.cidrBlock | String | 私有网络网段，例如：192.168.0.1/24。|
| vpcSet.n.subnetSet | Array | VPC下子网信息。|

vpcSet::subnetSet 结构

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| subnetId | String | 系统分配的子网ID，例如：gz_subnet_1195。|
| subnetName | String | 子网名称。|
| cidrBlock | String | 子网CIDR，例如：192.168.0.1/25。|
|zoneId | Int | 子网所在可用区ID，例如100001。|

传入vpcId时返回的数据结构

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| vpcId | String | 系统分配的vpcId，示例：gz_vpc_226。|
| vpcName | String | VPC名称。|
| cidrBlock | String | VPC网段，例如：10.0.0.0/16。|
| vpcCreateTime | String | VPC的创建时间，示例:2015-11-06 11:33:52。|
| subnetSet.n | Array | 子网信息，同时添加了子网时才会返回。|
| subnetSet.n.subnetId | String | 系统分配的子网ID，示例:subnetId_GZ_23。|
| subnetSet.n.subnetName | String | 子网名称。|
| subnetSet.n.routeTableId | String | 子网绑定的默认路由表ID，示例:gz_rtb_8751。|
| subnetSet.n.cidrBlock | String | 子网网段，示例:192.168.0.0/25。|
| subnetSet.n.zoneId | String | 子网所在可用区ID,示例:200001。|
| subnetSet.n.subnetCreateTime | String | 子网创建时间，例如：2015-01-20 16:38:27。|
| routeTableSet.n | Array | 路由表信息，子网默认关联到默认路由表。|
| routeTableSet.n.routeTableId | String | 系统分配的路由表ID，示例:gz_rtb_8751。|
| routeTableSet.n.routeTableType | Int | 路由表类型，0：普通路由表；1：默认路由表。|
| routeTableSet.n.routeTableName | String | 路由表名称。|

 ## 4. 错误码表
 以下错误码表仅列出了该接口的业务逻辑错误码，更多公共错误码详见<a href="https://cloud.tencent.com/doc/api/245/4924" title="VPC错误码">VPC错误码</a>。
 
| 错误码 | 描述 |
|---------|---------|
| InvalidVpc.NotFound | 无效的VPC,VPC资源不存在，请再次核实您输入的资源信息是否正确。 |

## 5. 示例
 
输入
```

  https://vpc.api.qcloud.com/v2/index.php?Action=DescribeVpcs
	&<公共请求参数>
	&vpcId=gz_vpc_64
```

输出
```

{
    "code": 0,
    "message": "",
    "vpcId": "gz_vpc_64",
    "vpcName": "panpan-vpc1",
    "cidrBlock": "10.0.0.0/16",
    "vpcCreateTime": "2015-01-20 16:38:27",
    "subnetSet": [
        {
            "subnetId": "gz_subnet_2036",
            "subnetName": "subnet1",
            "routeTableId": "gz_rtb_359",
            "cidrBlock": "10.0.0.0/24",
            "zoneId": 800001,
            "subnetCreateTime": "2015-01-20 16:38:27"
        },
        {
            "subnetId": "gz_subnet_18700",
            "subnetName": "barryUniq2",
            "routeTableId": "gz_rtb_359",
            "cidrBlock": "10.0.120.0/24",
            "zoneId": 800001,
            "subnetCreateTime": "2015-10-23 19:55:54"
        },
        {
            "subnetId": "gz_subnet_18748",
            "subnetName": "tttt",
            "routeTableId": "gz_rtb_359",
            "cidrBlock": "10.0.200.0/24",
            "zoneId": 800001,
            "subnetCreateTime": "2015-11-13 12:06:26"
        },
        {
            "subnetId": "gz_subnet_18699",
            "subnetName": "barryUniq1",
            "routeTableId": "gz_rtb_359",
            "cidrBlock": "10.0.80.0/24",
            "zoneId": 800001,
            "subnetCreateTime": "2015-10-23 19:52:40"
        }
    ],
    "routeTableSet": [
        {
            "routeTableId": "gz_rtb_359",
            "routeTableType": 1,
            "routeTableName": "222"
        },
        {
            "routeTableId": "gz_rtb_8750",
            "routeTableType": 0,
            "routeTableName": "tttt"
        }
    ]
}

```

