## 1. 接口描述
 
 ModifyLBHealth 接口用来修改负载均衡实例的默认健康检查参数，当调用该接口的时候，负载均衡实例下的全部监听器的健康检查参数将被修改为用户的输入参数。健康检查属性（包含：开启/关闭，修改健康检查的4个字段：超时时间、检查间隔、不健康阀值、健康阀值）。
 
接口访问域名：lb.api.qcloud.com

## 2. 请求参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalanceId
<td> 是
<td> string
<td> 负载均衡实例ID，可使用loadBalancerId 或 unLoadBalancerId，推荐使用unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口查询。
<tr>
<td> switch
<td> 是
<td> int
<td> 健康检查开关，1：开启，0：停用。
<tr>
<td> timeOut
<td> 是
<td> int
<td> 超时时间,云服务器端口响应时间，2-60秒之间的整数，注意该参数要小于检查间隔时间。
<tr>
<td> intervalTime
<td> 是
<td> int
<td> 检查间隔，每隔多少秒探测一次云服务器端口，5-300秒之间的整数。超时时间需小于间隔时间。
<tr>
<td> healthNum
<td>是
<td> int
<td> 健康阈值,表示云服务器从失败到成功的连续健康检查成功次数（2-10之间整数）。
<tr>
<td> unhealthNum
<td>是
<td> int
<td> 不健康阈值,表示云服务器从成功到失败的连续健康检查失败次数（2-10之间整数）。
</tbody></table>

 

## 3. 返回参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> int
<td> 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/244/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。
<tr>
<td> msg
<td> string
<td> 模块错误信息描述，与接口相关。
<tr>
<td> data
<td> array
<td> 返回的数组。
</tbody></table>
Data结构
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> taskId
<td> int
<td> 请求任务ID，该接口为异步任务，可根据本参数调用
<a href="/doc/api/244/4007">DescribeLoadBalancersTaskResult</a>接口来查询任务操作结果。
</tbody></table>
 

## 4. 示例
 
输入：
```
https://domain/v2/index.php?Action=ModifyLBHealth
&<公共请求参数>
&loadBalanceId=lb-abcdefgh
&switch=1
&timeOut=20
&intervalTime=5
&healthNum=3
&unhealthNum=3
```
输出：
```
{
    "code" : 0,
    "message" : "",
    "data":{
          "taskId":12
      }
}

```

