## 1. 接口描述

  DescribeLBHealth 接口用来查询负载均衡实例的默认健康检查的相关参数。
 
接口访问域名：lb.api.qcloud.com

## 2. 请求参数
  
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalanceId
<td> 是
<td> string
<td> 负载均衡实例ID，可使用loadBalancerId 或 unLoadBalancerId，推荐使用unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口查询。
</tbody></table>
 

## 3. 返回参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/244/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。
<tr>
<td> msg
<td> string
<td> 模块错误信息描述，与接口相关。
<tr>
<td> data
<td> array
<td> 返回数据
</tbody></table>
Data结构
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> appId
<td> int
<td> 应用ID。
<tr>
<td> projectId
<td> int
<td> 项目ID。
<tr>
<td> LBName
<td> string
<td> 负载均衡实例名称。
<tr>
<td> health
<td> array
<td> 健康阀值数据。
</tbody></table>
health结构
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> switch
<td> int
<td>健康检查开关。1：开启；0：关闭；默认是开启。
<tr>
<td> timeOut
<td> int
<td>超时时间。云服务器端口响应时间，2-60秒之间的整数。
<tr>
<td> intervalTime
<td> int
<td>检查间隔。每隔多少秒探测一次云服务器端口，5-300秒之间的整数。
<tr>
<td> healthNum
<td> int
<td>健康阀值。表示云服务器从失败到成功的连续健康检查成功次数（2-10之间整数）。
<tr>
<td> unhealthNum
<td> int
<td>不健康阀值。表示云服务器从成功到失败的连续健康检查失败次数（2-10之间整数）。
</tbody></table>
 

## 4. 示例
 
输入：
```
https://lb.api.qcloud.com/v2/index.php?Action=DescribeLBHealth
&<公共请求参数>
&loadBalanceId=lb-abcdefgh
```
输出：
```
{
"code":0,
"msg":"ok",
"data":
	[
		{
			"appId":1351000042,
			"projectId":0,
			"LBName":"20_1",
			"health":
			{
				"switch":1,
				"timeOut":2,
				"intervalTime":5,
				"healthNum":2,
				"unhealthNum":2,
				"status":1
			}
		}
	]
}
```

