## 1. 接口描述
 ModifyLoadBalancerBackends 接口用来修改绑定到负载均衡实例的云服务器权重。通过修改权重来调节请求转发的规则。具体的权重配置说明可以参考产品说明的[权重配置](/doc/product/214/功能介绍#1.3.-.E5.90.8E.E7.AB.AF.E6.9C.8D.E5.8A.A1.E5.99.A8.E6.9D.83.E9.87.8D.E9.85.8D.E7.BD.AE)。
 
接口访问域名：lb.api.qcloud.com


## 2. 请求参数
   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 ModifyLoadBalancerBackends。
	 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerId
<td> 是
<td> String
<td>  负载均衡实例ID，可使用loadBalancerId 或 unLoadBalancerId，推荐使用unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口查询。
<tr>
<td> backends.n.instanceId
<td> 是
<td> String
<td> 云服务器的唯一ID，可通<a href="http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E7%9C%8B%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeInstances">DescribeInstances</a>接口返回字段中的 unInstanceId 字段获取；<br>此接口支持同时输入多台主机的实例ID( 如：要输入两台主机，则设置 backends.1.instanceId&backends.2.instanceId)。
<tr>
<td> backends.n.weight
<td> 是
<td> Int
<td> 绑定的云服务器的权重, 取值范围 0-100，默认 10。
</tbody></table>

 

## 3. 返回参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td>公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。
<tr>
<td> message
<td> String
<td>  模块错误信息描述，与接口相关。
<tr>
<td> requestId
<td> Int
<td>请求任务ID。该接口为异步任务，可根据本参数调用
<a href="/doc/api/244/4007">DescribeLoadBalancersTaskResult</a>接口来查询任务操作结果。
</tbody></table>

 

## 4. 示例
 
输入
```
https://lb.api.qcloud.com/v2/index.php?Action=ModifyLoadBalancerBackends
&<公共请求参数>
&loadBalancerId=lb-abcdefgh
&backends.1.instanceId=ins-6789test
&backends.1.weight=10
&backends.2.instanceId=ins-1234test
&backends.2.weight=6
```
输出
```

{
  "code" : 0,
  "message" : "",
  "requestId" : 1234
}

```

