## 1. 接口描述
 DescribeLoadBalancerBackends 接口可以根据负载均衡实例的ID 查看该负载均衡实例后端绑定的云服务器列表。
 
 访问域名接口：lb.api.qcloud.com

## 2. 请求参数
   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 DescribeLoadBalancerBackends。

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerId
<td> 是
<td> String
<td>  负载均衡实例ID，可使用loadBalancerId 或 unLoadBalancerId，推荐使用unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口查询。
<tr>
<td> offset
<td> 否
<td> Int
<td> 数据偏移量，默认为0。
<tr>
<td> limit
<td> 否
<td> Int
<td> 返回数据长度，默认为20，最大100。
</tbody></table>

 

## 3. 返回参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。
<tr>
<td> message
<td> String
<td> 模块错误信息描述，与接口相关。
<tr>
<td> totalCount
<td> Int
<td> 返回该负载均衡实例绑定的云服务器总数。
<tr>
<td> backendSet
<td> Array
<td> 返回的后端服务器数组。
</tbody></table>

</b></th>backendSet 数组结构：</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> instanceId
<td> String
<td> 云服务器实例ID。
<tr>
<td> unInstanceId
<td> String
<td> 云服务器实例ID，可以代替 instanceId 作任何操作，建议使用此ID。
<tr>
<td> weight
<td> Int
<td> 云服务器权重。
<tr>
<td> instanceName
<td> String
<td> 云服务器的名称。
<tr>
<td> lanIp
<td> String
<td> 云服务器的内网IP。
<tr>
<td> wanIpSet
<td> Array
<td> 云服务器的外网IP。
<tr>
<td> instanceStatus
<td> Int
<td> 云服务器状态<br>1：故障，2：运行中,3：创建中，4：已关机，5:已退还，6:退还中， 7：重启中，8：开机中，9：关机中，10：密码重置中，11：格式化中，12：镜像制作中，13：带宽设置中，14：重装系统中，19：升级中，21：热迁移中。
</tbody></table>

 

## 4. 示例
 
输入
```
https://lb.api.qcloud.com/v2/index.php?Action=DescribeLoadBalancerBackends
&<公共请求参数>
&loadbancerId=lb-abcdefgh
```
输出
```
{
  "code" : 0,
  "message" : "",
  "totalCount" : 2,
  "backendSet":[
  {
    "instanceId" : "qcvm2ed56d3399a1b92f31cf0891fdba700b",
    "unInstanceId" : "ins-123test1",
    "instanceName" : "my-backend-name1",
    "weight" : 10,
    "lanIp" : "10.10.10.1",
    "wanIpSet":["203.195.179.123"],
    "instanceStatus" : 2
  },
  {
    "instanceId" : "qcvm1ed56d3399a1b92f31cf0891fdba700b",
    "unInstanceId" : "ins-123test2",
    "instanceName" : "my-backend-name2",
    "weight" : 10,
    "lanIp" : "10.10.10.2",
    "wanIpSet":["203.195.179.124"],
    "instanceStatus" : 2
  }]
}

```


