## 1. 接口描述
 DescribeLoadBalancersByInstances 接口提供了查询云服务器关联了哪些负载均衡实例的能力。云服务器的信息可以是云服务器的内网IP或者云服务器的名称。可以指定返回负载均衡实例的个数，但是默认值是20。
 
接口访问域名：lb.api.qcloud.com
 

## 2. 请求参数
  以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 DescribeLoadBalancersByInstances。
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> backendIps.n
<td> 否
<td> String
<td> 云服务器的内网IP。
<tr>
<td> backendInstanceName
<td> 否
<td> String
<td> 云服务器的名称。
<tr>
<td> offset
<td> 否
<td> Int
<td> 数据偏移量，默认为0。
<tr>
<td> limit
<td> 否
<td> Int
<td> 返回数据长度，默认为20，最大100。
</tbody></table>

 

## 3. 返回参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/244/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。
<tr>
<td> message
<td> String
<td> 模块错误信息描述，与接口相关。
<tr>
<td> totalCount
<td> Int
<td> 满足过滤条件的负载均衡实例总数。
<tr>
<td> loadBalancerSet
<td> Array
<td> 返回的负载均衡实例数组，具体数据结构如下表说明。
</tbody></table>

</b></th>loadBalancerSet结构</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerId
<td> String
<td> 负载均衡实例唯一ID。
<tr>
<td> unLoadBalancerId
<td> String
<td> 负载均衡实例统一唯一ID。
<tr>
<td> loadBalancerName
<td> String
<td> 负载均衡实例的名称。
<tr>
<td> loadBalancerType
<td> Int
<td> 负载均衡实例的类型<br>1：公网(无日租)，2：公网(有日租)，3：内网。
<tr>
<td> domain
<td> String
<td> 负载均衡实例的域名（内网类型的负载均衡不能获得该字段）。
<tr>
<td> loadBalancerVips
<td> Array
<td> 负载均衡实例的VIP列表。
<tr>
<td> status
<td> Int
<td> 负载均衡实例的状态,包括<br>0：创建中，1：正常运行 
<tr>
<td> createTime
<td> String
<td> 负载均衡实例的创建时间。
<tr>
<td> sessionExpire
<td> Int
<td> 负载均衡实例是否开启会话保持功能，如果为0，则表示关闭，如果非0值，则表示开启，且设置了会话保持时间。内网类型的负载均衡实例不支持会话保持功能。
<tr>
<td> instanceId
<td> String
<td> 云服务器ID。
<tr>
<td> unInstanceId
<td> String
<td> 云服务器统一ID，可以调用<a href="http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E7%9C%8B%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeInstances">DescribeInstances</a>接口来查询该字段详情。
<tr>
<td> instanceName
<td> String
<td> 云服务器名称。
<tr>
<td> backendLanIp
<td> String
<td> 云服务器内网IP。
<tr>
<td> backendWanIpSet
<td> Array
<td> 云服务器外网IP。
<tr>
<td> vpcId
<td> Int
<td> 私有网络ID的数字部分，0 表示基础网络，非0 表示私有网络。
<tr>
<td> subnetId
<td> Int
<td> 子网ID的数字部分。
<tr>
<td> projectId
<td> Int
<td> 项目ID。
</tbody></table>

 

## 4. 示例
 
使用默认参数来查询有哪些负载均衡实例：
```
https://lb.api.qcloud.com/v2/index.php?Action=DescribeLoadBalancersByInstances
&<公共请求参数>
```
输出
```
{
  "code" : 0,
  "message" : "",
  "totalCount" : 1,
  "loadBalancerSet":[
  {
    "loadBalancerId" : "my-lb-id1",
    "unLoadBalancerId" : "lb-abcdefgh",
    "loadBalancerName" : "my-lb-name1",
    "loadBalancerType" : 2,
    "domain" : "LB607.clb.myqcloud.com",
    "loadBalancerVips":["203.195.179.123"],
    "createTime" : "2014-07-29 15:08:39",
    "status" : 1,
    "sessionExpire" : 0,
    "instanceId" : "qcvm1234",
    "unInstanceId" : "ins-12345678",
    "instanceName" : "my-backend-name1",
    "backendLanIp" : "10.4.3.45",
    "backendWanIpSet" : ["203.195.192.91"],
	"vpcId" : 0,
	"subnetId" :0,
	"projectId" : 0
  }
  ]
}

```


