## 1. 接口描述
本接口(DescribeBmLoadBalancers)用于获取黑石负载均衡实例列表。
接口请求域名：<font style='color:red'>lb.api.qcloud.com </font>



## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/372/4153' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的Action字段为DescribeBmLoadBalancers。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| loadBalancerIds.n (loadBalancerIds 为数组，此处入参需要填写数组元素 ) | 否 | String | 负载均衡器ID,|
| loadBalancerType | 否 | Int | 负载均衡的类型，2：公网(有日租)，3：内网|
| loadBalancerName | 否 | String | 负载均衡器名称|
| domain | 否 | String | 负载均衡域名。规则：1-60个小写英文字母、数字、点号“.”或连接线“-”。内网类型的负载均衡不能配置该字段|
| loadBalancerVips.n (loadBalancerVips 为数组，此处入参需要填写数组元素 ) | 否 | String | 负载均衡获得的公网IP地址,支持多个|
| backendWanIps.n (backendWanIps 为数组，此处入参需要填写数组元素 ) | 否 | String | 后端服务器的外网IP|
| offset | 否 | Int | 数据偏移量，默认为0|
| limit | 否 | Int | 返回数据长度，默认为20|
| searchKey | 否 | String | 模糊查找名称、域名、VIP|
| orderBy | 否 | String | 排序字段，支持：loadBalancerName,createTime,domain,loadBalancerType|
| orderType | 否 | Int | 1倒序，0顺序，默认顺序|
| projectId | 否 | Int | 项目ID，通过v2/DescribeProject 接口获得|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 模块错误信息描述，与接口相关。|
| loadBalancerSet | Array | 描述（待补充） |
| totalCount | Int | 描述（待补充） |
| codeDesc | String | 描述（待补充） |


## 4. 示例
输入
```
https://lb.api.qcloud.com/v2/index.php?Action=DescribeBmLoadBalancers
&<公共请求参数>
&loadBalance=1
```
输出
```
{
    "code":"0",
    "message":"",
    "loadBalancerSet":[
        
    ],
    "totalCount":"0",
    "codeDesc":"Success"
}
```

