## 1. 接口描述

GetMonitorData 接口提供了获取负载均衡的监控数据。可以根据用户传入的负载均衡命名空间、对象纬度描述和监控指标即可获得相应的监控数据。

接口访问域名：monitor.api.qcloud.com

## 2. 请求参数
   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 GetMonitorData。
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> namespace
<td> 是
<td> String
<td> 命名空间，每个云产品会有一个命名空间。负载均衡对应的命名空间为qce/lb。
<tr>
<td> metricName
<td> 是
<td> String
<td> 指标名称。
<tr>
<td> dimensions.n.name
<td> 是
<td> String
<td> 纬度的名称。每个命名空间的纬度结构不同。具体纬度接口可见下面的表格，与dimensions.n.value配合使用。
<tr>
<td> dimensions.n.value
<td> 是
<td> String
<td> 对应的纬度的值。
<tr>
<td> startTime
<td> 否
<td> Datetime
<td> 起始时间，如”2016-01-01 10:25:00”。 默认时间为当天的”00:00:00”。
<tr>
<td> endTime
<td> 否
<td> Datetime
<td> 结束时间。默认为当前时间。 endTime不能小于startTime；endTime与startTime最好为同一天。
<tr>
<td> period
<td> 否
<td> Int
<td> 监控统计周期。目前仅支持300s粒度，即5分钟监控数据。
</tbody></table>

**维度名称表格：**

| 维度 | 维度解释 |
|---------|---------|
| protocol| 协议 |
|  vip| 负载均衡VIP |
|  vport| 负载均衡端口 |
| rsip| 后端服务器IP |
| rsport|后端服务器端口 |
|vpcid|私有网络ID |

**metricName可选取值范围**
<table class="t"><tbody><tr>
<th><b>指标名称</b></th>
<th><b>含义</b></th>
<th><b>单位</b></th>
<th><b>纬度</b></th>
<tr>
<td> pvv_connum
<td> 活跃连接数（按照协议、vip、vport汇聚）
<td> 个
<td> protocol,vip,vport
<tr>
<td> pvv_inactive_conn
<td> 非活跃连接数（按照协议、vip、vport汇聚）
<td> 个
<td>  protocol,vip,vport
<tr>
<td> pvv_inpkg
<td> 入包量（按照协议、vip、vport汇聚）
<td> 个/s
<td> protocol,vip,vport
<tr>
<td> pvv_intraffic
<td> 入流量（按照协议、vip、vport汇聚）
<td> bps
<td> protocol,vip,vport
<tr>
<td> pvv_new_conn
<td> 新建连接数（按照协议、vip、vport汇聚）
<td> 个
<td> protocol,vip,vport
<tr>
<td> pvv_outpkg
<td> 出包量（按照协议、vip、vport汇聚）
<td> 个/s
<td> protocol,vip,vport
<tr>
<td> pvv_outtraffic
<td> 出流量（按照协议、vip、vport汇聚）
<td> bps
<td> protocol,vip,vport
</tbody></table>

<table class="t"><tbody><tr>
<th><b>指标名称</b></th>
<th><b>含义</b></th>
<th><b>单位</b></th>
<th><b>纬度</b></th>
<tr>
<td> rrv_connum
<td> 活跃连接数（按照rsip,vpcid,rsport汇聚）
<td> 个
<td> rsip,vpcid,rsport
<tr>
<td> rrv_inactive_conn
<td> 非活跃连接数（按照rsip,vpcid,rsport汇聚）
<td> 个
<td>  rsip,vpcid,rsport
<tr>
<td> rrv_inpkg
<td> 入包量（按照rsip,vpcid,rsport汇聚）
<td> 个/s
<td> rsip,vpcid,rsport
<tr>
<td> rrv_intraffic
<td> 入流量（按照rsip,vpcid,rsport汇聚）
<td> bps
<td> rsip,vpcid,rsport
<tr>
<td> rrv_new_conn
<td> 新建连接数（按照rsip,vpcid,rsport汇聚）
<td> 个
<td> rsip,vpcid,rsport
<tr>
<td> rrv_outpkg
<td> 出包量（按照rsip,vpcid,rsport汇聚）
<td> 个/s
<td> rsip,vpcid,rsport
<tr>
<td> rrv_outtraffic
<td> 出流量（按照rsip,vpcid,rsport汇聚）
<td> bps
<td> rsip,vpcid,rsport
</tbody></table>

<table class="t"><tbody><tr>
<th><b>指标名称</b></th>
<th><b>含义</b></th>
<th><b>单位</b></th>
<th><b>纬度</b></th>
<tr>
<td> rv_connum
<td> 活跃连接数（按照rsip,vpcid汇聚）
<td> 个
<td> rsip,vpcid
<tr>
<td> rv_inactive_conn
<td> 非活跃连接数（按照rsip,vpcid汇聚）
<td> 个
<td>  rsip,vpcid
<tr>
<td> rv_inpkg
<td> 入包量（按照rsip,vpcid汇聚）
<td> 个/s
<td> rsip,vpcid
<tr>
<td> rv_intraffic
<td> 入流量（按照rsip,vpcid汇聚）
<td> bps
<td> rsip,vpcid
<tr>
<td> rv_new_conn
<td> 新建连接数（按照rsip,vpcid汇聚）
<td> 个
<td> rsip,vpcid
<tr>
<td> rv_outpkg
<td> 出包量（按照rsip,vpcid汇聚）
<td> 个/s
<td> rsip,vpcid
<tr>
<td> rv_outtraffic
<td> 出流量（按照rsip,vpcid汇聚）
<td> bps
<td> rsip,vpcid
</tbody></table>



## 3. 返回参数

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/244/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。
<tr>
<td> message
<td> String
<td> 模块错误信息描述，与接口相关。
<tr>
<td> startTime
<td> Datetime
<td> 起始时间。
<tr>
<td> endTime
<td> Datetime
<td> 结束时间。
<tr>
<td> metricName
<td> String
<td> 指标名称。
<tr>
<td> period
<td> Int
<td> 监控统计周期。
<tr>
<td> dataPoints
<td> Object
<td> 监控数据列表。数组每个元素是监控点数据。
</tbody></table>




## 4. 示例
输入
```
 
https://monitor.api.qcloud.com/v2/index.php?Action=GetMonitorData
&<公共请求参数>
&namespace=qce/lb
&metricName=pvv_inactive_conn
&dimensions.0.name=protocol
&dimensions.0.value=HTTP
&dimensions.1.name=vip
&dimensions.1.value=111.111.111.111
&dimensions.2.name=vport
&dimensions.2.value=80
&startTime=2015-12-28 14:00:00
&endTime=2015-12-28 14:05:00
```
输出
```
{
    "code": 0,
    "message": "",
    "metricName": "pvv_inactive_conn",
    "startTime": "2015-12-28 14:00:00",
    "endTime": "2015-12-28 14:05:00",
    "period": 300,
    "dataPoints":  [
           0
        ]
}
```