## 1. 接口描述
 CreateLoadBalancer 接口用来创建负载均衡实例。为了使用负载均衡服务，您必须要购买一个或者多个负载均衡实例。通过成功调用该接口，会返回负载均衡实例的唯一ID。用户可以购买的负载均衡实例类型分为：公网（无日租）、公网（有日租）、内网。可以参考产品说明的[产品类型](/doc/product/214/产品类型)。
 
接口访问域名：lb.api.qcloud.com

## 2. 请求参数
  以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 CreateLoadBalancer。<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerType <td> 是 <td> int <td> 负载均衡的类型。 <br> 1：公网（无日租） 2：公网（有日租） 3：内网 。
<tr>
<td> loadBalancerName <td> 否 <td> String <td> 负载均衡实例的名称。规则：1-20个英文、汉字、数字、连接线“-”或下划线“_”。<br>注意：如果名称与系统中已有负载均衡实例的名称重复的话，则系统将会自动生成此次创建的负载均衡实例的名称。
<tr>
<td> domainPrefix <td> 否 <td> String <td> 域名前缀，负载均衡的域名由用户输入的域名前缀与腾讯云自动生成的域名后缀一起组合而成，保证是唯一的域名。<br>规则：1-20个小写英文字母、数字或连接线“-”。内网类型的负载均衡不能配置该字段。<br> 注意：如果域名前缀与系统中已有的域名前缀重复的话，则系统将会自动生成此次创建的负载均衡实例的前缀名称。例如xxxxx.region.appId.clb.myqcloud.com，您只需要填写前缀"xxxxx"。
<tr>
<td> vpcId <td> 否 <td> String <td> 负载均衡实例所属网络ID，可以通过<a href="http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%E8%AF%A6%E6%83%85" title="DescribeVpcs">DescribeVpcs</a>接口获取. 不填或者填0则表示网络为<a href="https://cloud.tencent.com/doc/product/215" title="基础网络">基础网络</a>，其vpcId中数字部分大于0表示网络为<a href="https://cloud.tencent.com/doc/product/215" title="私有网络">私有网络</a>。
<tr>
<td> subnetId <td> 否 <td> String<td> 在私有网络内购买内网负载均衡实例的时候需要指定子网ID，内网负载均衡实例的VIP将从这个子网中产生。其他情况不用填写该字段。
<tr>
<td> projectId <td> 否 <td> String<td> 负载均衡实例所属的项目ID，可以通过<a href="/doc/api/403/4400" title="DescribeProject">DescribeProject</a>接口获取。不填则属于默认项目。
<tr>
<td> number <td> 否 <td> Int <td> 购买负载均衡的个数，默认 1，当购买个数大于1，则loadBalancerName，domainPrefix不生效。
</tbody></table>

 

## 3. 返回参数
 
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 公共错误码，0表示成功，其他值表示失败。详见错误码页面的<a href="https://cloud.tencent.com/doc/api/244/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81" title="公共错误码">公共错误码</a>。
<tr>
<td> message
<td> String
<td> 模块错误信息描述，与接口相关。
<tr>
<td> unLoadBalancerIds
<td> Array
<td> 负载均衡实例唯一ID。
<tr>
<td> dealIds
<td> Array
<td> 生成的订单号，用于查询后继执行状况(可使用<a href="http://cloud.tencent.com/doc/api/229/%E8%8E%B7%E5%8F%96%E8%AE%A2%E5%8D%95%E4%BF%A1%E6%81%AF" title="DescribeDeals">DescribeDeals</a>查询订单详情)。
</tbody></table>


 

## 4. 示例
 
购买一个类型为公网(有日租)，名字为test的负载均衡实例：
```
https://lb.api.qcloud.com/v2/index.php?Action=CreateLoadBalancer
&<公共请求参数>
&loadBalancerType=2
&loadBalancerName=test
```
输出：
```
{
    "code" : 0,
    "message" : "",
    "unLoadBalanceIds":[
        "lb-abcdefgh"
		],
    "dealIds":[
        121
    ]
}
```
其中 lb-abcdefgh 为刚刚购买的负载均衡实例的唯一ID。接下来可以根据[查询负载均衡实例列表](/doc/api/244/1261) 接口来查询该负载均衡实例是否创建成功。
