## 1. 接口描述
 ModifyLoadBalancerListener 接口用来修改负载均衡监听器的属性。
 
接口访问域名：lb.api.qcloud.com


## 2. 请求参数

   以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见[公共请求参数](/doc/api/244/4183)页面。其中，此接口的Action字段为 ModifyLoadBalancerListener。
 
|参数名称|必选|类型|描述|
|-----|------|--------|-----------|
|loadBalancerId|是|String|负载均衡实例ID，可使用loadBalancerId 或 unLoadBalancerId，推荐使用unLoadBalancerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E6%9F%A5%E8%AF%A2%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口查询。|
|listenerId|是|String|负载均衡监听器ID，可使用listenerId 或 unListenerId，推荐使用unListenerId，可通过<a href="https://cloud.tencent.com/doc/api/244/%E8%8E%B7%E5%8F%96%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%E7%9B%91%E5%90%AC%E5%99%A8%E5%88%97%E8%A1%A8" title=" DescribeLoadBalancerListeners"> DescribeLoadBalancerListeners</a>接口查询。|
|listenerName|否|String|监听器名称。|
|sessionExpire|否|Int|会话保持时间，0 表示关闭，<br>公网（有日租）的TCP、UDP协议的监听器可选值 900-3600，公网(无日租)的HTTP协议的监听器可选值 900-3600，<br>公网（有日租）的HTTP、HTTPS协议的监听器可选值：30-3600；<br>内网负载均衡不支持。|
|healthSwitch|否|Int|是否开启健康检查：1（开启）、0（关闭）。|
|timeOut|否|Int|响应超时时间，可传值为 2-60 秒；<br>公网（有日租）的HTTP、HTTPS协议监听器的响应超时时间暂时不能设置，默认值5秒。|
|intervalTime|否|Int|检查间隔，可选值：5-300。默认值:5。|
|healthNum|否|Int|健康阀值，可选值:2-10。|
|unhealthNum|Int|不健康阀值|可选值：2-10。|
|httpHash|否|Int|负载均衡监听器转发的方式。仅公网有日租（监听器为HTTP、HTTPS）类型才支持此字段，可传值：wrr、ip_hash，<br>分别表示按权重轮询、IP_HASH， 默认为wrr。|
|httpCode|否|Int|对于HTTP、HTTPS协议的监听器，以该返回码来判断健康与否。可选值:1~31，默认31。<br>1表示返回值1xx表示健康，2表示返回2xx表示健康，4表示返回3xx表示健康，8表示返回4xx表示健康，16表示返回5xx表示健康。若返回多种表示健康，则将相应的值累加。|
|httpCheckPath|否|String|对于HTTP、HTTPS协议的监听器，健康检查的路径，默认/，必须以/开头。|
|SSLMode|否|String|HTTPS协议监听器的认证类型,unidirectional:单向认证，mutual：双向认证。|
|certId|否|String|HTTPS协议监听器新的服务端证书ID。|
|certCaId|否|String|HTTPS协议监听器新的客户端证书ID。|
|certCaContent|否|String|HTTPS协议监听器新的客户端证书内容。|
|certCaName|否|String|HTTPS协议监听器新的客户端证书名称。|
|certContent|否|String|HTTPS协议监听器新的服务端证书内容。|
|certKey|否|String|HTTPS协议监听器新的服务端证书的密钥。|
|certName|否|String|HTTPS协议监听器新的服务端证书的名称。|

## 3. 返回参数
 
 
|参数名称|类型|描述|
|-------|---|---------------|
|code|Int|公共错误码, 0表示成功，其他值表示失败。详见错误码页面的[公共错误码](/doc/api/244/1530)。|
|message|String|模块错误信息描述，与接口相关。|
|requestId|Int|请求任务ID，可根据[DescribeLoadBalancersTaskResult](/doc/api/244/4007)接口查询操作状态。|

## 4. 示例
 
输入
```
https://lb.api.qcloud.com/v2/index.php?Action=ModifyLoadBalancerListener
&<公共请求参数>
loadBalancerId=lb-ltkip4do
&listenerId=lbl-6hkiqc6c
&SSLMode=unidirectional
```
输出
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "requestId": 18642
}

```


