## 1. 接口描述
域名:lb.api.qcloud.com
接口名:CreateBmLoadBalancerListeners

创建黑石负载均衡监听器

## 2. 输入参数
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerId
<td> 是
<td> String
<td> 负载均衡器ID，可使用loadBalancerId 或 unLoadBalancerId，推荐使用unLoadBalancerId，可通过<a href="http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E8%AF%A2%E9%A1%B9%E7%9B%AE%E5%88%97%E8%A1%A8" title="DescribeLoadBalancers">DescribeLoadBalancers</a>接口查询
<tr>
<td> listeners.n.loadBalancerPort
<td> 是
<td> Int
<td> 监听器负载均衡监听接口，1~65535
<tr>
<td> listeners.n.instancePort
<td> 是
<td> Int
<td> 监听器后端服务器监听接口，1~65535
<tr>
<td> listeners.n.protocol
<td> 是
<td> Int
<td> 监听器协议类型。<br>2:TCP，3:UDP。<br>
公网(有日租)支持：UDP、TCP;<br>
内网支持：TCP，UDP。
<tr>
<td> listeners.n.listenerName
<td> 否
<td> String
<td> 监听器名称
<tr>
<td> listeners.n.sessionExpire
<td> 否
<td> Int
<td> 会话保持时间，0为关闭，默认为0。<br>900-3600 秒；
<tr>
<td> listeners.n.healthSwitch
<td> 否
<td> Int
<td> 是否开启健康检查：1（开启）、0（关闭）。默认为1。
<tr>
<td> listeners.n.timeOut
<td> 否
<td> Int
<td> 响应超时时间，默认2秒；可传值为 2-60 秒；必须小于intervalTime<br>
<tr>
<td> listeners.n.intervalTime
<td> 否
<td> Int
<td> 检查间隔，默认5秒，可传值为 5-300 秒；有日租http 可传值为30-300秒，默认为30秒。
<tr>
<td> listeners.n.healthNum
<td> 否
<td> Int
<td> 健康阀值，默认为3。可传值2-10。
<tr>
<td> listeners.n.unhealthNum
<td> 否
<td> Int
<td> 不健康阀值，默认3次，可传值为2-10 
<tr>
</tbody></table>


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值: 失败|
| message | String | 错误信息|
| requestId | Int | 描述（待补充） |


## 4. 示例
输入
```
https://lb.api.qcloud.com/v2/index.php?Action=CreateBmLoadBalancerListeners
&loadBalancerId=lb-l9w92y5p
&listeners.0.loadBalancerPort=80
&listeners.0.instancePort=80
&listeners.0.protocol=2
&listeners.0.listenerName=1
&listeners.0.healthSwitch=1
&listeners.0.timeOut=6
&listeners.0.intervalTime=10
&listeners.0.healthNum=8
&listeners.0.unhealthNum=8
&listeners.0.sessionExpire=900
&COMMON_PARAMS
```
输出
```
{
    "code":"0",
    "message":"",
    "requestId":"2375551"
}
```

