## 1. 接口描述
本接口 (DescribeAvailabilityZones) 用于查询腾讯云可用区的详细信息。

接口请求域名：<font style="color:red">cvm.api.qcloud.com</font>

* 可用区的定义请参看[产品文档中的地域一节](https://cloud.tencent.com/doc/product/213/497#2.-.E5.8F.AF.E7.94.A8.E5.8C.BA)。
* 内容包括可用区具体的IDC。
* 可以指定可用区ID来查看单一可用区的信息。
* 可用区ID列表如下：

| 可用区名称 |可用区ID|
|---------|---------|
| 北京一区 |800001|
| 上海一区 |200001|
| 广州一区 |100001|
|广州二区|100002|
|广州三区|100003|
|香港一区|300001|
|北美一区|400001|

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/doc/api/229/1230)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| zoneId| 否| Int| 可用区ID。|




## 3. 输出参数


| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code| Int| 错误码（0：成功，其他值：失败）。|
| message| String| 错误信息。|
| totalCount| Int| 可用区的数目。|
| zoneSet| Array| 可用区数组。|

zoneSet 是一个可用区信息的集合，单个可用区信息的数据结构如下：

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| zoneId| Int| 可用区ID。|
| idcList| Array| IDC列表。|


idcList 是可用区下属IDC信息的集合，单个IDC信息的数据结构如下：


| 参数名称  | 类型 | 描述 |
|---------|---------|---------|
| idcId| Int| IDC的ID值。|
| idcName| String| IDC名称。|




## 4. 示例

输入

```
  https://cvm.api.qcloud.com/v2/index.php?Action=DescribeAvailabilityZones
  &<公共请求参数>
  zoneId=100001
```

输出

```
{
    "code" : 0,
    "message" : "",
    "totalCount" : 1
    "zoneSet" :         {
            "zoneName": "广州一区", 
            "idcList": [
                {
                    "idcId": 685, 
                    "idcName": "广州电信亚太信息AC2楼"
                }, 
                {
                    "idcId": 737, 
                    "idcName": "广州电信亚太信息AC4楼02"
                }, 
                {
                    "idcId": 798, 
                    "idcName": "广州移动南方基地AC2楼"
                }, 
                {
                    "idcId": 834, 
                    "idcName": "广州电信人民中路AC7楼"
                }, 
                {
                    "idcId": 908, 
                    "idcName": "广州电信石基AC5楼"
                }, 
                {
                    "idcId": 1035, 
                    "idcName": "广州电信石基AC4楼M2"
                }, 
                {
                    "idcId": 1327, 
                    "idcName": "广州电信石基AC4楼M3"
                }
            ], 
            "zoneId": 100001
      }
}

```




