## 1. 接口描述
 
本接口（DeleteSecurityGroup）用于删除新的安全组。
接口请求域名：<font style="color:red">dfw.api.qcloud.com</font>
1)安全组可以通过系统生成的唯一ID（前缀为sg的字符串）为索引来进行删除。只有当前账号下的安全组允许被删除。
2)安全组内如果还有未解绑的云服务器，默认不能直接删除。通过加入forced = 1参数可以让系统先解绑所有相关云服务器，再删除当前安全组。如果这些云服务器之前绑定了超过一个安全组，此操作后未删除的安全组与云服务器的绑定关系依然保留。
3)安全组ID如果在其他安全组的规则中被引用，则无法直接删除。这种情况下，需要调用DescribeAssociateSecurityGroups查询出这些安全组，进行规则修改，再删除原来的安全组。
删除的安全组无法再找回，请谨慎调用。

 

## 2. 输入参数
 
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见公共请求参数页面。其中，此接口的Action字段为DeleteSecurityGroup。
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> sgId <td> 是 <td> String <td> 安全组唯一ID，可能来自DescribeSecurityGroups或者CreateSecurityGroup
<tr>
<td> forced <td> 否 <td> Int <td> 是否强制执行，当安全组有绑定云服务器时必须传该参数才可正常删除，默认0
</tbody></table>

 

## 3. 输出参数
 

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code <td> Int <td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message <td> String <td> 错误信息
</tbody></table>

 ## 4. 错误码表
 <table class="t"><tbody><tr>
<th><b>错误码数值</b></th>
<th><b>原因</b></th>
<tr>

<td> 7000 <td> 安全组后台异常
<tr>
<td> 7001 <td> 安全组不存在
<tr>
<td> 7006 <td> 系统默认安全组禁止删除
</tbody></table>


## 5. 示例
 
输入
```

  https://dfw.api.qcloud.com/v2/index.php?Action=DeleteSecurityGroup
  &sgId=sg-c3y9ak17
  &<公共请求参数>

```

输出
```

{
    "code": 0,
    "message": ""
}

```

