## 1. 接口描述
 
本接口（DescribeSecurityGroups）用于根据多种索引查询一个或多个安全组的基本信息。
接口请求域名：<font style="color:red">dfw.api.qcloud.com</font>
1)本接口输入sgId时，按照系统生成的安全组ID进行精确匹配查询。
2)本接口输入instanceId时，根据云服务器实例ID查询云服务器已关联的安全组列表。云服务器实例ID来自[DescribeInstances](https://cloud.tencent.com/doc/api/229/831)输出参数中的unInstanceId。
3)本接口输入projectId时，查询此项目ID下的所有安全组列表。
4)本接口输入sgName时，按照安全组名称字符串进行匹配查询，允许名称部分匹配。
5)本接口返回安全组列表的数组，数组成员包含安全组的系统唯一ID、名称、备注文本、创建时间、所属项目ID，不包含已关联的云服务器或安全组内具体规则等详细信息。
 

## 2. 输入参数
 
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见公共请求参数页面。其中，此接口的Action字段为DescribeSecurityGroups。
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> projectId <td> 否 <td> Int <td> 项目Id，不传返回所有项目的安全组列表
<tr>
<td> instanceId <td> 否 <td> String <td> 云服务器Id，当有该参数时其他过滤条件无效
<tr>
<td> sgId <td> 否 <td> String <td> 按sgId过滤结果，仅支持精确过滤
<tr>
<td> sgName <td> 否 <td> String <td> 按sgName过滤结果，支持模糊过滤
</tbody></table>

 

## 3. 输出参数
 

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code |  Int | 错误码, 0: 成功, 其他值: 失败 |
| message |   String | 错误信息 |
| data |   Object | 返回的数据结构|

Data结构
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> data.sgId <td> String <td> 安全组Id
<tr>
<td> data.sgName <td> String <td> 安全组名
<tr>
<td> data.sgRemark <td> String <td> 安全组备注
<tr>
<td> data.createTime <td> String <td> 安全组创建时间
<tr>
<td> data.projectId <td> Int <td> 项目Id

</tbody></table>

 ## 4. 错误码表
 <table class="t"><tbody><tr>
<th><b>错误码数值</b></th>
<th><b>原因</b></th>
<tr>

<td> 7000 <td> 安全组后台异常
</tbody></table>


## 5. 示例
 
输入
```

  https://dfw.api.qcloud.com/v2/index.php?Action=DescribeSecurityGroups
  &<公共请求参数>

```

输出
```

{
    "code": 0,
    "message": "",
    "data": [
        {
            "sgId": "sg-k3tjgics",
            "sgName": "test",
            "sgRemark": "",
            "createTime": "2015-05-20 16:07:58",
            "projectId": 1002207
        },
        {
            "sgId": "sg-56p1yd1o",
            "sgName": "示例安全组",
            "sgRemark": "",
            "createTime": "2015-10-15 17:12:17",
            "projectId": 1003744
        },
        {
            "sgId": "sg-ooa41c4o",
            "sgName": "示例安全组",
            "sgRemark": "",
            "createTime": "2015-09-11 16:12:28",
            "projectId": 1002110
        },
        {
            "sgId": "sg-7tk6qery",
            "sgName": "示例安全组",
            "sgRemark": "",
            "createTime": "2015-10-15 17:12:13",
            "projectId": 1003774
        },
        {
            "sgId": "sg-cqovl1fw",
            "sgName": "示例安全组",
            "sgRemark": "",
            "createTime": "2015-05-22 19:15:38",
            "projectId": 1002443
        },
        {
            "sgId": "sg-exnsygsm",
            "sgName": "test1",
            "sgRemark": "",
            "createTime": "2015-08-25 17:07:25",
            "projectId": 0
        },
        {
            "sgId": "sg-9g8qfrwi",
            "sgName": "一二三四五六七八九十_-...12345",
            "sgRemark": "",
            "createTime": "2015-08-25 17:07:47",
            "projectId": 0
        },
        {
            "sgId": "sg-gte8a2ys",
            "sgName": "694949",
            "sgRemark": "",
            "createTime": "2015-05-25 15:48:24",
            "projectId": 1002026
        },
        {
            "sgId": "sg-fdn9vtdy",
            "sgName": "314294",
            "sgRemark": "",
            "createTime": "2015-05-25 15:42:13",
            "projectId": 1002026
        },
        {
            "sgId": "sg-00qjxbwq",
            "sgName": "773675",
            "sgRemark": "",
            "createTime": "2015-05-25 15:41:24",
            "projectId": 1002026
        },
        {
            "sgId": "sg-p837l8ko",
            "sgName": "532215",
            "sgRemark": "",
            "createTime": "2015-05-25 13:27:12",
            "projectId": 1002026
        },
        {
            "sgId": "sg-de37xrpo",
            "sgName": "740402",
            "sgRemark": "",
            "createTime": "2015-05-25 13:27:13",
            "projectId": 1002026
        },
        {
            "sgId": "sg-bvdaobny",
            "sgName": "427637",
            "sgRemark": "",
            "createTime": "2015-05-25 13:25:53",
            "projectId": 1002026
        },
        {
            "sgId": "sg-kqj119xe",
            "sgName": "795911",
            "sgRemark": "",
            "createTime": "2015-05-25 13:26:22",
            "projectId": 1002026
        },
        {
            "sgId": "sg-4no9kdc8",
            "sgName": "729144",
            "sgRemark": "",
            "createTime": "2015-05-25 15:48:24",
            "projectId": 1002026
        },
        {
            "sgId": "sg-o1wkaolg",
            "sgName": "218045",
            "sgRemark": "",
            "createTime": "2015-05-25 15:48:24",
            "projectId": 1002026
        },
        {
            "sgId": "sg-nty6p48a",
            "sgName": "670689",
            "sgRemark": "",
            "createTime": "2015-05-25 15:41:10",
            "projectId": 1002026
        },
        {
            "sgId": "sg-7ky1tlz4",
            "sgName": "442978",
            "sgRemark": "",
            "createTime": "2015-05-25 13:27:44",
            "projectId": 1002026
        },
        {
            "sgId": "sg-glud1qis",
            "sgName": "775093",
            "sgRemark": "",
            "createTime": "2015-05-25 13:27:36",
            "projectId": 1002026
        },
        {
            "sgId": "sg-eydbxnra",
            "sgName": "24167",
            "sgRemark": "",
            "createTime": "2015-05-25 15:41:35",
            "projectId": 1002026
        },
        {
            "sgId": "sg-opd592g8",
            "sgName": "419195",
            "sgRemark": "",
            "createTime": "2015-05-25 15:48:24",
            "projectId": 1002026
        },
        {
            "sgId": "sg-kz30opky",
            "sgName": "14630",
            "sgRemark": "",
            "createTime": "2015-05-25 13:26:47",
            "projectId": 1002026
        },
        {
            "sgId": "sg-ltq6c1ns",
            "sgName": "293340",
            "sgRemark": "",
            "createTime": "2015-05-25 15:48:24",
            "projectId": 1002026
        },
        {
            "sgId": "sg-k063dpvk",
            "sgName": "286417",
            "sgRemark": "",
            "createTime": "2015-05-25 13:26:51",
            "projectId": 1002026
        },
        {
            "sgId": "sg-7opbjp4w",
            "sgName": "514647",
            "sgRemark": "",
            "createTime": "2015-05-25 13:25:57",
            "projectId": 1002026
        },
        {
            "sgId": "sg-1jhjz8yw",
            "sgName": "289782",
            "sgRemark": "",
            "createTime": "2015-05-25 15:41:54",
            "projectId": 1002026
        },
        {
            "sgId": "sg-nidc7bew",
            "sgName": "468377",
            "sgRemark": "",
            "createTime": "2015-05-25 20:55:44",
            "projectId": 1002026
        },
        {
            "sgId": "sg-c3i5ximm",
            "sgName": "示例安全组",
            "sgRemark": "",
            "createTime": "2015-05-22 19:24:32",
            "projectId": 1002026
        },
        {
            "sgId": "sg-o4d9hk7e",
            "sgName": "233280",
            "sgRemark": "",
            "createTime": "2015-05-25 15:48:24",
            "projectId": 1002026
        },
        {
            "sgId": "sg-3z8ugezs",
            "sgName": "135910",
            "sgRemark": "",
            "createTime": "2015-05-25 15:40:59",
            "projectId": 1002026
        },
        {
            "sgId": "sg-m9rib42s",
            "sgName": "55282",
            "sgRemark": "",
            "createTime": "2015-05-25 13:26:13",
            "projectId": 1002026
        },
        {
            "sgId": "sg-nwet5lm2",
            "sgName": "647304",
            "sgRemark": "",
            "createTime": "2015-05-25 13:26:59",
            "projectId": 1002026
        },
        {
            "sgId": "sg-7p4zuirk",
            "sgName": "725995",
            "sgRemark": "",
            "createTime": "2015-05-25 13:27:44",
            "projectId": 1002026
        },
        {
            "sgId": "sg-fu418m84",
            "sgName": "149393",
            "sgRemark": "",
            "createTime": "2015-05-25 15:41:42",
            "projectId": 1002026
        },
        {
            "sgId": "sg-5ua9adfu",
            "sgName": "941957",
            "sgRemark": "",
            "createTime": "2015-05-25 13:26:15",
            "projectId": 1002026
        },
        {
            "sgId": "sg-oorbkxig",
            "sgName": "604532",
            "sgRemark": "",
            "createTime": "2015-05-25 15:41:01",
            "projectId": 1002026
        },
        {
            "sgId": "sg-ctvbu6fg",
            "sgName": "918177",
            "sgRemark": "",
            "createTime": "2015-05-25 13:27:31",
            "projectId": 1002026
        },
        {
            "sgId": "sg-knsu80dq",
            "sgName": "271820",
            "sgRemark": "",
            "createTime": "2015-05-25 15:42:06",
            "projectId": 1002026
        },
        {
            "sgId": "sg-kyg9lgua",
            "sgName": "695842",
            "sgRemark": "",
            "createTime": "2015-05-25 15:40:29",
            "projectId": 1002026
        },
        {
            "sgId": "sg-1stuh28c",
            "sgName": "655289",
            "sgRemark": "",
            "createTime": "2015-05-25 13:26:24",
            "projectId": 1002026
        },
        {
            "sgId": "sg-m1t4pjii",
            "sgName": "425902",
            "sgRemark": "",
            "createTime": "2015-05-25 15:41:47",
            "projectId": 1002026
        },
        {
            "sgId": "sg-nwyei9be",
            "sgName": "200885",
            "sgRemark": "",
            "createTime": "2015-05-25 15:40:30",
            "projectId": 1002026
        },
        {
            "sgId": "sg-qgep9heu",
            "sgName": "912006",
            "sgRemark": "",
            "createTime": "2015-05-25 13:26:07",
            "projectId": 1002026
        },
        {
            "sgId": "sg-dxl6h2kk",
            "sgName": "841425",
            "sgRemark": "",
            "createTime": "2015-05-25 15:40:49",
            "projectId": 1002026
        },
        {
            "sgId": "sg-f298obt2",
            "sgName": "242515",
            "sgRemark": "",
            "createTime": "2015-05-25 13:27:54",
            "projectId": 1002026
        },
        {
            "sgId": "sg-88lp4gha",
            "sgName": "908967",
            "sgRemark": "",
            "createTime": "2015-05-25 15:48:24",
            "projectId": 1002026
        },
        {
            "sgId": "sg-j0dlh4dm",
            "sgName": "161321",
            "sgRemark": "",
            "createTime": "2015-05-25 15:40:33",
            "projectId": 1002026
        },
        {
            "sgId": "sg-cu47n1cc",
            "sgName": "609816",
            "sgRemark": "",
            "createTime": "2015-05-25 15:41:33",
            "projectId": 1002026
        },
        {
            "sgId": "sg-c3y9aaa6",
            "sgName": "103283",
            "sgRemark": "",
            "createTime": "2015-05-25 13:26:36",
            "projectId": 1002026
        },
        {
            "sgId": "sg-ohlsv6mi",
            "sgName": "190564",
            "sgRemark": "",
            "createTime": "2015-05-25 10:04:35",
            "projectId": 1002026
        },
        {
            "sgId": "sg-qfgyalho",
            "sgName": "25333",
            "sgRemark": "",
            "createTime": "2015-05-25 15:48:24",
            "projectId": 1002026
        },
        {
            "sgId": "sg-919iqh7u",
            "sgName": "191617",
            "sgRemark": "",
            "createTime": "2015-05-25 13:25:54",
            "projectId": 1002026
        },
        {
            "sgId": "sg-nwx5ka3u",
            "sgName": "417244",
            "sgRemark": "",
            "createTime": "2015-05-25 15:41:49",
            "projectId": 1002026
        },
        {
            "sgId": "sg-o8zo2kaq",
            "sgName": "335117",
            "sgRemark": "",
            "createTime": "2015-05-25 13:27:03",
            "projectId": 1002026
        },
        {
            "sgId": "sg-l70ywpz6",
            "sgName": "212827",
            "sgRemark": "",
            "createTime": "2015-05-25 15:41:17",
            "projectId": 1002026
        },
        {
            "sgId": "sg-l6t3f98g",
            "sgName": "743531",
            "sgRemark": "",
            "createTime": "2015-05-25 15:40:39",
            "projectId": 1002026
        },
        {
            "sgId": "sg-33ocnj9m",
            "sgName": "test1",
            "sgRemark": "",
            "createTime": "2015-05-22 17:24:31",
            "projectId": 1002419
        },
        {
            "sgId": "sg-rbjr9pda",
            "sgName": "示例安全组",
            "sgRemark": "",
            "createTime": "2015-05-22 17:24:19",
            "projectId": 1002419
        },
        {
            "sgId": "sg-4pv297rc",
            "sgName": "test",
            "sgRemark": "",
            "createTime": "2015-05-22 17:25:09",
            "projectId": 1002419
        }
    ]
}

```

