## 1. 接口描述
 
本接口 (RunInstances) 用于创建一台或多台指定配置的实例(包年包月)。

接口请求域名：<font style="color:red">cvm.api.qcloud.com</font>


* 只支持预付费的用户，请保证余额充足。
* API创建的实例遵循[CVM实例购买限制](https://cloud.tencent.com/doc/product/213/CVM%E5%AE%9E%E4%BE%8B%E8%B4%AD%E4%B9%B0%E9%99%90%E5%88%B6)文档所描述的数量限制，和官网所创建的实例共用配额。
* CPU与内存具体的**配比限制**参见[CVM实例配置](https://cloud.tencent.com/doc/product/213/CVM%E5%AE%9E%E4%BE%8B%E9%85%8D%E7%BD%AE)。
* 如需要更改带宽，请在实例创建成功后，使用接口 [UpdateInstanceBandwidth](https://cloud.tencent.com/doc/api/229/1251) 更改，<font style="color:red">**公网带宽不指定默认为0**</font>。
* 实例创建成功将自动启动。
* 参数中的vpcId只能是vpcId，不能为unVpcId；subnetId只能是subnetId不能为unSubnetId。

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/doc/api/229/1230)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| zoneId| 否| Int| [可用区](https://cloud.tencent.com/doc/product/213/497#2.-.E5.8F.AF.E7.94.A8.E5.8C.BA)ID，默认为每个地区的第一个可用区。||
| cpu| 是| Int| CPU（核数）。 |
| mem| 是| Int| 内存（GB）。 |
| imageId| 是| String| 镜像ID。可通过 [查询镜像](https://cloud.tencent.com/doc/api/229/查询可用的镜像列表) 接口(链接包含公共镜像名称ID对应表)返回字段中的 unImgId 获取。||
| imageType| 否| Int| 镜像类型。<br>1：私有镜像<br>2：公有镜像<br>3：镜像市场<br>4：共享镜像。<br>默认为2。需与imageId同时指定。|
| bandwidthType| 否| String| 带宽的类型。PayByTraffic：按流量计费； PayByBandwidth：按月计费；默认是按月计费。网络计费模式的区别可以参看[购买网络络带宽](https://cloud.tencent.com/doc/product/213/509)。|
| bandwidth| 否| Int| 公网带宽(Mbps)，当按流量计费时为公网带宽峰值，默认为0。|
| wanIp| 否| Int| 是否开通公网IP。1：开通，0：不开通。bandwidth大于0，可自由选择开通与否，默认开通公网IP；bandwidth为0，则不分配公网IP。|
| vpcId| 否| String| [私有网络](https://cloud.tencent.com/doc/product/215/535ID)ID。私有网络下为必填，不填则为基础网络（使用时保证此ID在本可用区内）。
| subnetId| 否| String| [子网](https://cloud.tencent.com/doc/product/215/3089)ID，私有网络下为必填（使用时保证此ID在本可用区内）。||
| isVpcGateway| 否| Int| 是否是[公网网关](https://cloud.tencent.com/doc/product/215/3089#3.-.E5.90.91.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C.E4.B8.AD.E6.B7.BB.E5.8A.A0.E5.85.AC.E7.BD.91.E7.BD.91.E5.85.B3。)。0：非公网网关；1：公网网关；默认为0。公网网关只有在拥有公网IP以及处于私有网络下时才能正常使用。
| storageType| 否| Int| 磁盘类型。1:本地盘、2:云硬盘，默认为本地盘。关于磁盘的类型选择请参考[硬盘产品简介](https://cloud.tencent.com/doc/product/213/498)。|
| rootSize| 否| Int| 系统盘大小（GB）。<br>linux系统调整范围为20-50G，步长为1，默认为20G。Windows不可调整，默认为50G。系统盘类型与storageType所指定的一致。|
| storageSize| 是| Int| 数据盘大小（GB）。步长为10，为0表示不要数据盘，数据盘类型与storageType所指定的一致。关于数据盘的最大大小请参考[硬盘产品简介](https://cloud.tencent.com/doc/product/213/498)。|
| period| 是| Int| 购买时长(月)。最少1个月，最多为36个月。|
| goodsNum| 否| Int| 购买实例的数量。默认为1，最大 100。|
| password| 否| String| 实例密码。未设置则为随机产生，并通过站内信下发。Linux实例密码必须8到16位，至少包括两项[a-z，A-Z]、[0-9] 和 [( ) &#96; ~ ! @ # $ % ^ & * - + = &#124; { } [ ] : ; ' , . ? / ]中的特殊符号。Windows实例密码必须12到16位，至少包括三项[a-z]，[A-Z]，[0-9] 和 [( ) &#96; ~ ! @ # $ % ^ & * - + = { } [ ] : ; ' , . ? /]中的特殊符号。|
| keyId| 否| String| [密钥](https://cloud.tencent.com/doc/product/213/503)ID。关联密钥后可使用密钥登录实例，keyId 可通过接口[查询密钥](http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E8%AF%A2%E5%AF%86%E9%92%A5)获取。 Windows 操作系统不支持指定密钥，其他系统密钥与密码不能同时指定。|
| needSecurityAgent| 否| Int| 开启[云安全服务](https://cloud.tencent.com/doc/product/296/2222)。开通：1，不开通：0。默认开通。|
| needMonitorAgent| 否| Int| 开启[云监控服务](https://cloud.tencent.com/doc/product/248/967)。开通：1，不开通：0。默认开通。|
| projectId| 否| Int| [项目ID](https://cloud.tencent.com/doc/api/403/4398)，不填为默认项目。|


 

## 3. 输出参数
 
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。|
| message | String | 模块错误信息描述，与接口相关。详见错误码页面的[模块错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#2.E3.80.81.E6.A8.A1.E5.9D.97.E9.94.99.E8.AF.AF.E7.A0.81)。|
| dealIds| Array| 生成的订单号，用于查询后续执行状况。|
| unInstanceIds| Array| 生成的实例ID数组，可使用此ID通过<a href="http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E7%9C%8B%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="查询实例列表">查询实例列表</a>接口查询实例的详细信息。|

 
## 4. 示例
 
输入

```
  https://cvm.api.qcloud.com/v2/index.php?Action=RunInstances
  &imageId=img-lkxqa4kj
  &imageType=2
  &bandwidth=1
  &cpu=1
  &mem=2
  &storageType=1
  &storageSize=50
  &period=12
  &goodsNum=1
  &<公共请求参数>
```

输出

```
  {
      "code" : 0,
      "message" : "ok",
      "dealIds":[
          121
      ],
     "unInstanceIds": {
        "121": [
            "ins-npphstest"
        ]
    },
  }
```





