## 1. 接口描述
 
本接口 (RunInstancesHour) 用于创建一个或多个指定配置的实例(按量计费)。

接口请求域名：<font style="color:red">cvm.api.qcloud.com</font>

* 带宽包用户无法购买按量计费实例。
* API创建的实例遵循[CVM实例购买限制](https://cloud.tencent.com/doc/product/213/CVM%E5%AE%9E%E4%BE%8B%E8%B4%AD%E4%B9%B0%E9%99%90%E5%88%B6)文档所描述的数量限制，和官网所创建的实例共用配额。
* CPU与内存具体的**配比限制**参见[此页面](https://cloud.tencent.com/doc/product/213/CVM%E5%AE%9E%E4%BE%8B%E9%85%8D%E7%BD%AE)
* 如需要更改带宽，请在实例创建成功后，使用接口 [UpdateInstanceBandwidthHour](https://cloud.tencent.com/doc/api/229/1345) 更改，<font style="color:red">**公网带宽不指定默认为0**</font>。
* 参数中的vpcId只能是vpcId，不能为unVpcId；subnetId只能是subnetId不能为unSubnetId。

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/doc/api/229/1230)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| zoneId| 是| Int|[可用区](https://cloud.tencent.com/doc/product/213/497#2.-.E5.8F.AF.E7.94.A8.E5.8C.BA)ID。||
| cpu| 是| Int| CPU核数，具体限制见上。 |
| mem| 是| Int| 内存大小(GB)，具体限制见上。 |
| imageId| 是| String| 镜像ID。可通过 [查询镜像](https://cloud.tencent.com/doc/api/229/查询可用的镜像列表) 接口(链接包含公共镜像名称ID对应表)返回字段中的 unImgId 获取。||
| imageType| 是| Int| 镜像类型。 1：私有镜像、2：公共镜像、3：服务市场、4: 共享镜像。imageType必须要 imageId 实际类型匹配。 |
| bandwidthType| 否| String|带宽的类型。PayByHour：按带宽使用时长计费  <br>PayByTraffic：按流量计费。<br> 默认为按使用时长计费。网络计费模式的区别可以参看[购买网络带宽](https://cloud.tencent.com/doc/product/213/509)。||
| bandwidth| 否| Int| 公网带宽(Mbps)，当按流量计费时为公网带宽峰值。默认为0|
| wanIp| 否| Int| 是否开通公网IP。1：开通，0：不开通。bandwidth大于0，可自由选择开通与否，默认开通公网IP；bandwidth为0，则不分配公网IP。|
| vpcId| 否| String| [私有网络](https://cloud.tencent.com/doc/product/215/535)ID。私有网络下为必填，不填则为基础网络（使用时保证此ID在本可用区内）。|
| subnetId| 否| String| [子网](https://cloud.tencent.com/doc/product/215/4927#.E5.AD.90.E7.BD.91)ID，私有网络下为必填（使用时保证此ID在本可用区内）。|
| isVpcGateway| 否| Int| 是否是[公网网关](https://cloud.tencent.com/doc/product/215/3089#3.-.E5.90.91.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C.E4.B8.AD.E6.B7.BB.E5.8A.A0.E5.85.AC.E7.BD.91.E7.BD.91.E5.85.B3。)。0：非公网网关；1：公网网关；默认为0。公网网关只有在拥有公网IP以及处于私有网络下时才能正常使用。|
| storageType| 否| Int| 数据盘类型。1:本地盘、2:云硬盘，默认为本地盘。关于数据盘的类型选择请参考[硬盘产品简介](https://cloud.tencent.com/doc/product/213/498)。|
| storageSize| 是| Int| 数据盘大小(GB)。步长为10，0表示不要数据盘。关于磁盘的最大大小请参考[硬盘产品简介](https://cloud.tencent.com/doc/product/213/498)。|
| rootSize| 否| Int| 系统盘大小（GB）。<br>linux系统调整范围为20-50G，步长为1，默认为20G。Windows不可调整，默认为50G。系统盘类型与storageType所指定的一致。|
| goodsNum| 否| Int| 购买实例数量。默认为1, 最大100|
| password| 否| String| 实例密码。未设置则为随机产生，并通过站内信下发。linux实例密码必须8到16位，至少包括两项[a-z，A-Z]、[0-9] 和 [( ) &#96; ~ ! @ # $ % ^ & * - + = &#124; { } [ ] : ; ' , . ? / ]中的特殊符号。Windows实例密码必须12到16位，至少包括三项[a-z]，[A-Z]，[0-9] 和 [( ) &#96; ~ ! @ # $ % ^ & * - + = { } [ ] : ; ' , . ? /]中的特殊符号。|
| keyId| 否| String| [密钥](https://cloud.tencent.com/doc/product/213/503)ID。关联密钥后可使用密钥登录实例，keyId 可通过接口[查询密钥](http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E8%AF%A2%E5%AF%86%E9%92%A5)获取，密钥与密码不能同时指定，同时 Windows 操作系统不支持指定密钥。|
| needSecurityAgent| 否| Int| 开启[云安全服务](https://cloud.tencent.com/doc/product/296/2222)。开通：1，不开通：0。默认开通|
| needMonitorAgent| 否| Int| 开启[云监控服务](https://cloud.tencent.com/doc/product/248/967)。开通：1，不开通：0。默认开通|
| projectId| 否| Int| [项目ID](https://cloud.tencent.com/doc/api/403/4398)，不填为默认项目。|


## 3. 输出参数
 
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。|
| message | String | 模块错误信息描述，与接口相关。详见错误码页面的[模块错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#2.E3.80.81.E6.A8.A1.E5.9D.97.E9.94.99.E8.AF.AF.E7.A0.81)。|
| unInstanceIds| Array| 唯一标识实例的ID，命名格式为“ins-xxxxxxxx”，可以使用此ID调用<a href="http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E7%9C%8B%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8" title="DescribeInstances">DescribeInstances</a>接口查询实例详情。|

 

## 4. 示例
 
输入

```
  https://cvm.api.qcloud.com/v2/index.php?Action=RunInstancesHour
  &imageId=1
  &bandwidth=1
  &cpu=1
  &mem=2
  &storageType=1
  &storageSize=50
  &goodsNum=1
  &zoneId=1
  &<公共请求参数>
```
输出

```
  {
      "code" : 0,
      "message" : "ok",
      "unInstanceIds":[
          xxxx1
          xxxx2
      ]
  }

```





