## 1. 接口描述
 
本接口 (InquiryInstancePrice) 用于获取实例价格(包年包月)。

接口请求域名：<font style="color:red">cvm.api.qcloud.com</font>


* 仅支持<font color="red">包年包月实例</font>的价格查询，按量计费实例使用 [InquiryInstancePriceHour](https://cloud.tencent.com/doc/api/229/1346)。



## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/doc/api/229/1230)页面。

不同的产品输入参数也不一样。具体是：

### 2.1. 查询已购买成功的包月实例的价格
**用于续费**

| 参数名称 | 是否必选  | 类型 | 描述 |来源 |
|---------|---------|---------|---------|---------|
|instanceType|是|Int|实例类型| 系统规定，CVM实例为1。|
|instanceId|是|String|待操作的实例ID|可通过<a href="http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E7%9C%8B%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8">DescribeInstances</a>接口返回字段中的 unInstanceId 获取。|
| period|是| Int| 购买或续费时长| 用户自定义，单位月。最大为36，最小为1。|

### 2.2. 查询包年包月实例价格

* 参数存在具体的范围限制。欲获取更详细的参数信息，用户可以参考[此API](https://cloud.tencent.com/doc/api/229/1248)。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
|instanceType| 是| Int| 实例类型，此处为1（CVM实例购买）。|
| cpu| 是 | Int| 实例核数。CPU与内存具体的配比限制参见[CVM实例配置](https://cloud.tencent.com/doc/product/213/CVM%E5%AE%9E%E4%BE%8B%E9%85%8D%E7%BD%AE)。|
| mem| 是 | Int| 实例内存大小(GB)。CPU与内存具体的配比限制参见[CVM实例配置](/document/product/213/5730)。|
| period| 是| Int| 购买时长(月)。最少1个月，最多为36个月。|
| storageType| 否| Int| 磁盘类型。1:本地盘、2:云硬盘，默认为本地盘。关于数据盘的类型选择请参考[硬盘产品简介](https://cloud.tencent.com/doc/product/213/498)。|
| storageSize| 是| Int| 数据盘大小（GB）。步长为10，为0表示不要数据盘，数据盘类型与storageType所指定的一致。关于数据盘的最大大小请参考[硬盘产品简介](https://cloud.tencent.com/doc/product/213/498)。|
| goodsNum| 否| Int| 购买实例的数量。默认为1，最大 100。|
| bandwidth| 否| Int| 公网带宽(Mbps)，当按流量计费时为公网带宽峰值，默认为0。|
| bandwidthType| 否| String| 带宽的类型。PayByTraffic：按流量计费； PayByBandwidth：按月计费；默认是按月计费。网络计费模式的区别可以参看[购买网络络带宽](https://cloud.tencent.com/doc/product/213/509)。|
| rootSize| 否| Int| 系统盘大小(单位:GB)。<br>linux系统调整范围为20-50G，步长为1，默认为20G。<br>windows不可调整，默认为50G。<br>系统盘类型与数据盘类型一致。|
| imageType| 是| Int| 镜像类型。 1：私有镜像、2：公共镜像、3：服务市场、4: 共享镜像。imageType必须要imageid实际类型匹配。 |
| imageId| 是| String| 镜像ID。可通过 [查询镜像](https://cloud.tencent.com/doc/api/229/查询可用的镜像列表) 接口(链接包含公共镜像名称ID对应表)返回字段中的 unImgId获取。|

### 2.3. 查询实例配置升级的价格

* 参数存在具体的范围限制。欲获取更详细的参数信息，用户可以参考[此API](https://cloud.tencent.com/doc/api/229/1306)。


| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| instanceType| 是| Int| 实例类型，此处为4（CVM实例配置升级）。 |
| bandwidth| 否| Int| 升级后的带宽值（Mbps）。|
| bandwidthUpgradeStartTime| 否| String| 起始时间。格式如：2014-10-30，该时间不能早于当前时间。|
| bandwidthUpgradeEndTime| 否| String| 终止时间。格式如：2014-11-30，该时间不能晚于实例购买的截止期限的时间。|
| cpu| 否| Int| CPU核数。升级后的核数。|
| mem| 否| Int| 内存。 升级后的内存大小(GB)。|
| storageType| 否| Int| 数据盘类型。1:本地盘 2:云硬盘|
| storageSize| 否| Int| 升级后的数据盘大小。单位GB，为0表示不要数据盘。|

### 2.4. 查询升级实例时间段内网络的价格

* 参数存在具体的范围限制。欲获取更详细的参数信息，用户可以参考[此API](https://cloud.tencent.com/doc/api/229/1251)。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| instanceType| 是| Int| 实例类型，此处为5（CVM实例网络升级）。|
| instanceId| 是| String| 待操作实例的实例ID。 可通过[DescribeInstances](https://cloud.tencent.com/doc/api/229/%E6%9F%A5%E7%9C%8B%E5%AE%9E%E4%BE%8B%E5%88%97%E8%A1%A8)接口返回字段中的 unInstanceId、instanceId 获取（建议使用 unInstanceId ）。
| bandwidth| 是| Int| 升级后的带宽值（Mbps）。|^
| startTime| 是| String| 起始时间。格式如：2014-10-30，该时间不能早于当前时间。|
| endTime| 是| String| 终止时间。格式如：2014-11-30，该时间不能晚于实例购买的截止期限的时间。
| bandwidthType| 否| String| 带宽的类型。PayByTraffic：按流量计费，PayByBandwidth：按月计费，默认为PayByBandwidth。


 

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。|
| message | String | 模块错误信息描述，与接口相关。详见错误码页面的[模块错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#2.E3.80.81.E6.A8.A1.E5.9D.97.E9.94.99.E8.AF.AF.E7.A0.81)。|
| price| Int| 产品的总价格，单位分。|

 

## 4. 示例
 
输入

```
  https://cvm.api.qcloud.com/v2/index.php?Action=InquiryProductPrice
  &instanceType=1
  &imageId=img-1234test
  &cpu=1
  &mem=1
  &storageSize=10
  &period=1
  &<公共请求参数>
```

输出

```
{
    "code":0,
    "message": "",
    "price": 1085
}

```





