## 1. 接口描述
 

本接口 (CreateKeyPair) 用于创建密钥。

接口请求域名：<font style="color:red">cvm.api.qcloud.com</font>


* 指定密钥名称由系统自动创建密钥，并返回密钥id及其公钥和私钥的内容。
* 密钥名称不能与其它密钥相同。
* 私钥内容（字符串）可以保存到文件中作为登录的参数。
* 腾讯云不会保存用户的私钥，请妥善保管。

## 2. 输入参数


以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/doc/api/229/1230)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
|keyName  | 是 | String | 密钥名称。只能包含数字，字母和下划线。

## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。|
| message | String | 模块错误信息描述，与接口相关。详见错误码页面的[模块错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#2.E3.80.81.E6.A8.A1.E5.9D.97.E9.94.99.E8.AF.AF.E7.A0.81)。|
| keyId |  String | 密钥ID。 |
| keyName |   String | 密钥名称。 |
|  pubkey  |  String | 密钥的公钥内容。  |
| secretkey | String | 密钥的私钥内容。 |



 

## 4. 示例
 
输入

```
  https://cvm.api.qcloud.com/v2/index.php?Action=CreateKeyPair
  &keyName=operation_key
  &<公共请求参数>

```

输出

```

{
    "code": 0,
    "message": "",
    "data": {
        "keyId": "skey-XXXXXX",
        "keyName": "operation_key",
        "pubkey": "ssh-rsa XXXXXXXXXXXX== skey_45071",
        "secretkey": "-----BEGIN RSA PRIVATE KEY----/nXXXXXXXXXXXXXXXX\n-----END RSA PRIVATE KEY-----\n"
    }
}

```



