## 1. 接口描述
 
本接口 (UnBindInstanceKey) 用于解除CVM的密钥绑定关系。

接口请求域名：<font style="color:red">cvm.api.qcloud.com</font>

* 解绑密钥只支持关机状态的Linux子机。
* 解绑密钥后，实例可以通过原来设置的密码登录。
* 如果原来没有设置密码，解绑后将无法使用SSH登录。可以调用 [ResetInstancePassword](https://cloud.tencent.com/doc/api/229/1245) 来增加一个登陆密码。
 
## 2. 输入参数


以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/doc/api/229/1230)页面。

| 参数名称 | 是否必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| keyId  | 是 | String | 密钥ID。 |
| instanceIds.n  | 是 | String | 实例ID（此接口支持同时传入多个ID解绑多个实例。此参数的具体格式可参考API[简介](https://cloud.tencent.com/doc/api/229/568)的`id.n`一节）。 |


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 公共错误码。0表示成功，其他值表示失败。详见错误码页面的[公共错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。|
| message | String | 模块错误信息描述，与接口相关。详见错误码页面的[模块错误码](https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#2.E3.80.81.E6.A8.A1.E5.9D.97.E9.94.99.E8.AF.AF.E7.A0.81)。|


## 4. 示例

输入
```
  https://cvm.api.qcloud.com/v2/index.php?Action=unBindInstanceKey
  &instanceIds.0=ins-xxxxx
  &instanceIds.1=ins-xxxxx
  &keyId=skey-xxxxx
  &<公共请求参数>
```

输出
```
{
    "code": 0,
    "message": "",
}

```





