## 1. 接口描述
域名:trade.api.qcloud.com
接口名:DescribeDealsByCond

获取订单信息(新)

## 2. 输入参数
| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| startTime | 是 | datetime | 开始时间|
| endTime | 是 | datetime | 结束时间|
| page | 否 | Int | 第多少页,从0开始，默认是0|
| pageSize | 否 | Int | 一页多少条数据，默认是20条|
| status | 否 | Int | 订单状态,默认为4（成功的订单）<br>订单的状态<br>1：未支付<br>2：已支付3：发货中<br>4：已发货<br>5：发货失败<br>6：已退款<br>7：已关单<br>8：订单过期<br>9：订单已失效<br>10：产品已失效<br>11：代付拒绝<br>12：支付中<br>|
| dealId | 否 | Int | 订单ID|


## 3. 输出参数
| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码, 0: 成功, 其他值: 失败|
| message | String | 错误信息|
| data | Array | |
| data.deals | Array | | 
| data.deals.goodsCategoryId | Int | 产品分类ID <br> 1  CVM 新购 <br> 2   CDB 新购 <br> 3  CMEM 新购 <br>4  CEE 新购 <br>15  CVM 续费 <br>16  带宽升级 <br>17 CDB预付费购买 <br>18 CDB续费 <br>19 带宽包购买 <br>21 CVM 升级 <br>22 CDB 升级 <br>23 新购DDOS包 <br>24 续费DDOS包 <br>25 升级DDOS包 <br>26 新购VPN包 <br>27 续费VPN包 <br>28 升级VPN包 <br>29 新购云视频套餐 <br>30 续费云视频套餐 <br>31 升级云视频套餐 <br>32 新购CDN包 <br>33 服务市场代运维产品 <br>34 新版负载均衡 <br>35 新购大禹套餐 <br>36 大禹流量包 <br>37 redis购买 <br>38 redis续费 <br>39 redis升级 <br>40 视频直播购买 <br>41 CVM降配 <br>42 cvm后付费切预付费 <br>43 cdb后付费切预付费 <br>45 服务市场软件类 <br>46 wenzhi购买 月套餐 <br>47 wenzhi续费 <br>48 wenzhi升级 <br>49 VPC专线购买 <br>50 VPC专线续费 <br>51 SSLVPN购买 月套餐 <br>52 SSLVPN续费 <br>53 SSLVPN升级 <br>54 预付费CDB只读实例购买 <br> 55 CDB只读实例续费 <br>56 CDB只读实例升级 <br>65 SQL Server 预付费购买 <br>66 SQL Server 续费 <br>67 SQL Server 升级 <br>69 TDSQL 预付费购买 <br>70 TDSQL续费 <br>71 TDSQL 升级 <br>| 
| data.deals.goodsDetail | Array | 产品配置信息| 
| data.deals.taskDetail | Array | 部分产品信息，新购时产品ID存在此字段| 
| data.deals.realTotalCost | Int | 总消耗（单位分）| 
| data.deals.voucherDecline | Int | 代金卷消耗（单位分）| 
| data.deals.projectId | Int | 项目ID| 

goodsCategoryId 产品分类ID <br>
    

## 4. 示例
输入
```
https://trade.api.qcloud.com/v2/index.php?Action=DescribeDealsByCond
&startTime=2016-01-01 00:00:00
&endTime=2016-02-01 00:00:00
&pageSize=2
&page=0
&COMMON_PARAMS
```
输出
```
{
    "code":"0",
    "message":"",
    "data":{
        "totalNum":"76",
        "deals":[
            {
                "dealName":"1",
                "dealId":"11",
                "goodsCategoryId":"75",
                "goodsDetail":{
                    "domain":"dnspod.cn",
                    "years":"1",
                    "service":"DR_CN_NEW"
                },
                "creatTime":"2016-01-07 15:47:34",
                "billId":"20160107030000032133684280",
                "taskDetail":{
                    "flowId":"3333"
                },
                "realTotalCost":"1024",
                "voucherDecline":null,
                "projectId":"0"
            },
            {
                "dealName":"1",
                "dealId":"1",
                "goodsCategoryId":"70",
                "goodsDetail":{
                    "type":"tdsql",
                    "action":"renewTDsql",
                    "appId":"1351000042",
                    "Memory":"6000",
                    "Storage":"100",
                    "Ids":"40590",
                    "instanceNames":"name40590",
                    "curDeadline":"2016-02-07",
                    "timeSpan":"4",
                    "timeUnit":"d",
                    "ProjectId":"0",
                    "userType":"1",
                    "operator":"909619400"
                },
                "creatTime":"2016-01-07 16:55:24",
                "billId":"2016010703000003213219435981",
                "taskDetail":{
                    "Ids":[
                        "40590"
                    ]
                },
                "realTotalCost":"10000",
                "voucherDecline":null,
                "projectId":"0"
            }
        ]
    }
}
```

