## 1. 接口描述
本接口（AttachCbsStorages）用于挂载指定的弹性云盘到指定的云主机上。

接口请求域名：<font style="color:red">cbs.api.qcloud.com</font>

使用限制：
1. 只支持弹性云盘。详见[DescribeCbsStorages（查询云硬盘信息）](https://cloud.tencent.com/doc/api/364/2519)接口输出参数中portable字段解释
1. 云硬盘必须处于非挂载状态，且状态为normal。详见[DescribeCbsStorages（查询云硬盘信息）](https://cloud.tencent.com/doc/api/364/2519)接口输出参数中storageStatus、attached字段解释
1. 单个云主机最多可挂载云硬盘限制见[DescribeInstancesCbsNum（查询云主机已挂载弹性云盘数量）](https://cloud.tencent.com/doc/api/364/2528)输出参数说明

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/product/240/8320)页面。

| 参数名称 | 必选  | 类型 | 描述 |
| ------- | ------- | ------- | ------- |
| storageIds| 是 | Array[String] | 将要被挂载的弹性云盘ID。通过[DescribeCbsStorages（查询云硬盘信息）](/doc/api/364/2519)接口查询。单次最多可操作10块弹性云盘 | 
| uInstanceId | 是 | String | 云服务器实例ID，云盘将被挂载到此云服务器上。通过[DescribeInstances（查看实例列表）](/doc/api/229/831)接口查询 |


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
| ------- | ------- | ------- |
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81) |
| message | String | 错误信息，详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81)|
| detail | Array[object] | 见[批量异步任务接口返回格式](http://cloud.tencent.com/doc/api/364/%E5%BC%82%E6%AD%A5%E4%BB%BB%E5%8A%A1%E6%8E%A5%E5%8F%A3%E8%BF%94%E5%9B%9E%E6%A0%BC%E5%BC%8F) |


## 4. 示例

输入
```
https://cbs.api.qcloud.com/v2/index.php?
<公共请求参数>
&Action=AttachCbsStorages
&storageIds.0=disk-a2dbffgk
&uInstanceId=ins-9spojch6
```

输出
```
{
    "code":"0",
    "message":"",
    "detail":{
        "disk-a2dbffgk":{
            "code":"0",
            "message":"ok"
        },
        "taskId":"2377970"
    }
}
```


