## 1. 接口描述

本接口（DetachCbsStorages）用于解挂指定的弹性云盘。

接口调用域名：<font style="color:red">cbs.api.qcloud.com<font>
 
使用限制：
1. 只支持弹性云盘。详见[DescribeCbsStorages（查询云硬盘信息）](https://cloud.tencent.com/doc/api/364/2519)接口输出参数中portable字段解释
1. 云硬盘必须处于已挂载状态，且状态为normal。详见[DescribeCbsStorages（查询云硬盘信息）](https://cloud.tencent.com/doc/api/364/2519)接口输出参数中storageStatus、attached字段解释 

## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/product/240/8320)页面。

| 参数名称 | 必选  | 类型 | 描述 |
| ------- | ------- | ------- | ------- | 
| storageIds | 是 | Array[String] | 将要解挂的云硬盘ID， 通过[DescribeCbsStorages（查询云硬盘信息）](/doc/api/364/2519)接口查询，单次请求最多可操作10块弹性云盘 |
 
## 3. 输出参数

| 参数名称 | 类型 | 描述 |
| ------- | ------- | ------- |
| code | Int | 公共错误码，0表示成功，其他值表示失败。详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81) |
| message | String | 错误信息，详见[错误码页面](https://cloud.tencent.com/doc/api/364/%E9%94%99%E8%AF%AF%E7%A0%81)|
| detail | Array[object] | 见[批量异步任务接口返回格式](http://cloud.tencent.com/doc/api/364/%E5%BC%82%E6%AD%A5%E4%BB%BB%E5%8A%A1%E6%8E%A5%E5%8F%A3%E8%BF%94%E5%9B%9E%E6%A0%BC%E5%BC%8F) |
 
 
## 4. 示例

输入

```
https://snapshot.api.qcloud.com/v2/index.php?
<公共请求参数>
&Action=DetachCbsStorages
&storageIds.0=disk-123bdkvd
&storageIds.1=disk-a2dbffgk

```

输出

```
{
    "code":"0",
    "message":"",
    "detail":{
        "disk-123bdkvd":{
            "code":"16000",
            "message":"disk not exist"
        },
        "disk-a2dbffgk":{
            "code":"0",
            "message":"ok"
        }
    }
}
```
 
 
 
