## 1. 接口描述

本接口(ApplySnapshot)用于回滚快照到原云硬盘，暂不支持回滚到其它云硬盘。对于数据盘快照如果您需要复制快照数据到其它云硬盘上，请使用[CreateCbsStorages(创建弹性云盘)](https://cloud.tencent.com/doc/api/364/2524)，创建新的弹性云盘。

接口请求域名：<font style="color:red">snapshot.api.qcloud.com</font>

使用限制：
1. 快照必须处于normal状态,详见[DescribeSnapshots(查询快照列表)](https://cloud.tencent.com/doc/api/364/2530)接口回包中status字段解释
2. 只支持回滚到快照原云硬盘上
3. 如果是弹性云盘，则弹性云盘必须处于非挂载状态,详见[DescribeCbsStorages(查询云硬盘信息)](https://cloud.tencent.com/doc/api/364/2519)接口回包中attached字段；如果是随云主机一块购买的非弹性云盘,则云主机必须处于关机状态，详见[查看实例列表](https://cloud.tencent.com/doc/api/229/831)接口回包中status字段


## 2. 输入参数

以下请求参数列表仅列出了接口请求参数，其它参数见[公共请求参数](https://cloud.tencent.com/document/product/240/8320)页面。

| 参数名称 | 必选  | 类型 | 描述 |
|---------|---------|---------|---------|
| snapshotId | 是 | String | 快照ID，可通过[DescribeSnapshots(查询快照列表)](https://cloud.tencent.com/doc/api/364/2530)接口查询|
| storageId | 是 | String | 快照原云硬盘ID，可通过[DescribeSnapshots(查询快照列表)](https://cloud.tencent.com/doc/api/364/2530)接口查询|


## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码。0: 成功, 其他值: 失败|
| message | String | 错误信息|
| detail | Array | 返回的数组 |
| detail.requestId | Int | 任务ID，参见[异步任务接口返回格式](https://cloud.tencent.com/document/product/240/8325) | 


## 4. 示例

输入：
```
https://snapshot.api.qcloud.com/v2/index.php?
<公共请求参数>
&Action=ApplySnapshot
&snapshotId=snap-pxxx2xmn
&storageId=disk-g7xxxs4o
```

输入：
```
{
    "code":"0",
    "message":""
}
```

