欢迎使用腾讯云硬盘（CBS）！

云硬盘是一种高可用、高可靠、低成本、可定制化的网络块设备，具体请参考[云硬盘产品文档](https://cloud.tencent.com/doc/product/362/2345)。

用户可以使用本文档介绍的API对云硬盘和快照进行相关操作，如创建弹性云盘、创建快照或回滚快照等，具体支持的操作可参加[API概览](https://cloud.tencent.com/doc/api/372/3174)。

请确保在使用这些接口前，已充分了解[CBS产品](https://cloud.tencent.com/doc/product/362/2345)、及其[使用](https://cloud.tencent.com/doc/product/362/2922)和[收费方式](https://cloud.tencent.com/doc/product/362/2413)。

在本文档的接口说明部分，凡出现任何参数可选范围等方面与腾讯云官网上给出的数值发生矛盾时，**均以官网上给出的值为准**。

## 1. 术语表

为了让您快速熟悉云硬盘及快照服务，我们对其中的一些常用术语进行了解释，如下表：

| 术语 | 中文 | 说明 |
| --- |  --- | --- |
| CBS | [云硬盘](https://cloud.tencent.com/document/product/439/6329) | 腾讯云自研的分布式块存储，详见[云硬盘产品文档](https://cloud.tencent.com/doc/product/362/%E4%BA%A7%E5%93%81%E6%A6%82%E8%BF%B0) ，简称云盘，包含随云主机购买的云硬盘和独立购买的弹性云盘两类。|
| 弹性云盘 |  [弹性云盘](https://cloud.tencent.com/document/product/439/6329#1.2.-.E5.BC.B9.E6.80.A7.E4.BA.91.E7.A1.AC.E7.9B.98) | 不随云主机一块购买（单独购买），拥有独立生命（计费）周期，可在不同云主机之间自由挂载解挂的云硬盘（不支持同时在多个云主机上挂载），也称为弹性云硬盘。 |
| snapshot |   [云硬盘快照](https://cloud.tencent.com/doc/product/213/502) | 保存了云硬盘在某一个时间点的副本，可以使用快照将云硬盘还原到快照创建的时间点 |

<!--
| root盘 |   系统盘 | 随着云主机购买的，存放云主机操作系统的磁盘，如windows中的C盘，Linux中的vdb |
| data盘 |   数据盘 | 用来存放用户数据而非操作系统的磁盘称之为data盘，data盘包括普通云硬盘和弹性云硬盘 |
| root盘快照 |  系统盘快照 | 对系统盘云硬盘制作的快照，此快照可以回滚到到原云盘上恢复云盘的数据，但是*不能*用来创建新的弹性云盘 |
| data盘快照 |  数据盘快照 | 对数据盘云硬盘制作的快照，此快照可以回滚到到原云盘上恢复云盘的数据，也可以用来创建一块新的弹性云盘，此弹性云盘包含快照数据 |
-->


## 2. 使用方式

通过API使用弹性云盘，您需要依次完成以下三个步骤（具体操作请参考[弹性云盘使用示例]()）：

1. 创建弹性云盘：您可以使用[CreateCbsStorages（创建弹性云盘）](/doc/api/364/2524)接口创建弹性云盘。
2. 将弹性云盘挂载到指定云主机上：创建完弹性云盘后，使用[AttachCbsStorages（挂载弹性云盘）](/doc/api/364/2520)接口将弹性云盘挂载到指定的云主机上。**注意：这里的挂载指的是将弹性云盘分配给指定的云主机，相当于热插了一块硬盘到服务器上**。
3. 登录云主机初始化弹性云盘：初次使用新创建的弹性云盘时，需要进行分区、格式化等一系列操作。具体操作方式请见：[Windows系统数据盘分区及格式化](https://cloud.tencent.com/doc/product/213/2158)、[Linux系统挂载数据盘、分区与格式化](https://cloud.tencent.com/doc/product/362/3893)。注意，对于linux系统，分区并不是必要的，您可以跳过分区直接进行格式化操作。


通过API使用云硬盘快照，您需要依次完成以下两个步骤（具体操作请参考[云硬盘快照使用示例]()）：

1. 创建云硬盘快照：您可以使用[CreateSnapshot（创建快照）](/doc/api/364/2529)接口对指定的云硬盘创建快照。
2. 回滚云硬盘快照：在有需要时，您可以使用[ApplySnapshot（回滚快照）](/doc/api/364/2533)接口将云硬盘快照回滚到指定的云硬盘上。


## 3. 使用限制

云硬盘和快照使用限制请见[云硬盘使用限制](https://cloud.tencent.com/doc/product/362/5145)。对于具体的参数限制，请参考各接口文档中输出参数的说明。

