公共请求参数是每个接口都需要使用到的请求参数，如非必要, 在各个接口单独的文档中不再对这些参数进行说明, 但**每次请求均需要携带这些参数, 才能正常发起请求**。公共请求参数具体列表如下：

<table class="t">
<tbody><tr>
<th> <b>名称</b>
</th><th> <b>类型</b>
</th><th> <b>描述</b>
</th><th width="50"> <b>必选</b>
</th></tr>
<tr>
<td> Action
</td><td> String
</td><td> 接口指令的名称，例如: DescribeLoadBalancers
</td><td> 是
</td></tr>
<tr>
<td> Region
</td><td> String
</td><td> 区域参数，用来标识希望操作哪个区域的实例。可选: <br>bj:北京<br>gz:广州<br>sh:上海<br>hk:香港<br>ca:北美<br>

</td><td> 是
</td></tr>
<tr>
<td> Timestamp
</td><td> UInt
</td><td> 当前UNIX时间戳
</td><td> 是
</td></tr>
<tr>
<td> Nonce
</td><td> UInt
</td><td> 随机正整数，与 Timestamp 联合起来, 用于防止重放攻击
</td><td> 是
</td></tr>
<tr>
<td> SecretId
</td><td> String
</td><td> 由腾讯云平台上申请的标识身份的 SecretId 和 SecretKey, 其中 SecretKey 会用来生成 Signature<br>具体参考 <a href="/doc/api/244/接口鉴权" title="接口鉴权">接口鉴权</a> 页面
</td><td> 是
</td></tr>
<tr>
<td> Signature
</td><td> String
</td><td> 请求签名，用来验证此次请求的合法性, <br>具体参考 <a href="/doc/api/244/接口鉴权" title="接口鉴权">接口鉴权</a> 页面
</td><td> 是
</td></tr></tbody></table>


假设用户想要查询广州地域用户的全部负载均衡实例列表，则其请求链接的形式如下:

```
https://domain/v2/index.php?
Action=DescribeLoadBalancers
&SecretId=xxxxxxx
&Region=gz
&Timestamp=1402992826
&Nonce=345122
&Signature=mysignature
&<接口请求参数>
```
一个完整的请求需要两类请求参数：公共请求参数和接口请求参数。这里只列出了上述6个公共请求参数，并未列出接口请求参数，有关接口请求参数的说明可见<a href="/doc/api/244/接口请求参数" title="接口请求参数">接口请求参数</a>小节。














