接口请求参数与具体的接口有关，不同的接口支持的接口请求参数也不一样。以[查询负载均衡实例列表](/doc/api/244/查询负载均衡实例列表)为例，其支持的接口请求参数如下：

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> loadBalancerIds.n
<td> 否
<td> String
<td> 负载均衡实例ID，可使用loadBalancerId 和 unLoadBalancerId两种，推荐使用统一ID unLoadBalancerId。
<tr>
<td> loadBalancerType
<td> 否
<td> Int
<td> 负载均衡的类型<br>1：公网(无日租)，2：公网(有日租)，3：内网
<tr>
<td> loadBalancerName
<td> 否
<td> String
<td> 负载均衡实例名称
<tr>
<td> domain
<td> 否
<td> String
<td> 负载均衡实例域名。规则：1-60个小写英文字母、数字、点号“.”或连接线“-”。内网类型的负载均衡不能配置该字段
<tr>
<td> loadBalancerVips.n
<td> 否
<td> String
<td> 负载均衡实例VIP地址，支持多个
<tr>
<td> backendWanIps.n
<td> 否
<td> String
<td> 后端云服务器的外网IP
<tr>
<td> offset
<td> 否
<td> Int
<td> 数据偏移量，默认为0
<tr>
<td> limit
<td> 否
<td> Int
<td> 返回数据长度，默认为20
<tr>
<td> orderBy
<td> 否
<td> String
<td> 排序字段，支持以下字段：
loadBalancerName，createTime，domain，loadBalancerType
<tr>
<td> orderType
<td> 否
<td> Int
<td> 1：倒序，0：顺序，默认顺序
<tr>
<td> searchKey
<td> 否
<td> String
<td> 搜索字段，模糊匹配名称、域名、VIP
<tr>
<td> projectId
<td> 否
<td> Int
<td> 项目ID，可通过<a href="http://cloud.tencent.com/doc/api/229/%E6%9F%A5%E8%AF%A2%E9%A1%B9%E7%9B%AE%E5%88%97%E8%A1%A8" title="DescribeProject">DescribeProject</a>接口查询
</tbody></table>



假设用户想要查询广州地域用户的公网（有日租）类型的负载均衡实例列表，则其请求链接的形式如下:

```
https://domain/v2/index.php?
&<公共请求参数>
&loadBalancerType=2
```
一个完整的请求需要两类请求参数：公共请求参数和接口请求参数。这里只列出了上述1个接口请求参数，并未列出公共请求参数，有关公共请求参数的说明可见<a href="/doc/api/244/公共请求参数" title="公共请求参数">公共请求参数</a>小节。

