## 1. 普通异步任务接口返回格式
一次请求只能操作一个资源的异步任务接口，例如回滚快照等。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码，0：成功，其他值：失败|
| message | String | 错误信息|
| requestId | int | 任务编号| 


例如：

```
{
    "code": 0,
    "message": "",
   "requestId": 6764817
}
```

## 2. 批量异步任务接口返回格式
一次请求能操作多个资源的异步任务接口，例如挂载弹性云盘，解挂弹性云盘等。

| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| code | Int | 错误码，0：成功，其他值：失败|
| message | String | 错误信息|
| detail | Array | 以资源ID为key, 返回对该资源操作的code,message |
| requestId | int | 任务编号| 

例如：
```
{
    "code": 0,
    "message": "",
    "detail": {
       "disk-abcd": {
            "code": 0,
            "message": "ok"
        },
		"disk-defg": {
            "code": 0,
            "message": "ok"
        }
    },
   "requestId": 6764817
}
```
>注意：
只要有任务下发成功，则最外层code即为0
可以通过detail得到失败部分的操作信息。