## 产品概述
CCI（Cloud Continuous Integration，云端持续集成）服务是一款针对Web部的前端后台的数据集成的产品，为开发者提供支持多种编程语言的编译构建服务，包含定时/手动启动构建、查看构建结果及日志、支持快速分发交付、可扩展的自动化测试等功能，为项目的持续集成体系提供上游基础服务，提升项目研发效率。
目前，CCI 可以支持 JAVA，C++、PHP 等语言的构建，并能和 TGit、织云原生兼容。开发者可以将代码写在 TGit，又能非常方便的把代码拉到 CCI 上面去做构建，同时，CCI 还支持定时构建，以及代码提交时间触发构建功能。
## 产品功能
### 构建管理
- 构建任务管理
灵活的构建任务配置，可针对不同项目配置一到多个构建任务，独立产出构建结果。
- 编译参数场景
系统支持默认构建参数，允许自定义配置构建参数及构建脚本，满足个性化构建需求。
- 编译机管理
提供了多台标准编译机，支持接入私有编译机，支持用户特殊编译环境的任务。

### 持续集成
- 自动触发机制
用户可手动触发构建以外，可定时或代码提交时触发构建，满足每日基线及实时基线结果诉求。
- 关联提交行为
CI可拉取tGit或其他代码源的提交日志，为每次构建结果关联上代码提交日志，方便跟踪代码提交产出。
- 无需人工介入
通过后台的构建集群，CI可保证编译的安全及稳定；构建完成后通过各类通知方式进行结果同步，无需值守或干预。

### DevOps 流水线
- 代码托管
通过认证的腾讯云帐号，CCI 可直接拉取同一个开发者（或企业）的 TGit 项目，降低项目接入开销。
- 发布部署
CCI 结果可一键或自动将构建结果同步至织云文件管理模块，对构建结果进行版本管理，协助完成批量机器自动化部署工作。
- 自动化测试
CCI 下游提供标准的开放接口，可接入各类自动化检测工具（如代码静态扫描、安装包检测），快速暴露代码问题，提升测试质量。

## 产品优势
1. **接入门槛低**
通过认证的腾讯云帐号，CCI 可直接同步 TGit 的代码库进行构建任务的创建；并提供了多台标准编译机，基础构建任务无需进行编译机购买及环境搭建工作。
2. **配置灵活**
CCI 提供丰富的自定义编译参数，满足各种复杂编译任务需求；支持接入私有编译机，满足用户特殊编译环境的任务需求；支持接入第三方代码源，可从 Github 或其他 SVN 代码源拉取代码完成构建。
3. **流水线对接**
在同步 TGit 代码的同时，CCI也能获取到 TGit 的提交日志，关联变更与构建结果；可自动或手工将构建结果同步至织云文件管理模块，对构建结果进行版本管理，进而完成批量机器自动化部署工作。
4. **可扩展性强**
可配置定时触发构建或代码提交触发构建，快速迭代更新；构建下游提供开放接口，可接入各类自动化检测工具（如代码静态扫描、安装包检测），快速诊断代码问题，提升测试质量。

## 应用
CCI 持续集成已成功应用到 QQ 即时通讯软件、QQ 空间、 QQ 音乐和腾讯社交广告软件。
