CCI 持续集成工具提供多种编程语言的编译构建服务，您可以通过 CCI 持续集成服务，直接同步 TGit 的代码库，实现定时/手动启动构建、查看构建结果及日志、支持快速分发交付、可扩展的自动化测试等功能，为项目的持续集成体系提供上游的基础服务，提升项目研发效率。
## 注册与登录
- 如果您还没完成腾讯云账户的注册，请先 [注册](https://cloud.tencent.com/register?s_url=https%3A%2F%2Fcloud.tencent.com%2F%3FfromSource%3Dgwzcw.184926.184926.184926%26gclid%3DEAIaIQobChMIoaGVwcT21gIVFSNoCh3VxAi-EAAYASAAEgId7PD_BwE)，注册完成后您需要进行实名认证，具体操作可参考 [实名认证指引](https://cloud.tencent.com/document/product/378/3629)。
- 如果您已注册腾讯云账户，并进行了实名认证，可直接 [登录腾讯云](https://cloud.tencent.com/login?s_url=https%3A%2F%2Fcloud.tencent.com%2F%3FfromSource%3Dgwzcw.184926.184926.184926%26gclid%3DEAIaIQobChMIoaGVwcT21gIVFSNoCh3VxAi-EAAYASAAEgId7PD_BwE)。
- 单击【产品】>【开发者工具】>【 CCI 持续集成】，或在首页直接搜索【 CCI 持续集成】，进入 CCI 持续集成页面。

## 整体流程
![](//mc.qcloudimg.com/static/img/d1cd7ca9ce10068b595818d47ec9954a/image.png)

1. 通过代码仓库导入代码。
2. 通过触发构建，将代码输入到持续集成系统。
3. 进行开发环境、测试环境和生产环境的部署。
4. 利用监控日志监控整个过程。

## 构建支持类型

构建类型包括服务端构建类型和终端构建类型。

- 服务端构建支持 java 构建、c++ 构建、php 构建、python  构建 、js 构建。
- 终端构建支持 ios 构建、安卓构建、unit3d 构建等。

## 创建工程
1. 进入 CCI 持续集成页面，单击【新建】，创建一个服务端构建工程。![](//mc.qcloudimg.com/static/img/dd5dcf4ee811df33d6ea6b0eaab7df97/image.png)
2. 填写工程名称、工程描述、代码仓库，选择编程语言、构建类型和构建环境。
根据服务端类型和编译参数说明表格，填写编译参数。
**编译参数说明**
<table>  
      <td align="center"><b> 编译类型</b></td> 
			<td align="center"><b>编译参数</b></td>  
			   <td align="center"><b>说明</b></td>  
				    <td align="center"><b> 默认值</b></td>  
						   <td align="center"><b>示例</b></td>  
							    <td align="center"><b> 最终命令实例</b></td>  
   </tr>
    <tr>
        <td rowspan="2"align="center">ant</td>    
        <td align="center">Targets</td>  
				<td align="center">指定ant targets参数的执行列表</td>  
				  <td align="center">无</td>
					  <td align="center">dist</td>
						<td rowspan="2"align="center">ant -buildfile build.xml dist </td>    
    </tr>
    <tr>
        <td align="center">Build File</td>  
					<td align="center">指定build.xml文件的相对路径</td>  
				  <td align="center">build.xml</td>
					  <td align="center">build.xml</td>
    </tr>
		   <tr>
        <td rowspan="2"align="center">maven</td>    
        <td align="center">Goals and options</td>  
				<td align="center">指定Maven执行的goals和选项</td>  
				  <td align="center">无</td>
					  <td align="center">package</td>
						<td rowspan="2"align="center">mvn package -f pom.xml </td>    
    </tr>
    <tr>
        <td align="center">Root POM</td>  
					<td align="center">指定pom.xml文件的相对路径</td>  
				  <td align="center">pom.xml</td>
					  <td align="center">pom.xml</td>
    </tr>
		   <tr>
        <td rowspan="3"align="center">make</td>    
        <td align="center">makefile</td>  
				<td align="center">Makefile文件的名称</td >
				  <td align="center">makefile</td>
					  <td align="center">makefile</td>
						<td rowspan="3"align="center">make -f makefile -C dist </td>    
    </tr>
    <tr>
        <td align="center">target and options</td>  
					<td align="center">指定make编译的target和选项</td>  
				  <td align="center">无</td>
					  <td align="center">无</td>
    </tr>
		    <tr>
        <td align="center">path</td>  
					<td align="center">指定Makefile文件的相对路径</td >
				  <td align="center">无</td>
					  <td align="center">dist</td>
    </tr>
		   <tr>
        <td rowspan="3"align="center">cmake</td>    
        <td align="center">cmake options</td>  
				<td align="center">cmake命令的选项</td >
				  <td align="center">无</td>
					  <td align="center"> -G "Unix Makefiles"</td>
						<td rowspan="3"align="center">cmake  -G "Unix Makefiles" && make </td>  
    </tr>
    <tr>
        <td align="center">make target and options</td>  
					<td align="center">指定make编译的target和选项</td>  
				  <td align="center">无</td>
					  <td align="center">dist</td>
    </tr>
        <td align="center">path</td>  
					<td align="center">指定CMakeLists.txt文件的相对路径</td >
				  <td align="center">无</td>
					  <td align="center">无</td>
    </tr>
		   <tr>
        <td align="center">php</td>    
        <td align="center">cmd</td>  
				<td align="center">	用户自定义命令</td >
				  <td align="center" >无</td>
					  <td align="center">无</td>
						<td align="center"> 无 </td>    
    </tr>
		</tr>
		   <tr>
        <td align="center">python</td>    
        <td align="center">cmd</td>  
				<td align="center">	用户自定义命令</td >
				  <td align="center">无</td>
					  <td align="center">python setup.py sdist</td>
						<td align="center"> python setup.py sdist</td>    
    <tr>
    <tr>
         </tr>
		   <tr>
        <td align="center">js</td>    
        <td align="center">cmd</td>  
				<td align="center">	用户自定义命令</td >
				  <td align="center">无</td>
					  <td align="center">无</td>
						<td align="center"> 无</td>    
    </tr>
</table>
3. 按需选择归档路径、触发方式和定时触发时间。
4.  如果需要控制超时时间、通知构建结果和增加坏境变量，单击【显示高级设置】，对工程进行进一步管理。
5. 单击【确定】，完成工程创建。

## 终端构建
1. 点击【添加工程】，添加终端构建的工程。
2. 点击【凭据管理】>【添加凭据】，添加终端构建所需的凭据。
3. 点击【证书管理】>【添加证书】，添加终端构建所需的证书。