用户在不同场景下有不同的权限级别，场景主要有项目、群组和受保护的分支三种。

### 项目
- 同一用户在不同的群组或项目中，拥有的权限取决于用户的角色级别。
- 若用户同时在群组和项目中，则使用最高的权限级别。
- 若用户在受保护的分支的成员列表中，同时也在同一群组或项目下，则使用最高的权限级别。


> **注意：**  
> 下面表格中，打钩表示拥有权限，没有打钩则表示不拥有。


<table>
    <thead>
        <tr>
            <th>
                行为
            </th>
            <th>
                Guest
            </th>
            <th>
                Follower
            </th>
            <th>
                Reporter
            </th>
            <th>
                Developer
            </th>
            <th>
                Master
            </th>
            <th>
                Owner
            </th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>
                创建新的 issue
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                留下意见
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                浏览代码
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                拉取项目代码
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                下载项目
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                创建代码段
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                管理 issue 跟踪器
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                管理标签
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                管理合并请求
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
               创建新的合并请求
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                创建新的分支
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                推送到非保护分支
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                强制推送到非保护分支
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                删除未受保护的分支
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                添加标签
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                编写 wiki
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                创建新的里程碑
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                添加新的团队成员
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                推送到受保护的分支
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                启用/禁用分支保护
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
               打开/关闭分支推送
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                重写/删除 git 标签
            </td> 
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                编辑项目
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
				添加密钥到项目中
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                配置项目钩子	
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                切换可见性级别
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                将项目转移到另一个命名空间
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
                删除项目
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
                ✓
            </td>
        </tr>
        <tr>
            <td>
               强制推送到受保护的分支
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
        </tr>
        <tr>
            <td>
                删除受保护的分支
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
            <td>
            </td>
        </tr>
    </tbody>
</table>

### 群组
- 为了使一个群组显示为公有且可浏览的，它必须包含至少有一个公共项目。
- 任何用户都可以从群组中移除自己，除非他们是群组的最后一个所有者。

<table>
  <thead>
    <tr>
      <th>行为</th>
      <th>Guest</th>
      <th>Follower</th>
      <th>Reporter</th>
      <th>Developer</th>
      <th>Master</th>
      <th>Owner</th></tr>
  </thead>
  <tbody>
    <tr>
      <td>浏览群组</td>
      <td>✓</td>
      <td>✓</td>
      <td>✓</td>
      <td>✓</td>
      <td>✓</td>
      <td>✓</td></tr>
    <tr>
      <td>编辑群组</td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td>✓</td></tr>
    <tr>
      <td>在群组中创建项目</td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td>✓</td>
      <td>✓</td></tr>
    <tr>
      <td>管理群组成员</td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td>✓</td></tr>
    <tr>
      <td>删除群组</td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td>✓</td></tr>
  </tbody>
</table>

### 受保护的分支
- 项目中没有主访问级别的用户可以在受保护的分支上设置为主控。
- 任何用户的项目访问级别低于 Reporter 时，不能被设置为受保护的分支成员。
- 当用户的项目访问级别从 Reporter 下降到 Follower 或 Guest 时，其受保护的分支机构的成员资格将被自动删除。

<table>
  <thead>
    <tr>
      <th>行为</th>
      <th>Master</th>
      <th>Developer</th>
      <th>Reporter</th></tr>
  </thead>
  <tbody>
    <tr>
      <td>管理分支成员</td>
      <td>✓</td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>下载代码</td>
      <td>✓</td>
      <td>✓</td>
      <td>✓</td></tr>
    <tr>
      <td>查看代码</td>
      <td>✓</td>
      <td>✓</td>
      <td>✓</td></tr>
    <tr>
      <td>推送代码</td>
      <td>✓</td>
      <td>✓</td>
      <td></td>
    </tr>
    <tr>
      <td>关闭合并请求</td>
      <td>✓</td>
      <td>✓</td>
      <td></td>
    </tr>
    <tr>
      <td>处理合并请求</td>
      <td>✓</td>
      <td>✓</td>
      <td></td>
    </tr>
    <tr>
      <td>查看合并请求</td>
      <td>✓</td>
      <td>✓</td>
      <td>✓</td></tr>
    <tr>
      <td>强制推送</td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
  </tbody>
</table>