![](//mc.qcloudimg.com/static/img/231de26d0bfb7c7fca1dfc93f8be51ec/image.png)

HTAP数据库TiDB 集群主要分为三个组件：

**TiDB节点**

TiDB 负责接收 SQL 请求，处理 SQL 相关的逻辑，并通过 PD 找到存储计算所需数据的 TiKV 地址，与 TiKV 交互获取数据，最终返回结果。 

TiDB  是无状态的，其本身并不存储数据，只负责计算，可以无限水平扩展，可以通过负载均衡组件（如LVS、HAProxy 或 F5）对外提供统一的接入地址。


**PD 节点**

Placement Driver (简称 PD) 是整个集群的管理模块，主要负责以下三个工作：


1. 存储集群的元信息（某个 Key 存储在哪个 TiKV 节点）；
2. 对 TiKV 集群进行调度和负载均衡（如数据的迁移、Raft group leader 的迁移等）；
3. 分配全局唯一且递增的事务 ID。



**TiKV 节点**

TiKV 负责存储数据，从外部看 TiKV 是一个分布式的提供事务的 Key-Value 存储引擎。

存储数据的基本单位是 Region，每个 Region 负责存储一个 Key Range （从 StartKey 到 EndKey 的左闭右开区间）的数据，每个 TiKV 节点会负责多个 Region 。TiKV 使用 Raft 协议做复制，保持数据的一致性和容灾。副本（副本数量可配置，默认保存三副本）以 Region 为单位进行管理，不同节点上的多个 Region 构成一个 Raft Group，互为副本。数据在多个 TiKV 之间的负载均衡由 PD 调度，这里也是以 Region 为单位进行调度。

