

TiDB 优化器会根据当前数据表的实际情况来选择最优的执行计划，执行计划由一系列的 operator 构成。

**使用 EXPLAIN 来优化 SQL 语句**

EXPLAIN 可以和 SELECT, DELETE, INSERT, REPLACE, 以及 UPDATE的语句一起使用，返回结果提供了 TiDB 执行 SQL 查询的详细信息：


> Tips：执行 EXPLAIN，TiDB 会返回被 EXPLAIN 的 SQL 语句经过优化器后的最终物理执行计划。也就是说，EXPLAIN 展示了 TiDB 执行该 SQL 语句的完整信息，比如以什么样的顺序，什么方式 JOIN 两个表，表达式树长什么样等等。通过观察 EXPLAIN 的结果，你可以知道如何给数据表添加索引使得执行计划使用索引从而加速 SQL 语句的执行速度；你也可以使用 EXPLAIN 来检查优化器是否选择了最优的顺序来 JOIN 数据表。

EXPLAIN 输出格式

目前 TiDB 的 EXPLAIN 会输出 6 列，分别是：id，parents，children，task，operator info 和 count，执行计划中每个 operator 都由这 6 列属性来描述，EXPLAIN 结果中每一行描述一个 operator。下面详细解释每个属性的含义：

| 属性名 | 含义 |
|------|------|
| id | operator 的 id，在整个执行计划中唯一的标识一个 operator |
| parents | 这个 operator 的 parent。目前的执行计划可以看做是一个 operator 构成的树状结构，数据从 child 流向 parent，每个 operator 的 parent 有且仅有一个 |
| children | 这个 operator 的 children，也即是这个 operator 的数据来源 |
| task | 当前这个 operator 属于什么 task。目前的执行计划分成为两种 task，一种叫 root task，在 tidb-server 上执行，一种叫 cop task，并行的在 tikv 上执行。当前的执行计划在 task 级别的拓扑关系是一个 root task 后面可以跟许多 cop task，root task 使用 cop task 的输出结果作为输入。cop task 中执行的也即是 tidb 下推到 tikv 上的任务，每个 cop task 分散在 tikv 集群中，由多个进程共同执行 |
| operator info | 每个 operator 的详细信息 |
| count	| 预计当前 operator 将会输出的数据条数，基于统计信息以及 operator 的执行逻辑估算而来 |
 