## 1. 接口描述
 
本接口(DescribeMongoDBReplSet)用于查询复制集实例列表。
接口请求域名：<font style='color:red'>mongodb.api.qcloud.com </font>

## 2. 输入参数
以下请求参数列表仅列出了接口请求参数，正式调用时需要加上公共请求参数，见<a href='/doc/api/260/1753' title='公共请求参数'>公共请求参数</a>页面。其中，此接口的 Action 字段为 DescribeMongoDBReplSet。

| 参数名称 | 是否必选  | 类型 | 描述 |
|:---------|---------|---------|---------|
| limit | 是 | Int | 页面大小 |
| offset | 是 | Int | 当前页码，默认为0。 查询接口中单次查询一般都有一个默认最大返回记录数，要遍历所有资源，需要使用 limit，offset进行分页查询；例如查询第110~149 这40条记录，则可以设置 offset=110 limit=40。 |
| instanceIds | 是 | Array | 一个或者多个实例ID，n表示从0开始的数组下标。|
| projectIds | 是 | Array | 一个或者多个项目ID，n表示从0开始的数组下标。 |
| vips | 是 | Array | 一个或者多个虚拟ip，n表示从0开始的数组下标。 |
| status | 是 | Array | 一个或者多个状态，n表示从0开始的数组下标。实例当前状态，0：待初始化；1：实例在流程中；2：实例运行中；-2：实例已隔离 |
| instanceNames | 是 | Array | 一个或者多个实例名称，n表示从0开始的数组下标。 |

## 3. 输出参数

| 参数名称 | 类型 | 描述 |
|:---------|---------|---------|
| code | Int | 公共错误码, 0表示成功，其他值表示失败。详见错误码页面的<a href='https://cloud.tencent.com/doc/api/372/%E9%94%99%E8%AF%AF%E7%A0%81#1.E3.80.81.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81' title='公共错误码'>公共错误码</a>。|
| message | String | 错误信息描述, 成功时，该值为空 |
| codeDesc | String | 业务侧错误码英文描述。成功时返回Success，错误时返回具体业务错误原因。 |
| totalCount | Int | 实例总数 |
| data | Object | 实例列表详情 |


其中，data 表示实例列表详情，其参数构成如下：

| 参数名称 | 类型 | 描述 |
|:---------|---------|---------|
| data.mongodbSet | Array | 实例详情数组 |

其中，mongodbSet表示实例详情数组，其参数构成如下：

| 参数名称 | 类型 | 描述 |
|:---------|---------|---------|
| zoneId | Int | 可用区ID |
| instanceId | String | 实例ID |
| instanceName | String | 实例名称 |
| projectId | Int | 实例所属项目ID |
| vpcId | Int | vpc网络ID |
| subnetId | Int | vpc网络下的子网ID |
| status | Int | 实例当前状态，0：待初始化；1：实例在流程中；2：实例运行中；-2：实例已隔离 |
| statusDesc | String | 实例状态描述 |
| vip | Int | 实例虚拟ip |
| vport | Int | 实例端口号 |
| createtime | String | 实例创建时间 |
| deadline | String | 实例到期时间 |
| typeId | String | 实例类型英文名称。 GIO：高IO版；TGIO：高IO万兆 |
| version | String | 数据库版本号，比如：MONGO_3_MMAP、MONGO_3_WT |
| memSize | Int | 实例内存容量大小，单位:MB |
| diskSize | Int | 实例磁盘容量大小，单位:GB |
| diskusedCapacity | Int | 实例磁盘实际使用容量大小，单位:MB |
| nodenum | Int | 复制集节点数 |
| autoRenewFlag | Int | 实例设置的自动续费标识： 0 - 不设置自动续费，实例到期会通知；1 - 设置自动续费，到期会自动续费；2 - 到期不续费也不通知 |

## 4. 错误码
以下错误码表列出了该接口的业务逻辑错误码。

| 错误代码 | 英文提示 | 错误描述 |
|---------|---------|---------|
|11050|InvalidParameter|业务参数错误|

## 5. 示例
<pre>
https://mongodb.api.qcloud.com/v2/index.php?Action=DescribeMongoDBReplSet
&<<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>>
&limit=10
&offset=0
</pre>
返回示例如下：
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "totalCount": 10,
    "data": {
        "mongodbSet": [
            {
                "zoneId": 300001,
                "instanceId": "cmgo-mmifbo25",
                "instanceName": "cmgo-mmifbo25",
                "projectId": 0,
                "vpcId": 0,
                "subnetId": 0,
                "status": 2,
                "statusDesc": "实例运行中",
                "vip": "10.66.187.159",
                "vport": 27017,
                "createtime": "2016-11-09 10:54:47",
                "deadline": "2016-12-09 10:54:47",
                "typeId": "GIO",
                "version": "MONGO_3_MMAP",
                "memSize": 2048,
                "diskSize": 30,
                "diskusedCapacity": 3398,
                "nodenum": 2,
                "autoRenewFlag": 0
            },
            {
                "zoneId": 800001,
                "instanceId": "cmgo-2njfb6z1",
                "instanceName": "cmgo-2njfb6z1",
                "projectId": 0,
                "vpcId": 0,
                "subnetId": 0,
                "status": 2,
                "statusDesc": "实例运行中",
                "vip": "10.66.194.3",
                "vport": 27017,
                "createtime": "2016-12-23 19:19:27",
                "deadline": "2017-02-23 19:19:27",
                "typeId": "CY",
                "version": "MONGO_3_MMAP",
                "memSize": 4096,
                "diskSize": 60,
                "diskusedCapacity": 8476,
                "nodenum": 2,
                "autoRenewFlag": 0
            },
            {
                "zoneId": 100002,
                "instanceId": "cmgo-6ozqe0uh",
                "instanceName": "test_API",
                "projectId": 10,
                "vpcId": 0,
                "subnetId": 0,
                "status": 2,
                "statusDesc": "实例运行中",
                "vip": "10.66.168.6",
                "vport": 27017,
                "createtime": "2017-02-06 14:07:46",
                "deadline": "2017-04-06 14:07:46",
                "typeId": "GIO",
                "version": "MONGO_3_MMAP",
                "memSize": 8192,
                "diskSize": 60,
                "diskusedCapacity": 6206,
                "nodenum": 3,
                "autoRenewFlag": 1
            }
        ]
    }
}

```