### What is the maximum capacity of a single CRS instance?
There is no limit on the capacity of a single Cloud Redis Store (CRS) cluster instance, which serves as a distributed service cluster. But if the capacity is more than 300 GB, you need to submit a ticket for application.
For a standalone instance, the maximum capacity is 60 GB.

### Is it reliable to store data in CRS?
All the hot-backup nodes of CRS have an "One Master, One Slave" architecture to ensure a high availability. At the same time, daily cold backups are also supported. For a cluster instance, a log recording the key operations for the last three days is kept to guarantee the data reliability.

### What persistence method is used in Cloud Redis Store?
The full and incremental backups are completed by the backup clusters at the backend of CRS, so the performance of online services will be hardly affected during persistence.

### How is CRS billed?
CRS is billed by capacity usage. For more information, please see [Purchase Page](https://buy.cloud.tencent.com/redis).

### Why is 2M of the CRS capacity consumed just after the CRS is purchased?
This is a system overhead generated by CRS itself for maintaining its own data structure.

### Does CRS support public network services?
Not yet. If you need to access CRS from public network, you can achieve this by using a CVM as a jump server.

### Can CRS be managed with a visualization tool such as Redis Desktop Manager?
CRS does not support access from public network now. Before the use of a visualization tool, the URL needs to be provided to the public network by using a CVM as a jump server.

### Will the expansion of CRS cause business interruption?
CRS allows a smooth expansion without affecting the business?

### How to add Monitoring Alarm to CRS?
You can achieve this by customizing monitoring alarm. For more information, please see [Alarm Configuration](/doc/product/248/%E5%91%8A%E8%AD%A6%E9%85%8D%E7%BD%AE)

### Do different instances need to be applied for to select 0-15?
Each cluster instance comes with only one database and you can only select 0. To use multiple databases, you need to apply for multiple instances.
Like open-source Redis, a standalone CRS instance can be configured with multiple databases, between which you can switch through "select".

### Can the auth password verification be skipped in a cluster CRS instance?
No. Strong password verification is designed to protect user's data security.

### Does CRS support persistence?
CRS supports daily automatic cold-backups as a persistence method with little impact on its performance.

