## Redis迁移工具使用说明
## 1.自建迁移概述
腾讯云redis目前支持两类迁移：CVM自建实例迁移，外网实例迁移。
#### 1.1 迁移术语

| 术语 | 解释 | 
|---------|---------|
| 源实例 | 迁移的源实例 | 
| 目标实例 | 迁移的目标实例，即用户购买的腾讯云redis | 
| CVM自建实例迁移 | 用户在腾讯云主机上部署的redis服务迁移至腾讯云redis | 
| 外网实例迁移 | 用户在外网环境下部署的redis服务迁移至腾讯云redis | 

#### 1.2 迁移注意事项
1.	目前仅支持迁移到腾讯云redis的主从版本；
2.	为保障迁移效率，CVM自建实例迁移不支持跨地域迁移；
3.	由于rdb协议限制，暂不支持自建实例redis 3.2 版本的迁移；
4.	外网实例迁移时，请确保源实例服务在外网环境下可访问；
5.	迁移成功时，由业务侧验证数据后，可断开源实例连接，将连接切换到目标实例。

## 2. 迁移过程
#### 2.1 新建迁移任务
进入“迁移任务列表”后，请按如下步骤新建迁移任务：
1.	选择目标实例所在地域；
2.	选择迁移任务类型（“CVM自建实例迁移”或“外网实例迁移”）；
3.	点击“新建实例迁移任务”，进入创建迁移任务页。
![](https://mc.qcloudimg.com/static/img/fdb19a7ff4ba6b8f8f66566910927213/1.png)

#### 2.2 填写基本信息
以下以云主机CVM上的Redis实例为例说明，外网实例迁移下同

| 字段 | 描述 | 用途 | 必填 | 
|---------|---------|---------|---------|
| 任务名称 | 迁移任务的名称 |方便用户管理任务 | 是 |
| CVM实例ID | 源redis实例所在的腾讯云主机ID |迁移任务会根据CVM实例ID，检查云主机运行情况 | 是 |
| CVM内网IP |源redis实例所在的腾讯云主机的内网IP |迁移任务会检查CVM内网IP | 是 |
| 端口 | 源实例端口号 |迁移任务会访问源实例服务 | 是 |
| 密码 | 源实例密码 |访问源实例服务时，有auth 鉴权 | 是 |
| 实例Id | 目标实例Id |同步数据到目标实例 | 是 |
注：如果您的源实例没有密码，可以[联系我们](https://console.cloud.tencent.com/workorder/category/create?level1_id=10&level2_id=103&level1_name=%E6%95%B0%E6%8D%AE%E5%BA%93&level2_name=%E4%BA%91%E5%AD%98%E5%82%A8Redis%20CRS)，配置下可以无密码访问
![](https://mc.qcloudimg.com/static/img/e237dfb8238ed627026185359cccf781/2.png)

#### 2.3 参数设置
![](https://mc.qcloudimg.com/static/img/539c11f2e7b3cc222f8b171792d17aa5/3.png)
系统在迁移开始会设置这些参数，迁移结束会恢复参数的历史值。（为保证迁移效率，建议使用默认值）

![](https://mc.qcloudimg.com/static/img/731eb2d6562dfd1429c52eef94d4e084/4.png)
点击"开始检查"进行参数校验

![](https://mc.qcloudimg.com/static/img/0ce244608ba76dbc00843af62afbf9be/5.png)
参数校验中，校验成功后，点击“确认创建任务”
注：
1.出现告警项也可以进行数据迁移，不过需要了解告警内容是否对数据有影响
2.特别注意，如果网络不可达，请检查源实例所在服务的安全组，需要将安全组放通全部端口

#### 2.4 启动迁移任务
参数校验成功后，任务还处于未启动状态，通过勾选任务，在导航栏里面点击启动，或者在操作中点击启动都可以启动任务。启动任务后，任务会再做一次参数校验，此时只能够取消任务、查看任务、查看校验情况。
![](https://mc.qcloudimg.com/static/img/51ee9697fd1524cf0d260d9723237ad1/7.png)

启动任务后，会再次校验参数，任务状态为"参数校验中"
![](https://mc.qcloudimg.com/static/img/7f020d28b70c1282cb95c26d4f4b4037/8.png)

参数校验成功后，数据开始迁移
![](https://mc.qcloudimg.com/static/img/99ea6dc76bba850aae5915969d1e56eb/9.png)
数据同步阶段，会展示数据偏移量，源实例、目标实例key变化情况


#### 2.5 断开同步
当源目标和目的实例的key 同步一致时，点击断开同步，确定，即可完成数据同步操作。
断开同步前，可以在目标实例上验证数据，如果验证无误，即可断开同步
![](https://mc.qcloudimg.com/static/img/9fd273f97043cd9c219455112775393c/10.png)

断开同步后，迁移完成
![](https://mc.qcloudimg.com/static/img/5df72d6d546388f8055c64ddabaeac2b/11.png)