### 分片策略
1.支持 range 的分片机制
2.支持联合字段的 shard key。
3.分片实例下所有数据集合必须使用分片，建议把不分片的数据放到单独的副本集实例下。

### 认证机制
完全兼容支持 SCRAM-SHA-1 和 MONGODB-CR 两种机制。

### 分片集群命令支持情况
<table class="table-striped">
	<tbody>
		<tr>
		 <th>&nbsp;</th>
			<th>命令</th>
			<th>子命令</th>
			<th>支持情况</th>
		</tr>

		<tr>
		  <td rowspan="39">CRUD基本命令</td>
			<td rowspan="22">find</td>
			<td>filter</td>
			<td>支持</td>
		</tr>
		
		<tr>
			<td>sort</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>projection</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>hint</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>skip</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>limit</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>batchSize</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>singleBatch</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>comment</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>maxScan</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>maxTimeMS</td>
			<td>不支持</td>
		</tr>
		<tr>
			<td>readConcern</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>max</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>min</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>returnKey</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>showRecordId</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>snapshot</td>
			<td>不支持</td>
		</tr>
		<tr>
			<td>tailable</td>
			<td>不支持</td>
		</tr>
		<tr>
			<td>oplogReplay</td>
			<td>不支持</td>
		</tr>
		<tr>
			<td>noCursorTimeout</td>
			<td>支持</td>
		</tr>
		<tr>
			<td>awaitData</td>
			<td>不支持</td>
		</tr>
		<tr>
			<td>allowPartialResults</td>
			<td>不支持</td>
		</tr>
		
		
		<tr>
			<td rowspan="1" >insert</td>
			<td >必须带shardkey字段，批量insert时shard key必须一致</td>
			<td>支持</td>
		</tr>
		
		
		
		<tr>
			<td rowspan="1">update</td>
			<td >更新字段不能是shardkey</td>
			<td>支持</td>
		</tr>
		
		<tr>
			<td rowspan="1">delete</td>
			<td></td>
			<td>支持</td>
		</tr>
		
				
		<tr>
			<td rowspan="1">findandmodify</td>
			<td></td>
			<td>支持</td>
		</tr>
		
		<tr>
			<td rowspan="1">count</td>
			<td></td>
			<td>支持</td>
		</tr>
			
			<tr>
			<td rowspan="1">distinct</td>
			<td>必须带有shard key</td>
			<td>支持</td>
		</tr>
		
    <tr>
			<td rowspan="1">aggregate</td>
			<td></td>
			<td>不支持</td>
		</tr>
		
		 <tr>
			<td rowspan="1">group</td>
			<td></td>
			<td>不支持</td>
		</tr>
		
		 <tr>
			<td rowspan="1">mapReduce</td>
			<td></td>
			<td>不支持</td>
		</tr>	
		
		<tr>
			<td rowspan="1">getmore</td>
			<td></td>
			<td>支持</td>
		</tr>
		
		<tr>
			<td rowspan="1">getLastError</td>
			<td></td>
			<td>不支持</td>
		</tr>

		<tr>
			<td rowspan="1">getPrevError</td>
			<td></td>
			<td>不支持</td>
		</tr>
	
			<tr>
			<td rowspan="1">resetError</td>
			<td></td>
			<td>不支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">eval</td>
			<td></td>
			<td>不支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">geoNear</td>
			<td></td>
			<td>不支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">geoSearch</td>
			<td></td>
			<td>不支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">parallelCollectionScan</td>
			<td></td>
			<td>不支持</td>
		</tr>
		
			<tr>
		  <td rowspan="6">Diagnostic命令</td>
			<td rowspan="1">collStats</td>
			<td></td>
			<td>支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">dbstats</td>
			<td></td>
			<td>支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">explain</td>
			<td></td>
			<td>支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">listDatabases</td>
			<td></td>
			<td>支持</td>
		</tr>		

			<tr>
			<td rowspan="1">serverStatus</td>
			<td></td>
			<td>不支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">top</td>
			<td></td>
			<td>不支持</td>
		</tr>

			<tr>
		  <td rowspan="2">分片命令</td>
			<td rowspan="1">enableSharding</td>
			<td></td>
			<td>支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">shardCollection</td>
			<td></td>
			<td>支持</td>
		</tr>
		
		
		 <tr>
		  <td rowspan="30">管理命令</td>
			<td rowspan="1">listCollections</td>
			<td></td>
			<td>支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">dropDatabase</td>
			<td></td>
			<td>支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">drop</td>
			<td></td>
			<td>支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">creareIndexes</td>
			<td></td>
			<td>支持</td>
		</tr>		
		
			<tr>
			<td rowspan="1">listIndexes</td>
			<td></td>
			<td>支持</td>
		</tr>		
	
		<tr>
			<td rowspan="1">dropIndexes</td>
			<td></td>
			<td>支持</td>
		</tr>
		
			<tr>
			<td rowspan="1">logout</td>
			<td></td>
			<td>支持</td>
		</tr>		
		
			<tr>
			<td rowspan="1">renameCollection</td>
			<td></td>
			<td>不支持</td>
		</tr>	
		
			<tr>
			<td rowspan="1">copydb</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
			<tr>
			<td rowspan="1">create</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
		<tr>
			<td rowspan="1">clone</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
		<tr>
			<td rowspan="1">cloneCollection</td>
			<td></td>
			<td>不支持</td>
		</tr>				

		<tr>
			<td rowspan="1">cloneCollectionAsCapped</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		

		<tr>
			<td rowspan="1">convetToCapped</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
		<tr>
			<td rowspan="1">filemd5</td>
			<td></td>
			<td>不支持</td>
		</tr>		

		<tr>
			<td rowspan="1">fsync</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
		<tr>
			<td rowspan="1">clean</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
		<tr>
			<td rowspan="1">connPoolSync</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
		
			<tr>
			<td rowspan="1">connectionStatus</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
		<tr>
			<td rowspan="1">compact</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
		
			<tr>
			<td rowspan="1">collMod</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
			<tr>
			<td rowspan="1">reIndex</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
			<tr>
			<td rowspan="1">setParameter</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
			<tr>
			<td rowspan="1">getParameter</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
			<tr>
			<td rowspan="1">repairDatabase</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
			<tr>
			<td rowspan="1">repairCursor</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
			<tr>
			<td rowspan="1">touch</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
		<tr>
			<td rowspan="1">shutdown</td>
			<td></td>
			<td>不支持</td>
		</tr>		

		<tr>
			<td rowspan="1">logrotate</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
		<tr>
			<td rowspan="1">killop</td>
			<td></td>
			<td>不支持</td>
		</tr>		
		
		
		<tr>
		  <td rowspan="1">user管理命令</td>
			<td rowspan="1"></td>
			<td></td>
			<td>不支持</td>
		</tr>
		
			<tr>
		  <td rowspan="1">role管理命令</td>
			<td rowspan="1"></td>
			<td></td>
			<td>不支持</td>
		</tr>
		
				 <tr>
		  <td rowspan="30">副本集命令</td>
			<td rowspan="1"></td>
			<td></td>
			<td>不支持</td>
		</tr>
		
		
	</tbody>
</table>