#### 常见问题FAQS

###  内存使用类
**Q：为什么看到监控里，mongoDB内存占用比很高？**
A：MongoDB采用一种贪婪的策略会尽量分配可用的内存用作缓存，以提高性能，特别是Mmap引擎这个问题尤为突出，用户可不用担心内存占用比例较高的问题

###  连接类
**Q：实例的连接数规格是多少？是否支持升级连接数？**
A：连接数规格参考：[连接限制说明](https://www.qcloud.com/document/product/240/622)，连接数和实例规格相关，可以通过升级规格以获取更大的连接数。

**Q：在php中，如何设置最大连接数？**
A：
•	MongoDB驱动([PHP官网文档](http://php.net/manual/en/set.mongodb.php))可以通过在连接URL中配置maxPoolSize参数控制连接数
•	MongoDB([PHP官网文档](http://php.net/manual/en/set.mongodb.php)) 驱动，可以通过Mongo::setPoolSize() 方法设置连接数http://php.net/manual/en/mongopool.setsize.php

**Q：连接后，提示tencent cloud mongodb platform ****，这个版本号代表什么意思？**
A：这是腾讯云内部的版本标识，和MongoDB官方版本无关，用户无需关注。


### 回档及备份类
**Q：回档需要多久？**
A：回档是基于最近的一次全量备份的镜像+oplog进行的，回档的时间取决于回放oplog的量，如果全量备份的时间点距离回档的时间很久，就需要较长的时间进行oplog的回放。

**Q：是否支持备份文件下载？**
A：暂不支持。

**Q：回档后进行了替换操作，为什么之前的备份文件都没了？**
A：替换后，原备份文件已经不再适用于替换后实例，因此回档过程会删除备份文件。

**Q：回档后进行了替换操作，是否还可以再次进行回档？**
A：不可以，替换后原备份文件已经不再适用于替换后实例，无法再次进行回档，用户选择替换操作前务必确认。

**Q：回档后，转正操作和替换操作有什么区别？**
A：转正是把回档后的临时实例转化为一个全新的实例运行，该实例与原实例无任何对应关系。默认会为临时实例设置2天的有效期，请及时续费。
替换是用临时实例数据覆盖当前实例的数据，替换后实例的备份文件会删除，不可再次回档到替换之前，请谨慎操作。


### MongoDB版本类
**Q：当前云上的MongoDB是什么版本？**
A：3.2.10

**Q：是否支持云上的实例由Mmap引擎切换为Wt引擎？**
A：暂不支持，后续会开发迁移工具支持由一个云实例在线同步数据到另一个云实例，可使用该工具实现。

### 升级类
**Q：升级实例规格需要多久？期间对使用有什么影响？**
A：升级实例规格所需的时间取决于实例已用容量，升级期间实例会发生一次切主，切主期间会出现短暂的不可访问，大约十秒左右。

**Q：升级的原理是什么？**
A：
步骤1：添加新规格的节点到集群中；
步骤2：等待新加节点同步数据完成；
步骤3：踢掉老的节点，升级完成。

**Q：是否支持定时升级？**
A：正在开发中，敬请期待。


### 功能类
**Q：如何得到实例的慢查询**
A：请使用官网的慢查询功能中获取慢查询详情，后续会推出慢查询分析及下载功能

**Q：是否支持外网**
A：不支持，用户如有外网需求，需要直接搭建代理。

**Q：是否支持无密码访问**
A：基于安全原因，不支持无密码访问


**Q：mongodump无法导出数据**
A：mongodump[使用参考](https://www.qcloud.com/document/product/240/5321)，mongodump工具建议使用3.2.10以上版本。

**Q：如何设置从库dump**
A：mongodump的参数中设置--readPreference=secondaryPreferred


**Q：云数据库MongoDB是否支持外网访问**
A：暂不支持外网访问，需要购买CVM，通过内网的方式进行访问

**Q：产品售卖区域有哪些**
A：主要是广州、上海、北京、香港，上海金融，深圳金融，其他地域在测试中，会陆续开放

**Q：云数据库MongoDB版是否支持动态添加Secondary节点**
A：目前暂时不支持，该功能在内测中，尽请期待

**Q：云数据库MongoDB版是否支持分片（sharding）**
A：支持

**Q：云数据库MongoDB与自建MongoDB的区别**
A：参见[云数据库MongoDB相比自建MongoDB的优势 ](http://www.qcloud.com/doc/product/240/%E4%BA%A7%E5%93%81%E4%BC%98%E5%8A%BF)

**Q：云数据库MongoDB版支持哪些语言的客户端进行连接**
A：云数据库MongoDB版针对客户端连接完全兼容MongoDB，只要是官方MongoDB版支持的客户端，云数据库全部支持。比如：C,C++,c#,java,node.js,python,php,perl等等，具体详情见官方链接，参见[https://docs.mongodb.org/ecosystem/drivers/](https://docs.mongodb.org/ecosystem/drivers/)

**Q：在shell里怎么连接腾讯云MongoDB**
A：参见[Shell连接示例](https://www.qcloud.com/doc/product/240/3978)

**Q：业务程序里连接MongoDB的URI是什么样的**
A：参见[连接示例](https://www.qcloud.com/doc/product/240/3563)

**Q：我应该选用哪个版本的驱动程序**
A：尽量用最新版本的，比如PHP可以选择mongo-1.6及以上

**Q：用meteor等各类框架、类库无法连接腾讯云MongoDB**
A：一般来说都是连接方式、URI拼接错误，请先检查核实

**Q：使用时如发现连接时好时坏**
A：有可能是长时间没访问，我们会踢掉空闲连接，驱动没实现自动重连，需要程序实现重连（参考经验值：重试3到5次，sleep 100ms左右）

**Q：oplog大小是多少，是否支持调整**
A：oplog为实例容量的10%，不支持调整

**Q：购买的容量是否包含oplog**
A：由于oplog存在MongoDB数据库内部，所以会占用部分用户的购买容量，默认是10%
 
**Q：腾讯云数据库MongoDB备份是周期多长，数据保留多少天**
A：目前所有实例均会每日自动备份，同时用户也可以发起手动备份。备份数据会保留5天。

**Q：腾讯云数据库MongoDB回档功能是否能回档到任意时间点**
A：由于备份数据保留5天，所以可以回档到5天内的时间点。特别说明的是回档时需要选择两次备份之间的时间点进行回档（如果您想回档的时间点后没有备份，请做一次手动备份即可选择该时间点）。另外，如果两次备份期间的数据操作导致oplog总流水超过实例容量的10%，则该两次备份之间的时间点不可回档。

**Q：当前开放了哪些权限**
A：当前只开放[RoleDBAdminAny和RoleReadWriteAny](https://docs.mongodb.org/v3.0/reference/built-in-roles/)两种角色的权限，暂时不开放root权限，后续会逐步放开一些权限，以及开放更多便捷实用的管理控制台功能来代替某些特殊权限的调用。

**Q：数据导入到腾讯云MongoDB实例后，占用空间比自建的MongoDB小**
A：可能原因是原始数据库长时间运行积累了大量的增删改操作，写操作时MongoDB出于性能考虑在空间分配时分配了大于实际数据的空间，删除数据后原空间没有被再次利用，综合下来导致整个数据库空间的空洞率较高，而导入数据时相当于做了一次类似磁盘整理的操作，使导入后的数据保存得相对紧凑，所以看起来数据变小了。

**Q：show dbs或者监控数据里看到数据库占用空间比实际数据大**
A：show dbs或者监控数据里的占用空间包括了oplog的数据空间，oplog默认为所选磁盘的10%
数据插入时会需要额外的空间存储BSON结构和索引，所以存储的空间比实际数据大
当前所用的MMAPv1引擎会对单条数据会分配额外的空间来存储数据，所以就会耗掉更多空间

**Q：如何使用 mongoose 连接腾讯云数据库MonogoDB**
A：[参见BBS](http://bbs.qcloud.com/thread-17852-1-1.html)

**Q：磁盘使用率达到100%会发生什么**
A：此时实例将处于封禁状态，该状态下不可写入数据，只能做读操作，尝试写入数据的连接将会被关闭。请及时关注自身业务发展和实例使用情况，当容量使用达到一定阈值时请适当扩容。

**Q：连接断开或者出现“Remote server has closed the connection”信息怎么办？**
A：首先参考[连接示例](https://www.qcloud.com/doc/product/240/3563)排除认证问题，如果能连上但是依然会出现这个问题那可能需要实现一个重连机制，请参考 [实现重连](https://www.qcloud.com/doc/product/240/4980)
