## MongoDB数据导入和导出
在腾讯云云服务器（CVM）中可用MongoDB提供的shell客户端（[查看安装文档](https://docs.mongodb.com/manual/tutorial/install-mongodb-on-linux/)）连接腾讯云MongoDB服务进行数据导入和导出，请注意使用最新版本的MongoDB客户端套件。

### 快速开始
使用MongoDB官方提供的“mongorestore”和“mongodump”工具可以进行MongoDB数据库的导入和导出。
#### 导入数据到腾讯云MongoDB
典型的导入命令如下：
```
mongorestore --host 10.66.187.127:27017 -u mongouser -p thepasswordA1 --authenticationDatabase=admin --dir=/data/dump_testdb
```
![mongorestore示例截图](https://mc.qcloudimg.com/static/img/335dbef8f11a5417e42740472df1a5b8/restore_default.png)

#### 导出数据以备份
典型的导出命令如下：
```
mongodump --host 10.66.187.127:27017 -u mongouser -p thepasswordA1 --authenticationDatabase=admin --db=testdb -o /data/dump_testdb
```
如图：
![mongodump示例截图](https://mc.qcloudimg.com/static/img/4071cfd5d9b54c720349f41fc2e07b0c/dump_default.png)

### mongodump 和 mongorestore
MongoDB官方提供了两套数据导入导出工具，一般来说，进行整库导出导入时使用[mongodump](https://docs.mongodb.com/manual/reference/program/mongodump/)和[mongorestore](https://docs.mongodb.com/manual/reference/program/mongorestore/)，这一对组合操作的数据是BSON格式，进行大量dump和restore时效率较高。
mongodump和mongorestore的示例可以参考上文[快速开始](#.E5.BF.AB.E9.80.9F.E5.BC.80.E5.A7.8B)部分。


### mongoexport 和 mongoimport
一般来说，进行单个集合导出导入时使用[mongoexport](https://docs.mongodb.com/manual/reference/program/mongoexport/)和[mongoimport](https://docs.mongodb.com/manual/reference/program/mongoimport/)，这一对组合操作的数据是JSON格式，可读性较高。

mongoexport示例：
```
mongoexport --host 10.66.187.127:27017 -u mongouser -p thepasswordA1 --authenticationDatabase=admin --db=testdb --collection=testcollection  -o /data/export_testdb_testcollection.json
```
另外您也可以加上 -f 参数指定需要的字段，-q 参数指定一个查询条件来限定要导出的数据。

mongoimport示例：
```
mongoimport --host 10.66.187.127:27017 -u mongouser -p thepasswordA1 --authenticationDatabase=admin --db=testdb --collection=testcollection2  --file=/data/export_testdb_testcollection.json
```

### 多种认证方式的参数说明
在[连接示例](https://cloud.tencent.com/doc/product/240/3563)一文有说明，腾讯云MongoDB默认提供了“rwuser”和“mongouser”两个用户名分别支持“MONGODB-CR”和“SCRAM-SHA-1”两种认证方式。
对于“mongouser”以及在控制台创建的所有新用户，在使用导出导入命令工具时按上文示例操作即可。
**对于“rwuser”，需要在每个命令里加入参数“--authenticationMechanism=MONGODB-CR”。**
用mongodump举例说明：
```
mongodump --host 10.66.187.127:27017 -u rwuser -p thepasswordA1 --authenticationDatabase=admin --authenticationMechanism=MONGODB-CR --db=testdb -o /data/dump_testdb
```







