## 1. 独享集群数据库简介
独享集群数据库（Database Dedicated Cluster），简称独享集群，可以让您以**独享物理集群（完整设备）**资源方式购买、创建数据库，以满足您对资源独享、物理安全、行业监管等需求；购买独享集群后，您可以在其上灵活创建多种自定义规格的云数据库。
- 现已支持：MySQL、TDSQL;
- 现已支持：北京、上海、深圳、广州的公有云、金融云、金融云围拢中部署独享集群数据库；
- 现已支持：HIOY5 机型（CPU 48 核，内存 512 GB，SSD 磁盘 7200 GB，万兆双网卡）。**请注意：数据库实例实际可用规格仅机型实际配置的 70~90%。**

## 2. 独享集群数据库的架构
独享集群于公有云多租户的方案可以用下图表示:
![](https://mc.qcloudimg.com/static/img/7e89269ea6998d9da3947050212528ea/image.png)
独享集群享用云数据库的全部能力，但在部署架构上有如下区别：
- 数据库服务器：承载数据库的物理主机，是您使用数据库的主要部分，您将完全独占。
-	腾讯云综合运营管理系统：部署在腾讯云更高等级的管理网络中，是您提供灵活的运维能力的基础，您将与其他用户共享。
- 	备份和日志存储：基于 HDFS 技术架构的备份中心，您可以申请（限金融客户）独占。
-	腾讯云网关/安全网关：部署在数据库前端的提供智能负载均衡和安全管理的虚拟网络设备，为您的数据库提供 VIP（唯一虚拟 IP）、VPC、主备切换、安全防护等能力，您将与其他用户共享。

>**注意：**
>独享集群（金融围拢方案）与公有云独享集群方案在隔离性上有一定不同，详情请咨询对应架构师。

## 3. 独享集群数据库的使用步骤
1. （以集群设备维度） [购买独享集群](https://buy.cloud.tencent.com/excluster)，购买时请注意：
	- 选择与您服务器相同的地域和可用区，以为您提供最佳体验。
	- 选择数据库内核，详情请参见 [TDSQL 与 MySQL 兼容性说明](https://cloud.tencent.com/document/product/237/6988)。
	- 选择机型与主从架构。目前支持一主多从架构，不同从机数量代表可用性的不同，一主一从理论可用性为 99.95%，一主二从理论可用性为 99.99% 以上。
	- 选择购买组数，多组设备可以组成一个集群，进而为集群提供更多冗余资源池已确保可用性。
2. 在 [集群列表页](https://cdt.cloud.tencent.com/excluster/page/lists) 查看、管理独享集群详情，单击【操作】 > 【分配实例】，即可在独享集群上分配数据库实例。
![](https://mc.qcloudimg.com/static/img/1a0829726ad5e7662e394c11c1604519/image.png)
3. 进入 MySQL/TDSQL 实例列表页，查看刚分配的数据库实例，将 [实例初始化](https://cloud.tencent.com/document/product/236/3128) 后即可正常使用。
如下图所示，标志为【主实例（独享）】均为独享集群分配的实例：
![](https://mc.qcloudimg.com/static/img/33ff4d302883b8d5f450f7ec9ddda2e2/image.png)

## 4. 常见问题

独享集群意味着您独享一个独立的物理资源池，那么您需要知道我们对独享集群的一些建议：
1. **为什么需要为每个实例和独享集群本身都预留一定冗余**
数据库的可用性将直接影响整个业务系统可用性，我们建议您为每一个实例都预留一定冗余，同时也为独享集群预留一些没有被分配的剩余资源，甚至剩余设备，以备不时之需。
2. **为什么大多数分配实例时支持指定设备，部分情况下又无法指定设备**
腾讯云为您提供将实例分配到某组指定设备的能力，而如果您能明确预判每个实例的负载，请将实例负载均匀的分配到不同的设备组中（系统有限制的除外）。然而分布式数据库等应用场景下，节点负载人工可能无法预判，所以系统默认为您的部分实例指定设备。
3. **冷备数据和日志我应该怎么申请独享**
公有云暂不支持冷备备份和日志存储独享。金融围拢方案下，请先联系您架构师。
4. **为什么设备配置 ≠ 实例最大配置，但我无法使用到 100% 的资源**
操作系统、磁盘 raid、系统必要日志空间等都会占用一定设备资源，腾讯云根据多年积累，设定了一个单机最大实例规格值（该值可能调整）。
5. **独享集群是否支持 VPC 网络**
独享集群不支持，但独享集群分配的实例支持分配到不同的 VPC 网络。
