## 云数据库安全组概述
安全组是一种有状态的包过滤功能的虚拟防火墙，它用于设置单台或多台云数据库的网络访问控制，是腾讯云提供的重要的网络安全隔离手段。
**云数据库安全组目前仅支持私有网络VPC内网访问和外网访问的网络控制，暂不支持对基础网络的网络控制。**

- 安全组是一个逻辑上的分组，您可以将同一地域内具有相同网络安全隔离需求的**私有网络云数据库**实例加到同一个安全组内 ，暂不支持基础网络云数据库。
- 您可以通过安全组策略对实例的入流量进行安全过滤，实例可以是：**私有网络云数据库**实例 。
- 您可以随时修改安全组的规则；新规则立即生效。
- 您可以在控制台中配置的安全组优先级，数字越小优先级越高。
- 云数据库与云主机等共享安全组列表，安全组内基于规则匹配，云数据库不支持的规则自动不生效。
- 目前云数据库仅CDB for MySQL支持安全组。

## 安全组模板
安全组支持自定义创建和模板创建，目前系统提供三个模板：
- Linux 放通22端口 ：仅暴露 SSH 登录的 TCP 22端口到公网，内网端口全通 ，**此模板对云数据库不生效**
- Windows 放通3389端口：仅暴露 MSTSC 登录的TCP 3389端口到公网，内网端口全通，**此模板对云数据库不生效**
- 放通全部端口：允许全部IP访问云数据库，有一定安全风险


## 安全组规则
安全组规则可控制允许到达与安全组相关联的 实例的入站流量以及允许离开 实例的出站流量（从上到下依次筛选规则）。默认情况下，新建安全组将 All Drop （拒绝）所有流量。
对于安全组的每条规则，有以下几项内容：

●	协议端口：**云数据库协议端口仅支持ALL，若指定端口则该条规则对云数据库不生效**。
![安全组规则指定端口为ALL](//mc.qcloudimg.com/static/img/8c5fa48b305592762e1e86acb30376b6/image.png)
●	授权类型：地址段（CIDR/IP）访问，或安全组访问（安全组ID）；
●	来源（入站规则）或目标（出站规则）的以下选项之一：
　○	用 CIDR 表示法，指定的单个 IP 地址。
　○	用 CIDR 表示法，指定的 IP 地址范围（例如，203.0.113.0/24）。
●	策略：允许或拒绝。


## 安全组优先级
您在实例控制台中配置的安全组优先级，数字越小优先级越高。实例绑定多个安全组时，优先级将作为我们判断该实例总的安全规则的评估依据。
另外，如果实例绑定的多个安全组的最后一条策略是【ALL Traffic 拒绝】，那么除了优先级最低的安全组，其它安全组的最后一条策略【ALL Traffic 拒绝】将失效。

## 安全组的限制

- 安全组适用于私有网络[网络环境](/doc/product/213/5227)下的 云数据库 实例。
　　
- 每个用户在每个地域每个项目下最多可设置 50 个安全组。
　　
- 一个安全组入站方向、出站方向的访问策略，各最多可设定100条。**由于云数据库没有主动出站流量，因此出站规则对云数据库不生效**。
　　
- 一个 云数据库 可以加入多个安全组，一个安全组可同时关联多个 云数据库，数量无限制。

> 注意： 安全组内 实例个数虽无限制，但不宜过多。


| 功能描述 | 数量 | 
|---------|---------|
| 安全组 | 50个/地域 |
| 访问策略 | 100条/入站方向，100条/出站方向 |
| 实例关联安全组个数 | 无限制 |
| 安全组内实例的个数| 无限制 |

## 操作指南

### 快速入门
[安全组](https://cloud.tencent.com/doc/product/213/500)是腾讯云提供的实例级别防火墙，可以对云数据库进行入/出流量控制。

1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【云服务器】选项卡，在左导航窗格中，单击【安全组】。

2) 单击【新建】按钮，输入安全组的名称（例如 my-security-group），选择 模板 创建或 自定义 创建，确认出入站规则后，点击创建。

3) 进入[云数据库控制台](https://console.cloud.tencent.com/cdb),在实例列表选中需要的实例-点击【管理】，选择【安全组】标签页-点击【配置安全组】，选择需要绑定的安全组，即可完成安全组绑定云数据库的操作。 

或
4）您还可以在新购实例时，选择安全组绑定。




### 创建安全组

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/) 。

2) 在导航窗格中，单击【安全组】。

3) 单击【新建】按钮。

4) 输入安全组的名称（例如，my-security-group）并提供说明。

### 删除安全组

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/)。

2) 在导航窗格中，单击【安全组】。

3) 单击列表中安全组项后面的【删除】按钮。

4) 在删除安全组对话框中，单击【确定】。若当前安全组有关联的CVM则需要先解除安全组才能进行删除。

### 克隆安全组

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/)。

2) 在导航窗格中，单击【安全组】。

3) 单击列表中安全组项后面的【克隆】按钮。

4) 在克隆安全组对话框中，选定目标地域、目标项目后，单击【确定】。若新安全组需关联CVM，请重新进行管理安全组内云主机。

### 向安全组中添加规则

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/)。

2) 在导航窗格中，单击【安全组】。

3) 选择需要更新的安全组，点击安全组ID。 详细信息窗格内会显示此安全组的详细信息，以及可供您使用入站规则和出站规则的选项卡。

4) 在入/出站规则选项卡上，单击【编辑】。从选项卡中选择用于入/出站规则的选项，然后填写所需信息。例如，选择 HTTP 或 HTTPS，将来源/目标指定为0.0.0.0/0。完成后，单击【保存】。

5) 还可允许/拒绝不同安全组关联的实例之间进行通信。在入/出站规则选项卡上，从规则协议列表中选择【All Traffic】 (所有流量)，来源/目标选择【安全组ID】，此操作会为您提供一个安全组列表。从该列表中选择安全组，然后单击保存。表示允许/拒绝本安全组关联的云服务器与选择安全组关联的云服务器进行通信。

### 导入导出安全组规则

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/)。

2) 在导航窗格中，单击【安全组】。

3) 选择需要更新的安全组，点击安全组ID。详细信息窗格内会显示此安全组的详细信息，以及可供您使用入站规则和出站规则的选项卡。

4) 在入/出站规则选项卡上，单击【编辑】。从选项卡中选择用于入/出站规则的选项，然后点击【导入规则】按钮。如原来您已有规则，则推荐您先导出现有规则，因为规则导入将覆盖原有规则，如原来为空规则，则可先导出模板，编辑好模板文件后，再将文件导入。





