### 1. 云数据库适用于哪些业务场景
MySQL 数据库适用的地方都可以使用云数据库。相比于自行搭建 MySQL，使用云数据库更加方便和可靠。
云数据库完全兼容 MySQL 协议，同时提供 master-slave 热备和定时冷备服务，此外支持实例无缝升级，可最大程度减少开发者在部署、监控、扩容和故障恢复等方面的投入，使开发者可以集中精力进行产品开发和运营。

### 2.使用云数据库前要做什么准备
在使用云数据库前您需要考虑以下两个问题：
1. 您的应用是否适合使用 DB？比如数据量小、访问量高、key-value 存储的场景就应该考虑使用内存级持久化存储服务 [【云缓存Memcached】](https://cloud.tencent.com/product/cmem)。
2. 您的数据库设计是否合理？比如有明显访问热点或者数据量过大的表，则应该考虑拆分成多个表。 

### 3. 云数据库如何对 MySQL 进行管理？
开发者不需要对 MySQL 进行日常管理，日常的维护和调整由云数据库运维系统完成。
当 MySQL 出现异常时，运维系统会及时发现并通知运维人员处理，开发者不需要做任何变更操作。

### 4.  云数据库后面是否是实体机？
云数据库后面是实体机。

### 5. 云数据库会帮我做分库分表吗？
因为分库分表的标准和业务逻辑相关，所以云数据库不会帮业务做分库分表。

云数据库占用空间与使用空间的区别
目前云数据库用户实际使用空间与 binlog 等日志数据已分开统计，开发者在云数据库控制台看到的占用空间即等于使用空间。

### 6.云数据库执行任务是否有缓冲
**问题描述：**
在很短的时间，送入了 N 条 SQL 语句给云数据库执行，此时云数据库会逐条执行，还是卡死？如果会卡死，那么同时的连接并发数限制是多少？
**问题解答：**
云数据库提供的 MySQL 实例与平时我们自己安装的 MySQL 实例是一样的。并发执行的语句是否会卡死跟系统资源和 SQL 语句本身有关。
如果连接数 max_connections 到达极限值，那么该实例基本上已经无法正常提供服务，一般是由以下原因造成的：
- 业务程序 bug 导致的空连接过多；
- 前端过来的访问远远超出实例的处理能力；
- 某个连接执行了太久，独占了 MySQL 的资源，导致大量的访问请求被阻塞。

### 7. 云数据库对数据量有什么限制？
详见 <a href="https://cloud.tencent.com/document/product/236/7259#1-.E6.95.B0.E6.8D.AE.E9.87.8F.E9.99.90.E5.88.B61" target="_blank">云数据库数量限制</a>。

### 8. 使用云数据库的注意事项？
详见 <a href="https://cloud.tencent.com/document/product/236/7259#7-.E6.93.8D.E4.BD.9C.E9.99.90.E5.88.B67" target="_blank">云数据库操作限制</a>。

### 9. 云数据库中运行的MySQL版本是多少？
云数据库中使用的 MySQL 版本为 5.5.45、5.6.28。

### 10. 如何申请云数据库实例 slave 只读权限开放/关闭？
如果需要开放或关闭 slave 只读实例，请按照模版 [提交工单申请](https://console.cloud.tencent.com/workorder/category)。

### 11. 云数据库的连接数有限制吗？
详见 <a href="https://cloud.tencent.com/document/product/236/7259#2-.E8.BF.9E.E6.8E.A5.E6.95.B0.E9.99.90.E5.88.B62" target="_blank">云数据库链接数限制</a>。
