## 1、phpMyAdmin上传文件的限制

云数据库目前可以通过phpMyAdmin导入/导出sql数据文件。在导入上传文件时，文件必须是sql文件或者压缩（tar、bz2、zip）的sql文件，而且文件的大小不能超过2M。

## 2、如何获知磁盘空间不足

监控中心对云数据库的磁盘空间进行了监控，当云数据库的使用空间超过90%的时候就会触发短信和邮件告警，这里只需要在云监控中配置好对应的告警接收人，当空间不足的时候就能收到告警。

## 3、使用云数据库前要做什么准备

需要考虑：

(1) 您的应用是否适合使用DB？比如数据量小、访问量高、key-value存储的场景就应该考虑使用内存级持久化存储服务“云缓存Memcached”。
(2) 考虑一下您的数据库设计是否合理？比如有明显访问热点或者数据量过大的表，则应该考虑拆分成多个表。 

## 4、云数据库的binlog保存时间是多久

由于MySQL binlog会占用大量的存储空间，所云数据库只保存最近3天的binlog。另外，如果binlog数据量增加太快，服务器磁盘存储不下3天的binlog，会人工删除binlog，释放空间。

## 5、云数据库连接故障诊断及解决方案

当使用云数据库出现连接故障时，首先确认你的云数据库实例的IP、端口、用户、密码，然后在你的应用机器上通过命令行登录云数据库：

<pre>mysql -h IP -P 端口号 -u root -p 云数据库密码
</pre>

下面是出现的问题类型及解决方案：

**(1) ERROR 1045(28000)：Access denied for user...**

当出现“Access denied for user ‘xxx’@‘x.x.x.x’(using password:YES)”的提示语时，表明密码不正确。

请确认你输入的云数据库密码是否正确，如果重复输入正确信息后仍然报该错，则请通过[提交工单](https://console.cloud.tencent.com/workorder)联系技术支持。 


**(2) ERROR 1040(00000):Too many connections**
当出现“ERROR 1040(00000):Too many connections”的提示语时，表明云数据库实例当前最大连接数超过了限制。

请检查程序，适当减少数据库的连接数。如果减少连接数后仍然报该错，则请通过[提交工单](https://console.cloud.tencent.com/workorder)联系技术支持。 

**(3) ERROR 2003 (HY000): Can't connect to MySQL server...**

当出现“ERROR 2003 (HY000): Can't connect to MySQL server on 'x.x.x.x' (111)”的提示语时，表明云数据库地址不能连通，请确认你输入的云数据库的IP、端口信息是否正确。如果重复输入正确信息后仍然报该错，则请通过[提交工单](https://console.cloud.tencent.com/workorder)联系技术支持。

## 6、云数据库适用于哪些业务场景

MySQL适用的地方都可以使用云数据库。相比于自行搭建MySQL，使用云数据库更加方便和可靠。

云数据库完全兼容MySQL协议，同时提供master-slave热备和定时冷备服务，此外支持实例无缝升级，可最大程度减少开发者在部署、监控、扩容和故障恢复等方面的投入，使开发者可以集中精力进行产品开发和运营。

## 7、云数据库占用空间与使用空间的区别

目前云数据库用户实际使用空间与binlog等日志数据已分开统计，开发者云数据库控制台看到的占用空间即等于使用空间。

## 8、云数据库执行任务是否有缓冲

问题描述：

在很短的时间，送入了N条SQL语句给云数据库执行，此时云数据库会逐条执行，还是卡死？如果会卡死，那么同时的连接并发数限制是多少？

问题解答：

云数据库提供的MySQL实例与平时我们自己安装的MySQL实例是一样的。并发执行的语句是否会卡死跟系统资源和SQL语句本身有关。

如果连接数max_connections到达极限值，那么该实例基本上已经无法正常提供服务，一般是由以下原因造成的：

（1）业务程序bug导致的空连接过多；

（2）前端过来的访问远远超出实例的处理能力；

（3）某个连接执行了太久地占用了MySQL的独占资源，导致大量的访问请求被阻塞。