## 1. 控制台导出
1.<span></span> 使用云数据库数据控制台导出功能（详见：[下载备份文件](https://cloud.tencent.com/document/product/236/7274)），下载备份文件。  
2.<span></span> 还原数据库时，可以通过 MySQL 命令行工具进行还原，方式如下：
```
shell > mysql -h hostname -P port -u username -p < bak_pathname
```
其中，hostname 为还原数据的目标主机，port 为目标主机的端口，username 为目标主机的数据库用户名，bak_pathname 为备份文件的完整路径。  
3.<span></span> 还原数据表时，先登录到MySQL数据库，再通过 `shell > source bak_pathname` 进行数据表还原。
其中 bak_pathname 为备份文件的完整路径。

### 1.1. windows 迁移数据库
1.<span></span> 以 db_blog 这个数据库为例，从云数据库数据控制台下载备份文件。

![][image-7]
![][image-8]
![][image-9]

2.<span></span> 记录完整的路径名称。
本例中的完整路径为： F:\download\cdb147691_backup_20170717050142

![][image-1]

3.<span></span> 通过 MySQL 命令行工具进行还原。

![][image-2]

4.<span></span> 登录 MySQL 数据库可以查看到备份的数据库已经还原到服务器内。

![][image-10]

### 1.2. windows 迁移数据表
1.<span></span> 以 db_blog 下的 t_blog 数据表为例，从云数据库数据控制台下载备份文件。

![][image-11]

2.<span></span> 从云数据库数据控制台下载备份文件，记录完整的路径名称。
本例中的完整路径为 F:\download\cdb147691_backup_20170718050146

![][image-3]

3.<span></span> 通过 MySQL 命令行工具进行还原。

![][image-4]

4.<span></span> 登录 MySQL 数据库可以查看到备份的数据表已经还原到服务器内。

![][image-12]

## 2. 命令行工具导出
1.<span></span> 使用 MySQL 命令行工具 mysqldump 生成待导入的 SQL 文件，方式如下：
>**注意：**
>使用 mysqldump 导出的数据文件必须兼容所购买的云数据库 MySQL 版本的 SQL 规范，可登录云数据库通过 `select version();` 获取相应的 MySQL 版本信息。
>生成的 SQL 文件名称允许英文/数字/下划线，但不能包含 “test” 字符。

```
shell > mysqldump [options] db_name [tbl_name ...] > bak_pathname
```
其中，options 为导出选项，db_name 为数据库名称，tbl_name 为表名称，bak_pathname 为导出路径名。
更多 mysqldump 导出数据说明，请参考[MySQL官方手册](https://dev.mysql.com/doc/refman/5.6/en/mysqldump.html)。

2.<span></span> 还原数据库时，可以通过 MySQL 命令行工具进行还原，方式如下：
```
shell > mysql -h hostname -P port -u username -p < bak_pathname
```
其中，hostname 为还原数据的目标主机，port 为目标主机的端口，username 为目标主机的数据库用户名，bak_pathname 为备份文件的完整路径。

### 2.1. 通过 CVM 主机 Linux 系统导出数据
CVM 主机访问数据库请参见[访问MySQL数据库](https://cloud.tencent.com/document/product/236/3130)。
1.<span></span> 以云数据库上的 db_blog 数据库为例。登录 CVM 主机，使用 MySQL 命令行工具 mysqldump 生成待导入的 SQL 文件。

![][image-5]

2.<span></span> 通过 MySQL 命令行工具进行还原，本例将数据还原到 CVM 服务器上。可以查看到备份的数据库已导入到目标服务器对应的数据库中。

![][image-6]

## 3. 导入数据文件字符集编码问题
1. 云数据库导入数据文件如果没有指定字符集编码，以云数据库设置的字符集编码执行。

2. 如果导入数据文件中有指定的字符集编码，则以指定的字符集编码执行。

3. 如果导入的数据文件的字符集编码与云数据库当前字符集编码不同，会造成乱码。
更多字符集编码问题，请参考[使用限制](https://cloud.tencent.com/document/product/236/7259#document_charset_6)，字符集说明。

[image-1]:  https://mc.qcloudimg.com/static/img/ec1530d76dab094cfc76a49e05e34d3c/step11.png
[image-2]:  https://mc.qcloudimg.com/static/img/6974d27bab6a539dd001ea9d58d59a30/step12.png
[image-3]:  https://mc.qcloudimg.com/static/img/42f282cf218253ba16ec51eb715ac76f/step13.png
[image-4]:  https://mc.qcloudimg.com/static/img/4f1d7c84356129675d8d9ddb7924f1b8/step14.png
[image-5]:  https://mc.qcloudimg.com/static/img/2eb987a5a0a3d1b5b889970e67d66840/step15.png
[image-6]:  https://mc.qcloudimg.com/static/img/58d60e0df9def342ee8344d68e5d6558/step16.png
[image-7]:  https://mc.qcloudimg.com/static/img/93e534bb662bd93cd1cc33f3e7e01fd8/step1.png
[image-8]:  https://mc.qcloudimg.com/static/img/85c72e3d044155342ec9375b42d7d597/step2.png
[image-9]:  https://mc.qcloudimg.com/static/img/fbd4f81256f71264d8616916673c3383/step3.png
[image-10]: https://mc.qcloudimg.com/static/img/f650760a65c3057e1842eee2d3a6fabb/step4.png
[image-11]: https://mc.qcloudimg.com/static/img/189a5828548563144959c91482b91694/step5.png
[image-12]: https://mc.qcloudimg.com/static/img/4f03808a5f93d2b2731431c12c1684ee/step6.png
