## 1. 简介
腾讯云CDB for MySQL支持用户创建一个或多个只读实例，以支持用户的读写分离和一主多从应用场景，可显著提高用户数据库的读负载能力。

## 2. 术语表
* RO组：带有负载均衡功能的只读实例组。若RO组内有多个只读实例，可将用户读请求量均匀分配到组内的每个只读实例上。且RO组会对外提供IP、PORT供访问数据库。
* 只读实例：可以支持读请求的单节点(无从机)实例。只读实例无法单独存在，每个只读实例都属于某个RO组。

## 3. 功能特点 
* 一个主实例（MySQL 5.6 GTID）最多可以创建5个只读实例。
* 只读实例的实例规格可以与主实例不一致，方便用户根据负载情况升级。但为了保证与主实例之间的同步正常进行，只读实例的规格需要大于或者等于【容量100G，内存4000MB】规格。
* 只读实例无需维护帐号与数据库，均从主实例同步。

## 4. 基础架构
只读实例采用MySQL binlog主从同步功能，将主实例(源数据库)的更改同步到所有只读实例中。只读实例均采用单节点（不含备机）架构，若只读实例宕机将在24小时内恢复服务。
![](//mc.qcloudimg.com/static/img/3f2a163d690deda5978474f8db4b8738/image.png)


## 5. 使用注意事项及功能限制
* 仅支持【容量100G，内存4000MB】以上规格购买只读实例，低于此规格若需要使用只读实例，请先升级主实例规格。
* 备份回档：不支持备份以及回档功能；
* 数据迁移：不支持数据迁移至只读实例
* 数据库管理：不支持创建\删除数据库；不支持PMA
* 帐号管理：不支持创建、删除账号；不支持为帐号授权以及修改帐号及密码
* 仅支持MySQL 5.6 （GTID）或以上版本的主库开启只读实例。若MySQL版本低于5.6，可提交升级到MySQL 5.6 GTID版本工单请求，待升级完成后可购买只读实例；若MySQL版本为5.6但未开启GTID，可通过控制台首先开启GTID，再添加只读实例。开启GTID过程耗时较长，且实例将会有几秒钟的闪断，建议在业务低谷期操作，并在访问数据库的程序中添加重连机制。
* 只读实例仅支持InnoDB引擎，且也仅支持InnoDB引擎的主实例创建只读实例。若用含有MyISAM表的数据库创建只读实例，创建过程中会将MyISAM强制转换为InnoDB。
* 由于只读实例的数据同步基于MySQL原生Binlog同步，因此开启只读实例后，用户的实例将无法再设置Binlog格式。
* 由于数据同步有延迟，多个只读实例之间可能存在少量数据不一致的情况。各只读实例与主实例之间的同步时延可在控制台查看。
* 同一RO组内的只读实例，实例规格需保持一致

## 6. 购买、计费说明
只读实例仅支持按量付费的计费模式，且支持阶梯价，使用越久越优惠，可在购买页查看阶梯价相关信息。

* 可在实例管理页面中找到购买只读实例入口：
	* Step 1.进入实例列表，点击【管理】
![](//mc.qcloudimg.com/static/img/5a3e1aca92b6f1fe502a7a2f59b23662/image.png)
	* Step 2.点击【添加只读实例】
![](//mc.qcloudimg.com/static/img/e59eb9fff3b5661bcd548b066c48b280/image.png)
	* Step 3.点击【新建】
![](//mc.qcloudimg.com/static/img/38fb7789fa98a7f9e7170e965fce610b/image.png)

* 只读实例购买页：
![](//mc.qcloudimg.com/static/img/0b424ba8e67b16b284d51329e77a127b/image.png)
 
## 7. 升级说明
1. 为了保障主实例和只读实例之间同步正常进行，建议只读实例规格大于或等于主实例。
