## 1. 如何自助升级云数据库实例规格
登录云数据库的 [管理控制台](https://console.cloud.tencent.com/cdb) 后，可通过【升级】操作升级指定实例的实例规格。
![升级][image-1]
## 2. 实例可维护时间
对每个实例允许设置实例的可维护时间，维护最常涉及对数据库实例的变更操作（如实例规格升级，数据库版本升级等），对数据库的可维护时间建议设置在业务低峰期。
以数据库实例规格升级为例，实例规格升级涉及到数据搬迁，所以在升级完成时会发生秒级的MySQL数据库连接闪断。可在发起升级时选择切换时间为【维护时间内】，会在实例升级完成后的下一个【维护时间】内发起切换。
需要注意的是，选择切换时间为【维护时间内】时，数据库规格升级完成时不会立即切换，会保持同步直到实例的【维护时间】内发起切换，因此可能会延长整个实例升级所需时间。

### 设置实例维护时间
【实例详情】>【维护时间】>【修改】
![维护时间][image-2]
![修改维护时间][image-3]

### 升级切换时间设置
切换时间有如下两个选项：
* 升级完成时：在实例完成升级时立刻发起切换，此时数据库会有秒级瞬断。此种方式整个升级流程所需时间最短，但是发生瞬断的时间不可控。
* 维护时间内：数据库规格升级完成时不会立即切换，会保持同步直到实例的【维护时间】内发起切换。此种方式可将数据库升级结束时的秒级瞬断放在可控的维护时间段内进行，但是实例升级所需时间会因此而延长。

![升级切换时间设置][image-4]

## 3. 如何计算费用
对包年包月实例，用户自助升级数据库实例时，系统将计算实例规格间的差价，并从用户的账户中扣除差价，若账户余额不足则需要先进行充值。升级后将按照新的实例规格进行计费。
对按量计费实例，升级后下一个计费周期将按照新的实例规格进行计费。

## 4. 自助升级实例规格的限制
* 仅支持预付费和按量计费用户自助升级实例规格。
* 仅支持由小规格的实例向大规格实例进行升级，**不支持降级操作**。
* 仅当实例处于可升级状态下时允许进行升级操作。对正在升级的实例，需等本次升级完成后，才允许再次升级。
* 升级过程中，不允许取消本次升级操作。

## 5. 注意事项
1. 实例升级过程中原实例的正常使用将不受影响，如数据的导入、导出功能。
2. 升级前后实例的名称、访问IP、访问端口均不发生变化。
3. **升级完成时会产生秒级的MySQL数据库连接断开，建议程序有自动重连功能。**
4. **在升级过程中，请尽量避免修改MySQL的全局参数、实例名称、用户密码等操作。**

[image-1]:	//mccdn.qcloud.com/static/img/d7b59861436817bcc9a0be795c49b1ec/image.png
[image-2]:  //mc.qcloudimg.com/static/img/da7f29b04e72c26bac1ddaeaf1d90eed/1.png
[image-3]:  //mc.qcloudimg.com/static/img/bbdebbe19bd1ef5e85d997d5de6a2e06/2.png
[image-4]:  //mc.qcloudimg.com/static/img/bf9bb0a92ba480690c86080161a3c9bc/3.png
