## 如何自助升级云数据库实例规格
1. 登录云数据库的 [管理控制台](https://console.cloud.tencent.com/cdb) 后，在需要升级的实例的 **操作** 栏单击【更多】 > 【升级配置】。
![](//mc.qcloudimg.com/static/img/0e6485cbc2e0ebe62e1f32e66595f861/image.png)
2. 选择升级规格、硬盘、数据复制方式、切换时间（了解切换时间请参考 [升级切换时间设置](#change_upgrade_time)）等信息后，单击【升级】即可完成云数据库实例规格升级。
![](//mc.qcloudimg.com/static/img/e3eababa27cfaedfed2b677cd71ba35b/image.png)

<span id="change_upgrade_time"></span>
## 升级切换时间设置
切换时间是指云数据库实例从原规格切换到升级后的规格的时间点，切换时间有如下两个选项：
* 升级完成时：在实例完成升级时立刻发起切换，此时数据库会有秒级瞬断。此种方式整个升级流程所需时间最短，但是发生瞬断的时间不可控。
* 维护时间内：数据库规格升级完成时不会立即切换，会保持同步直到实例的【维护时间】内发起切换。此种方式可将数据库升级结束时的秒级瞬断放在可控的维护时间段内进行，但是实例升级所需时间会因此而延长。

![升级切换时间设置][image-4]

## 如何计算费用
- 对包年包月实例，用户自助升级数据库实例时，系统将计算实例规格间的差价，并从用户的账户中扣除差价，若账户余额不足则需要先进行充值。升级后将按照新的实例规格进行计费。
- 对按量计费实例，升级后下一个计费周期将按照新的实例规格进行计费。

## 自助升级实例规格的限制
1. 仅支持预付费和按量计费用户自助升级实例规格。
2. 仅支持由小规格的实例向大规格实例进行升级，**不支持降级操作**。
3. 仅当实例处于可升级状态下时允许进行升级操作。对正在升级的实例，需等本次升级完成后，才允许再次升级。
4. 升级过程中，不允许取消本次升级操作。

## 注意事项
1. 实例升级过程中原实例的正常使用将不受影响，如数据的导入、导出功能。
2. 升级前后实例的名称、访问 IP、访问端口均不发生变化。
3. **升级完成时会产生秒级的 MySQL 数据库连接断开，建议程序有自动重连功能。**
4. **在升级过程中，请尽量避免修改 MySQL 的全局参数、实例名称、用户密码等操作。**

[image-1]:	//mccdn.qcloud.com/static/img/d7b59861436817bcc9a0be795c49b1ec/image.png
[image-4]:  //mc.qcloudimg.com/static/img/bf9bb0a92ba480690c86080161a3c9bc/3.png
