## 1 什么是云数据库

云数据库主要具有以下一些特点：

（1）云存储服务，是腾讯云平台提供的面向互联网应用的数据存储服务

（2）完全兼容MySQL协议，适用于面向表结构的场景，适用MySQL的地方都可以使用云数据库

（3）提供了高性能、高可靠、易用、便捷的MySQL集群服务

（4）整合了备份、扩容、迁移等功能，同时提供phpMyAdmin管理后台，用户可以方便的进行数据库的管理
## 2 使用云数据库的好处
（1）便捷：用户可以快速的在腾讯云平台中申请实例资源，通过IP/PORT直接访问MySQL实例，无需自行安装MySQL实例。

（2）易用：完全兼容MySQL协议，用户可通过基于MySQL协议的客户端或者API访问实例。用户可无缝的将原有MySQL应用迁移到云存储平台，无需进行任何的代码改造。

（3）安全：提供在线的主从两份数据存储，确保线上数据安全。同时通过备份机制保存多天的备份数据以便于在灾难情况进行数据恢复。

（4）高性能：集中安装专用高性能存储服务器来支持海量访问。

（5）省心：提供7×24小时的专业服务，扩容和迁移对用户透明且不影响服务。提供全方位、全天候立体式监控，用户无需半夜去处理MySQL实例故障。

## 3 使用云存储更节约成本
1. 与在云服务器上自己搭建MySQL服务的成本对比： 

<table style="width:828px">
	<tbody>
		<tr>
			<td style="text-align: center; width: 136px;">资源</td>
			<td style="text-align: center; width: 676px;">成本说明</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 136px;">自建MySQL</td>
			<td style="text-align: left; width: 676px;">云服务器中,我们选择了和云数据库高性能版A型硬件配置接近的自定义机型作为对比（采用SAS盘，做了Raid，配置：8核CPU，16G内存，400G硬盘）
			<p>单价为50.6元台/天，实现双机容灾需要2台，既101.2元/天，<strong>平均存储成本0.25元/G天，平均1元可获得QPS：24次/秒</strong><br />
			&nbsp;</p>

			<p>此外，自己搭建MySQL服务还带来以下成本：<br />
			-用户需独立负责MySQL的安装、部署、版本更新、故障处理等操作<br />
			-硬件资源与其他虚拟机共用，性能易受到其他虚拟机的影响<br />
			-master与slave切换时，用户需要重新配置数据据库连接的ip port</p>
			</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 136px;">云数据库高性能版</td>
			<td style="text-align: left; width: 676px;">云数据库高性能版A型实例，其容量限制为400G，建议访问次数6000次/秒，有热备。成本为72元/天
			<p>相对于自建，云数据库高性能版A型的<strong>平均存储成本为0.18元/G天，平均1元可获得QPS：83次/秒。平均1元获得QPS提高为346%，具有极高的性价比</strong><br />
			&nbsp;</p>

			<p>此外使用云数据库高性能版相对于在云服务器上自己搭建MySQL来说，具备如下优势：<br />
			-用户无需关心MySQL的安装、部署、版本更新及故障处理，由云数据库运营团队全面负责，免除用户后顾之忧<br />
			-云数据库后台使用独立的实体机器作为存储机器，性能不会受到其他虚拟机的影响 -master与slave的切换、升级到高配置实例、故障的处理及数据迁移，完全对用户透明，ip port保持不变</p>
			</td>
		</tr>
	</tbody>
</table>

2.其它成本优势：

<table >
	<tbody>
		<tr>
			<th>维度</th>
			<th>腾讯云数据库</th>
			<th>自建数据库</th>
		</tr>
		<tr>
			<td>价格优势</td>
			<td>无软硬件投入，提供多种选择（单机版，标准版，高性能版）按需付费</td>
			<td>硬件：单台存储服务器成本高（如果搭主从，需要购买2台，资源冗余）软件：需要招聘专业DBA,人力成本高</td>
		</tr>
		<tr>
			<td>服务可用性</td>
			<td>99.95%，行业高标准，专业团队7*24小时守候，一对一指导，QQ远程协助</td>
			<td>需自行处理故障，自建主从，自建RAID</td>
		</tr>
		<tr>
			<td>数据可靠性</td>
			<td>99.999%，拥有完善的数据自动备份和无损恢复机制（实时热备，3天内任意时刻数据恢复），让您用得放心</td>
			<td>自行保障，依赖硬件的故障发生率，依赖技术人员的数据库管理水平</td>
		</tr>
		<tr>
			<td>实时监控</td>
			<td>多维度监控，故障预警，让您用得安心</td>
			<td>需自行开发监控系统，运维人员需半夜处理故障</td>
		</tr>
		<tr>
			<td>业务扩容</td>
			<td>一键式按需扩容，快速部署，早日上线，让您用得舒心</td>
			<td>需自行完成硬件采购，机房托管，应用重新部署等工作，周期较长</td>
		</tr>
		<tr>
			<td>资源利用率</td>
			<td>按需申请，资源利用率100%，不浪费您一分钱</td>
			<td>峰值效用，机器的平均负载不高，资源利用率低</td>
		</tr>
	</tbody>
</table>

