## 1 高性能版简介

云数据库高性能版是腾讯云针对MySQL类业务运营的需求，新研发出来的一种高性能和高可靠的MySQL服务平台。
通过分布式存储提高单机存储的IO能力，从而提高单MySQL实例数据库的查询性能；通过多个节点存储多份数据副本的方式来保证数据库数据的安全可靠。高性能版兼容标准版实例管理、统计等功能。在使用上高性能版和标准版保持完全一致。特别适合对单MySQL实例性能要求较高、对数据安全要求较高的应用。

## 2 高性能版特性介绍

### 2.1 基本架构

高性能版数据存储通过云存储来完成最终数据落地，基本架构如下图所示：
![](//mccdn.qcloud.com/img568281130fbe2.png)

### 2.2 其它功能

双机热备，故障恢复，数据冷备，监控统计等功能，与现有标准版保持一致（详见这里）

## 3  限制说明

### 3.1 InnoDB存储格式

对于InnoDB存储引擎，高性能版默认使用DYNAMIC格式。建议用户不要自行修改，以免影响使用。

### 3.2 支持的最大并发事务数

目前支持的最大并发事务数为1000。

### 3.3 InnoDB支持的记录行内最大长度

高性能版InnoDB的支持记录行内最大长度为1982个字节；超过该值，会出现如下错误：

```
ERROR 1118 (42000): Row size too large. The maximum row size for the used table type, not counting BLOBs, is 1982. You have to change some columns to TEXT or BLOBs 
```

建议用户尽量减小记录行内的存储长度。比如，尽量将varchar的字段长度声明为256或者以上（这样字段会行外存储），或者使用text/blob代替。且text\blob\varchar字段总共不能超过48个 

### 3.4 InnoDB不支持compressed

高性能版为了提高性能，采用O_DIRECT方式进行IO，同时调整了innodb引擎的页和磁盘扇区的大小，由于系统限制，无法使用compress格式.