## 1 通过控制台自建迁移工具进行在线热迁移
### 1.1 CDB自建迁移工具支持的类型：
### 1.2 自建迁移操作步骤
1.	进入迁移页面
![](//mccdn.qcloud.com/img56a76ba50e7cb.png)
2.	创建迁移任务
 点击创建迁移任务，输入任务名称、源库和目标CDB for MySQL的信息。
![](//mccdn.qcloud.com/img56a7653c6f568.png)

 然后选择要迁移的数据库(可选择全部迁移或部分库表迁移)，创建并检查迁移任务信息。
![](//mccdn.qcloud.com/img56a76670eceb8.png)
![](//mccdn.qcloud.com/img56a765eb2bb88.png)
**注：**
**数据迁移**：将选中数据库中的数据导出，然后在TDSQL中导入。
**增量同步**：在进行数据导出导入后，设置TDSQL为源库的备库，进行主备增量同步。

3. 校验迁移任务信息
 在创建完迁移任务后，您需要对迁移任务信息进行校验，只有所有校验项通过后才能启动迁移任务。任务校验存在3种状态：

 通过：表示校验完全通过
 警告：表示校验不通过，迁移过程中或迁移后可能影响数据库正常运行但不影响迁移任务的执行。
 失败：表示校验不通过，无法进行迁移。如果校验失败，请根据出错的校验项，检查并修改迁移任务信息，然后重试校验。失败原因请参考：“校验失败说明”
![](//mccdn.qcloud.com/img56a767198f5b7.png)
4.	启动迁移
在校验通过后，您可以启动迁移任务，如果您设定了迁移任务的定时时间，则迁移任务会在设定的时间开始排队并执行，如果没有设置定时任务，则迁移任务会立即执行。
迁移启动后，您可以在迁移任务下看到对应的迁移进度信息。
![](//mccdn.qcloud.com/img56a767afe0b8c.png)
注：由于系统设计限制，一次性提交或排队多个迁移任务将按排队时间串行执行。

5.	增量同步
在创建迁移任务时默认必选增量同步选项，在数据迁移完成后，会将目标CDB for MySQL库设置成源数据库的备库，通过主备同步来把迁移过程中源库的新增的数据同步到目标CDB for MySQL库中。此时，源库上的修改都会同步到目标CDB for MySQL中，你可以把业务切换到目标CDB for MySQL上，然后点击完成迁移。
点击完成迁移后，主备同步关系会断开。

6.	终止迁移
在迁移过程中，如果您需要停止迁移，可以点击中止按钮进行中止。
![](//mccdn.qcloud.com/img56a76843ea5a9.png)
注意：再次启动可能导致校验失败或任务失败，您可能需要手动清空目标库内的数据，才能再次启动迁移任务。

### 1.3 自建迁移注意事项：
1.	检查目标CDB实例必须是空库；
2.	检查版本目前仅支持5.1->5.5，5.5->5.6；
3.	检查CDB容量必须大于源实例；
4.	创建迁移账号；
GRANT ALL PRIVILEGES ON *.* TO "迁移账号"@"%" IDENTIFIED BY "迁移密码";
FLUSH PRIVILEGES;
5.	确认mysql变量
通过 SHOW GLOBAL VARIABLES LIKE 'XXX'; 
查看mysql全局变量，确认当前状态是否可以进行迁移：
server_id > 1
log_bin = ON;
binlog_format = ROW/MIXED
binlog_row_image = FULL
innodb_stats_on_metadata = 0

6.	修改变量到指定值：
a)	修改mysql配置文件my.cnf，需重启：
log-bin=binlog
b)	动态修改配置：
set global server_id = 99;
set global binlog_format=ROW;
set global binlog_row_image=FULL;
set global innodb_stats_on_metadata = 0;

5、迁移单独的表时，需保证所有表外键依赖的表必须被迁移；


## 2 通过工具进行数据离线迁移
### 2.1 通过命令行工具进行数据离线迁移

#### 2.1.1 生成待导入的SQL文件

待导入的SQL文件可以通过下面两种方法生成：

>注：<span style = "color:#F00">不建议用户手工构造SQL文件，因为手工构造的SQL文件容易有语法、数据等各种错误，从而导致导入操作失败。 </span>

方法一： 使用云数据库数据控制台导出功能（详见：[冷备数据提取](/doc/product/236/冷备数据提取)）导出的文件；

方法二：通过MySQL工具mysqldump导出的数据文件：

（1）使用mysqldump导出的数据文件必须兼容所购买的云数据库MySQL版本的SQL规范，可登录云数据库通过select version();获取相应的MySQL版本信息。

（2）mysqldump导出数据的方式如下：


```
shell> mysqldump [options] db_name [tbl_name ...]
```

其中，options为导出选项，db_name为数据库名称，tbl_name为表名称。

更多mysqldump导出数据说明，请参考[MySQL官方手册](http://dev.mysql.com/doc/refman/5.1/en/mysqldump.html)。

#### 2.1.2 导入数据文件限制

<span style = "color:#F00">SQL文件名称允许英文/数字/下划线，且不能包含“test”字符。</span>

#### 2.1.3 导入数据文件字符集编码问题

1. 云数据库导入数据文件如果没有指定字符集编码，以云数据库设置的字符集编码执行。

2. 如果导入数据文件中有指定的字符集编码，则以指定的字符集编码执行。

3. 如果导入的数据文件的字符集编码与云数据库当前字符集编码不同，会造成乱码。
更多字符集编码问题，请参考使用限制#6. 字符集说明。

### 2.2 通过云服务器中转导入数据

若用户具有配置了公网IP的云服务器，并且可通过mysql命令连接至目标云数据库，则可通过该云服务器作中转将SQL文件导入目标云数据库。

#### 2.2.1 上传文件到Linux云服务器

将待导入的SQL文件上传至中转云服务器，详见上传文件到Linux云服务器

#### 2.2.2 通过中转云服务器导入SQL文件至目标云数据库

导入命令参考如下：【注意指定字符集】


```
shell> mysql -h [云数据库IP] -P [云数据库端口号] –uroot -p[云数据库密码] 
mysql> source 导入文件.sql
```

### 2.3 通过云数据库管理控制台导入数据

用户可通过云数据库的控制台通过SQL文件导入数据

Step1. 在云数据库管理界面，点击“数据库”标签页，在“数据库列表”下选择“数据导入”

![](//mccdn.qcloud.com/img56812b6c8d778.png)

![](//mccdn.qcloud.com/img56812b765fd77.png)

Step2. 选择SQL文件，若未找到需要的SQL文件，请点击“新增文件”上传。<span style = "color:#F00"> 导入的SQL文件不超过2GB，SQL文件名称允且不能包含“test”字符。</span>

![](//mccdn.qcloud.com/img56812c309aee4.png)

异常情况：

如果页面打开没有列出文件，可能原因是文件没有上传成功，或者FTP Server正在生成文件的MD5值。

Step3. 选择将要导入数据的目标数据库。

![](//mccdn.qcloud.com/img56812c3c57e88.png)

Step4. 对导入操作再次确认无误后，点击“确定。然后输入云数据库实例的密码，点击“确定”提交导入任务。

![](//mccdn.qcloud.com/img56812c4351a14.png)

![](//mccdn.qcloud.com/img56812c4f18aa2.png)

增量导入的概念：将要导入数据的云数据库的表有可能不是空表，如果待导入的文件里包含已存在的key，那么待导入的key将不会覆盖现有云数据库表的相应key。

Step5. 执行导入操作

管理界面中“数据库”标签页的“最近导入记录”里，可查看导入状态。正在执行的导入，可在“操作”一栏中点击“终止导入”。

![](//mccdn.qcloud.com/img56812ed260330.png)

![](//mccdn.qcloud.com/img56812ed742106.png)

异常情况：

（1）文件不完整。会提示文件格式错误。这时需要检查文件的完整性。
（2）将要导入的云数据库实例容量不够。比如用户将要导入的数据是250M，但是云数据库实例只能容纳100M数据，那么会提示容量不够。
（3）导入文件过程中失败。比如网络等原因，导致导入过程失败。
（4）用户终止。用户点击“终止”按钮停止导入。
（5）其他错误。可点击“最近导入记录”中对应导入的状态一栏查看错误信息。

![](//mccdn.qcloud.com/img56812eea43bee.png)