# 灾备实例

## 1. 简介
针对业务连续服务和数据可靠性有强需求或是监管需要的场景，CDB提供灾备实例，帮助用户以较低的成本提升业务连续服务的能力，同时提升数据的可靠性。


## 2. 功能特点
* 提供独立的数据库连接地址，灾备实例可提供读访问能力，用于就近接入、数据分析等场景，设备冗余成本低
* 使用主备高可用架构，避免了数据库的单点风险。
* 按小时计费，即开即用，即停即止。同时支持阶梯价，使用越久越优惠。
* **灾备实例通过内网专线同步，具有较低的同步时延和更高的稳定性，同步链路质量远优于公网网络。**
* 目前推广期专线费用免费，商业化收费时间将另行通知。



## 3. 工作原理
* 腾讯云数据库用做灾备数据库的场景下，灾备实例是主实例数据库的复制备份。	
* 当主实例发生变化，记录修改的Log日志信息会被复制到灾备实例，然后利用日志重放实现数据同步。
* 如果主实例发生故障，可在数秒内激活灾备实例，恢复完整读写功能。

## 4. 前置条件
* 要创建灾备实例，主实例要求 MySQL 5.6 及以上版本，且已开启GTID功能。

## 5. 功能限制
* 灾备实例暂不支持：转移项目、回档、SQL操作、参数设置、更改字符集、帐号管理、更改端口、数据导入、回档日志、只读实例功能。

## 6. 操作步骤
### 6.1 购买灾备实例
* Step1. 在实例列表选择希望为其配置灾备的实例，点击【管理】。
![](//mc.qcloudimg.com/static/img/57f7cf928cf07582c75faa6d672f9dd7/image.png)
* Step2. 确认GTID功能开启，点击【添加灾备实例】，进入灾备实例购买页。
![](//mc.qcloudimg.com/static/img/293ce146910ff324114bde452dea486b/image.png)
* Step3. 在购买页中，选择灾备实例的地域，并确认实例信息无误后，点击开通，待灾备实例发货。
![](//mc.qcloudimg.com/static/img/b55e7b40b4533d52f63980839f997676/image.png)

### 6.2 创建同步链接
灾备实例发货成功后，需对灾备同步链接进行配置，即可实现异地灾备。

* Step1. 在主实例实例列表和"实例详情"页面中，可查看灾备实例的同步状态，若显示"未同步"，则需点击【创建同步】，为灾备实例创建与主实例的内网同步链路。
![](//mc.qcloudimg.com/static/img/9cf09f7b9f6339b5fafc529fd8953b6d/image.png)
![](//mc.qcloudimg.com/static/img/9ec458d4ce19bee48939df4585058215/image.png)
* Step2. 填写任务名称，确认源库信息和目标库信息，点击【下一步】
![](//mc.qcloudimg.com/static/img/65081661234a42fb80cad12a24e15471/image.png)
* Step3. 选择需要同步的对象，支持同步整个实例或仅同步部分库表。目前暂不支持同步类型的选择。
![](//mc.qcloudimg.com/static/img/76c331f779b11094f13b1d2a03d929c7/image.png)
* Step4. 点击【保存并校验】，校验成功后可在CDB【数据传输】页面中查看任务详情。
![](//mc.qcloudimg.com/static/img/2cc2ee83a7cd428684479fbefb3cb79c/image.png)
![](//mc.qcloudimg.com/static/img/fff3ba47eedc8f85c0a61717aaf80756/image.png)


### 6.3 管理灾备实例
1. 查看灾备实例

	灾备实例可在其所在地域查看，可在实例列表【实例类型】筛选出该地域全部灾备实例，每个灾备实例可通过实例名下icon查看主实例信息。
![](//mc.qcloudimg.com/static/img/5a6b1fde4c29a231fc88cdf0eeb127d7/image.png)

2. 查看同步延迟

	可在实例详情页面上部查看到主实例和灾备实例之间的同步延迟。
![](//mc.qcloudimg.com/static/img/d3be4dee430091154466a5164910da64/image.png)

3. 灾备实例功能

	灾备实例提供实例详情、实例监控、备份管理、慢查询日志功能可在控制台查看
![](//mc.qcloudimg.com/static/img/78b5dd4673d6b1edb4409bd906c2a01a/image.png)

### 6.4 灾备实例升级为主实例
可在控制台一键将灾备实例升级为主实例。切换后将断开与主实例的同步连接，恢复实例数据库数据写入能力和完整的CDB功能。
同步连接断开后不可重连，请谨慎操作。
![](//mc.qcloudimg.com/static/img/1f2345005497a7d1aedc2f2c725d3c3e/image.png)

### 6.5 从灾备实例切回主实例
在主实例所在地域恢复服务后，可由CDB服务人员协助用户做反向数据同步和数据校验，验证完毕后即可回切。
