## 1. 使用CDB控制台自建迁移工具
CDB控制台自建迁移工具可帮助用户热迁移数据库，支持以下两种场景：
1. 云主机CVM上自建的MySQL数据库迁移至云数据库CDB服务。
2. 具有公网IP/Port的本地IDC或其他云上MySQL数据库迁移至与数据库CDB服务。

目前，迁移工具仅支持广州和上海地域。
### 1.1 准备
#### 1.1.1 注意事项
自建迁移工具分为冷备数据导出和增量数据同步两步操作，其中，冷备数据导出过程会对源库负载产生一定的影响，建议在业务低峰期做数据库迁移。
外网迁移特性目前仅支持基础网络的CDB实例。
#### 1.1.2 迁移原理简介
在线热迁移提供CVM自建MySQL数据库到CDB的在线热迁移功能，用户可在不停服的情况下对数据进行迁移，迁移过程包括以下几个步骤：
	1.	对CVM自建数据库和云数据库CDB环境进行检查，打开防火墙，使CDB能够访问到CVM上的自建数据库；
	2.	利用mydumper工具从自建数据库导出sql备份文件到中转机器；
	3.	将sql备份文件导入到CDB中；
	4.	将CDB和自建数据建立主从关系，同步增量数据；
	5.	等主从同步完成，进行数据抽样对比；
	6.	用户主动断开主从，迁移完成，关闭DFW防火墙；
#### 1.1.3 预先检查以下几项
  1.  检查目标CDB实例必须为空实例，不能有已创建的库表；
  2.  检查版本目前仅支持（5.1/5.5/5.6）相同版本，以及5.1->5.5，5.5->5.6；
  3.  检查目标CDB实例容量必须大于源实例；
  4.  在源MySQL数据库上创建迁移账号（若有已授权可用于数据迁移的账号，也可不创建）；

		GRANT ALL PRIVILEGES ON *.* TO "迁移账号"@"%" IDENTIFIED BY "迁移密码";
		FLUSH PRIVILEGES;
		
  5.  确认mysql变量
      通过 SHOW GLOBAL VARIABLES LIKE 'XXX'; 
      查看mysql全局变量，确认当前状态是否可以进行迁移：
			server_id > 1
			log_bin	= ON;
			binlog_format =	ROW/MIXED
			binlog_row_image = FULL
			innodb_stats_on_metadata = 0
  6.  修改变量到指定值：
      a.  修改mysql配置文件my.cnf，需重启：
				log-bin=binlog

      b.  动态修改配置：
				set global server_id = 99;
				set global binlog_format=ROW;
				set global binlog_row_image=FULL;
				set global innodb_stats_on_metadata = 0;

  7.  迁移单独的表时，需保证所有表外键依赖的表必须被迁移；



### 1.2 创建迁移任务
#### 1.2.1 迁移步骤
##### Step1 进入自建迁移工具
![](//mccdn.qcloud.com/img56c6e2174936f.png)
##### Step2 输入源库和目标库信息
若迁移CVM自建MySQL数据库，源库信息需要输入CVM实例ID、Port
![](//mccdn.qcloud.com/img56c6e47cb7252.png)
若迁移外网MySQL数据库，源库信息需要输入公网IP、Port
![](//mccdn.qcloud.com/static/img/9c75e85a44c06aaaed9755b909081dc9/image.png)
##### Step3 可选择按实例迁移或仅选择其中部分库表迁移
![](//mccdn.qcloud.com/img56c6e4bc6539c.png)
##### Step4 开始任务校验
![](//mccdn.qcloud.com/img56c6ecfa79d2c.png)
##### Step5 通过任务校验，即可进入自动迁移流程
![](//mccdn.qcloud.com/img56c6ed1f6fd3e.png)

#### 1.2.2 迁移结束
##### 2.2.1 如有增量同步，数据会一直保持与源库实时同步状态，直到用户点击【终止按钮】手动断开
##### 2.2.2 迁移完成后，用户只需切换应用访问数据库的IP和PORT，即可完成自建MySQL到CDB服务的切换。
![](//mccdn.qcloud.com/img56c6ed387461e.png)

## 2. 使用开源命令行工具迁移
### 2.1 准备工作

1.根据自建数据库的数据量、MySQL版本以及访问量等信息申请对应的云数据库实例。

2.申请云数据库实例完成后，联系云数据库的技术支持人员调整云数据库和云服务器之间的网络配置。

3.对比自建数据库的特殊配置（如：lower_case_table_names等），如有此类特殊配置则需要做调整。（可以联系云数据库的技术支持人员进行协助）

### 2.2 迁移数据库

1.使用mysqldump导出自建数据库的数据，注意记录binlog的文件和位置（如需帮助请咨询云数据库技术人员），然后使用mysql命令导入至对应的云数据库实例中。推荐使用云数据库多线程导入导出工具。

2.在自建数据库上给云数据库的同步用户授权，授权语句范例如下：

```
GRANT REPLICATION SLAVE,FILE ON *.* TO 'replication'@'%' IDENTIFIED BY 'test123';
```

3.在导入数据后根据备份的binlog位置和binlog文件使用change master命令配置从自建数据库到云数据库的主从同步。范例如下：

```
CHANGE MASTER TO MASTER_HOST='10.1.1.10',MASTER_USER='replication',MASTER_PASSWORD='test123',MASTER_LOG_FILE='mysql-bin.000012', MASTER_LOG_POS=106;
```

### 2.3 迁移后数据校验

数据同步完成之后，可以使用数据抽样、对比表数量、库数量或者使用专业的对比工具确认数据是否完整。

### 2.4 业务切换数据库

校验数据完整后，请选择适当时间来做业务的平滑切换，将业务连接的数据库切换至云数据库，切换后请务必检查自建数据库是否还有请求进来，避免出现还有请求连接到自建数据库的情况。

### 2.5 断开自建数据库和云数据库主从同步

1.切换后业务正常后，业务侧在云数据库上执行如下命令断开自建数据库到云数据库的主从同步。

```
STOP SLAVE;
RESET SLAVE;
```
2.断开主从同步后通知云数据库的技术人员恢复之前调整的网络。

### 2.6 流程结束

至此整个迁移流程结束。迁移流程中有任何疑问请随时咨询云数据库的技术人员，我们将第一时间协助处理。