用户可以使用回档工具对腾讯云平台中的数据库或表进行回档操作，回档是基于冷备+binlog，可进行实时数据回档。

云数据库回档工具通过定期镜像和实时流水重建，将云数据库或表回档到指定时间，且可以保证所有数据的时间切片一致，期间原有数据库或表的访问不受影响，回档操作会产生

新的数据库或表。回档完后，用户可以看到原来的数据库或表，以及新建的数据库或表。

>注：云数据库不会改动用户的任何数据，因用户个人原因造成的数据损毁可自行回档修复。

## 1. 权限控制

为了保证数据库或表中数据的安全性，本工具会对请求做鉴权。

### 1.2 使用限制

**环境限制**  

本工具只能在云服务器上运行。

**数据限制**

只支持回档到3天以内的数据。

**次数限制**

由于回档数据是资源消耗型服务，所以对应用的请求次数有限制，在发起回档命令时系统会校验该应用的请求次数上限。如果不能回档，请及时提交工单联系我们。

## 2 工具使用说明

### 2.1 安装说明

1. 下载云数据库回档工具：

<table  style="width:600px">
	<thead>
		<tr>
			<th scope="col"><strong>版本</strong></th>
			<th scope="col" style="width: 100px;"><strong>发布日期</strong></th>
			<th scope="col" style="width:300px;"><strong>说明</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td><a href="http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/CdbRollbackTools_x64_v1.1.0.zip" target="_blank">CdbRollbackTools_x64_v1.1.0.zip</a></td>
			<td style="width: 65px;">2013-04-18</td>
			<td style="width: 216px;">支持单个数据库和单表回档。（广州专用）</td>
		</tr>
		<tr>
			<td><a href="http://share.weiyun.com/64bd19fd2182ccbead0facc47383b998" target="_blank">CdbRollbackTools.zip</a></td>
			<td style="width: 65px;">2015-01-20</td>
			<td style="width: 216px;">支持单个数据库和单表回档。（上海专用）</td>
		</tr>
	</tbody>
</table>


2. 将该工具保存到本地后，上传到云主机，对工具包进行解压。
解压过程如下：

```
unzip CdbRollbackTools_x64_v1.1.0.zip
```

3. 解压后，会出现1个二进制执行文件。文件说明如下：

CdbRollbackTools：云数据库回档工具。

4. 此工具无需安装，直接在云主机（仅限Linux云服务器）上运行即可。 

### 2.2 命令说明

**1. 查看工具帮助以获取工具命令说明**

```
$ ./CdbRollbackTools -h
```

**2. 查看工具版本**

```
$ ./CdbRollbackTools -v
```

**3. 执行数据库回档**

```
$ ./CdbRollbackTools start appid instanceName dbName destdbName rollbackPoint user passwd strategy token
```

**4. 执行表回档**

```
$ ./CdbRollbackTools start appid instanceName dbName tableName destTableName rollbackPoint user passwd strategy token
```

### 2.3 执行回档任务

**1. 命令示例**

```
$ ./CdbRollbackTools start 125000000 16_test_2011_10_31 rb_database rb_table rb_dest_table_1 201209251650 user passwd full e827a9de-06f0-11e2-81d1-781dbace8354
```

**2. 输入参数说明**
<table style="width:700px">
	<thead>
		<tr>
			<th scope="col" style="width: 130px;"><strong>名称</strong></th>
			<th scope="col" style="width:450px;"><strong>说明</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td style="width: 92px;">start</td>
			<td style="width: 395px;">命令类型，表示发起回档任务。</td>
		</tr>
		<tr>
			<td style="width: 92px;">appid</td>
			<td style="width: 395px;">回滚应用的125开头的云服务帐号（总览里面可以查询得到），调用工具的机器必须也在该服务帐号名下。</td>
		</tr>
		<tr>
			<td style="width: 92px;">instanceName</td>
			<td style="width: 395px;">回滚实例的名字，必须在该appid名下。</td>
		</tr>
		<tr>
			<td style="width: 92px;">dbName</td>
			<td style="width: 395px;">回滚数据库的名字，必须在instanceName名下。</td>
		</tr>
		<tr>
			<td style="width: 92px;">tableName</td>
			<td style="width: 395px;">回滚表的名字，必须在dbName名下。</td>
		</tr>
		<tr>
			<td style="width: 92px;">destdbName</td>
			<td style="width: 395px;"><span style="color:#FF0000">目标数据库的名字，必须不存在，</span>会在instanceName名下以此名字创建新数据库。回档的数据存在该数据库中。</td>
		</tr>
		<tr>
			<td style="width: 92px;">destTableName</td>
			<td style="width: 395px;"><span style="color:#FF0000">目标表的名字，必须不存在，</span>会在dbName名下以此名字创建新表。回档的数据存在该表中。</td>
		</tr>
		<tr>
			<td style="width: 92px;">rollbackPoint</td>
			<td style="width: 395px;">代表要回档到的时刻。201209251650表示2012年09月25日16点50分，必须以此格式表示时间。</td>
		</tr>
		<tr>
			<td style="width: 92px;">user</td>
			<td style="width: 395px;">dbName的用户名。</td>
		</tr>
		<tr>
			<td style="width: 92px;">passwd</td>
			<td style="width: 395px;">dbName的密码。<span style="color:#FF0000">如果密码中含有$，*等特殊符号，需要将用单引号包含密码，例如&#39;cdb$123*CDB&#39;。</span></td>
		</tr>
		<tr>
			<td style="width: 92px;">strategy</td>
			<td style="width: 395px;">回档的类型：
			<p><span style="color:#FF0000">db：代表回档dbName数据库的镜像和流水，适用于无跨库的sql。</span><br />
			full：代表回档所有镜像和流水，适用于全部类型，但是效率较低。</p>
			</td>
		</tr>
		<tr>
			<td style="width: 92px;">token</td>
			<td style="width: 395px;">回档的密钥。请输入：<span style="color:#FF0000">rollback-tencent-cloud-token</span>。
			<p>如果不能回档，请及时<a href="http://console.cloud.tencent.com/ticket" target="_blank">提交工单</a>联系我们。</p>
			</td>
		</tr>
	</tbody>
</table>


3. 执行结果  

如果命令执行成功，工具输出结果如下：

```
start ok, appId:125000000 instName:16_test_2011_10_31 dbName:rb_database tableName:rb_table timePoint:201209251650 destTableName:rb_dest_table_1
```

如果命令执行失败，工具输出结果如下：

```
execute failed:cdb rollback internal error
```

4.返回码说明

<table style="width:500px">
	<thead>
		<tr>
			<th scope="col" style="width: 95px;"><strong>返回码</strong></th>
			<th scope="col" style="width: 400px;"><strong>说明</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td style="text-align: center; width: 87px;">0</td>
			<td style="text-align: center; width: 400px;">任务发起成功</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 87px;">-1</td>
			<td style="text-align: center; width: 400px;">任务被接收，排队中</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 87px;">-50</td>
			<td style="text-align: center; width: 400px;">云数据库内部错误</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 87px;">-51</td>
			<td style="text-align: center; width: 400px;">云数据库维护中</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 87px;">-100</td>
			<td style="text-align: center; width: 400px;">权限错误，请检查下载的工具是否有执行权限</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 87px;">-110</td>
			<td style="text-align: center; width: 400px;">token不存在</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 87px;">-111</td>
			<td style="text-align: center; width: 400px;">token已被使用</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 87px;">-120</td>
			<td style="text-align: center; width: 400px;">timepoint格式不正确</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 87px;">-121</td>
			<td style="text-align: center; width: 400px;">timepoint时间太早</td>
		</tr>
		<tr>
			<td style="text-align: center; width: 87px;">-122</td>
			<td style="text-align: center; width: 400px;">timepoint时间太晚</td>
		</tr>
	</tbody>
</table>


### 2.4 查询回档进度

**1. 命令示例**

```
$ ./CdbRollbackTools query 125000000
```

**2. 输入参数说明**

<table  style="width:800px">
	<thead>
		<tr>
			<th scope="col" style="width: 69px;"><strong>名称</strong></th>
			<th scope="col" style="width:500px;">说明</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td style="width: 69px; text-align: center;">query</td>
			<td style="width: 417px; text-align: center;">命令类型，表示查询回档任务。</td>
		</tr>
		<tr>
			<td style="width: 69px; text-align: center;">app_id</td>
			<td style="width: 417px; text-align: center;">查询的125开头的云服务帐号（总览里面可以查询），命令会列出该app_id下的所有回档任务。</td>
		</tr>
	</tbody>
</table>

**3.执行结果 ** 

如果命令执行成功，工具输出结果如下：

```
appId:125000000 instName:16_test_2011_10_31 dbName:rb_database tableName:rb_table rollbackPoint:201209251650 NewTableName:rb_dest_table_1 strategy:full stat:100% createTime:2012-9-25 17:11:5
```

如果命令执行失败，工具输出结果如下：

```
execute failed:cdb rollback internal error
```

**4.输出参数说明**

<table  style="width:500px">
	<thead>
		<tr>
			<th scope="col" style="width: 167px;"><strong>名称</strong></th>
			<th scope="col" style="width: 320px;"><strong>说明</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td style="width: 167px; text-align: center;">appId</td>
			<td style="width: 320px; text-align: center;">回档的云服务帐号</td>
		</tr>
		<tr>
			<td style="width: 167px; text-align: center;">instName</td>
			<td style="width: 320px; text-align: center;">回档的实例名称</td>
		</tr>
		<tr>
			<td style="width: 167px; text-align: center;">dbName</td>
			<td style="width: 320px; text-align: center;">回档的数据库名称</td>
		</tr>
		<tr>
			<td style="width: 167px; text-align: center;">tableName</td>
			<td style="width: 320px; text-align: center;">回档的目标表名称</td>
		</tr>
		<tr>
			<td style="width: 167px; text-align: center;">newdbName</td>
			<td style="width: 320px; text-align: center;">回档的目标数据库名称</td>
		</tr>
		<tr>
			<td style="width: 167px; text-align: center;">newTableName</td>
			<td style="width: 320px; text-align: center;">回档的目标表名称</td>
		</tr>
		<tr>
			<td style="width: 167px; text-align: center;">rollbackPoint</td>
			<td style="width: 320px; text-align: center;">回档的时间点</td>
		</tr>
		<tr>
			<td style="width: 167px; text-align: center;">strategy</td>
			<td style="width: 320px; text-align: center;">回档时选择的策略</td>
		</tr>
		<tr>
			<td style="width: 167px; text-align: center;">stat</td>
			<td style="width: 320px; text-align: center;">回档任务的状态：
			<p>100%代表完成<br />
			0% - 99%代表任务进行中<br />
			Failed代表任务失败</p>
			</td>
		</tr>
		<tr>
			<td style="width: 167px; text-align: center;">createTime</td>
			<td style="width: 320px; text-align: center;">发起任务的时间</td>
		</tr>
	</tbody>
</table>
