## 通过命令行工具进行数据离线迁移

### 1.1  生成待导入的SQL文件

待导入的SQL文件可以通过下面两种方法生成：

>注：<span style = "color:#F00">不建议用户手工构造SQL文件，因为手工构造的SQL文件容易有语法、数据等各种错误，从而导致导入操作失败。 </span>

方法一： 使用云数据库数据控制台导出功能（详见：[冷备数据提取](/doc/product/236/冷备数据提取)）导出的文件；

方法二：通过MySQL工具mysqldump导出的数据文件：

（1）使用mysqldump导出的数据文件必须兼容所购买的云数据库MySQL版本的SQL规范，可登录云数据库通过select version();获取相应的MySQL版本信息。

（2）mysqldump导出数据的方式如下：


```
shell> mysqldump [options] db_name [tbl_name ...]
```

其中，options为导出选项，db_name为数据库名称，tbl_name为表名称。

更多mysqldump导出数据说明，请参考[MySQL官方手册](http://dev.mysql.com/doc/refman/5.1/en/mysqldump.html)。

### 1.2  导入数据文件限制

<span style = "color:#F00">SQL文件名称允许英文/数字/下划线，且不能包含“test”字符。</span>

### 1.3 导入数据文件字符集编码问题

1. 云数据库导入数据文件如果没有指定字符集编码，以云数据库设置的字符集编码执行。

2. 如果导入数据文件中有指定的字符集编码，则以指定的字符集编码执行。

3. 如果导入的数据文件的字符集编码与云数据库当前字符集编码不同，会造成乱码。
更多字符集编码问题，请参考使用限制#6. 字符集说明。
