## 1 Simple Hosted Deployment
Tencent Cloud allows you to enable a PostgreSQL instance and connect it to your applications within minutes without further configuration. PostgreSQL is configured with generic parameters by default. You can modify these parameters in the console's parameter settings in real-time. Therefore, you can improve the ops efficiency by skipping the hassle of complicated installation and configuration procedures.

## 2. Easy Monitoring
Key operation metrics of PostgreSQL are provided, including the performance monitoring data such as CPU utilization, storage utilization and disk I/O. You can view them in the console free of charge to quickly locate and solve problems. Customization of metric alarm thresholds frees you from monitoring the metrics 24/7. Instead, you can learn about the exceptions by email and SMS in real-time.

## 3. Superior Performance
With PCI-E SSD, Tencent Cloud provides QPS at least three times higher than SATA disks to help you easily deal with high-concurrency business scenarios. By default, Tencent Cloud CDB for PostgreSQL uses "One Master, One Slave" architecture for deployment, and the synchronous replication is enabled, to protect your business from being interrupted and prevent problems such as data corruption and data loss.

## 4. More Protection
When a failure occurs in a node, the cluster scheduling system will immediately perform an automatic retry to recover the node. Data with severe problems can be recovered to a certain point of time where it is normal, to respond to situations such as upgrade failure and disaster recovery. By default, CBD provides multiple security protections for each database free of charge.

## 5. Extensibility
An instance can be upgraded to a desired specification with just one click in Tencent Cloud's console without extra operations. The upgraded instance will inherit the IPs and all the configurations of the original instance, and it is only disconnected for a second during the upgrade process instead of long downtime, to meet your business needs at any time in a flexible way. For future business development, PostgreSQL can support unlimited capacity that requires only relatively minor or even no modifications on your business, so that you can serve massive users without limitations.




