## 1.更强的功能
> **过去的几年，PostgreSQL 已成为商用的首选开源关系数据库**

- PostgreSQL遵循BSD协议，这意味着使用PostgreSQL无任何限制；
- 可支持C、C++、Java、PHP、Python及Perl等，使您的业务开发更简单更易用；
- PostgreSQL是架构、语法、数据类型等与Oracle最接近的开源数据库；
- 兼容SQL标准：SQL2003，支持SQL2011的主要特性；
- 除了支持传统SQL的LIKE操作符、还支持SQL99新增的SIMILAR TO操作符和POSIX风格的正则表达式；
- 丰富的数据类型：几何、网络地址、XML、JSON、RANGE、数组等；
- 支持复合类型（自定义数据类型）；
- 支持复杂的多表JOIN查询SQL：JOIN算法支持 hash join、merge join等；
- 支持窗口函数，可以改成复杂分析函数,因为分析函数包括了窗口函数；
- 支持函数索引、部分(行)索引、自定义索引、全文索引；
- 多进程的架构，更加稳定，单机可以支持更高访问量的数据库；
- 有功能强大,性能优秀的插件，如PostGIS是一个空间数据库扩展程序插件，它增加了对地理对象的支持，允许您以 SQL 运行位置查询。
- 达到商用级的数据强一致，基于Synchronous Replication复制技术，数据做到零丢失，即使类似于资金交易系统，也可以使用PostgreSQL。

## 2.更高的性能
> **可适用于OLAP或OLTP场景的高性能数据库**

- 可与商业数据库媲美的查询优化器，支持所有主流多表连接查询（如Nest loop、hash join、sort merge join等），例如10万乘10万的表join是MySQL的100倍以上，可更快的从更多的表中获取结果，活动更精准的分析；
- 基于PCI-e SSD存储，最大QPS可达23万以上，让你以更少的数据库数量支撑更高的业务并发请求量；
- 大量性能视图，可查看正在执行SQL、当前锁等待、表扫描和索引扫描方面等性能数据，帮助你更快速精准定位性能问题；

## 3.更便捷管理

- 腾讯云可以让你在几分钟之内启动 PostgreSQL 实例并连接应用程序，而无需其他配置。默认配置具有通用性的参数，并可在管理中心参数设置实时修改。帮助你摆脱繁重和复杂的安装配置过程，提高你的运维效率。

## 4.便捷监控
提供了PostgreSQL的关键运行指标，包括CPU利用率、存储容量使用率、I/O 活动等性能监控数据，你可以在管理中心查看，且无需额外收费，帮助你快速定位和解决问题。自定义指标告警阈值，使你无需时刻关注监控，而可通过电子邮件或短信及时了解当前异常。

## 5.超高性能
腾讯云通过优化PostgreSQL内核，提高内置算子性能，通过性能超高的PCI-E SSD配置的硬盘，提供至少高于SATA三倍的QPS的配置。腾讯云CDB for PostgreSQL默认为你提供一主一备架构的部署模式，默认启动同步复制（Synchronous Replication），使你的业务不中断，避免出现的数据错乱、丢失的等问题。

## 6.更强保障
节点故障后，集群调度将立即开始自动重试恢复节点。当你的数据出现严重问题时，能快速恢复到某个正常时间点，以应对升级故障、灾难恢复等情况。云数据库默认为每个数据库都提供了多重安全防护，无需单独购买即可拥有。

## 7.可扩展
你可以通过腾讯云管理中心，实现一键升级到目标规格，而不需要你进行额外操作。升级后的实例将继承原有实例的IP和全部配置，升级过程中，仅在切换过程产生1秒的闪断，而不需要长时间停机即可随时满足业务弹性需要。现有PostgreSQL如果还是无法承载你的业务发展，仅需少量改动甚至无需改动业务，即可支撑无限容量，无瓶颈的服务海量用户。