## 1. 功能说明

将超过指定时间的SQL语句查询称为“慢查询”，对应语句称为“慢查询语句（简称慢SQL）”，而数据库管理员（DBA）对慢查询语句进行分析并找到慢查询出现原因的过程叫做慢查询分析。

腾讯云云数据库（CDB for PostgreSQL）在【实例管理】-【性能优化】模块下，提供慢查询分析能力。如下图：

![](https://mc.qcloudimg.com/static/img/93c466363e23e8a4283ac4b9c5d88927/pgsql-slowlog.png)


## 2. 主要参数说明

### 2.1. 慢查询分析默认设置

慢查询功能：默认开启
慢SQL记录时间（log_min_duration_statement）：默认配置为1s，即慢查询语句查询时间超过1s的才被记录。如有需要调整，请提交工单，说明实例ID和需要配置该参数的时间可修改。
分析数据输出延迟：1~5分钟。
日志记录时长：7天（最大最近10000条）。

### 2.2. 分析列表字段说明

目前慢查询分析功能对慢SQL有如下分析：

** 基本信息 **

a）** 最后执行时间** ：在统计范围内，该抽象语句最后一次出现的时间，由于某些预计执行较长，我们统一按语句执行的begin_time记录。

b) ** 抽象后的SQL语句 **：去掉慢SQL中常数后的语句，抽象后的语句可以将同类同性质的语句进行汇总统计，以方便您更好的分析。

c) ** 数据库**：该语句调用了哪个数据库

d) **账号**：该语句是使用哪个帐号来运行的。

e) **首次执行时间**：在统计范围内，该慢SQL第一次出现的时间（抽象后汇总后，可能有很多条记录）。

f) **总次数**：在统计范围内，该慢SQL总共出现的次数。

g) **总次数占比**：在统计范围内，该慢SQL总共出现的次数，占所有慢SQL出现的次数的比值。

d) **发送行数**：在统计范围内，数据库服务器发送（返回）给客户端多少行结果。

**查询信息统计**

a） ** 总时间 **：在统计范围内，慢查询语句查询总耗时。

b)  ** 总时间占比 **：在统计范围内，慢查询语句占所有慢查询语句时间的占比。

c) ** 平均时间 **：慢查询语句总时间除以总次数的平均时间；

d)  ** 最小时间 **：所有该条抽象语句中，慢查询语句出现的最小时间；用于帮助判断该语句是否偶发性事件。

e)   ** 最大时间：所有该条抽象语句中，慢查询语句出现的最大时间；用于帮助判断该语句是否偶发性事件。

** 读写数据统计 **

a）读共享内存块数：在统计范围内，该慢SQL总共从共享内存中读取多数据。

b）写共享内存块数：在统计范围内，该慢SQL总共写入共享内存中多数据。


** 读写IO耗时统计 **

a） 读IO总耗时：在统计范围内，该慢SQL总共消耗多少读IO时间；用于帮助判断该语句是否在做全盘扫描等耗时操作数据。

b） 写IO总耗时：在统计范围内，该慢SQL总共消耗多少写IO时间；用于帮助判断该语句是否一次性写入大量（临时）数据。




