## 1. More powerful features
> **In recent years, PostgreSQL has become the first choice of commercial open-source relational database**
- PostgreSQL implements the 2003 and 2011 standards of SQL for programming and syntax, and supports popular languages such as C, C++, Java, PHP, Python and Perl, thus making the development of your business applications easier and faster.
- PostgreSQL supports many data types (e.g. JSON, XML and custom types). With PostgreSQL, you don't need to design a complex architecture for your applications.
- PostgreSQL has a rich variety of APIs, so that you can easily extend on PostgreSQL. For example, PostGIS is a database extension for geo-spatial data. It provides additional support for geography location object, allowing you to run location queries with SQL.
- Even more functions are built into PostgreSQL. In scenarios such as data analysis, you can obtain the results quickly using built-in functions such as split_part and row_number instead of writing complicated SQL queries.
- It supports strong consistency of data at the commercial level. With synchronous replication, PostgreSQL guarantees zero data loss. Financial trading system can also use PostgreSQL.

## 2. Higher Performance
> **High-performance database suitable for OLAP and OLTP**
- PostgreSQL provides query optimizers comparable to commercial databases. It also supports common joining operations between multiple tables. (such as nested loop, hash join, sort merge join, etc.). For example, the performance of joining two tables, each with 100,000 rows, is 100 times faster than that of MySQL. With the capability of obtaining query results faster from more tables, you can make your analysis more accurate.
- Tencent Cloud hosts PostgreSQL databases on PCI-E SSD storage, with QPS as high as 100,000. Therefore, you can support more concurrent business requests with fewer databases.
- PostgreSQL supports a large number of performance profiles. You can view performance data such as the running SQL queries, current lock waits, table scan and index scan to help you quickly and accurately locate the performance problems.

## 3. Convenient management
> 
- The deployment of CBD for PostgreSQL database supports complete solutions such as backup, recovery, monitoring and migration by default. You only need to make a few clicks in Tencent Cloud's console to conveniently manage your databases.


