## 1. Overview of PostgreSQL

PostgreSQL (PG), a relational database management system, is applicable for various operating systems. PostgreSQL is an open-source database, which conforms to BSD protocol. As the fourth largest relational database service, over the past few years, PostgreSQL has been developing in a rapid way. It is now widely applied in various industries such as geospace, mobile application, and other areas. PostgreSQL has become the first choice of many enterprise developers and innovative companies.

## 2. Features
- PostgreSQL, one of the most powerful open-source databases, is the most similar open-source database to Oracle in terms of architecture. It contains almost all features you can find in other commercial or open-source databases.
- Over a long period of time, as a full-featured freeware database, PostgreSQL is the only freeware database management system that supports multiple features such as transaction, sub-query, Multi-Version Concurrency Control (MVCC) system, data integrity check, etc.
- New feature is compatible with SQL standards: SQL2003, and supports the main features of SQL2011.
- In addition to the operator LIKE of traditional SQL, it also supports a new operator SIMILAR TO of SQL99 and POSIX-style regular expression:
- Various types of data: geometric, IP, XML, JSON, RANGE, array, etc.
- Complex type (custom data type) is supported.
- Complex multi-table JOIN query SQL is supported: JOIN algorithm supports has, join, merge join.
- Window functions are supported, and can be changed to complex analytic functions in which they are contained.
- Function index, partial (line) index, custom index, and full-text index are supported.
- Multi-process architecture ensures high stability. Databases with massive access volume are supported for a single CVM.
- It has powerful and high-performance plug-ins, such as Postgis.

## 3. Overview of Tencent Cloud PostgreSQL
CDB for PostgreSQL allows you to easily configure, work with and expand the PostgreSQL, one of the most powerful open-source databases, on the cloud. Tencent Cloud handles most complicated and time-consuming management works for you, such as installation of PostgreSQL software, storage management, high-availability replication, and data backup for disaster recovery. Therefore, you can focus on the development of business applications.
