## Data Migration
**Note:**

**1. Before the migration, ensure the SQL Server version of the source instance is same as that of destination instance**

**2. Ensure that each bak file to be migrated contains only one database**

**3. The database to be migrated cannot have the same name as the CDB for SQL Server **

To improve migration efficiency, you can use offline migration and online hot migration to migrate large volume data from your existing network.
Offline migration can migrate 99% of the data to the private network of Tencent Cloud quickly and securely. In addition, for the sake of security, cloud database servers are not directly open to public network usually (there is a speed limit even if the public IP is enabled). In this way, you need to use offline migration and online hot migration.
### Preparations Before Migration
1. Go to "Console" -> "Cloud Database" -> "SQL Server", create a database to import, and grant "read/write" permission to the account.

2. Download "[Windows Client Upload Tool](https://mc.qcloudimg.com/static/archive/ef1dec9f9a72cbafdc707915475a368e/upload.zip)".

3. Prepare the data backup files to be migrated to Tencent Cloud offline.

### Migration Steps
1. Using "Windows Client Upload Tool", upload the prepared data backup files to the free transit storage provided by Tencent Cloud ([How to Use the Upload Tool](https://cloud.tencent.com/doc/product/ 238/6412)).

2. In the navigation bar on the left of the database instance page, select "SQL Server"-> "Data Transfer" > "Create Task".
![](https://mc.qcloudimg.com/static/img/7b0b5cadaa2df742364316302df429e2/1.png)

3. Create a new offline migration task Customize a task name. For the source instance type, select "SQL Server Backup Restore", and for source database region, select the region specified when you upload the backup files using "Windows Client Upload Tool" (it is usually same as the destination database region). The destination database type and destination database region are automatically generated by the system based on the configuration of the source database. Finally, select the instance to be migrated in the instance ID drop-down list.
![](https://mc.qcloudimg.com/static/img/ff4798508e2156b7824d9a69e694155d/2.png)

4. After the task is created, you'll go to the task list page. Select and then start the task.
![](https://mc.qcloudimg.com/static/img/3e68d2d9ccdbded799a94c5a2d61d0f4/5.png)

5. Check the synchronization status. When the status becomes "Synchronization Successful", the offline migration of data is completed successfully. If the status becomes "Synchronization Failed", check the failure information, fix the failure, and then restart the migration.

