## 1.数据强一致性
支持配置强同步复制，不同于MySQL的异步复制，在主备架构下，强同步确保主备数据强一致，避免您的数据库在主备切换时丢失数据。当然，您也可以通过修改配置，关闭强同步功能以提高性能。

## 2.更高安全性
MariaDB（TDSQL)可以为您的数据库提供全面的安全防护：

- 防DDos攻击：当用户使用外网连接和访问 MariaDB（TDSQL） 实例时，可能会遭受 DDoS 攻击。当 MariaDB（TDSQL） 安全体系认为用户实例正在遭受 DDoS 攻击时，会自动启动流量清洗的功能。
- 系统安全：即使在内网，MariaDB（TDSQL）也处于多层防火墙的保护之下，可以有力地抗击各种恶意攻击，保证数据的安全。另外，物理服务器不允许直接登录，只开放特定的数据库服务所需要的端口，有效隔离具有风险的操作。
- VPC网络隔离：可支持VPC网络，以安全隔离内网其他设备的访问。
- 内网风控：腾讯云数据库团队无法直接访问到MariaDB（TDSQL）物理机或数据库实例，必须通过腾讯云运维管理平台访问，即使是排查问题也必须在安全设备上，且通过内部风控系统的严格管理。
- 对象粒度的权限管控：用户可定义到表级的权限，并允许配置访问 MariaDB（TDSQL） 的 IP 地址，指定之外的 IP 地址将被拒绝访问。
- 数据库审计：支持配置数据库审计，记录管理员或用户的操作历史，用于出现风险后的管控。
- 数据库防火墙（即将支持）：支持自定义恶意行为，并对恶意行为、会话予以阻断。
- 操作日志：系统记录用户访问腾讯云WEB管理中心操作MariaDB（TDSQL）的全部记录，常用于事后追溯。


## 3.更强大的功能
- 可支持多源复制（Multi-source Replication）：为复杂的企业级业务（例如保险的前台>中台>后台>数据仓库）提供有力支持。
- 可支持XtraDB、TokuDB等更高级的存储引擎，引入group commit for the binary log等技术，有效提高业务性能并减少存储量。
- 支持线程池（Thread pool）等MySQL、审计日志等企业版版拥有的能力。
- 时钟精确到微秒级别，可用于对时间要求精确度较高的金融交易类业务。
- 提供虚拟列（函数索引），可有效提供数据库分析统计运算性能。

## 4.更高可用性
MariaDB（TDSQL）的设计旨在提供高于99.99%的可用性，提供双机热备、或一主两备2个备机用于透明的故障转移，还提供故障节点自动修复、自动备份、回档等功能，帮助业务更稳定、安全地运行。

## 5.更高性能
基于PCI-E SSD、强大IO性能保障数据库的访问能力，存储固件采用NVMe协议，专门针对PCI-E SSD设计，更能发挥出性能优势，高IO型单实例最大可支持6TB容量、480GB内存和22万以上QPS(每秒访问次数)，性能优势让您以较少的数据库实例支撑更高的业务并发。

所有 MariaDB（TDSQL） 实例内核都非原版MariaDB内核，而是经过腾讯顶尖数据库研发基于实际需求修改。而且默认参数都是经过多年的生产实践优化而得，并由专业DBA 持续对其进行优化，确保 MariaDB（TDSQL） 一直基于最佳实践在运行。

## 6.与 MySQL 兼容
MariaDB（TDSQL）使用InnoDB存储引擎并与 MySQL5.5、5.6兼容。这意味着，已用于 MySQL 数据库的代码、应用程序、驱动程序和工具，您只需对其进行少量更改甚至无需更改，即可与MariaDB（TDSQL）配合使用。



## 7.便宜易用

支持即开即用：您可以通过腾讯云官网MariaDB（TDSQL）规格定制，下发订单后自动生成MariaDB（TDSQL）实例。将MariaDB（TDSQL）配合CVM一起使用，在降低应用响应时间的同时还可以节省公网流量费用。

按需升级：在业务初期，您可以购买小规格的MariaDB（TDSQL）实例来应对业务压力。随着数据库压力和数据存储量的变化，您可以灵活调整实例规格。


管理便捷：腾讯云负责 MariaDB（TDSQL） 的日常维护和管理，包括但不限于软硬件故障处理、数据库补丁更新等工作，保障 MariaDB（TDSQL） 运转正常。您也可自行通过腾讯云控制台完成数据库的增加、删除、重启、备份、恢复等管理操作。