## 数据云灾备（异地灾备）

数据是企业运营的重要组成，信息化带来便利的同时，电子数据、存储信息极易毁损、灭失的特点也暴露了出来。而在自然灾害、系统故障、员工误操作和病毒感染面前，任意一次事故就有可能导致企业的运营完全中断，甚至灾难性损失。因此，确保数据的安全完整性，特别是核心数据库的安全和完整性是每个企业必须考虑的。

而企业自建异地数据灾备中心通常耗资巨大，通常包括一笔开支巨大的机房硬件，软件成本，还包括每年运营费用的持续维护投入。而为了小概率事件买单，往往与企业的财务需求不符。

因此，利用云数据库和云接入产品，可以直接建立云上的一套数据灾备中心，将主数据中心的数据，通过安全专网，实时同步到云上的异地备份中心。不仅解决海量数据的运营管理的问题，而且性价比高。
 


## 业务系统上云

如果您的业务系统还未上云，那么您可能会遇到这些情况，例如：

- 业务发展非常快，每年若按峰值准备服务器，其增长规模都是非常大的一笔开销。
- 而新业务部门为了，经常需要快速上线新业务，如果每次都要做准备和采购势必影响效率。
- 几乎每个业务系统都遭遇过访问量激增，再创历史新高，后端资源无法支撑的情况。
- 而不少企业领导认为IT部门就是成本中心，每天关心的核心问题不是推进业务，而是一直在解决问题，要不是系统不稳定，要不性能不足。

面对业务系统上云等一系列挑战，腾讯云云数据库通过多年的积累，能够为用户提供：

- 安全、开放的数据库解决方案；
- 提供高可用的方案，采用强同步复制技术和高可用（HA）架构实现高容灾；
- 支持弹性伸缩；

## 混合云

云数据库TDSQL支持专有云部署方案，可以部署在用户自建机房。业务系统和数据通过专线（或VPN）进行安全同步，构建易扩展的混合云架构。

## 读写分离
云数据库所有实例的备机均默认支持读写分离策略——即支持备机开放只读；
 
- 支持通过SQL语法或只读帐号实际只读
- 如果您选择的配置有多个备机，将自动负载的只读策略
- 可通过升级配置，增加更多备机


## 开发测试
您可能需要维护多个软件版本环境进行测试，甚至需要大量资源进行压力测试。

传统方案是自建服务器和数据库来支撑该需求，然而这样就会浪费大量的硬件资源，因为开发人员不会时时刻刻的使用测试资源，因此测试资源往往是闲置的，而利用云服务器、云数据库的弹性伸缩，可以有效的解决基于测试资源不足或测试资源浪费的问题。
