## 1. 背景说明
云数据库MariaDB(TDSQL)默认支持读写分离能力，架构中的每个从机都能支持只读能力，如果配置有多个从机，将由网关集群（TProxy）自动分配到低负载从机上。

## 2、基于只读帐号的读写分离
只读帐号是一类仅有读权限的账户，其默认从数据库集群中的从机（或只读实例）中读取数据。TDSQL可以在【帐号管理】功能中，设置只读帐号和读策略，如下图：

![](https://mc.qcloudimg.com/static/img/667143c40f947d2f7cb4f3af8c814d2c/image.png)

在只读帐号设置选项中，您可以设置“只读请求分配策略”，定义在备机故障（或延迟较大）时的读策略。“只读备机延迟参数”，定义数据同步延迟时间，并与“只读请求分配策略”配合使用,如下图

![](https://mc.qcloudimg.com/static/img/5a5a3df53530feb4232826bd19020216/image.png)

> 配置建议：
> 假设您设计的是某交易系统
> 
> - 核心交易模块：设置常规帐号，可读写。
> - 余额查询模块：设置只读帐号，默认读备机；请求分配策略：备机故障读主机，并将延迟参数设置在10秒内；以保证主从性能和用户查询的数据一致性。
> - 批量查询模块：设置只读帐号，默认读备机；请求分配策略：备机故障报错，延迟参数可设置在30秒以上；以保证不影响主库性能。
> 
> 另外，由于强同步机制是将数据写入从机事务日志后，即返回应答，这时从机库表数据可能并未更新，因此也会有延迟。


## 3、基于注释的读写分离
在每条需要从机“读”的SQL前，增加/*slave*/字段，并且mysql后面要增加-c 参数来解析注释`mysql  -c -e  "/*slave*/sql"`，即可自动将读请求分配到从机，示例如下：

```
//主机读//
select * from emp order by sal，deptno desc；
//从机读//
/*slave*/ select * from emp order by sal，deptno desc；
```


>注意事项：
>
>- 该功能仅支持从机读（select），不支持其他操作，非select语句将失败；
>
>- mysql后面要增加-c 参数来解析注释	
>
>- `/*slave*/`必须为小写，语句前后无空格；
>
>- 从机出现异常而影响到MAR（强同步）机制时，从机读操作将自动切换回主机。
