## 1. Database Rollback

With database rollback feature, the losses of system can be minimized. CDB for MariaDB (TDSQL) can roll back the data to any time point of last 30 days depending on the retention of backups and logs.
CDB for MariaDB (TDSQL) rollback feature will not affect the instance generated from the existing network, and it can be used to roll back the data directly to a temporary instance created by Tencent Cloud. The temporary instance supports read/write operations, to modify the instance that is rolled back in a more flexible way (e.g. clean up dirty data). After the data is modified, the temporary instance can be switched to the instance generated from the existing network using "instance switchover" feature.

The limits during rollback are as follows:
- In the process of rollback and creation of temporary instance, part of the management features of the instance generated from the existing network is not available during the switchover of instances. After this process, the database management operations can be recovered.
- The rollback operation may slice the BINLOG forcibly, that is, a file with a size of less than 100 MB will also be backed up as a separate file;
- After rollback, the temporary instance adopts the parameter information (such as account, database and other parameters) of the instance generated from the existing network. However these information cannot be modified.

The rollback method is as follows:
![](//mccdn.qcloud.com/img568a30325032f.jpg)

## 2. Temporary Instance
The temporary instance is generated by CDB for MariaDB (TDSQL) based on backups for temporary adjustment, and is valid for only 48 hours. The temporary instance offers the following features:
- Read/write feature;
- The lifecycle lasts just 48 hours, and is deleted upon expiration;
- An instance can only have one temporary instance at a time;
- The temporary instance can be deleted at any time.

The location where a temporary instance can be found:
![](//mccdn.qcloud.com/img568a306e4cc5a.png)

## 3. Instance Switchover
Instance switchover feature is used to switch a temporary instance to an instance generated from the existing network. The temporary instance can be switched if its data is successfully rolled back. At this time, the private network links of source instance and temporary instance are changed.
- During the switchover, the instance generated from the existing network may be disconnected for one second;
- After the switchover, the source instance is deleted;
- After the switchover, the temporary instance is replaced with the instance generated from the existing network, and the original temporary instance is deleted as well. 

The switchover operation is shown below:
![](//mccdn.qcloud.com/img568a30aea645a.jpg)

