## 1 概述

### 1.1 背景说明

企业使用数据库，可能面临如下安全风险，该类风险需要完整的事后审计和追溯机制，数据库审计能力就由此诞生。

**管理风险**
- 系统管理员存在的误操作、违规操作、越权操作，损害业务系统安全运行； 
- 多人公用一个帐号，责任难以分清；
- 第三方开发维护人员的误操作，恶意操作和篡改； 
- 超级管理员权限过大，无法审计监控；


**技术风险**
- 应用系统开发商后门或漏洞； 
- 离职员工留下后门。

**政策风险 **
- 无法达到国家等级保护（三级）明确要求（7.1.3.3）；
- 满足不了行业信息安全合规性文件要求——如人行《金融行业信息系统信息安全等级保护实施指引》；
### 1.2 术语定义

**审计策略：** 定义对哪些用户行为进行审计以及如何响应的策略。 **【审核策略】=【审核对象】+【审计规则】+【响应动作】** 即配置一条审计策略，需要指定审计内容，如果经过解析，某些（用户或系统）行为的特征正好符合某个审计规则，且恰好在策略生效时间，审计引擎就会按照此策略定义的响应方式进行响应，例如告警等。

**审计规则：** 审计策略中，规定了需要审计的一系列行为的集合，称为规则。规则由规则参数组成，每个规则参数定义了一种具体的行为匹配特征。

### 1.3 产品能力于限制条件

腾讯云提供数据库审计能力，审计日志默认保存15天（后续版本可延长保存时间），帮助企业对可能存在的数据库访问进行风险控制，提高数据安全等级。

## 2 审计操作

### 2.1 开通数据库审计

目前，凡使用云数据库MariaDB（TDSQL）的用户，均可免费开通数据库审计；开通入口在&quot;腾讯云管理中心&gt;云数据库&gt;MariaDB（TDSQL）&gt;数据库审计&quot;页面。

开通审计存在以下注意事项，请知悉：

- .您必须至少拥有1个CDB for MariaDB（TDSQL）实例，且未下线或隔离；否则系统会自动关闭您的审计功能。
- .2016年6月5日之前购买的MariaDB（TDSQL）实例，需重启升级后方可支持该能力，由于重启升级可能会导致1~5秒的业务中断，您可以联系腾讯云工作人员预约升级时间。
- .数据库审计日志将以明文形式展示，因此建议您开启[二次登录认证](https://cloud.tencent.com/document/product/378/8392)，当然，这不是必选项。
![](//mccdn.qcloud.com/static/img/89e47d9466f5d5b2db1d9e6602eb94b7/image.png)
开通审计界面
![](//mccdn.qcloud.com/static/img/ac6fc0157833324ac398228c1a1415f0/image.png)
开通审计可能存在几分钟初始化时间，请耐心等待。

### 2.2 新建审计规则

审计功能开通后，日志会自动通过MariaDB（TDSQL）网关集群转发到审计集群，但由于没有建立审计规则和审计策略，日志不会持久化记录并展示。因此您可以通过【新建审计规则】&gt; 【关联审计策略】让日志存储在审计集群中。

1、进入审计界面，选择&quot;审计规则&quot;按钮，新建规则
![](//mccdn.qcloud.com/static/img/10ee0d0b0eb5a49887df8419daee306d/image.png)
2、填写审计规则名称，选择下一步
![](//mccdn.qcloud.com/static/img/a5c1d8e4de3ca3c8e0b491372efc1644/image.png)
3、进入参数设置页面，填写规则参数（所列规则参数需至少填写一个，但不必全部填写）。
填写规则参数需注意以下能力：
- . **规则中参数的条件关系：** 与关系；规则中各参数之间是与的关系，即各参数都满足条件规则才会匹配成功。
- . **特征串：** 定义参数的具体内容，也就是操作对象的具体特征。为了达到精确匹配，用户只定义自己关心的参数的关键字，这样审计系统就只需记录用户定义的规则，提高审计检索效率。注意：特征串为空表示不关心该参数，即 &quot;匹配所有&quot;。
- . **匹配类型：** 参数对象和特征的关系。。
  - . **包含：** 表示网络字段中出现了特征串就匹配成功；
  - . **不包含：** 表示网络字段中没有出现特征串则匹配成功；
  - . **等于：** 表示网络字段等于特征串则匹配成功；
  - . **不等于：** 表示网络字段不等于特征串则匹配成功；
  - . **正则表达式：** 则表示特征串，支持标准的[正则表达式语法](https://zh.wikipedia.org/wiki/%E6%AD%A3%E5%88%99%E8%A1%A8%E8%BE%BE%E5%BC%8F)。
![](//mccdn.qcloud.com/static/img/241c4669c908d346b7a2cd16632d8cf1/image.png)
4、所有新建规则，可以在规则列表中看到
![](//mccdn.qcloud.com/static/img/4f6a7744d82875b836ed3d2e4283e0bc/image.png)
5、设置完成审计规则后，您可以随时&quot;修改&quot;。类似的规则，您可以通过&quot;克隆规则&quot;的方式新建，以提高您的效率。

### 2.3 新建审计策略

审计策略是将&quot;审计规则、审计对象、响应方式&quot;组合起来形成完整的审计方案。用户可以对一个实例同时制定多条审计策略，审计引擎解析时，将 **按用户的策略配置顺序从前到后的优先级匹配** 。创建审计策略的方式如下：
1、进入策略生成窗：选择&quot;审计策略&quot;点击&quot;新建策略按钮&quot;
![](//mccdn.qcloud.com/static/img/a5711897868ec47f9fcdcc1d8f95ed9c/image.png)
2、填写策略要求：根据需求选择需审计实例，并选择对应规则（目前暂不支持配置告警）。
![](//mccdn.qcloud.com/static/img/5ee47ce0b915dfabb76c4ec071cc2fdf/image.png)
3、调整优先级：对于相同实例下的多条策略，可以进行优先级调整；优先级数字越小，优先等级越高。优先级调整后，预计1分钟内生效。
![](//mccdn.qcloud.com/static/img/9a0cf48a91f9cab02344a08ad9eb2333/image.png)
  4、您可以通过修改功能，实时修改审计策略；修改完成后预计5分钟内生效，并按新策略进行批评，修改审计策略前的日志不会被修改。

### 2.4 查看日志

匹配到审计策略的SQL语句将展现在审计日志页面，您可以直接点击查看或搜索。注意事项：

- 因设计要求，审计日志明文方式展现，我们再次建议您开启[二次登录认证](https://cloud.tencent.com/document/product/378/8392)，以确保日志可控。
- 日志将以审计策略创建时开始记录，历史数据不做记录。
- 事务、存储过程等可能会被记录为单条语句，详见[数据库审计已支持语法说明](https://cloud.tencent.com/doc/product/237/4847)
- 目前支持单条SQL语句最大1k，超过部分会被截断。
