**1、云数据库实例升级需要注意的事项**

云数据库在进行实例升级的过程中会出现1~30秒左右的连接闪断（升级切换时间），需要您提前做好准备，并设置好程序跟数据库的自动重连，避免因为升级的闪断导致您的服务不可用。
当前我们正在对部分用户灰度开放“快速升级”能力，可能不受上述限制。

**2、为便于理解，云数据库文案中的主从和主备等意**

云数据库文案中描述的从机和备机，均指高可用方案下的数据库热备服务器，英文表述为Slave，即主机故障可以实时切换到从机继续提供服务；

**3、需使用强同步功能时，建议购买一主二从的配置。**

使用“强同步”复制时，如果主库与从库自建网络中断或从库出现问题，主库也会被锁住（hang），而此时如果只有一个主库或一个从库，那么是无法做高可用方案的。—— 因为此时仅剩单一节点服务，如果故障则直接导致部分数据完全丢失或错乱。
 
**4、长时间开启外网、并启用弱密码可能存在安全风险**

长时间开启数据库外网IP，容易被恶意用户探测扫描，若此时又启用弱密码，如12345678、1234abcd等，会有极大的安全风险。


**5、MariaDB(TDSQL)回档须知。**

- 目前MariaDB(TDSQL)支持数据回档，但我们建议您在回档前，务必备份一次现网关键数据。
- 回档是直接回档到临时实例中，而非现网主实例，以免回档完成以后影响现网实例。
- 临时实例可以切换为主实例，为避免混淆，切换后原主实例的所有备份数据将不可见，如需要这部分数据，可提交工单由腾讯云工作人员协助。
- 每个主实例有且仅能生成一个临时实例。
- 临时实例仅保存48小时，超过时间将自动销毁。
- 临时实例且不会主动生成全量备份，若有需要您可以利用第三方手工备份。


**6、云数据库锁定策略须知**

云数据库具有锁定机制，如果您的实例存储空间且超过阀值（通常为103%~130%，TDSQL暂定为110%为只读阀值），系统就会将您的实例锁定，实例被锁定以后会变成只读，建议定期检查存储空间使用情况，同时也可以在TDSQL控制台中磁盘空间占用短信提醒。若因为财务原因无法及时升级实例容量，可提交工单请工作人员临时开放限制1~3个工作日。


**7、MariaDB(TDSQL)故障切换**

MariaDB(TDSQL)采用一主一从、一主二从等的高可用模式。当主库出现故障时，TDSQL会在1秒钟之内（平均200ms）切换到从库。但切换过程中可能有(小于等于)30秒钟时间不可访问（一部分时间用于故障检测，一部分时间用于数据同步选举），需要您设置好程序跟TDSQL的自动重连，避免因为切换导致您的服务不可用。切换过程对业务透明（IP端口不改变，不需要业务干预），业务仅需确保有业务有自动重连机制即可。


**8、购买云数据库后，您还需要做什么？**

购买云数据库实例后，您不需要做数据库的基础运维（比如高可用、备份、安全补丁等），但是您还需要重点关注以下事情：

1)您云数据库实例的CPU、IOPS、空间、连接数是否足够，如果不够需要优化或者升级。

2)您云数据库实例是否存在性能问题，是否有大量的慢SQL，SQL语句是否需要优化，是否有多余的索引或者缺失的索引等。


**9、不能更改mysql、information_schema、performance_schema和sysdb库中的任何数据**

**10、无法直接通过SQL语句进行帐号和赋权操作，只能通过管理控制台进行；支持常见的19种权限，少量不常见权限不支持，具体支持的权限列表如下：**

SELECT、INSERT、UPDATE、DELETE、CREATE、DROP、REFERENCES、INDEX、ALTER
CREATE TEMPORARY TABLES、LOCK TABLES、EXECUTE、CREATE VIEW、SHOW VIEW
CREATE ROUTINE、ALTER ROUTINE、EVENT、TRIGGER、SHOW DATABASES

**11、TDSQL不提供超级管理员帐号**

**12、请采用InnoDB存储引擎，其他存储引擎可能导致性能变低**

**13、外网地址建议仅用于日常维护，不宜用于对接业务服务器**

