## 参数模板
您可以使用数据库参数模板中的参数管理数据库引擎配置。数据库参数组就像是引擎配置值的容器，这些值可应用于一个或多个数据库实例。
  
当您已创建一个数据库参数模板，并且想在新的数据库参数模板中包含该组中的大部分自定义参数和值时，复制参数模板是一个方便的解决方案。

如果您想使用您自己的数据库参数模板，只需创建一个新的数据库参数模板，修改所需的参数并修改您的数据库实例，就可以使用新的数据库参数模板。需要注意的是，已经应用该参数模板的所有数据库实例并不会获得该数据库参数模板的所有参数更新。如果您需要将新的参数应用到批量数据库实例上，可通过批量参数设置时导入模板来重新应用。

目前，参数模板支持以下功能，用户可登录[腾讯云控制台]，点击导航条【关系型数据库】，进入【云数据库控制台>MariaDB】，左侧边栏【参数模板】查看和修改：

- 支持默认参数模板
- 支持新建模板，以默认参数为基础，稍加修改就能生成自定义的参数优化方案
- 支持从配置文件my.conf导入生成模板
- 支持从参数设置保存为模板
- 单个或多个实例进行参数设置时，支持从模板导入

## 参数说明
> 由于数据库参数较多，此处我们仅列举了常用参数，如您需要的不在此内，请提交工单，我们将尽快为您添加或修改该参数。

- 实例创建时，均已默认参数初始化
- 可以通过参数模板，参数设置等入口修改实例参数
- 不同实例参数相互隔离，互不影响
- 为避免误操作，参数设置仅提供常见参数，如不在参数设置列表中，请提交工单，说明“实例ID、需添加参数名”申请添加。


|参数名|是否需要重启（0为否、1为是）|参数默认值|当前运行值（可设置）|可修改参数值|
|:--:|:--:|:--:|:--:|:--:|
|auto_increment_increment|0|1|1|[1-65535]|
|auto_increment_offset|0|1|1|[1-65535]|
|autocommit|0|ON|ON|[ON|OFF]|
|character_set_server|0|utf8|utf8|[utf8|latin1|gbk|utf8mb4]|
|connect_timeout|0|10|10|[1-3600]|
|default_week_format|0|0|0|[0-7]|
|delay_key_write|0|ON|ON|[ON|OFF|ALL]|
|delayed_insert_limit|0|100|100|[1-4294967295]|
|delayed_insert_timeout|0|300|300|[1-3600]|
|delayed_queue_size|0|1000|1000|[1-4294967295]|
|div_precision_increment|0|4|4|[0-30]|
|group_concat_max_len|0|1024|1024|[4-18446744073709547520]|
|innodb_concurrency_tickets|0|5000|5000|[100-10000]|
|innodb_large_prefix|0|OFF|OFF|[OFF|ON]|
|innodb_lock_wait_timeout|0|50|50|[1-1073741824]|
|innodb_max_dirty_pages_pct|0|10|70|[10-90]|
|innodb_old_blocks_pct|0|37|37|[5-95]|
|innodb_old_blocks_time|0|1000|1000|[0-1000]|
|innodb_purge_batch_size|0|300|300|[1-1024]|
|innodb_read_ahead_threshold|0|56|56|[0-64]|
|innodb_stats_method|0|nulls_equal|nulls_equal|[nulls_equal|nulls_unequal|nulls_ignored]|
|innodb_stats_on_metadata|0|OFF|OFF|[ON|OFF]|
|innodb_stats_sample_pages|0|8|8|[1-4294967296]|
|innodb_strict_mode|0|OFF|OFF|[ON|OFF]|
|innodb_table_locks|0|ON|ON|[ON|OFF]|
|innodb_thread_concurrency|0|0|0|[0-128]|
|innodb_thread_sleep_delay|0|10000|10000|[1-3600000]|
|interactive_timeout|0|28800|28800|[10-86400]|
|key_cache_age_threshold|0|300|300|[100-4294967295]|
|key_cache_block_size|0|1024|1024|[512-16384]|
|key_cache_division_limit|0|100|100|[1-100]|
|lock_wait_timeout|0|5|5|[1-31536000]|
|log_queries_not_using_indexes|0|OFF|OFF|[ON|OFF]|
|long_query_time|0|1.000000|1.000000|[0.5-10]|
|low_priority_updates|0|OFF|OFF|[OFF|ON]|
|max_allowed_packet|0|134217728|1073741824|[16384-1073741824]|
|max_connect_errors|0|2000|2000|[1-4096]|
|max_connections|0|4096|4096|[1-32768]|
|myisam_sort_buffer_size|0|4194304|4194304|[262144-16777216]|
|net_buffer_length|0|16384|16384|[4096|8192|16384|32768|65536|1048576]|
|net_read_timeout|0|30|30|[1-3153600]|
|net_retry_count|0|10|10|[1-4294967295]|
|net_write_timeout|0|60|60|[1-3153600]|
|query_alloc_block_size|0|8192|8192|[1024-16384]|
|query_cache_limit|0|1048576|1048576|[1-1048576]|
|query_cache_size|0|0|0|[0-104857600]|
|query_cache_type|0|OFF|OFF|[OFF|ON|DEMAND]|
|query_prealloc_size|0|8192|8192|[8192-1048576]|
|slow_launch_time|0|2|2|[1-1024]|
|sort_buffer_size|0|2097152|2097152|[32768-1073741824]|
|sqlasyn|0|ON|ON|[ON|OFF]|
|sqlasyntimeout|0|10|30|[10-100]|
|table_definition_cache|0|400|400|[400-2048]|
|table_open_cache|0|1024|10240|[400-524288]|
|tmp_table_size|0|33554432|33554432|[262144-67108864]|
|tx_isolation|0|REPEATABLE-READ|REPEATABLE-READ|[REPEATABLE-READ|SERIALIZABLE|READ-COMMITTED|READ-UNCOMMITTED]|
|wait_timeout|0|28800|28800|[60-259200]|


## 附录：部分MariaDB文档链接

MariaDB系统变量说明：
- 分类索引：[https://mariadb.com/kb/en/mariadb/system-variables](https://mariadb.com/kb/en/mariadb/system-variables)
- 全部变量索引：
[https://mariadb.com/kb/en/mariadb/full-list-of-mariadb-options-system-and-status-variables](https://mariadb.com/kb/en/mariadb/full-list-of-mariadb-options-system-and-status-variables)

