## 性能监控
为方便用户查看和掌握实例的运行信息，MariaDB(TDSQL)提供了丰富的性能监控项，用户可进入MariaDB(TDSQL)管理控制台对应【实例管理】-【系统监控】查看。

## 支持从机监控
MariaDB(TDSQL)已支持从机性能监控，请在监控页面根据提示选择即可切换到从机数据

## 已提供监控指标

|指标名|单位|注意事项|
|-------|-------|-------|
|CPU利用率（CPU Utilization）|%|MariaDB（TDSQL）采用灵活的CPU限制，允许您的实例闲时使用设备额外CPU资源，此时CPU利用率会超过100%|
|缓存命中率（Buffer Cache Hit Ratio）|%|SELECT或预处理查询直接从内存中获取数据的比例，建议大于90%为宜，否则需增加内存规格。|
|可用缓存空间（Freeable Memory）—— 计划删除|GB|实际采集为Innodb_buffer的可用空间，因数据库通常采用LRU调度方案，正常情况下该值将趋于零；处理大事务时，该值可能为负，即数据库内存使用超过实际分配值。|
|磁盘空间利用率（Storage Space Utilization）|%|当前您实例的数据占用空间、日志占用空间、临时占用空间、系统文件占用空间占您购买磁盘空间的比例，建议小于80%为宜，否则需增加磁盘空间。|
|可用磁盘空间（Free Storage Space）|GB|当前您实例空余磁盘大小绝对值，建议需大于您购买磁盘空间的20%，否则需增加磁盘空间。|
|已用日志磁盘空间（Binary Log Disk Usage）|GB|数据磁盘上临时存储于数据库空间大小，通常该值随着写入数据比例的变化而变化。请注意，该值并非备份系统中日志存储空间大小。|
|总连接数（DB Connections）|个|客户端到数据库服务器的连接总数。|
|活跃连接数（Active Connections）|个|客户端到数据库服务器的活跃连接总数。|
|IO利用率（IO Utilization）|%|MariaDB（TDSQL）采用灵活的IO限制，允许您的实例闲时使用设备额外IO资源，此时IO利用率会超过100%|
|SQL总数（SQL Throughput）|次/秒|所有DDL，DML，DCL的总数量；|
|SQL错误数（SQL Error Throughput）|次/秒|所有DDL，DML，DCL中运行错误的总数量，该值如果过大，请尽快检查业务日志。|
|SQL成功数（SQL Success Throughput）|次/秒|所有DDL，DML，DCL中运行成功的总数量；|
|慢查询数（Slow Query）|次/秒|SQL语句执行时间超过long_query_time设置值的语句数据量，详细情况可至性能优化页面查看详情。|
|耗时(1~5ms)请求数（DML Latency 1~5ms）|次/秒|SQL语句执行时间的综合统计。|
|耗时(5~20ms)请求数（DML Latency 5~20ms）|次/秒|SQL语句执行时间的综合统计。|
|耗时(20~30ms)请求数（DML Latency 20~30ms）|次/秒|SQL语句执行时间的综合统计。|
|耗时(大于30ms)请求数（DML Latency more than 30ms）|次/秒|SQL语句执行时间的综合统计。|
|总请求数（DML Throughput）|次/秒|DML语句的总数量|
|查询数(SELECT)|次/秒|SELECT语句的总数量,如果该值占比较大，可以启用读写分离方案。|
|更新数(UPDATE)|次/秒|UPDATE语句的总数量。|
|插入数(INSERT)|次/秒|INSERT语句的总数量。|
|覆盖数(REPLACE)|次/秒|REPLACE语句的总数量。|
|查询覆盖数(REPLACE_SELECT)|次/秒|replace select语句的总数量。|
|删除数(DELETE)|次/秒|delete语句的总数量。|
|主从切换（Master Switch）|次|发生主机切换到从机的情况|
|主从延迟（Replica Lag）|秒|从机与主机数据延迟，强同步的原理是将数据写入从机binlog便返回事务应答，此时数据尚未完全写入磁盘，因此仍然会有延迟。|
|innodb磁盘读页次数（Innodb Buffer Pool Read）|次/秒|用于分析innodb存储引擎当前性能的指标|
|innodb缓冲池读页次数（Innodb Buffer Pool Read Requests）|次/秒|用于分析innodb存储引擎当前性能的指标|
|innodb缓冲池预读页次数（Innodb Buffer Pool Read Ahead）|次/秒|用于分析innodb存储引擎当前性能的指标|
|innodb执行DELETE行数（Innodb Rows Deleted）|次/秒|用于分析innodb存储引擎当前性能的指标|
|innodb执行INSERT行数（Innodb Rows Insert）|次/秒|用于分析innodb存储引擎当前性能的指标|
|innodb执行Read行数（Innodb Rows Read）|次/秒|用于分析innodb存储引擎当前性能的指标|
|innodb执行UPDATE行数（Innodb Rows Updated）|次/秒|用于分析innodb存储引擎当前性能的指标|