> **下列场景适用于（金融级）云数据库CDB for TDSQL**

## 1. 金融行业核心应用
  无论是银行、保险、证券、基金，还是新兴金融企业如小额贷款、互联网理财等，其核心应用系统如资金交易、流转、账务等系统都需要一种高可用的数据库进行支撑，而监管要求也对数据库本身的安全性、标准化都提出了更高的要求。
  面对这一系列挑战，腾讯云金融级云数据库TDSQL够为金融行业用户提供：
- 	提供安全、开放的系统平台；
- 	提供高可用的方案，如系统采用双主双活、多机热备份模式或集群服务等模式；
- 	优先保障主备数据库强一致性；
- 	提供多种容灾方案，数据可靠性至少99.99999%；
- 	支持弹性伸缩；
- 	支持物理专享，单一用户内部系统之间采用多租户模式，用户与用户之间物理隔离； 
- 	需满足一行三会等机构的监管要求。

## 2. 交易或订单系统
随着电子商务与在线交易的兴起，越来越多的企业支持或计划支持电子商务或在线交易能力，这就给企业的交易或订单系统带来了更多问题亟待解决。以知名B2C电商平台为例，从2012年开始，诸如618、双11等活动导致平台订单量则成倍增长，伴随着订单量的增加，系统面临的挑战与日俱增。
  腾讯云来为腾讯及其合作伙伴提供基于交易或订单系统的金融级云数据库，并已经为交易或订单场景解决了以下问题：
- 	解决复杂订单业务和处理流程下，数据不一致的问题；
- 	解决海量交易情况下，数据库的性能瓶颈；
- 	解决海量数据的运营管理，及时发现和解决数据库问题。

## 3. 公众服务系统
公众服务系统是政府、企业为公众服务的线上门户，诸如食品溯源、专利查询、O2O服务、病历查询、购票、办事预约等都是公众查询类系统的一种。该类系统的特点场景特点是用户基数大，信息查询分散，随着时间推移数据急剧膨胀。该类系统的运营特点就是确保数据库的安全完整性，在而自然灾害、系统故障、员工误操作和病毒感染面前，企业的正常运营都有可能变得脆弱及其脆弱，因此这类企业就需要一种数据永远不丢，稳定可靠的数据库管理系统，而这是腾讯云金融级云数据库正好擅长的：
- 跨机房（跨可用区）容灾，至少6个数据库副本，数据可靠性达到99.99999% 
- 提供高可用的方案，随时随地为用户提供服务。
- 支持读写分离，大幅提高性能，支持某些系统读大于写等业务特点。

> **下列场景适用于分布式云数据库DCDB for TDSQL**

## 4. 大型应用
近些年来，百万用户以上的大型应用，如电商、金融、O2O、社交应用，将持续产生海量的数据，数据规模为TB甚至PB级。面对海量信息内容，企业需在选择之初，就考虑**水平拆分（即分库分表）**，因为“水平拆分”能力将提供
- 无限大的存储容间（或PB级）
- 单表几亿~千亿行数据
- 更高效的读写性能
腾讯云分布式云数据库的自动分库分表（group-sharding）方案，利用普通硬件而非共享存储等方式，为用户搭建一个无限存储容量，超高读写QPS的数据库管理系统：
- 支持自动分库分表， PB级数据存储；
- 支持proxy代理网关，物理分库分表，逻辑整合，对DBA完全透明；
- 超高性能，异步多线程强同步复制方案(MAR)，物理读写分离，性能是同类方案的30%以上。 

  
## 5. 物联网数据
在工业监控和远程控制、智慧城市的延展、智能家居、车联网等物联网场景下。及其庞大的传感器数量和密集的数据采样频率将会形成超大数据规模存储。

  
## 6.平台文件索引
平台的图片、小文件、视频的数据极大，文件索引为亿级，该类数据通常只有新增、修改、读取、删除操作，分布式数据库可以有效提高文件索引的修改效率和稳定性。
  