### 1.云缓存Memcached可以提供事务支持吗？或者腾讯有相应的开发计划吗？
在分布式存储系统上实现事务是非常复杂的问题，即便在学术界也没有相对好的解决方案。
云缓存Memcached目前无法提供事务特性，开发者必须自行实现回滚操作，以避免影响数据一致性。建议开发者尽量避免对事务的依赖。

### 2. 云缓存Memcached是否提供Memcached的API？
不提供。用户可自行下载开源的Memcached的API使用。

### 3. 我们的游戏数据可能非常庞大，云缓存Memcached能自动扩容到多大容量？
云缓存Memcached支持的容量空间没有上限，只要保证金足够。如果业务数据日增长量低于20%，云缓存Memcached能实现自动扩容，否则需要按照模板提交申请存储扩容(详情请提交工单)。

### 4. 云缓存Memcached可以自助清理所有数据么？
可以。
注：数据被清空后，不可以再恢复，请在清空前确认表中的数据已经备份或不再使用。
在管理中心的云缓存Memcached管理视图页面，在需要清空的的表后点击“清空”按钮，确认清空后，后台开始清空操作，清空完成后，页面会提示清空成功。

### 5. 云缓存Memcached能提供多大的访问量？需要扩容怎么办？
云缓存Memcached支持的最大访问能力为10000次/秒/GB，云缓存Memcached支持的访问能力与实际分配给业务的容量有关，容量越大，访问能力越强。腾讯运维将对云缓存Memcached容量进行监控。如果业务数据日增长量低于20%， 运维系统会自动实施扩容，用户无需关注；否则，用户需要提单申请存储扩容（详情请提交工单）。

### 6. 为什么申请的时候1GB容量的实例，但是管理控制台显示的容量却不足1GB？
1、云缓存Memcached自身需要消耗一些索引和控制元信息，这部分信息算在1GB容量以内，但是并不计费
2、除了索引和元信息以外，我们还会为每一个实例预留部分容量空间，以备业务突然增长时使用
3、索引、元信息和预留空间这三部分差不多占整个实例容量的25%，所以实例可用空间约为75%
4、我们只会收取75%可用空间的费用，初次购买时冻结1GB的费用，月度结算时会解冻并按照实际使用量扣费，然后再本次实际扣费进行下月的费用冻结

### 7. 云缓存Memcached操作是不是原子的？
是原子的。

### 8. 云缓存Memcached都支持哪些协议呢？
目前云缓存Memcached仅支持memcached开源协议，包括命令：set、get、add、replace、append、prepend、cas、bget、gets、delete、incr、decr、quit、get_ext和gets_ext。不支持的命令包括：stats、flush_all、version、verbosity。使用这些命令时会返回ERROR。命令详解见[Memcached文本协议清单中的描述](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/Memcached_text_protocol_list.zip)。

### 9. 云缓存Memcached怎么实现表扩容？
表扩容指的是增加表的占用空间，即存储扩容。云缓存Memcached自动会为每个业务每日预留约20%的空间作为数据增长buffer。例如业务的使用空间为80G，则会分配96G作为业务的占用空间。如果业务数据日增长量超过20%，需要提交扩容申请(详情请联系提交工单)。云缓存Memcached扩容过程是数据搬迁过程，不会影响命中率。 

### 10. 云缓存Memcached怎么实现表缩容？
表缩容指的是减少表的占用空间，也即存储缩容。因为需要预留缓冲空间，缩容后表使用率不会超过80%。表缩容的最小粒度是1GB，如果缩容会造成使用率超过80%，则不能进行缩容。 
例如： 
表占用空间为2GB，使用率为41%，这种情况就不能缩容了，因为减少1GB后，表的使用率会超过80%。 

目前云缓存Memcached的表暂不支持自动缩容，如表需要缩容则可提交工单申请，之后需运维人员操作缩容。
在申请缩容之前，计费时仍然会按照原占用空间（包括在原使用空间的基础上自动扩容的缓冲空间）的峰值进行计算。

### 11. 云缓存Memcached怎么实现接口扩容、端口扩容、开启expire、关闭exipre？
云缓存Memcached的接口扩容、端口扩容，需提交申请(详情请联系提交工单)，然后由腾讯技术支持人员后台人工处理。 开启expire、关闭expire，如果页面无法操作，也可以按照模板提交申请实现。

### 12. 客户端连接云缓存Memcached服务失败或者成功率低？
可能与客户端所在的服务器或者客户端到云缓存Memcached服务之间的网络环境有关。云缓存Memcached提供了工具用于诊断客户端服务器环境以及客户端到云缓存Memcached服务之间的连接问题，详见：[云缓存Memcached连接诊断](/doc/product/241/云缓存Memcached连接诊断)。
### 13.云缓存Memcached是否支持binary协议
不支持，请选用ascii协议的客户端
