## 1 数据淘汰

云缓存Memcached为存储产品，不支持数据淘汰，即数据写满后不会自动删除最老的数据。用户必须自行设置expire过期时间，并在云缓存Memcached中开启expire过期删除功能。

## 2 key和value的长度限制

考虑到数据拷贝的延时，云缓存Memcached对key和value的长度做出了限制：key长度限制为不超过10K；value长度限制为不超过1M（memcached开源协议限制为1M)，必要时建议压缩value。

## 3 性能限制

云缓存Memcached支持最大访问能力为10000次/秒/GB，如果超出服务可能会变慢。这里的容量（G）是指实际分配的容量，不是最大容量上限。

例如：实际分配的容量为50G，这50G的数据支持每秒访问次数是50*10000=500000次。

如果超过10000次/秒/GB，系统会丢弃超出的请求。

当前提供的10000次/秒/GB访问量已经能够满足大部分应用的访问需求。如果访问量超过10000次/秒/GB，请填写工单接口/端口扩容进行申请。

## 4 客户端以及连接数访问限制

（1）云缓存Memcached是分布式系统，不能支持异步客户端，例如Spymemcached。
也就是说同一个连接上连续发送请求A、B、C后，其回复顺序是不确定的，任何基于顺序的逻辑都不能正常使用，因此必须使用一问一答的同步模式开源客户端。

（2）云缓存Memcached的socket连接有超时限制。如果从上一次访问后的180秒内，客户端没有访问请求，则连接会自动断开。因此客户端每180秒内至少要发送一次访问请求。

（3）到一台云缓存Memcached的socket连接数是有上限的，但此上限远大于客户端能够创建的临时端口数，因此使用时无需关注。

## 5 协议限制

1. 云缓存Memcached支持memcached协议（详见：[云缓存Memcached兼容的协议说明](/doc/product/241/兼容的协议说明)），因此支持文本和二进制协议。 

2. 理论上二进制解码速度快于文本，但实际优势微乎其微。且目前大部分用户还是使用文本协议，比较简单稳定。使用二进制的比较少。

3. Memcached的标准协议存在部分缺陷，用户需要特别注意。详见：[Memcached标准协议缺陷解决方案说明](/doc/product/241/标准协议缺陷解决方案说明)。

## 6 安全和容灾限制

云缓存Memcached提供主从热备，通过定期镜像和实时流水同步来备份。如果云缓存Memcached掉电，在极端情况下会损失短时间未落盘的数据，但是概率极小。


## 7 容量增长限制
为了防止业务异常使实例容量增长过快导致您的费用损失，我们会巡检出容量增长过快的实例（超过20GB开始纳入巡检范围）并尝试联系您以确定业务是否正常，如若联系不上或者确定业务异常，我们会对该实例进行封禁（只读），如果您有超过20GB的容量需求，请提工单联系我们。
