## 1. Overview of Database Rollback

Database rollback feature can minimize the system loss. CDB for TDSQL can rollback data to any time point within the last 30 days, depending on the retention of backups and logs.
CDB for TDSQL can directly roll the data back to a temporary instance generated by Tencent Cloud, without affecting the instance generated from the existing network. Temporary instances support read and write operations, so that you can modify the instance to which the data is rolled back more flexibly (for example, clear up dirty data). After modifying the data of temporary instance, you can switch the temporary instance to the instance generated from the existing network with "instance switchover" feature.

Limits of rollback:
- In the process of rollback and creation of temporary instance, part of the management features of the instance generated from the existing network is not available during the switchover of instances. After this process, the database management operations can be recovered.
- The rollback operation may slice the BINLOG forcibly, that is, a file with a size of less than 100 MB will also be backed up as a separate file.
- After rollback, the temporary instance inherits the parameter information (such as account, database parameter, etc.) from the instance generated from the existing network but cannot modify these parameters.

Detailed rollback method is as follows:
![](//mccdn.qcloud.com/img568a30325032f.jpg)

## 2. Temporary Instance
Temporary instance is generated based on the backup by CDB for TDSQL and is only used for temporary adjustment. It is only valid for 48 hours. Temporary instance has the following features:
- Support read and write operations.
- It is only available for 48 hours, and is deleted after 48 hours.
- An instance has only one temporary instance at a time.
- Temporary instance can be deleted at any time.

The location where you can view the temporary instances:
![](//mccdn.qcloud.com/img568a306e4cc5a.png)

## 3. Instance Switchover
Instance switchover feature is used to switch a temporary instance to an existing network environment. If the data is successfully rolled back to a temporary instance, you can perform a switchover. At this point, the private network connection between the original instance and the temporary instance is changed.
- The instance generated from the existing network may encounter a brief disconnection (1 second) during the switchover process.
- When the switchover is completed, the instance generated originally is deleted.
- After the switchover, the temporary instance is replaced with the instance generated from the existing network, and the original temporary instance is deleted as well. 

Switchover operation is shown as below:
![](//mccdn.qcloud.com/img568a30aea645a.jpg)

