### 在线扩容
DCDB支持在线实时扩容，扩容方式分为新增分片和对现有分片扩容两种方式：

- **新增分片**：新增加一个物理分片，目前已经在新增分片时，针对某指定分片进行拆分数据（原有分片配置不变），数据将自动均衡到新分片，无需手工操作。
- **扩容分片**：即对某个物理分片的配置进行升级，升级后，数据将不会自动均衡。主要用于解决某单一分片负载和容量过高的问题。

DCDB在线扩容仅需管理员到腾讯云WEB控制台点击付费即可，扩容过程对业务完全透明，无需业务停机。
扩容时仅部分受影响分片存在秒级的只读（或中断），整个集群不会受影响。

### 自动再均衡
DCDB主要是采用自研的自动再均衡技术（rebalance）保证自动化的扩容和稳定，以新增分片为例，扩容过程如下下图：

![](https://mc.qcloudimg.com/static/img/66436f6d12657b8494afa421443edb54/image.png)
 
1)	控制台点击扩容后，系统根据负载和容量计算出A节点（实际上可能影响多个节点）存在瓶颈
2)	根据新加G节点配置，将A节点部分数据搬迁（从备机）到G节点（可使用系统自动计算值或手工分配）。
3)	数据完全同步后，AG校验数据库，（存在1~几十秒的只读），但整个服务不会停止。
4)	调度通知proxy切换路由。

为确保业务不停以及数据一致性，DCDB的整个迁移过程采用移存量数据、迁移增量数据、数据检验、再追增量、切换路由、清理 六个步骤循环迭代进行。该能力经过腾讯内外海量业务迁移，至今未发生过一次数据异常错误或全集群停机，如下图。
 
![](https://mc.qcloudimg.com/static/img/3ef3fd9d60f2f20a4966d79c3c1ead7a/image.png)