>本文通过sysbench标准测试，对DCDB各规格分片性能进行了测试，由于不同业务（代码）对于性能需求不一样，本文仅作为选型参考。

### 测试环境
**实例物理机器**：CPU：48vcore 内存：512GB 磁盘：7200GB - (PCI-E SSD）
**客户端服务器压测设备**：CPU：48vcore 内存：512GB 磁盘：7200GB - (PCI-E SSD）
**客户端服务器压测设备数量**：	5台，机器上起5个sysbench同时对一台物理机器上的5个实例（多租户虚拟化隔离）进行压测，客户端sysbench占用cpu100%。
**网络环境**：腾讯云VPC网络（万兆），延时约0.05ms
**闲时超用**：开启（最大200%超用）

### 测试实例规格和数据情况
##### 测试实例规格
|**规格**| 内存 | 磁盘 |
| :-----:   | :-----:  | :----: |
|A|4GB|500GB|
|B|8GB|500GB|
|C|16GB|1000GB|
|D|32GB|1000GB|
|E|48GB|1000GB|
更多规格，敬请期待……


##### 测试数据情况


- **最大单表行数**：1000W以下、8000W、4亿；数据采用随机构造；
- **读写比**： 1：9 ，3:7, 7:3，5:5，9:1  
- **SQL复杂度**：简单查询和复杂查询，详见后续说明
- **库表数据结构**：
```
	CREATE TABLE IF NOT EXISTS `test_orders` (
	`ORDERID` varchar(35) COLLATE utf8_bin NOT NULL COMMENT 'XXXXXXXXX',\
	`USERID` varchar(35) COLLATE utf8_bin DEFAULT NULL,\
	`BIKEID` varchar(11) COLLATE utf8_bin DEFAULT NULL,\
	`STARTPOSITIONX` decimal(11,8) DEFAULT NULL COMMENT 'XXXXXXXXX',\
	`STARTPOSITIONY` decimal(11,8) DEFAULT NULL COMMENT 'XXXXXXXXX',\
	`STARTTIME` datetime DEFAULT NULL COMMENT 'XXXXXXXXX',\
	`TOTALDISTANCE` int(11) DEFAULT NULL COMMENT 'XXXXXXXXX',\
	`CALORIE` decimal(11,8) DEFAULT NULL COMMENT 'XXXXXXXXX',\
	`TOTALDURATION` int(20) DEFAULT NULL COMMENT 'XXXXXXXXX',\
	`ENDTIME` datetime DEFAULT '1999-12-12 00:00:02' COMMENT 'XXXXXXXXX',\
	`ENDPOSITIONX` decimal(11,8) DEFAULT NULL COMMENT 'XXXXXXXXX',\
	`ENDPOSITIONY` decimal(11,8) DEFAULT NULL COMMENT 'XXXXXXXXX',\
	`TOTALFEE` decimal(11,5) DEFAULT NULL COMMENT 'XXXXXXXXX',\
	`RENTSTATUS` char(1) COLLATE utf8_bin DEFAULT NULL COMMENT 'XXXXXXXXX',\
	`LOCKMILISECONDS` int(21) DEFAULT NULL COMMENT 'XXXXXXXXX',\
	`TS` timestamp NULL DEFAULT '1999-12-12 16:00:02' COMMENT 'XXXXXXXXX',\
	`ISDELETE` char(1) COLLATE utf8_bin DEFAULT '0' COMMENT 'XXXXXXXXX',\
	`TIMELINESS` char(1) COLLATE utf8_bin DEFAULT '0' COMMENT 'XXXXXXXXX' ,\
	`PROGRESS` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'XXXXXXXXX',\
	`CITYCODE` varchar(8) COLLATE utf8_bin DEFAULT NULL,\
	`AREACODE` varchar(8) COLLATE utf8_bin DEFAULT NULL,\
	`BIKETYPE` int(2) DEFAULT NULL,\
	PRIMARY KEY (`ORDERID`),\
	KEY `MBK_ORDER_USER_FK` (`USERID`),\
	KEY `TS_INDEX` (`TS`),\
	KEY `ENDTIME_INDEX` (`ENDTIME`),\
	KEY `IX_STARTTIME` (`STARTTIME`),\
	KEY `MBK_ORDER_BIKE_TS` (`BIKEID`,`TS`)\
	) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=COMPACT COMMENT='XXXXXXXXX';

```

##### 压测语句

```
	简单查询：
	SELECT ORDERID, USERID, BIKEID, STARTPOSITIONX, STARTPOSITIONY, STARTTIME, TOTALDISTANCE, CALORIE, TOTALDURATION, ENDTIME, ENDPOSITIONX, ENDPOSITIONY, TOTALFEE, RENTSTATUS, LOCKMILISECONDS, TS, ISDELETE, TIMELINESS,CITYCODE,AREACODE,BIKETYPE from MBK_ORDERS where ORDERID = 'XXXXXXXXXXXXXXXXXXXXX’
	复杂查询：
	SELECT ORDERID, USERID, BIKEID, STARTPOSITIONX, STARTPOSITIONY, STARTTIME, TOTALDISTANCE,CALORIE, TOTALDURATION, ENDTIME, ENDPOSITIONX, ENDPOSITIONY, TOTALFEE, RENTSTATUS,LOCKMILISECONDS, TS, ISDELETE, TIMELINESS,CITYCODE,AREACODE,BIKETYPE, sum(TOTALFEE) as tf FROM mbk_orders WHERE 1=1 AND BIKEID='0010005122' AND TS < '2016-11-12 11:45:00' group by order by USERID tf limit 10 
	更新语句：
	update test_orders SET STARTTIME = '2017-04-12 11:39:29', ENDTIME = '2017-04-12 11:45:00.81'  where  ORDERID = 'XXXXXXXXXXXXXXXXXXXXX'

```


### 性能压测命令
```
	/root//sysbench/sysbench --mysql-host=xxxx --mysql-port=xxx --mysql-user=xxx --mysql-password=xxx --mysql-db=test --test=/root/sysbench_for_z3/sysbench/tests/db/mbk.lua --oltp_tables_count=xx --oltp-table-size=xxxx --num-threads=xxx --oltp-read-only=off --rand-type=special --max-time=600 --max-requests=0 --percentile=99 --oltp-point-selects=xx --oltp-index-updates=xx run

	性能压测参数说明：

	 --test=/root/sysbench_for_z3/sysbench/tests/db/oltp.lua
	 --oltp_tables_count=1，产品指定表就只有1个。
	 --oltp-table-size=10000000，表示本次测试使用的表行数均为1000W行。
	 --num-threads=128，表示本次测试的客户端连接并发数为128。
	 --oltp-read-only=off ，off表示测试关闭只读测试模型，采用读写混合模型。
	 --rand-type=special，表示随机模型为特定的。
	 --max-time=1800 ，表示本次测试的执行时间。
	 --max-requests=0 ，0表示不限制总请求数，而是按max-time来厕所。
	 --percentile=99 ，表示设定采样比例，默认是 95%，即丢弃1%的长请求，在剩余的99%里取最大值
	 --oltp-point-selects=1，表示mbk。lua脚本中sql测试命令，select操作次数为1，默认值为1
	 --oltp-index-updates=9，表示mbk。lua脚本中sql测试命令，update操作次数为9，默认值为1

	本文用例使用场景脚本 mbk.lua和mbk_mid.lua,其中select和update的配比由脚本指定1:9，3:7，5:5，7:3，9:1。

```

###测试结果
>结果为QPS数据



**Memorys:4G （标准核数） Data Size:9900000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|11736|9714|11818|7243|13813|5781|12538|4882|13264|4227|
|32并发|11427|9844|12094|6884|11717|5466|12045|4552|15379|3989|
|64并发|10843|8998|11006|6811|11251|5277|11647|4468|12404|3905|
|96并发|10514|8846|10732|6419|10824|5330|11588|4384|13173|3833|
|128并发|10040|8596|10351|6286|10725|5182|11306|4322|12792|4171|
|160并发|9854|8303|10085|6236|10431|5076|11082|4339|12467|3726|
|256并发|9264|7939|9442|5986|9806|4898|10586|4205|11874|3705|


**Memorys:4G （标准核数） Data Size:80000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|10760|7286|11090|3935|11628|2914|12280|2310|13442|1922|
|32并发|10607|6468|10932|3974|11393|2671|11979|2120|12777|1769|
|64并发|10026|6301|10460|3415|10993|2518|11603|2019|12345|1701|
|96并发|9718|6038|10126|3299|10617|2513|11269|1972|12120|1797|
|128并发|9461|5811|9860|3267|10374|2414|11054|1979|11937|1713|
|160并发|9237|5769|9626|3216|10132|2383|10858|1941|11846|1605|
|256并发|8759|5628|9096|3103|9606|2320|10425|1663|11476|1362|
　　　　　
　　　　　
　　　　　
**Memorys:4G （标准核数） Data Size:400000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|9735|7361|10502|3745|11110|2525|11781|1886|12553|1479|
|32并发|10748|7013|10642|3492|10931|2351|11346|1763|12097|1370|
|64并发|10667|6707|10257|3347|10507|2284|11419|1717|11662|1315|
|96并发|10100|6658|9867|3277|10331|2430|10646|1685|12448|1272|
|128并发|9676|6354|9648|3239|9887|2335|10691|1656|11393|1295|
|160并发|9472|6163|9409|3257|9707|2192|10352|1675|11744|1149|
|256并发|8988|5796|8946|3174|9405|2040|10033|1443|11219|1025|
　　　　　
　　　　　
　　　　　
**Memorys:4G （开启闲时超用后） Data Size:9900000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|25941|19285|24380|14731|26946|11885|26179|10093|27659|8694|
|32并发|24439|19078|23871|15018|24202|11299|24800|9417|26417|8202|
|64并发|23724|18586|22919|13919|23552|11410|24487|9195|25696|8004|
|96并发|22738|18380|22050|13721|23108|10756|23829|9324|25259|7820|
|128并发|21606|18065|21458|13218|22476|10756|23375|8908|25624|8151|
|160并发|20920|17503|21115|13110|21931|10457|22882|8898|25232|7613|
|256并发|19849|16763|19884|12562|20622|10180|21760|8606|24156|7510|
　　　　　
　　　　　
　　　　　
**Memorys:4G （开启闲时超用后） Data Size:80000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|22623|12910|23501|7675|24566|5717|26375|4554|26253|3817|
|32并发|22255|12375|23119|7021|24304|5107|25807|4119|27290|3463|
|64并发|21343|11298|22202|6246|23342|4408|24794|3433|26166|2822|
|96并发|20590|10454|21459|5618|22612|3776|24135|2771|25443|2402|
|128并发|20034|9803|21007|5149|22069|3311|23550|2286|24989|2319|
|160并发|19597|9520|20509|4799|21548|2916|22970|1812|24590|1477|
|256并发|18658|9049|19286|3926|20279|2020|21664|1567|23600|2108|
　　　　　
　　　　　
　　　　　
**Memorys:4G （开启闲时超用后） Data Size:400000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|19641|16498|20486|8196|22118|5476|23890|3968|26511|3020|
|32并发|20775|15456|20681|7580|21866|5035|23151|3635|25425|2731|
|64并发|20027|14661|19920|7123|20971|4663|22310|3290|24314|2312|
|96并发|19447|14171|19347|6904|20389|4476|21822|2864|23901|2004|
|128并发|18899|13615|18816|6751|19880|4078|21450|2627|23553|1786|
|160并发|18486|13093|18538|6658|19573|3605|21046|2477|23311|1616|
|256并发|17666|11190|17601|6416|18621|3231|19942|2215|22591|1306|
　　　　　
　　　　　
　　　　　
**Memorys:8G （标准核数） Data Size:9900000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|12959|9730|11803|7186|12025|5770|14846|4911|12864|4265|
|32并发|11487|9395|11477|6919|11658|6429|11956|4573|12513|4008|
|64并发|10841|8974|11136|6604|11134|5602|12004|4480|12193|3932|
|96并发|10338|8800|10481|6437|10768|5193|11258|4671|12999|3860|
|128并发|10080|8494|10284|6309|10598|5225|11236|4353|12634|4276|
|160并发|9806|8168|9971|6263|10375|5122|11047|4384|12307|3766|
|256并发|9213|7723|9442|5990|9798|4949|10512|4252|11828|3785|
　　　　　
　　　　　
　　　　　
**Memorys:8G （标准核数） Data Size:80000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|11428|6383|12880|4318|11884|3226|14677|3527|12821|2192|
|32并发|11570|6560|11317|4070|11515|3003|13080|2403|12430|2614|
|64并发|10783|6256|10969|3819|11268|2997|11894|2326|13668|1981|
|96并发|10249|6112|10443|3728|10796|2879|11416|2290|13079|2072|
|128并发|9853|5900|10096|3723|10448|2836|11144|2264|12669|1980|
|160并发|9587|5946|9760|3652|10192|2775|10949|2275|12404|1928|
|256并发|9070|5748|9236|3581|9630|2735|10436|2210|11787|1859|
　　　　　
　　　　　
　　　　　
**Memorys:8G （标准核数） Data Size:400000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|9482|7362|10317|4142|11023|2921|13811|2235|12493|1790|
|32并发|10336|7392|10546|3946|10896|2742|11336|2100|12005|1677|
|64并发|10066|7202|10396|3802|10486|3009|10944|2039|13126|1618|
|96并发|9758|6762|9975|3865|10187|2618|10716|2209|12531|1575|
|128并发|9511|6594|9572|3689|10049|2701|10755|1976|11505|1677|
|160并发|9277|6363|9369|3646|9876|2640|10577|2031|11880|1618|
|256并发|8829|6052|8979|3614|9485|2558|10207|1934|11405|1461|
　　　　　
　　　　　
　　　　　
**Memorys:8G （开启闲时超用后） Data Size:9900000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|25374|19349|24160|16564|24725|11880|25375|9985|27210|8664|
|32并发|24330|19166|23652|14258|24092|11322|24839|10888|25736|8198|
|64并发|23821|18598|22724|14305|23345|11026|24757|9867|25205|8055|
|96并发|22228|18461|22147|13540|22522|11058|23908|9081|24937|8662|
|128并发|21506|17870|21294|13388|22206|10686|23095|9172|24705|8278|
|160并发|20553|17400|20858|13147|21716|10644|22930|8996|24493|8034|
|256并发|19483|16316|19618|12581|20370|10253|21826|8715|24036|7636|
　　　　　
　　　　　
　　　　　
**Memorys:8G （开启闲时超用后） Data Size:80000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|24291|14890|25008|9741|25358|7288|28518|5837|26857|4909|
|32并发|23625|14832|24037|9208|24644|6729|25579|5345|28091|4494|
|64并发|22657|14114|23018|8625|24193|6556|24635|4969|25166|4120|
|96并发|21741|13699|22439|8453|22862|6051|24396|4764|24810|4226|
|128并发|21168|13345|21527|8194|22249|5930|23465|4742|25297|4007|
|160并发|20615|13331|20902|8053|21894|5867|23143|4583|24837|3768|
|256并发|19416|12898|19716|7695|20499|5641|21823|4437|24122|3636|
　　　　　
　　　　　
　　　　　
**Memorys:8G （开启闲时超用后） Data Size:400000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|21797|16451|23098|9312|24105|6494|27880|4921|26649|3933|
|32并发|22710|16334|22985|8722|23524|5963|24268|4507|28111|3527|
|64并发|21928|15485|22128|8265|23183|5603|23403|4153|24503|3509|
|96并发|21102|14925|21750|8049|22050|5673|23204|3975|24275|3185|
|128并发|20688|14146|20865|7989|21610|5466|22640|4047|24691|2821|
|160并发|20014|13789|20445|7865|21138|5358|22149|3782|24291|2687|
|256并发|19117|12256|19432|7592|19872|5179|20660|3429|23225|2493|
　　　　　
　　　　　
　　　　　
**Memorys:16G （标准核数） Data Size:9900000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|11722|9769|11919|7276|12054|5828|12195|4902|12666|4246|
|32并发|11399|9437|11479|6973|11608|5491|11885|4583|12353|4030|
|64并发|10823|9083|10852|6649|11052|5341|11504|4519|12166|3966|
|96并发|10359|8829|10405|6494|10737|5238|11515|4449|12140|3896|
|128并发|10039|8594|10167|6378|10595|5173|11142|4396|12717|3845|
|160并发|9742|8393|9966|6272|10262|5113|11102|4349|11994|3816|
|256并发|9211|8006|9428|6065|9847|4984|10549|4276|11852|3747|
　　　　　
　　　　　
　　　　　
**Memorys:16G （标准核数） Data Size:80000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|11573|6703|11709|4559|11815|3423|12206|2758|12694|2329|
|32并发|11104|6891|11269|4297|11479|3165|11753|2545|15040|2169|
|64并发|10479|6567|10866|4044|10913|3020|11867|2452|12142|2088|
|96并发|10149|6322|10361|3940|10599|2967|11206|2401|12086|2025|
|128并发|9798|6192|10074|3878|10478|2935|11226|2359|12660|1982|
|160并发|9573|6185|9773|3866|10255|2906|11045|2339|12361|1954|
|256并发|9035|6026|9295|3738|9758|2852|10575|2272|11861|1920|
　　　　　
　　　　　
　　　　　
**Memorys:16G （标准核数） Data Size:400000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|9574|7329|10313|4149|10842|3019|11431|2437|12239|2064|
|32并发|9926|7513|10131|4134|10575|2961|11170|2318|11914|1893|
|64并发|9590|7000|9772|3958|10467|2836|10813|2218|11609|1803|
|96并发|9275|6749|9458|3861|9946|2775|10583|2141|11576|1737|
|128并发|9041|6491|9205|3801|9724|2733|10476|2112|11989|1699|
|160并发|8861|6326|9117|3749|9575|2766|10341|2078|11737|1665|
|256并发|8460|6042|8707|3689|9281|2654|9974|2060|11301|1658|
　　　　　
　　　　　
　　　　　
**Memorys:16G （开启闲时超用后） Data Size:9900000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|25454|19456|24022|14846|24829|12004|27198|10088|26432|8754|
|32并发|24148|19220|23676|14385|24143|11395|24736|9488|25578|8270|
|64并发|23112|18807|22632|14051|23292|11103|24013|9322|25088|8117|
|96并发|21898|18607|21748|13669|22342|10909|23755|9176|25042|7969|
|128并发|21123|18128|21050|13398|21997|10789|23040|9078|24850|7885|
|160并发|20341|17709|20541|13202|21224|10657|22724|8972|24573|7801|
|256并发|19053|16900|19529|12720|20232|10316|21554|8766|24140|7612|
　　　　　
　　　　　
　　　　　
**Memorys:16G （开启闲时超用后） Data Size:80000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|23871|15003|24549|10077|25482|7476|28303|5957|25626|5994|
|32并发|23359|14977|24064|9577|24892|6965|27099|5481|24444|4551|
|64并发|22167|14265|23277|9070|23598|6552|24604|5163|24130|4241|
|96并发|21385|13857|22247|8871|22799|6318|24192|4955|24893|4316|
|128并发|20665|13528|21482|8655|22410|6241|23774|4914|24454|3952|
|160并发|20284|13622|20754|8456|21766|6122|23522|4807|23976|3936|
|256并发|19214|13046|19680|8102|20677|5889|22346|4587|23293|3749|
　　　　　
　　　　　
　　　　　
**Memorys:16G （开启闲时超用后） Data Size:400000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|20741|16335|22444|9441|23516|6827|24846|5413|25756|4415|
|32并发|21196|16376|22105|9142|23090|6392|23998|4947|24621|3994|
|64并发|20320|15349|21178|9064|22040|6018|23163|5001|24020|3638|
|96并发|19754|14935|20749|8414|21482|5829|22592|4636|24731|3431|
|128并发|19459|14285|19991|8235|21198|5689|22446|4265|24279|3337|
|160并发|19117|13671|19678|8106|20555|5621|22035|4193|23447|3243|
|256并发|18340|12580|18876|7927|19602|5529|20850|4094|23019|3177|
　　　　　
　　　　　
　　　　　
**Memorys:32G （标准核数） Data Size:9900000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|11415|9780|12523|7316|11796|5802|12135|4918|12958|4251|
|32并发|11214|9471|11427|6962|11552|5516|12920|4599|12295|4030|
|64并发|10724|9092|11059|6671|11109|5354|11612|4532|13850|3998|
|96并发|10287|8807|10643|6515|10829|5258|11676|4471|12336|3903|
|128并发|10106|8569|10301|6383|10749|5187|11385|4409|12884|3883|
|160并发|9739|8347|10098|6283|10539|5132|11319|4365|12552|3828|
|256并发|9253|7958|9524|6066|9977|4990|10837|4279|12013|3760|
　　　　　
　　　　　
　　　　　
**Memorys:32G （标准核数） Data Size:80000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|10964|6898|11250|4752|11633|3569|12173|2880|13355|2412|
|32并发|10759|7044|11107|4534|11328|3896|11898|2696|12804|2277|
|64并发|10281|6751|10623|4363|11025|3437|11555|2617|12357|2198|
|96并发|9911|6540|10306|4332|10676|3175|11168|2672|12067|2130|
|128并发|9682|6388|10021|4256|10453|3132|10976|2570|11940|2084|
|160并发|9436|6449|9741|4154|10047|3136|10704|2463|11801|2133|
|256并发|8903|6209|9136|4055|9575|3043|10145|2430|11373|2016|
　　　　　
　　　　　
　　　　　
**Memorys:32G （标准核数） Data Size:400000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|9573|7265|10406|4077|11032|2954|11657|2351|12167|1952|
|32并发|10081|7357|10517|4104|10820|2913|12244|2903|11761|1829|
|64并发|9668|6934|9969|3993|10364|2809|11392|2486|11707|1723|
|96并发|9294|6710|9748|4032|10092|2751|10807|2081|12438|1837|
|128并发|9000|6474|9455|3943|9924|2718|10874|2169|11637|1607|
|160并发|8881|6316|9259|3850|9743|2680|10707|2103|11867|1663|
|256并发|8415|5882|8778|3720|9401|2652|10293|1997|11420|1548|
　　　　　
　　　　　
　　　　　
**Memorys:32G （开启闲时超用后） Data Size:9900000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|24443|19638|24160|14954|24580|11962|25142|10028|26392|8719|
|32并发|23892|19279|24245|14393|24875|11470|26505|9540|25864|8287|
|64并发|22907|18765|23143|14078|23709|11130|24781|9338|25346|8131|
|96并发|22049|18535|22555|13678|22765|10912|23766|9182|26344|7980|
|128并发|21267|18080|21935|13402|22288|10809|23657|9108|25376|7898|
|160并发|20853|17683|21309|13204|21826|10668|23269|8992|25162|7811|
|256并发|19523|16792|20041|12741|20622|10351|22109|8793|24582|7679|
　　　　　
　　　　　
　　　　　
**Memorys:32G （开启闲时超用后） Data Size:80000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|21939|14301|22685|9919|23698|7375|23888|5918|25466|4894|
|32并发|22252|14708|22968|9578|24020|7059|25622|5595|26012|4640|
|64并发|21328|14242|22007|9187|22971|6751|24194|5377|24867|4414|
|96并发|20562|13912|21224|8945|22135|6571|23438|5203|24159|4227|
|128并发|20071|13563|20676|8800|21666|6447|22842|5091|23830|4138|
|160并发|19637|13585|20355|8668|21117|6361|22540|5004|23497|4034|
|256并发|18816|13082|19436|8410|20286|6145|21583|4855|23812|3965|
　　　　　
　　　　　
　　　　　
**Memorys:32G （开启闲时超用后） Data Size:400000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|18516|15677|20834|8875|22410|6420|24258|5049|25714|4080|
|32并发|19540|15868|20614|8822|22116|6147|23821|4726|24662|3731|
|64并发|18689|15005|19687|8461|20929|5846|22551|4422|23694|3443|
|96并发|18063|14409|19036|8243|20189|5695|21777|4240|22821|3227|
|128并发|17615|13888|18509|8104|19802|5571|21270|4130|22343|3132|
|160并发|17281|13407|18196|7961|19441|5499|20890|4049|22039|3030|
|256并发|16593|12094|17570|7735|18634|5382|20108|3904|22231|2807|
　　　　　
　　　　　
　　　　　
**Memorys:48G （标准核数） Data Size:9900000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|10988|10027|12267|7309|11611|5860|12418|4951|13696|4333|
|32并发|11257|9461|11035|6987|11423|5547|12958|4624|12750|4067|
|64并发|10522|9078|11007|6700|11150|5383|12125|4561|12544|3997|
|96并发|10373|8821|10619|6535|10915|5289|11742|4484|12585|3959|
|128并发|10015|8568|10376|6415|10795|5213|11587|4439|13141|3906|
|160并发|9811|8377|10095|6297|10594|5149|11415|4397|12877|3850|
|256并发|9225|7958|9486|6092|9978|5019|10789|4302|12110|3776|
　　　　　
　　　　　
　　　　　
**Memorys:48G （标准核数） Data Size:80000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|10962|6793|11281|4741|11721|3656|12180|2960|13225|2494|
|32并发|10801|7006|11126|5039|11394|3451|11875|2779|12727|2350|
|64并发|10236|7004|10615|4475|11059|3335|11525|2977|12271|2259|
|96并发|9936|6675|10289|4476|10722|3269|11139|2732|11997|2174|
|128并发|9700|6613|9990|4322|10422|3260|10952|2549|11862|2293|
|160并发|9454|6553|9757|4302|10053|3153|10726|2555|11724|2086|
|256并发|8918|6338|9189|4139|9452|3096|10153|2456|11305|2063|
　　　　　
　　　　　
　　　　　
**Memorys:48G （标准核数） Data Size:400000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|9292|7062|10228|4197|10923|3093|13847|3506|12439|2057|
|32并发|9890|7240|10283|4219|10770|3019|12429|3010|12193|1886|
|64并发|9623|6950|9993|4097|10461|3172|11125|2192|11987|1770|
|96并发|9338|6855|9824|4003|10227|2974|10937|2126|11935|1664|
|128并发|9047|6440|9531|4010|10025|2767|10974|2208|11850|1623|
|160并发|8930|6280|9353|3901|9826|2730|10771|2118|11752|1675|
|256并发|8524|5778|8847|3752|9398|2683|10290|2014|11580|1550|
　　　　　
　　　　　
　　　　　
**Memorys:48G （开启闲时超用后） Data Size:9900000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|23107|19774|23054|15045|23701|12064|25296|10222|27841|8805|
|32并发|23376|19269|23062|14487|23781|11499|24959|9576|26718|8308|
|64并发|22453|18824|22537|14147|23417|11194|24742|9383|25571|8198|
|96并发|21483|18587|22195|13773|22695|10987|24194|9242|25850|8035|
|128并发|21000|18126|21475|13459|22445|10867|23484|9144|26434|7958|
|160并发|20333|17676|21166|13253|21863|10714|23159|9072|25925|7911|
|256并发|19297|16824|19849|12795|20451|10387|21826|8836|24660|7691|
　　　　　
　　　　　
　　　　　
**Memorys:48G （开启闲时超用后） Data Size:80000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|21859|14118|22504|9812|24178|7421|23746|5955|25677|4940|
|32并发|22222|14502|23071|9533|24165|7081|25621|5617|26040|4701|
|64并发|21232|14084|22095|9250|23235|6788|24561|5428|25101|4478|
|96并发|20542|13836|21390|9063|22596|6680|23967|5260|24432|4304|
|128并发|20094|13543|20957|8956|22078|6508|23391|5143|24110|4192|
|160并发|19724|13532|20526|8812|21554|6450|22988|5056|23716|4102|
|256并发|18818|13051|19369|8544|20253|6233|21463|4905|23583|3987|
　　　　　
　　　　　
　　　　　
**Memorys:48G （开启闲时超用后） Data Size:400000000**

|Threads|select-updata:1-9峰值|select-updata:1-9平均值|select-updata:3-7峰值|select-updata:3-7平均值|select-updata:5-5峰值|select-updata:5-5平均值|select-updata:7-3峰值|select-updata:7-3平均值|select-updata:9-1峰值|select-updata:9-1平均值|
|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|:-------:|
|16并发|18649|15615|21020|9218|22536|6762|24305|5343|25726|4328|
|32并发|19776|15741|20863|9088|22251|6447|23990|5024|24844|4047|
|64并发|19044|14964|20051|8811|21333|6204|22941|4752|23852|3697|
|96并发|18568|14439|19516|8619|20747|6041|22344|4545|23393|3476|
|128并发|18176|13885|19049|8462|20344|5894|21922|4386|22884|3333|
|160并发|17895|13448|18787|8290|19991|5794|21499|4308|22584|3254|
|256并发|17206|11985|17997|8010|18862|5662|20337|4140|22553|3028|
