

## Enhancing the Returned Result of "explain"

```	
	mysql> explain select * from test1;
	+------+-------------+-------+------+---------------+------+---------+------+------+-------+-----------------------------------------+
	| id   | select_type | table | type | possible_keys | key  | key_len | ref  | rows | Extra | info                                    |
	+------+-------------+-------+------+---------------+------+---------+------+------+-------+-----------------------------------------+
	|    1 | SIMPLE      | test1 | ALL  | NULL          | NULL | NULL    | NULL |   16 |       | set_2,explain select * from shard.test1 |
	|    1 | SIMPLE      | test1 | ALL  | NULL          | NULL | NULL    | NULL |   16 |       | set_1,explain select * from shard.test1 |
	+------+-------------+-------+------+---------------+------+---------+------+------+-------+-----------------------------------------+
	2 rows in set (0.03 sec)
```	

## Adding Corresponding "shardkey" Information to "show create table"

```	
	mysql> show create table test.ff;
	+-------+--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
	| Table | Create Table                                                                                                                                                                                                       |
	+-------+--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
	| ff    | CREATE TABLE `ff` (
	  `a` int(11) NOT NULL,
	  `c` int(11) DEFAULT NULL,
	  `d` datetime DEFAULT NULL,
	  `e` date DEFAULT NULL,
	  PRIMARY KEY (`a`)
	) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin shardkey=a |
	+-------+--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
	1 row in set (0.02 sec)


	mysql> show create table test.global;
	+--------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
	| Table  | Create Table                                                                                                                                                                     |
	+--------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
	| global | CREATE TABLE `global` (
	  `a` int(11) NOT NULL,
	  `b` int(11) DEFAULT NULL,
	  PRIMARY KEY (`a`)
	) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin shardkey=noshardkey_allset |
	+--------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
	1 row in set (0.00 sec)
	
	mysql> show create table test.single;
	+--------+-------------------------------------------------------------------------------------------------------------------------------------------------------+
	| Table  | Create Table                                                                                                                                          |
	+--------+-------------------------------------------------------------------------------------------------------------------------------------------------------+
	| single | CREATE TABLE `single` (
	  `a` int(11) NOT NULL,
	  `b` int(11) DEFAULT NULL,
	  PRIMARY KEY (`a`)
	) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin |
	+--------+-------------------------------------------------------------------------------------------------------------------------------------------------------+
	1 row in set (0.00 sec)
```


## View the configuration information of proxy via SQL

```	
	mysql> /*proxy*/show config;
	+-----------------+--------------------+
	| config_name     | value              |
	+-----------------+--------------------+
	| version         | V2R120D001         |
	| mode            | group shard        |
	| sys_log_level   | 0                  |
	| inter_log_level | 0                  |
	| inter_time_open | 0                  |
	| sql_log_level   | 0                  |
	| slow_log_level  | 0                  |
	| slow_log_ms     | 1000               |
	| log_clean_time  | 1                  |
	| log_clean_size  | 1                  |
	| rw_split        | 1                  |
	| ip_pass_through | 0                  |
	+-----------------+--------------------+
```
	
> The current version number, the print level of log and the cleanup parameters displayed above are required for troubleshooting.	
