## 概述
DCDB 支持在线实时扩容，扩容方式分为新增分片和对现有分片扩容两种方式，整个扩容过程对业务完全透明，无需业务停机。扩容时仅部分分片存在秒级的只读（或中断），整个集群不会受影响。

## 扩容过程
DCDB 主要是采用自研的自动再均衡技术保证自动化的扩容和稳定。

### 1. 新增分片扩容
1. 控制台点击扩容后，系统根据负载和容量计算出 A 节点（实际上可能影响多个节点）存在瓶颈。
2. 根据新加 G 节点配置，将 A 节点部分数据搬迁（从备机）到 G 节点。
3. 数据完全同步后，AG 节点校验数据库，（存在一至几十秒的只读），但整个服务不会停止。
4. 调度通知 proxy 切换路由。
![](https://mc.qcloudimg.com/static/img/d407c9bf2740c3ceb803392448856cf2/image.png)

### 2. 现有分片扩容
基于现有分片的扩容其实相当于更换了一块更大容量的物理分片。
> **注意：**
> 基于现有分片的扩容没有增加分片，不会改变划分分片的逻辑规则和分片数量。

1. 按需要升级的配置分配一个新的物理分片（以下简称“新分片”）。
2. 将需要升级的物理分片（以下简称“老分片”）的数据、配置等同步数据到新分片中。
3. 同步数据完成后，在腾讯云网关做路由切换，切换到新分片继续使用。
![](https://mc.qcloudimg.com/static/img/d30e97c05742feccf7728e6a326e826f/image.png)