## 数据迁移及备份
根据客户源端操作系统平台、数据库平台、数据库版本、生产系统数据量、存储方式等不同情况以及客户对停机时间、目标端数据库版本等不同需求，腾讯云提供专业技术支持，为客户设计完备的数据库迁移方案。
TData 支持 Oracle 本身所支持的备份及恢复方式，如 RMAN、Oracle Secure Backup、逻辑备份等，协助客户制定合适的备份策略。TData 备份节点用于存储客户归档日志及备份相关文件，备份节点暴露存储设备作为 ASM 的一个磁盘组，提供稳定、快速的备份及恢复功能。
## 高可用
TData 支持标准的 Oracle Data Guard 以及 Oracle GoldenGate 高可用部署方案，同时支持基于 InfiniBand 网络的同城双中心双活架构设计，两个数据中心均处于 ACTIVE 状态，同时对外提供相同的业务访问服务，在一个数据中心故障时，用户访问自动切换到存活数据中心，提供极致容灾体验，同时这种架构能够使得设备利用率最大化。
![](//mc.qcloudimg.com/static/img/0b97a2dad074221b9bc84bd09c93c36c/image.png)
## 容灾支持
借助于腾讯金融云“两地三中心”合规机房，用户部署同城主备、同城双活、两地三中心等 Oracle 高可用方案变得十分简单，极大的减少了用户建设时间、建设成本以及运维成本。
![](//mc.qcloudimg.com/static/img/0399214c48f547687bc76979cc715b5a/image.png)
## 系统配置
系统配置信息如图所示：
![](//mc.qcloudimg.com/static/img/9e33ef9c13ab13080acad418f0b03382/image.png)
## 性能指标
### Oracle Calibrate_IO
IO Calibration 工具用于帮助我们了解存储系统的真实性能，该过程会对 Oracle 数据文件发起一系列 IO 敏感的只读工作负载(由 1MB 大小的随机 IO 组成)，从而判断存储系统所能持续的最大 IOPS 和 MBPS。
TData for Oracle 一体机标准配置下，单个 DataGroup(每个存储节点一个 FailGroup，每个 FailGroup 一块 PCIE Flash 卡)的测试结果为：IOPS >= 50W，MBPS >= 8.5K。
### HammerDB
HammerDB 是一个开源的数据库压测工具，支持多种 DB，如 Oracle，SQL Server、Mysql 等。本身支持 TPC-C 模型，TPC 是一系列交易处理和资料库基准测试规范，TPC-C 是针对 OLTP 的基准测试模型，模拟零售商店下订单的交易环境，HammerDB 工具能够很简单的创建合适大小的数据库模型并进行压测，并且能够给出清晰的测试报告。
TData for Oracle 一体机标准配置下，单个 DataGroup(每个存储节点一个 FailGroup，每个 FailGroup 一块 PCIE Flash 卡)， HammerBD 配置 5000 个 warehouse， 测试结果为： TPM >= 550W，最高达 930W，NOPM >= 230W。