TData 软件模块由 Tencent Linux（可选其他 Linux OS）、LinkX、ASM、TMGR、TMON 等模块构成。
### Tencent Linux
Tencent Linux 服务于腾讯百万级别服务器，在服务器稳定运行的基础上，针对业务进行持续优化，提供高稳定性、高性能、高安全的服务保障。下图为 Linux 内核制作流程，Tencent Linux 内核与商业 Linux 内核一样，基于选择某个 Longterm 分支作为基线版本，并进行高度定制及优化。
![](//mc.qcloudimg.com/static/img/c5c30b2e9a9b1d82dc048786dcb6eae6/image.png)
### LinkX
LinkX 作为 TData 内部 I/O 设计重要的组成部分，将存储资源与计算资源融为一体。LinkX 基于高速的 InfiniBand 内部互联网络，并融合 RDMA、Multipath、iSER 等技术，为 TData 提供低损耗，高可靠、高性能、低时延、高带宽的极致 IO 体验。
**RDMA：**内部互联链路使用 InfiniBand 高速网络，基于 RDMA（Remote Direct Memory Access）远程直接数据存取技术，将存储节点 PCIe 高速闪存卡直接暴露给计算节点，极大减少了数据传输时内核空间与用户空间之间环境切换的次数，实现 IO 零拷贝。
下图为 RDMA 技术与传统数据存取技术的区别：
![](//mc.qcloudimg.com/static/img/85ead3139f881682aa20dd2b36f877af/image.png)
使用 iSER（iSCSI Extensions for RDMA）作为存储协议，将存储节点 PCIe 高速闪存卡映射到计算节点。iSER 协议为 iSCSI 数据块传输的一个扩展，已成为 IETF 中 iSCSI 协议的正式组成部分，同 SRP 协议一样，它将 iSCSI 数据传输从原来的 TCP/IP 网络实现改为 Infiniband RDMA 来实现，iSER 扩展技术将高速通信技术 Infiniband 扩展到了 iSCSI 网络化存储系统，融合了 iSCSI 技术及 Infiniband 技术优势，比 SAN 延时更低、带宽更高、组网更加灵活。
下图为 iSER 架构与传统 iSCSI 技术的区别。
![](//mc.qcloudimg.com/static/img/1fdb1e77db02b3a7fefa0ae45cac90c8/image.png)
**Multipath：**在 SAN 存储网络中，为访问存储设备提供冗余链路是整个系统的关键技术之一。Multipath 多路径技术是在 Linux 平台下的开源解决方案，多路径集成主要实现了 I/O 流量负载均衡、故障自动切换及恢复以及性能提升等功能，TData 采用 Multipath 多路径 Active/Active 模式，此时 I/O 采用 Round-Robin 方式分摊负载到多路径上，提高数据传输性能，同时当多路径中某一条路径故障时，能够自动切换到存活路径，从而避免了存储链路的单点故障。
下图为 TData 使用的 Multipath 多路径架构。
![](//mc.qcloudimg.com/static/img/24662c5275a7596f0e28ff56ddd27572/image.png)
### ASM
Automatic Storage Management（ASM）自动存储管理器是 Oracle 推荐的存储解决方案，它是文件系统和卷管理器的一体化，专门为 Oracle 数据库文件锁设计，在保证简单管理的基础上提供高性能的异步 IO 能力，具有自动调整 I/O 负载、条带化存储、在线自动负载均衡、自动管理数据库文件、数据冗余等众多特点。
下图为 ASM 在 Oracle RAC 中的部署架构，TData 使用 ASM 作为存储解决方案，ASM 存储数据文件、控制文件、重置日志、闪回日志、spfile 等 Oracle 数据文件。
![](//mc.qcloudimg.com/static/img/b2bd9d28aab16a2f1e677040f04d3499/image.png)
### TMGR
TMGR 为 TData 运维管理组件，系统管理人员只需通过 TMGR 管理数据库实例相关信息，如数据库帐号管理、表空间管理、数据库导入/导出、数据库开启/关闭、备份与容灾等，底层的集群稳定性由腾讯云统一运维，极大降低用户运维成本。
### TMON
TMON 为 TData 监控组件，系统管理员可以通过 TMGR 监控特定实例 Sessions 会话详情、TOP 等待事件、日志流水、数据库存储状态、数据库操作日志等信息，提供异常告警、事件上报等功能。