### 概述
随着游戏数据的爆炸式增长，传统关系型数据库越来越难以满足高并发读写、海量数据的高效率存储和访问、高可扩展性和高可用性等需求。NoSQL 数据库则由于其简单的拓展，快速的读写等优势得到了非常迅速的发展。
腾讯云游戏存储 Tcaplus 借鉴非关系型数据库的设计理念和技术，结合游戏特点，平衡性能和成本，专为游戏数据存储打造。目前已为《王者荣耀》、《穿越火线》、《火影忍者》等千万级 DAU 大作提供了稳定的数据存储服务，依托腾讯云遍布全球五大洲（亚洲、欧洲、北美洲、南美洲、大洋洲）的基础设备服务节点，游戏开发商只需接入一次，便可在全球使用。 

### 产品简介
游戏存储（Tcaplus）是专为游戏设计的 NoSQL 分布式数据存储服务，支持 Protobuf 接口访问，Tcaplus 将 Cache 与硬盘结合，追求高性能的同时，也节省成本，很好地支持全区全服和分区分服，并针对游戏爆发增长和长尾运维特点提供不停机扩缩容、备份容灾、快速回档等全套解决方案，安全可信赖。目前广泛应用于《王者荣耀》、《穿越火线》、《火影忍者》等数百款流行游戏。

### 产品功能
#### Cache 与持久存储结合  
功能介绍：Cache + 磁盘存储，冷热数据自动换入换出。  
用户价值：不需要使用两种数据库，简化应用程序架构。  
#### 支持全区全服  
功能介绍：存储空间无上限，单表最大支持 50TB，不停服扩缩容，支持全区全服、分区分服。  
用户价值：无需考虑存储空间扩容问题。   
#### 支持 PB 访问 
功能介绍：结合 Protobuf 提供灵活的数据访问，支持指定字段的访问与抽取。  
用户价值：大大节省带宽，降低成本。  
#### 快速回档  
功能介绍：快速拉取冷备并行解压，全流程自动化回档，支持数据精准时间点回档，每个节点 300GB 数据冷备，2 小时之内所有节点完成极速恢复。  
用户价值：极速回档，减少故障损失。  
#### 备份容灾  
功能介绍：过载保护；双机热备；每日冷备容灾机制，数据保留达 30 天, Binlog 流水保留 15 天。
用户价值：数据安全保障，轻松应对运营故障。  


### 产品优势

#### 高性能  
内存和硬盘热冷数据 LRU 交换、数据落地 SSD 盘、数据多机分布等保障性能最大化，单机 QPS 达 10 万/秒，时延小于 10 毫秒。

#### 高可用
双机热备容灾机制，保证系统故障时的快速恢复。

#### 低成本  
以内存为主、磁盘为辅的 key-table NoSQL 存储服务，提供进程内数据在内存和磁盘切换的能力，提供多进程之间动态扩容的能力，保证活跃数据保存在内存，非活跃数据存磁盘。比全内存型存储节省约 70% 成本，比 Redis+MySQL 节省约 40%。

#### 动态拓展
存储空间无上限，容量可以根据游戏的实际需要进行动态的扩展和收缩，且不影响游戏运营，轻松应对业务规模急剧变化。

#### 易于使用
支持API接口调用，常用操作（如加表、改表、删表、数据清理等）WEB 化，扩容、缩容、备份等运维操作系统自动化。

#### 专注游戏
支持全区全服和分区分服，并针对游戏爆发增长和长尾运维特点提供不停机扩缩容、备份容灾、快速回档等全套解决方案，安全可信赖，成为最适合游戏的数据存储服务。

#### 全球服务
依托腾讯云全球基础设施，服务能力覆盖全球五大洲20多个国家和地区。
