## 1 应用场景



### 1.1 客户端更新流程

- 启动升级：游戏启动第一个场景，登录之前，主要的升级阶段。

- 灰度升级：登录（选区）之后，辅助升级阶段，经过此升级，指定灰度用户可以使用特定的游戏版本。

![](https://mc.qcloudimg.com/static/img/a217e2af6f71494e62acd8a3474e3da8/1.png)

### 1.2 游戏版本结构
升级版本结构如图分为一条程序版本线（横向），以及每个程序版本下有一条该程序对应的资源版本线。升级关系按版本创建的先后排序。
![](https://mc.qcloudimg.com/static/img/0c4399d343d65e7f9ae914fb61c01a6b/2.png)

### 1.3 版本线上版本属性

![](https://mc.qcloudimg.com/static/img/3ed524f4a92078dc67c2fef5d5719589/3.png)


- 版本线上的节点按照版本线上顺序，不可逆。  

- 每一个版本包含两个用户属性：普通用户属性和灰度用户属性，相互独立。  

- 每个属性有三种类型  
无：表示没有该版本不针对此类用户，初始状态。  
不可用：表示版本对此类用户不可用，需要升级才能进入游戏。  
可用：表示当前状态下，此类用户可以使用此版本进行游戏。  
其中“强制”也属于“可用”：为最低可用版本。

#### 1.4 启动升级阶段  

版本线上的版本根据属性分成两个集合：普通，灰度。

- 本地版本如果属于普通集合（版本属性含有普通可用或普通不可用），则在普通集合中查找升级版本；   

- 如果不属于普通集合，属于灰度集合（版本属性含有灰度可用或灰度不可用），则在灰度集合中查找升级版本；    

- 如果既不属于普通，也不灰度集合，在普通集合中查找升级版本，等同普通用户不可用；  

- 不可用状态下发最新可用版本的强制更新；  

- 当前版本是非最新可用版本（即当前版本可用，但是不是最新的），下发最新可用版本的可选更新；  

- 当前版本是最高可用版本，下发不更新。  

上图表示的意思为：  
1，2 -> 6(强制)  
3，4 ，5 -> 6(可选)  
6 -> 6(不更新)  
7 -> 8(可选)  
8 -> 8(不更新)  

#### 1.4.2 灰度升级阶段  



- 符合灰度策略（当前用户是灰度用户），当前版本不属于灰度可用版本，强制升级到灰度可用最高版本
1，2，3，4，5 -> 8(强制)    



- 符合灰度策略，当前版本属于灰度可用版本不更新  
6，7 ，8->8(不更新)  
  


- 不符合灰度策略（当前用户是普通用户），当前版本不属于普通可用版本，强制升级到可用最高版本    
1，2， 7，8 –> 6(强制)    



- 不符合灰度策略，当前版本属于可用版本不升级  
3，4，5，6 -> 6(不更新)    

注：每个版本还可以指定一个审核属性，表示当前版本处于审核状态，表示任何版本无法升级到此版本，即使带可用属性，此版本可以正常游戏，即当前版本是审核版本的不升级)  

## 2 应用领域
应用领域：游戏版本升级（手游、PC均支持）

## 3 应用对象
游戏开发商、游戏工作室、游戏开发者