## 1. 设备接入
### SDK 接入
腾讯物联云（IoT Hub） C 语言 SDK下载地址：[C SDK](https://mc.qcloudimg.com/static/archive/465bf83bc25eed2658b51e6f8cd1e3a1/mqtt_client_c.zip).
目前支持 C 语言版本的 SDK，更多语言版本 SDK，敬请期待。
### 传输协议
基于 MQTT 协议，可以有效减少网络带宽。
### 安全协议
基于 TLS 协议进行客户端和服务器端的双向鉴权、数据加密传输，防范非法接入和数据窃取、篡改等风险。

## 2. 设备管理
### 生命周期管理
对设备进行注册、删除等操作。
### 设备状态
全程监控设备状态，实时获取变更通知。

## 3. 设备通信
基于 MQTT 协议，设备发布和订阅的 topic 受到严格管理，一个产品下的所有设备具备相同的 topic 权限。
支持 QoS=0 和 QoS=1。

## 4. 设备影子
设备影子本质上是一份在服务器端缓存的设备数据（Json 形式），主要用于保存：
- 设备的当前配置
- 设备的当前状态

作为中介，设备影子可以有效实现设备和用户应用之间的数据双向同步：
1. 对于设备配置，用户应用不需要直接修改设备，只需要修改服务器端的设备影子，由设备影子同步到设备。即使当时设备不在线，设备上线后仍能从设备影子同步到最新配置。
2. 对于设备状态，设备将状态上报到设备影子，用户应用查询时，只需查询设备影子即可。这样可以有效减少设备和服务器端的网络交互，尤其是低功耗设备。

## 5. 规则引擎
### 设备与设备互通
为了实现设备的数据隔离，设备只能发布和订阅自身的 topic 消息。要实现互通，需要基于规则引擎的 repub 功能。
### 设备与用户服务器互通
规则提供简单的 forward 功能，可以将消息通过 HTTP 请求抄送给用户服务器。
### 设备与云服务互通
对于用户需要对设备数据进行进一步处理的场景（如持久化存储、大数据分析），腾讯云目前提供相应的产品（如云数据库、大数据分析套件）。此外，也将支持物联云平台和这些云产品之间的直接打通，敬请期待。
