## 什么是腾讯物联云（IoT Hub）？
腾讯物联云（IoT Hub）服务，旨在提供一个安全、稳定、高效的连接平台，帮助开发者快速且低成本地实现“设备-设备”、“设备-用户应用”、“设备-云服务”之间可靠、高并发的数据通信。腾讯物联云可以实现设备之间的互动、设备的数据上报和配置下发，还可以基于规则引擎和腾讯云产品打通，方便快捷的实现海量设备数据的存储、计算以及智能分析。总的来说，基于腾讯物联云，开发者可以低成本实现“设备-数据-应用-云服务”的连接，快速搭建物联网应用平台。

## 产品架构
![img](https://mc.qcloudimg.com/static/img/be5cf1fd7495f13ca502a49eaee3045f/image.png)

- 用户设备基于 SDK 接入腾讯物联云
  SDK 底层数据传输基于 MQTT 协议，可以有效减少网络带宽。安全方面引入网络安全传输协议（TLS），可以防范非法接入和数据窃取、篡改等风险。

- 用户设备基于 SDK 进行消息的发布和订阅
  为了实现设备数据隔离，目前腾讯云只支持设备级的发布和订阅，但可以通过规则引擎实现设备与其他实体的消息互通。

- 用户可以在控制台配置规则引擎实现设备与其他实体的消息互通
  目前规则引擎支持 repub（重新发布消息）、forward（转发消息到用户服务器）。设备消息和腾讯云其他产品的互通功能仍在建设中，敬请期待。

- 用户可以基于设备影子实现设备与应用之间配置数据、状态数据的双向同步
   一方面，用户可以通过云 API 将配置参数设置到设备影子里，设备在线或上线时，都可以从设备影子获取配置参数。 另一方面，设备可以将最新状态上报到设备影子。用户查询设备状态时，只需查询影子即可，而不必进行与设备进行直接网络通信。

- 用户可以通过云 API 实现设备管理
  腾讯云提供产品、设备等管理接口，可以帮助用户实现自定义功能。
