### 1. SDK

目前支持 C 语言版本的 SDK，更多语言版本 SDK，敬请期待。
具体参见[ SDK 文档](/document/product/634/11929)。

### 2. 设备接入

![img](https://mc.qcloudimg.com/static/img/582e6856508ef0e893b0285866b1d03b/3-1.png)

设备通过 SDK 接入腾讯物联云平台：

- 应用层基于 MQTT 协议，物联云会针对 CONNECT 命令的 username 和 password 字段进行身份鉴权
- 传输层基于 TCP 协议，并在此基础上引入安全网络传输协议（TLS），实现客户端和服务器端的双向鉴权、数据加密传输

腾讯物联云支持 2 种级别的 TLS 鉴权供用户选择：

- 安全级别高
  基于证书、非对称加密算法，适用于硬件规格较高、对功耗不是很敏感的设备。依赖设备证书、私钥，根证书等信息，在物联云创建设备时，会返回相关信息。
- 安全级别一般
  基于秘钥、对称加密算法，适用于硬件规格较低、对功耗敏感的设备。依赖设备秘钥，在物联云创建设备时，会返回相关信息。

### 3. 设备管理

![img](https://mc.qcloudimg.com/static/img/a853b52c3dd9f2bbedef3023e81f3fa2/3-2.png)

一个腾讯云账号下，最多可以创建 2000 个产品，每个产品下最多创建 200000 个设备。一个设备只能隶属于一个产品。产品名和设备名在同一云账号下唯一。

### 4. 权限管理

在腾讯物联云，设备能够发布和订阅的 topic 受到严格管理。一个产品下的所有设备具备相同的 topic 权限，默认包括：

| Topic                                    | 说明                 |
| ---------------------------------------- | ------------------ |
| ${productName}/${deviceName}/update     | 发布权限，用于设备上报数据      |
| ${productName}/${deviceName}/update/error | 发布权限，用于设备上报自身错误信息  |
| ${productName}/${deviceName}/get        | 订阅权限，用于设备获取后台下发的数据 |

举例，一个名字为 pro 的产品下有 2 个设备（名字分别为 dev_1、dev_2），那么 dev_1 可以发布的 topic 包括 pro/dev_1/update、pro/dev_1/update/error，可以订阅的 topic 包括 pro/dev_1/get，但是不可以发布 pro/dev_2/update、pro/dev_2/update/error，不可以订阅 pro/dev_2/get。

用户可以通过控制台进行 topic 权限的编辑修改。腾讯物联云不支持设备订阅包含通配符的 topic。

### 5. 消息管理

![img](https://mc.qcloudimg.com/static/img/24e01a9e0f2c534dcacec016c4bf2b13/3-3.png)

对于 MQTT 的数据传输，腾讯物联云支持 QoS=0 或 1，但不支持 QoS=2。基于 MQTT 协议，

- QoS=0，最多只往设备发一次
  对数据传输可靠性要求一般的场景，请在 Publish、Subscribe 时选择这个 QoS。
- QoS=1，至少让设备收到一次
  对数据传输可靠性要求高的场景，请在 Publish、Subscribe 时选择这个 Qos。

其他参数见下表：

| 参数                        | 说明        |
| ------------------------- | --------- |
| topic 名字长度                 | 不超过 128 字节  |
| 消息长度                      | 不超过 256k 字节 |
| QoS=1 的消息存储时长（接收方离线或在线发不通） | 24 小时      |

### 6. 设备影子

设备影子本质上是一份在服务器端缓存的设备数据（Json 形式），主要用于保存：

- 设备的当前配置
- 设备的当前状态

作为中介，设备影子可以有效实现设备和用户应用之间的数据双向同步：

1. 对于设备配置，用户应用不需要直接修改设备，只需要修改服务器端的设备影子，由设备影子同步到设备。即使当时设备不在线，设备上线后仍能从设备影子同步到最新配置。
2. 对于设备状态，设备将状态上报到设备影子，用户应用查询时，只需查询设备影子即可。这样可以有效减少设备和服务器端的网络交互，尤其是低功耗设备。

下图是“快速开始”里设备影子的应用示例：

![img](https://mc.qcloudimg.com/static/img/7bf7a659ce098b28a700037ff09e123d/3-4.png)![img](https://mc.qcloudimg.com/static/img/d895eaad6f25bf78c8ac2bb2ae8d81d7/3-5.png)

> **注意:**
> 设备影子和设备消息的适用场景并不一样。从实现机制上来说，服务器端设备影子总是保存最后一份数据，而先后达到的多条消息并不会相互覆盖。

1. 对于设备上报数据的场景，设备影子更适用于上报一些设备自身信息（如设备能耗），设备消息更适用于上报设备收集的数据（如测量的温度）
2. 对于设备接收数据的场景，设备影子更适用于通知设备更新配置（如更改目标运行温度），设备消息更适用于设备的实时控制（如让设备向左转 45 度）

参见 [设备影子详情](/document/product/634/11918)。

### 7. 规则引擎

基于规则引擎，用户可以配置规则实现以下操作：

- **设备与设备互通**
  为了实现设备的数据隔离，设备只能发布和订阅自身的 topic 消息（参见 [功能组件 - 权限管理](/document/product/634/11915)）。为了实现互通，需要基于规则引擎的 repub 功能。
- **设备与用户服务器互通**
  规则提供简单的 forward 功能，可以将消息通过 HTTP 请求抄送给用户服务器
- **设备与云服务互通**
  对于用户需要对设备数据进行进一步处理的场景（如持久化存储、大数据分析），腾讯云一方面提供相应的产品（如云数据库、大数据分析套件），另外也即将支持物联云平台和这些云产品之间的直接打通，敬请期待。

参见 [规则引擎详情](/document/product/634/11917)。

### 8. 控制台

控制台提供了可视化的管理界面，用户可以在这里完成：产品管理、设备管理、权限管理、规则引擎配置
具体请进入 [控制台](https://console.cloud.tencent.com/iot/products) 体验，或者参考 [控制台使用手册](/document/product/634/11916)。

### 9. 云 API

目前腾讯物联云提供如下云 API

| 类别     | 列表                                       |
| ------ | ---------------------------------------- |
| 产品相关   | [CreateProduct](https://cloud.tencent.com/document/product/634/12051)、[ListProducts](https://cloud.tencent.com/document/product/634/12054)     |
| 设备相关   | [CreateDevice](https://cloud.tencent.com/document/product/634/12050)、[ListDevices](https://cloud.tencent.com/document/product/634/12053)      |
| 设备影子相关 | [UpdateDeviceShadow](https://cloud.tencent.com/document/product/634/12055)、[GetDeviceShadow](https://cloud.tencent.com/document/product/634/12052)|
| 发布消息相关 | [Publish](https://cloud.tencent.com/document/product/634/12278)|

基于 Python 的云 API 的例子参见 [这里](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/iothub_RestAPI_python.zip)。
