物联云控制台主要包含**产品列表**，**规则引擎**，**日志服务**和**产品文档**四大部分。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_nav.png)

## 1. 产品列表

### 1.1 产品列表概览

产品列表页面展示了所有您建立的产品。连接设备到物联云的第一步需要在此新建一个产品，我们建议为每一类功能不同的设备建立一个产品品类，方便后续管理操作。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_productlist.png)

### 1.2 创建产品

第一步：点击【创建新产品】按钮
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_createproductbtn1.png)

第二步：输入【产品名称】和【产品描述】

字段 | 限制条件 | 特别注意
---|---|---
产品名称 | 字母、数字、下划线的组合，1-128 位且不能为空 | 产品名称新建后无法修改，请谨慎填写
产品描述 | 描述 1-2048 个字 | 可以在任意时候修改

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_createproduct.png)

### 1.3 产品设置

完成新产品创建之后会进入产品详情页面。可以看到产品设置主要包含产品【基本信息修改】，以及【产品的删除操作】。

#### 1.3.1 基本信息

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/niot_productdetail.png)

点击产品描述旁边的【修改】按钮即可进行产品描述修改并【保存】结果。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/niot_editproduct.png)

#### 1.3.2 删除产品

> **注意:**
> 只有该产品下**无设备**的情况下才能删除该产品。例如，在该产品下添加设备之后则不能删除该产品。

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/niot_deleteproduct.png)

### 1.4 设备列表

设备列表页面显示了当前产品内，所有的子设备。您的硬件在连接服务器前必须在此新建设备，以获得设备密码，设备私钥。

#### 1.4.1 创建设备

第一步：进入【设备列表】，单击【创建设备】按钮
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/niot_createdevice.png)

第二步：输入设备名

字段 | 限制条件 | 特别注意
---|---|---
设备名称 | 字母、数字、下划线的组合，1-128 位且不能为空 | 1. 设备名称新建后无法修改，请谨慎填写；2. 同一用户下设备不能重复创建设备。

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_createdevicedialog.png)

> **注意:**
> 设备密码不会保存在云后台，仅在当前对话框显示，关闭后消失，所以需要您切记保存此设备的设备密码。

![创建设备提示](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_devicekey.png)

其他设备相关的管理可以通过点击设备名称或者管理进入【设备详情页面】。

#### 1.4.2 设备详情

设备详情包含单个设备的所有管理内容。 设备名称、设备证书、设备私钥、DeviceID，对称密钥是该设备连接服务器的凭证，您的硬件在连接时需要提供这些信息。

设备私钥是设备连接物联云最重要的凭证，泄露可能会导致使用该套证书和私钥的设备信息被篡改，请妥善保管。
![设备详情页面基本信息](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_devicedetail.png)

#### 1.4.3 虚拟设备
 
虚拟设备显示该设备的云端状态，一般地，设备会上报自己的状态到云端。 控制台拥有修改虚拟设备的能力，修改后设备也可以接收到虚拟设备的更改。

虚拟设备格式为 JSON，要删除虚拟设备某个字段，将其赋值为 null 即可。 例如：
```
{ 
    "power": null 
}
```

请确保修改后的状态设备能正常读取，腾讯云不对 JSON 的具体内容做校验。

第一步：点击【修改】按钮，根据 _**左侧提示**_ 进行设备影子的添加
![查看虚拟设备提示](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_deviceshadowtip1.png)

第二步：点击【保存】
![刷新后](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_deviceshadowedit1.png)

延伸阅读 [设备影子详情](https://cloud.tencent.com/document/product/634/11918)。

#### 1.4.4 删除设备

删除设备将会自动删除设备名称、设备证书、设备私钥，使用该套凭证的硬件将无法正常连接服务器，请谨慎操作。

#### 1.4.5 设备权限列表

可以查看该设备下的权限列表。
![设备权限列表](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/niot_devicepolicy.png)
![设备权限列表详情](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_devicepolicylist.png)

### 1.5 权限列表

区别于设备权限列表，这里是产品层级的权限列表。
![权限列表1](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/niot_productpolicy.png)

#### 1.5.1 定义 Topic 权限

第一步：点击【定义 Topic 权限】按钮
![权限列表按钮](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/niot_createproductpolicy.png)

第二步：输入【操作名称】和【设备操作权限】，完成之后点击【创建】即可。

字段 | 限制条件 | 特别注意
---|---|---
操作名称 | 名称为字母、数字、下划线、斜杆的组合，1-128位且不能为空 | 可以在任意时候修改
操作权限 | 订阅，发布，订阅和发布 | 可以在任意时候修改

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_policydialog.png)

#### 1.5.2 删除产品权限

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/niot_deleteproductpolicy.png)

#### 1.5.3 权限管理

可以对【操作名称】和【设备操作权限】进行修改。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/niot_editproductpolicy.png)

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_policyeditdialog.png)

## 2. 规则引擎

### 2.1 规则引擎概览

用途：规则引擎用于处理接收到的设备消息，如转发消息到另一个 Topic、转发消息到第三方服务器等。

第一步：点击【新建规则】按钮
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_createrulebtn.png)

第二步：输入【规则名称】和【规则描述】

字段 | 限制条件 | 特别注意
---|---|---
规则名称 | 字母、数字、下划线的组合，1-128位且不能为空 | 规则名称新建后无法修改，请谨慎填写
规则描述 | 描述1-2048个字 | 可以在任意时候修改

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_createruledialog.png)

第三步：自动进入【规则详情】页面
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_ruledetail.png)

### 2.2 规则引擎详情

规则引擎详情主要由四大部分组成：【基本信息】，【条件】，【行为】，【删除规则】

基本的创建流程：
1)  填写从原始 Topic 消息里面截取的内容信息
2)  填写源头目标 Topic
3)  行为分为 republish（产生新的 Topic 消息的 Topic 名字）；forward(调用第三方 restAPI 路径)
4)  新的 Topic 名字/第三方 restAPI url
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_ruleall.png)

#### 2.2.1 基本信息

点击规则描述旁边的【修改】按钮即可进行产品描述修改并保存结果。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_ruledes.png)

#### 2.2.2 条件

规则由 _**SQL SELECT语句**_ 、_**Topic过滤器**_ 、 _**行为**_ 三部分组成。

1) SQL SELECT 语句声明了从消息中提取哪些内容；
2) Topic 过滤器声明了规则作用于哪些 Topic；
3) 行为声明了如何处理满足条件的消息。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_rulecondition.png)

#### 2.2.3 行为

规则引擎支持两种行为：

| 行为 | 用途 | 
|---------|---------|
| republish | 把消息转发到另一个Topic |
| forward | 把消息转发到第三方服务器 |

点击【添加行为】按钮，可以创建相应的行为。
创建**republish**行为
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_rulerepublish.png)

创建**forward**行为
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_ruleforward.png)

可以在【行为】中看到创建的行为。
 ![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_ruleaction.png)

#### 2.2.4 删除规则

这里可以点击删除按钮对规则进行对应的操作。

延伸阅读 [规则语法和用法](https://cloud.tencent.com/document/product/634/11917)。

## 3.日志服务

### 3.1 日志服务概览

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_logserver.png)

### 3.2 日志服务查询

1) 时间查询：点击【时间】面板选择需要查看的日志时间范围，包括近15分钟，近1小时，近4小时，近一天以及自定义时间。
2) 关键字查询：在【搜索框】中输入查询关键词，多关键词可以用 _**英文分号**_ 分隔。回车或者点击【日志查询】按钮即可进行日志查询。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/iot_logserver_search1.png)

## 4. 产品文档

点击左侧产品文档链接即可进入   [物联云产品文档](https://cloud.tencent.com/document/product/634) 页面查看相关说明。

