## 1. 设备影子组成

设备影子是服务器端为设备缓存的一份状态和配置数据。它以 Json 的形式存储，有以下部分组成：

![thing_shadow](https://mc.qcloudimg.com/static/img/8f25a2c4233e8d1dd2446d6201b8e892/iot_thingshadow.png)

**reported**
该结构包含设备自身上报的状态，业务后台可以通过云 API 获取查询当前设备状态。

**desired**
该结构包含希望变更到设备的配置，业务后台可以通过云 API 设置这里的配置项，设备 SDK 通过注册相关属性和回调，同步云端影子数据。

**metadata**
该结构包含设备影子的元数据信息。包括各属性项的最后更新时间、影子版本号等。

举个例子，我们期望空调设备上报自身的能耗，可由 App 端查看，那么这部分数据由 shadow 的 reported 部分承载，而同时我们期望能给空调配置设定温度，动态调节室温，则需要将这个配置数据存在 shadow 的 desired 部分，meta 反映了各个属性数据的最后更新时间和版本信息：
```
state:
{
	"reported": {
		"energyConsumption": 188
	},
	"desired": {
		"temperatureDesire": 100
	}
}
metadata:
{
	"metadata": {
		"reported": {
			"energyConsumption": {
				"timestamp": 1506651213749
			}
		},
		"desired": {
			"temperatureDesire": {
				"timestamp": 1506651200568
			}
		}
	},
	"timestamp": 1506651214853,
	"version": 202
}
```
`energyConsumption` 是空调主动上报的能耗，可供查询。
`temperatureDesire` 是 App 下发的配置，期望空调调节的温度。

## 2. 影子相关的操作

下图简要解释了设备影子在数据上报和配置下发时候，涉及的 SDK 相关接口和 restAPI 调用接口：

![thingshadow_rule](https://mc.qcloudimg.com/static/img/22e0d7f98a619ece3feb81da9261147a/iot_thingshadow_rule.png)
