进一步地，我们可能需要如下功能：
![shadow_get_update](https://mc.qcloudimg.com/static/img/6ba8645ccd5d07eb8cc1a1fcede5ce6b/2-1.png)
## 1. 设置目标温度
### 1.1 解决方案
![update_shadow](https://mc.qcloudimg.com/static/img/62cd3183a1932dacee4f4ff81487758b/2-2.png)

管理后台通过物联云提供的云 API 接口，更新设备影子的配置属性，设备注册相关属性和关联对应的回调函数执行本地配置更新处理。
通过云 API 操作设备影子的相关接口案例实现，请下载 [iothub_RestAPI_python.zip](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/iothub_RestAPI_python.zip)，用户需根据《 RestAPI 操作说明》配置个人信息。通过修改 RestAPI 文件夹下 airConditionerCtrl.py 参数实现自定义功能。

### 1.2 操作步骤
#### 1.2.1 SDK 程序实现
设备影子相关使用 sample/airconditioner/airconditioner_v2.c 的代码逻辑。它在 sample/airconditioner/airconditioner.c 添加如下逻辑：
作为样例，SDK 内部调用 `IOT_Shadow_Register_Property` 对 shadow 的配置类属性和回调函数进行绑定。当 shadow 有该属性的配置变更时候，SDK 底层会执行相应的回调处理。这里注册了 shadow 里面“temperatureDesire”字段，意味着当 app 对设备影子设置目标温度的时候，能通过回调函数更正本地的配置数据，调整期望温度。用户可实现自定义的配置型属性监听和回调绑定。

```
rc = _register_config_shadow_property();
```

#### 1.2.2 程序编译与执行

1) 在 SDK 程序 samples/airconditioner 下执行 make，编译得到 airconditioner_v2 可执行程序；
2) 执行 ./airconditioner_v2，注意如果用 MQTT 非对称加密方式，请保证根证书、设备证书和设备秘钥文件在 ../../certs 上层目录下
3) 执行 ./door come_home airConditioner1，让 airConditioner 处于运作状态。
![执行结果](https://mc.qcloudimg.com/static/img/c14e96de774a1ab8cd26c9bf2645a81c/2-3.png)
日志表明 airConditioner1 已经顺利注册该配置型属性的 delta topic，可以同步来自 app 的配置下发修改。

4) 调用 restAPI 模拟家电管理后台发布目标温度配置：
restAPI 请求参数：`deviceName=airConditioner1, state={"desired" : {"temperatureDesire": 10}}, productName=AirConditioner`, 期望调整控制温度为 10°。
![update_device_shadow](https://mc.qcloudimg.com/static/img/eec60713797e653d4eba08eacace8159/2-4.png)
从上面 airConditioner1 输出日志，可见配置操作生效，airConditioner 调节本地的配置温度。

## 2. 查询设备信息
### 2.1 解决方案
![get_device_shadow](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/iot_get_device_v2.png)

设备通过上报自身状态数据到设备影子，家电管理后台通过 restAPI 接口直接从设备影子获取数据。
### 2.2 操作步骤
#### 2.2.1 SDK 程序实现
作为样例，SDK 代码 sample/airconditioner/airconditioner_v2.c 里面，通过下面函数调用 `IOT_Shadow_Update` 对能耗状态上报到设备影子。并且注册相应的回调函数处理设备影子的回应。用户可在此自定义上报属性。

```
_do_report_energy_consumption(...)
...
IOT_Shadow_Update(...)
```

#### 2.2.2 程序编译与执行
1) 执行 ./airconditioner_v2，注意如果用 MQTT 非对称加密方式，请保证根证书和设备证书和设备秘钥文件在 ../../certs 上层目录下。

2) restAPI 通过 GetDeviceShadow 接口可获取到 shadow 的状态数据，用于 app 展示设备能耗状态，SDK 用于获取 airConditioner1 上报的总能耗数据：
restAPI 请求参数：`deviceName=airConditioner1, productName=AirConditioner`
![get_device_shadow_v1](https://mc.qcloudimg.com/static/img/056271af1bc4dc824ab479d2f0f0a9f2/2-6.png)
3) 执行 ./door come_home/leave_home airConditioner1，door1 与 airConditioner1 通信通过规则引擎驱动 airConditioner1 开启运作。能从日志观察能耗和室温相关的上报变化, 再次通过 restAPI 获取 shadow 数据：
![get_device_shadow_v2](https://mc.qcloudimg.com/static/img/7d77a73318f7e73c5bce349a2ccb9aac/2-7.png)
可见当 airConditioner1 运作后，空调能耗被动态上报到了 shadow 中，可顺利通过 restAPI 查询获取。
