
## SDK 描述
CreateAudit 用于创建云审计（CloudAudit）。
## SDK 使用参数


|参数名称|必选|类型|描述|
|---------|---------|---------|--------|
|IsMultiRegionAudit	|否|	Number	|是否开启多地域采集（0 不开启，1 开启）|
|KmsKeyId	|否|	String	| KMS 的 scretId 用于数据加密|
|Name	|是|	String	|CloudAudit 的名字，3-128 字节，只能包含 ASCII 编码字母 `a-z，A-Z`，数字 `0-9`，下划线 `_`|
|CosBucketName	|是|	String	|要投递的 COSBucket 的名称（命名规范参照 COS 的命名要求）|
|CosKeyPrefix	|否|	String	|COS 存储桶的前缀（命名规范参照 COS）|
|CmqTopicName	|否|	String	|Cmq 的名字，如果开启消息队列请填写（命名规范参照 CMQ 要求）|
> **注意：**
> 此处每个用户只能创建 50 个 CloudAudit 。


## 响应参数


| 参数名称 | 类型 | 描述 |
|---------|---------|---------|
| IsMultiRegionAudit | Number | 是否开启多地域采集（1 代表是，0 代表否） |
| KmsKeyId | String | Kms 密钥 ID |
| Name | String | CloudAudit 名称 |
| CosBucketName | String | 	COS Bucket 名称 |
| CosKeyPrefix | String | COS Bucket 前缀 |
| CmqTopicName | String | CMQ 主题名称 |

## 实际案例
### SDK 使用示例

```
$config = array('SecretId'       => '你的secretId',
                'SecretKey'      => '你的secretKey',
                'RequestMethod'  => 'GET',
                'DefaultRegion'  => 'gz');
$ca = QcloudApi::load(QcloudApi::MODULE_CA, $config);
$package = array('IsMultiRegionAudit ' => 1, 'Name' => 'ayisunxxx','CosBucketName'=>'sundehuixxx');
$a = $ca->CreateAudit($package);
if ($a === false) {
    $error = $ca->getError();
    echo "Error code:" . $error->getCode() . ".\n";
    echo "message:" . $error->getMessage() . ".\n";
    echo "ext:" . var_export($error->getExt(), true) . ".\n";
} else {
    var_dump($a);
}
echo "\nRequest :" . $ca->getLastRequest();
echo "\nResponse :" . $ca->getLastResponse();
echo "\n";
```
### 响应示例

```
{
    "IsMultiRegionAudit": "1",
    "KmsKeyId": "",
    "Name": "ayisunxxx",
    "CosBucketName": "sundehuixxx",
    "CosKeyPrefix": "91000000009",
    "CmqTopicName": ""
}
```

