Monitor Overview allows you to access the overall monitoring information of your cloud products, and Monitoring Statistics displays the statistics of some monitored objects for a certain period, including the following aspects.

## Number of Unrecovered Alarms
The number of unrecovered alarms in the last month is displayed, and the alarms are aggregated by alarm policy type. The order of policy types is: CVM, Cloud Database (MySQL), VPN tunnel, CDN domain, Cloud Database (Redis), Cloud Database (SQL Server), Cloud Database (TDSQL), Cloud Database (MongoDB) and CDN project.

## CVM Load Statistics for the Past Seven Days

The load information of the CVMs for the past seven days until the current time is displayed. The load is calculated based on the CVM metric `CPU utilization`: a CPU utilization of a CVM instance exceeding `80%` is considered high load, below `10%` as low load, and the rest as normal load.

The figure shows the number of CVMs with high, medium and low load respectively for the latest seven days. Tencent Cloud's Cloud Monitor backend will check once a day whether there are high or low load CVMs, and display the result in the form of a curve.

## Details of High Load CVMs for the Past 7 Days
The details of the high load CVMs for the past 7 days until the current time are displayed. The load is calculated based on CVM metric `CPU utilization`: a CPU utilization of a CVM instance exceeding `80%` is considered high load.

- High load duration: The cumulative time for the CVM in a high load state for the past seven days.
- High load times: The cumulative number of times for the CVM to transfer from other states into a high load state for the past seven days.

With these information, you can quickly check the CVM abnormalities for troubleshooting to ensure stable service operation.

## Public Network Bandwidth Statistics for the Past Hour
The overall public network bandwidth data for **all CVM instances** under the user account (not including the public network bandwidth generated by other products) for the past hour is displayed. Users can know how the server cluster provides services for the public through the data, and properly estimate the corresponding network costs.

If you need more public network bandwidth data, you can view the information in ["Data Usage Monitoring" tab](https://console.cloud.tencent.com/monitor/flow) on the Cloud Monitor console.
