本文档介绍便于您了解和使用腾讯云云监控的核心术语和概念。

## 指标

指标是云监控的核心概念，表示一个向云监控发送的按时间排序的数据点集合，您可以按时间序列来检索关于这些数据点的统计数据。指标作为监控的变量，指标数据代表该变量随时间变化的值。例如，云服务器的 CPU 利用率是一个指标，云数据库的空间占用率则是另一个指标。

指标数据可以来自任何产品、应用程序或业务。例如，指标可以是云服务器的CPU利用率或是用户业务的进程延时。指标通过名称、命名空间以及一个或多个维度进行唯一定义。每个数据点都有一个时间戳和一个度量单位（可选）。对云监控存储的指标数据发起请求时，返回的数据流通过命名空间、指标名称和维度进行识别。


## 命名空间
命名空间是指标的容器。不同命名空间中的指标彼此独立，因此来自不同应用程序的指标不会被错误地聚合到一起。


## 维度
维度是对监控对象进行唯一标识的 Key/Value 对，指标在确定维度值后才有意义。维度有助于设计统计数据聚合结构。例：机器IP、进程名proc_name，两个维度值确定后，即可确定一个监控对象：监控对象A（IP=1.1.1.1&proc_name=test）。您需要在将云产品指标数据放入云监控时指定相应维度（系统预设的指标均已预设了相应的维度），在检索时使用没有定义的维度会出现错误。

## 时间戳

在云监控中每个指标数据点必须有一个时间标记，表示此原始数据采集的时间。在请求中使用的时间戳必须为 dateTime 对象，并包含完整的日期及小时、分钟和秒，例如：2000-01-31 23:59:59，建议您以北京时间（东八时区）提供时间戳。


## 单位

单位是指标原始数据的度量单位，应用程序根据数据单位得到有用的语法信息。例如，CVM的外网出方向带宽指标的单位是Mbps，因为网络带宽常以兆比特每秒（Mbps）来衡量当前网络速度。下方列表提供了一些云监控支持的常见单位：

- 秒（时间单位）
- Byte（字节，常表示数据大小。 1 Byte=8 bit ）
- bit（比特，数据的最小单位。）
- %（百分比）
- 次（计数单位）
- Bps（每秒字节数）
- bps（每秒比特数）

## 时间段

时间段是云监控统计数据的间隔时间长度，每个时间戳数据代表在指定时间段内对收集的所有数据进行聚合的结果。尽管时间段以秒表示，但是时间段的最小粒度为一分钟。因此，您指定的时间段值应为 60 的倍数。例如，要指定六分钟的时间段，应该使用值 360。

调用云监控 API 时，可以通过 period 参数指定时间段长度。调用 [GetMonitorData 接口](https://cloud.tencent.com/doc/api/405/4667#5.1-.E4.BA.91.E6.9C.8D.E5.8A.A1.E5.99.A8) 获取监控数据时，period、startTime 和 endTime 参数的值决定了将会返回的数据数量。例如，以所有参数的默认值调用时会返回前一小时内每五分钟的统计数据，即总共 12 个数据点。如果想要以 10 分钟为一块来聚合统计信息，则将 period 设为 600；对于一个完整小时内聚合的统计信息，应将 period 值设为 3600。

时间段同样是告警功能的重要组成部分。当您创建告警触发条件时，需要将指标与您提供的阈值进行比较，用户可以指定监控数据必须满足多个连续时间段后才发送告警。

## 告警
告警管理是腾讯云给用户的监控告警服务中的一项功能，对云资源的异常情况进行告警，并提供告警信息查看、告警自定义阈值和告警订阅。根据您自定义阈值每隔若干个时间检查，若达到告警触发条件，则马上为您发起通知。

## 告警策略
告警策略是一系列告警触发条件的集合。告警策略和项目、策略类型关联，每类策略类型每个项目最多创建15条告警策略。

告警策略包含告警触发条件、告警对象、告警接收组。配置完成后，探测到告警后会按照用户设置的告警发送策略给用户通过短信、邮件等渠道发送告警信息。

## 告警接收组
告警接受组可以包含一个或多个用户。在告警设置中，均通过“告警接收组”发送告警通知。每一个告警策略，根据预先设定的告警接受组在到达告警阈值时向告警组用户发送通知。用户信息和告警接收方式在用户中心，权限设置添加。

## 告警接收方式
异常发生时通知用户的方式。包括短信、邮件等。


