当用户需要针对某个产品的某个状态发送告警时，需要先创建告警策略。告警策略包括名称、类型和告警触发条件三个必要组成部分。您可以根据以下指引进行告警策略的创建：

1. 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击【云监控】-【我的告警】选项卡，点击【告警策略】菜单。

2. 在告警策略列表页上点击【新增告警策略】按钮。需要注意的是，告警策略列表中【已应用】字段展示该告警策略已经 [关联的告警对象](/doc/product/248/6216) 个数。若已应用数值非 0，则不可删除该策略，解除所有告警对象与该策略关联后，才可删除该策略。

3. 设置告警触发条件

   在新增告警策略弹出框中，输入策略名称、选择策略类型（要作用的产品）并选择告警触发条件。

   * 告警触发条件是指标、比较关系、阈值、统计周期和持续周期组成的一个有语义的条件。比如指标为 `CPU利用率` 、比较关系为 `>` 、阈值为 `80%` 、统计周期为 `5 分钟` 、持续周期为 `2 个周期` 表示：每 5 分钟收集一次CPU利用率数据，若某台云服务器的 CPU 利用率连续两次大于80%则触发告警。
   * 每个告警策略组是一系列告警规则的集合。
   * 告警触发条件是“或”关系，即一个条件满足，就会发送告警。

   > 注：
   >
   > 云服务器告警需要云服务器实例[安装监控控件](/doc/product/248/6211)上报监控指标数据后才能正常发送。在云产品监控页面可以查看未安装监控 agent 的云服务器，并下载 IP 列表。

4. 设置重复通知策略

   您可以为您的每一条告警规则设置重复通知策略。即当告警产生时，您可以定义告警以特定的频率重复通知。

   可选：不重复、5分钟、10分钟、周期指数递增...等重复频率

   注：周期指数递增的含义是当该告警第1次、第2次、第4次、第8次...第2的N次方次被触发时，向您发送告警信息。意义是告警信息发送时长间隔将越来越长，一定程度上避免重复告警对您的骚扰。

   > 重复告警默认逻辑：
   >
   > 告警产生后的24小时内，将按您设定的重复通知频率重复给您发送告警信息。
   >
   > 告警产生满24小时，将默认切换为1天通知1次的策略进行重复通知。
   >
   > 告警产生满72小时，发送最后一次告警信息，过后不再重复发送此条告警的告警信息。

5) 您可以将已有的策略设为默认告警策略。新购买的云主机会自动关联默认策略。
![](http://mccdn.qcloud.com/img568a63ffe4329.png)

>注:
>- 每种策略类型每个项目仅有一个默认策略。
>- 设置为默认的告警策略不可删除。
>- 为方便用户操作，云监控会自动创建默认云服务器策略（告警触发条件为磁盘只读、ping不可达）和默认云数据库策略（磁盘占用空间 > 90MB或磁盘使用率 >80% 持续 5 分钟）