在某些产品状态改变时，可以创建告警来及时通知您采取措施。告警在一定周期内监控某些特定指标，并根据相给定阈值每隔若干个时间段发送告警。

告警包含以下几个组成部分：

- 告警触发条件（什么条件下发送告警）
- 告警对象（哪个对象发出告警）
- 告警接收组（谁接到告警）
- 告警接收方式（怎么接收告警）

您可以从此部分了解如何对一个或多个对象创建告警，并选择需要接收告警的对象。

## 基本概念
| 术语          | 定义                                       |
| ----------- | ---------------------------------------- |
| 告警策略类型      | 策略类型用于标识策略分类，类型与云产品对应。例如：当您选择云服务器策略，即可自定义 CPU 使用率、磁盘使用率等指标告警 |
| 告警规则        | 告警规则对应具体监控指标。例如：云服务器策略类型会包含多条告警规则：磁盘使用率告警、ping 不可达告警、内存使用率告警等 |
| 策略类型与告警规则关系 | 策略类型包含多个告警规则，是一系列告警规则的集合。例如：云服务器策略包含磁盘使用率告警、ping 不可达告警、内存使用率告警等 |
| 告警策略组       | 告警策略组是一系列告警规则的集合。告警策略和项目、策略类型关联，每类策略类型每个项目最多创建 15 个告警策略组 |
| 默认策略组       | 每个项目下、每个策略类型有且仅有一个默认策略组，用户购买机器后系统将自动创建，默认策略组可以修改，不可删除。注：目前系统默认创建的告警策略，还需要用户为默认策略组绑定告警接收组后才可接收到默认告警策略发出的告警信息。 |

## 告警的状态
<table class="t">
<tbody><tr>
<th> <b>告警状态</b>
</th><th> <b>说明</b>
</th></tr>
<tr>
<td> <b>未恢复</b>
</td><td> 没有被处理或正在被处理的告警。
</td></tr>
<tr>
<td> <b>恢复</b>
</td><td> 已经恢复正常状态。
</td></tr>
<tr>
<td> <b>数据不足</b>
</td><td> 产生告警的告警策略已被删除。<br>云服务器从一个项目迁移至另一个项目。<br>未安装或者卸载云监控控件，无数据上报。
</tbody></table>