### 告警类型

腾讯云监控告警分为四类：基础监控告警、云拨测告警、自定义消息告警、自定义监控告警

| 告警类型    | 含义                                       |
| ------- | ---------------------------------------- | 
| 基础告警    | 包括云服务器CPU使用率、磁盘使用率等等腾讯云开放的基础监控指标的告警。     |
| 云拨测告警   | 即用户在[云拨测](https://cloud.tencent.com/document/product/280)控制台配置的拨测任务产生的告警。 |
| 自定义消息   | 即用户使用云监控的[自定义消息](https://cloud.tencent.com/document/product/248/6218)服务产生的告警。 |
| 自定义监控告警 | 即用户使用云监控的[自定义监控](https://cloud.tencent.com/document/product/248/6214) |

## 告警渠道

目前腾讯云开放两种告警渠道，分别为：短信、邮件。

所有告警都默认通过这两种渠道发送，如用户只收到短信/邮件，可至腾讯云控制台查看该用户的邮箱/手机是否正确配置和验证。

目前短信渠道有配额限制，邮件渠道没有配额限制；一个渠道的配额耗尽后，将不再通过这个渠道发送告警。

## 短信配额

目前腾讯云的短信告警渠道有配额限制，配额分为免费配额和用户自助购买的增量配额。

当月短信配额耗尽后，系统将通知用户，当月告警将不会再通过短信渠道发送，邮件渠道不受影响。

短信配额支持用户购买，若免费配额数量不满足用户需求，可通过购买短信配额增加配额数量。

#### 配额类型

| 配额类型 | 含义                         |
| ---- | -------------------------- |
| 免费配额 | 每个月提供固定数量的免费短信配额用于告警短信的发送。 |
| 增量配额 | 免费配额不满足用户需求，用户自行购买的增量短信配额。 |

#### 免费配额详情

| 告警类型    | 免费配额数量  | 免费配额发放逻辑                       |
| ------- | ------- | ------------------------------ |
| 基础告警    | 1000条/月 | 每月1号重置配额，无论上个月是否使用完毕，都重置为1000条 |
| 云拨测告警   | 1000条/月 | 每月1号重置配额，无论上个月是否使用完毕，都重置为1000条 |
| 自定义消息   | 1000条/月 | 每月1号重置配额，无论上个月是否使用完毕，都重置为1000条 |
| 自定义监控告警 | 1000条/月 | 每月1号重置配额，无论上个月是否使用完毕，都重置为1000条 |

#### 增量配额计费模型

各个告警类型的增量短信配额也独立计数，需要分别购买基础告警、云拨测告警、自定义消息、自定义监控告警的配额。

目前自定义消息与自定义监控告警的配额暂不支持购买。

| 购买增量配额数量     | 增量配额价格 |
| ------------ | ------ |
| <100条        | 0.055  |
| ≥100条，<500条  | 0.052  |
| ≥500条，<1000条 | 0.050  |
| ≥1000条       | 0.045  |

> 扣减逻辑：发送告警短信时，优先扣减免费短信配额；免费短信配额扣完后，才会扣减用户的增量配额
>
> 配额有效期：告警配额长期有效，已购买的配额没有使用的时间限制

#### 配额计数逻辑

1. 各个告警类型之间的配额相互独立，分别计数；即每个开发商、每月、每个告警类型有固定的免费告警短信配额。一个告警类型的短信配额耗尽，不影响另一个告警类型的告警短信发送。

2. 以用户实际接收到的短信数量扣除配额量，如用户为一个告警消息配置了10个接收人，即这次告警发生后会发10条告警短信给10个接收人，相应短信配额也会扣除10条。

   注：若用户使用了重复告警的功能：一个告警配置了一个告警接收组，接收组中有10个用户，告警按1小时重复发送，如果这条告警持续24小时，那么将消耗10*24=240条短信。使用重复告警功能时需注意短信的消耗量。

3. 发送告警短信时，优先扣减用户的免费短信配额；免费短信配额耗尽才会扣减增量短信配额。


