
腾讯云云监控为云服务器实例（CVM）提供以下监控指标：

| 指标中文名   | 指标英文名              | Linux下含义                                 | Windows下含义                    | 单位   | 维度           |
| ------- | ------------------ | ---------------------------------------- | ----------------------------- | ---- | ------------ |
| CPU利用率  | cpu_usage          | CPU处于非空闲状态的百分比，取/proc/stat数据计算得出         | CPU处于非空闲状态的百分比                | %    | unInstanceId |
| CPU平均负载 | cpu_loadavg        | 1分钟取/proc/loadavg的第一列数据\*100，云监控5分钟粒度数据是1分钟数据求最大值 | 无                             | -    | unInstanceId |
| 内存使用量   | mem_used           | 取/proc/meminfo的Memtotal、MemFree差值        | 同理取差值                         | MB   | unInstanceId |
| 内存利用率   | mem_usage          | 除去缓存、buffer和剩余，用户实际使用内存与总内存之比            | 除去缓存、buffer和剩余，用户实际使用内存与总内存之比 | %    | unInstanceId |
| 内网出带宽   | lan_outtraffic     | 内网网卡的平均每秒出流量                             | 内网网卡的平均每秒出流量                  | Mbps | unInstanceId |
| 内网入带宽   | lan_intraffic      | 内网网卡的平均每秒入流量                             | 内网网卡的平均每秒入流量                  | Mbps | unInstanceId |
| 内网出包量   | lan_outpkg         | 内网网卡网卡的平均每秒出包量                           | 内网网卡网卡的平均每秒出包量                | 个/s  | unInstanceId |
| 内网入包量   | lan_inpkg          | 内网网卡网卡的平均每秒入包量                           | 内网网卡网卡的平均每秒入包量                | 个/s  | unInstanceId |
| 外网出带宽   | wan_outtraffic     | 外网网卡的平均每秒出流量                             | 外网网卡的平均每秒出流量                  | Mbps | unInstanceId |
| 外网入带宽   | wan_intraffic      | 外网网卡的平均每秒入流量                             | 外网网卡的平均每秒入流量                  | Mbps | unInstanceId |
| 外网出包量   | wan_outpkg         | 外网网卡网卡的平均每秒出包量                           | 外网网卡网卡的平均每秒出包量                | 个/s  | unInstanceId |
| 外网入包量   | wan_inpkg          | 外网网卡网卡的平均每秒入包量                           | 外网网卡网卡的平均每秒入包量                | 个/s  | unInstanceId |
| 磁盘读流量   | disk_read_traffic  | 平均每秒把数据从磁盘读到内存的数据量，取所有分区最大值              | 平均每秒把数据从磁盘读到内存的流量，取所有分区最大值    | KB/s | unInstanceId |
| 磁盘写流量   | disk_write_traffic | 平均每秒把数据从内存写到磁盘的数据量，取所有分区最大值              | 平均每秒把数据从内存写到磁盘的数据量，取所有分区最大值   | KB/s | unInstanceId |
| 磁盘使用率   | disk_usage         | 磁盘已使用空间的百分比，分区展示                         | 磁盘已使用空间的百分比，分区展示              | %    | unInstanceId |
| 磁盘IO等待  | disk_io_await      | 平均每次设备I/O操作的等待时间，取所有分区最大值                | 平均每次设备I/O操作的等待时间，取所有分区最大值     | ms   | unInstanceId |

有关更多如何使用云服务器的监控指标内容，可以查看云监控 API 中的[读取监控数据接口](https://cloud.tencent.com/doc/api/405/4667)。
