本文档为第一次使用云监控的用户提供了基本的指引，用户可以了解到如何查看云服务的实时及过往监控数据以及如何针对某些云服务对象设置告警。

假设您需要查看位于上海地域的实例 ID 为 `ins-12345678` 的云服务器实例在过去 7 天的外网出带宽（即由云服务器发往 Internet 的带宽）趋势，并确定若监测到其大于 `2Mbps` 立即发送短信告警到号码 `12345678888`，完成下面的示例即可达到目标。

## 开始设置
要使用腾讯云云监控，您首先需要在您的腾讯云帐号下使用使用腾讯云服务（例如云服务器），这样才能自动生成可在云监控控制台中查看的指标数据。

登录[腾讯云控制台](https://console.cloud.tencent.com)，在控制台顶部选择【云监控】就进入云监控控制台，可以查看相关服务的监控内容。包括查看左侧导航区提供的 4 个主要功能：监控概况、我的告警、云产品监控、流量监控。

## 查看监控概况
监控概况展示了您帐号下的总体监控信息，包括了核心异常情况、自定义监控视图和监控统计几部分。您可以在此模块获取云服务的基本信息。

## 查看云产品监控视图
1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击【云监控】-【云产品监控】-【云服务器】选项卡，右侧列表将展示出所有云服务器实例及其当前时间的实时数据。

2) 选择上方【华东地区（上海）】地域，点击 `ins-1234578` 的实例 ID 进入实例监控详情页，点击左侧【外网出带宽】选项，在表格上方的显示时间范围处选择【近 7 天】或使用选择器选择具体时间段，即可看到过去 7 天外网出带宽的变化趋势。

## 设置告警
1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击【云监控】-【我的告警】选项卡，点击【告警策略】菜单。

2) 在告警策略列表页上点击【新增告警策略】按钮。在新增告警策略弹出框中，输入：
- 策略名称：Bandwidth alarm
- 策略类型：云服务器
- 告警触发条件：`外网出带宽` `>` `2Mbps` `1 分钟` `1 个周期` `5 分钟重复通知`

3) 点击【创建】按钮。

4) 在告警策略列表页中，点击刚刚创建的 `Bandwidth alarm`，在详情页中选择【上海】，点击【新增关联】按钮选择云服务器实例`ins-12345678`，点击【应用】按钮。

5) 点击【管理告警接收组】按钮，点击弹出框上方提示语的【用户中心】，进入用户中心。

6) 在用户管理选项卡中点击【新建用户】按钮，输入所有必选信息（包括手机号 `12345678`），并验证手机和邮箱。

7) 在用户组管理选项卡中点击【新建用户组】按钮，新建一个单独的用户组，点击确定后在列表该用户组后点击【添加用户】，把刚刚创建的用户添加到本用户组。

8) 返回[云监控控制台](https://console.cloud.tencent.com/monitor/overview),点击【云监控】-【我的告警】选项卡，点击【告警策略】菜单，在告警策略列表页中，点击刚刚创建的 `Bandwidth alarm`，在详情页中点击【管理告警接收组】按钮，勾选刚刚创建的用户组。