命令行工具支持所有云 API，亦即：所有具有云 API 的产品都能使用命令行工具进行操作和管理。详细的命令模块和对应接口可以参考下面的描述和 [腾讯云API文档](https://cloud.tencent.com/doc/api)。

## 基本命令
|    命令               | 命令介绍               | 支持参数及说明 |
| -------------------- | -----------------  |------ | 
|qcloudcli help 		| 主命令的帮助查看    |无      |
|qcloudcli configure    | 设置特定用户信息  |--profile XX 设置名为XX的用户信息；若该参数为空，则设置默认账户信息|
|qcloudcli showconfigure| 查看当前的配置信息  |无      |
|qcloudcli addprofile   | 添加用户        |--name XX 增加名为XX的用户信息；若该参数为空，则需要用户手动输入用户名称      |
|qcloudcli delprofile   | 删除用户        |--name XX 删除名为XX的用户信息|
|qcloudcli useprofile   | 切换用户      |--name XX 将名为XX的用户作为默认用户|

## 扩展能力
### 过滤结果      
```
qcloudcli <command> <operation> --filter XX 
```
以XX作为条件过滤返回结果 [>>详细](https://cloud.tencent.com/document/product/440/10532)|

## 各模块介绍
腾讯云命令行工具是基于腾讯云 API 封装的一个便于开发者使用的产品，每个命令模块对应 API 不同的模块，命令模块下的接口同 云 API 的接口。更详细的接口说明请查看[腾讯云API文档](https://cloud.tencent.com/doc/api)

| 主命令模块            | 介绍                | 部分接口  							    |更多API接口                                             |
|:----------------------| :-------------------|:----------------------------------------|:-------------------------------------------------------| 
|qcloudcli account      |用户账号相关命令     |包括新增项目、查看项目、查看用户组等命令 |[查看详情](https://cloud.tencent.com/doc/api/403/4368)     |
|qcloudcli cbs          |云硬盘相关命令       |包括创建云硬盘、创建弹性云盘等命令       |[查看详情](https://cloud.tencent.com/doc/api/364/2446)     |
|qcloudcli cdn          |内容分发网络相关命令 |包括新增域名加速、开启关闭CDN域名等命令  |[查看详情](https://cloud.tencent.com/doc/api/231/1723)     |
|qcloudcli cns          |域名相关命令         |包括域名解析和域名备案的相关命令         |[域名备案](https://cloud.tencent.com/doc/api/263/1213)                          |
|qcloudcli cvm          |云服务相关命令       |包括查看实例、创建、销毁、启动、关闭实例等|[查看详情](https://cloud.tencent.com/doc/api/229/569#2.-.E5.AE.9E.E4.BE.8B.E7.9B.B8.E5.85.B3.E6.8E.A5.E5.8F.A3)  
|qcloudcli dfw          |云服务安全组相关命令 |包括安全组的增、删、查、改等命令         |[查看详情](https://cloud.tencent.com/doc/api/229/569#5.-.E5.AE.89.E5.85.A8.E7.BB.84.E7.9B.B8.E5.85.B3.E6.8E.A5.E5.8F.A3)|
|qcloudcli image        |云服务镜像相关命令   |包括创建、删除自定义镜像等命令           |[查看详情](https://cloud.tencent.com/doc/api/229/569#3.-.E9.95.9C.E5.83.8F.E7.9B.B8.E5.85.B3.E6.8E.A5.E5.8F.A3)     |
|qcloudcli live         |直播相关命令         |包括创建、查询、删除直播频道等命令       |[查看详情](https://cloud.tencent.com/doc/api/258/4714)     |
|qcloudcli monitor      |监控相关命令         |包括云监控和自定义监控等命令             |[云监控](https://cloud.tencent.com/doc/api/405/4474) [自定义监控](https://cloud.tencent.com/doc/api/255/1786) |
|qcloudcli scaling      |自动扩缩容相关命令   |包括启动配置，伸缩组，告警策略等命令     |[查看详情](https://cloud.tencent.com/doc/api/372/3174)     |
|qcloudcli tdsql        |云数据库tdsql相关命令|包括实例、账号、备份、监控等命令         |[查看详情](https://cloud.tencent.com/doc/api/309/5374)     |        
|qcloudcli vod          |视频点播相关命令     |包括创建、删除、查看、修改视频分类等     |[查看详情](https://cloud.tencent.com/doc/api/257/1965)     |
|qcloudcli wenzhi       |文智自然语言处理相关命令|包括通用接口和下载抽取接口等          |[查看详情](https://cloud.tencent.com/doc/api/307/2050)     |
|qcloudcli cdb          |云数据库相关命令     |包括云数据库MYSQL的实例、监控、日志等命令|[查看详情](https://cloud.tencent.com/doc/api/253/1210)     |
|qcloudcli cmem         |云缓存Memcached相关命令|包括查看、清空CMEM实例等命令           |[查看详情](https://cloud.tencent.com/doc/api/261/1763)     |
|qcloudcli dayu|(网络安全)大禹相关命令|包括刷新URL，查看流量等命令             |[查看详情](https://cloud.tencent.com/doc/api/361/2315)     |
|qcloudcli eip          |弹性IP相关命令       |包括增、删、改、查弹性IP等命令           |[查看详情](https://cloud.tencent.com/doc/api/229/569#6.-.E5.BC.B9.E6.80.A7ip.E7.9B.B8.E5.85.B3.E6.8E.A5.E5.8F.A3)|
|qcloudcli lb           |负载均衡相关命令     |包括增、删、改、查负载均衡器实例等命令   |[查看详情](https://cloud.tencent.com/doc/api/244)          |
|qcloudcli redis        |云存储Redis相关命令  |包括增、删、改、查CRS实例等命令          |[查看详情](https://cloud.tencent.com/doc/api/260)          |
|qcloudcli snapshot|快照相关命令         |包括创建、删除、回滚快照等命令           |[查看详情](https://cloud.tencent.com/doc/api/364/2446#3.-.E5.BF.AB.E7.85.A7.E7.9B.B8.E5.85.B3.E6.8E.A5.E5.8F.A3)|
|qcloudcli vpc          |私有网络相关命令     |包括VPC、子网、路由、网络ACL、专线等命令 |[查看详情](https://cloud.tencent.com/doc/api/245/909)      |
|qcloudcli yunsou       |云搜相关命令         |包括数据操作和数据检索命令               |[查看详情](https://cloud.tencent.com/doc/api/256/1990)     |