完成了安装和基本配置后，您就可以开始使用腾讯云命令行工具了，本文档将简单介绍如何使用命令行工具的基本功能。

## 调用格式
使用腾讯云命令行的基本语法如下：
```
qcloudcli <command> <operation> [options and parameters]
```

其中：
- command是命令模块名，如 cvm、cdb、lb 等；
- operation是对应模块支持的操作即 API 接口名称；
- parameters是对应 operation 接口所支持的传入参数，格式是：`--参数名称 参数取值`
- options是全局选项，可以指定结果的输出格式、使用的用户等，格式是：`--选项名称 选项取值`

下面使用一个示例来简单说明：

```
$ qcloudcli cvm DescribeInstances --status 3 --output table
```
此命令以 `table` 格式输出 `默认账户` 的 `状态为3` 的 CVM 实例信息。其中：

- 模块名为 `cvm`；
- 接口名为`DescribeInstances`；
- 只设置了一个入参 `status` 为3；
- 设置了最终结果以 `table` 的形式进行输出（而不是 qcloudcli  configure 时设置的默认输出形式 json）
![Alt text](https://mc.qcloudimg.com/static/img/e2bd3431211054cf21281085fe137097/image.png)

## JSON 格式作为入参
qcloudcli 允许 JSON 格式数据作为入参。</br>
当入参为普通数组时，需要使用如下的格式输入：

```
qcloudcli cvm DescribeInstances --instanceIds '["ins-0ljnjsco","ins-p01nc1jg"]'
```
该命令输出默认账户下 instanceId 为 `ins-0ljnjsco` 和 `ins-p01nc1jg` 的两个实例。
![Alt text](https://mc.qcloudimg.com/static/img/ea65663ff3324d4980cf730caf8ee92a/1472885594968.png
)
</br>当入参为关联数组时，需要使用如下的格式输入，依次类推：
```
qcloudcli lb RegisterInstancesWithLoadBalancer --backends '[{"instanceId":"aaaa"},{"instanceId":"bbbb"}]'
```

注意：在Windows Command Processer 环境下, 双引号(")需要用反斜杠(\\)方式表示，同时用双引号(")将整个 Json 值括住。

例如:
```
C:\Users\test>qcloudcli cvm DescribeInstances --instanceIds "[\"ins-0ljnjsco\",\"ins-p01nc1j\"]"
```
如果是 Windows PowerShell  环境下, 双引号(")需要用反斜杠(\\)方式表示，同时用单引号(')将整个 Json 值括住。

例如:
```
qcloudcli cvm DescribeInstances --instanceIds '[\"ins-0ljnjsco\",\"ins-p01nc1jg\"]'
```
## 帮助和错误提示
在任何情况下，当您输入错误或输入`--help`、`-h`或 `help`命令时，会显示相应的帮助文档。

### 主命令（qcloudcli）帮助
当您在主命令（qcloudcli）模式下输入帮助时，会显示简要的命令行功能介绍（当您第一次使用qcloudcli时，会提示您用qcloudcli configure命令设置账户信息）：
![Alt text](https://mc.qcloudimg.com/static/img/abb23d0adbb64241ce146ebae195822f/1472885725338.png)

### 命令（command）模式帮助
当您在命令（command）模式下输入帮助时，会显示当前命令（模块）支持的所有操作（接口）：
![Alt text](https://mc.qcloudimg.com/static/img/e25608538058ed9be477c3ba2f7127a1/1472885751387.png)

### 接口（operation）模式帮助
当您在接口模式下输入帮助时，会显示当前操作支持的所有输入参数以及全局选项：
 ![Alt text](https://mc.qcloudimg.com/static/img/68db29d00ad435a2ff1f546c4d4970f5/1472885775072.png)

其中全局选项参数的含义如下：

--RegionId：指定这次调用接口的地域信息，可选gz、hk、ca、sh、shjr、bj 和 sg；   

--SecretId：指定这次调用接口使用的 SecretId； 

--SecretKey：指定这次调用接口使用的 SecretKey； 

--output：指定这次调用接口的输出格式，支持 josn、table 和 text；

--profile：指定这次调用接口所用的账户（具体的账户信息用 `qcloudcli configure --profile XXX` 或 `qcloudcli addprofile` 命令设置）。

