## 简介
信封加密也被称为数字信封技术，它是一种综合利用对称加密和非对称加密技术的加密方案，目的是利用**对称加密的高性能**和**非对称加密的易管理**。在信封加密方案中，海量的业务数据在存储或通信的过程中使用**数据密钥（DEK）**以**对称加密**的方式加密，而DEK 又通过**主密钥（CMK）**采用**非对称加密**方式加密保护，而解密时，以通信场景为例，发送方将数据密文和DEK 密文一起传输，接收方先解密出DEK 明文，然后通过DEK解密出数据明文。

### 示意图

![](https://mc.qcloudimg.com/static/img/7c76f4c06331142c09008735cfbaaf3b/ee_1.png)

加密步骤3【加密数据】和解密步骤4【解密数据】是用户在云服务器上的**本地服务**使用DEK 对业务数据以**对称加密**方式进行加解密。

### 明文DEK 如何创建？

1. 通过KMS云API 来创建一个AES 256规格的数据密钥，见 [生成数据密钥](/document/product/573/8895)。
2. 用户通过第三方工具或者开发库创建（比如OpenSSL）。

### 密文DEK 如何创建和保存？

1. 密文DEK可以通过KMS云API 对明文加密生成，也可以通过在线工具来处理，见 [加密解密](/document/product/573/8877)。
2. 密文DEK由用户自行保存，常见的实现方案中，密文DEK 会和密文业务数据保存在一起，比如存储场景下保存在一个或类似访问途径的存储容器，通信场景下与密文DEK 和密文业务数据共同组成一个报文。

## 优势

### 高效
所有的业务数据都是采用高效的本地对称加密处理，对业务的访问体验影响很小。而对于DEK 的创建和加解密开销，除了非常极端的情况下，你需要采用"一次一钥"的方案，大部分场景下可以在一段时间内复用一个DEK 的明文和密文，所以大多数情况下这部分开销非常小。

### 安全易用
信封加密的安全性类似于常见公钥体系，DEK 保护业务数据，而腾讯云KMS 则保护DEK 并提供更好的可用性，你的主密钥无论如何都不会被泄露，只有有用密钥访问权限的对象才有能力操作CMK。

## 何时在云上使用信封加密？

1. **较大体积**：目前KMS API 支持4 KB以下数据加解密。
2. **海量数据，低延迟**：想对业务数据加解密，但是又比较在乎访问延迟。腾讯云 KMS后台虽然拥有非常高的性能，但是是远程调用且采用非对称加密，而信封加密方案大多数操作使用高性能的本地对称加密。

### 常见方案对比
|| 敏感信息加密 | 信封加密 |
|-|:-:|:-:|
|相关密钥| CMK | CMK、DEK |
|性能| 非对称加密，远程调用 | 少量远程非对称加密，海量本地对称加密|
|主要场景| 密钥、证书、小型数据 | 海量大型数据 |