## 1. 自定义监控概述
自定义监控为用户提供除常规监控指标外更多简易自助上报监控数据的入口，结合智能化数据分析、实时化故障告警和个性化数据报表配置，让您实时、精准地掌控业务的健康状况。

## 2. 自定义监控基本概念
| 术语 | 解释 | 
|---------|---------|
| 命名空间 | 命名空间是指标的容器，不同命名空间中的指标彼此独立，这样来自不同应用程序的指标就不会被错误地聚合到相同的统计信息中。自定义监控允许自定义命名空间，分地域存储。例：proc_monitor，广州地域A进程监控 |
| 指标 | 指标是自定义监控的变量，数据点代表该变量随时间的变化值。例：进程级CPU使用率 |
| 维度 | 维度是对监控对象进行唯一标识的结构，指标在确定维度值后才有意义。维度有助于设计统计数据聚合结构。例：机器IP、进程名proc_name，两个维度值确定后，即可确定一个监控对象：监控对象A（IP=1.1.1.1&proc_name=test）|
| 维度聚合 | 基于原始维度（历史已有维度）选择不同维度组合，用于高级数据分析。聚合不跨区域、命名空间和原始维度。例：按机器ip统计CPU使用率平均值，即按机器ip维度聚合|
| 统计类型 | 统计方法和统计周期的集合|
| 统计方法 | 计算数据的方法，有max(取最大值)、min(取最小值)、sum(求和)、avg(取平均)、last(取上报周期内最后一个数据)等。|
| 统计周期 | 计算数据的时间。暂时支持5分钟粒度|
| 鉴权 | [接口鉴权详情](http://cloud.tencent.com/doc/api/229/%E6%8E%A5%E5%8F%A3%E9%89%B4%E6%9D%83)|


假设用户需要对机器上的进程级CPU使用率进行监控，且CPU使用率超过80%的进程，需告警通知相关负责人。
上述的基本术语在此情景下可取值如下：
- 命名空间(namespace)：proc_monitor（进程监控）
- 指标(metricName)：proc_cpu（进程级CPU使用率）
- 维度(dimensionNames)：proc_name(进程名) 、ip(上报机器的IP地址),进程名和机器ip确定唯一进程。
- 维度聚合(dimensionAggeration)：ip(上报机器的IP地址),将机器ip维度聚合之后，您便可以统计该机器的所有进程的cpu使用率的数值
- 统计方法(statistics)：取周期内所有上报数据的max值 
- 统计周期(period)：每5分钟统计一次数据
