## 1. 上报数据

比如在1.2.3.4和1.2.3.5两台机器上，分别上报disk_cleaner和daemon2两个进程的cpu使用率，上报方法如下。

使用get请求，urlencode后，实际数据为：

![](http://mc.qcloudimg.com/static/img/3500c7bc10502733ee5403851ba57cc8/image.png)

>注：Signature参数的具体生成步骤请参见[接口鉴权](https://cloud.tencent.com/document/product/397/4247)

```
#curl http://receiver.monitor.tencentyun.com:8080/v2/index.php?Action=PutMonitorData
&Timestamp=1457429445
&Region=gz
&Namespace=proc_monitor
&SecretId=AKIDlgRMo1j074b1l6nwReIvSk3sO0ssGQlC
&Signature=s%2FaiEege8nxOUh79rQ6WqzvEEMc%3D
&Data=[
{"dimensions":
    {"ip":"1.2.3.4","proc_name":"disk_cleaner"},
	 "value":30,
	 "metricName":"proc_cpu"
},
{"dimensions":
    {"ip":"1.2.3.5","proc_name":"daemon2"},
	 "value":20,
	 "metricName":"proc_cpu"
}
]
```
得到的返回值为：

```
# {“message”: “OK”, “code”: 0}
```

## 2. 查看数据
本例使用API进行创建，用户也可通过自定义监控控制台实现。

通过调用GetMonitorData接口，查看某个具体对象的监控数据是否已被正常统计。比如查看ip=1.2.3.5&proc_name=daemon2对象在17:35:00之后的数据：

>注：Signature参数的具体生成步骤请参见[接口鉴权](https://cloud.tencent.com/document/product/397/4247)

```
#curl –k “https://monitor.api.qcloud.com/v2/index.php?Action=GetMonitorData
&SecretId=AKIDlgRMo1j074b1l6nwReIvSk3sO0ssGQlC
&Nonce=34872
&Timestamp=1457431571
&Region=gz
&namespace=proc_monitor
&metricName=proc_cpu
&dimensions.0.name=proc_name
&dimensions.0.value=daemon2
&dimensions.1.name=ip
&dimensions.1.value=1.2.3.5
&period=300
&statistics=max
&startTime=2016-03-08+17%3A35%3A00
&Signature=FacKUqRPhqdEa%2FDvEHHAFAPKj8k%3D”
```
得到的返回值为：

```
{
    "code": 0,
    "message": "",
    "metricName": "proc_cpu",
    "startTime": "2016-03-08 17:35:00",
    "endTime": "2016-03-08 18:05:00",
    "period": "300",
    "dataPoints": {
        "ip=1.2.3.5&proc_name=daemon2": [
            "20.0",
            "90.0",
            "90.0",
            "90.0",
            "90.0",
            "90.0",
            "90.0"
        ]
    }
}
```

