
## 1. 创建自定义命名空间
本例使用API进行创建，用户也可通过自定义监控控制台实现。

>注：Signature参数的具体生成步骤请参见[接口鉴权](https://cloud.tencent.com/doc/api/255/4278)

执行以下命令创建命名空间：

```
# curl –k https://monitor.api.qcloud.com/v2/index.php?Action=CreateNamespace
          &SecretId=AKIDz8krbsJ5yKBZQpn74WFkmLPx3gnPhESA
          &Nonce=54579
          &Timestamp=1457427062
          &Region=gz
          &namespace=proc_monitor
          &Signature=K%2FX6J6hnjTIE25QK8klMZMJWDGk%3D
```
得到的返回值为：

```
# {"code": 0,"message": ""}
```

## 2. 创建自定义指标

在刚刚创建的名字空间（proc_monitor）中创建指标（proc_cpu），通过dimensionNames参数指明定好的维度（proc_name、ip）结构。

本例使用API进行创建，用户也可通过自定义监控控制台实现。

>注：Signature参数的具体生成步骤请参见[接口鉴权](https://cloud.tencent.com/doc/api/255/4278)

```
# curl –k https://monitor.api.qcloud.com/v2/index.php?Action=CreateMetric
          &SecretId=AKIDz8krbsJ5yKBZQpn74WFkmLPx3gnPhESA
          &Nonce=15945
          &Timestamp=1457428021
          &Region=gz
          &namespace=proc_monitor
          &metricName=proc_cpu
          &metricCname=%E8%BF%9B%E7%A8%8Bcpu%E4%BD%BF%E7%94%A8%E7%8E%87
          &unit=percent
          &dimensionNames.0=proc_name
          &dimensionNames.1=ip
          &Signature=8w0Nwaxb6ZNh3ROPmHruaVz1meE%3D
```
得到的返回值为：

```
# { "code": 0, "message": ""}
```

## 3. 为指标创建统计方式 
可通过statisticsType参数同时添加多种统计方式和周期的组合。这里添加了一种：统计周期为300s, 统计方式为取最大值max。

本例使用API进行创建，用户也可通过自定义监控控制台实现。

>注：Signature参数的具体生成步骤请参见[接口鉴权](https://cloud.tencent.com/doc/api/255/4278)

```
#curl -k https://monitor.api.qcloud.com/v2/index.php?Action=CreateMetricStatisticsType
          &SecretId=AKIDz8krbsJ5yKBZQpn74WFkmLPx3gnPhESA
		  &Nonce=13133
		  &Timestamp=1457428414
		  &Region=gz
		  &namespace=proc_monitor
		  &metricName=proc_cpu
		  &dimensionNames.0=proc_name
		  &dimensionNames.1=ip
		  &statisticsType.0.period=300
		  &statisticsType.0.statistics=max
		  &Signature=hcFFCJcHYiLW0PH%2F%2FuJ%2FgFeDRtY%3D
```
得到的返回值为：

```
# { "code": 0, "message": ""}
```