## 1. 创建告警规则

下面针对刚刚的指标和统计方式，创建一个告警规则：对cpu使用率超过80%并持续2个统计周期(period)以上的进程和机器ip进行告警。本例使用API进行创建，用户也可通过自定义监控控制台实现。

>注：Signature参数的具体生成步骤请参见[接口鉴权](https://cloud.tencent.com/doc/api/255/4278)

```
#curl –k “https://monitor.api.qcloud.com/v2/index.php?Action=CreateAlarmRule
&SecretId=AKIDlgRMo1j074b1l6nwReIvSk3sO0ssGQlC
&Nonce=14971
&Timestamp=1457430090
&Region=gz
&namespace=proc_monitor
&metricName=proc_cpu
&dimensionNames.0=proc_name
&dimensionNames.1=ip
&period=300
&statistics=max
&constancy=2
&threshold=80
&operatorType=>
&Signature=aGftupI7YXRRInk9JT9tru7FzKM%3D
&receiversId=8888”
```
得到的返回值为：

```
# { "code": 0,  "message": "", "data": { "alarmRuleId": "policy-eqzqq79naz" } }
```

这里云API返回了一个告警规则ID：policy-eqzqq79naz，后续很多针对告警规则的操作都需要这个ID。如果忘记了可以通过DescribeAlarmRuleList进行查询。

注意：

- 配置时需绑定告警接收组(receiversId)ID8888，如不填写此参数则不会发送告警信息到任何人。后续通过BindAlarmRuleReceivers接口绑定具体监控对象以接收告警短信和邮件。

- 上述调用没有指定isWild参数，默认创建的是一个非通配规则。非通配规则如要生效，则需要绑定一个具体的告警对象。若加上isWild=1，会创建一个通配规则，则无需绑定具体对象，该规则会对所有的对象生效。

## 2. 绑定告警规则和监控对象
本例使用API进行创建，用户也可通过自定义监控控制台实现。

>注：Signature参数的具体生成步骤请参见[接口鉴权](https://cloud.tencent.com/doc/api/255/4278)

```
#curl –k “https:// monitor.api.qcloud.com/v2/index.php?Action=BindAlarmRuleObjects
&SecretId=AKIDlgRMo1j074b1l6nwReIvSk3sO0ssGQlC
&Nonce=8573
&Timestamp=1457431999
&Region=gz
&alarmRuleId=policy-eqzqq79naz
&dimensions.0.name=ip
&dimensions.0.value=1.2.3.5
&dimensions.1.name=proc_name
&dimensions.1.value=daemon2
&Signature=wxreGK7XUZQtLluaKUbUAwbQbtI%3D”
```

得到的返回值为：

```
# { "code": 0, "message": "" }
```
　　
由于之前创建的是非通配规则，这里将对象ip=1.2.3.5&proc_name=daemon2绑定到告警规则，自定义监控系统将针对该对象判断是否告警并在触发告警规则时向ID为8888的接收组发送告警。


