## 1. 用户须知
蓝鲸是一个平台，上面有多个APP，每个都具备专属能力。本文讲解的是高效运维需要操作的APP。高效运维平台需要做这几步操作：

1. 	【配置平台】：配置业务与机器的关系。为什么要先操作配置平台呢？配置平台是一切操作的基础，因为它配置业务，以及业务下有哪些机器，业务的负责人，方便用户分权限和隔离来管理机器（腾讯云的业务和机器会自动同步到配置平台）。
2. 	【安装agent】：agent非常小，不影响机器的使用。
3. 	【作业平台】：执行脚本，下发文件等。
4. 	【标准运维】：成熟的流程引擎。
以上几个app,帮助您完成自动化运维，下面依次介绍每个步骤。

## 2. 注册蓝鲸
- 如果您已经是腾讯云用户，恭喜您，您无需注册，可直接进行下一步。
- 如果您的公司其它同事已经有蓝鲸使用权限，你可以联系他按照如下提示为您添加蓝鲸协作者权限
![](//mccdn.qcloud.com/static/img/9d3447aa5fea73dafb892cabe79520f6/image.jpg)

## 3. 使用配置平台管理主机
在[蓝鲸配置平台](http://o.qcloud.com/console?app=cc-new)里，是通过`业务`、`集群`、`模块`来划分主机拓扑的。

步骤1：新建业务（如果使用了腾讯云分项目，可以免掉该步骤）

（1）开发商视图->业务管理
![使用配置平台管理主机](https://mc.qcloudimg.com/static/img/901c965e8636872834b55bec473c8d57/21.jpg) 

（2）点击新增业务，可以选择是建2级还是3级业务。并且填写业务运维人员的信息。
![使用配置平台管理主机](https://mc.qcloudimg.com/static/img/de298ef1ee4c10f948dc0c523c29cdf5/22.jpg)  

步骤2：分配机器

（1）开发圈视图资源池管理（如果是腾讯云的服务器，会自动同步过来，其他云或者IDC，可以导入服务器）
![使用配置平台管理主机](https://mc.qcloudimg.com/static/img/40af795553f21d959a3386d340bf0295/23.jpg) 
 
（2）选中机器，可以分配至具体的业务。
![使用配置平台管理主机](https://mc.qcloudimg.com/static/img/700415d52f854edcb01abccad716986b/24.jpg)  

步骤3：建立业务下的模块

（1）打开业务视图业务拓扑
![使用配置平台管理主机](https://mc.qcloudimg.com/static/img/79f57f3242ce4db4d424b84f6383aa81/25.jpg)  

（2）这是一个2级业务，点击“模块”，添加一个模块，填写信息。 
![使用配置平台管理主机](https://mc.qcloudimg.com/static/img/795ce44c68be05c7395408a094a98edc/26.jpg)  

添加完成后

![使用配置平台管理主机](https://mc.qcloudimg.com/static/img/c51a8cbef2439b581e861062edefbd93/27.jpg)  

步骤4：将主机再分配给模块

（1）打开业务视图主机管理
![使用配置平台管理主机](https://mc.qcloudimg.com/static/img/8d3c612a80086a73ff8ef8e86c6d6db3/28.jpg) 

（2）将空闲机池的机器转移到具体模块
![使用配置平台管理主机](https://mc.qcloudimg.com/static/img/31b4f9e032ac978b3c542274e5948d02/29.jpg) 
 
转移成功后，模块下就有机器了，机器分配完毕。
![使用配置平台管理主机](https://mc.qcloudimg.com/static/img/9629d655af6ae30c6afa4ca823792cff/210.jpg)

## 4. 安装蓝鲸Agent
您可以使用蓝鲸官方提供的[Agent安装2.0](http://o.qcloud.com/console?app=agent-setup)应用来安装蓝鲸Agent：

1. 点击打开蓝鲸桌面上的【Agent安装2.0】应用
![Agent安装主页面](https://mc.qcloudimg.com/static/img/d42ac76270f7498ec6773dd2b04ffc1c/1.jpg)
2. 请切换您的业务（若为多业务）
![切换业务](https://mc.qcloudimg.com/static/img/6d6417efcdfc390743e5b68583be0341/2.jpg)

3. 点击【云区域管理】，选择您需要操作的云区域，以便给您的云区域分配一个中转机（Proxy）
![选择目标云区域](https://mc.qcloudimg.com/static/img/00588b873a608384cb9b69b7dbaf86eb/3.jpg)

4. 请为您选择的云区域分配一个中转机（ProxyAgent）
![给每个云都需要分配Proxy Agent](https://mc.qcloudimg.com/static/img/1a3a0d3a3634e315dcc3d2bdf39d1332/4.jpg)

5. 给选择的云填写中转机的信息，目前支持`密码验证`和`密钥验证`两种方式
![填写中转机信息](https://mc.qcloudimg.com/static/img/2adb9bd00b25f2743f452a4425980843/5.jpg)
6. 安装Proxy Agent，过程中可查看详情
![安装Proxy Agent](https://mc.qcloudimg.com/static/img/024e160ab131900c3b8b23b449a5719d/6.jpg)
![安装Proxy Agent](https://mc.qcloudimg.com/static/img/87ab34d546df97929796e108beae4721/7.jpg)
7. 安装好中转机后，可为其他机器安装Agent
![](https://mc.qcloudimg.com/static/img/a36afd570af671bd9c1e4bcbe1f6ecd0/8.jpg)
8. 给选择的云填写Agent的信息
![](https://mc.qcloudimg.com/static/img/a8d7991f0a254e0289cfa29711929218/9.jpg)
9. 安装Agent，过程中可查看详情
![](https://mc.qcloudimg.com/static/img/860f44fe4af6b599b3f95a9ffc03b2c5/10.jpg)
![](https://mc.qcloudimg.com/static/img/7d2cd60f73643602a2c971e4feef0693/11.jpg)
10. 安装完成后，返回主页，可看到该业务的中中转机和Agent的概况信息
![](https://mc.qcloudimg.com/static/img/73ee86e7712e31e7293eecf254d49858/12.jpg)
11. 如果您需要使用蓝鲸Agent管理Windows服务器，您需要在Windows服务器上自行安装cygwin，具体安装步骤可以参考由安装页面给出的提示信息

## 5. 使用作业平台输出一个HelloWorld
蓝鲸作业平台提供了`脚本执行`和`文件分发`两个基本特性，通过这二者的衔接，您可以把您的发布作业迁移到云端管理起来。【[作业平台](http://o.qcloud.com/console?app=job)】的快速脚本执行功能可以让您快速到服务器上执行脚本：
1. 快速执行脚本
![使用作业平台输出一个HelloWorld](https://mc.qcloudimg.com/static/img/ba7c445ad89eb74b45d57cbb9ff88e12/31.jpg)
2. 快速分发文件
![使用作业平台输出一个HelloWorld](https://mc.qcloudimg.com/static/img/cf8636c3a4afee8ec7f1960a5b692a0e/32.jpg)
3. 常见作业执行
![使用作业平台输出一个HelloWorld](https://mc.qcloudimg.com/static/img/c7d50ce8452acd8b6368c2d0bb438a41/33.jpg)
4. 新建作业
![使用作业平台输出一个HelloWorld](https://mc.qcloudimg.com/static/img/85d52e33ee64161b97ae9369368e4ffc/34.jpg)
5. 定时作业
![使用作业平台输出一个HelloWorld](https://mc.qcloudimg.com/static/img/c0b03cbbf53e9110b64d224727ea51c4/35.jpg)
6. 脚本管理
![使用作业平台输出一个HelloWorld](https://mc.qcloudimg.com/static/img/d5b9bac339e56886b3e9bc9c58652a90/36.jpg)

## 6. 标准运维
步骤1：新建一个流程

（1）任务流程->新建流程
![标准运维](https://mc.qcloudimg.com/static/img/726ae221b6dba1fd2afbbf52ab76b465/41.jpg) 

（2）打开了新建流程的页面，可以拖动原子进入流程。
 流程包含多个步骤，一个步骤包含多个原子节点。原子可以是腾讯云接口、作业平台上的脚本等。
![标准运维](https://mc.qcloudimg.com/static/img/a1eecc110ac8b153e2b73f4cd6c5641c/42.jpg)  

（3）创建好的流程，点击“保存”进行保存。原子里的参数，需要保存为流程里的参数。点击“保存”时会提示，一键设置就OK了。
![标准运维](https://mc.qcloudimg.com/static/img/b302868d5d5faf6f8ae86c5cd5977dbc/51.jpg)  

步骤2：执行一个流程

（1）选择“任务流程”，点击“新建任务”，数据流程的参数，就可以执行流程了。  
![标准运维](https://mc.qcloudimg.com/static/img/44720f20e0990e3715622552b4f03eed/45.jpg) 
![标准运维](https://mc.qcloudimg.com/static/img/b11c53915961ea223b744f5632888277/46.jpg) 

（2）“下一步”，输入参数
![标准运维](https://mc.qcloudimg.com/static/img/c99b5c0d460868bcabfdd9c5ff2a86ad/47.jpg)  

（3）开始执行
![标准运维](https://mc.qcloudimg.com/static/img/a98c82550f79d24bf2473a541c5d4149/48.jpg)
  
（4）测试中
![标准运维](https://mc.qcloudimg.com/static/img/55937aece48c415fa64b996db5e66772/49.jpg) 

至此，您应该已经对蓝鲸有了一个初步的认识，更多的特性和功能，请到蓝鲸里发现吧。

## 7. 寻求帮助
当您遇到问题或有建议时，可以反馈到我们的[论坛](http://bbs.bk.tencent.com/forum.php?mod=forumdisplay&fid=60)