## 1. 前言 
【[标准运维](http://o.qcloud.com/console?app=gcloud-v2)】是通过一套成熟稳定的任务调度引擎，把在多系统间的工作整合到一个流程，助力运维实现跨系统调度自动化的SaaS服务。
## 2. 产品介绍
### 2.1 主要功能
标准运维的流程由多个步骤组成，步骤可串行或并行，自动或人工的执行，步骤中包含的原子可以是作业平台上的脚本，也可以是腾讯云的某个接口，又或者是自定义接口等。
任务执行时候可以暂停、也可以跳过失败的原子，同时也支持失败原子修改参数后的重新执行。
### 2.2 作用
通过对标准运维的合理使用，可以大大降低多系统操作时的出错率、减少重复工作，提升工作效率。
### 2.3 权限体系
标准运维的角色权限分为两类：业务管理员、业务关注人。

1.	业务管理员从配置平台的业务运维角色继承而来，拥有创建业务流程、新建任务、新建轻应用等操作类权限，
2.	业务关注人需要在标准运维中授权指定，人员选择器中的人员名单由配置平台中对应业务的相关人组成。

业务管理员与关注人的引入会将企业中越来越多的基础运维工作直接交给需求方自助完成。
## 3. 术语定义
### 3.1 组件
在蓝鲸体系里，我们将每一个对接到ESB（企业服务总线）中的第三方接口称之为组件。
### 3.2 原子
标准运维会根据每个ESB组件的业务逻辑进行二次封装，增加丰富的表单界面和验证逻辑，我们将这些称之为原子。她可以是一个作业平台的脚本作业，可以是腾讯云某个服务的一次接口调用，也可以是一个定时器等等。
### 3.3 流程
在标准运维里，每一个基础运维场景的操作指引就是一个流程，流程是创建任务的模板。
### 3.4 任务
在标准运维里，我们可以根据一个流程创建出一个任务，每个任务都是一次真正的业务场景作业，任务可以被暂停、被强制终止。
### 3.5 步骤
为了便于在流程执行过程中划分不同的业务逻辑，我们在流程中引入了步骤概念，一个流程可以由多个步骤组成，一个步骤中可以包含多个原子，步骤与步骤之间是串行的，而每个步骤内都可以设置它的执行方式是“串行”还是“并行”，如果是串行，步骤内的原子将会按顺序执行，如果是并行，那该步骤的所有原子将会同时执行。
### 3.6 业务配置
如果你有一些变量是需要跨流程使用的，可以将它放置到业务配置里。
### 3.7 变量
在新建或者编辑一个流程的时候，会出现变量配置的功能，流程中的变量配置与业务配置不同，它只能作用于当前流程。
合理的使用变量配置，将大大减少任务执行时的参数输入。
### 3.8 轻应用
为了做更精细的权限控制，我们增加了轻应用，你可以通过一个已执行的任务创建出一个轻应用，并授权给相关人员去执行，轻应用将自动出现在相关人员的蓝鲸桌面上，由于标准运维的任务界面足够简约，所以即便这个人不懂技术也可以执行任务。
## 4. 产品功能
蓝鲸智云标准运维拥有如下功能特性：
![标准运维功能特性](https://mc.qcloudimg.com/static/img/511b4db41d5200f7524d447944effa57/1.jpg)

### 4.1 新建流程
路径：任务流程->新建流程
![标准运维新建流程](https://mc.qcloudimg.com/static/img/3f3c443fd37cec059abefaacb21d0496/2.jpg)

1. 重命名默认的流程名
![标准运维新建流程](https://mc.qcloudimg.com/static/img/ba0216da64c0c6ac788a8879a534cbc8/3.jpg) 

2. 设置流程基础属性
 - a.为流程选择一个合适的类型如：发布、开区、扩容、缩容、迁移、合服、故障处理；
 - b.设置流程执行成功或失败时的通知方式，目前支持微信、邮件、短信；
 - c.设置流程任务的执行超时时长，非必填；
 - d.设置任务执行成功或失败时的通知人；
![标准运维新建流程](https://mc.qcloudimg.com/static/img/a71254a203bd82cb0807baa716ba4614/4.jpg) 

3. 到原子库里选择合适的原子节点，拖拽到对应的步骤中
![标准运维新建流程](https://mc.qcloudimg.com/static/img/edb8b8ff0718406bf617e3f9a72bd0d1/5.jpg)
	 
4. 点击步骤中的对应原子，配置原子执行时的默认参数，也可以使用变量替换
![标准运维新建流程](https://mc.qcloudimg.com/static/img/dd132f35a730fe9e6f5488cbf0baa992/6.jpg)

5. 如果配置的步骤和原子过多时，可点击预览按钮查看全流程预览图，最后点保存
![标准运维新建流程](https://mc.qcloudimg.com/static/img/aaaaad44c9337ff46d678248a828bcdd/7.jpg)

### 4.2 任务执行
1. 在【任务流程】页可点击每条流程的【新建任务】按钮创建一个任务：	
![任务执行](https://mc.qcloudimg.com/static/img/1d14abaf23ab6b2c12d0628e953b1f24/421.jpg) 

2. 选择对应要执行的步骤原子（也可以通过点击对应视图快速选择原子），点击【下一步】
![任务执行](https://mc.qcloudimg.com/static/img/89980ce64765d5be3bb30f3d43ad0e89/422.jpg)
  
3. 填写任务执行需要替换的变量参数，点击【下一步】
![任务执行](https://mc.qcloudimg.com/static/img/ec818a8a7c15268816740b16a72e802f/423.jpg) 

4. 最后一步，你可以最后确认一遍执行参数，或者修改参数，确认无误后，点击【开始执行】，在任务执行过程中，你可以暂停任务，强制终止任务，任务执行到某个原子失败后也可以选择跳过或者修改参数后重试。
![任务执行](https://mc.qcloudimg.com/static/img/77f46262b7ee4b02fbed42c07fbae06a/424.jpg)
  
### 4.3 新建轻应用
通过一个已经成功执行的任务记录可以创建出一个轻应用，她可以出现在被授权者的蓝鲸桌面上，对被授权者而言，轻应用只有两个阶段：填写参数->执行，由于页面足够的简洁和友好，一个非技术人员也可以执行轻应用。
![新建轻应用](https://mc.qcloudimg.com/static/img/9e9129cf5778b9e38f60c66c353d5ae2/431.jpg) 

## 5. 案例实战
### 5.1 腾讯云CDN预拉热
#### 5.1.1 新建一个流程，重命名为“CDN预拉热”，选择流程类型为“发布”
![案例实战](https://mc.qcloudimg.com/static/img/cf77b0acc3890faf86c6392c45e4ee93/511.jpg) 

#### 5.1.2 拖拽CDN预拉热原子到流程中，点击原子打开参数配置页
○	根据需要来选择是否强制刷新

○	勾选预热URL的“添加为变量”

○	选择计时类型为“操作执行”
![案例实战](https://mc.qcloudimg.com/static/img/5a0fa35e4b07042f1bdfcb1cac297ac9/512.jpg)  

#### 5.1.3 拖拽一致性校验原子到流程中，点击原子打开参数配置页
○	点击变量配置标签，复制预热URL变量的KEY，粘贴到一致性校验原子的URL中
![案例实战](https://mc.qcloudimg.com/static/img/83e5332b238954ddf4d55d1b5d7b26d6/513.jpg) 
 
○	选择计时类型为“操作执行”
拖拽CDN预拉热原子到流程中，点击原子打开参数配置页

#### 5.1.4 点击保存，点击创建任务
![案例实战](https://mc.qcloudimg.com/static/img/1d8bb8302917ecefb21bc157c46cd08f/514.jpg)  

#### 5.1.5 选择对应要执行的步骤（默认全选），点击下一步
#### 5.1.6 填写预热URL变量实际的值
![案例实战](https://mc.qcloudimg.com/static/img/bec71f0306d57664acfe3ca599d4d573/515.jpg) 
 
#### 5.1.7 点击下一步任务执行

## 6. 寻求帮助
当您遇到问题或有建议时，可以反馈到我们的[论坛](http://bbs.bk.tencent.com/forum.php?mod=forumdisplay&fid=60)