## 1. 前言 
产品上线的同时，一般会创建用户反馈信息的产品论坛，如百度贴吧，兴趣部落等。当用户对产品有建议，或者遇到问题时，她会来这些渠道反馈自己的心声。很久以前，产品的相关人员是通过浏览论坛页面来获取相关的反馈信息的，由于论坛的信息量巨大，导致人工处理的方式效率低下。基于这样的背景，我们在蓝鲸平台上开发了一个面向产品运营的舆情监控平台-【[鹰眼](http://o.qcloud.com/console?app=eagle-eye)】，她将用户在各个渠道的反馈信息集中到一起，进行自动分析和监控告警，使得产品的相关人员可以为用户提供更优质的运营服务。
## 2. 产品介绍
鹰眼舆情监控平台，基于分布式爬虫系统，结合关键词匹配、智能分词、自动分类、情感分析、模型训练等技术，为用户提供舆论监控告警、故障跟进流程、跨论坛热帖查询、帖子搜索、故障统计、问题统计、用户舆论热词等功能。
### 2.1 产品价值
鹰眼是一个面向产品运营的舆情监控平台，主要的使用者是质量管理、运维、客服、运营等涉及产品运营的相关人员。
#### 2.1.1 降低故障发现时长
自动收集用户的反馈信息，根据配置的预警策略实现监控告警，告警单直接关联反馈信息，帮助运营人员快速发现和定位问题，以降低故障的发现时长。
#### 2.1.2 减少时间和人力成本
支持跨论坛热帖查询，便于快速发现用户的舆论焦点，减少大量浏览论坛帖子的时间和人力成本。
#### 2.1.3 清晰了解产品的问题所在
告警的处理实现流程化，共享故障处理过程中各阶段的信息，并自动进行故障统计和问题统计，让产品运营人员能清晰地了解产品的问题所在。
### 2.2 产品特点
#### 2.2.1 支撑明星业务，享实践经验
已接入英雄联盟、穿越火线、王者荣耀等众多明星业务，并获得了不错的效果。
#### 2.2.2 登录即可体验
鹰眼为用户提供了DEMO产品，QQ登录后无需任何配置即可体验。
#### 2.2.3 接入简单快捷，永久免费
鹰眼的所有功能完全开放，永久免费，只需1分钟即可完成产品接入。
#### 2.2.4 持续迭代更新，推出新功能
除了目前拥有的舆论监控告警、故障跟进流程、跨论坛热帖查询等功能外，鹰眼将会持续优化，推出更多实用的功能。

### 2.3 产品功能
鹰眼目前具备了体验DEMO、产品接入、产品信息总览、告警单查询、告警单详情、帖子查询、故障统计、问题统计、关键词统计等功能。
#### 2.3.1 体验DEMO
当您没有接入产品时，鹰眼为您提供了一个DEMO产品，可以直接体验。
![体验DEMO](https://mc.qcloudimg.com/static/img/ab81d96be707f304edb650195fd161d5/1.jpg)

#### 2.3.2 产品接入
为了降低接入成本，鹰眼已为您提供了默认配置，只需花1分钟就能完成产品的接入。
打开鹰眼 > 我的产品 > 接入新产品 > 输入产品名称和论坛首页URL，点击页面下方的“完成接入”。
![体验DEMO](https://mc.qcloudimg.com/static/img/118aeae8e986ef1f6c39a75a07ebf013/2.jpg) 

#### 2.3.3 产品信息总览
在“我的产品”页面，您可以查看和编辑产品列表，清晰的了解产品的用户发帖数，告警数，故障数等信息。
![体验DEMO](https://mc.qcloudimg.com/static/img/3962649329b13825634e2ab12d25fc2f/3.jpg) 

#### 2.3.4 告警单查询
可以根据数据源（如百度贴吧,兴趣部落），时间周期，告警单号来查询历史的告警单。
![体验DEMO](https://mc.qcloudimg.com/static/img/2998e7e22bbd567d19f1e932f64963c5/4.jpg) 

#### 2.3.5 告警单详情
点击告警单号，进入告警单详情，可以看到该告警单的告警类型，告警状态，数据源，帖子数量，首次匹配时间，创建时间，最新反馈时间等信息。
![体验DEMO](https://mc.qcloudimg.com/static/img/4aa82de1b2506ad51b48938e7f604e59/5.jpg) 

除了查看告警单的基本信息，鹰眼还提供了流程跟进和用户反馈的功能。
在流程跟进中，需要判断该告警是否为故障。告警单的状态包括待处理，处理中，已解决。您可以为每个流程环节提交跟进日志，用于同事间同享信息和保存处理记录。
![体验DEMO](https://mc.qcloudimg.com/static/img/b9f8310d2f145a0633e5efd5b3003ec1/6.jpg) 

一个被判定为故障的告警单的跟进日志应该是清晰的。
![体验DEMO](https://mc.qcloudimg.com/static/img/b0a25407340589f148d031e8a1a2a03b/7.jpg) 

告警单详情可以看到该告警单所对应的用户反馈。可以对用户的反馈添加备注，方便同事间共享信息。
![体验DEMO](https://mc.qcloudimg.com/static/img/7e483d600b45f80fe5da7dd45f093de0/8.jpg) 

#### 2.3.6 帖子查询
根据时间周期、数据源渠道、关键词来查询帖子，然后按问题类、发帖时间或回帖量来排序，就可以快速简单的了解用户近期关注的热点事件。
![体验DEMO](https://mc.qcloudimg.com/static/img/c06752bb42447a0d0e615e63b40badf7/9.jpg) 

#### 2.3.7 故障统计
鹰眼会自动统计帖子数、匹配帖子数、告警数、故障数，方便您了解系统的运营情况。
![体验DEMO](https://mc.qcloudimg.com/static/img/640a2c45d742679a52340d19a0e5dda5/10.jpg) 

#### 2.3.8 问题统计
鹰眼会自动统计问题的分布情况，帮助您了解产品的问题所在。
![体验DEMO](https://mc.qcloudimg.com/static/img/dbf94dbc1f5eb442fc74920aac5fa698/11.jpg) 

## 3. 应用场景
鹰眼是一个面向产品运营的舆情监控平台，她将用户在各个渠道的反馈信息集中到一起，进行自动分析和监控告警，使得产品的相关人员可以为用户提供更优质的运营服务。鹰眼的应用场景颇为广泛，只要有大量用户在论坛或贴吧反馈信息的产品，都可以使用她来降低故障发现时长、减少时间和人力成本、了解产品的问题所在。
## 4. 快速上手
### 4.1 快速接入
以接入一个游戏产品英雄联盟为例，说明鹰眼的接入和使用方法。

1. 打开蓝鲸桌面（`http://o.cloud.tencent.com/console`，添加 > 添加应用 > 在搜索框输入“鹰眼”，点击“搜索”和“+”来添加鹰眼到桌面。 
![快速接入](https://mc.qcloudimg.com/static/img/0a2247051c194a1d4c40d5fc610954c4/411.jpg) 

2. 点击桌面的鹰眼图标，在“我的产品”中“接入新产品”。 
![快速接入](https://mc.qcloudimg.com/static/img/c254ec14527e8f993bbc980f81313a69/412.jpg) 
 
3. 输入产品名称和产品论坛URL，如英雄联盟在百度贴吧的URL为http://tieba.baidu.com/f?kw=lol，点击预览来确定输入的URL是否正确。
![快速接入](https://mc.qcloudimg.com/static/img/062d6952e0e3fef0b225ca2fc1f43b08/413.jpg) 
 
4. 如果您是首次体验，可以不做其他配置，直接点击页面最底部的“完成接入”。
![快速接入](https://mc.qcloudimg.com/static/img/85eab9d2a9081cff91be9d32573deb71/414.jpg) 
 
5. 完成接入后，鹰眼会定期去获取您的产品的用户反馈，然后就可以使用其他功能了。
![快速接入](https://mc.qcloudimg.com/static/img/a7c3cd26a0f8d574ced9dbda3140296d/415.jpg) 

### 4.2 寻求帮助
当您遇到问题或有建议时，可以反馈到我们的[论坛](http://bbs.bk.tencent.com/forum.php?mod=forumdisplay&fid=60)





