## 1. 前言 
在ITIL体系里，配置管理数据库（CMDB）是构建其它流程的基础，而在蓝鲸智云体系里，[【配置平台（CC）](http://o.qcloud.com/console?app=cc-new)】就扮演着CMDB的角色，为蓝鲸智云体系的其它平台提供了各种运维场景的配置数据服务。
## 2. 术语定义  
总结了蓝鲸智云配置平台中涉及到的一些术语。
### 2.1 业务 
您公司里可能有不止一款产品，每一款产品都会有对应的主机管理需求，配置平台将这一个个产品称之为业务。
### 2.2 核心优势 
每个业务都有自己不同的线上环境，以游戏业务而言，有测试服、体验服、正式服之分，如果这个游戏是分区分服的，那这个游戏会由多个大区组成，配置平台将这些大区称为集群，一个业务可以由多个集群组成。
### 2.3 模块
集群下面就是模块，我们将能够独立完成某个功能的集合称之为模块，比如一个web类业务下的Nginx，就是一个模块。一个模块下可以挂载多台主机资源，反之，一台主机资源也可以挂载到不同的模块上，而多个模块组成了业务集群。
### 2.4 资源池
为了适应公司的资源管理需求，我们引入了资源池概念，一个公司下共享一个资源池，您可以通过Excel批量导入您的主机资源到资源池，然后由资源管理员为每个业务分配主机资源。 

## 3. 产品功能
### 3.1 功能介绍
蓝鲸智云配置平台有如下功能特性：
1. Web可视化的业务拓扑
2. 多样化的API服务
3. 系统快照数据展示
4. 跨云管理 

### 3.2 功能列表
![功能列表](https://mc.qcloudimg.com/static/img/97a88cf8f7c02f007f462d9961215210/1.jpg)

### 3.3 主机管理
主机管理是配置平台的核心功能，在保留传统的列表管理同时还能结合拓扑进行跨云管理。主要具备以下功能点：
![配置平台](https://mc.qcloudimg.com/static/img/3af3e7bf58f35183c7724b0b7c912454/2.jpg) 
1. 拓扑维度的主机概况展示，通过页面左边的拓扑树能展示主机在各集群和模块下的分布情况。
2. 跨云管理主机，在配置平台可以便捷的管理不同云下的主机，不会受内网IP冲突等影响。
3. 便捷的主机筛选，用户可以在配置平台通过各种自己想要的条件过滤主机。
![配置平台](https://mc.qcloudimg.com/static/img/2e9cf42be6b7136ef02e34d2f322c4b3/3.jpg)  
4. 丰富的增值功能，配置平台提供表格导出、实时数据查看、主机模块变更等供协助用户更好的管理主机。
5. 主机属性自定义展示，在主机管理页面用户可以选择性的展示自己需要的主机字段，同时用户可以导入配置平台不提供的一些主机字段。
![配置平台](https://mc.qcloudimg.com/static/img/cf972e08779380f0a012412180f9431d/4.jpg) 
 

### 3.4 业务拓扑
业务拓扑是配置平台进行主机管理的基础，在业务架构以及类型越来越复杂的今天，只有建立合适的业务模型，才能结构化的管理好主机。配置平台提供用户结构自定义、拓扑属性自定义等功能。
![配置平台](https://mc.qcloudimg.com/static/img/c05c7bbcc55490021762e77757583669/5.jpg)  
1. 拓扑结构自定义，配置平台支持用户定义业务-集群-模块此种三级的数据结构或者业务-模块这类两级数据结构，用户可以针对不同的场景选择性的建立适合于自己业务的结构。
2. 集群、模块属性自定义，配置平台中集群、模块的属性除名称、负责人等标准属性外还提供自定义属性管理，用户可以通过各种自定属性的使用，进一步从各种维度对主机进行分类管理。

### 3.5 集群与模块
在前面章节中已经介绍过配置平台丰富的拓扑管理功能，在拓扑管理的基础上我们对拓扑进一步细化，支持单一集群、模块维度的管理，同时提供了如批量修改，集群克隆等功能。
![配置平台](https://mc.qcloudimg.com/static/img/ece06283816610a16476e32eb771c7a0/6.jpg) 
1. 批量修改，对一个有多个区的游戏来说，批量修改是必须要存在的功能。
2. 克隆集群，克隆集群在游戏业务的批量开区等场景中使用的非常广泛，能节省很多用户操作的时间，便捷了用户进行拓扑结构调整的操作。
![配置平台](https://mc.qcloudimg.com/static/img/300ea8d7e698e18d6f9aff615a65fd03/7.jpg)  

### 3.6 业务管理
用户对开发商下有权限的业务进行管理，包含查看业务列表，新增业务，修改、批量修改、删除业务等操作。
![业务管理](https://mc.qcloudimg.com/static/img/dfff84cec57ae936f4d0e9e2d42f744b/61.jpg) 
在当前开发商下新建一个业务，分为两块，
一是选择您的业务拓扑类型，包含三级拓扑和二级拓扑，样例如下：
![业务管理](https://mc.qcloudimg.com/static/img/b8dc69f34e1343d1581d013a81c6beb8/62.jpg)  
二是填写您要新建业务的基础信息，包含业务名称，产品人员，业务运维等字段
![业务管理](https://mc.qcloudimg.com/static/img/e7649d7e9661d6ee0957c5d3bd73d89a/63.jpg) 
单一业务的修改，可修改的字段包括业务名称，运维人员以及自定义属性。
![业务管理](https://mc.qcloudimg.com/static/img/2ff86893a0d77294d94c23068ee1e057/64.jpg) 
一个及一个以上的业务同时修改您指定的字段属性。其中属性名列的修改字段是可以指定的。
![业务管理](https://mc.qcloudimg.com/static/img/3e302c52fe319c7c771ee7d66c8a28ff/65.jpg) 
可以删除已经不需要的业务
![业务管理](https://mc.qcloudimg.com/static/img/fba9e11f41f10f5b79df97d4eabf2906/66.jpg) 
### 3.7 资源池管理
管理开发商下跨云平台的主机，包括同步或导入主机，更新主机，然后可以将资源池下的主机分配至开发商下具体的业务下的空闲机池，同时也可以删除私有云下不需要的主机。
![资源池管理](https://mc.qcloudimg.com/static/img/a73c2050f029c4cf38ca25680ef1527b/71.jpg)
![资源池管理](https://mc.qcloudimg.com/static/img/3a91cfa6dc71a46e691323b16748f3c6/72.jpg)  

配置平台已和腾讯云打通，如果您在腾讯云上面有主机，只要点击“同步主机”按钮，即可自动同步您在腾讯云的主机至配置平台，并放至当前开发商的资源池下面。
![资源池管理](https://mc.qcloudimg.com/static/img/a9f8e5f7ddc11a8478b5dd5990dae6bc/73.jpg) 
主要是指除腾讯云以外的私有云主机的导入，分两种，一种是快速导入，一种是自定义的文件批量导入。
1. 快速导入，只需填写内网IP即可快速导入，外网IP，维护人选填。
![资源池管理](https://mc.qcloudimg.com/static/img/5d2b64d084fe5d6ec6cc6db6924f31c7/74.jpg)
2. 自定义导入，支持表头自定义字段导入，简单方便。
![资源池管理](https://mc.qcloudimg.com/static/img/7ad68473a21c3aa68293182b62263ca6/75.jpg)
![资源池管理](https://mc.qcloudimg.com/static/img/847745d602a64ca210d9738e9650140e/76.jpg)
 
将资源池下面的主机任意分配至当前开发商下的任意业务下面，默认是放到业务的空闲机池。
![资源池管理](https://mc.qcloudimg.com/static/img/b0ac972765156783ebe51712691d68bb/77.jpg) 
可以删除私有云下面不需要的主机，简单实用。
![资源池管理](https://mc.qcloudimg.com/static/img/f539d23fb00c5df25d3e50199f327c59/78.jpg) 

### 3.8 自定义属性管理
配置平台提供了基础的拓扑模型和模型的基本属性来满足用户的基本业务场景，也支持用户在模型上做扩展，自定义模型属性来适用于所有的业务场景。用户可以在业务、集群、模块和主机上新增自定义属性，这些属性都是开发商纬度的。
![资源池管理](https://mc.qcloudimg.com/static/img/cb0d32f6f4781415b8a5a4962ff11664/79.jpg)
![资源池管理](https://mc.qcloudimg.com/static/img/fb643919ce6008a1cb9e62e429adfba3/710.jpg) 

### 3.9 操作审计
所有用户在配置平台上的操作，都有对应的记录可以追溯。我们可以在操作审计菜单项下查看这些信息： 
![资源池管理](https://mc.qcloudimg.com/static/img/1c11de1791a1642dac74269af47309a4/711.jpg)  





