## 1. 集成平台 
蓝鲸集成平台是一个开放的平台。集成平台，又称蓝鲸PaaS，让用户可以快速又轻松的创建、部署和管理应用，他提供了完善的前后台开发框架、服务总线（ESB）、调度引擎、公共组件等模块，帮助用户快速、低成本、免运维地构建支撑工具和运营系统。

蓝鲸PaaS为一个应用从创建到部署，再到后续的维护管理提供了完善的自助化和自动化服务，如日志查询、监控告警等，从而使用户可以将全部精力投入到应用的开发之中。

下面将重点介绍如何使用蓝鲸集成平台（PaaS）各项服务，以及使用中的注意事项。

## 2. 开发者中心 
开发者中心提供了从应用的创建到部署，再到后续的维护管理的一站式服务。 
### 2.1	应用创建 
#### 2.1.1	创建应用
1. 点击左侧导航中的“应用创建”;
2. 填写应用基本注册信息（应用 ID、应用名称等）;
3. 点击“创建应用”，系统会自动为您的应用创建数据库、初始化SVN仓库代码并创建应用。
![开发者中心](https://mc.qcloudimg.com/static/img/4faacd4a55952e6cf13860f52597d41d/1.png) 

#### 2.1.2	签出代码
1. 应用创建完成后，点击页面上的“签出代码”，将应用的目录（开发框架已经初始化到您的代码仓库）checkout到本地来以便您开发应用;
2. 您也可以通过入口：“应用列表—>点击应用名称—>代码管理”签出代码;
3. 您的应用代码目录分为trunk、tags、branches三个子目录，建议你在trunk目录下进行开发;
4. 签出（checkout）代码。
![开发者中心](https://mc.qcloudimg.com/static/img/704805d886e78fd88c2f146ee1d10273/2.png)  
![开发者中心](https://mc.qcloudimg.com/static/img/a7b062a28f861775cd2c050fc77bc9e6/3.png)  

### 2.2	应用管理
#### 2.2.1	基本信息修改
在基本信息修改页面，用户可以修改简介，应用名称，应用分类，管理员，开发负责人，所属业务，页面高度和宽度，详细描述等。
![开发者中心](https://mc.qcloudimg.com/static/img/53884054eb444ca61ff7fae5c4c72946/4.png)  
注意：修改页面宽度和高度，需要重新打开应用才会生效。

#### 2.2.2	角色管理
蓝鲸应用分创建者、开发者、管理员三个管理角色，每个角色拥有相应的应用管理权限。

角色说明:
- 创建者：该应用创建人，拥有应用管理的最高权限。 
- 开发者：应用开发，可以拉取代码、部署应用、查看应用日志等。 
- 管理员：除获取代码、部署应用权限外，其他功能和服务都可使用，适用业务运维、产品经理等。
![开发者中心](https://mc.qcloudimg.com/static/img/d2bb8a8c976d9701ddb846d5a7aab0fe/5.png) 
 
填写新增角色QQ帐号，多个帐号请用英文分号‘;’隔开。
新增应用管理角色，必须和应用创建者属于同一开发商协作者，开发商协作者信息可在蓝鲸桌面个人中心查看。

#### 2.2.3	变量设置
对应有些敏感变量，比如外部数据库IP，账号密码等，直接写到代码中会有暴露风险，而且每次修改，需要拉取代码，修改提测上线后才能使用，蓝鲸开发者中心针对该场景，使用变量设置功能完全可以解决开发者的变量硬编码问题。

![开发者中心](https://mc.qcloudimg.com/static/img/9992458f62b5088ed29b32d07e578e8c/6.png)  
1. 变量名必须以`BKAPP_`为前缀，由大小写英文字母，数字或者下划线组成，最大长度为50字符，例如：变量名可设置为BKAPP_TEST。
2. 变量值必须由大小写英文字母，数字或者下划线组成，最大长度为100字符。
3. 应用中获取对应环境变量值：os.environ.get('BKAPP_TEST')。
4. 设置完成后，应用必须进行测试部署和正式部署，才会在对应部署环境生效。

### 2.3	应用部署
#### 2.3.1	发布部署
在线一键自动部署蓝鲸应用，采用分布式部署方式，当某一台服务器宕机，用户请求会被转发到其他的服务器上，不会影响应用的正常使用，大大提高了应用的稳定性，另外，蓝鲸应用部署使用docker进行隔离，提高蓝鲸应用安全性。

![开发者中心](https://mc.qcloudimg.com/static/img/14fe86ea5ce2fd5ec33f8ffe855e70fe/7.png)  
1.	测试部署
系统将应用代码在测试环境上进行部署，部署成功后就可以在测试环境上访问该应用。
如果有功能更新，请提交代码至SVN，并重新【测试部署】即可。
如果代码中使用了celery来执行后台任务，测试部署时请勾选启用celery。
2.	正式部署
将应用代码在正式环境上进行部署，部署成功后就可以在蓝鲸桌面（正式环境）使用该应用。
3.	下架
系统将应用代码从开发人员选择的环境上撤销部署，届时用户将无法访问该应用，但是该应用的数据库依然保留。
![开发者中心](https://mc.qcloudimg.com/static/img/c54b1232f76be54759adf794284382e0/8.png)  

#### 2.3.2	发布历史
每次提测，上线，下架都有发布记录，用户可以在发布历史—>发布记录中进行查看。
![开发者中心](https://mc.qcloudimg.com/static/img/79217a75cbe6f9434a61b2d924cc82b3/9.png)  

#### 2.3.3	服务状态
应用一般都使用了蓝鲸平台的多个服务，如MySQL，UWSGI等，这些服务的状态统一展示在应用部署 —>服务状态。
蓝鲸应用正式环境和测试环境相互独立，使用的服务也相互独立，应用必须测试部署和正式部署后才能看到相应环境的服务状态。

![开发者中心](https://mc.qcloudimg.com/static/img/8c54b6efd37c7ce04f437be98e4a7d69/10.png)  
对应celery, celery_beat，需要用户提测，上线勾选启动celery，启动周期性任务才能查看。
![开发者中心](https://mc.qcloudimg.com/static/img/5617dc4b9c523d913000f77a922c87a3/11.png)  
### 2.4	代码管理
#### 2.4.1	代码签出
开发者创建应用完成后，系统根据选择的应用开发框架/样例，初始化一份代码到当前应用的目录，开发者在此基础上进行二次开发。应用代码SVN地址需要在代码签出中查询。代码签出地址为https://svn.o.qcloud.com/{云服务账号}/{应用ID}，如下图所示：
![开发者中心](https://mc.qcloudimg.com/static/img/d8a70575d2cabe4d27e506822e288f45/12.png)  
账号即为当前用户QQ号，如果忘记密码，可以点击忘记密码链接，会发送一个6位随机数到用户手机，如下图所示：
![开发者中心](https://mc.qcloudimg.com/static/img/3857fdfc9a2e31c507431767e54a2eb1/13.png)   
输入验证码，完成手机验证后，会把生成的密码发送到用户手机，如下图所示：
![开发者中心](https://mc.qcloudimg.com/static/img/f8b2c656531e0a79a3d9d79d5b039dba/14.png)   
#### 2.4.2	代码权限管理
代码权限管理是指SVN代码读写权限，开发者可以在权限管理页面添加、删除某些帐号权限信息。代码权限管理维度目前仅细化到单一账户权限，添加后，该账户可以查看、提交当前应用任何目录下的代码（包括release目录等）。
![开发者中心](https://mc.qcloudimg.com/static/img/7cb99b49d9a83f8f50fa385879f1f0ad/15.png)  

![开发者中心](https://mc.qcloudimg.com/static/img/55cf19877485ef00a6313d38f1abeba4/16.png)   
 
注意：
1. 在应用管理 —>角色里添加了开发者后，系统会自动添加到开发成员中，并同步开通应用代码权限。
2. 添加的开发者必须是用户协作者，协作者可以是腾讯云的协作者或者自定义的协作者，自定义协作者可以在蓝鲸桌面个人中心查询。

#### 2.4.3	提交记录
蓝鲸PaaS平台会记录应用每次SVN代码提交的操作详情。用户在提交记录中，可以查看应用每次提交的时间，提交修改的文件，提交人的信息等。
![开发者中心](https://mc.qcloudimg.com/static/img/a4d698ddc9abe835b64c714d4de3246b/17.png)   
#### 2.4.4	在线查看
对于应用代码，蓝鲸PaaS平台提供在线查看文件，目录和diff（差异比较）功能。右边分别显示了文件/文件夹名称、最后提交版本号、最后修改时间、提交人等新，如下图所示：
![开发者中心](https://mc.qcloudimg.com/static/img/b4f6e88952bbb654f4157d1c1608dc2e/18.png)   

点击文件，可以查看当前文件源码信息，如下图所示：
![开发者中心](https://mc.qcloudimg.com/static/img/8e691280b520f34e3e9dee2a8a7fade3/19.png)  
 
点击diff，可以看当前文件和上次文件的diff信息，如下图所示：
![开发者中心](https://mc.qcloudimg.com/static/img/70eed752a88cf2a886655d3914e6e818/20.png)   
### 2.5	数据库
蓝鲸为每个应用分配有两套独立数据库（测试库和正式库），并配备高可用方案，保证数据可靠性；并支持几乎所有的MySQL特性。
#### 2.5.1	Django admin
蓝鲸的应用采用了Django框架，Django是基于 WEB的数据库管理工具。你只需要将数据模型注册到 admin.py文件中，就可以在页面上对数据进行 增、删、改、查。
![开发者中心](https://mc.qcloudimg.com/static/img/eec88a4fd4c6b3c95bdd9313886d1025/21.png)  

![开发者中心](https://mc.qcloudimg.com/static/img/9665b69da181a07816b426f3c000e768/22.png)   
 
Django admin 的详细使用介绍请查看[官网链接](https://docs.djangoproject.com/en/1.8/ref/contrib/admin/)。
#### 2.5.2	在线操作
蓝鲸应用直接集成Django框架自带的数据库后台管理服务。开发者可以在页面上管理 测试环境和正式环境的数据库。
![开发者中心](https://mc.qcloudimg.com/static/img/2674ca0f7dc4b57f5dcebd4d4b01f3e4/23.png)   
### 2.6	日志
蓝鲸PaaS平台提供在线日志服务，开发者可以在服务—>日志查询菜单中查看应用全方位日志信息，包括：普通日志/组件调用/UWSGI/CELERY/NGINX/Gunicorn，也可以通过环境，日志级别和时间过滤查看。
![开发者中心](https://mc.qcloudimg.com/static/img/736ea496805f2ee541e866b65bc57642/24.png)   
- uWSGI/Nginx/Gunicorn 为系统日志，部署时平台负责将日志输出到固定目录，开发者不能定义内容。
- 普通/组件调用/Celery 为开发框架中定义的logger输出的日志，开发者可以自定义内容。

日志产生后，由采集agent进程采集，解析，汇总入日志查询引擎，在蓝鲸PaaS平台可以查询到。
![开发者中心](https://mc.qcloudimg.com/static/img/1987440855f0fc439b1ba852cb6acd93/25.png)   
- 时间：默认最近1小时，可选最近1小时/12小时/1天/7天/14天，支持自定义时间段，最长可以查30天内日志。
- 环境：默认全部，可选测试环境/正式环境。
- 类型：默认普通日志，可选普通/组件调用/uWSGI/Celery/Nginx/Gunicorn。
- 日志级别: 普通/组件调用/celery均有五个级别的日志标示，分别是 DEBUG、INFO、WARNNING、ERROR、CRITICAL；uWSGI/Nginx/Guniorn为HTTP状态码。
- 信息：可输入关键字进行查找。

从日志产生到可查的时间间隔：5s左右。
### 2.7	监控告警
开发者可以主动通过蓝鲸PaaS平台的日志查看功能来查看应用日志记录，但是还需要一个实时推送告警的功能，这样可以帮助开发者第一时间发现应用的问题，提高用户体验。所以，平台提供了日志监控告警服务。开发者可以自行配置相应的告警参数，告警接收人等信息，平台会实时监控日志数据，一旦命中规则，即向开发者推送告警信息。
应用注册后，告警服务默认为开启状态，建议重要的应用不要手动关闭该服务。
![开发者中心](https://mc.qcloudimg.com/static/img/633173e0b0a57a057b2c981727e7c17f/26.png)   
![开发者中心](https://mc.qcloudimg.com/static/img/199ac0393cda65ff1aa29f92561d536f/27.png)   
开启后可以关闭，如果关闭，应用告警将不会发送给告警接收人，所以建议不关闭。
#### 2.7.1	告警配置
开启后，可以配置告警接收人/告警接收类型/具体类型告警参数。
![开发者中心](https://mc.qcloudimg.com/static/img/10311f52fd3ac8268c616e273ba7b581/28.png)   
- 告警接收：填写接收人QQ并选择要接收的告警类型，系统将以邮件的形式发送告警给接收人，接收人默认为应用开发者。
- 普通告警：针对开发者代码调试日志进行监控和告警，支持日志等级和关键字关联配置，建议开发者调整日志级别，调试日志用INFO级别，异常日志使用ERROR级别，以免造成不必要的干扰。
- HTTP告警：针对应用 UWSGI日志进行监控和告警，支持请求错误码和慢请求配置。
- 组件告警：针对应用 组件调用日志进行监控和告警，支持日志等级配置。
- Celery告警：针对应用 celery日志进行监控和告警，支持日志等级和关键字关联配置（仅针对启用了celery服务的应用）。

#### 2.7.2	告警统计
监控告警服务同时提供了告警统计功能，以便开发者掌握应用的稳定情况，并做相应的优化处理。统计主要展示当日告警数，和指定时间段内的告警量趋势，支持按时间和告警类。
![开发者中心](https://mc.qcloudimg.com/static/img/f2a0f37b3276176e4ce10b42afa76ce2/29.png)   
### 2.8	数据统计
对于应用产品经理，运营人员，比较关心的就是应用的数据，蓝鲸提供应用的访问量，在线时长，活跃度等三个指标，全方位展示应用的使用情况。
#### 2.8.1	访问量
主要针对应用在蓝鲸桌面、应用市场被打开次数进行统计。可以按时间或用户纬度查询访问量。
![开发者中心](https://mc.qcloudimg.com/static/img/287efd1a9c58b35df311e990a7725377/30.png)  
#### 2.8.2	在线时长
主要针对用户在应用页面上的停留时间进行统计。可以按时间或用户纬度查询访问量。
![开发者中心](https://mc.qcloudimg.com/static/img/8fe943881b2e94a3d42a609bfa8df9ff/31.png)   
#### 2.8.3	活跃度
主要针对用户在应用页面上的点击量（页面上的链接、按钮等点击次数）进行统计。可以按时间或用户纬度查询访问量。
![开发者中心](https://mc.qcloudimg.com/static/img/b931d852dda07fbc6febe0db2b776443/32.png)   
#### 2.8.4	容器资源实时统计
针对应用的docker容器所占用内存和CPU进行实时监控统计，供用户了解应用的CPU和内存使用情况。
![开发者中心](https://mc.qcloudimg.com/static/img/f8887ab70a7dd5d0f8057a86f74058a6/33.png)   
### 2.9	访问控制
蓝鲸应用默认都是私有应用，只允许开发者所属开发商及其协作者访问。应用测试部署和正式部署后，对其他人不可访问，开发者可以通过添加协作者的方式给特定用户添加访问权限。
![开发者中心](https://mc.qcloudimg.com/static/img/a506d0532b50afca7d5a45c801391549/34.png)  
 
若用户没有添加到用户白名单，访问应用链接的时候，会提示权限不足。
![开发者中心](https://mc.qcloudimg.com/static/img/5e1eeb3a4e6810a47c89dfc69d43adc8/35.png) 
  
此时，需要开发者到蓝鲸桌面—>个人中心—>添加协作者将用户的QQ账号加为协作者， 然后在点击刷新协作者，用户即可访问应用。
![开发者中心](https://mc.qcloudimg.com/static/img/159d9379f5ab8322080e89287b8e502e/36.png)   

### 2.10	权限管理
蓝鲸开发者开发应用时，常见的一个功能就是用户权限管理，包括配置用户权限，申请权限等。但由于登录使用了 OpenID 的鉴权方式， 开发者在应用中是不可获知登录用户的QQ号，所以平台提供了应用的权限控制服务。蓝鲸统一权限管理服务主要功能有：
- 权限配置，包括权限功能配置、审批负责人配置、单独用户权限配置、超级用户配置。
- 权限申请
- 权限续期
- 权限审批

#### 2.10.1	权限配置
权限配置主要包括功能注册，代码开发以及其他配置。
1. 权限功能注册
功能注册需要填写功能名称（必须），功能编码（必须）和功能描述（非必须），保存即可。
![开发者中心](https://mc.qcloudimg.com/static/img/ee406ad62b91d49ff38456b3890eec95/37.png) 
2. 在应用中使用装饰器控制权限
bk_check_auth是统一权限系统装饰器，装饰器已经集成到开发框架。
	1）参数（func_code）：接收的是应用在开发者中心注册的功能编码。
	2）ENABLE_BK_AUTH：是统一权限装饰器的配置开关，请在 config/settings_custom.py 配置 ENABLE_BK_AUTH = True 开启使用。
装饰器使用示例如下：
![开发者中心](https://mc.qcloudimg.com/static/img/5ab74dcc746e939b4d4e1b42ee861329/38.png) 
这里的look_index是我们在开发者中心注册的功能编码。
如果用户没有权限，会跳转到权限不足页面，用户可以点击申请相应的权限，也可以查看自己的权限，如下图所示：
![开发者中心](https://mc.qcloudimg.com/static/img/8aa10a16d18d1804caa8504de1fad457/39.png)  
3. （非必须）审批负责人配置、单独用户权限配置、超级用户配置
在快速接入的基础上，还有一些特殊的角色和权限配置，可以减轻开发者的工作及满足一些特殊的需求，如下面三种配置：
1）审批负责人配置
审批负责人是一类特殊的角色，在应用审批的时候，既可以由应用开发者审批，也可以由审批负责人审批，只需要在开发者中心配置审批负责人即可，可配置多个审批负责人。
![开发者中心](https://mc.qcloudimg.com/static/img/6eca38eee610492a81a1e13e8530ab05/40.png)  
2）单独用户权限配置
对于开发者或应用管理员来说，无需在用户权限受限后再通过申请权限来添加权限，可提前给某些用户添加某些权限。
![开发者中心](https://mc.qcloudimg.com/static/img/c37a15f156cd5869a1626e505a583cb7/41.png)  
![开发者中心](https://mc.qcloudimg.com/static/img/26bb42e766fd68c358f502fe1e7e6939/42.png)  
3）超级用户配置
对于开发者或应用管理员，某些特殊用户可以直接访问/打开应用而不受任何权限控制，这时只需要将其设置为超级用户。
超级用户默认拥有统一权限管理控制的所有权限，不需要进行任何权限申请。
![开发者中心](https://mc.qcloudimg.com/static/img/8a50844446fc3eee6a1e8168f7b3a01b/43.png)  

#### 2.10.2	权限申请
[入口链接](http://o.qcloud.com/console/?app=permission_center)：http://o.qcloud.com/console/?app=permission_center
![开发者中心](https://mc.qcloudimg.com/static/img/ebb1a59b4d0de81fab05f2b5c5f8091c/45.png)  
用户权限申请，选择应用，选择需要的功能，填写申请原因，提交即可。
注意：申请原因填写直接关系到审批效率，请填写真实的申请原因，以免申请被驳回 。
![开发者中心](https://mc.qcloudimg.com/static/img/bcbb4b501408d3eae588bb1aa48c90ee/46.png)  
#### 2.10.3	权限续期
权限申请默认是60天期限，如果过期，权限将不可用，这时需要用户手动续期或开发者主动为用户续期。
1. 用户手动申请续期
![开发者中心](https://mc.qcloudimg.com/static/img/d356545c9864e2ff790a6b909c4f9498/47.png)  
选择续期周期（默认60天），填写续期理由确定即可。
注意：续期理由直接关系审批效率，请填写真实的续期理由，以免申请被驳回。
![开发者中心](https://mc.qcloudimg.com/static/img/1c9cd81ba1a1d2cb9985bad3597d8083/48.png)  
2. 开发者主动为用户续期（需在开发者中心进行），可参考下图操作
![开发者中心](https://mc.qcloudimg.com/static/img/1f708eab451286eb444f85880dc76c39/49.png) 
![开发者中心](https://mc.qcloudimg.com/static/img/3e1375361563d1c6c6dd12f478138fe2/50.png)  

#### 2.10.4	权限审批
权限审批是统一权限管理服务最后一个环节。 审批分两种角色，一种是应用开发者，一种是审批负责人，审批负责人配置请看之前示例，两种角色都可以对单个或者多个申请单据进行审批，审批完成后，会有邮件通知用户审批结果 。 审批是对用户权限申请的Review，需要开发者或审批负责人自行根据填写的申请原因、申请UIN、功能等来处理申请单据。
1. 开发者审批【开发者中心进行】
应用开发者拥有所有功能的审批权限，处理完的申请单据后，可以在已审批下查看审批记录。
![开发者中心](https://mc.qcloudimg.com/static/img/3d928844c8b91462ce69afc62c4d6091/51.png)  
2. 审批负责人审批【蓝鲸桌面进行】
在第三步中涉及到统一权限管理服务可以设置审批负责人。
审批负责人的作用就是负责功能权限申请的审批工作。
审批的入口是在桌面的统一权限管理APP中，入口链接：http://o.qcloud.com/console/?app=permission_center。
![开发者中心](https://mc.qcloudimg.com/static/img/4c9f1579e05d173c6ac9c658eef0fd3d/52.png)  

### 2.11	组件权限申请
蓝鲸应用需要调用其他系统的接口，如CC、WEIXIN，都需要通过蓝鲸的组件API，默认应用并没有任何组件的权限，需要在蓝鲸PaaS平台申请组件权限。
![开发者中心](https://mc.qcloudimg.com/static/img/2c7f132398097c46d41d50bd372996b3/61.png) 
点开API的名称，可以查看API的详细文档。
![开发者中心](https://mc.qcloudimg.com/static/img/45b7bb1f3e0fe294ed6ce0f840027c04/62.png)  
组件权限分普通权限和敏感权限，普通权限一般都是查询类等，敏感权限是创建，运行类API，需要分别申请，如下：
![开发者中心](https://mc.qcloudimg.com/static/img/43755b9d6b1cf9454042ae6f80a2a763/63.png)  
申请后由ESB团队统一审批，通过后即可正常使用组件了。
![开发者中心](https://mc.qcloudimg.com/static/img/3bbea65549ec00ce15290957553b4bfb/64.png)  
[组件文档](http://o.qcloud.com/esb/docs/qcloud/)：http://o.qcloud.com/esb/docs/qcloud/

### 2.12	通知与公告
蓝鲸设计并实现了一套基于Node.js的通知推送服务，它可以方便地对接蓝鲸所有子系统、应用，并能支持第三方系统的接入。主要功能：实时推送消息；支持自定义通知消息展现形式；支持接入其他第三方系统。
![开发者中心](https://mc.qcloudimg.com/static/img/defde4a0a751bc1bc0297a91b1ed64ac/65.png)  

#### 2.12.1	发布公告
入口：应用列表（点击应用名称）—> 服务 —> 通知与公告。公告【保存】后，平台将在用户指定的 展示开始时间 到 展示结束时间 范围内将公告信息推送到应用的Web页面。
![开发者中心](https://mc.qcloudimg.com/static/img/fe4baf35f42f79bed0b3c81c6e75d701/66.png)  

#### 2.12.2	查看公告
蓝鲸应用开发框架获取应用所有公告信息 和 用户已读信息的接口。用户可以直接在应用中查看所有的历史公告。
![开发者中心](https://mc.qcloudimg.com/static/img/6f1e6051f8723bd1912fea976fadd613/67.png)  
 
## 3	后台开发框架
在蓝鲸PaaS平台上开发应用，用户可以基于蓝鲸后台开发框架进行二次开发。蓝鲸后台开发框架架是基于Django框架构建的，其中涉及到 Python , Django , Mako, Html, JavaScript，CSS等技术。

### 3.1	登录鉴权模块
蓝鲸应用开发框架集成蓝鲸统一登录鉴权模块，与蓝鲸PaaS平台共用一套用户信息及鉴权体系。
![开发者中心](https://mc.qcloudimg.com/static/img/ea9d319ceb7801c4cc1730043428c3c1/71.png)  
蓝鲸PaaS平台的应用采用了 OpenID鉴权机制。
OpenID 是针对QQ帐号设计的一种开放帐号，允许用户使用QQ帐号登录第三方公司的业务，但不会公开QQ帐号给第三方，为QQ帐号的开放提供了一种安全的实现方式。

	1）应用使用独立的域名(APPID.qcloudapps.com、APPID.test.qcloudapps.com)；
	2）应用作为第三方应用接入腾讯互联，用户登录后应用获取到openid和openkey；
	3）应用通过openid和openkey来验证用户的身份。
注意事项：由于登录使用了 OpenID的鉴权方式， 开发者在应用中是不可获知登录用户的QQ号，所以平台提供了 权限管理服务。

### 3.2	功能开关模块
支持开发者在应用版本开发迭代中，对功能选择性开放，进行灰度测试等。
开发者需要在 app_control_function_controller 表中添加功能信息，并使用装饰器，示例代码如下：

![开发者中心](https://mc.qcloudimg.com/static/img/b8e10fb424617d59e560a2105d727be4/72.png)  
功能示例：

![开发者中心](https://mc.qcloudimg.com/static/img/dd3b88e67510cdcfbfd5a83507d85fe6/73.png)  

### 3.3	WEB安全防护模块
WEB安全防护模块主要包括防csrf攻击和防xss攻击两方面。
- 防csrf攻击：使用django提供的csrf模块，开发框架中已集成，用户无需做其他设置。
注意：如需对某些请求去除csrf验证，可在对应view函数添加csrf_exempt装饰器。
- 防xss攻击：开发框架中已集成防xss攻击的中间件，会对所有请求参数将进行特殊字符转义（富文本内容、URL有特殊处理方式）。

### 3.4	组件模块
组件模块将所有的API封装成SDK，集成在开发框架中，用户可在应用中直接调用。下载地址: https://o.qcloud.com/esb/sdk_resource/esb/
#### 3.4.1	SDK 安装
本地开发时，使用命令将SDK安装到本地。
pip install http://paas-10032816.cos.myqcloud.com/blueking.component.qcloud-0.1.1.tar.gz
同时，需要确认 requirements.txt 文件中SDK包和版本号是否正确。
如果requirements.txt文件中未填写SDK包或者版本号不正确，应用在测试部署/正式部署后将无法正常访问。

![开发者中心](https://mc.qcloudimg.com/static/img/9342f7ef898b054535a4d4ea194fe70e/74.png)  
#### 3.4.2	SDK使用说明
SDK有两种使用方式：shortcuts、ComponentClient。使用示例请参考：
https://o.qcloud.com/esb/sdk_resource/esb/
## 4	前端服务
蓝鲸前端MagicBox是一个前端资源集成平台，为蓝鲸应用开发者提供丰富的前端资源，包括常用的UI组件、JS插件及基础模版，开发者可以通过蓝鲸MagicBox快速构建页面。它还提供完整的套餐样例供开发者选择，开发者也可以在线拖拽组件组装页面，让前端布局可视化。
### 4.1	前端组件集
前端组件集包括形式多样的导航和图标，功能齐全的表格和表单，简单易用的下拉框和弹层等，开发者可以在线查找需要的组件，在线复制代码使用。开发者可以通过预览组件，了解各个组件的使用效果，从而选择合适的组件。
![开发者中心](https://mc.qcloudimg.com/static/img/6f65c059dcdff7666576c733a5464ce6/81.png)  
开发者可以在线查询组件，并预览组件效果，也可在线复制组件源码。
![开发者中心](https://mc.qcloudimg.com/static/img/48c90c30a4174ed28059c8e6929ae282/82.png)  
每个组件配套详细的使用指南，包括依赖文件、使用方法、配置参数说明等。
![开发者中心](https://mc.qcloudimg.com/static/img/ea9ceed33d76a631513b0e155acb42e9/83.png)  
### 4.2	套餐样例集
套餐样例集包括Bootstrap基础风格、响应式风格、移动版等多套样例，开发者可以在线预览样例效果，并下载。
![开发者中心](https://mc.qcloudimg.com/static/img/190a310007e55fad7a91a5b4b2051e6a/84.png)  
### 4.3	可视化布局
开发者通过在线拖拽蓝鲸MagicBox提供的组件的方式来组装页面，支持在线编辑页面，并且可以在线保存、预览、下载页面。
1. 查找需要的组件
![开发者中心](https://mc.qcloudimg.com/static/img/3280ed465712c6e9b08f520f6466a6b9/85.png) 
2. 拖拽组件到画布区域
![开发者中心](https://mc.qcloudimg.com/static/img/72d09f6d70d58e561b538b701bbabd4e/86.png)  
3. 预览、保存或下载
![开发者中心](https://mc.qcloudimg.com/static/img/fe3498ef6165b7a9fcaaa97a5f555ea1/87.png)  



