In real life, you need to get a job done with many colleagues, and each of them has different responsibility.
In Tencent Cloud, you may need multiple sub-users to help you manage the could resources within your account, and these sub-users also have different permissions to manage different cloud resources.


## Overview of User and Permission
You can add employees who need to manage the cloud resources in the account (use QQ account as login credential) as sub-users of your account, and associate appropriate policies for the sub-users to assign different permissions.

![](//mccdn.qcloud.com/static/img/10728645b9bf6e48b3c1f61e6d3caa28/image.png)
> The user and permission feature is an abstract representation of company's organizational structure, administrative management, and function division. It includes user management, user group management, policy management, etc.


## Terms
- Sub-user: The user created within the developer account. The sub-user can log in to the console using QQ account as the login credential, to manage the cloud resources of specified developers.
- User group: A collection of users. You can add sub-users with the same functions to the same group and grant them the same permissions.
- Policy:  The description of permissions. Editing policy is to describe a set of permissions. When a policy is associated with a sub-user, the sub-user obtains the permissions described by the policy.
- Authentication:  When a sub-user logs in to the Tencent Cloud console and executes the cloud API, Tencent Cloud needs to identify whether this sub-user has the operation permission, to ensure the resource security within the account.



