## 策略的作用
策略描述了权限，当策略与用户或者用户组关联后，则该用户可获得策略所描述的权限。
![](//mccdn.qcloud.com/static/img/10728645b9bf6e48b3c1f61e6d3caa28/image.png)
> 策略即是对组织架构中权限管理能力的抽象。

## 策略类型

### 预设策略
是腾讯云预设的策略，例如系统管理员、CDN管理员等，一般描述了比较大而全的权限，以方便你快速分配权限。比如为某部门teamleader关联【超级管理员】策略，则该teamleader即可关联账户内所有云资源。

### 自定义策略
你可以根据需要，创建【自定义策略】，允许你作各细粒度的权限划分。比如为某DBA关联一条策略，让他只能管理CDB实例，而无权管理CVM实例。

## 策略组成
策略由多组【业务】、【功能】、【对象】组成，这三个元素共同描述了权限。
例如：一条策略描述了删除CDN【域名】www.123qc.com 的权限 ；
当策略与用户关联后，该用户即可删除CDN【域名】www.123qc.com， 因为他获得了该策略所描述的权限。

### 业务
指腾讯云对外开放的业务，例如：CVM、CDN、CDB、用户与权限、财务相关等业务，将业务添加至策略后，即可用于该业务相关的权限描述。<font color='red'>目前支持在策略中添加的业务有: 【CDN】、【项目管理】</font>， 一条策略可以添加多个业务。

### 功能
指添加至策略中的腾讯云业务所能提供的业务能力。例如：CDN提供了，新建域名、修改域名配置等能力。一条策略可以添加多个业务的多种功能。

### 对象
指功能的作用域，即云资源，例如：CDN域名、CVM实例、CDB实例等。
例如：可以删除CDN域名 www.123qc.com ；
【删除域名】功能的作用域是域名www.123qc.com ，该域名是账户内已添加的CDN域名。 
作用域可以是多个云资源的组合；可以使用三种方式表示云资源，以CDN为例：
![](//mccdn.qcloud.com/static/img/45e29235db7efbdbda1050bc3957d070/image.png)
> 所有对象：即选中业务下的所有云资源，包括未来购买或者添加的云资源；

![](//mccdn.qcloud.com/static/img/66c22594038723204f05f1344e841112/image.png)
> 按项目：即选中项目下的所有域名；

![](//mccdn.qcloud.com/static/img/11573acc1e46b2663720a211979b18c0/image.png)
> 按对象：即具体的域名，比如上图所述的 element_tst项目下的域名

## 关联策略
策略创建后，需要与用户或者用户组关联。关联后，用户即可获得该策略所描述的权限。
![](//mccdn.qcloud.com/static/img/93423975fb6ed0332690845ebeef2107/image.png)
> 打开用户或者用户组详情，即可关联策略。

### 用户组关联策略
用户组关联策略后，该用户组内的所有用户均将获得该策略所描述的权限。


## 最佳实践
以授权子用户(QQ帐号：2732034714)可以在CDN业务中删除域名为场景，本章节将介绍通过策略为该用户授权，并讲解关联策略前后的使用差异。
学习本单节后，即可为你账户下的子用户关联不同策略，以管理他们的权限。

### 关联策略前
假定一个用户，可以浏览CDN控制台，但并没有被关联描述了“删除CDN域名”的策略，则在CDN控制台删除域名时会提示
![](//mccdn.qcloud.com/static/img/464d2676c8b514868f9e26f02c6531a3/image.png)

### 创建策略
为达到授权用户可以删除指定CDN域名，需要创建一条自定义策略。

step1:  访问策略管理控制台，则点击【创建自定义策略】。

step2:  添加CDN业务至策略中，并命名为【最佳实践】，并点击下一步。
![](//mccdn.qcloud.com/static/img/04b6f7953fd9e46fa13d8071a5c2f468/image.png)

step3:  将【 删除域名】功能的权限开关置为【开】，并点击下一步。
![](//mccdn.qcloud.com/static/img/7c0c0c72bd5e993f32813cecfd118cfb/image.png)

step4:  因为【删除域名】功能需要指定作用域，即需要指定可以删除的域名。在这里，关联的是所有域名，包括了未来添加的域名。然后点击保存。
![](//mccdn.qcloud.com/static/img/0748899793cab8d3c1b6d2c7dd5c5aff/image.png)

step5:  可以在策略列表中查看到【最佳实践】策略
![](//mccdn.qcloud.com/static/img/001dfce47034e981306af7a95d7760b4/image.png)

### 关联策略
step6:   在【用户管理】页面，打开子用户(QQ帐号：2732034714)的详情页，并关联【最佳实践】策略。
![](//mccdn.qcloud.com/static/img/86ce8761701df36bffe9e65f9b324a8b/image.png)

### 关联策略后
step7:  最后，子用户(QQ帐号：2732034714)登录CDN控制台后即可删除域名。
