## 协作者角色将被替代
策略，将完整的替代协作者角色。以前分配权限，即将用户设置为【全局协作者】、【项目协作者】；以后需为用户关联【超级管理员】策略、【项目管理员】策略。为了保持你的使用习惯，以下将介绍策略如何替代协作者角色。

## 预设策略与全局协作者
【策略】将代替全局协作者角色，如果需要为子用户添加协作者角色，请以关联对应【预设策略】代替。协作者角色与预设策略的等价关系如下：

| 协作者角色 |预设策略名称 | 
|---------|---------|
| 全局协作者(管理云资源、用户、财务) | 超级管理员 | 
| 全局协作者(管理云资源) | 全局云资源管理员 | 
| 全局协作者(管理财务) | 全局财务管理员 | 
> 项目协作者，需要创建【自定义策略】代替，相关介绍请查阅【自定义策略与项目协作者】

### 全局协作者向策略过渡

![](//mccdn.qcloud.com/static/img/b59edf2deab1d92d50d9fe6c6912f29a/image.png)
> 会为全局协作者角色，初始化关联同等效力的【预设策略】


## 自定义策略与项目协作者
如果需要为子用户添加项目协作者角色，请新建【自定义策略】后与子用户关联。步骤如下：

step1: 访问策略管理控制台
![](//mccdn.qcloud.com/static/img/c89067bbee25cabc34aa058bf7194502/image.png)
step2: 创建自定义策略。填写策略名称为【项目A管理员】，并添加【项目管理】至策略中。点击【下一步】
![](//mccdn.qcloud.com/static/img/f6652cda7f9fc9b7f6ab2a24f9723a04/image.png)
step3:开启【管理项目内云资源】操作的权限。点击【下一步】
![](//mccdn.qcloud.com/static/img/380852b808833321120c5130998a036b/image.png)
step4: 请为【管理项目内云资源】关联对象
![](//mccdn.qcloud.com/static/img/44fa94c64ccae019ad4a6aeefa840321/image.png)
step5: 选择需要管理的项目，作为对象.
![](//mccdn.qcloud.com/static/img/18bb0e3231a835656048d609a38de4a9/image.png)
step6: 点击【完成】，保存策略。
step7: 为需要添加权限的用户或者用户组，关联策略。
![](//mccdn.qcloud.com/static/img/4b5d12cf46cfc19178138ebfa1796406/image.png)
step8: 在自定义策略中，找到【项目A管理】策略，与用户关联，即完成授权。
![](//mccdn.qcloud.com/static/img/2d35d4b79a7280922ed6160f0e83e01c/image.png)

### 项目协作者向策略过渡
项目协作者角色，被描述了【项目管理】业务权限的【自定义策略】代替。腾讯云将为存量的项目协作者，预先初始化了若干【自定义策略】并与子用户关联，以保证这些子用户可以正常访问控制台。

#### 初始化若干【自定义策略】
![](//mccdn.qcloud.com/static/img/fbc70b2ca9cb12769f97afcd645e85a3/image.png)
> 初始化逻辑是：一个项目初始化一条策略

#### 初始化关联
![](//mccdn.qcloud.com/static/img/07bd7be98b84e6f43b37e890ef0fdfb3/image.png)
> 项目协作者角色，会被初始化关联一批同等效力的【自定义策略】。
