托管模式是指，由TLS为开发者提供APP帐号的密码注册、存储和密码验证，以及第三方openid和token的托管验证服务。帐号验证成功后，派发私钥加密生成的签名到客户端，APP业务服务器可以通过下载的公钥解密签名进行验证。
## 1 APP自有帐号

![](//mccdn.qcloud.com/static/img/87d168d10fc0d486d597d65f0ccffe0e/image.png)
【注册说明】
	- APP自有帐号注册有2个接口：
	- （可选）提供接口支持存量帐号导入；
	- 新帐号注册使用TLS SDK完成。
【登录说明】
	- 用户在客户端输入帐号密码后，到TLS验证；
	- 登录后可以直接使用音视频或者即时通信云服务；
	- （可选）APP应用服务器可以使用TLS后台API对签名进行验证，用以确定用户的合法性。
【使用说明】
	- 直接使用TLS SDK即可快速完成注册和登录能力集成；
	- 已上线的APP也可以通过存量帐号导入使用托管模式。
【安全性说明】
	- 帐号密码存储安全级别与QQ帐号相同，能够保证拖库后帐号安全。
【典型流程】
![](//mccdn.qcloud.com/static/img/ee63332d49e91cde6fd81d0bc3f4fdb9/image.png)

## 2 第三方开放帐号

![](//mccdn.qcloud.com/static/img/28e969049aec41f54e7db9500f8641a0/image.png)
【登录说明】
	- 用户在客户端输入帐号密码后，到第三方开放平台验证，验证成功后向APP客户端派发openid和token；
	- APP客户端向TLS提交openid和token进行验证，TLS到第三方开放平台验证openid和token的合法性，验证成功后便可以使用相关服务。
【使用说明】
	- 开发者不需要对openid和token验证做额外的开发工作。

## 3 开发文档下载

[TLS SDK 开发手册（android）](http://share.weiyun.com/5e7b32ad01db1ef57c6780c00335d4de)
[TLS SDK 开发手册（ios）](http://share.weiyun.com/5e7b32ad01db1ef57c6780c00335d4de)

## 4 联系我们

如果遇到问题建议先到[这里](http://bbs.qcloud.com/thread-8287-1-1.html)查找解决方法，如仍需支持，请@TLS帐号支持，QQ 3268519604，电子邮箱 tls_assistant@tencent.com。
