## 1 网络透传通道

可以通过IMSDK提供的网络透传通道, 将网络数据通过腾讯后台转发到指定的第三方服务器，并获取服务器的处理结果。

## 2 协议格式

腾讯后台与第三方后台交互, 使用 HTTPS (加密方式) / HTTP (明文方式) 协议.
每个sdkappid对应一个固定第三方后台的url, 由TLS帐号支持(QQ:3268519604)进行配置.
HTTP body可使用任意协议, 后台做原样透传.
注: 明文方式发包可能被人截获，如有敏感信息，需要调用方事先进行加密

## 3 请求/回包示例

假定sdkappid对应的url为: https://demo.com/cgi/api.php
发给第三方服务器的请求:

```
POST /cgi/api.php HTTP/1.0
Connection: Keep-Alive
Content-Type: application/json; charset=UTF-8
Host: demo.com
Content-Length: 45
User-Agent: curl/7.15.1 (x86_64-suse-linux) libcurl/7.15.1 OpenSSL/0.9.8a zlib/1.2.3 libidn/0.6.0
Accept: */*

{
        "Key1": "Value1",
        "Key2": "Value2"
}
```
回包：

```
HTTP/1.1 200 OK
Cache-Control: no-cache
Pragma: no-cache
Content-Type: application/json; charset=utf-8
Date: Sat, 16 Jan 2016 12:48:50 GMT
Connection: keep-alive
Content-Length: 73

{"actionStatus":"Fail","errorCode":-1,"errorInfo":"接口参数错误"}
```

## 4 相关文档

客户端API文档:
iOS客户端集成——网络透传通道
Android客户端集成——网络透传通道
Windows C++客户端集成——网络透传通道