# 群组形态介绍

群组系统当前提供三种默认群组形态：

1. 私有群（Private）：适用于较为私密的聊天场景，群组资料均不公开，类似于微信群。
2. 公开群（Public）：适用于公开群组，具有较为严格的管理机制、准入机制，类似于QQ群。
3. 聊天室（ChatRoom）：群成员可以随意进出，组织较为松散。

三种群组形态之间的主要差异如下：

<table style="display:table;width:100%" >
		<tbody>
			<tr>
				<td style="width:10%;">
					<br>
				</td>
				<td style="width:22%;">
					控制项
				</td>
				<td>
					备注
				</td>
				<td>
					私有群
				</td>
				<td>
					公开群
				</td>
				<td>
					聊天室
				</td>
			</tr>
			<tr>
				<td rowspan="11">
					群组管理
				</td>
				<td>
					是否允许普通成员修改资料<br>
				</td>
				<td>
					<p>
						0：普通成员（非群主、管理员）不能修改群基础资料；
					</p>
					<p>
						1：普通成员可以修改群名称、简介、公告、头像，但不能修改其他字段。 
					</p>
				</td>
				<td>
					1
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
			</tr>
			<tr>
				<td>
					是否公开<br>
				</td>
				<td>
					<p>
						<span style="line-height:1.5;">0：非群成员无法获取该群的公开资料；</span> 
					</p>
					<p>
						1：非群成员可以通过群ID获取该群的公开资料，例如群名称等。<span style="line-height:1.5;"></span> 
					</p>
				</td>
				<td>
					0
				</td>
				<td>
					1
				</td>
				<td>
					1
				</td>
			</tr>
			<tr>
				<td>
					是否允许需申请加群<br>
				</td>
				<td>
					<p>
						0：任何申请加群的请求都不被允许；
					</p>
					<p>
						1：依照申请加群选项来决定后续操作。
					</p>
				</td>
				<td>
					0
				</td>
				<td>
					1
				</td>
				<td>
					1
				</td>
			</tr>
			<tr>
				<td>
					是否允许拉人入群<br>
				</td>
				<td>
					<p>
						0：任何邀请他人入群的操作都是不允许的；
					</p>
					<p>
						1：群成员可以不经受邀请用户同意便将其拉入群中；
					</p>
					<p>
						2：群成员邀请他人入群时需要受邀用户同意才能入群。
					</p>
				</td>
				<td>
					1
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
			</tr>
			<tr>
				<td>
					是否允许群主退群<br>
				</td>
				<td>
					<p>
						<span style="line-height:1.5;">0：群主不得退群，如果要退群，只能通过解散群的方式；</span> 
					</p>
					<p>
						1：群主可以退群，退群之后，群组将没有群主。
					</p>
				</td>
				<td>
					1
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
			</tr>
			<tr>
				<td>
					是否允许群主解散群<br>
				</td>
				<td>
					<p>
						<span style="line-height:1.5;">0：群主不能解散群（但是APP管理员可以强制将其解散）；</span> 
					</p>
					<p>
						1：群主可以解散群。<span style="line-height:1.5;"></span> 
					</p>
				</td>
				<td>
					0
				</td>
				<td>
					1
				</td>
				<td>
					1
				</td>
			</tr>
			<tr>
				<td>
					是否允许设置管理员<br>
				</td>
				<td>
					<p>
						0：<span style="line-height:1.5;">群主不能设置管理员；</span> 
					</p>
					<p>
						1：群主可以设置管理员。<span style="line-height:1.5;"></span> 
					</p>
				</td>
				<td>
					0
				</td>
				<td>
					1
				</td>
				<td>
					1
				</td>
			</tr>
			<tr>
				<td>
					群组的默认申请加群选项<br>
				</td>
				<td>
					<p>
						0：禁止任何人申请加入群组；
					</p>
					<p>
						1：申请加入群组需要通过管理员审批；
					</p>
					<p>
						2：无需经过管理员审批即可直接加入群组。 
					</p>
				</td>
				<td>
					0
				</td>
				<td>
					1
				</td>
				<td>
					2
				</td>
			</tr>
			<tr>
				<td>
					是否允许普通成员踢人<br>
				</td>
				<td>
					<p>
						0：普通群成员不具有踢人权限，仅群主、管理员才可以；
					</p>
					<p>
						1：群内任意成员可以将任意其他成员踢出该群。
					</p>
					<p>
						2：所有人都不具有踢人权限。
					</p>
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
			</tr>
			<tr>
				<td>
					是否定期踢掉不在线的群成员<br>
				</td>
				<td>
					<p>
						0：群组不会定时清理不在线群成员；
					</p>
					<p>
						1：群组每5分钟清理一次群组，不在线的群成员将被踢出。 
					</p>
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
			</tr>
				<tr>
				<td>
					是否定期计算在数成员数量<br>
				</td>
				<td>
					<p>
						0：群组不会计算在线群成员数量；
					</p>
					<p>
						1：群组每5分钟计算一次在线的群成员数量。
					</p>
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
			</tr>
			<tr>
				<td rowspan="6">
					消息
				</td>
				<td>
					无限制历史消息<br>
				</td>
				<td>
					<p>
						0：群成员只能看到自己入群之后的消息；
					</p>
					<p>
						1：群成员可以看到自己入群之前的历史消息。
					</p>
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
				<td>
					1
				</td>
			</tr>
			<tr>
				<td>
					成员变更通知<br>
				</td>
				<td>
					<p>
						0：群成员变更不会在群内发送消息；
					</p>
					<p>
						1：在群成员变更之后向所有群成员推送一条消息，客户端可以选择将这条消息展示给用户；
					</p>
					<p>
					  2：在群成员变更之后向所有群成员推送一条提示，客户端收到该提示之后对群成员列表进行更新，但不向用户展示这条提示。
					</p>
				</td>
				<td>
					1
				</td>
				<td>
					1
				</td>
				<td>
					0
				</td>
			</tr>
			<tr>
				<td>
					是否在首条消息之后激活群<br>
				</td>
				<td>
					<p>
						0：新创建的群组立即针对所有群成员可见；
					</p>
					<p>
						1：在创建群之后，不论当前群内有多少成员，只要创建者没有说话，其他群成员就不会感知到自己被拉入该群，只有创建者自己能感知到该群的存在。
					</p>
				</td>
				<td>
					1
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
			</tr>

			<tr>
				<td>
					是否支持禁言<br>
				</td>
				<td>
					<p>
						0：管理员不能对群成员设置禁言；
					</p>
					<p>
						1：管理员可以对群成员设置禁言，群成员在禁言时间内无法发送群聊消息。
					</p>
				</td>
				<td>
					0
				</td>
				<td>
					1
				</td>
				<td>
					1
				</td>
			</tr>
			<tr>
				<td>
					默认消息接收选项<br>
				</td>
				<td>
					<p>
						0：接收并提示，表示客户端将接收消息并提示用户；
					</p>
					<p>
						1：屏蔽，表示不向客户端推送消息。
					</p>
					<p>
						2：接收不提示，表示客户端接收消息但不提示用户。
					</p>
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
				<td>
					2
				</td>
			</tr>
			<tr>
				<td>
					是否支持未读计数<br>
				</td>
				<td>
					<p>
						0：不支持未读计数，客户端不展示未读消息；
					</p>
					<p>
						1：支持未读计数，客户端将展示未读消息。
					</p>
				</td>
				<td>
					1
				</td>
				<td>
					1
				</td>
				<td>
					0
				</td>
			</tr>
			<tr>
				<td>
					自动回收(暂不支持)
				</td>
				<td>
					群组自动回收时间（秒）<br>
				</td>
				<td>
					<p>
						0：群组永远不会被后台回收，除非群主解散，或者所有成员都退出群组；
					</p>
					<p>
						x：如果群在给定时间（x秒）内，既没有人说话，也没有成员变更，则静默回收该群。目的是节省APP在所占用的资源。
					</p>
				</td>
				<td>
					2592000 (30天)
				</td>
				<td>
					0
				</td>
				<td>
					0
				</td>
			</tr>
		</tbody>
	</table>