## 1 简介

腾讯是国内最大也是最早的即时通信开发商，QQ和微信已经成为每个互联网用户必不可少的应用。现在，腾讯将高并发、高可靠的即时通信能力进行开放，开发者可以很容易的根据腾讯提供的SDK将即时通信功能集成入APP中。

针对开发者的不同阶段需求及不同场景，云通信提供了一系列解决方案，包括：Android/iOS/Windows/Web的SDK组件、[服务端集成接口](/doc/product/269/REST API简介)、[第三方回调接口](/doc/product/269/第三方回调简介)等。利用这些组件，可以在应用中构建自己的即时通信产品，解决开发者面临的高并发、高可用性的一系列问题。

## 2 架构介绍
云通信提供单聊、群聊、资料托管、关系链托管、帐号托管全方位解决方案，并提供完善的APP接入、后台管理接口。
![](//mccdn.qcloud.com/static/img/2537be0f0b0a8d68b2c8547f1979537f/image.png)

## 3 业务介绍

### 3.1 单聊

1V1聊天，提供包括文字、图片、语音、地理位置、文件、自定义消息等多种能力，除此之外还提供iPhonePush消息提醒服务。

### 3.2 群聊

多人聊天服务，内置公开群、私有群、聊天室、互动直播聊天室和在线成员广播大群五种群组形态，能够适应各种群组需求的场景。

1. 公开群：具备创建者及管理员身份，拥有严格的准入制和管理权限；
1. 私有群：只允许群成员邀请好友加入，非群成员无法搜索到该群，是一种较为私密的聊天环境；
1. 聊天室：群成员可以随意进出，组织较为松散。成员可以拉到进入聊天室之前的聊天消息。
1. 互动直播聊天室：与聊天室类似，但群成员人数无上限，并且支持以游客身份接收聊天消息。
1. 在线成员广播大群：成员人数无上限，支持以游客身份接收群消息，适用于向APP全体在线成员推送消息的场景。


群组具备高度可定制性，包括自定义群组形态、自定义字段、自定义群组ID、自定义事件回调等。APP可以根据自己的需求进行深度定制。

参见：[群组系统](/doc/product/269/群组系统)

### 3.3 资料关系链托管

提供资料、关系链托管的一套整体解决方案，可存储用户的资料（如昵称、头像、自定义资料字段）、好友列表、黑名单等。云通信资料关系链托管服务提供高达12份的备份服务，多机房异地部署，提高服务质量及容灾效果。

参见：[用户资料系统](/doc/product/269/资料系统)、[关系链系统](/doc/product/269/关系链系统)

### 3.4 帐号登录集成

登录服务（Tencent Login Service，TLS）是腾讯为开发者快速完成帐号集成接入云通讯服务而提供的一套通用帐号登录组件。实现包括QQ、微信、新浪微博、人人在内的多种帐号类型登录使用音视频通讯和即时通讯。开发者可以通过简单的SDK集成，便捷的接口调用，即可实现原本复杂的登录验证服务，使代码量急剧减少。

### 3.5 接入服务系统

接入服务为APP提供高连通、高可靠、强安全的网络连接通道的服务；自研多重最优寻址算法，具有全网调度能力，使用智能兼容技术穿透网关策略，长连接多路复用，传输层协议优化，通道加密等，让业务不必关心网络细节，即可安全与业务后台简单可靠的通讯。

参见：[接入服务系统](/doc/product/269/接入服务系统)

### 3.6 消息推送服务

消息推送服务是基于云通信IM的通信架构实现的一组REST API，用以支持APP应用的全员推送、标签推送等消息推送需求，客户端可通过SDK在线推送、Android后台通知和APNS接收推送的消息。

参见：[消息推送服务](/doc/product/269/消息推送服务)

## 4 管理与监控

除了最基本的即时通信业务功能之外，云通信还提供了方便易用的APP控制台。客户可通过控制台完成应用创建和信息查询，下载即时通信SDK，并通过查询所得的应用sdkappid完成应用联调，集成即时通信功能；同时，控制台还为客户提供了后台下发消息、用户管理、群组管理和数据统计等功能。

## 5 高级功能

### 5.1 第三方回调

所谓[第三方回调](/doc/product/269/第三方回调简介)，即云通信会在某一事件发生之前或者之后，向APP的后台服务器发送请求，APP后台可以据此进行必要的数据同步，或者干预事件的后续处理流程。
云通信提供种类丰富的[回调接口](/doc/product/269/回调命令列表)，目前回调功能完全免费。