## 1 关系链系统简介

云通信开放了关系链系统，提供关系链相关的一整套全备服务。如果您想让每个用户都有自己的好友，并且轻松玩转加删好友等一系列功能，那么您可以选择云通信的关系链托管服务：

1. 我们提供关系链的存储能力，并确保您的数据具备异地容灾、多地部署和自动扩容缩容的能力，帮助您从服务器宕机、多拷贝主从复制和扩容缩容等复杂处理流程中得到完全地解放；
1. 我们提供业界通用的业务处理流程，帮助您在IM关系链的逻辑上得到彻底地解放；
1. 我们提供专业的运营流程和运营团队，全年99.99%的稳定服务质量，帮助您为用户提供具有稳定口碑的服务；
1. 我们提供简单易用的服务接口和快捷接入的帮助指引，全程为您提供星级服务。

关系链是一组用于描述用户和其他用户关系的数据，云通信目前支持的关系链有好友表和黑名单两种。

## 2 关系链字段

云通信关系链系统支持标配关系链字段和自定义关系链字段，关系链字段有如下特性：

1. 关系链字段通过Key-Value形式表示；

1. Key为String类型，其命名仅支持英文大小写字母、数字、下划线；

1. Value有以下几种类型：
a. uint64_t类型的整数（自定义关系链字段不支持）；
b. string类型的字符串（string的长度不得超过500字节）；
c. bytes类型的一段buffer（buffer的长度不得超过500字节）；
d. string类型的字符串数组（每个string的长度都不得超过500字节，仅供好友表的Tag_SNS_IM_Group字段使用）。

## 3 好友表

云通信的好友列表默认允许添加1000个好友，如对好友表的大小有特殊需求，请联系腾讯云客服。

好友表支持标配好友字段和自定义好友字段。

### 3.1 标配好友字段

目前云通信支持的标配好友字段如下：

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:20%;">字段名称</td>
			<td style="width:10%;">类型</td>
			<td style="width:70%;">描述</td>
		</tr>
		<tr>
			<td>Tag_SNS_IM_Group</td>
			<td>Array </td>
			<td>
				好友分组：<br />
				1、最多支持32个分组；<br />
				2、不允许分组名为空；<br />
				3、分组名长度不得超过30个字节；<br />
				4、分组ID的合理取值范围是[1, 32]；<br />
				5、同一个好友可以有多个不同的分组。<br />
			</td>
		</tr>
		<tr>
			<td>Tag_SNS_IM_Remark</td>
			<td>string </td>
			<td>
				好友备注：<br />
				1、备注长度最长不得超过96个字节。<br />
			</td>
		</tr>
		<tr>
			<td>Tag_SNS_IM_AddSource</td>
			<td>string </td>
			<td>
				加好友来源：<br />
				1、加好友来源字段包含前缀和关键字两部分；<br />
				2、加好友来源字段的前缀是：AddSource_Type_；<br />
				3、关键字：必须是英文字母，且长度不得超过8字节，建议用一个英文单词或该英文单词的缩写；<br />
				4、示例：加好友来源的关键字是Android，则加好友来源字段是：AddSource_Type_Android。<br />
			</td>
		</tr>
		<tr>
			<td>Tag_SNS_IM_AddWording</td>
			<td>string </td>
			<td>
				加好友附言：<br />
				1、加好友附言的长度最长不得超过256个字节。<br />
			</td>
		</tr>
	</tbody>
</table>


### 3.2 自定义好友字段

自定义好友字段是各APP根据各自业务需要而设置的好友数据。通过自定义好友字段，各APP可以将一些额外数据附加到好友上，并通过现有的接口进行读写操作。

各APP需要申请自定义好友字段时，可以向腾讯云客服提交需求工单。需求工单提交后，腾讯云将在三个工作日内完成配置并生效。

自定义好友字段的命名规则如下：
1. 自定义好友字段的名称分为以下两部分：前缀、关键字；
1. 自定义好友字段的前缀是：Tag_SNS_Custom；
1. 关键字：必须是英文字母，且长度不得超过8字节，建议用一个英文单词或该英文单词的缩写；
1. 示例：某APP要申请的自定义好友字段的关键字是Test，则自定义关系字段的名称是：Tag_SNS_Custom_Test。

申请自定义好友字段时，需要为每一个自定义好友字段提交如下资料：
1. 自定义好友字段的名称（Key）；
1. 自定义好友字段的类型（Value）：详情可参见<a href="https://cloud.tencent.com/document/product/269/1501#2-.E5.85.B3.E7.B3.BB.E9.93.BE.E5.AD.97.E6.AE.B5">关系链字段</a>。

### 3.3 添加好友

云通信支持的加好友模式有：批量加好友、一回合加好友和两回合加好友，详情可参见<a href="https://cloud.tencent.com/document/product/269/1643">添加好友</a>。

双向好友：用户A的好友表中有用户B，B的好友表中也有A；
单向好友：用户A的好友表中有用户B，但B的好友表中却没有A；
加好友验证方式：每个用户都可以选择自己以哪种方式被其他用户添加为好友，详情可参见<a href="https://cloud.tencent.com/document/product/269/1500#3-.E6.A0.87.E9.85.8D.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">标配资料字段</a>中的加好友验证方式字段；
一回合加好友：如果帐号A设置的加好友验证方式是AllowType_Type_AllowAny，那么任何人添加A为好友都可以直接添加成功，这种一个请求就添加好友成功的场景称作一回合加好友；
两回合加好友：如果帐号A设置的加好友验证方式是AllowType_Type_NeedConfirm，那么任何人添加A，A都会收到一个请求加好友验证消息，这是第一个回合，然后A对这个请求加好友验证消息进行同意操作时，这是第二个回合，这种需要验证的加好友场景就被称为两回合加好友。

### 3.4 删除好友

云通信支持单向删除好友和双向删除好友等两种好友删除模式。

<table style="width:100%;" >
		<tbody>
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">删除模式</td>
				<td style="width:5%;background-color:#CCCCCC;">DeleteType</td>
				<td style="background-color:#CCCCCC;">描述</td>
			</tr>
			<tr>
				<td>单向删除好友</td>
				<td>Delete_Type_Single</td>
				<td>只将To_Account从From_Account的好友表中删除，但不会将From_Account从To_Account的好友表中删除。</td>
			</tr>
			<tr>
				<td>双向删除好友</td>
				<td>Delete_Type_Both</td>
				<td>将To_Account从From_Account的好友表中删除，同时将From_Account从To_Account的好友表中删除。</td>
			</tr>
		</tbody>
	</table>

云通信也支持批量删除好友，更多信息可参见<a href="https://cloud.tencent.com/document/product/269/1644">删除好友</a>。

### 3.5 拉取好友

云通信支持以下三种拉好友模式：不带好友的增量拉取模式、全量分页拉取模式以及带好友拉取模式。详情可参见<a href="https://cloud.tencent.com/document/product/269/1647">拉取好友</a>。

### 3.6 校验好友

云通信支持以下两种好友校验模式：单向校验好友关系、双向校验好友关系。

<table style="width:100%;" >
		<tbody>
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">校验模式</td>
				<td style="width:5%;background-color:#CCCCCC;">CheckType</td>
				<td style="background-color:#CCCCCC;">描述</td>
			</tr>
			<tr>
				<td>单向校验好友关系</td>
				<td>CheckResult_Type_Singal</td>
				<td>只会检查From_Account的好友表中是否有To_Account，不会检查To_Account的好友表中是否有From_Account。</td>
			</tr>
			<tr>
				<td>双向校验好友关系</td>
				<td>CheckResult_Type_Both</td>
				<td>既会检查From_Account的好友表中是否有To_Account，也会检查To_Account的好友表中是否有From_Account。</td>
			</tr>
		</tbody>
	</table>

单向校验好友关系时可能的结果有：

<table style="width:100%;" >
		<tbody>
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">Relation</td>
				<td style="background-color:#CCCCCC;">描述</td>
			</tr>
			<tr>
				<td>CheckResult_Type_NoRelation</td>
				<td>From_Account的好友表中没有To_Account，但无法确定To_Account的好友表中是否有From_Account。</td>
			</tr>
			<tr>
				<td>CheckResult_Type_AWithB</td>
				<td>From_Account的好友表中有To_Account，但无法确定To_Account的好友表中是否有From_Account。</td>
			</tr>
		</tbody>
	</table>

双向校验好友关系时可能的结果有：

<table style="width:100%;" >
		<tbody>
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">Relation</td>
				<td style="background-color:#CCCCCC;">描述</td>
			</tr>
			<tr>
				<td>CheckResult_Type_BothWay</td>
				<td>From_Account的好友表中有To_Account，To_Account的好友表中也有From_Account。</td>
			</tr>
			<tr>
				<td>CheckResult_Type_AWithB</td>
				<td>From_Account的好友表中有To_Account，但To_Account的好友表中没有From_Account。</td>
			</tr>
			<tr>
				<td>CheckResult_Type_BWithA</td>
				<td>From_Account的好友表中没有To_Account，但To_Account的好友表中有From_Account。</td>
			</tr>
			<tr>
				<td>CheckResult_Type_NoRelation</td>
				<td>From_Account的好友表中没有To_Account，To_Account的好友表中也没有From_Account。</td>
			</tr>
		</tbody>
	</table>

校验好友的其他相关信息可参见<a href="https://cloud.tencent.com/document/product/269/1646">校验好友</a>。

## 4 黑名单

每个用户都有一份黑名单，用于保存被该用户屏蔽的帐号。

用户A将用户B加入黑名单后，A与B之间的好友关系会被解除（如果有），且A与B之间无法再发起加好友请求。

云通信的黑名单列表默认允许添加1000条黑名单帐号，如对黑名单列表的大小有特殊要求，请联系腾讯云客服。

### 4.1 添加黑名单

云通信支持批量添加黑名单，详情可参见：<a href="https://cloud.tencent.com/document/product/269/3718">添加黑名单</a>。

### 4.2 删除黑名单

云通信支持批量删除黑名单，详情可参见：<a href="https://cloud.tencent.com/document/product/269/3719">删除黑名单</a>。

### 4.3 拉取黑名单

云通信支持通过分页模式拉取全量黑名单，详情可参见：<a href="https://cloud.tencent.com/document/product/269/3722">拉取黑名单</a>。

### 4.4 校验黑名单

云通信支持以下两种黑名单校验模式：单向校验黑名单关系、双向校验黑名单关系。

<table style="width:100%;" >
		<tbody>
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">校验模式</td>
				<td style="width:5%;background-color:#CCCCCC;">CheckType</td>
				<td style="background-color:#CCCCCC;">描述</td>
			</tr>
			<tr>
				<td>单向校验黑名单关系</td>
				<td>BlackCheckResult_Type_Singal</td>
				<td>只会检查From_Account的黑名单中是否有To_Account，不会检查To_Account的黑名单中是否有From_Account。</td>
			</tr>
			<tr>
				<td>双向校验黑名单关系</td>
				<td>BlackCheckResult_Type_Both</td>
				<td>既会检查From_Account的黑名单中是否有To_Account，也会检查To_Account的黑名单中是否有From_Account。</td>
			</tr>
		</tbody>
	</table>

单向校验黑名单关系时可能的结果有：

<table style="width:100%;" >
		<tbody>
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">Relation</td>
				<td style="background-color:#CCCCCC;">描述</td>
			</tr>
			<tr>
				<td>CheckResult_Type_AWithB</td>
				<td>From_Account的黑名单中有To_Account，但无法确定To_Account的黑名单中是否有From_Account。</td>
			</tr>
			<tr>
				<td>CheckResult_Type_NoRelation</td>
				<td>From_Account的黑名单中没有To_Account，但无法确定To_Account的黑名单中是否有From_Account。</td>
			</tr>
		</tbody>
	</table>

双向校验黑名单关系时可能的结果有：

<table style="width:100%;" >
		<tbody>
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">Relation</td>
				<td style="background-color:#CCCCCC;">描述</td>
			</tr>
			<tr>
				<td>CheckResult_Type_BothWay</td>
				<td>From_Account的黑名单中有To_Account，To_Account的黑名单中也有From_Account。</td>
			</tr>
			<tr>
				<td>CheckResult_Type_AWithB</td>
				<td>From_Account的黑名单中有To_Account，但To_Account的黑名单中没有From_Account。</td>
			</tr>
			<tr>
				<td>CheckResult_Type_BWithA</td>
				<td>From_Account的黑名单中没有To_Account，但To_Account的黑名单中有From_Account。</td>
			</tr>
			<tr>
				<td>CheckResult_Type_NoRelation</td>
				<td>From_Account的黑名单中没有To_Account，To_Account的黑名单中也没有From_Account。</td>
			</tr>
		</tbody>
	</table>

校验黑名单的其他相关信息可参见<a href="https://cloud.tencent.com/document/product/269/3725">校验黑名单</a>。

