## 1 接入服务系统简介

“接入系统”是腾讯接入团队打造的互联网APP接入解决方案。该解决方案基于团队十多年来开发QQ的技术积累，依托腾讯遍布全球的服务器资源，结合国民级应用QQ的大数据分析，来帮助开发者高效的开发出安全，快速，稳定的APP应用，为您的业务保驾护航！ （如图中所示：灰色虚线部分为QQ接入服务） 
![](//mccdn.qcloud.com/static/img/9cb6939d89aa3e57ef3719545a27e489/image.png)

## 2 我们的优势 

新开发APP时经常会遇到连接不上，耗费流量，耗费电量等业务无关的问题。耗费了开发者大量的精力去定位，使开放者没有时间和精力专注于业务。总结起来主要有以下两个原因：
1. 移动网络结构复杂 
1. 高质量接入服务门槛较高 

下边分别详细阐述：

### 2.1 屏蔽复杂的移动网络，提供稳定快速的接入服务 

移动互联网运营商众多，网络结构复杂，这些对于新的APP开发者简直就是噩梦，一旦陷入其中会花费大量的人力定位，非常得不偿失。特别是有一定规模的APP，网络连通率与连接稳定性问题尤其严重。
接入服务系统在移动网络方面的优势 

**1. 全球化的接入层部署**
接入层资源分布在深圳，天津，上海，香港，海外数十个地方。不只与国内三大运营商有专线连接， 而且与中小运营商有专线连接，很好的解决了各运营商的接入问题。

**2. 分钟级的实时干预能力**
外网经常出现各种异常，如运营商切割、调整，导致网络波动，以至我们的用户受影响，严重情况下会导致这些用户不能连接到服务器，对于这些情况，我们也能及时感知并调度到相对较好的服务器上去。 

**3. 追求极致的加速效果**
我们的调度粒度精确到用户网关IP，区分同一个服务器不同端口，以及同机房下不同服务器IP之间的差异，另外我们允许适当的跨运营商访问来提升访问速度。 

**4. 互联网业务的丰富经验**
中国运营商环境复杂，跨网结算、多出口IP、运营商切割/随机丢包、MTU限制等等情况经常出现在调度中，而且排查代价巨大；我们具有超过10年的手机QQ、PCQQ接入服务经验，可以自动规避许多复杂的外网规则。 

**5. 完善的网络问题定位体系**
全自动智能分析指定帐号的联网连接情况，socket底层队列积压情况，以及tcp数据传输情况。应对特定用户出现的连接慢，连不上的问题。 
	
### 2.2 针对移动接入共性问题提供高质量解决方案

接入服务做为用户手机连接的第一站，涉及网络安全，传输安全，用户流量，用户电量等等问题，每个方面都需要投入大量人力持续优化打磨。对于APP开发者来说投入产出不成正比。
系统在接入服务方面的优势

**1. 自动可控的接入层容灾体系**
在IDC或外网等发生故障时，QQ接入层在最大限度保证用户接入质量的情况下，自动可控的迁移用户到可用机房。保证服务质量。 

**2. 针对无线网络特点的接入层特性**
接入层支持协议压缩，并包等策略，更好的节省用户流量。智能心跳逻辑，有效节省用户电量。 

**3. 集成腾讯安全加密服务**
可以获得与QQ消息服务同等安全的加密服务器。 

## 3 API参考 

1.[网络接入服务——iOS](/doc/product/269/网络接入服务（iOS%20SDK）)
2.[网络接入服务——Android](/doc/product/269/网络接入服务（Android%20SDK）)

