## 1 消息推送服务简介

消息推送服务是基于云通信IM的通信架构实现的一组REST API，用以支持APP应用的全员推送、标签推送、属性推送等消息推送需
求，客户端可通过SDK在线推送、离线推送（Android后台通知和APNS）接收推送的消息。客户端IMSDK目前支持Android、iOS和Windows
平台。目前，消息推送服务仅支持独立模式账号，同时帐号必须曾经登录过或者手动导入过该帐号。
本功能为增值服务，<font color=red>需要申请开通才能使用</font>。如有需要，请提交工单，我们将在工单提交后一个工作日内进行处理。

![](//mccdn.qcloud.com/static/img/47e0146d675f7008053adcd867afbd38/image.png)

## 2 消息推送服务提供的基础能力

1. 支持APP内用户全员推送消息；
1. 支持指定用户标签推送消息；
1. 支持指定用户属性推送消息；
1. 支持APNS推送。

## 3 我们的优势

消息推送服务基于客户端imsdk + 云通信IM后台，在消息能力和系统可用性上有可靠保证：

1. 基于imsdk，保证消息可达，可简单为应用提供消息广播能力； 
1. 支持为每个用户最多10个推送属性，各属性可分别设置，互不影响；
1. 属性推送支持多个属性的and/or逻辑选择推送；
1. 标签同样推送支持多个标签的and/or逻辑选择推送；
1. 支持只推在线用户，同时支持最长7天的消息离线存储；
1. 支持自定义消息。

## 4 应用场景示例

### 4.1 全员推送场景示例

假设现有一游戏打算在圣诞节推出优惠活动，为了达到运营效果，需要推送给全部用户。这时候就可以采用全员推送服务。此外，如
果为了让更多的用户知道这个活动，可以设置消息离线存储时间。这样即便推送时某些用户不在线，但在离线存储时间范围内，这些
用户上线的话，也能收到消息，从而提升活动质量效果。

### 4.2 按用户标签推送场景示例

假设现有一金融产品，打算给那些关注“股票A”或者“股票B”的用户推送某一理财服务。这时候就可以使用标签推送：

首先，当有用户关注“股票A”或者“股票B”时，调用添加标签接口，给该用户加上对应的标签;
其次，当有用户取消关注“股票A”或者“股票B”时，调用删除标签接口，删除该用户的对应标签。
最后，在推送接口中设置推送标签条件为“股票A”或“股票B”（即TagsOr功能）。这样所有关注“股票A”或者“股票B”的用户
都可以收到消息。


### 4.3 按用户属性推送场景示例

假设现有一游戏，用户会员级别有：非会员、普通会员、黄金会员、超白金会员。现在运营人员打算给在深圳的超白金会员用户推送某
一活动。这时候就可以使用按属性推送：

首先，设置应用属性名称。在这里游戏用户有两个属性——会员等级和所在城市。因此可以设置属性0为会员等级，属性1为所在城市；
其次，当用户会员级别改变时（例如会员到期或者用户充值买会员时），调用设置用户属性接口，更改用户的会员等级属性。比如充值
买黄金会员时，
设置用户的会员等级属性为“黄金会员”即可；
再次，当用户更改所在城市时，同样调用设置用户属性接口，更改用户的所在城市属性。比如从北京改为上海时，设置用户的所在城市
属性为“上海”即可；
最后，运营活动时，即可调用推送接口，将推送属性条件设为会员等级为超白金用户并且所在城市为深圳，这样所有在深圳的超白金会
员用户就能收到消息。

补充说明：这种场景属性推送比标签推送更适合。因为使用标签推送的话，当用户所在城市从深圳变为广州，那么应用得先删除用户的
"深圳"标签，然后再给用户添加上"广州"的标签，需要调用两次接口，而属性推送的话，直接修改用户所在城市属性即可，只需调用一次
接口调用。

## 5 不适合使用消息推送的场景及相关建议

全员推送、属性推送、标签推送，是腾讯云通信提供给用户进行低频营销性活动的推送服务。假如你需要的是高频服务，那么可能并不适合本文档提到的消息推送服务。另一方面，从用户体验的角度讲，频繁的推送也会对用户造成骚扰。以下是我们列出的常见的不适合消息推送服务的场景以及相应的解决方案建议。


### 给所有直播间的人发在线消息

假设现在有一款音乐直播产品，当用户购买了一个昂贵的礼物时，就给所有直播间（包括其它直播间）的人发一条消息，例如“XXX在某时间购买了XXX，大家快来看啊”。

这种场景实际是给当前所有群的所有在线用户发一条消息，对于当前不在直播间的用户其实是不需要发送的。这类消息往往具有频率高、只对在线用户发消息、对及时性有较高的要求等特点，与全员推送等云推送服务并不匹配。

建议的解决方式是采用[全员广播大群解决方案](https://cloud.tencent.com/document/product/269/7949)  。




## 6 相关API
1. [推送](/doc/product/269/推送) ；
2. [获取推送报告](/doc/product/269/获取推送报告) ；
3. [设置应用属性名称](/doc/product/269/设置应用属性名称) ；
4. [获取应用属性名称](/doc/product/269/获取应用属性名称) ；
5. [设置用户属性](/doc/product/269/设置用户属性)  ；
6. [删除用户属性](/doc/product/269/删除用户属性)  ；
7. [获取用户属性](/doc/product/269/获取用户属性)  ；
8. [添加用户标签](/doc/product/269/添加用户标签)  ；
9. [获取用户标签](/doc/product/269/获取用户标签)  ；
10. [删除用户标签](/doc/product/269/删除用户标签)  ；
11. [删除用户所有标签](/doc/product/269/删除用户所有标签)  。