## 1 群组系统简介
所谓群组系统，本质上就是一个支持多人聊天的即时通讯系统。群组系统所具备的基本能力包括：

1. 内置私有群（Private）、公开群（Public）、聊天室（ChatRoom）、互动直播聊天室（AVChatRoom）和在线成员广播大群（BChatRoom）五种群组形态；
1. 完备的群组管理能力：创建/解散群组、成员管理、群组资料管理、成员资料管理等；
1. 私有群、公开群和聊天室最高支持10000人群，互动直播聊天室和在线成员广播大群支持人数无上限；
1. 互动直播聊天室和在线成员广播大群支持用户以游客身份（即不需要登录）接收消息（注1）；
1. 私有群和公开群具备消息漫游能力；
2. [在线成员广播大群](/document/product/269/7949)支持APP后台向全体在线用户推送消息（注2）。

除此之外，腾讯云即时通信群组系统具备高度可定制性，具体包括：

1. [自定义消息格式](/doc/product/269/消息格式描述#2.4-.E8.87.AA.E5.AE.9A.E4.B9.89.E6.B6.88.E6.81.AF.E5.85.83.E7.B4.A0)；
1. [自定义群组ID](#5-.E8.87.AA.E5.AE.9A.E4.B9.89.E7.BE.A4.E7.BB.84id)；
1. [自定义字段](#6-.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)；
1. [自定义群组形态](#7-.E8.87.AA.E5.AE.9A.E4.B9.89.E7.BE.A4.E7.BB.84.E5.BD.A2.E6.80.81)；
1. [自定义回调](#8-.E8.87.AA.E5.AE.9A.E4.B9.89.E5.9B.9E.E8.B0.83)。

>注：
1. 通常情况下，必须先账号登录之后才能在云通信中接收消息。然而，使用互动直播聊天室的用户不需要登录就能接收消息，例如直接打开直播视频的页面就能观看弹幕消息。    
2. 在IM通信系统中，经常遇到需要向全体在线用户下发消息的场景,例如在直播系统中的“大喇叭消息”。云通信专门为此场景提供了一套解决方案，详情请参考[在线成员广播大群解决方案](/document/product/269/7949)。

## 2 群组形态介绍

群组系统当前提供五种默认群组形态：

1. 私有群（Private）：适用于较为私密的聊天场景，群组资料不公开，只能通过邀请的方式加入，类似于微信群。
2. 公开群（Public）：适用于公开群组，具有较为严格的管理机制、准入机制，类似于QQ群。
3. 聊天室（ChatRoom）：群成员可以随意进出，组织较为松散。
4. 互动直播聊天室（AVChatRoom）：适用于互动直播场景，管理上与聊天室相似，但群成员人数无上限；支持以游客身份（不登录）接收消息。
5. [在线成员广播大群（BChatRoom）](/document/product/269/7949)：适用于需要向全体在线用户推送消息的场景。

五种群组形态之间的主要差异如下：

<b>群组操作</b>

<table style="display:table;width:100%" >
		<tbody>
		
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">
					控制项
				</td>
				<td style="width:75%;background-color:#CCCCCC;">
					详情
				</td>
			</tr>
			
			<tr>
				<td>
					是否允许群组被搜索<br>（是否对非群成员公开）
				</td>
				<td>
				<b>私有群</b>：	不支持精确搜索和模糊搜索(注1)<br>
				<b>公开群/聊天室/互动直播聊天室</b>：默认不支持精确搜索和模糊搜索(注1)，如需开通请联系客服<br>
                <b>在线成员广播大群</b>：不支持精确搜索和默认搜索(注1)。
				</td>
			</tr>
			
			<tr>
				<td>
					是否允许普通成员<br>修改群基础资料
				</td>
				<td>
				<b>私有群</b>：普通成员可以修改群名称、简介、公告、群头像URL，但不能修改其他字段<br>
				<b>公开群/聊天室/互动直播聊天室/在线成员广播大群</b>：普通成员不能修改群基础资料
				</td>
			</tr>
			
			<tr>
				<td>
					是否可以获取全员群成员列表
				</td>
				<td>
				<b>私有群/公开群/聊天室</b>：客户端可以实时获取群组中的所有群成员的成员信息<br>
				<b>互动直播聊天室</b>：客户端只能获取一部分群成员（例如先入群的群成员）的成员信息，超出部分的群成员的信息无法获取；常用于大群中只需要部分群成员信息的场景<br>
				<b>在线成员广播大群</b>：客户端无法获取群成员信息
				</td>
			</tr>
			
			<tr>
				<td>
					是否允许群主解散群
				</td>
				<td>
				<b>私有群</b>：不允许群主解散群（APP管理员可以强制解散群）<br>
				<b>公开群/聊天室/互动直播聊天室</b>：群主可以解散群<br>
				<b>在线成员广播大群</b>：不设置群主和管理员，所以只有APP管理员可以解散群。
				</td>
			</tr>	
			
			</tbody>
	</table>
			
<b>群成员操作</b>

<table style="display:table;width:100%" >
		<tbody>
		
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">
					控制项
				</td>
				<td style="width:75%;background-color:#CCCCCC;">
					详情
				</td>
			</tr>
			
			<tr>
				<td>
					是否允许申请加群
				</td>
				<td>
				<b>私有群</b>：不允许申请加群，不需要再进一步参考申请加群选项（申请加群选项对私有群无效）<br>
				<b>公开群/聊天室/互动直播聊天室/在线成员广播大群</b>：依照申请加群选项决定后续的加群操作
				</td>
			</tr>
			
			<tr>
				<td>
					默认申请加群选项
				</td>
				<td>
				<b>私有群</b>：申请加群选项对私有群无效，禁止任何人申请加入群组<br>
				<b>公开群</b>：申请加入群组需要通过管理员审批<br>
				<b>聊天室/互动直播聊天室/在线成员广播大群</b>：无需经过管理员审批即可直接加入群组
				</td>
			</tr>
			
			<tr>
				<td>
					是否允许邀请他人入群
				</td>
				<td>
				<b>私有群</b>：群成员无需受邀用户同意，直接将其拉入群中，并且创建群时可以直接拉人入群<br>
				<b>公开群/聊天室</b>：不允许群成员邀请他人入群，但创建群时可以直接拉人入群<br>
				<b>互动直播聊天室/在线成员广播大群</b>：不允许任何人（包括APP管理员）邀请他人入群，并且创建群时不能拉人入群
				</td>
			</tr>
			
			<tr>
				<td>
					是否允许群主退群
				</td>
				<td>
				<b>私有群</b>：群主可以退群，退出后群组后该群将没有群主<br>
				<b>公开群/聊天室/互动直播聊天室/在线成员广播大群</b>：不允许群主退群，除非通过解散群组的方式
				</td>
			</tr>		
			
			<tr>
				<td>
					是否允许群主设置管理员
				</td>
				<td>
				<b>私有群</b>：不允许群主设置管理员<br>
				<b>公开群/聊天室</b>：群主可以设置管理员<br>
				<b>互动直播聊天室/在线成员广播大群</b>：暂时不允许群主设置管理员
				</td>
			</tr>			
			
			<tr>
				<td>
					是否允许群成员踢人
				</td>
				<td>
				<b>私有群/公开群/聊天室</b>：不允许普通成员踢人<br>
				<b>互动直播聊天室/在线成员广播大群</b>：不允许任何人（包括APP管理员）踢人
				</td>
			</tr>
			
			<tr>
				<td>
					是否定期踢掉不在线的群成员
				</td>
				<td>
				<b>私有群/公开群/聊天室/互动直播聊天室/在线成员广播大群</b>：群组不会定时清理不在线群成员（注2）
				</td>
			</tr>
			
			</tbody>
	</table>
	
<b>群组限制</b>

<table style="display:table;width:100%" >
		<tbody>
		
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">
					控制项
				</td>
				<td style="width:75%;background-color:#CCCCCC;">
					详情
				</td>
			</tr>
			
			<tr>
				<td>
					是否有成员人数上限
				</td>
				<td>
				<b>私有群/公开群/聊天室</b>：群成员人数上限，私有群200人，公开群2000人，聊天室10000人，成员人数超过上限后不允许新成员加入<br>
				<b>互动直播聊天室/在线成员广播大群</b>：群组没有成员人数上限，允许任意数量的人加入群组
				</td>
			</tr>
			
			<tr>
				<td>
					是否有创建群组数量上限
				</td>
				<td>
				<b>私有群/公开群/聊天室/互动直播聊天室</b>：默认每天净增群组数量(创建数减去解散数)不能超过500个，超过则需要付费使用（注3）<br>
				<b>在线成员广播大群</b>：每个app可以创建的在线成员广播大群不能超过5个
				</td>
			</tr>
			
			</tbody>
	</table>

<b>消息</b>

<table style="display:table;width:100%" >
		<tbody>
		
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">
					控制项
				</td>
				<td style="width:75%;background-color:#CCCCCC;">
					详情
				</td>
			</tr>
			
			<tr>
				<td>
					入群前历史消息是否可见
				</td>
				<td>
				<b>私有群/公开群/互动直播聊天室/在线成员广播大群</b>：群成员只能看到入群之后的消息<br>
				<b>聊天室</b>：群成员可以看到入群之前的历史消息
				</td>
			</tr>
			
			<tr>
				<td>
					是否有成员变更通知
				</td>
				<td>
				<b>私有群/公开群</b>：群成员变更后向所有群成员推送一条消息，客户端可以选择将这条消息展示给用户<br>
				<b>聊天室/在线成员广播大群</b>：群成员变更后不会发送消息提示其他群成员<br>
				<b>互动直播聊天室</b>：群成员变更后向所有群成员推送一条消息，客户端接收后仅更新群成员列表，但不向用户展示这条提示<br>
				</td>
			</tr>
			
			<tr>
				<td>
					是否需要一条消息激活群组<br>（未激活群组不可见）
				</td>
				<td>
				<b>私有群</b>：新创建的群组为未激活状态，在群主发言之前，除群主外的群成员无法感知到这个群组的存在<br>
				<b>公开群/聊天室/互动直播聊天室/在线成员广播大群</b>：新创建的群组不需要发消息激活，即对所有群成员可见
				</td>
			</tr>
			
			<tr>
				<td>
					是否支持管理员设置禁言
				</td>
				<td>
				<b>私有群</b>：管理员不能对群成员设置禁言<br>
				<b>公开群/聊天室/互动直播聊天室</b>：管理员可以对群成员设置禁言，群成员在禁言时间内无法发送群聊消息<br>
				<b>在线成员广播大群</b>：只有app管理员可以发送消息
				</td>
			</tr>
			
			<tr>
				<td>
					默认消息接收选项
				</td>
				<td>
				<b>私有群/公开群</b>：表示客户端将接收在线推送消息和离线推送（注4）<br>
				<b>聊天室/互动直播聊天室/在线成员广播大群</b>：表示客户端接收在线推送消息，但不接收离线推送（注4）
				</td>
			</tr>
			
			<tr>
				<td>
					是否支持未读消息计数
				</td>
				<td>
				<b>私有群/公开群</b>：客户端将展示未读的消息数量<br>
				<b>聊天室/互动直播聊天室/在线成员广播大群</b>：不支持未读消息计数，客户端不展示未读消息
				</td>
			</tr>
			
			<tr>
				<td>
					是否支持以游客身份<br>（即不需要登录）接收群消息
				</td>
				<td>
				<b>私有群/公开群/聊天室</b>：用户不能以游客身份接收群消息，接收消息前必须先登录<br>
				<b>互动直播聊天室/在线成员广播大群</b>：用户不必登录，可以以游客身份在群组中接收消息
				</td>
			</tr>
			
			<tr>
				<td>
					是否支持消息漫游
				</td>
				<td>
				<b>私有群/公开群/聊天室</b>：为用户保存最长7天的漫游消息<br>
				<b>互动直播聊天室/在线成员广播大群</b>：不支持漫游消息
				</td>
			</tr>
			
			</tbody>
	</table>

<b>批量导入与自动回收</b>
	
<table style="display:table;width:100%" >
		<tbody>
		
			<tr>
				<td style="width:25%;background-color:#CCCCCC;">
					控制项
				</td>
				<td style="width:75%;background-color:#CCCCCC;">
					详情
				</td>
			</tr>
			
			<tr>
				<td>
					是否允许导入群、<br>群成员和群消息
				</td>
				<td>
				<b>私有群/公开群/聊天室</b>：允许导入群、群成员和群消息，适用于从第三方平台迁移历史群组到云通信时使用<br>
				<b>互动直播聊天室/在线成员广播大群</b>：不允许批量导入群、群成员和群消息，只能使用现有的群、群成员和群消息
				</td>
			</tr>
			
			<tr>
				<td>
					群组自动回收时间（秒）
				</td>
				<td>
				<b>私有群</b>：如果在2592000 秒（30天）内，群组中既没人发言，也没有成员变更，后台会静默回收该群。目的是节省APP占用的资源<br>
				<b>公开群/聊天室/互动直播聊天室/在线成员广播大群</b>：后台不会回收群组，除非群主解散，或者所有成员都退出群组
				</td>
			</tr>
			
			</tbody>
	</table>
	
>注：
1. 精确搜索：通过群组ID搜索指定的群组；模糊搜索：通过关键字搜索匹配群组名称的群组。
2. 如果需要开启定时（每5分钟）清理不在线成员的功能，可以根据[工单模板](/doc/product/269/云通信配置变更需求工单#2.11-.E5.AE.9A.E6.9C.9F.E8.B8.A2.E6.8E.89.E7.BE.A4.E5.86.85.E4.B8.8D.E5.9C.A8.E7.BA.BF.E6.88.90.E5.91.98)提交工单进行申请，但是只会清理普通成员，不会清理群主和管理员。
3. 如果对每日创建群组的上限有调高的需求，可以根据[工单模板](/doc/product/269/云通信配置变更需求工单#2.13-.E4.BF.AE.E6.94.B9.E6.AF.8F.E6.97.A5.E5.88.9B.E5.BB.BA.E7.BE.A4.E7.BB.84.E9.85.8D.E9.A2.9D)提交工单进行申请。
4. 离线推送目前只有Android（Android离线推送）和iOS（APNS推送）支持，详情请见[消息推送服务简介](/doc/product/269/消息推送服务#1-.E6.B6.88.E6.81.AF.E6.8E.A8.E9.80.81.E6.9C.8D.E5.8A.A1.E7.AE.80.E4.BB.8B)。
	
## 3 群组管理简介

在介绍群组管理方式之前，首先需要明确群组中各成员的角色：
1. 普通成员：不具备管理权限的群成员；
1. 管理员：由群主任命的、协助群主来管理群组的群成员，拥有一定的管理权限；
1. 群主：即群组的创建者，在群组中拥有最高的管理权限；
1. APP管理员：APP管理员是具备管理APP中所有群组权限的一种特殊身份，能力超过群主。

群内管理员具备的权限包括：
1. 修改群组基本资料；
1. 将普通群成员踢出群；
1. 将普通群成员禁言（即禁止其在一段时间内发言）；
1. 审批其他用户的入群申请。

群主具备管理员所拥有的各项权限之外，还拥有如下权限：
1. 任命/取消管理员；
1. 将管理员踢出群组；
1. 将管理员禁言；
1. 解散群组。

APP管理员可以不是群组中的成员，但是拥有群主具备的所有权限。

不同群组形态所针对的应用场景不同，故而它们支持的管理方式稍有差别：
1. 私有群的管理方式较弱，其特点是：所有群成员可以修改群组的基本信息（如群名称）；不提供管理员这一角色；不提供禁言能力；群主不能解散私有群（群主退出后群组仍然存在）。
1. 公开群和聊天室均提供完整的的管理方式：支持设置/取消管理员；支持禁言；群主对于该群拥有绝对控制权限。
1. 互动直播聊天室的管理方式与聊天室相似，但是不支持群成员踢人和邀请他人入群。
1. 各种群组形态在管理上的细微差异可以参见[群组形态介绍](#2-.E7.BE.A4.E7.BB.84.E5.BD.A2.E6.80.81.E4.BB.8B.E7.BB.8D)。

## 4 群组数据结构

### 4.1 群基础资料

<table style="display:table;width:100%" >
		<tbody>
			<tr>
				<td style="width:20%;">
					字段名称<br>
				</td>
				<td style="width:10%;">
					类型<br>
				</td>
				<td style="width:55%;">
					描述<br>
				</td>
				<td>
					备注<br>
				</td>
			</tr>
			<tr>
				<td>
					GroupId<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					群组的唯一标识<br>
				</td>
				<td>
					只读（注1）<br>
				</td>
			</tr>
			<tr>
				<td>
					Type<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					群组形态<br>
				</td>
				<td>
					只读（注2）<br>
				</td>
			</tr>
			<tr>
				<td>
					Name<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					群组名称（最长30字节）<br>
				</td>
				<td>
					（注3）<br>
				</td>
			</tr>
			<tr>
				<td>
					Introduction<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					群组简介（最长120字节）<br>
				</td>
				<td>
					（注3）<br>
				</td>
			</tr>
			<tr>
				<td>
					Notification<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					群组公告（最长150字节）<br>
				</td>
				<td>
					（注3）<br>
				</td>
			</tr>
			<tr>
				<td>
					FaceUrl<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					群组头像URL（最长100字节）<br>
				</td>
				<td>
					（注3）<br>
				</td>
			</tr>
			<tr>
				<td>
					Owner_Account<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					群主ID<br>
				</td>
				<td>
					只读<br>
				</td>
			</tr>
			<tr>
				<td>
					CreateTime<br>
				</td>
				<td>
					Integer<br>
				</td>
				<td>
					群组的创建时间<br>
				</td>
				<td>
					只读<br>
				</td>
			</tr>
			<tr>
				<td>
					InfoSeq<br>
				</td>
				<td>
					Integer<br>
				</td>
				<td>
					群资料的每次变都会增加该值<br>
				</td>
				<td>
					只读<br>
				</td>
			</tr>
			<tr>
				<td>
					LastInfoTime<br>
				</td>
				<td>
					Integer<br>
				</td>
				<td>
					群组最后一次信息变更时间<br>
				</td>
				<td>
					只读<br>
				</td>
			</tr>
			<tr>
				<td>
					LastMsgTime<br>
				</td>
				<td>
					Integer<br>
				</td>
				<td>
					群组内最后发消息的时间<br>
				</td>
				<td>
					只读<br>
				</td>
			</tr>
			<tr>
				<td>
					NextMsgSeq<br>
				</td>
				<td>
					Integer<br>
				</td>
				<td>
					群内下一条消息的Seq<br>
				</td>
				<td>
					只读（注4）<br>
				</td>
			</tr>
			<tr>
				<td>
					MemberNum<br>
				</td>
				<td>
					Integer<br>
				</td>
				<td>
					当前成员数量<br>
				</td>
				<td>
					只读<br>
				</td>
			</tr>
			<tr>
				<td>
					MaxMemberNum<br>
				</td>
				<td>
					Integer<br>
				</td>
				<td>
					最大成员数量<br>
				</td>
				<td>
					<br>
				</td>
			</tr>
			<tr>
				<td>
					ApplyJoinOption<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					申请加群选项<br>
				</td>
				<td>
					（注5）<br>
				</td>
			</tr>
		</tbody>
	</table>

>注：
1. 群组ID，APP内保证唯一，其格式前缀为@TGS#。另外，APP亦可[自定义群组ID](#5-.E8.87.AA.E5.AE.9A.E4.B9.89.E7.BE.A4.E7.BB.84id)。
1. 默认支持五种产品形态：Private表示私有群，Public表示公开群，ChatRoom表示聊天室，AVChatRoom表示互动直播聊天室，BChatRoom表示在线成员广播大群。
1. 对于公开群、聊天室和互动直播聊天室，这些数据只允许群主和APP管理员修改；但是对于私有群，这些数据允许任意群成员修改，具体可以参见[群组形态介绍](#2-.E7.BE.A4.E7.BB.84.E5.BD.A2.E6.80.81.E4.BB.8B.E7.BB.8D)中的相关描述。
1. 群组内每一条消息都有一条唯一的消息Seq，且该Seq是按照发消息顺序而连续的。从1开始，群内每增加一条消息，NextMsgSeq就会增加1。
1. 申请加群选项包括如下几种：DisableApply表示禁止任何人申请加入；NeedPermission表示需要群主或管理员审批；FreeAccess表示允许无需审批自由加入群组。

### 4.2 群成员资料
<table style="display:table;width:100%" >
		<tbody>
			<tr>
				<td style="width:20%;">
					字段名称
				</td>
				<td style="width:10%;">
					类型
				</td>
				<td style="width:55%;">
					描述
				</td>
				<td>
					备注
				</td>
			</tr>
			<tr>
				<td>
					Member_Account<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					群成员ID<br>
				</td>
				<td>
					只读<br>
				</td>
			</tr>
			<tr>
				<td>
					Role<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					群内身份<br>
				</td>
				<td>
					（注1）<br>
				</td>
			</tr>
			<tr>
				<td>
					JoinTime<br>
				</td>
				<td>
					Integer<br>
				</td>
				<td>
					入群时间<br>
				</td>
				<td>
					只读<br>
				</td>
			</tr>
			<tr>
				<td>
					MsgSeq<br>
				</td>
				<td>
					Integer<br>
				</td>
				<td>
					该成员当前已读消息Seq<br>
				</td>
				<td>
					只读<br>
				</td>
			</tr>
			<tr>
				<td>
					MsgFlag<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					消息接收选项<br>
				</td>
				<td>
					（注2）<br>
				</td>
			</tr>
			<tr>
				<td>
					LastSendMsgTime<br>
				</td>
				<td>
					Integer<br>
				</td>
				<td>
					最后发送消息的时间<br>
				</td>
				<td>
					只读<br>
				</td>
			</tr>
			<tr>
				<td>
					NameCard<br>
				</td>
				<td>
					String<br>
				</td>
				<td>
					群名片<br>
				</td>
				<td>
					可读可写<br>
				</td>
			</tr>
		</tbody>
	</table>

>注：
1. 群内身份包括如下几种：Owner表示群主，Admin表示群管理员，Member表示群成员。
1. 消息接收选项包括如下几种：AcceptAndNotify表示接收并提示；AcceptNotNotify表示接收不提示（不会触发APNs 远程推送）；Discard表示屏蔽群消息（不会向客户端推送消息）。


## 5 自定义群组ID

默认情况下，在APP创建群时，腾讯云会为新创建的群组分配一个默认的ID。该ID将以@TGS#开头，且保证在APP中唯一。

为了使得群组ID更加简单，便于记忆传播，腾讯云支持APP在通过REST API创建群组时自定义群组ID。自定义群组ID必须为可打印ASCII字符（0x20-0x7e），最长48个字节，且前缀不能为@TGS#（避免与默认分配的群组ID混淆）。

## 6 自定义字段

群组系统目前支持APP根据业务需求，在群组维度或群成员维度上设置自定义字段。群组维度最多支持20个字段，群成员维度最多支持5个字段。利用自定义字段，APP可以将一些额外数据附加到群组之上，并可以通过现有接口进行读写操作。该服务目前完全免费。

每个自定义字段有以下特性：

1. 为Key-Value形式；
1. Key为String类型，长度不超过16字节，其命名仅支持英文大小写字母、数字、下划线；
1. Value为用户自定义Buffer，可以为二进制数据，群维度的Value长度不超过512字节，群成员维度的Value长度不超过64字节；
1. 支持配置每个Key的最小读权限、最小写权限。

每个自定义字段的读写权限从高到低分别是：

1. APP管理员可读/可写；
1. 群主可读/可写；
1. 群管理员可读/可写；
1. 群成员可读/可写；
1. 任何人（包括非成员）可读/可写。

例如，假设APP需要需要在群组中扩展一个字段：GroupLevel，其Value为一个数字，用于记录该群的等级信息。假设等级信息需要APP后台计算得出，那么该字段的最小写权限应当为“APP管理员可写”。该字段应当为群的公开资料，故而其最小读权限应当为“任何人（包括非成员）可读”。

对于C/C++开发者，如果需要存储的Value是数字，建议将其存储为数字的字符串形式，而非其二进制形式（例如，当存储的数字是1时，建议存储字符串“1”，而非二进制数据0x01）。对于自定义字段，腾讯云后续会扩展出更多操作方式，例如对Value进行特定数学操作等，这些运算未来都会以基于字符串形式表示的数字来进行操作。

如果APP需要设置群组维度和群成员维度的自定义字段，需要向腾讯云客服[提需求工单](/doc/product/269/云通信配置变更需求工单#1-.E4.BA.91.E9.80.9A.E4.BF.A1.E9.85.8D.E7.BD.AE.E5.8F.98.E6.9B.B4.E9.9C.80.E6.B1.82.E5.B7.A5.E5.8D.95.E7.9A.84.E6.8F.90.E4.BA.A4.E6.96.B9.E5.BC.8F)，提交的内容如下。

如果需要配置群组维度的自定义字段，需要说明要为那种群组形态新增自定义字段。
另外，还需要为每一个要添加的字段提交如下资料：

1. 自定义字段名称（key）；
1. 字段的最小读权限；
1. 字段的最小写权限。

配置群组维度的自定义字段的模板请见[这里](/doc/product/269/云通信配置变更需求工单#2.7-.E6.96.B0.E5.A2.9E.E7.BE.A4.E7.BB.B4.E5.BA.A6.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)。

如果需要配置群成员维度的自定义字段，需要说明要为那种群组形态新增自定义字段（因为AVChatRoom不存储所有群成员的资料，所以不支持群成员维度的自定义字段）。
另外，还需要为每一个要添加的字段提交如下资料：

1. 自定义字段名称（key）；
1. 字段的最小读权限；
1. 字段的最小写权限；
1. 字段是否允许自己读；
1. 字段是否允许自己写。

配置群成员维度的自定义字段的模板请见[这里](/doc/product/269/云通信配置变更需求工单#2.8-.E6.96.B0.E5.A2.9E.E7.BE.A4.E6.88.90.E5.91.98.E7.BB.B4.E5.BA.A6.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)。

“字段是否允许自己读”和“字段是否允许自己写”标识成员是否具有对自己本人的自定义字段的读写权限。例如，某一个群成员维度的自定义字段是“MemberLevel”（成员在群组中的等级），成员一般无权修改自己的等级，因此该字段的“字段是否允许自己写”就应该设为“否”。

以上的资料提交之后，腾讯云将在一个工作日内完成配置并生效。

## 7 自定义群组形态

腾讯云默认提供私有群、公开群、聊天室、互动直播聊天室和在线成员广播大群五种群组形态，每种群组形态的具体特性参见[群组形态介绍](#2-.E7.BE.A4.E7.BB.84.E5.BD.A2.E6.80.81.E4.BB.8B.E7.BB.8D)。四种默认形态可以满足大多数群组类型的通信需求。但是，如果APP存在较为特殊的群组通信需求，亦可对现有群组形态的某些特性进行修改，或者组装新的群组形态。

例如，对于在办公场景下使用的群组，它有可能需要群内任意成员都具有最高级别的管理权限，此时APP便可自定义一种新的群组类型：OAGroup，并打开“是否允许普通成员踢人”选项；再如，公开群默认情况下不允许用户查看自己入群之前的历史消息，但只要APP需要，便可打开这一选项。

不论是[增加新的群组形态](/doc/product/269/云通信配置变更需求工单#2.9-.E6.96.B0.E5.A2.9E.E7.BE.A4.E7.BB.84.E5.BD.A2.E6.80.81)，还是[修改默认群组形态](/doc/product/269/云通信配置变更需求工单#2.10-.E4.BF.AE.E6.94.B9.E7.BE.A4.E7.BB.84.E5.BD.A2.E6.80.81)，都需要向腾讯云客服提交需求工单。

## 8 自定义回调

第三方回调是APP实现特殊需求的重要方式之一，为用户提供了自定义行为的能力。
腾讯云群组系统支持多种回调，具体参见[第三方回调简介](/doc/product/269/第三方回调简介)以及[群组系统回调接口列表](/doc/product/269/回调命令列表)。
