## 1 资料系统简介

云通信开放了资料系统，提供资料相关的一整套全备服务。如果您想让每个用户都有自己的资料，并且轻松实现资料的设置和拉取功能，那么您可以选择云通信的资料托管服务：

1. 我们提供资料的存储能力，并确保您的数据具备异地容灾、多地部署和自动扩容缩容的能力，帮助您从服务器宕机、多拷贝主从复制和扩容缩容等复杂处理流程中得到完全地解放；

1. 我们提供业界通用的业务处理流程，帮助您在IM资料的逻辑上得到彻底地解放；

1. 我们提供专业的运营流程和运营团队，全年99.99%的稳定服务质量，帮助您为用户提供具有稳定口碑的服务；

1. 我们提供简单易用的服务接口和快捷接入的帮助指引，全程为您提供星级服务。

使用云通信的资料托管服务，您将得到以下能力：

1. 标配资料字段的存储、读写能力；

1. 自定义资料字段的存储、读写能力。

## 2 资料字段

资料是用来描述用户属性的一组数据，云通信资料系统支持标配资料字段和自定义资料字段。资料字段有如下特性：

1. 资料字段通过Key-Value来表示；

1. Key为String类型，其命名仅支持英文大小写字母、数字、下划线；

1. Value有以下几种类型：
   a. uint32_t类型的整数（自定义资料字段不支持）；
   b. uint64_t类型的整数（自定义资料字段不支持）；
   c. string类型的字符串（string的长度不得超过500字节）；
   d. bytes类型的一段buffer（buffer的长度不得超过500字节）。

1. 支持配置每个Key的读权限和写权限，资料字段的读写权限如下：

<table style="display:table">
		<tbody>
			<tr>
				<th> 权限名称</th>
				<th> 权限类型</th>
				<th> 备注</th>
			</tr>
			<tr>
				<td> 读权限</td>
				<td> 
					用户本人可读；<br>
					App管理员可读；<br>
					云通信后台可读。<br>
				</td>
				<td> 可选择读权限的一个或多个类型</td>
			</tr>
			<tr>
				<td> 写权限</td>
				<td> 
					用户本人可写；<br>
					App管理员可写；<br>
					云通信后台可写。<br>
				</td>
				<td> 可选择写权限的一个或多个类型</td>
			</tr>
		</tbody>
	</table>

## 3 标配资料字段

目前腾讯云通信支持的标配资料字段如下：

<table style="display:table;width:100%">
		<tbody>
			<tr>
			<th style="width:15%;"> 字段名称</th>
				<th style="width:5%;"> 类型</th>
				<th style="width:16%;"> 描述</th>
				<th style="width:19%;"> 更新时是否有Push</th>
				<th> 备注</th>
			</tr>
			<tr>
				<td> Tag_Profile_IM_Nick</td>
				<td> string</td>
				<td> 昵称</td>
				<td> 有</td>
				<td> 长度不得超过500个字节</td>
			</tr>
			<tr>
				<td> Tag_Profile_IM_Gender</td>
				<td> string</td>
				<td> 性别</td>
				<td> 有</td>
				<td> 
					Gender_Type_Unknown：没设置性别；<br>
					Gender_Type_Female：女性；<br>
					Gender_Type_Male：男性。<br>
				</td>
			</tr>
			<tr>
				<td> Tag_Profile_IM_BirthDay</td>
				<td> uint32</td>
				<td> 生日</td>
				<td> 有</td>
				<td> 无</td>
			</tr>
			<tr>
				<td> Tag_Profile_IM_Location</td>
				<td> string</td>
				<td> 所在地</td>
				<td> 有</td>
				<td> 
					长度不得超过16个字节，推荐用法如下：<br>
					APP本地定义一套数字到地名的映射关系；<br>
					后台实际保存的是4个uint32_t类型的数字；<br>
					其中第一个uint32_t表示国家；<br>
					第二个uint32_t用于表示省份；<br>
					第三个uint32_t用于表示城市；<br>
					第四个uint32_t用于表示区县。<br>
				</td>
			</tr>
			<tr>
				<td> Tag_Profile_IM_SelfSignature</td>
				<td> string</td>
				<td> 个性签名</td>
				<td> 有</td>
				<td> 长度不得超过500个字节</td>
			</tr>
			<tr>
				<td> Tag_Profile_IM_AllowType</td>
				<td> string</td>
				<td> 加好友验证方式</td>
				<td> 有</td>
				<td> 
					AllowType_Type_NeedConfirm：需要经过自己确认才能添加自己为好友；<br>
					AllowType_Type_AllowAny：允许任何人添加自己为好友；<br>
					AllowType_Type_DenyAny：不允许任何人添加自己为好友。<br>
				</td>
			</tr>
			<tr>
				<td> Tag_Profile_IM_Language</td>
				<td> uint32</td>
				<td> 语言</td>
				<td> 有</td>
				<td> 无</td>
			</tr>
			<tr>
				<td> Tag_Profile_IM_Image</td>
				<td> string</td>
				<td> 头像URL</td>
				<td> 有</td>
				<td> 长度不得超过500个字节</td>
			</tr>
			<tr>
				<td> Tag_Profile_IM_MsgSettings</td>
				<td> uint32</td>
				<td> 消息设置</td>
				<td> 有</td>
				<td> 
					标志位：<br>
					Bit0：置0表示接收消息，置1则不接收消息。<br>
				</td>
			</tr>
			<tr>
				<td> Tag_Profile_IM_AdminForbidType</td>
				<td> string</td>
				<td> 管理员禁止加好友标识</td>
				<td> 有</td>
				<td> 
					AdminForbid_Type_None：默认值，允许加好友；<br>
					AdminForbid_Type_SendOut：禁止该用户发起加好友请求。<br>
				</td>
			</tr>
		</tbody>
	</table>

## 4 自定义资料字段

自定义资料字段是各APP根据各自业务需要而设置的用户数据。通过自定义资料，各APP可以将一些额外数据附加到用户资料上，并通过现有接口进行读写操作。

### 4.1 自定义资料字段的申请

各APP需要申请自定义资料字段时，可以向腾讯云客服提交<a href="https://cloud.tencent.com/document/product/269/3916#2.3-.E6.96.B0.E5.A2.9E.E7.94.A8.E6.88.B7.E8.B5.84.E6.96.99.E7.BB.B4.E5.BA.A6.E7.9A.84.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5">新增用户资料维度的自定义字段</a>类型的需求工单，工单提交后，腾讯云将在三个工作日内完成配置并生效。

申请自定义资料字段时，需要为每一个自定义资料字段提交如下资料：

1. 自定义资料字段的名称（Key）：详情可参见<a href="https://cloud.tencent.com/document/product/269/1500#4.2-.E8.87.AA.E5.AE.9A.E4.B9.89.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5.E7.9A.84.E5.91.BD.E5.90.8D.E8.A7.84.E8.8C.83">自定义资料字段的命名规范</a>；

1. 自定义资料字段的类型（Value）：详情可参见<a href="https://cloud.tencent.com/document/product/269/1500#2-.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">资料字段</a>。

1. 自定义资料字段的读权限及写权限：详情可参见<a href="https://cloud.tencent.com/document/product/269/1500#2-.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">资料字段</a>。

### 4.2 自定义资料字段的命名规范

自定义资料字段的命名规则如下：

1. 自定义资料字段的名称包括前缀和关键字两部分；

1. 自定义资料字段的前缀是：Tag_Profile_Custom；

1. 关键字：必须是英文字母，且长度不得超过8字节，建议用一个英文单词或该英文单词的缩写；

1. 示例：某APP要申请的自定义字段的关键字是Test，则自定义资料字段的名称是：Tag_Profile_Custom_Test。


