## 1 场景简述

老系统为其他即时通信服务提供商。
帐号体系、用户资料、关系链均由APP自己管理，只是会实时同步到老系统中。
老系统能够提供消息路由服务（或者消息回调服务），但无法提供更多的回调服务。

此时账户体系、用户资料、关系链均可以实现新老系统实时同步。单聊服务可以使用新老兼容策略，但群组系统依然只能使用强制升级策略进行迁移。
接下来，我们将介绍在该场景采取强制升级策略的实施方法。

## 2 适用功能

单聊和群聊功能。

## 3 达到效果

APP只需要短暂停服进行迁移，迁移完成后，APP1.0全部升级成APP2.0，老系统停止使用。

## 4 主要实施步骤

1. APP停服；
2. 旧数据导入云通信，包括：
	  2.1 帐号体系的导入；
	  2.2 用户资料的导入；
	  2.3 用户关系链的导入；
	  2.4 单聊历史消息导入；
	  2.5 群组数据导入；
	  2.6 群聊历史消息导入；
3. APP恢复服务；
4. 强制用户升级到APP 2.0，老系统下架，所有用户通信均在新系统中进行。
![](//mccdn.qcloud.com/static/img/937b1405ea4e4cc609d2f2b07877bb8f/image.png)

## 5 步骤详解

对于老系统中的存量数据，需要在APP停服期间导入到新系统中。
其中，对于APP自己管理的存量数据（帐号体系、用户资料、关系链），直接从APP后台导入云通信。对于托管在老系统中的存量数据（单聊历史消息、群组数据和群聊历史消息），在执行导入操作前需要使用老系统提供的接口提取这些数据。

### 5.1 帐号系统的导入

帐号系统的导入，是后续各种数据导入的前提。APP后台需要使用[独立模式账号同步REST接口](/doc/product/269/独立模式账号同步接口)将原有帐号全部导入到云通信。需要注意的是，[独立模式账号同步REST接口](/doc/product/269/独立模式账号同步接口)同时也支持导入简单的用户资料。

### 5.2 用户资料导入

通过[设置资料REST接口](/doc/product/269/设置资料)将存量的用户资料导入云通信。

### 5.3 关系链导入

通过[添加好友REST接口](/doc/product/269/添加好友)将存量的关系链导入云通信。

### 5.4 单聊历史消息导入

通过[导入单聊消息REST接口](/doc/product/269/导入单聊消息)将存量的单聊消息导入云通信。

### 5.5 群组数据和群聊历史消息导入

群组数据、群聊历史消息导入应当遵从如下流程：
1. 使用[导入群基础资料REST接口](/doc/product/269/导入群基础资料)将群组创建出来，调用该接口时可以指定初始群成员；
2. 如果导入群时没有导入群成员，可以使用[导入群成员REST接口](/doc/product/269/导入群成员)导入群成员；
3. 使用[导入群消息REST接口](/doc/product/269/导入群消息)导入历史群聊消息；
4. 如果需要修正群成员的未读消息数量，可以通过[设置成员未读消息计数REST接口](/doc/product/269/设置成员未读消息计数)进行操作。