## 1 场景简述

老系统为其他即时通信服务提供商。
帐号体系、用户资料、关系链均由APP自己管理，只是会实时同步到老系统中。
老系统能够提供消息路由服务（或者消息回调服务），但无法提供更多的回调服务。

此时账户体系、用户资料、关系链均可以实现新老系统实时同步。单聊服务可以使用新老兼容策略，但群组系统依然只能使用强制升级策略进行迁移。
接下来，我们将介绍在该场景对单聊采取新老兼容策略的实施方法。

## 2 适用功能

单聊功能。

## 3 达到效果

APP只需要短暂停服进行迁移，迁移完成后，新老APP共存，数据、消息保持双向同步。

## 4 主要实施步骤

1. APP停服；
2. 旧数据导入云通信，包括：
	  2.1 帐号体系的导入；
	  2.2 用户资料的导入；
	  2.3 用户关系链的导入；
	  2.4 单聊历史消息导入；
3. 启动APP新老系统的双向同步，包括：
	  3.1 单聊消息实时同步；
4. APP恢复服务；
5. 迁移完成，新老APP共存，消息互通，待老APP自然消亡。
![](//mccdn.qcloud.com/static/img/c144849110617b18a818144e18c33dd2/image.png)

## 5 步骤详解

对于老系统中的存量数据，需要在APP停服期间导入到新系统中。
其中，对于APP自己管理的存量数据（帐号体系、用户资料、关系链），直接从APP后台导入云通信。对于托管在老系统中的存量数据（单聊历史消息、群组数据和群聊历史消息），在执行导入操作前需要使用老系统提供的接口提取这些数据。

### 5.1 帐号系统的导入

帐号系统的导入，是后续各种数据导入的前提。APP后台需要使用[独立模式账号同步REST接口](/doc/product/269/独立模式账号同步接口)将原有帐号全部导入到云通信。需要注意的是，[独立模式账号同步REST接口](/doc/product/269/独立模式账号同步接口)同时也支持导入简单的用户资料。

### 5.2 用户资料导入

通过[设置资料REST接口](/doc/product/269/设置资料)将存量的用户资料导入云通信。

### 5.3 关系链导入

通过[添加好友REST接口](/doc/product/269/添加好友)将存量的关系链导入云通信。

### 5.4 单聊历史消息导入

通过[导入单聊消息REST接口](/doc/product/269/导入单聊消息)将存量的单聊消息导入云通信。

进行迁移后，单聊消息同时托管在新老系统。当APP服务开启后，需要将一个系统中产生的增量单聊消息同步到另一个系统。这样的同步方式被称为双向同步。单聊消息的双向同步需要老系统支持消息路由（消息回调）服务，并由APP后台搭建消息中转服务器，对双方的同步消息进行中转。

### 5.5 单聊消息的同步

开启同步前，APP搭建消息中转服务器；
![](//mccdn.qcloud.com/static/img/222c7b983928cd6ff4fc07ca361680de/image.png)
老系统中的增量消息通过消息路由（消息回调）发送到消息中转服务器，并调用[单发单聊消息REST接口](/doc/product/269/单发单聊消息)同步到云通信；
云通信中的增量消息通过[发单聊消息之后回调](/doc/product/269/发单聊消息之后回调)发送到消息中转服务器，然后由消息中转服务器同步到老系统。

