## 1 场景简述

老系统为APP自研即时通信服务。这时，开发者本地管理所有的历史和新增数据，并且拥有可以自主开发向新系统同步的能力。

因为APP有实施双向数据同步的条件，无论使用单聊还是群聊，APP可以使用强制升级和新老系统兼容中任意一种迁移策略。
接下来，我们将介绍在该场景采取新老兼容策略的实施方法。

## 2 适用功能

单聊和群聊功能。

## 3 达到效果

APP只需要短暂停服进行迁移，迁移完成后，新老APP共存，数据、消息保持双向同步。

## 4 主要实施步骤

1. APP停服；
2. 旧数据导入云通信，包括：
	  2.1 帐号体系的导入；
	  2.2 用户资料的导入；
	  2.3 用户关系链的导入；
	  2.4 单聊历史消息导入；
	  2.5 群组数据导入；
	  2.6 群聊历史消息导入；
3. 启动APP新老系统的双向同步，包括：
	  3.1 单聊消息实时同步；
	  3.2 群组数据和群聊消息实时同步；
4. APP恢复服务；
5. 迁移完成，新老APP共存，消息互通，待老APP自然消亡。
![](//mccdn.qcloud.com/static/img/52a4eb7f8b389102058b8e90f09da37f/image.png)

## 5 步骤详解

对于老系统中的存量数据，需要在APP停服期间导入到新系统中。
因为APP管理着所有的存量数据，所以这些数据可以直接从APP后台导入云通信。

### 5.1 帐号系统的导入

帐号系统的导入，是后续各种数据导入的前提。APP后台需要使用[独立模式账号同步REST接口](/doc/product/269/独立模式账号同步接口)将原有帐号全部导入到云通信。需要注意的是，[独立模式账号同步REST接口](/doc/product/269/独立模式账号同步接口)同时也支持导入简单的用户资料。

### 5.2 用户资料导入

通过[设置资料REST接口](/doc/product/269/设置资料)将存量的用户资料导入云通信。

### 5.3 关系链导入

通过[添加好友REST接口](/doc/product/269/添加好友)将存量的关系链导入云通信。

### 5.4 单聊历史消息导入

通过[导入单聊消息REST接口](/doc/product/269/导入单聊消息)将存量的单聊消息导入云通信。

### 5.5 群组数据和群聊历史消息导入

群组数据、群聊历史消息导入应当遵从如下流程：
1. 使用[导入群基础资料REST接口](/doc/product/269/导入群基础资料)将群组创建出来，调用该接口时可以指定初始群成员；
2. 如果导入群时没有导入群成员，可以使用[导入群成员REST接口](/doc/product/269/导入群成员)导入群成员；
3. 使用[导入群消息REST接口](/doc/product/269/导入群消息)导入历史群聊消息；
4. 如果需要修正群成员的未读消息数量，可以通过[设置成员未读消息计数REST接口](/doc/product/269/设置成员未读消息计数)进行操作。

单聊消息、群组数据和群聊消息都需要托管到新系统。当新系统中产生这种类型的增量数据时，使用云通信的回调它们同步到老系统中；同时，老系统中产生的增量数据也需要同步到新系统。这样的同步方式被称为双向同步。

### 5.6 单聊消息的同步

老系统中增量消息通过调用[单发单聊消息REST接口](/doc/product/269/单发单聊消息)同步到云通信，云通信中增量消息通过[发单聊消息之后回调](/doc/product/269/发单聊消息之后回调)同步到老系统。
![](//mccdn.qcloud.com/static/img/be54de84536f1d639aeb2792260b9d99/image.png)

### 5.7 群组数据和群聊消息的同步

老系统中群组基本资料的变更，调用[修改群组基础资料REST接口](/doc/product/269/修改群组基础资料)进行实时同步，云通信中群组基本资料的变更，通过[创建群组之后回调](/doc/product/269/创建群组之后回调)、[群组解散之后回调](/doc/product/269/群组解散之后回调)和[群组资料修改之后回调](/doc/product/269/群组资料修改之后回调)同步到老系统；
老系统中成员的增删，调用[增加群组成员REST接口](/doc/product/269/增加群组成员)和[删除群组成员REST接口](https://cloud.tencent.com/document/product/269/1622)同步到云通信，云通信中成员的进出群信息通过[新成员入群之后回调](/doc/product/269/新成员入群之后回调)和[群成员离开之后回调](/doc/product/269/群成员离开之后回调)同步到老系统；
老系统中的增量群聊消息通过调用群组中[在群组中发送普通消息REST接口](/doc/product/269/在群组中发送普通消息)同步到云通信，云通信中的增量群聊消息通过[群内发言之后回调](/doc/product/269/群内发言之后回调)同步到老系统。
