## 1 简介
互动直播场景中的多人聊天具有参与人数多，消息量大的特点。云通信群组系统对互动直播场景下的多人聊天进行了专门的支持。APP开发者可以在互动直播场景中采用本文档中提供的方案。

## 2 术语简介
1.	旧版本：SDK1.9之前的版本；
2.	新版本：SDK1.9以及之后的版本；
3.	H5方式接收消息：不需要登录操作，直接访问H5网页即可接收多人聊天消息。

## 3 内容提要
通过本文档你将了解到：

1.	直播场景下多人聊天的能力和特点；
2.	终端如何接入互动直播场景下的多人聊天；
3.	直播场景下多人聊天需要注意的点。

## 4 基本能力项
互动直播场景对应的群组形态为互动直播聊天室（AVChatRoom），其基本能力包括：

<b>1. 无人数上限</b>
互动直播场景同时参与人数非常大，往往可以达到数万甚至数十万人的级别。云通信中一般的群组形态（Private，Public，ChatRoom等）的群成员人数上限为10000人，无法满足互动直播场景的需要。而AVChatRoom针对超大群组进行了专门的设计，允许直播场景中的群组成员人数不受限制。
<b>2. 支持发送红包、点赞等自定义消息</b>
互动直播场景中，观众经常发送红包和点赞等消息与主播和其他观众进行互动。云通信为这些类型的消息提供了专门的接口，能够保证此类型的消息优先触达客户端。
<b>3. 支持不同优先级消息的频率控制</b>
互动直播场景的消息量经常达到很大的量级，激增的消息可能造成客户端的卡顿延迟等现象。云通信提供了对消息划分优先级的能力，APP开发者可以对不同优先级的消息设置频率控制，在保证高优先级的消息不丢失或少丢失的前提下，减少高消息负载下客户端的压力。如果需要对不同优先级的消息进行频率控制，可以根据[工单模板](/doc/product/269/云通信配置变更需求工单#2.5-.E7.BE.A4.E7.BB.84.E4.B8.8D.E5.90.8C.E4.BC.98.E5.85.88.E7.BA.A7.E7.9A.84.E6.B6.88.E6.81.AF.E7.9A.84.E9.A2.91.E7.8E.87.E6.8E.A7.E5.88.B6)提交工单进行申请。

## 5 特性
直播聊天室（AVChatRoom）与传统的聊天室（ChatRoom）的特性比较接近（具体异同请参见[群组形态介绍](/doc/product/269/群组系统#2-.E7.BE.A4.E7.BB.84.E5.BD.A2.E6.80.81.E4.BB.8B.E7.BB.8D)），其中直播聊天室面向互动直播领域，有些相对定制的特性。

下面将在表格中对比AVChatRoom和ChatRoom的主要差异的细节：

| 类别 | 特性 | 直播聊天室 | 聊天室 |
|---------|---------|---------|
	|群组管理 | 是否允许邀请他人入群 | 不允许任何人（包括APP管理员）邀请他人入群，并且创建群时也不能直接将他人拉入群组 | 不允许群成员邀请他人入群，但是创建群时可以直接将他人拉入群组  |
	|群组管理 | 是否允许拉取群成员列表 | 无法拉取完整的群成员列表（只能拉取到群主和管理员等特殊身份的成员） | 群成员可以拉取完整的群成员列表 |
  |群组管理 | 是否允许成员踢人 | 不允许任何人踢人（虽然不允许踢人，但是可以通过禁言达到屏蔽某个成员的目的） | 不允许普通成员踢人（群主和管理员可以踢人） |
	|群组管理 | 是否允许群主设置管理员 | 暂不支持群主设置管理员 | 群主可以设置管理员 |
	|消息 | 是否支持H5接收消息 | 直接支持客户端不登录从H5页面接收消息 | 采取兼容方案后，支持不登录从H5页面接收消息 |	
	|其他 | 群组支持的最大成员人数上限 | 群组的最大成员人数无上限 | 群组最多支持10000个成员 |									
	|其他 | 哪些版本可以支持 |  在SDK1.9及以后的版本中支持AVChatRoom | 任意版本的SDK都支持ChatRoom |	
	
## 	6 IOS客户端接入

* **创建 AVChatRoom**
	- 用法同普通群，参考：[创建群组](/doc/product/269/群组管理（iOS%20SDK）#3.1-.E5.88.9B.E5.BB.BA.E5.86.85.E7.BD.AE.E7.B1.BB.E5.9E.8B.E7.BE.A4.E7.BB.84)
* **加入群组**
  - 用法同普通群，参考：[申请加入群组](/doc/product/269/群组管理（iOS%20SDK）#3.5-.E7.94.B3.E8.AF.B7.E5.8A.A0.E5.85.A5.E7.BE.A4.E7.BB.84)
* **退出群组**
  - 用法同普通群，参考：[退出群组](/doc/product/269/群组管理（iOS%20SDK）#3.6-.E9.80.80.E5.87.BA.E7.BE.A4.E7.BB.84)
* **解散群组**
  - 用法同普通群，参考：[解散群组](/doc/product/269/群组管理（iOS%20SDK）#3.10-.E8.A7.A3.E6.95.A3.E7.BE.A4.E7.BB.84)
* **红包点赞消息**
  - 参考：[针对群组的红包和点赞发消息接口](/doc/product/269/消息收发（iOS%20SDK）#1.10-.E9.92.88.E5.AF.B9.E7.BE.A4.E7.BB.84.E7.9A.84.E7.BA.A2.E5.8C.85.E5.92.8C.E7.82.B9.E8.B5.9E.E6.B6.88.E6.81.AF)

## 7 Android客户端接入
* **创建 AVChatRoom**
	- 用法同普通群，参考：[创建群组](/doc/product/269/群组管理（Android%20SDK）#3.1-.E5.88.9B.E5.BB.BA.E5.86.85.E7.BD.AE.E7.B1.BB.E5.9E.8B.E7.BE.A4.E7.BB.84)
* **加入群组**
  - 用法同普通群，参考：[申请加入群组](/doc/product/269/群组管理（Android%20SDK）#3.5-.E7.94.B3.E8.AF.B7.E5.8A.A0.E5.85.A5.E7.BE.A4.E7.BB.84)
* **退出群组**
  - 用法同普通群，参考：[退出群组](/doc/product/269/群组管理（Android%20SDK）#3.6-.E9.80.80.E5.87.BA.E7.BE.A4.E7.BB.84)
* **解散群组**
  - 用法同普通群，参考：[解散群组](/doc/product/269/群组管理（Android%20SDK）#3.10-.E8.A7.A3.E6.95.A3.E7.BE.A4.E7.BB.84)
* **红包点赞消息**
  - 参考：[针对群组的红包和点赞发消息接口](/doc/product/269/消息收发（Android%20SDK）#1.10-.E9.92.88.E5.AF.B9.E7.BE.A4.E7.BB.84.E7.9A.84.E7.BA.A2.E5.8C.85.E5.92.8C.E7.82.B9.E8.B5.9E.E6.B6.88.E6.81.AF)

## 8 Windows客户端接入
* **创建 AVChatRoom**
	- 用法同普通群，参考：[创建群组](/doc/product/269/群组管理（Windows%20SDK）#3.1-.E5.88.9B.E5.BB.BA.E5.86.85.E7.BD.AE.E7.B1.BB.E5.9E.8B.E7.BE.A4.E7.BB.84)
* **加入群组**
  - 用法同普通群，参考：[申请加入群组](/doc/product/269/群组管理（Windows%20SDK）#3.5-.E7.94.B3.E8.AF.B7.E5.8A.A0.E5.85.A5.E7.BE.A4.E7.BB.84)
* **退出群组**
  - 用法同普通群，参考：[退出群组](/doc/product/269/群组管理（Windows%20SDK）#3.6-.E9.80.80.E5.87.BA.E7.BE.A4.E7.BB.84)
* **解散群组**
  - 用法同普通群，参考：[解散群组](/doc/product/269/群组管理（Windows%20SDK）#3.10-.E8.A7.A3.E6.95.A3.E7.BE.A4.E7.BB.84)
* **红包点赞消息**
  - 参考：[针对群组的红包和点赞发消息接口](/doc/product/269/消息收发（Windows%20SDK）#1.10-.E9.92.88.E5.AF.B9.E7.BE.A4.E7.BB.84.E7.9A.84.E7.BA.A2.E5.8C.85.E5.92.8C.E7.82.B9.E8.B5.9E.E6.B6.88.E6.81.AF)

## 9 Web客户端接入
传送门：[点击进入](/doc/product/269/概述（Web%20SDK）)

## 10 H5客户端接入
传送门：[点击进入](/doc/product/269/H5直播聊天室DEMO指引)

## 11 其他产品形态升级直播聊天室方案
对于已经在互动直播场景接入云通信的APP开发者，由于其他产品形态（私有群、公开群和聊天室等）的成员人数有限，如果需要升级为直播聊天室，可以参见[其他产品形态升级直播聊天室方案](/doc/product/269/其他群组形态升级为互动直播聊天室方案)；

## 12 需要注意的点

1. 直播聊天室不支持踢人，可以通过禁言来实现禁止某人发言；
2. 直播聊天室加入新成员的唯一方式是用户申请加群（不需要群主或管理员审批），不支持群成员邀请加入和创建群时拉入成员的方式添加群成员；
3. 考虑到直播场景的聊天室中消息量较大，可能会造成客户端的卡顿延迟等现象，建议针对不同优先级的消息进行频率控制，具体频控参数可以联系客服；
4. 由于直播聊天室内部实现机制与其他产品形态（如聊天室）有所不同，SDK1.9之前的版本无法完全兼容（不能做到成员人数无上限），建议更新到1.9版本。
5. 直播聊天室成员进入、退出情况可以通过配置群组事件的服务器回调拿到。



