
## 1 简介
直播聊天室（AVChatRoom）拥有无人数上限和支持不同优先级消息等特点，特别适合在线直播场景下用户多人聊天。对于已经在互动直播场景接入云通信的APP开发者，但使用了其他群组形态（如私有群、公开群或者聊天室)，如果想要升级为直播聊天室，可以参考通过本文档。

## 2 术语约定
1. 旧版本：SDK1.9之前的版本；
2. 新版本：SDK1.9以及之后的版本；

## 3 文档定位

1. 文档仅适用于已经接入旧版本云通信的APP开发者，想要在原有产品形态上面扩展功能；而对于直接接入新版本的APP开发者，请参考[互动直播集成多人聊天方案](/doc/product/269/互动直播集成多人聊天方案)；
2. 此文档提供的兼容方案中的群成员无限人数指的是新版本登录的用户人数，而对于旧版本登录的成员人数还是默认产品形态说明的最大人数。

## 4 兼容方案
下面主要从两个方面来提供兼容方案。

### 4.1 方案1
APP开发者直接接入直播聊天室（AVChatRoom），对于原有产品形态对应的某些特定配置，比如回调配置等，可以直接找云通信客服进行迁移。

这种方案好处在于旧版本还是使用原有的产品形态，新版本则使用直播聊天室，新旧版本互相不影响，迁移成本低。鉴于直播聊天室本身对旧版本的群成员人数不能兼容到无限，此方案对开发者更加友好，产品控制更加灵活。

### 4.2 方案2
APP开发者联系云通信客服直接在原有[群组形态](/doc/product/269/群组系统#2-.E7.BE.A4.E7.BB.84.E5.BD.A2.E6.80.81.E4.BB.8B.E7.BB.8D)上升级相关配置来实现。下面根据使用的产品形态来提供下升级方案：
- 私有群（Private）。除无限人数外，私有群与直播聊天室最大的区别在于用户进群的方式。由于私有群的私密性，私有群不能被搜索且仅支持邀请加人进群的方式，而直播大群仅支持申请加群直接进群的方式。此时，如果单纯升级配置为直播聊天室，无法做到私有群特性兼容，建议使用[方案1](/doc/product/269/其他群组形态升级为互动直播聊天室方案#4.1-.E6.96.B9.E6.A1.881)来实现。
- 公开群（Public）。除无限人数外，公开群与直播聊天室最大的区别在于管理员的审批权限和消息未读计数。对于公开群，管理员拥有更强的管理功能，比如申请加群审批等，而直播聊天室设计认为审批会加大用户进群门槛，同时骚扰管理员，因此仅支持申请加群直接进群的方式。此外，直播聊天室不支持消息未读。这种情况，可直接向云通信客服提配置升级需求，新创建的群组可拥有直播大群特性。
- 聊天室（ChatRoom）。除无限人数外，公开群与直播聊天室最大的区别在于聊天室允许群主或者管理员踢人的方式禁止某人发言，而直播聊天室只能通过禁言的方式来实现。这种情况，可向云通信客服提配置升级需求。
- 定制化产品形态。如果APP开发者对某些产品形态进行过定制化修改，请直接联系云通信客户解决。

对于上述两个方案，云通信推荐使用第一种方案来实现产品升级直播聊天室。