## 1 简介
在IM通信系统中，经常遇到需要向全体在线用户下发消息的场景。例如在直播系统中用户赠送高价值道具时，需要将此消息广播给当前所有在App中观看直播的用户，俗称“大喇叭消息”。
针对这种需求，云通信提供了一套解决方案：BChatRoom（也称为在线成员广播大群）。

## 2 在线成员广播大群的能力
BChatRoom主要能力包括：

* 基本的消息分发能力；
* 成员人数无上限；
* 支持 Native App 和 H5；
* 支持匿名（即无需注册账号并登录）接收消息；
* 支持下发自定义消息；

除了同时为了保证服务质量,相应的也做了一些限制，如：

* 每个APP创建的BChatRoom，不能超过5个；
* 不支持消息漫游；
* 不存储群成员列表；
* 只支持向在线用户下发消息，离线用户无法接收消息；
* 不允许任何人（包括APP管理员）邀请他人入群，并且创建群时不能拉人入群；


## 3 在线成员广播大群使用方法

BChatRoom的原理是，把App中所有满足条件的在线成员都加入到某个固定群组中，然后通过该群组下发广播消息。这样就能保证所有满足条件的在线用户就都可以接收到该消息了。

其使用方法一般包括以下步骤：

* App管理员预先创建好广播大群，且保证该群长期有效，请勿随意解散；
* 把满足条件的所有成员加入到该群组中（例如在直播场景中，用户进入直播间加入直播聊天室的同时，也加入该在线成员广播大群）；
* App管理员把需要广播的消息，发送到该群组中；
* App接收并展示该消息。

BChatRoom的详细接入方法跟其他类型群组是相同的,请参考 [直播场景下的IM集成方案](/doc/product/269/直播场景下的IM集成方案)中AVChatRoom的接入指引。
## 4与消息推送服务的区别
[消息推送服务](/document/product/269/4119)支持向全体成员推送消息（包括在线和离线用户），同时还支持向全部用户中满足特定条件的用户推送消息，即按用户的标签、属性进行推送。但是该服务为增值服务，需要申请开通才可使用。
而在线成员广播大群是专门针对在线用户的解决方案，离线用户无法接收广播消息。所以对于向在线用户推送广播消息的场景，该方案效率更高，且目前无需申请开通即可使用。

