## 消息收发延迟
请确认是否在初始化时调用SetEnv，如果有调用，请去除。IMSDK测试环境仅限于云通信内部测试使用

## IMSDK是否缓存语音
imsdk仅提供下载接口，并不缓存语音文件，该逻辑由App业务层实现

## 相同的图片传给不同的人，第二次传输需要流量吗
imsdk的上传图片做了秒传逻辑，即如果服务器检测到已有这张图片，服务器会立即返回该图片上传成功，并不会再次耗费传图片的流量

## REST API可以收发图片吗？
请看PHP SDK的[图片发送接口](/doc/product/269/单发单聊消息#4.1-php.E9.9B.86.E6.88.90)

## 单聊消息最长多少字节
单聊消息需要在9K byte以内，超过大小限制发送时API会返回错误码

## iPhone推送最长多少字节
受APNs限制，iPhone的推送内容不超过1K byte

## CustromElement中的Data字段可以使用二进制吗
如果仅是SDK使用该字段，可以使用二进制，如果调用REST API，则CustomElem中的Data建议使用可见字符，如使用xml、json或者经过Base64转换过的二进制串

## 非好友可以发消息吗
云通信默认不验证好友关系，非好友可以互相发消息
如果业务需要云通信后台做好友关系验证，需先将好友关系链通过SDK API或REST API托管到云通信服务器上，再提工单进行修改

## 如何增加语音消息的已听未听状态
使用[如下](/doc/product/269/消息收发（Android%20SDK）#2.3-.E6.8E.A5.E6.94.B6.E8.AF.AD.E9.9F.B3.E6.B6.88.E6.81.AF)方法
> 语音是否已经播放，可使用 消息自定义字段 实现，如 customInt 的值 0 表示未播放，1表示播放，当用户点击播放后可设置 customInt 的值为1。

` public void setCustomInt(int value) `

## 单条消息最长可以到多少byte
云通信允许单条消息不超过9k byte，如果超过，SDK API会报错，返回80002（错误码表参见[这里](/doc/product/269/错误码)）

## 消息Elem在add的时候和取出的时候，能保证顺序吗
消息中不含文件和语音的Elem时，可保证取出顺序和写入顺序一致
> 但不建议依赖于Elem的顺序，否则出现异常时容易引起客户端Crash

## 如何删除聊天记录（本地、服务器）
- 本地聊天记录删除，请参见[本地消息删除](/doc/product/269/消息缓存和存储#4.2-.E6.9C.AC.E5.9C.B0.E6.B6.88.E6.81.AF.E5.88.A0.E9.99.A4)
- 服务器保存消息时长，请参见[漫游消息保存时长](/doc/product/269/%E6%B6%88%E6%81%AF%E7%BC%93%E5%AD%98%E5%92%8C%E5%AD%98%E5%82%A8#2.3-.E6.BC.AB.E6.B8.B8.E6.B6.88.E6.81.AF.E4.BF.9D.E5.AD.98.E6.97.B6.E9.95.BF)
- 群消息删除，请参见[Server消息删除](/doc/product/269/消息缓存和存储#5.-server.E6.B6.88.E6.81.AF.E5.88.A0.E9.99.A4)

## 如何让消息不存储本地
请参见[消息不存储本地](/doc/product/269/消息缓存和存储#4.3-.E7.A6.81.E7.94.A8.E6.9C.AC.E5.9C.B0.E5.AD.98.E5.82.A8)

## 消息收发延迟
请确认是否在初始化时调用SetEnv，如果有调用，请去除。IMSDK测试环境仅限于云通信内部测试使用

## 互动直播时，IM消息如何携带昵称头像
为了简化互动直播的IM开发，云通信在消息中可以获取到发送者的昵称和头像
该操作分两步，设置昵称头像，在消息中获取昵称头像

设置昵称头像有几种方法
1.账号REST API，在导入账号时进行设置（存量用户资料导入），点击[这里进入](/doc/product/269/独立模式账号同步接口)
2.资料关系链REST API，可单独设置，点击[这里进入](/doc/product/269/设置资料)
3.通过客户端API设置，Android点击[这里进入](/doc/product/269/用户资料与关系链（Android%20SDK）#2.-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E8.B5.84.E6.96.99)，iOS点击[这里进入](/doc/product/269/用户资料与关系链（iOS%20SDK）#2.-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E8.B5.84.E6.96.99)

在聊天消息中获取昵称头像
1.AndroidSDK，通过TIMMessage中getSenderProfile()方法获取发送者昵称头像（仅有昵称头像），点击[这里进入](/doc/product/269/消息收发（Android%20SDK）#3.4-.E6.B6.88.E6.81.AF.E5.8F.91.E9.80.81.E8.80.85.E5.8F.8A.E5.85.B6.E7.9B.B8.E5.85.B3.E8.B5.84.E6.96.99)
2.iOSSDK，点击[这里进入](/doc/product/269/消息收发（iOS%20SDK）#3.4-.E6.B6.88.E6.81.AF.E5.8F.91.E9.80.81.E8.80.85.E4.BB.A5.E5.8F.8A.E7.9B.B8.E5.85.B3.E8.B5.84.E6.96.99)

注意：该属性仅在OnNewMessage回调中生效，GetMessage方法暂无法获取到发送方的昵称与头像

## 互动直播时，IM聊天室出现串消息或者部分人看不到消息
请从以下几个方向进行问题跟踪
1.当来电话时，音视频被打断，电话结束后，是否重新建立了聊天室（ID不同），导致一个直播间建立了两个聊天室
2.当观众从直播间退出时，App需要调用退出聊天室API，否则云通信服务器认为该观众还在聊天室内
3.收到的聊天室消息需判断是否为当前进入的聊天室

## 如果消息中包含有脏字，是否还能发送成功
云通信服务器默认过滤脏字，如果消息中含有脏字，该消息无法发送成功

## 云通信是否支持多客服功能
不支持，需要业务方根据sdk接口自己实现

## 调用getMessage时，SDK是先从服务器拉取，还是从本地拉取
SDK相关策略为：如本地消息足够并且不存在遗漏，则直接从本地数据库读取消息返回；如果判断出本地消息存在缺失，首先从服务器获取漫游消息，补全到本地数据库后返回给调用者
