## 在线咨询 
<a target="_blank" href="http://sighttp.qq.com/authd?IDKEY=9402a41636e55ea2e42411c8cbbc0e59a04a6b50bd7d017c"><img border="0" src="http://wpa.qq.com/imgd?IDKEY=9402a41636e55ea2e42411c8cbbc0e59a04a6b50bd7d017c&amp;pic=53" alt="点击这里给我发消息" title="点击这里给我发消息"></a>
## 初始化和登录

### 如何查看ImSDK当前使用的是哪个版本？

在调用InitSdk后，ImSDK会在控制台打印日志（前提是开启了控制台日志，默认开启），可以搜索关键字确定使用版本：

ImSDK 1.9.2 之前查看版本信息：
```
Android： 搜welcome
iOS：搜 InitSDK Versioin
```

ImSDK 1.9.2 之后查版本信息：
```
全平台，搜索：InitSdk|1-Init|Succ|version=
```
另外，使用TIMManager GetVersion接口可以获取当前版本。

### setEnv 设置测试环境有什么用？

setEnv 为内部测试之用，用于测试内部没有发布的功能，如非技术支持特别说明，否则不要调用此接口，此接口不是用于开发者区分是否测试环境，跟APNs离线推送是否测试环境也无关联。

### 什么时机需要调用login进行登录？

调用login时机：

1. 每次进行APP都需要进行登录
2. 收到被踢回调（UserStatusListener onForceOffline），需要主动登录
3. UserStatusListener 中的 onReconnFailed，表示自动上线发生异常，需要重新登录
4. UserStatusListener 中的 onUserSigExpired，表示票据过期，需要重新换票并登录

### 断网重连需要做些什么？

只要用户保持登录状态，即login之后没有被踢或者票据过期等异常，网络断开会自动重连，不需要用户手工调用登录，只需要感知状态变化，必要时候提示用户即可。

### 客户端如何得知自己是否已经出于登录状态？

客户端可以通过ImSDK接口 TIMManager getLoginUser获取当前登录的用户identifier，如果获取为nil，说明当前不处于登录状态。

### 如果做到打开APP自动登录？

如果使用第三方帐号，登录前需要从第三方Server换取用户的票据信息UserSig，换到用户的票据信息后，可保存在本地，用户每次打开APP后，都读取UserSig自动调用ImSDK的login接口进行登录，票据的有效期过期后，会登录失败，可提示用户重新登录。

另外为了避免在使用过程中票据过期，导致有些接口超时，可以记录一下UserSig的有效期，比如有效期是1个月，在25天的时候可以提示用户重新登录或者自动换票，避免在使用过程中票据过期再重新登录，增加代码复杂度。

### 登录成功后 onRefresh 接口有什么作用？

登录过程中会进行网络连接和身份校验，校验完成后初始化内部的一些数据后即可进行消息收发等操作，但此时并未向服务器同步历史变更数据，如好友变更、离线消息，历史数据变更的同步操作会有一定耗时，为了减少登录时延，ImSDK会先返回成功回调，再去同步历史变更数据，当历史数据同步完成以后，会通过onRefresh回调给UI层更新页面，用户收到回调，需要刷新界面等操作。

详细可参考iOS和Android的Demo实现以及ImSDK接口说明：

- [Android 同步离线数据](/doc/product/269/1560#5-imsdk.E5.90.8C.E6.AD.A5.E7.A6.BB.E7.BA.BF.E6.B6.88.E6.81.AF)
- [iOS 同步离线数据](/doc/product/269/1568#5.-imsdk.E5.90.8C.E6.AD.A5.E7.A6.BB.E7.BA.BF.E6.B6.88.E6.81.AF)

### 是否可以获取某人的在线状态？

目前客户端ImSDK没有接口获取用户的在线状态，RestAPI可以批量查询，详细参考：[批量获取用户在线状态](/doc/product/269/2566)

### ImSDK自带的 IMSDKBugly 和 Bugly 有什么关系？

ImSDK 的 IMSDKBugly 跟 Bugly 是同样的功能，为了避免符号冲突，改了名称，功能上是一样的，如果使用 IM 自带的 Bugly，不需要调用初始化等操作，在控制台上选择了 iOS或者Android平台后就自动同步到bulgy，可通过 bugly.qq.com 查看crash信息。如果要使用bugly，建议直接使用IM自带的bugly。

### 如何避免Android调用消息、群组和好友接口crash？

1. 是否进行了初始化
2. 检查一下是不是so没有加载成功
3. 避免加载so成功前使用上述功能

## 消息相关

### 收不到AVChatRoom群组消息自查列表

1. 查看群成员和主播是否在一个群中
2. 后台发送的群组消息，因为random字段相同被去重掉，建议使用uint32_t位随机数
3. android端注册了多个消息监听器TIMMessageListener，在回调中返回了true，导致其他监听器收不到回调
4. android端在多个进程中初始化了SDK，导致多个进程绑定了QALSERVICE，从而引起QALSERVICE消息分发错乱
5. 群成员没有处于在线状态，可以[用后台接口](https://cloud.tencent.com/document/product/269/1614)验证用户在线状态
6. app上层已经收到回调，但自身做了相应的过滤
7. 检查一下发送消息之后是否有走到发送成功的回调
8. 确认一下是否其它端登录已经接收此消息



### 在线消息、离线消息、漫游消息之间的区别

在线消息：是指用户处于[在线](/doc/product/269/3665#1.1-.E5.9C.A8.E7.BA.BF)状态时，由别的用户发送并被该用户接收到的消息。
离线消息：是指用户处于[下线](/doc/product/269/3665#1.3-.E4.B8.8B.E7.BA.BF)状态时，由别的用户发送的消息。用户[上线](/doc/product/269/3665#1.2-.E4.B8.8A.E7.BA.BF)后，会从[离线消息存储](/doc/product/269/3571#1.-.E7.A6.BB.E7.BA.BF.E6.B6.88.E6.81.AF.E5.AD.98.E5.82.A8)中获取到这些消息。
漫游消息：是指用户已经接收过但又重新从[漫游消息存储](/doc/product/269/3571#2.-.E6.BC.AB.E6.B8.B8.E6.B6.88.E6.81.AF.E5.AD.98.E5.82.A8)中获取的消息，主要发生在用户清除本地消息缓存或者更换终端后。

### 如何做聊天置顶功能？

目前ImSDK版本不支持聊天置顶功能，不过APP层很容易做到，如果用户选择某个会话置顶，可以由APP层记录会话的`type`和`receiver`信息，显示会话的时候，需要把对应会话置顶显示，下面获取到会话列表后，需要过滤掉对应的会话，避免重复显示。置顶会话和普通会话拼接起来即可。

### 如何复制一条消息？

用户选中并复制消息时，需要开发者根据用户选中的消息类型构造一个新的消息，如果想复制成文本，可根据消息类型转换转换成自己想要的展示样式。

### 资源消息如图片、语音等Elem中的UUID有什么作用？

对于图片的UUID，并没有实质性作用，此字段作用在于图片下载缓存的标记，建议开发者可以使用这个字段为文件名或者Key保存图片，下次获取图片消息可以检查是否已经存在于本地，无需每次下载。

对于语音、文件、短视频资源，UUID是用来下载数据，但是内部协议，可使用SDK提供的接口进行下载，同时UUID也可做存储文件名和Key之用。

对于后台下载到的消息记录，虽然语音、文件中的UUID是下载标识，不过目前并未提供协议下载。

### 云通信图片上传到哪里？

云通信图片存储服务复用QQ遍布全球的IDC接入点，保证各地的用户都能迅速的上传和下载图片，能做到99.9%的成功率

### 通信同一张图片多次转发能否不占用流量？

云通信发图片增加了秒传的逻辑，同一副图片多人转发时，后面的用户不占用流量，发图立即成功，有效的降低了用户的上传流量


### 发送资源如图片、语音等，数据文件保存在哪里？

图片、语音等资源文件，再发送时需要先有APP保存数据到某个路径，路径设置到对应Elem后，通过ImSDK进行发送消息，发送消息时会先进行上传，然后再通过消息通道发送上传后的URL或者UUID信息到对端。

在接收方收到消息，只是一个URL或者UUID索引，不会自动下载文件或者图片，为了流量考虑，需要由APP决定什么时间去下载，下载的图片格式等，需要调用Elem的对应接口 GetImage 或者 GetSound 等接口进行下载，这些接口需要用户提供一个路径信息，下载后会保存在用户提供的路径信息，建议可以使用UUID作为文件名，下次可先检查文件是否存在，再决定是否需要下载。

存储的位置可以在任意可写的路径，iOS和Android的路径设置可参考Demo代码。

### 如何发送大文件，比如超过100M的文件？

目前ImSDK只支持发送28M以内的文件，如果需要传送大文件，需要使用其他存储平台，APP层把要发送的文件先上传至其他存储平台，获取到文件KEY或者URL，写入一个TIMCustomElem节点，再通过ImSDK传送到对端，对端解析TIMCustomElem后，可进行下载。

### 发送语音是否可以使用其他格式？

语音数据ImSDK内部只是透传，并未进行解析，可以使用其他格式甚至是私有格式，只要各个平台都可解析并播放即可。

### 获取消息接口最多一次可以获取多少条消息，是否可以一次行获取全部消息？

ImSDK getMessage 接口获取消息，传入的消息数量尽量控制台20条以内，如果要获取全部消息，可以使用翻页的方式获取。

### 如何删除聊天记录？

1、**Server删除消息**：

目前云通信IM仅支持删除群内某人的最近若干条消息，但是如果此消息已经接收到客户端，客户端不会同步删除（即不支持消息撤回的功能），详细可参考：[删除指定用户发的消息](/doc/product/269/删除指定用户发送的消息)。

Server不支持单独删除某一条消息，或者某一个会话的消息。

2、**客户端本地删除**

客户端可以支持删除某一条本地消息或者删除整个会话的消息，不过由于可能存在消息漫游，如果从本地数据库直接删除，可能从Server再次拉回，比如最近联系人拉回最后一条消息，此时可以选择禁用最近联系人。另一种方案是设置一个删除标记位，由UI过滤掉相应删除掉的消息。

详细接口和使用场景可参考：

* [Android 删除单条消息](/doc/product/269/消息收发（Android%20SDK）#3.6-.E6.B6.88.E6.81.AF.E5.88.A0.E9.99.A4)
* [Android 删除会话消息](/doc/product/269/消息收发（Android%20SDK）#4.5-.E5.88.A0.E9.99.A4.E4.BC.9A.E8.AF.9D)
* [iOS 删除单条消息](/doc/product/269/消息收发（iOS%20SDK）#3.6-.E6.B6.88.E6.81.AF.E5.88.A0.E9.99.A4)
* [iOS 删除会话消息](/doc/product/269/消息收发（iOS%20SDK）#4.5-.E5.88.A0.E9.99.A4.E4.BC.9A.E8.AF.9D)
* [Windows 删除单条消息](/doc/product/269/消息收发（Windows%20SDK）#3.6-.E6.B6.88.E6.81.AF.E5.88.A0.E9.99.A4)
* [Windows 删除会话消息](/doc/product/269/消息收发（Windows%20SDK）#4.5-.E5.88.A0.E9.99.A4.E4.BC.9A.E8.AF.9D)

TIMConversation对象提供deleteLocalMessage方法，保留会话记录同时删除本地消息。

如果要清空本地所有聊天记录，可以遍历整个会话列表，TIMManager getConversationList，对每个会话分别调用删除所有消息的方法即可。

### 离线消息同步策略是什么，会不会把所有离线消息同步下来？

对于单聊消息，离线情况下会同步Server所保存的所有离线消息，Server会保存7天和一定大小，不会无限制保存数据，对于群聊数据，由于数量可能会很多，不会同步离线消息到本地，只会同步未读计数（聊天室没有未读），用户可根据未读计数情况根据需要调用getMessage接口进行消息内容的下载。

另外，由于最近联系人会带一条消息到本地，群聊消息可能会同步最后一条离线消息到本地，方便显示。如不需要，可以调用`TIMManager disableRecentContact`接口禁用。

### 群聊的时候提示操作权限不足怎么回事？

发消息返回错误码 10007 权限不足，大部分原因是由于用户不是群组成员导致，需要检查当前用户是否群组成员，是否有被人管理员踢出群。

### 不同终端表情如何互通？

表情使用方式有两种方式：

一种是使用TIMFaceElem中的index，标识表情的索引，比如android和ios两端都有同一套表情图，索引2为笑脸，index=2就表示笑脸，两端发送和接收都显示同一张索引表情图片即可
另一种是使用TIMFaceElem中的data，比如表情图片是由字符串命名，smile表示笑脸，可在data中存储smile，ios和android两端都通过data作为key找到对应表情图片进行显示

另外也可以两个字段都使用，如data表示哪一套表情，index表示这套表情的哪个索引，可以实现类似QQ的多种不同表情效果。甚至可以在data数据中存储更为复杂的数据结构，只要多端解析规则一致即可。

### 消息如何定义脏字？

云通信的脏字集中已经涵盖了一批默认脏字（政治、色情等领域），如果用户发送消息命中脏字，会返回失败，错误码80001，脏字说明详细可参考：[背景](/doc/product/269/2396#1-.E8.83.8C.E6.99.AF.E8.AF.B4.E6.98.8E).

另外用户可通过接口自定义脏字，参考：[自定义脏字](/doc/product/269/2397)

### 如何只发送在线消息，即对方用户不在线，再次登录以后不会收到消息？

对于单聊消息，发送消息时，使用TIMConversation sendOnlineMessage，通过这个接口发送的消息，只有对方在线才能收到，并且不会计入未读计数，也不会进行存储，使用getMessage也无法获取到，只有onNewMessage一个途径获取。

对于群聊消息，登录时并不会主动获取离线消息，仅会通过最近联系人获取每个群内的一条消息，只要禁用最近联系人漫游，登录后就不会收到群的离线消息（getMessage接口还是能获取到），只需要处理onNewMessage抛出的消息即可。


### 如何实现阅后即焚消息？

目前ImSDK并未原生支持阅后即焚消息，如果用户需要此功能，可以使用自定义消息，在APP收到消息并展示给用户之后，调用删除接口删除消息，参见[删除消息](/doc/product/269/4167#.E5.A6.82.E4.BD.95.E5.88.A0.E9.99.A4.E8.81.8A.E5.A4.A9.E8.AE.B0.E5.BD.95.EF.BC.9F)，也可以使用消息的自定义字段，标记此消息为已经查看的消息。注意这里只是删除的本地显示，如果开启漫游消息，更换终端还是有可能会看到，如果对此信息非常敏感，严格需要只显示一次，可以在自定义消息中添加索引，消息内容从自己的服务器获取，获取过一次以后便删除。

### 如何实现消息撤销和已读回执

目前ImSDK并未原生支持消息撤销和已读回执，可以使用自定义消息构建协议，参见[消息撤销和已读回执](https://cloud.tencent.com/doc/product/269/6419)。

### iOS离线推送收不到消息

iOS的离线推送收不到消息，需要检查以下几点：
1. 设备网络环境不好，会导致有时收的到，有时收不到
2. 证书ID、token 有问题
3. 切换后台的请求没有成功
4. 客户端设置了消息通知不提醒
5. 消息内容参数有误
6. 消息发送的时候设置了不推送，比如 offlineinfo 里面的 pushflag 等
7. 证书更改、添加同步有延迟。通常大约10到20分钟。此期间可能收不到
8. 证书有问题
9. 尽管该设备 token 没有问题，但是 app 下面其他终端 token 有误，并且频繁发送的时候，会导致苹果防恶意处理，导致其他正常 token 的手机也无法接收
10. MsgRandom 等去重标记设为一样，导致被去重无法推送

### Android离线推送收不到消息

Android的离线推送收不到消息，需要检查以下几点：
1. 小米华为推送
	证书、token有问题
    用户不在PushOnline状态
    手机版本有问题
2. 云通信离线推送（QALSERVICE）
	QALService没有存活
    没有注册离线推送监听器
    没有在主进程注册了离线推送监听器
3. 其他原因
	用户调用了logout
    发送的是在线消息（客户端是使用sendOnlineMessage接口，restAPI使用im_push接口 里面的MsgLifeTime没有设置，或者设置为0的）
    对于群消息，接收方设置了群消息接收选项为接收群消息且不提醒和不接收消息
    使用RestAPI的sendmsg接口发送的消息，没有用的文档中2.6.2的数据格式

### 收到的的消息里面汉字全是问号怎么解决？

1. 服务端发送消息时，使用UTF-8编码
2. 客户端发送消息时，使用UTF-8编码

### 消息量大时丢消息怎么解决？

C2C消息和群组消息分别存在频率控制，在消息量大的群组中，高优先级消息尽量使用优先级为高的TIMMessage进行发送。

### 设置脏字过滤后为什么没生效？

1. 首先获取一下服务端的自定义脏字列表，看是否能成功获取到设置的脏字https://cloud.tencent.com/document/product/269/2396
2. 检查一下是否发的TIMTextElem类型的消息，脏字默认只检查文本消息TIMTextElem，不支持对自定义消息TIMCustomElem的过滤
3. 检查是否发送的群组消息，这里不会对单聊消息进行检查的
4. 添加自定义脏字成功后，需要等待5分钟才能生效那个脏字的


## 群组相关

### 刚加入群是否能获取到加入之前的聊天记录？

对于聊天室和直播大群类型，是会拿到加入群之前的聊天记录了，对于公开群和私有群，无法获取加入之前的消息，不过因为有时间容错的问题，可能会获取到加入之前的5分钟以内的消息。

另外，如果是先退出群再加入群这种情况，使用客户端的getMessage接口获取消息，如果退出群没有主动删除本地消息，getMessage接口是会获取到之前存在到本地的消息，并不是从服务端获取到的，如果不想要这些消息，可以在退群的时候删除本地的消息。

### 直播大群的聊天室跟普通群有什么区别？

直播大群和普通群只是在能力项上有所差别，具体能力项参考：[互动直播集成多人聊天方案](/doc/product/269/互动直播集成多人聊天方案)。

其他消息收发，加群退群等操作与普通群相同。

### 群内是否可以定时踢掉不在线成员？

可以提交工单修改，参考：[定时踢不在线成员](/doc/product/269/云通信配置变更需求工单#2.11-.E5.AE.9A.E6.9C.9F.E8.B8.A2.E6.8E.89.E7.BE.A4.E5.86.85.E4.B8.8D.E5.9C.A8.E7.BA.BF.E6.88.90.E5.91.98)，目前踢掉不在线成员的时间间隔为5分钟，即用户5分钟检测到不在线即会被踢掉，此时间间隔不支持配置。

### 群搜索是否支持模糊匹配
暂不支持，请联系客服人员。

### 使用API group_open_http_svc/get_appid_group_list获取群组列表，默认如何排序
群组列表默认按照创建时间进行排序，如果业务方需要自定义排序方式，请在业务逻辑中自定义

### 为什么调用群API时返回权限问题
部分的群API调用时，需要是具有管理员或者创建者身份，请核对调用者身份。



## 离线推送

### iOS APNs 离线推送收不到怎么排查？

1. 检查上传证书的环境是体验环境还是生产环境，客户端编译证书是否与环境匹配；
2. 检查客户端所连的网络环境，setEnv需要是0才能收到推送，外部用户不需要调用setEnv接口；
3. 是否上传多个证书，如果上传多个证书，客户端setToken的busiId是否填写对应的值；
4. 上传的证书必须设置一个密码；
5. 上传证书名最好是全英文，尤其不能使用括号等特殊字符
6. 上传证书后生效时间大约为10分钟；
7. 如以上都没有问题，需要联系客服解决；

### iOS APNs 如何做到部分消息推送，部分消息不推送？

一般情况下，APNs推送信息是将几个Elem的数据拼合而成，如：TIMTextElem+TIMFaceElem+TIMCustomElem.Desc，具体规则可参考：[APNs推送格式](/doc/product/269/1577#2.-.E6.8E.A8.E9.80.81.E6.A0.BC.E5.BC.8F)

如果希望有些消息APNs不进行推送时，一个消息只加入一个TIMCustomElem，并且Desc字段留空，APNs会忽略掉推送。

### 如何控制APNs的响铃声音？

APNs的声音由服务器将声音文件传递给苹果服务器，然后通过APNs通道下发给iPhone。iPhone手机接收到消息后，取出Sound字段，优先搜索App的目录，再搜索系统文件夹，如果无法发现该文件，则默认播放系统声音；如果找到该文件，则播放该文件铃声。

云通信SDK可控制铃声文件名声音有两种方式：
1. 设置自己的接收声音，可单独设置单聊，群聊声音，具体可参考：[设置自己的推送声音](/doc/product/269/1577#5.1-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E6.8E.A8.E9.80.81.E5.A3.B0.E9.9F.B3)
2. 设置单条消息声音，如某条消息需要特别提醒，可参考：[设置某条消息的推送声音](/doc/product/269/1577#5.4-.E6.AF.8F.E6.9D.A1.E6.B6.88.E6.81.AF.E5.A3.B0.E9.9F.B3)

### 如何实现点开推送通知后进入指定的窗口？

1. 通过APNs的自定义参数字段，将推送的信息带给客户端（在TIMCustomElem.Ext中填写，可参考：[推送扩展字段](/doc/product/269/1577#5.3-ext-.E6.89.A9.E5.B1.95.E5.AD.97.E6.AE.B5)）；
2. 实现application:didReceiveRemoteNotification方法，识别推送内容，取出自定义字段内容
3. 通过自定义字段的内容实现App内页面跳转，实现点开推送进入指定窗口功能
4. Android的实现方式和iOS一致


### Android是否有进程保活？进程退出是否还能接收消息？

Android ImSDK 在1.8.0以后会分离一个服务进程，在服务进程没有杀掉的情况下，可以对收到的消息进行离线提醒，详细可参考：[Android离线推送](/doc/product/269/3899)

## 用户资料

### 如何获取用户的头像和昵称？

1、**通用方法**：通过 TIMFriendshipManager::GetUsersProfile 方法可以获取任何人的资料；

详细可参考：
- [Android 获取任何人资料](/doc/product/269/用户资料与关系链（Android%20SDK）#3.3-.E8.8E.B7.E5.8F.96.E4.BB.BB.E4.BD.95.E4.BA.BA.E7.9A.84.E8.B5.84.E6.96.99)
- [iOS 获取任何人资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#3.3-.E8.8E.B7.E5.8F.96.E4.BB.BB.E4.BD.95.E4.BA.BA.E7.9A.84.E8.B5.84.E6.96.99)
- [Windows 获取任何人资料](/doc/product/269/用户资料与关系链（Windows%20SDK）#3.3-.E8.8E.B7.E5.8F.96.E4.BB.BB.E4.BD.95.E4.BA.BA.E7.9A.84.E8.B5.84.E6.96.99)

2、 **好友关系**：如果用户是好友关系，并且开启了好友缓存，可以使用同步接口获取，降低复杂度；

详细可参考：
- [Android 资料缓存](/doc/product/269/用户资料与关系链（Android%20SDK）#7.-.E5.85.B3.E7.B3.BB.E9.93.BE.E8.B5.84.E6.96.99.E5.AD.98.E5.82.A8)
- [iOS 资料缓存](/doc/product/269/用户资料与关系链（iOS%20SDK）#7.-.E5.85.B3.E7.B3.BB.E9.93.BE.E8.B5.84.E6.96.99.E5.AD.98.E5.82.A8)
- [Windows 资料缓存](https://cloud.tencent.com/doc/product/269/%E7%94%A8%E6%88%B7%E8%B5%84%E6%96%99%E4%B8%8E%E5%85%B3%E7%B3%BB%E9%93%BE%EF%BC%88Windows%20SDK%EF%BC%89)

3、**群消息**：对于单聊消息，可以根据情况通过1、2两种方式获取，对于群消息，由于群内成员过多，而且没有资料更新通知，使用1方法复杂度较高，在群消息体内可以直接获取用户资料显示，此资料为用户发送消息当时的状态，后续变更的话，消息内的资料不会变更。

详细可参考：

- [Android 消息发送者资料](/doc/product/269/消息收发（Android%20SDK）#3.4-.E6.B6.88.E6.81.AF.E5.8F.91.E9.80.81.E8.80.85.E5.8F.8A.E5.85.B6.E7.9B.B8.E5.85.B3.E8.B5.84.E6.96.99)
- [iOS 消息发送者资料](/doc/product/269/消息收发（iOS%20SDK）#3.4-.E6.B6.88.E6.81.AF.E5.8F.91.E9.80.81.E8.80.85.E4.BB.A5.E5.8F.8A.E7.9B.B8.E5.85.B3.E8.B5.84.E6.96.99)
- [Windows 消息发送者资料](/doc/product/269/消息收发（Windows%20SDK）#3.4-.E6.B6.88.E6.81.AF.E5.8F.91.E9.80.81.E8.80.85.E4.BB.A5.E5.8F.8A.E7.9B.B8.E5.85.B3.E8.B5.84.E6.96.99)


### 如何拒收某人的单聊消息

IM单聊具有黑名单的功能，可通过SDK（iOS、Android、Web）调用。

另外需要注意：
1. 设置黑名单的回调接口，仅通知业务方两人处于黑名单逻辑，业务方的任何返回码均不影响拉黑处理
2. 添加黑名单成功后，自动解除两人好友关系。
3. 设置黑名单以后，对方发送消息会返回发送成功，自己收不到，对方无法感知是否已经被拉黑
4. 设置黑名单以后，如果双方在同一个群，群聊消息不受影响，黑名单只对单聊消息有效


### 如何配置资料的自定义属性

好友和用户资料中的自定义属性，需要申请后才能使用。具体请看相关文章介绍，点[这里](https://cloud.tencent.com/doc/product/269/6043)


## 统计数据相关

### 是否可以获取当前在线人数？

目前没有接口实时获取APP的在线人数，只可以每天获取上一天的最高在线人数。

### 控制台统计下行消息比上行数量多很多，是什么原因导致？

上行消息是指用户发送的消息，从客户端或者RestAPI发到IM服务器，下行消息是指从IM服务器发送到终端。一般情况，因为群消息有扩散的特性，一条上行消息可能对应很多下行消息，所以下行消息统计一般会比上行消息数量多很多，如果群消息比较少，大部分是单聊消息，而接收方又时常不在线，统计结果的下行消息甚至可能小于上行消息量。

## 其他问题

### 如何提升ImSDK的性能，运行在最大性能状态？

ImSDK 可以单独禁用存储和日志：

1. 对于直播这种没有存储要求的场景，可以尝试禁用存储，减少磁盘占用，提升性能：TIMManager disableStorage
2. ImSDK会打印非常详细的日志，占用一定量CPU和磁盘资源，在开发阶段尽量使用DEBUG模式，一旦出现问题，容易定位，对于发布版本或者性能要求很高的场景，可以尝试修改降低日志级别，如WARN级别，甚至是NONE不打印日志，可运行在性能最大化模式，不过此模式下出现问题，不容易定位。

### 如何解决Android方法数超过65535的限制？
请看csdn相关文章介绍，点[这里](http://tech.meituan.com/mt-android-auto-split-dex.html)

### 如何通过ImSDK本地log查看接口调用事件？

请看相关文章介绍，点[这里](https://cloud.tencent.com/doc/product/269/6042)

### Web ImSDK发送text消息时，自动把消息体里的双引号转义了，导致Android接收到的消息的内容发生了变化，这种情况怎样处理？

web端为了安全防止XSS的攻击，所以在SDK中对特殊字符进行了转义处理。这里需要在Android和iOS在页面处理时将转义字符还原。对照表如下：​

| 匹配         | 转义   |
| ---------- | ---- |
| &amp;lt;   | <    |
| &amp;gt    | >    |
| &amp;quot; | "    |

（ps: 最新版本Web ImSDK已经取消了转义，但需业务侧注意在信息展示时做好规避XSS的处理）

