## 群搜索是否支持模糊匹配
支持模糊匹配，但中文需要UTF8编码

## 使用API group\_open\_http\_svc/get\_appid\_group\_list获取群组列表，默认如何排序
群组列表默认按照创建时间进行排序，如果业务方需要自定义排序方式，请在业务逻辑中自定义

## 为什么调用群API时返回权限问题
部分的群API调用时，需要是具有管理员或者创建者身份，请核对调用者身份

## AVChatRoom和ChatRoom有什么区别
### 面向的应用场景不同
ChatRoom适用于群组规模中等（不超过数千人级别）、成员进出不太频繁（每秒十几个人进出）的场景；AVChatRoom是专门为了大型直播设计的，适用于人数众多（万级以上）、成员进出频繁（每秒数百人以上进出）的场景。
### AVChatRoom的优点
支持人数无上限、支持H5、支持无登录访问。
### AVChatRoom的缺点
只存储部分成员列表（最多1000人，其中新版本最多300人）、不能移除成员（可以通过禁言来实现近似目的）、不能修改群成员资料、不能设置管理员、不能获取完整成员列表、不能拉取历史消息。
### 版本要求
新版本客户端可以支持AVChatRoom；对于老版本，后台实现了有限制的兼容逻辑，最多允许1000个老版本用户加入一个AVChatRoom群组，超出部分的老版本申请加群请求会返回10014（群已满员）错误码，新版本不受此影响。

web sdk需使用[直播聊天室](https://cloud.tencent.com/doc/product/269/4105)专用接口，[通用](https://cloud.tencent.com/doc/product/269/4196)接口无法支持AVChatRoom。

*说明*：新版本指imsdk版本在1.9或以上的客户端，老版本指imsdk版本在1.9或以下的客户端。

## APP管理后台通过REST API获取AVChatRoom在线人数
AVChatRoom是针对直播场景的，“在线人数”指的是加入该群并请求拉取群消息的人数，后台的统计有1分钟的时延。
app管理后台可以通过[获取群组资料](https://cloud.tencent.com/doc/product/269/1616)接口来得到在线人数，其中MemberNum字段就是在线人数。

## 收不到群消息
收不到群消息时，常见的情况有两种：
### 群消息被频控
这时发送者会收到发送成功的回包，但其它群组成员都看不到消息，App管理后台会收到[群内发言之前回调](/doc/product/269/1619)，但收不到[群内发言之后回调](/doc/product/269/2661)。
### 接收者不在线
这时App管理后台会收到群内发言之后回调，其它在线群成员能收到消息，这时候请检查接收者的在线状态（可通过客户端log查看），以及确认是否存在被其它终端踢下线的情况。