
## 接口调用频率限制

<table style="display:table;width:100%;">
    <tbody>
        <tr>
            <td style="width:10%;background-color:#CCCCCC;">
                <strong>功能模块</strong>
            </td>
            <td style="width:20%;background-color:#CCCCCC;">
                <strong>接口</strong>
            </td>
            <td style="width:20%;background-color:#CCCCCC;">
                <strong>后台调用限制</strong>
            </td>
            <td style="width:50%;background-color:#CCCCCC;">
                <strong>特别说明</strong>
            </td>
        </tr>

        <tr>
            <td rowspan="5">
                消息推送服务
            </td>
            <td>
                消息推送
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                支持最长7天的消息离线存储，默认最多保存5条最新消息，如果超出5条请提<a href="/document/product/269/3916#2.19-.E6.B6.88.E6.81.AF.E6.8E.A8.E9.80.81">工单</a>申请。
            </td>
        </tr>
        <tr>
            <td>
                全员/属性/标签推送
            </td>
            <td>
                单APP限制100次/天
            </td>
            <td>
                两次推送间隔必须大于1秒。
            </td>
        </tr>
        <tr>
            <td>
                设置应用属性名称
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                单个应用最多可以设置10个推送属性，属性名最长不超过50字节。
            </td>
        </tr>
        <tr>
            <td>
                设置用户属性
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                APP管理员给用户设置属性。每次最多设置500个用户，用户属性名和属性值均不能超过50字节。
            </td>
        </tr>
        <tr>
            <td>
                添加用户标签
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                每次最多可以给500个用户添加标签，单个用户最多可设置50个标签，单个标签不超过50字节。
            </td>
        </tr>

        <tr>
            <td rowspan="29">
                群组系统
            </td>
            <td>
                创建群组
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                单个APP最多可拥有1亿个群组。单APP每天净增群组限制500个，如果超出该限制，需<a href="https://cloud.tencent.com/product/im#price">付费</a>使用，请提<a href="/document/product/269/3916#2.13-.E4.BF.AE.E6.94.B9.E6.AF.8F.E6.97.A5.E5.88.9B.E5.BB.BA.E7.BE.A4.E7.BB.84.E9.85.8D.E9.A2.9D">工单</a>开通。
            </td>
        </tr>
        <tr>
            <td>
                添加群组成员
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                一次最多支持添加500个成员，单个用户加入的群组没有限制。
            </td>
        </tr>
        <tr>
            <td>
                删除群组成员
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                一次请求最多可删除500个成员。
            </td>
        </tr>
        <tr>
            <td>
                修改群成员资料
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                获取用户加入的群组
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                如果用户加入的群组超过5000个，该用户只能拉取到最先加入的5000个群组。
            </td>
        </tr>
        <tr>
            <td>
                查询用户在群组中的身份
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                一次请求最多支持查询500个账号。
            </td>
        </tr>
        <tr>
            <td>
                批量禁言
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                一次请求最多可禁言500个账号。
            </td>
        </tr>
        <tr>
            <td>
                批量取消禁言
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                一次请求最多可取消500个帐号的禁言。
            </td>
        </tr>
        <tr>
            <td>
                发送普通消息
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                单个群的默认发送频率限制为40条/秒，单条消息长度限制为8000字节。特别说明：如果5分钟内同一发送者的两条消息的随机值（Random参数）相同，后面那条消息将被当做重复消息而丢弃。
            </td>
        </tr>
        <tr>
            <td>
                发送系统通知
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                导入群消息
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                单次最多可导入20条消息，要求按消息时间戳递增的顺序导入，消息时间戳必须大于建群时间且小于当前时间，否则失败。
            </td>
        </tr>
        <tr>
            <td>
                导入群成员
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                互动直播聊天室和在线成员广播大群不支持导入群成员，一次请求最多支持导入500个成员。
            </td>
        </tr>
        <tr>
            <td>
                模糊搜索群组
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                私有群、在线成员广播大群不支持搜索。需要付费才能开通，具体费用请参考<a href="https://cloud.tencent.com/product/im#price">产品价格</a>。
            </td>
        </tr>
        <tr>
            <td>
                拉取群漫游消息
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                互动直播聊天室和在线成员广播大群不支持漫游消息；其它类型群组默认支持七天的漫游消息。
            </td>
        </tr>
        <tr>
            <td>
                查询APP中的所有群组
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                获取群组消息资料
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                获取群成员详细资料
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                修改群组基础资料
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                解散群组
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                获取群组被禁言用户列表
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                转让群组
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                导入群基础资料
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                设置群成员未读消息计数
            </td>
            <td>
                单APP限制100?秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                删除指定用户发送的消息
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                设置全局禁言
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                查询全局禁言
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                查询APP自定义脏字
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                添加APP自定义脏字
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                自定义脏字总数默认不超过50个，如需增加请提<a href="/document/product/269/3916#2.14-.E8.B0.83.E6.95.B4.E8.87.AA.E5.AE.9A.E4.B9.89.E8.84.8F.E5.AD.97.E6.95.B0.E9.87.8F.E4.B8.8A.E9.99.90">工单</a>申请，最多不超过5000个。
            </td>
        </tr>
        <tr>
            <td>
                删除APP自定义脏字
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>

        <tr>
            <td rowspan="2">
                资料系统
            </td>
            <td>
                设置资料
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                资料支持标配字段及自定义字段，其中自定义字段的关键字，必须是英文字母，且长度不得超过8字节，同时自定义字段的值最长不能超过500字节。
            </td>
        </tr>
        <tr>
            <td>
                拉取资料
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>

        <tr>
            <td rowspan="11">
                关系链系统
            </td>
            <td>
                拉取最近联系人
            </td>
            <td>
                <br>
            </td>
            <td>
                当前普通用户最多保存100个最近联系人。
            </td>
        </tr>
        <tr>
            <td>
                添加好友
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                当前单个用户支持1000个好友，添加好友时未决消息最多支持100条。同时好友分组最多支持32个，每个分组的名称最长30字节。好友备注最长支持96字节。
            </td>
        </tr>
        <tr>
            <td>
                添加黑名单
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                当前单个用户最多允许的黑名单人数为1000人。
            </td>
        </tr>
        <tr>
            <td>
                导入好友
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                如果使用批量导入好友，最多只能导入1000个好友。
            </td>
        </tr>
        <tr>
            <td>
                删除好友
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                删除所有好友
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                校验好友
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                拉取好友
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                删除黑名单
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                拉取黑名单
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>
        <tr>
            <td>
                校验黑名单
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                <br>
            </td>
        </tr>


        <tr>
            <td rowspan="3">
                单聊消息系统
            </td>
            <td>
                单聊消息单发
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                这里建议同一对账号发消息，频率不要超过10条/秒，超过在线可收到，但离线只保存10条/秒，超过的会丢弃。单条消息长度不能超过8000字节。
            </td>
        </tr>
        <tr>
            <td>
                单聊消息群发
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                一次性针对最多500个用户进行单发消息。单条消息长度不能超过8000字节。
            </td>
        </tr>
        <tr>
            <td>
                单聊消息导入
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
            </td>
        </tr>

        <tr>
            <td rowspan="5">
                帐号系统
            </td>
            <td>
                获取用户在线状态
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                一次请求最多可以查询500个用户的状态。
            </td>
        </tr>
        <tr>
            <td>
                帐号登录态失效接口
            </td>
            <td>
                单APP限制1000次/秒
            </td>
            <td>
            </td>
        </tr>
        <tr>
            <td>
                独立模式单个帐号导入
            </td>
            <td>
                单APP限制1000次/秒
            </td>
            <td>
                用户名长度不超过32字节。
            </td>
        </tr>
        <tr>
            <td>
                独立模式批量帐号导入
            </td>
            <td>
                单APP限制10次/秒
            </td>
            <td>
                单个用户名长度不超过32字节，单次最多导入100个用户名。
            </td>
        </tr>
        <tr>
            <td>
                托管模式存量帐号导入
            </td>
            <td>
                单APP限制1000次/秒
            </td>
            <td>
                用户申请同步的帐号长度为4-24个字符，字符串帐号忽略大小写，由a-z,0-9及'.'和'_'组成，且不能全为数字。密码长度为8-16个字符。
            </td>
        </tr>


        <tr>
            <td rowspan="1">
                其它
            </td>
            <td>
                REST API
            </td>
            <td>
                单APP限制100次/秒
            </td>
            <td>
                当前所有后台REST API限制都为100次/秒，如果想提高频率，需<a href="https://cloud.tencent.com/product/im#price">付费</a>使用，请提<a href="/document/product/269/3916#2.15-rest-api.E8.B0.83.E7.94.A8.E9.A2.91.E7.8E.87.E8.B0.83.E6.95.B4">工单</a>修改。
            </td>
        </tr>
    </tbody>
</table>


## 业务特性限制

<table style="display:table;width:100%;">
    <tbody>
        <tr>
            <td style="width:20%;background-color:#CCCCCC;">
                <strong>功能特性</strong>
            </td>
            <td style="width:20%;background-color:#CCCCCC;">
                <strong>限制类型</strong>
            </td>
            <td style="width:60%;background-color:#CCCCCC;">
                <strong>限制说明</strong>
            </td>
        </tr>

        <tr>
            <td>
                消息内容
            </td>
            <td>
                内容长度
            </td>
            <td>
                单聊、群聊消息，单条消息最大长度限制为8000字节，超过此长度会被系统丢弃。
            </td>
        </tr>
        <tr>
            <td>
                发送文件
            </td>
            <td>
                文件大小
            </td>
            <td>
                当前文件消息中，SDK端的单个文件大小限制为28M，WEBSDK端的单个文件大小限制为20M，请不要超过此限制。
            </td>
        </tr>
        <tr>
            <td>
                系统消息
            </td>
            <td>
                数量及存储时间
            </td>
            <td>
                最多保存100条，存储时长不超过7天。
            </td>
        </tr>
        <tr>
            <td>
                多终端在线
            </td>
            <td>
                在线模式
            </td>
            <td>
                目前支持“不允许同时在线”、“移动端和PC端同时在线”、“不同平台终端同时在线”三种模式。需<a href="https://cloud.tencent.com/product/im#price">付费</a>使用，请提<a href="/document/product/269/3916#2.1-.E6.94.AF.E6.8C.81.E5.A4.9A.E7.BB.88.E7.AB.AF.E5.90.8C.E6.97.B6.E5.9C.A8.E7.BA.BF">工单</a>申请。
            </td>
        </tr>
        <tr>
            <td>
                用户帐号
            </td>
            <td>
                命名限制
            </td>
            <td>
                独立模式下，identifier长度建议不超过32字节。 托管模式下，字符串类型的identifier长度为4~24个字节，请使用英文字符和下划线，不能全为数字，大小写不敏感。
            </td>
        </tr>
        <tr>
            <td>
                用户签名
            </td>
            <td>
                签名有效期
            </td>
            <td>
                TLS后台API默认接口生成的签名有效期为180天。
            </td>
        </tr>
        <tr>
            <td>
                单聊消息
            </td>
            <td>
                消息漫游时长
            </td>
            <td>
                默认保存7天，如果需要延期需<a href="https://cloud.tencent.com/product/im#price">付费</a>使用，请提<a href="/document/product/269/3916#2.2-.E8.B0.83.E6.95.B4.E5.8D.95.E8.81.8A.E6.B6.88.E6.81.AF.E6.BC.AB.E6.B8.B8.E6.97.B6.E9.95.BF">工单</a>申请。
            </td>
        </tr>
        <tr>
            <td>
                群组资料
            </td>
            <td>
                资料内容限制
            </td>
            <td>
                群名称最长30字节，群简介最长240字节，群公告最长300字节，群头像URL最长100字节，群名片最大不超过50个字节。
            </td>
        </tr>
        <tr>
            <td>
                群组成员
            </td>
            <td>
                成员数量
            </td>
            <td>
                最大群成员数量：私有群是200，公开群是2000，聊天室是10000，互动直播聊天室和在线成员广播大群无限制。
            </td>
        </tr>
        <tr>
            <td>
                自定义群组ID
            </td>
            <td>
                ID命名限制
            </td>
            <td>
                自定义群组ID必须为可打印ASCII字符（0x20-0x7e），最长48个字节，且前缀不能为@TGS#（避免与默认分配的群组ID混淆）。
            </td>
        </tr>
        <tr>
            <td>
                群组维度自定义字段
            </td>
            <td>
                字段限制
            </td>
            <td>
                群组维度最多支持20个自定义字段，字段Key为String类型，长度不超过16字节，其命名仅支持英文大小写字母、数字、下划线；字段Value为用户自定义Buffer，可以为二进制数据，群维度的Value长度不超过512字节。
            </td>
        </tr>
        <tr>
            <td>
                群成员维度自定义字段
            </td>
            <td>
                字段限制
            </td>
            <td>
                群成员维度最多支持5个自定义字段，字段Key为String类型，长度不超过16字节，其命名仅支持英文大小写字母、数字、下划线；字段Value为用户自定义Buffer，可以为二进制数据，群成员维度的Value长度不超过64字节。
            </td>
        </tr>
    </tbody>
</table>
