## 1 背景说明
1. 全局禁言包括单聊消息禁言和全局消息禁言。
2. 如果账户被设置单聊消息全局禁言，在单聊消息禁言时间未到期时间内所有的单聊消息发送失败，到期后IM云通信后台自动解除单聊消息禁言，解除后所有单聊消息就能发送正常；对于永久全局单聊禁言，全局单聊消息禁言时间一直不过期。帐号默认未设置单聊消息全局禁言。
3. 如果账户被设置群组消息全局禁言，在群组消息禁言时间内所有的群组消息发送失败，到期后IM通信后台自动解除群组消息禁言，解除后所有群组消息就能发送正常；对于永久全局群组消息禁言，全局群组消息禁言时间一直不过期。帐号默认未设置群组消息全局禁言。


## 2 功能说明 
1. 查询帐号的单聊消息全局禁言。
2. 查询帐号的群组消息全局禁言。


## 3 接口调用说明 

### 3.1 请求URL 
```
https://console.tim.qq.com/v4/openconfigsvr/getnospeaking?usersig=xxx&identifier=admin&sdkappid=8888&random=9999&contenttype=json
```
### 3.2 请求参数 

URL中各参数的含义以及填写方式参见[REST API简介](/doc/product/269/REST API简介)。 

### 3.3 最高调用频率 

100次/秒。如需提升调用频率，请根据[工单模板](/doc/product/269/云通信配置变更需求工单#2.15-rest-api.E8.B0.83.E7.94.A8.E9.A2.91.E7.8E.87.E8.B0.83.E6.95.B4)提交工单申请处理。

### 3.4 HTTP请求方式 

POST 

### 3.5 HTTP请求包体格式 

JSON 

### 3.6 请求包示例 

```
{
    "Get_Account": "lumotuwe"
}
```



### 3.7 请求包字段说明 

| 字段 | 类型 |属性 |说明 |
|---------|---------|---------|---------|---------|
| Get_Account | String |必填 |查询禁言信息的帐号。  |


### 3.8 应答包体示例 

```
{
    "ErrorCode": 0, 
    "ErrorInfo": "", 
    "C2CmsgNospeakingTime": 4294967295, 
    "GroupmsgNospeakingTime": 7196
}
```

### 3.9 应答包字段说明 

| 字段 | 类型  |说明 |
|---------|---------|---------|
| ErrorCode | Number | 请求错误码。  |
| ErrorInfo | String | 错误相关信息。  |
| C2CmsgNospeakingTime | Number | 单聊消息禁言时长，秒为单位，非负整数。等于0代表没有被设置禁言；等于最大值4294967295(十六进制0xFFFFFFFF)代表被永久设置禁言；其它代表该账户禁言时长，如果等于3600表示账户被禁言一小时。  |
| GroupmsgNospeakingTime | Number | 群组消息禁言时长，秒为单位，非负整数。等于0代表没有被设置禁言；等于最大值4294967295(十六进制0xFFFFFFFF)代表被永久设置禁言；其它代表该账户禁言时长，如果等于3600表示账户被禁言一小时。  |

>注：
1. 如果被查询的用户不存在，通过该REST API获取的结果信息将会是永久禁言。

## 4 错误码说明 

除非发生网络错误(例如502错误),该接口的HTTP返回码均为200。真正的错误码、错误信息是通过应答包体中的ErrorCode、ErrorInfo来表示的。 
公共错误码（60000到79999）参见[公共错误码](/doc/product/269/错误码)。 
本API私有错误码如下： 

| 错误码 |含义说明 | 
|---------|---------|
| 130001 |Json格式解析失败,请检查请求包是否符合JSON规范。| 
| 130002 |Json格式请求包中没有Get_Account字段。|
| 130003 |Json格式请求包中没有Get_Account字段不是String类型。| 

## 5 接口调试工具 

### 5.1 Web调试工具 

通过[REST API在线调试工具](https://avc.qcloud.com/im/APITester/APITester.html#v4/openconfigsvr/getnospeaking)调试本接口。 

### 5.2 Server调试工具 

无。

更多调试工具参见[REST API调试工具](/doc/product/269/REST API简介#5-rest-api.E8.B0.83.E8.AF.95.E5.B7.A5.E5.85.B7)。 

## 6 API集成 

无。


## 6 参考 
设置全局禁言（[v4/openconfigsvr/setnospeaking](/doc/product/269/4230)）.


