## 1功能说明 

1.支持清空所有好友。
 
## 2 接口调用说明 

### 2.1 请求URL 
```
https://console.tim.qq.com/v4/sns/friend_delete?usersig=xxx&identifier=admin&sdkappid=88888888&random=99999999&contenttype=json
```
### 2.2 请求参数 

URL中各参数的含义以及填写方式参见<a href="https://cloud.tencent.com/document/product/269/1519">REST API简介</a>。 

### 2.3 最高调用频率 

100次/秒。如需提升调用频率，请根据<a href="https://cloud.tencent.com/document/product/269/3916#2.15-rest-api.E8.B0.83.E7.94.A8.E9.A2.91.E7.8E.87.E8.B0.83.E6.95.B4">REST API调用频率调整</a>提交工单申请处理。

### 2.4 HTTP请求方式 

POST 

### 2.5 HTTP请求包体格式 

JSON 

### 2.6 请求包示例

### 2.6.1 单向删除好友

```
{
    "From_Account":"id",
    "To_Account":["id1","id2","id3"],
    "DeleteType":"Delete_Type_Single"
}
```
### 2.6.2 双向删除好友

```
{
    "From_Account":"id",
    "To_Account":["id1","id2","id3"],
    "DeleteType":"Delete_Type_Both"
}
```

### 2.7 请求包字段说明 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:15%;">字段</td>
			<td style="width:10%;">类型</td>
			<td style="width:10%;">属性</td>
			<td style="width:65%;">说明</td>
		</tr>
		<tr>
			<td>From_Account</td>
			<td>String</td>
			<td>必填</td>
			<td>需要删除该Identifier的好友。</td>
		</tr>
		<tr>
			<td>To_Account</td>
			<td>String</td>
			<td>必填</td>
			<td>待删除的好友的Identifier列表，单次请求的To_Account数不得超过1000。</td>
		</tr>
		<tr>
			<td>DeleteType</td>
			<td>String</td>
			<td>选填</td>
			<td>删除模式，详情可参见<a href="https://cloud.tencent.com/document/product/269/1501#3.4-.E5.88.A0.E9.99.A4.E5.A5.BD.E5.8F.8B">删除好友</a>。</td>
		</tr>
	</tbody>
</table>

### 2.8 应答包体示例

```
{
    "ResultItem":
    [
        {
            "To_Account":"id1",
            "ResultCode":0,
            "ResultInfo":""
        },
        {
            "To_Account":"id2",
            "ResultCode":0,
            "ResultInfo":""
        },
        {
            "To_Account":"id3",
            "ResultCode":0,
            "ResultInfo":""
        }
    ],
    "Fail_Account":[],    
    "Invalid_Account":[],
    "ActionStatus":"OK",
    "ErrorCode":0,
    "ErrorInfo":"0",
    "ErrorDisplay":""
}
```

### 2.9 应答包字段说明 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:15%;">字段</td>
			<td style="width:10%;">类型</td>
			<td style="width:75%;">说明</td>
		</tr>
		<tr>
			<td>ResultItem</td>
			<td>Array </td>
			<td>批量删除好友的结果对象数组。</td>
		</tr>
		<tr>
			<td>To_Account</td>
			<td>String </td>
			<td>请求删除的好友的Identifier。</td>
		</tr>
		<tr>
			<td>ResultCode</td>
			<td>Integer </td>
			<td>To_Account的处理结果，0表示删除成功，非0表示删除失败。</td>
		</tr>
		<tr>
			<td>ResultInfo</td>
			<td>String </td>
			<td>To_Account的处理详情。</td>
		</tr>
		<tr>
			<td>Fail_Account</td>
			<td>Array </td>
			<td>返回处理失败的To_Account列表。</td>
		</tr>
		<tr>
			<td>Invalid_Account</td>
			<td>Array </td>
			<td>返回请求包中的非法To_Account列表。</td>
		</tr>
		<tr>
			<td>ActionStatus</td>
			<td>String </td>
			<td>请求包的处理结果，“OK”表示处理成功，“FAIL”表示失败。</td>
		</tr>
		<tr>
			<td>ErrorCode</td>
			<td>Integer </td>
			<td>错误码。</td>
		</tr>
		<tr>
			<td>ErrorInfo</td>
			<td>String </td>
			<td>详细错误信息。</td>
		</tr>
		<tr>
			<td>ErrorDisplay</td>
			<td>String </td>
			<td>详细的客户端展示信息。</td>
		</tr>
	</tbody>
</table>

### 2.10 错误码说明 

除非发生网络错误（例如502错误），该接口的HTTP返回码均为200。真正的错误码、错误信息是通过应答包体中的ErrorCode、ErrorInfo来表示的。 
公共错误码（60000到79999）参见<a href="https://cloud.tencent.com/document/product/269/1671#rest-api.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81">REST API公共错误码</a>。 
本API私有错误码如下： 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:5%;">错误码</td>
			<td style="width:95%;">详细错误信息</td>
		</tr>
		<tr>
			<td>30001</td>
			<td>
				关系链系统解包失败：<br />
				如果是REST API请求，请参照REST API文档确认请求包的合法性和完整行；<br />
				如果不是REST API请求，请联系技术客服。
			</td>
		</tr>
		<tr>
			<td>30002</td>
			<td>SDKAppId非法，请检查SDKAppId及帐号的合法性或联系技术客服。</td>
		</tr>
		<tr>
			<td>30003</td>
			<td>帐号非法，请检查帐号的合法性或联系技术客服。</td>
		</tr>
		<tr>
			<td>30004</td>
			<td>来自REST API的请求，但是不具备管理员权限，请联系技术客服。</td>
		</tr>
		<tr>
			<td>31701</td>
			<td>
				请求删除的To_Account个数非法，详情可参见<a href="https://cloud.tencent.com/document/product/269/1644#2.7-.E8.AF.B7.E6.B1.82.E5.8C.85.E5.AD.97.E6.AE.B5.E8.AF.B4.E6.98.8E">请求包字段说明</a>。
			</td>
		</tr>
		<tr>
			<td>31702</td>
			<td>
				请求包中的删除模式字段非法，详情可参见<a href="https://cloud.tencent.com/document/product/269/1644#2.7-.E8.AF.B7.E6.B1.82.E5.8C.85.E5.AD.97.E6.AE.B5.E8.AF.B4.E6.98.8E">请求包字段说明</a>。
			</td>
		</tr>
		<tr>
			<td>31703</td>
			<td>校验正向好友关系失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31704</td>
			<td>To_Account与From_Account之间不存在好友关系，调用方可以捕捉该错误码给用户一个合理的提示。</td>
		</tr>
		<tr>
			<td>31705</td>
			<td>解除正向好友关系时清除标配关系链数据失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31706</td>
			<td>解除反向好友关系失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31707</td>
			<td>删除频率过高，该请求被判定为恶意请求，请暂停好友删除操作。</td>
		</tr>
	</tbody>
</table>

## 3 接口调试工具 

### 3.1 Web调试工具 

通过<a href="https://avc.cloud.tencent.com/im/APITester/APITester.html#v4/sns/friend_delete">REST API调试工具</a>调试本接口。 

### 3.2 Server调试工具 

可以通过<a href="https://cloud.tencent.com/document/product/269/1538">PHP Server SDK</a>中的调试工具进行简单的REST API调试，命令如下： 
```
# 解除双向好友关系
./TimRestApiGear.php sns friend_delete (account_id) (frd_id)
```
更多调试工具参见<a href="https://avc.cloud.tencent.com/im/APITester/APITester.html">REST API调试工具</a>。

## 4 API集成 

### 4.1 PHP集成 

在云通信<a href="https://cloud.tencent.com/document/product/269/1538">PHP Server SDK</a>中，可以通过TimRestInterface的如下成员函数快速集成该API： 
```
// 解除双向好友关系
abstract function sns_friend_delete($account_id, $frd_id);
```

## 5 可能触发的回调 

参见<a href="https://cloud.tencent.com/document/product/269/1659">删除好友之后回调</a>。

## 6 参考 

REST API：<a href="https://cloud.tencent.com/document/product/269/1643">添加好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/8301">导入好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/12525">更新好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/1645">删除所有好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/1646">校验好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/1647">拉取好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/8609">拉取指定好友</a>

