## 1 功能说明 

1.支持拉取指定好友；</br>
2.建议每次拉取的好友数不超过100，避免因回包数据量太大导致回包失败。
 
## 2 接口调用说明 

### 2.1 请求URL 
```
https://console.tim.qq.com/v4/sns/friend_get_list?usersig=xxx&identifier=admin&sdkappid=88888888&random=99999999&contenttype=json
```
### 2.2 请求参数 

URL中各参数的含义以及填写方式参见<a href="https://cloud.tencent.com/document/product/269/1519">REST API简介</a>。 

### 2.3 最高调用频率 

100次/秒。如需提升调用频率，请根据<a href="https://cloud.tencent.com/document/product/269/3916#2.15-rest-api.E8.B0.83.E7.94.A8.E9.A2.91.E7.8E.87.E8.B0.83.E6.95.B4">REST API调用频率调整</a>提交工单申请处理。

### 2.4 HTTP请求方式 

POST 

### 2.5 HTTP请求包体格式 

JSON 

### 2.6 请求包示例

#### 2.6.1 基础形式

```
{
    "From_Account":"id",
    "To_Account":
    [
        "id1"
    ]
}
```

#### 2.6.2 完整形式

```
{
    "From_Account":"id",
    "To_Account":
    [
        "id1"
    ],
    "TagList":
    [
        "Tag_Profile_IM_Nick",
        "Tag_SNS_IM_Group",
        "Tag_SNS_IM_Remark"
    ]
}
```

#### 2.6.3 批量拉取指定好友

```
{
    "From_Account":"id",
    "To_Account":
    [
        "id1",
        "id2",
        "id3"
    ],
    "TagList":
    [
        "Tag_Profile_IM_Nick",
        "Tag_SNS_IM_Group",
        "Tag_SNS_IM_Remark"
    ]
}
```

### 2.7 请求包字段说明 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:15%;">字段</td>
			<td style="width:10%;">类型</td>
			<td style="width:10%;">属性</td>
			<td style="width:65%;">说明</td>
		</tr>
		<tr>
			<td>From_Account</td>
			<td>String</td>
			<td>必填</td>
			<td>请求拉取该Identifier的好友。</td>
		</tr>
		<tr>
			<td>To_Account</td>
			<td>Array</td>
			<td>必填</td>
			<td>
				请求拉取的好友的Identifier列表。<br />
				注意：每次拉取的好友数不得超过100，避免因回包数据量太大以致回包失败。
			</td>
		</tr>
		<tr>
			<td>TagList</td>
			<td>Array</td>
			<td>选填</td>
			<td>
				指定要拉取的资料字段及好友字段：<br />
				1、标配资料字段可参见<a href="http://cloud.tencent.com/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#3-.E6.A0.87.E9.85.8D.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">标配资料字段</a>；<br />
				2、自定义资料字段可参见<a href="http://cloud.tencent.com/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#4-.E8.87.AA.E5.AE.9A.E4.B9.89.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">自定义资料字段</a>；<br />
				3、标配好友字段可参见<a href="http://cloud.tencent.com/doc/product/269/%E5%85%B3%E7%B3%BB%E9%93%BE%E7%B3%BB%E7%BB%9F#3.1-.E6.A0.87.E9.85.8D.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5">标配好友字段</a>；<br />
				4、自定义好友字段可参见<a href="http://cloud.tencent.com/doc/product/269/%E5%85%B3%E7%B3%BB%E9%93%BE%E7%B3%BB%E7%BB%9F#3.2-.E8.87.AA.E5.AE.9A.E4.B9.89.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5">自定义好友字段</a>。
			</td>
		</tr>
	</tbody>
</table>

### 2.8 应答包体示例


#### 2.8.1 基础形式、完备形式

```
{
    "InfoItem":
    [
        {
            "To_Account":"id1",
            "SnsProfileItem":
            [
                {
                    "Tag":"Tag_Profile_IM_Nick",
                    "Value":"NickTest1"
                },
                {
                    "Tag":"Tag_SNS_IM_Group",
                    "Value":["Group1"]
                },
                {
                    "Tag":"Tag_SNS_IM_Remark",
                    "Value":"Remark1"
                }
            ],
			"ResultCode": 0,
			"ResultInfo": ""
        }
    ],
	"Fail_Account":[],
	"Invalid_Account":[],
	"ActionStatus":"OK",
	"ErrorCode":0,
	"ErrorInfo":"",
	"ErrorDisplay":""
}
```

#### 2.8.2 批量拉取指定好友

```
{
    "InfoItem":
    [
        {
            "To_Account":"id1",
            "SnsProfileItem":
            [
                {
                    "Tag":"Tag_Profile_IM_Nick",
                    "Value":"NickTest1"
                },
                {
                    "Tag":"Tag_SNS_IM_Group",
                    "Value":["Group1"]
                },
                {
                    "Tag":"Tag_SNS_IM_Remark",
                    "Value":"Remark1"
                }
            ],
			"ResultCode": 0,
			"ResultInfo": ""
        },
        {
            "To_Account":"id2",
            "SnsProfileItem":
            [
                {
                    "Tag":"Tag_Profile_IM_Nick",
                    "Value":"NickTest2"
                },
                {
                    "Tag":"Tag_SNS_IM_Group",
                    "Value":["Group1","Group2"]
                },
                {
                    "Tag":"Tag_SNS_IM_Remark",
                    "Value":"Remark2"
                }
            ],
			"ResultCode": 0,
			"ResultInfo": ""
        },
		{
			"To_Account": "id3",
			"ResultCode": 31211,
			"ResultInfo": "SNS_FRD_GET_LIST_FRD_NO_EXIST"
		}
    ],
	"Fail_Account":["id3"],
	"Invalid_Account":[],
	"ActionStatus":"OK",
	"ErrorCode":0,
	"ErrorInfo":"",
	"ErrorDisplay":""
}
```

### 2.9 应答包字段说明 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:15%;">字段</td>
			<td style="width:10%;">类型</td>
			<td style="width:75%;">说明</td>
		</tr>
		<tr>
			<td>InfoItem</td>
			<td>Array </td>
			<td>好友对象数组。</td>
		</tr>
		<tr>
			<td>To_Account</td>
			<td>String </td>
			<td>好友的Identifier。</td>
		</tr>
		<tr>
			<td>SnsProfileItem</td>
			<td>Array </td>
			<td>好友的详细信息数组，数组每一个元素都包括Tag和Value。</td>
		</tr>
		<tr>
			<td>Tag</td>
			<td>String </td>
			<td>好友的资料字段或好友字段的名称。</td>
		</tr>
		<tr>
			<td>Value</td>
			<td>String </td>
			<td>好友的资料字段或好友字段的值。</td>
		</tr>
		<tr>
			<td>ResultCode</td>
			<td>Integer </td>
			<td>单个Identifier的处理结果，0表示业务成功，非0表示业务失败。</td>
		</tr>
		<tr>
			<td>ResultInfo</td>
			<td>String </td>
			<td>单个Identifier的详细错误信息，成功时该字段为空。</td>
		</tr>
		<tr>
			<td>Fail_Account</td>
			<td>Array </td>
			<td>返回处理失败的用户列表。</td>
		</tr>
		<tr>
			<td>Invalid_Account</td>
			<td>Array </td>
			<td>返回请求包中的非法用户列表。</td>
		</tr>
		<tr>
			<td>ActionStatus</td>
			<td>String </td>
			<td>请求处理的结果，“OK”表示处理成功，“FAIL”表示失败。</td>
		</tr>
		<tr>
			<td>ErrorCode</td>
			<td>Integer </td>
			<td>错误码。</td>
		</tr>
		<tr>
			<td>ErrorInfo</td>
			<td>String </td>
			<td>详细错误信息。</td>
		</tr>
		<tr>
			<td>ErrorDisplay</td>
			<td>String </td>
			<td>详细的客户端展示信息。</td>
		</tr>
	</tbody>
</table>

### 2.10 错误码说明 

除非发生网络错误（例如502错误），该接口的HTTP返回码均为200。真正的错误码、错误信息是通过应答包体中的ErrorCode、ErrorInfo来表示的。 
公共错误码（60000到79999）参见<a href="https://cloud.tencent.com/document/product/269/1671#rest-api.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81">REST API公共错误码</a>。 
本API私有错误码如下： 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:5%;">错误码</td>
			<td style="width:95%;">详细错误信息</td>
		</tr>
		<tr>
			<td>30001</td>
			<td>
				关系链系统解包失败：<br />
				如果是REST API请求，请参照REST API文档确认请求包的合法性和完整行；<br />
				如果不是REST API请求，请联系技术客服。
			</td>
		</tr>
		<tr>
			<td>30002</td>
			<td>SDKAppId非法，请检查SDKAppId及帐号的合法性或联系技术客服。</td>
		</tr>
		<tr>
			<td>30003</td>
			<td>帐号非法，请检查帐号的合法性或联系技术客服。</td>
		</tr>
		<tr>
			<td>30004</td>
			<td>来自REST API的请求，但是不具备管理员权限，请联系技术客服。</td>
		</tr>
		<tr>
			<td>30005</td>
			<td>关系链字段中有敏感词，请检查关系链字段或联系技术客服。</td>
		</tr>
		<tr>
			<td>31201</td>
			<td>按列表拉好友请求的参数错误，请确认请求包的合法性或联系技术客服。</td>
		</tr>
		<tr>
			<td>31202</td>
			<td>请求拉取的字段数非法，请求拉取的关系链字段数不得超过30个，资料字段数不得超过5000个。</td>
		</tr>
		<tr>
			<td>31203</td>
			<td>按列表拉取好友主键不存在，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31204</td>
			<td>按列表拉取好友关系链标配信息错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31205</td>
			<td>按列表拉取好友关系链标配信息组数据错误，请再次尝试或联系技术客服。</td>
			</tr>
		<tr>
			<td>31206</td>
			<td>按列表拉取好友关系链标配信息行数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31207</td>
			<td>按列表拉取好友关系链自定义信息错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31208</td>
			<td>按列表拉取好友关系链自定义信息行数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31209</td>
			<td>按列表拉取好友取执行任务失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31210</td>
			<td>按列表拉取好友获取字段对应的字符串错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31211</td>
			<td>按列表拉取好友不存在，拉取指定好友，但是指定好友并不在好友表中，调用方可以捕捉该错误给用户一个合理的提示。</td>
		</tr>
		<tr>
			<td>31212</td>
			<td>拉取好友新建任务失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31213</td>
			<td>拉取好友资料标配信息主键不存在，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31214</td>
			<td>拉取好友资料标配信息错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31215</td>
			<td>拉取好友资料标配信息行数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31216</td>
			<td>拉取好友资料自定义信息错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>31217</td>
			<td>拉取好友资料自定义行数据错误，请再次尝试或联系技术客服。</td>
		</tr>
	</tbody>
</table>

## 3 接口调试工具 

### 3.1 Web调试工具 

通过<a href="https://avc.cloud.tencent.com/im/APITester/APITester.html#v4/sns/friend_get_list">REST API调试工具</a>调试本接口。 

### 3.2 Server调试工具 

可以通过<a href="https://cloud.tencent.com/document/product/269/1538">PHP Server SDK</a>中的调试工具进行简单的REST API调试，命令如下： 

```
// 获取用户指定好友
./TimRestApiGear.php sns friend_get_list($api, $data_list)
```
更多调试工具参见<a href="https://avc.cloud.tencent.com/im/APITester/APITester.html">REST API调试工具</a>。

## 4 API集成 

### 4.1 PHP集成 

在云通信<a href="https://cloud.tencent.com/document/product/269/1538">PHP Server SDK</a>中，可以通过TimRestInterface的如下成员函数快速集成该API：
 
```
// 拉取某一用户的指定好友
abstract function sns_friend_get_list($account_id, $frd_id);

// 拉取某一用户的指定好友（高级接口）
abstract function sns_friend_get_list2($account_id, $frd_list, $tag_list);
```

## 5 可能触发的回调 

无 

## 6 参考 

REST API：<a href="https://cloud.tencent.com/document/product/269/1643">添加好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/8301">导入好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/12525">更新好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/1644">删除好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/1645">删除所有好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/1646">校验好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/1647">拉取好友</a>

