## 1 功能说明  

1.批量添加分组，并将指定好友加入到新增分组中。 
 
## 2 接口调用说明 

### 2.1 请求URL 
```
https://console.tim.qq.com/v4/sns/group_add?usersig=xxx&identifier=admin&sdkappid=88888888&random=99999999&contenttype=json
```
### 2.2 请求参数 

URL中各参数的含义以及填写方式参见<a href="https://cloud.tencent.com/document/product/269/1519">REST API简介</a>。 

### 2.3 最高调用频率 

100次/秒。如需提升调用频率，请根据<a href="https://cloud.tencent.com/document/product/269/3916#2.15-rest-api.E8.B0.83.E7.94.A8.E9.A2.91.E7.8E.87.E8.B0.83.E6.95.B4">REST API调用频率调整</a>提交工单申请处理。

### 2.4 HTTP请求方式 

POST 

### 2.5 HTTP请求包体格式 

JSON 

### 2.6 请求包示例

#### 2.6.1 基础形式

```
{
    "From_Account":"id",
    "GroupName":["group1","group2","group3"]
}
```

#### 2.6.2 完整形式

```
{
    "From_Account":"id",
    "GroupName":["group1","group2","group3"],
    "To_Account":["id1","id2","id3","id4"]
}
```

### 2.7 请求包字段说明 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:15%;">字段</td>
			<td style="width:10%;">类型</td>
			<td style="width:10%;">属性</td>
			<td style="width:65%;">说明</td>
		</tr>
		<tr>
			<td>From_Account</td>
			<td>String</td>
			<td>必填</td>
			<td>需要为该Identifier添加新分组。</td>
		</tr>
		<tr>
			<td>GroupName</td>
			<td>Array</td>
			<td>必填</td>
			<td>新增分组列表。</td>
		</tr>
		<tr>
			<td>To_Account</td>
			<td>Array</td>
			<td>选填</td>
			<td>需要加入新增分组的好友的Identifier列表。</td>
		</tr>
	</tbody>
</table>

### 2.8 应答包体示例

#### 2.8.1 基础形式

```
{
    "CurrentSequence": 2,
    "ActionStatus": "OK",
    "ErrorCode": 0,
    "ErrorInfo": "",
    "ErrorDisplay": ""
}
```

#### 2.8.2 完备形式

```
{
    "ResultItem":
    [
        {
            "To_Account": "id1",
            "ResultCode": 32216,
            "ResultInfo": "Err_SNS_GroupAdd_ToTinyId_Not_Friend"
        },
        {
            "To_Account": "id2",
            "ResultCode": 32216,
            "ResultInfo": "Err_SNS_GroupAdd_ToTinyId_Not_Friend"
        },
        {
            "To_Account": "id3",
            "ResultCode": 30002,
            "ResultInfo": "ERR_SDKAPPID_ILLEGAL"
        },
        {
            "To_Account": "id4",
            "ResultCode": 0,
            "ResultInfo": "OK"
        }
    ],
    "Fail_Account": ["id1","id2"],
    "Fail_Account": ["id3"],
    "CurrentSequence": 3,
    "ActionStatus": "OK",
    "ErrorCode": 0,
    "ErrorInfo": "",
    "ErrorDisplay": ""
}
```

### 2.9 应答包字段说明 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:15%;">字段</td>
			<td style="width:10%;">类型</td>
			<td style="width:75%;">说明</td>
		</tr>
		<tr>
			<td>ResultItem</td>
			<td>Array </td>
			<td>好友加入新增分组的结果对象数组。</td>
		</tr>
		<tr>
			<td>To_Account</td>
			<td>String </td>
			<td>请求加入新分组的好友的Identifier。</td>
		</tr>
		<tr>
			<td>ResultCode</td>
			<td>Integer </td>
			<td>好友加入新分组的处理结果，0表示业务成功，非0表示业务失败。</td>
		</tr>
		<tr>
			<td>Fail_Account</td>
			<td>Array </td>
			<td>返回处理失败的用列表。</td>
		</tr>
		<tr>
			<td>Invalid_Account</td>
			<td>Array </td>
			<td>返回请求包中的非法用户列表。</td>
		</tr>
		<tr>
			<td>CurrentSequence</td>
			<td>Integer </td>
			<td>返回最新的分组Sequence。</td>
		</tr>
		<tr>
			<td>ActionStatus</td>
			<td>String </td>
			<td>请求处理的结果，“OK”表示处理成功，“FAIL”表示失败。</td>
		</tr>
		<tr>
			<td>ErrorCode</td>
			<td>Integer </td>
			<td>错误码。</td>
		</tr>
		<tr>
			<td>ErrorInfo</td>
			<td>String </td>
			<td>详细错误信息。</td>
		</tr>
		<tr>
			<td>ErrorDisplay</td>
			<td>String </td>
			<td>详细的客户端展示信息。</td>
		</tr>
	</tbody>
</table>

### 2.10 错误码说明 

除非发生网络错误（例如502错误），该接口的HTTP返回码均为200。真正的错误码、错误信息是通过应答包体中的ErrorCode、ErrorInfo来表示的。 
公共错误码（60000到79999）参见<a href="https://cloud.tencent.com/document/product/269/1671#rest-api.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81">REST API公共错误码</a>。 
本API私有错误码如下： 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:5%;">错误码</td>
			<td style="width:95%;">详细错误信息</td>
		</tr>
		<tr>
			<td>30001</td>
			<td>
				关系链系统解包失败：<br />
				如果是REST API请求，请参照REST API文档确认请求包的合法性和完整行；<br />
				如果不是REST API请求，请联系技术客服。
			</td>
		</tr>
		<tr>
			<td>30002</td>
			<td>SDKAppId非法，请检查SDKAppId及帐号的合法性或联系技术客服。</td>
		</tr>
		<tr>
			<td>30003</td>
			<td>帐号非法，请检查帐号的合法性或联系技术客服。</td>
		</tr>
		<tr>
			<td>30004</td>
			<td>来自REST API的请求，但是不具备管理员权限，请联系技术客服。</td>
		</tr>
		<tr>
			<td>30005</td>
			<td>关系链字段中有敏感词，请检查关系链字段或联系技术客服。</td>
		</tr>
		<tr>
			<td>
				32201<br />
			</td>
			<td>
				请求添加的分组个数非法，分组个数的取值范围是：[0，32]。<br />
			</td>
		</tr>
		<tr>
			<td>
				32202<br />
			</td>
			<td>
				请求添加的分组名长度非法，详情可参见<a href="https://cloud.tencent.com/document/product/269/1501#3.1-.E6.A0.87.E9.85.8D.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5">标配好友字段</a>。<br />
			</td>
		</tr>
		<tr>
			<td>
				32203<br />
			</td>
			<td>
				请求添加到分组的帐号个数非法，分组下帐号个数的取值范围是：[0，1000]。<br />
			</td>
		</tr>
		<tr>
			<td>
				32204<br />
			</td>
			<td>
				加分组请求校验SDKAppId时New Task失败，请再次尝试或联系技术客服。<br />
			</td>
		</tr>
		<tr>
			<td>
				32205<br />
			</td>
			<td>
				加分组请求校验SDKAppId的Task出错，请再次尝试或联系技术客服。<br />
			</td>
		</tr>
		<tr>
			<td>
				32206<br />
			</td>
			<td>
				加分组请求校验SDKAppId失败，请再次尝试或联系技术客服。<br />
			</td>
		</tr>
		<tr>
			<td>
				32207<br />
			</td>
			<td>
				加分组请求没有拉到帐号对应的SDKAppId，请再次尝试或联系技术客服。<br />
			</td>
		</tr>
		<tr>
			<td>
				32208<br />
			</td>
			<td>
				读分组数据失败，请再次尝试或联系技术客服。<br />
			</td>
		</tr>
		<tr>
			<td>
				32209<br />
			</td>
			<td>
				解分组行数据失败，请再次尝试或联系技术客服。<br />
			</td>
		</tr>
		<tr>
			<td>
				32210<br />
			</td>
			<td>
				解分组元数据失败，请再次尝试或联系技术客服。<br />
			</td>
		</tr>
		<tr>
			<td>
				32211<br />
			</td>
			<td>
				封装分组行数据失败，请再次尝试或联系技术客服。<br />
			</td>
		</tr>
		<tr>
			<td>
				32212<br />
			</td>
			<td>
				封装分组元数据失败，请再次尝试或联系技术客服。<br />
			</td>
		</tr>
		<tr>
			<td>
				32213<br />
			</td>
			<td>
				写分组数据失败，请再次尝试或联系技术客服。<br />
			</td>
		</tr>
		<tr>
			<td>
				32214<br />
			</td>
			<td>
				分组ID非法，详情可参见<a href="https://cloud.tencent.com/document/product/269/1501#3.1-.E6.A0.87.E9.85.8D.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5">标配好友字段</a>。<br />
			</td>
		</tr>
		<tr>
			<td>
				32215<br />
			</td>
			<td>
				分组个数已达系统上限，详情可参见<a href="https://cloud.tencent.com/document/product/269/1501#3.1-.E6.A0.87.E9.85.8D.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5">标配好友字段</a>。<br />
			</td>
		</tr>
		<tr>
			<td>
				32216<br />
			</td>
			<td>
				与请求加入分组的帐号之间不存在好友关系，请确认帐号的合法性。<br />
			</td>
		</tr>
		<tr>
			<td>
				32217<br />
			</td>
			<td>
				请求加入分组的好友所在分组数超门限，请确认该好友所属的分组数，每个好友可归属的分组数的取值范围是：[0，32]。<br />
			</td>
		</tr>
		<tr>
			<td>
				32218<br />
			</td>
			<td>
				请求创建的分组已存在，请确认新分组的合法性。<br />
			</td>
		</tr>
		<tr>
			<td>
				32219<br />
			</td>
			<td>
				请求加入该分组的好友已存在，请确认好友帐号的合法性。<br />
			</td>
		</tr>
	</tbody>
</table>

## 3 接口调试工具 

通过<a href="https://avc.cloud.tencent.com/im/APITester/APITester.html#v4/sns/group_add">REST API调试工具</a>调试本接口。 

## 4 API集成 

无

## 5 可能触发的回调 

无。

## 6 参考 

REST API：<a href="https://cloud.tencent.com/document/product/269/10108">删除分组</a>

