## 1 功能说明  

1.支持批量添加好友。 
 
## 2 接口调用说明 

### 2.1 请求URL 
```
https://console.tim.qq.com/v4/sns/friend_add?usersig=xxx&identifier=admin&sdkappid=88888888&random=99999999&contenttype=json
```
### 2.2 请求参数 

URL中各参数的含义以及填写方式参见<a href="https://cloud.tencent.com/document/product/269/1519">REST API简介</a>。 

### 2.3 最高调用频率 

100次/秒。如需提升调用频率，请根据<a href="https://cloud.tencent.com/document/product/269/3916#2.15-rest-api.E8.B0.83.E7.94.A8.E9.A2.91.E7.8E.87.E8.B0.83.E6.95.B4">REST API调用频率调整</a>提交工单申请处理。

### 2.4 HTTP请求方式 

POST 

### 2.5 HTTP请求包体格式 

JSON 

### 2.6 请求包示例

#### 2.6.1 基础形式

```
{
    "From_Account":"id",
    "AddFriendItem":
    [
        {
            "To_Account":"id1",
            "AddSource":"AddSource_Type_XXXXXXXX"
        }
    ]
}
```

#### 2.6.2 完整形式

```
{
    "From_Account":"id",
    "AddFriendItem":
    [
        {
            "To_Account":"id1",
            "Remark":"remark1",
            "GroupName":"同学",
            "AddSource":"AddSource_Type_XXXXXXXX",
            "AddWording":"I'm Test1"
        }
    ],
    "AddType":"Add_Type_Both",
    "ForceAddFlags":1
}
```

#### 2.6.3 批量加好友

```
{
    "From_Account":"id",
    "AddFriendItem":
    [
        {
            "To_Account":"id1",
            "AddSource":"AddSource_Type_XXXXXXXX"
        },
        {
            "To_Account":"id2",
            "Remark":"remark2",
            "GroupName":"同学",
            "AddSource":"AddSource_Type_XXXXXXXX",
            "AddWording":"I'm Test2"
        },
        {
            "To_Account":"id3",
            "Remark":"remark3",
            "GroupName":"同事",
            "AddSource":"AddSource_Type_XXXXXXXX",
            "AddWording":"I'm Test3"
        }
    ],
    "AddType":"Add_Type_Both",
    "ForceAddFlags":1
}
```

### 2.7 请求包字段说明 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:15%;">字段</td>
			<td style="width:10%;">类型</td>
			<td style="width:10%;">属性</td>
			<td style="width:65%;">说明</td>
		</tr>
		<tr>
			<td>From_Account</td>
			<td>String</td>
			<td>必填</td>
			<td>需要为该Identifier添加好友。</td>
		</tr>
		<tr>
			<td>AddFriendItem</td>
			<td>Array</td>
			<td>必填</td>
			<td>好友结构体对象。</td>
		</tr>
		<tr>
			<td>To_Account</td>
			<td>String</td>
			<td>必填</td>
			<td>好友的Identifier。</td>
		</tr>
		<tr>
			<td>Remark</td>
			<td>String</td>
			<td>选填</td>
			<td>From_Account对To_Account的好友备注，详情可参见<a href="https://cloud.tencent.com/document/product/269/1501#3.1-.E6.A0.87.E9.85.8D.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5">标配好友字段</a>。</td>
		</tr>
		<tr>
			<td>GroupName</td>
			<td>Array</td>
			<td>选填</td>
			<td>From_Account对To_Account的分组信息，详情可参见<a href="https://cloud.tencent.com/document/product/269/1501#3.1-.E6.A0.87.E9.85.8D.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5">标配好友字段</a>。</td>
		</tr>
		<tr>
			<td>AddSource</td>
			<td>String</td>
			<td>必填</td>
			<td>
				加好友来源字段，详情可参见<a href="https://cloud.tencent.com/document/product/269/1501#3.1-.E6.A0.87.E9.85.8D.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5">标配好友字段</a>。
			</td>
		</tr>
		<tr>
			<td>AddWording</td>
			<td>String</td>
			<td>选填</td>
			<td>From_Account和To_Account形成好友关系时的附言信息，详情可参见<a href="https://cloud.tencent.com/document/product/269/1501#3.1-.E6.A0.87.E9.85.8D.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5">标配好友字段</a>。</td>
		</tr>
		<tr>
			<td>AddType</td>
			<td>String</td>
			<td>选填</td>
			<td>
				加好友方式（默认双向加好友方式）：<br />
				"Add_Type_Single"表示单向加好友；<br />
				"Add_Type_Both"表示双向加好友。<br />
			</td>
		</tr>
		<tr>
			<td>ForceAddFlags</td>
			<td>Integer </td>
			<td>选填</td>
			<td>管理员强制加好友标记：1表示强制加好友；0表示常规加好友方式。</td>
		</tr>
	</tbody>
</table>


### 2.8 应答包体示例

#### 2.8.1 基础形式、完备形式

```
{
	"ResultItem":
	[
		{
			"To_Account":"id1",
			"ResultCode":0,
			"ResultInfo":""
		}
	],
	"Fail_Account":[],
	"Invalid_Account":[],
	"ActionStatus":"OK",
	"ErrorCode":0,
	"ErrorInfo":"",
	"ErrorDisplay":""
}
```

#### 2.8.2 批量加好友

```
{
	"ResultItem":
	[
		{
			"To_Account":"id1",
			"ResultCode":0,
			"ResultInfo":""
		},
		{
			"To_Account":"id2",
			"ResultCode":0,
			"ResultInfo":""
		},
		{
			"To_Account":"id3",
			"ResultCode":0,
			"ResultInfo":""
		}
	],
	"Fail_Account":[],
	"Invalid_Account":[],
	"ActionStatus":"OK",
	"ErrorCode":0,
	"ErrorInfo":"",
	"ErrorDisplay":""
}
```

### 2.9 应答包字段说明 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:15%;">字段</td>
			<td style="width:10%;">类型</td>
			<td style="width:75%;">说明</td>
		</tr>
		<tr>
			<td>ResultItem</td>
			<td>Array </td>
			<td>批量加好友的结果对象数组。</td>
		</tr>
		<tr>
			<td>To_Account</td>
			<td>String </td>
			<td>请求添加的好友的Identifier。</td>
		</tr>
		<tr>
			<td>ResultCode</td>
			<td>Integer </td>
			<td>批量加好友中单个好友的处理结果，0表示业务成功，非0表示业务失败。</td>
		</tr>
		<tr>
			<td>Fail_Account</td>
			<td>Array </td>
			<td>返回处理失败的用户列表。</td>
		</tr>
		<tr>
			<td>Invalid_Account</td>
			<td>Array </td>
			<td>返回请求包中的非法用户列表。</td>
		</tr>
		<tr>
			<td>ActionStatus</td>
			<td>String </td>
			<td>请求处理的结果，“OK”表示处理成功，“FAIL”表示失败。</td>
		</tr>
		<tr>
			<td>ErrorCode</td>
			<td>Integer </td>
			<td>错误码。</td>
		</tr>
		<tr>
			<td>ErrorInfo</td>
			<td>String </td>
			<td>详细错误信息。</td>
		</tr>
		<tr>
			<td>ErrorDisplay</td>
			<td>String </td>
			<td>详细的客户端展示信息。</td>
		</tr>
	</tbody>
</table>

### 2.10 错误码说明 

除非发生网络错误（例如502错误），该接口的HTTP返回码均为200。真正的错误码、错误信息是通过应答包体中的ErrorCode、ErrorInfo来表示的。 
公共错误码（60000到79999）参见<a href="https://cloud.tencent.com/document/product/269/1671#rest-api.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81">REST API公共错误码</a>。 
本API私有错误码如下： 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:5%;">错误码</td>
			<td style="width:95%;">详细错误信息</td>
		</tr>
		<tr>
			<td>30001</td>
			<td>
				关系链系统解包失败：<br />
				如果是REST API请求，请参照REST API文档确认请求包的合法性和完整行；<br />
				如果不是REST API请求，请联系技术客服。
			</td>
		</tr>
		<tr>
			<td>30002</td>
			<td>SDKAppId非法，请检查SDKAppId及帐号的合法性或联系技术客服。</td>
		</tr>
		<tr>
			<td>30003</td>
			<td>帐号非法，请检查帐号的合法性或联系技术客服。</td>
		</tr>
		<tr>
			<td>30004</td>
			<td>来自REST API的请求，但是不具备管理员权限，请联系技术客服。</td>
		</tr>
		<tr>
			<td>30005</td>
			<td>关系链字段中有敏感词，请检查关系链字段或联系技术客服。</td>
		</tr>
		<tr>
			<td>30501</td>
			<td>
				加好友来源字段非法，详情可参见<a href="https://cloud.tencent.com/document/product/269/1501#3.1-.E6.A0.87.E9.85.8D.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5">标配好友字段</a>。<br />
			</td>
		</tr>
		<tr>
			<td>30502</td>
			<td>
				请求包中字符串类型的参数长度非法，详情可参见<a href="https://cloud.tencent.com/document/product/269/1501#3.1-.E6.A0.87.E9.85.8D.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5">标配好友字段</a>，可能的错误有：<br />
				1、好友备注的长度非法；<br />
				2、分组名称的长度非法；<br />
				3、加好友附言的长度非法。<br />
			</td>
		</tr>
		<tr>
			<td>30503</td>
			<td>请求添加的好友个数非法，好友个数的合理取值范围是[1，1000]。</td>
		</tr>
		<tr>
			<td>30504</td>
			<td>加好友请求获取SDKAppId失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30505</td>
			<td>加好友请求的Task出错，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30506</td>
			<td>获取From_Account的好友列表失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30507</td>
			<td>获取From_Account的好友列表元数据失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30508</td>
			<td>拉取From_Account的好友列表行数据失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30509</td>
			<td>更新From_Account的好友列表行数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30510</td>
			<td>更新From_Account的好友列表元数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30511</td>
			<td>更新From_Account的好友信息错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30512</td>
			<td>删除From_Account的未决信息错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30513</td>
			<td>拉取From_Account的黑名单列表错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30514</td>
			<td>添加好友新建Task失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30515</td>
			<td>To_Account在From_Account的黑名单列表中，无法添加好友，调用方可以捕捉该错误给用户一个合理的提示。</td>
		</tr>
		<tr>
			<td>30516</td>
			<td>
                To_Account的加好友验证方式的是“不允许任何人添加”，无法添加好友，调用方可以捕捉该错误给用户一个合理的提示。
			</td>
		</tr>
		<tr>
			<td>30517</td>
			<td>
				本次请求有超过100个帐号设置的加好友验证方式是“需要通过验证才允许添加”，调用方可以捕捉该错误给用户一个合理的提示。
			</td>
		</tr>
		<tr>
			<td>30518</td>
			<td>
				分组个数达到系统上限：请求添加的好友携带了新的分组信息，但是已有的分组个数加上新的分组的个数超过了32个，调用方可以捕捉该错误给用户一个合理的提示。<br />
			</td>
		</tr>
		<tr>
			<td>30519</td>
			<td>好友表人数（包含本次请求中可直接添加为好友的人数）已达上限，调用方可以捕捉该错误给用户一个合理的提示。</td>
		</tr>
		<tr>
			<td>30520</td>
			<td>From_Account与To_Account之间已经存在好友关系，调用方可以捕捉该错误给用户一个合理的提示。</td>
		</tr>
		<tr>
			<td>30521</td>
			<td>To_Account在资料系统中没有任何数据，调用方可以捕捉该错误给用户一个合理的提示。</td>
		</tr>
		<tr>
			<td>30522</td>
			<td>获取To_Account的资料信息错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30523</td>
			<td>获取To_Account的资料信息行数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30524</td>
			<td>获取To_Account的的黑名单信息错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30525</td>
			<td>From_Account在To_Account的黑名单中，无法添加为好友，调用方可以捕捉该错误给用户一个合理的提示。</td>
		</tr>
		<tr>
			<td>30526</td>
			<td>获取To_Accoun的关系链数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30527</td>
			<td>获取To_Accoun的关系链数据时解行数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30528</td>
			<td>获取To_Accoun的未决sequence错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30529</td>
			<td>获取To_Accoun的未决sequence时解元数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30530</td>
			<td>获取To_Accoun的未决数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30531</td>
			<td>获取To_Accoun的未决数据时解行数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30532</td>
			<td>删除To_Accoun的未决数据失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30533</td>
			<td>获取To_Account的好友个数失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30534</td>
			<td>获取To_Account的好友个数时序列号不一致，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30535</td>
			<td>To_Account的好友个数已达上限，调用方可以捕捉该错误给用户一个合理的提示。</td>
		</tr>
		<tr>
			<td>30536</td>
			<td>更新To_Account的好友表时封装元数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30537</td>
			<td>更新To_Account的好友表时封装行数据错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30538</td>
			<td>更新To_Account的好友表错误，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>30539</td>
			<td>
				A发起加好友请求，请求添加B为好友，B的加好友验证方式被设置为“AllowType_Type_NeedConfirm”，这时A与B之间只能形成未决关系，这个返回码用于标识加未决成功，以便与加好友成功的返回码区分开，调用方可以捕捉该错误给用户一个合理的提示。<br />
			</td>
		</tr>
		<tr>
			<td>30540</td>
			<td>加好友请求被安全策略打击，请勿频繁发起加好友请求。</td>
		</tr>
		<tr>
			<td>30541</td>
			<td>加好友请求的加好友类型非法，加好友类型的合理取值范围是：“Add_Type_Single”，“Add_Type_Both”。</td>
		</tr>
		<tr>
			<td>30542</td>
			<td>请求强制加好友，但不具备管理员权限，请确认权限或联系技术客服。</td>
		</tr>
		<tr>
			<td>30543</td>
			<td>写冲突导致更新From_Account的未决列表失败。</td>
		</tr>
		<tr>
			<td>30544</td>
			<td>写冲突导致更新From_Account的好友列表失败。</td>
		</tr>
		<tr>
			<td>30545</td>
			<td>后台禁止From_Account发起加好友请求。</td>
		</tr>
	</tbody>
</table>

## 3 接口调试工具 

通过<a href="https://avc.cloud.tencent.com/im/APITester/APITester.html#v4/sns/friend_add">REST API调试工具</a>调试本接口。 

## 4 API集成 

无

## 5 可能触发的回调 

添加好友可能触发的回调有：
1、<a href="https://cloud.tencent.com/document/product/269/11748">添加好友之前回调</a>；
2、<a href="https://cloud.tencent.com/document/product/269/1657">添加好友之后回调</a>。

## 6 参考 

REST API：<a href="https://cloud.tencent.com/document/product/269/8301">导入好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/12525">更新好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/1644">删除好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/1645">删除所有好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/1646">校验好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/1647">拉取好友</a>
REST API：<a href="https://cloud.tencent.com/document/product/269/8609">拉取指定好友</a>

