## 1 内容提要

所谓[服务端集成](/doc/product/269/REST%20API简介)，即APP后台通过云通讯提供的一系列REST API来管理自身APP的数据。云通信提供的REST API参见[REST API接口列表](/doc/product/269/REST%20API接口列表)。

本文档将介绍如何通过REST API来进行数据管理，您将了解到：

1. 调用REST API需要哪些前提条件；
1. 如何调试REST API，包括：
	2.1 通过云通讯REST API调试工具来调用REST API；
	2.2 通过Postman来调试REST API；
	2.3 通过PHP Server SDK中的工具来调试REST API；
1. 如何在服务端调用REST API，包括：
	3.1 在PHP中集成PHP Server SDK。

## 2 何谓REST API

REST API是腾讯云暴露给APP后台的HTTP管理接口，其主要目的在于为APP后台提供一个后台管理入口。更多介绍参见[REST API简介](/doc/product/269/REST API简介)。

## 3 前提条件

要调用REST API，您必须首先
1. 在云通信中创建APP，具体方法参见[应用接入指引](/doc/product/269/应用接入指引)；
1. 为您的APP指定管理员账号，具体方法参见[设置APP管理员帐号](/doc/product/269/%E8%AE%BE%E7%BD%AEAPP%E7%AE%A1%E7%90%86%E5%91%98)。

>**特别提醒：调用REST API时请务必使用APP管理员账号，否则会导致不必要的调用错误。**

## 4 调用方法

REST API的请求URL、请求方式、包体格式参见[REST API简介](/doc/product/269/REST API简介)。目前支持的REST API参见[REST API接口列表](/doc/product/269/REST API接口列表)。

本文档将介绍如下几种方式来调用REST API，分别是：
1. 使用云通讯REST API调试工具；
1. 使用Postman；
1. 使用PHP Server SDK中的REST API调试工具。

在“调用示例”一节中，我们将通过具体的案例来演示调用REST API的各种方法。

## 5 调用示例

本文档将通过一个完整的示例来展示REST API的各种调用方法。该示例包含以下步骤：
1. 导入账号到云通信（使用云通讯REST API调试工具）；
1. 为导入的设置账号的基本资料（使用Postman）；
1. 创建一个群组，包含初始群成员（使用PHP Server SDK中的工具）。

### 5.1 准备工作：获取APP管理员帐号的签名

确保APP管理员帐号存在。打开APP控制台，点击“应用配置”：
![](//avc.qcloud.com/wiki2.0/im/imgs/20151118091132_40174.png)
进入页面之后，查看“帐号体系集成”，确保后续过程均使用APP管理员帐号（此处假定APP管理员帐号的为myadmin）：
![](//avc.qcloud.com/wiki2.0/im/imgs/20151118091144_80129.png)
为 APP管理员帐号生成usersig：
1. Linux下生成usersig的方式参见：[linux下生成sig和校验sig](/doc/product/269/TLS%E5%90%8E%E5%8F%B0API%E4%BD%BF%E7%94%A8%E6%89%8B%E5%86%8C#2-linux.E5.B9.B3.E5.8F.B0)。
1. Windows下生成usersig的方式参见：[windows下生成sig和校验sig](/doc/product/269/TLS%E5%90%8E%E5%8F%B0API%E4%BD%BF%E7%94%A8%E6%89%8B%E5%86%8C#3-windows.E5.B9.B3.E5.8F.B0)。


例如，在Windows下，我们的生成命令是：
```
.\tls_licence_tools.exe gen .\keys\private_key sig 3600 1400000478 myadmin
```
生成usersig之后，我们便完成了调用REST API所需的准备工作。

### 5.2 导入账号到云通信（使用云通讯REST API调试工具）

下面我们将使用[云通讯REST API调试工具](https://avc.cloud.tencent.com/im/APITester/APITester.html#v4/im_open_login_svc/account_import)来导入一个帐号，用户名为lilei。

（需要导入该帐号的原因是：在后续内容中我们为lilei设置资料，并以其为群主来创建一个群，但目前该帐号尚不存在。因此我们需要把lilei这个帐号导入到云通讯中。）

打开[云通讯REST API调试工具](https://avc.cloud.tencent.com/im/APITester/APITester.html)，填写调用参数如下：
![](//avc.qcloud.com/wiki2.0/im/imgs/20151210075829_46289.jpg)
点击“提交”，可以看到应答包体如下：
![](//avc.qcloud.com/wiki2.0/im/imgs/20151124085151_48669.png)
至此，我们便完成lilei这个帐号的导入。

### 5.3 为导入的设置账号的基本资料（使用Postman）

本节我们将使用[Postman](https://www.getpostman.com/)来调用设置用户资料的接口（v4/profile/portrait_set）为上一节导入的帐号设置基本资料，具体工作是：将用户lilei的昵称设置为“李雷”。

**安装Postman**

>注：安装Postman需要能够访问google应用商店，如果您的网络无法访问google相关网站，建议您使用云通讯REST API调试工具。

Postman是一款功能强大的网页调试与发送网页HTTP请求的Chrome插件。其安装方法是：打开Chrome浏览器，在Chrome网上应用商店中搜索Postman，并“添加至Chrome”，如下图所示：

安装完毕后，Postman将出现在Chrome的应用中，如下图所示：

![](//avc.qcloud.com/wiki2.0/im/imgs/20151118091341_82635.png)

**设置用户的基本资料**

打开Postman，依照如下指引填写参数：

1. 选择请求方式为POST；
1. 在地址栏中填写请求URL：```https://console.tim.qq.com/v4/profile/portrait_set``` ；
1. 点击地址栏右侧的“Params”按钮，在下方的参数列表中填写各项请求参数，各参数的含义参见REST API参数说明。
1. 点击Body；
1. 点击raw，目的是填写文本请求包（JSON格式）；
1. 填写请求包。

如下图所示：

![](//avc.qcloud.com/wiki2.0/im/imgs/20151210080319_84233.jpg)

完成所有请求参数的填写之后，点击右上角的“Send”按钮发起请求，将会收到如下应答（注意将红框处选择为JSON）：

![](//avc.qcloud.com/wiki2.0/im/imgs/20151118091506_85927.png)

至此，我们便实现了通过Postman调用REST API来设置用户资料。

### 5.4 创建一个群组，包含初始群成员（使用PHP Server SDK中的工具）
本节我们将使用[PHP Server SDK](/doc/product/269/PHP Server SDK)来调用创建群组的接口（v4/group_open_http_svc/create_group），具体工作是：创建一名字为“MyFirstGrouplilei”的群，群主设置为“lilei”。

[PHP Server SDK](/doc/product/269/PHP Server SDK)是云通讯为PHP后台服务提供的REST API集成SDK，该SDK将一些常用的REST API封装成了PHP函数。PHP Server SDK的下载与集成方法参见：[PHP Server SDK](/doc/product/269/PHP Server SDK)。

完成PHP Server SDK的下载与部署后，需要修改TimRestApiConfig.json中的REST API请求参数：

![](//avc.qcloud.com/wiki2.0/im/imgs/20151123113238_10213.jpg)

其中private_pem_path为APP私钥文件的路径。

调用如下命令创建群：

```
php TimRestApiGear.php group_open_http_svc create_group Public MyFirstGroup lilei
```

输出如下：

![](http://avc.qcloud.com/wiki2.0/im/imgs/20151210080556_60961.png)

至此，我们便通过创建了一个群，我们可以在APP控制台的“群组管理”页中看到该群：

![](//avc.qcloud.com/wiki2.0/im/imgs/20151118095659_40610.png)

## 6 在后台服务中调用REST API
在后台服务中调用REST API，本质上是发起HTTPS POST请求。云通信提供了Server SDK来封装对REST API的调用，开发者可以将其直接集成到您的服务端代码中。

1. [PHP Server SDK](/doc/product/269/PHP%20Server%20SDK)；
1. [Node.js Server SDK](/doc/product/269/4287#1-.E5.8A.9F.E8.83.BD.E8.AF.B4.E6.98.8E)；
1. Java Server SDK（敬请期待）；
1. Golang Server SDK（敬请期待）。
