## 1. 功能说明

管理员给用户删除标签。注意每次最多只能给500个用户删除标签。

## 2 接口调用说明

### 2.1 请求URL 
```
https://console.tim.qq.com/v4/openim/im_remove_tag?usersig=xxx&identifier=admin&sdkappid=88888888&random=99999999&contenttype=json
```
### 2.2 请求参数 

URL中各参数的含义以及填写方式参见[REST API简介](/doc/product/269/REST API简介)。 

### 2.3 最高调用频率

100次/秒。如需提升调用频率，请根据[工单模板](/doc/product/269/云通信配置变更需求工单#2.15-rest-api.E8.B0.83.E7.94.A8.E9.A2.91.E7.8E.87.E8.B0.83.E6.95.B4)提交工单申请处理。

### 2.4 HTTP请求方式 

POST 

### 2.5 HTTP请求包体格式 

JSON 

### 2.6 请求包示例

```
{
	"UserTags": [
		{
			"To_Account": "xiaojun012",
			"Tags": ["a", "b"]
		},
		{
			"To_Account": "xiaojun013",
			"Tags": ["a", "b"]
		}
	]
}
```

### 2.7 请求包字段说明 

| 字段 | 类型| 属性 | 说明 |
|---------|---------|---------|
| To_Account | String | 必填 |目标用户帐号。 |
| Tags | Object | 必填 |标签集合。 |

### 2.8 应答包体示例

```
{
    "ActionStatus": "OK",
    "ErrorInfo": "",
    "ErrorCode": 0
}
```

### 2.9 应答包字段说明 


| 字段|类型 |说明 |
|---------|---------|---------|
| ActionStatus| String | 请求处理的结果，OK表示处理成功，FAIL表示失败。  |
| ErrorCode| Integer | 错误码。  |
| ErrorInfo| String | 错误信息。  |


### 2.10 错误码说明 

除非发生网络错误(例如502错误)，该接口的HTTP返回码均为200．真正的错误码，错误信息是通过应答包体中的ErrorCode、ErrorInfo来表示的。 

公共错误码（60000到79999）参见[REST API公共错误码](/doc/product/269/错误码#rest-api.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 

本API私有错误码如下： 

| 错误码 |含义说明 | 
|---------|---------|
| 90001 |Json格式解析失败,请检查请求包是否符合JSON规范。| 
|90009|非管理员不能删除标签。|
| 90018 |用户数量错误，不能超过500个。| 
| 90021 |删除标签请求体非法。|
| 90020 |Tag非法。| 
| 91000 |服务内部错误，请重试。| 
| 20002 |签名验证失败。| 

## 3. 接口调试工具 

### Web调试工具 

通过[REST API在线调试](https://avc.qcloud.com/im/APITester/APITester.html#v4/openim/im_remove_tag)工具调试本接口。 

## 4. 可能触发的回调 

无。 

## 5. 参考 

无。 