## 1 功能说明 

此接口用于托管模式下将用户的存量帐号导入到帐号系统。
**说明：此接口支持开发者一次导入一个帐号，目前暂无批量帐号导入接口。**

## 2 接口调用说明

### 2.1 请求URL 
```
https://console.tim.qq.com/v4/registration_service/register_account_v1?usersig=xxx&identifier=admin&sdkappid=88888888&random=99999999&contenttype=json
```
### 2.2 请求参数 

URL中各参数的含义以及填写方式参见[REST API简介](/doc/product/269/REST%20API简介)。 

### 2.3 最高调用频率 

1000次/秒。如需提升调用频率，请根据[工单模板](/doc/product/269/云通信配置变更需求工单#2.15-rest-api.E8.B0.83.E7.94.A8.E9.A2.91.E7.8E.87.E8.B0.83.E6.95.B4)提交工单申请处理。

### 2.4 HTTP请求方式 

POST 

### 2.5 HTTP请求包体格式 

JSON 

### 2.6 请求包示例

```
{
   "Identifier":"testaccount1",
   "IdentifierType":3,
   "Password":"pas122333"
}
```

### 2.7 请求包字段说明 


| 字段 |类型 |属性 |说明|
|---------|---------|---------|---------|
| Identifier | String | 必填 |为用户申请同步的帐号，长度为4-24个字符。  |
| IdentifierType | Integer | 必填 |Identifier的类型，1:手机号(国家码-手机号) 2:邮箱 3:字符串帐号|
| Password| String | 必填 |Identifier的密码，长度为8-16个字符。  |
注：
字符串帐号忽略大小写，由a-z,0-9及'.'和'_'组成，且不能全为数字。

### 2.8 应答包体示例 

```
{
   "ActionStatus":"OK",
   "ErrorInfo":"",
   "ErrorCode":0
}
```

### 2.9 应答包字段说明 


| 字段| 类型|说明 |
|---------|---------|---------|
| ActionStatus | String |请求处理的结果，OK表示处理成功，FAIL表示失败。 |
| ErrorCode | Integer | 错误码。  |
| ErrorInfo | String| 错误码信息。  |

### 2.10 错误码说明 

除非发生网络错误(例如502错误),该接口的HTTP返回码均为200。真正的错误码、错误信息是通过应答包体中的ErrorCode、ErrorInfo来表示的。 
公共错误码（60000到79999）参见[REST API公共错误码](/doc/product/269/REST%20API简介#4-rest-api.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 
本API私有错误码如下： 

| 错误码 |含义说明 | 
|---------|---------|
|70402 |已经有此帐号，导入失败。|
|70405 | 导入失败，请稍后重试。比如网络超时等，可通过重试解决。 |
|70411 | sdkappid非法，比如sdkappid不存在。 |
|70418 | 请求包格式错误。请检查必填字段是否填充，或者字段的填充是否满足协议要求。  |
|70419 | Identifier长度非法。Identifier合法长度为4-24个字符。 |
|70421 | Identifier不满足IdentifierType指定的类型。IdentifierType类型为，1:手机号(国家码-手机号) 2:邮箱 3:字符串帐号。 |
|70425 | 发起操作者不是[APP管理员](/doc/product/269/账号登录集成说明#3.4-app.E7.AE.A1.E7.90.86.E5.91.98)，没有权限操作。 |

## 3 接口调试工具 

### 3.1 Web调试工具 

通过[REST API在线调试](https://avc.qcloud.com/im/APITester/APITester.html#v4/registration_service/register_account_v1)工具调试本接口。 

## 4 可能触发的回调 

无。 

## 5 参考 

无。 

