## 1 功能说明 

本接口适用于将应用自有帐号信息批量导入腾讯云。该接口的功能是在腾讯内部创建一个内部ID，使没有登录腾讯云的应用自有帐号能够使用腾讯云服务。
举个例子：APP开发者通过腾讯云服务给APP用户A发送一条消息，用户A如果没有登录过云通信服务，由于腾讯内部没有用户A对应的内部ID，那么给用户A发送消息将会失败。此时需要把用户A的帐号同步给腾讯，在腾讯内部会为用户A创建一个内部ID，这样就可以给用户A发送消息了。

## 2 接口调用说明 

### 2.1 请求URL 

```
https://console.tim.qq.com/v4/im_open_login_svc/multiaccount_import?usersig=xxx&identifier=admin&sdkappid=88888888&random=99999999&contenttype=json
```

### 2.2 请求参数 

URL中各参数的含义以及填写方式参见[REST API简介](/doc/product/269/REST%20API简介)。 

### 2.3 最高调用频率 

该接口最大调用频率为10次/秒。

### 2.4 HTTP请求方式 

POST 

### 2.5 HTTP请求包体格式 

JSON 

### 2.6 请求包示例

```
{
"Accounts":["test1","test2","test3","test4","test5"]
}
```

### 2.7 请求包字段说明 

| 字段 | 类型 | 属性 |说明 |
|---------|---------|---------|
| Accounts | Array|必填 |用户名，单个用户名长度不超过 32 字节，单次最多导入100个用户名 |
### 2.8 应答包体示例  

```
{
    "ActionStatus": "OK",
    "ErrorCode": 0,
    "ErrorInfo": "",
    "FailAccounts": [
        "test3",
        "test4"
    ]
}
```

### 2.9 应答包字段说明 

| 字段  | 类型 | 说明 |
|---------|---------|---------|
| ActionStatus | String | 请求处理的结果，OK表示处理成功，FAIL表示失败。 |
| ErrorCode | Integer | 错误码。 |
| ErrorInfo | String | 错误信息。 |
| FailAccounts | Array | 导入失败的帐号列表 |

### 2.10 错误码说明 

除非发生网络错误(例如502错误),该接口的HTTP返回码均为200。真正的错误码、错误信息是通过应答包体中的ErrorCode、ErrorInfo来表示的。 
公共错误码（60000到79999）参见[REST API公共错误码](/doc/product/269/REST%20API简介#4-rest-api.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 
本API私有错误码如下： 

| 错误码 | 含义说明 | 
|---------|---------|
| 70402| 参数非法。请检查必填字段是否填充，或者字段的填充是否满足协议要求。 | 
| 70403 | 发起操作者不是[APP管理员](/doc/product/269/账号登录集成说明#3.4-app.E7.AE.A1.E7.90.86.E5.91.98)，没有权限操作。  | 

## 3 接口调试工具 

### 3.1 Web调试工具 

通过[REST API在线调试](https://avc.qcloud.com/im/APITester/APITester.html#v4/im_open_login_svc/multiaccount_import)工具调试本接口。

## 4 可能触发的回调 
无。

## 5 参考

无。