## 1 功能说明 

1.支持拉取好友和非好友的资料字段；</br>
2.支持拉取标配资料字段和自定义资料字段；</br>
3.建议每次拉取的用户数不超过100，避免因回包数据量太大导致回包失败。
 
## 2 接口调用说明 

### 2.1 请求URL 
```
https://console.tim.qq.com/v4/profile/portrait_get?usersig=xxx&identifier=admin&sdkappid=88888888&random=99999999&contenttype=json
```
### 2.2 请求参数 

URL中各参数的含义以及填写方式参见<a href="https://cloud.tencent.com/document/product/269/1519">REST API简介</a>。 

### 2.3 最高调用频率 

100次/秒。如需提升调用频率，请根据<a href="https://cloud.tencent.com/document/product/269/3916#2.15-rest-api.E8.B0.83.E7.94.A8.E9.A2.91.E7.8E.87.E8.B0.83.E6.95.B4">REST API调用频率调整</a>提交工单申请处理。

### 2.4 HTTP请求方式 

POST 

### 2.5 HTTP请求包体格式 

JSON 

### 2.6 请求包示例

#### 2.6.1 读一个用户的一个资料字段

```
{
    "To_Account":["id1"], 
    "TagList":
    [
        "Tag_Profile_IM_Nick"
    ]
}
```

#### 2.6.2 读一个用户的多个资料字段

```
{
    "To_Account":["id1"], 
    "TagList":
    [
        "Tag_Profile_IM_Nick",
        "Tag_Profile_IM_AllowType",
        "Tag_Profile_IM_SelfSignature",
        "Tag_Profile_Custom_888888_Test"
    ]
}
```

#### 2.6.3 读多个用户的一个资料字段

```
{
    "To_Account":["id1","id2","id3"], 
    "TagList":
    [
        "Tag_Profile_IM_Nick"
    ]
}
```

#### 2.6.4 读多个用户的多个资料字段

```
{
    "To_Account":["id1","id2","id3"], 
    "TagList":
    [
        "Tag_Profile_IM_Nick",
        "Tag_Profile_IM_AllowType",
        "Tag_Profile_IM_SelfSignature",
        "Tag_Profile_Custom_888888_Test"
    ]
}
```

### 2.7 请求包字段说明 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:15%;">字段</td>
			<td style="width:10%;">类型</td>
			<td style="width:10%;">属性</td>
			<td style="width:65%;">说明</td>
		</tr>
		<tr>
			<td>To_Account</td>
			<td>Array </td>
			<td>必填</td>
			<td>
				需要拉取这些Identifier的资料：<br />
				注意：每次拉取的用户数不得超过100，避免因回包数据量太大以致回包失败。
			</td>
		</tr>
		<tr>
			<td>TagList</td>
			<td>Array </td>
			<td>必填</td>
			<td>
				指定要拉取的资料字段的Tag，支持的字段有：</br>
				1、标配资料字段，详情可参见<a href="http://cloud.tencent.com/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#3-.E6.A0.87.E9.85.8D.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">标配资料字段</a>；<br />
				2、自定义资料字段，详情可参见<a href="http://cloud.tencent.com/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#4-.E8.87.AA.E5.AE.9A.E4.B9.89.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">自定义资料字段</a>。
			</td>
		</tr>
	</tbody>
</table>

### 2.8 应答包体示例

#### 2.8.1 读一个用户的一个资料字段

```
{
    "UserProfileItem":
    [
        {
            "To_Account":"id1",
            "ProfileItem":
            [
                {
                    "Tag":"Tag_Profile_IM_Nick",
                    "Value":"NickNameTest1"
                }
            ],
            "ResultCode":0,
            "ResultInfo":""
        }
    ],
    "Fail_Account":[],
    "Invalid_Account":[],
    "ActionStatus":"OK",
    "ErrorCode":0,
    "ErrorInfo":"",
    "ErrorDisplay":""
}
```

#### 2.8.2 读一个用户的多个资料字段

```
{
    "UserProfileItem":
    [
        {
            "To_Account":"id1",
            "ProfileItem":
            [
                {
                    "Tag":"Tag_Profile_IM_Nick",
                    "Value":"NickNameTest1"
                },
                {
                    "Tag":"Tag_Profile_IM_AllowType",
                    "Value":"AllowType_Type_NeedConfirm"
                },
                {
                    "Tag":"Tag_Profile_IM_SelfSignature",
                    "Value":"I'm Test1"
                },
                {
                    "Tag":"Tag_Profile_Custom_888888_Test",
                    "Value":"Custom Data1"
                }
            ],
            "ResultCode":0,
            "ResultInfo":""
        }
    ],
    "Fail_Account":[],
    "Invalid_Account":[],
    "ActionStatus":"OK",
    "ErrorCode":0,
    "ErrorInfo":"",
    "ErrorDisplay":""
}
```

#### 2.8.3 读多个用户的一个资料字段

```
{
    "UserProfileItem":
    [
        {
            "To_Account":"id1",
            "ProfileItem":
            [
                {
                    "Tag":"Tag_Profile_IM_Nick",
                    "Value":"NickNameTest1"
                }
            ],
            "ResultCode":0,
            "ResultInfo":""
        },
        {
            "To_Account":"id2",
            "ProfileItem":
            [
                {
                    "Tag":"Tag_Profile_IM_Nick",
                    "Value":"NickNameTest2"
                }
            ],
            "ResultCode":0,
            "ResultInfo":""
        },
        {
            "To_Account":"id3",
            "ProfileItem":
            [
                {
                    "Tag":"Tag_Profile_IM_Nick",
                    "Value":"NickNameTest3"
                }
            ],
            "ResultCode":0,
            "ResultInfo":""
        }
    ],
    "Fail_Account":[],
    "Invalid_Account":[],
    "ActionStatus":"OK",
    "ErrorCode":0,
    "ErrorInfo":"",
    "ErrorDisplay":""
}
```

#### 2.8.4 读多个用户的多个资料字段

```
{
    "UserProfileItem":
    [
        {
            "To_Account":"id1",
            "ProfileItem":
            [
                {
                    "Tag":"Tag_Profile_IM_Nick",
                    "Value":"NickNameTest1"
                },
                {
                    "Tag":"Tag_Profile_IM_AllowType",
                    "Value":"AllowType_Type_NeedConfirm"
                },
                {
                    "Tag":"Tag_Profile_IM_SelfSignature",
                    "Value":"I'm Test1"
                },
                {
                    "Tag":"Tag_Profile_Custom_888888_Test",
                    "Value":"Custom Data1"
                }
            ],
            "ResultCode":0,
            "ResultInfo":""
        },
        {
            "To_Account":"id2",
            "ProfileItem":
            [
                {
                    "Tag":"Tag_Profile_IM_Nick",
                    "Value":"NickNameTest2"
                },
                {
                    "Tag":"Tag_Profile_IM_AllowType",
                    "Value":"AllowType_Type_DenyAny"
                },
                {
                    "Tag":"Tag_Profile_IM_SelfSignature",
                    "Value":"I'm Test2"
                },
                {
                    "Tag":"Tag_Profile_Custom_888888_Test",
                    "Value":"Custom Data2"
                }
            ],
            "ResultCode":0,
            "ResultInfo":""
        },
        {
            "To_Account":"id3",
            "ProfileItem":
            [
                {
                    "Tag":"Tag_Profile_IM_Nick",
                    "Value":"NickNameTest3"
                },
                {
                    "Tag":"Tag_Profile_IM_AllowType",
                    "Value":"AllowType_Type_AllowAny"
                },
                {
                    "Tag":"Tag_Profile_IM_SelfSignature",
                    "Value":"I'm Test3"
                },
                {
                    "Tag":"Tag_Profile_Custom_888888_Test",
                    "Value":"Custom Data3"
                }
            ],
            "ResultCode":0,
            "ResultInfo":""
        }
    ],
    "Fail_Account":[],
    "Invalid_Account":[],
    "ActionStatus":"OK",
    "ErrorCode":0,
    "ErrorInfo":"",
    "ErrorDisplay":""
}
```

### 2.9 应答包字段说明 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:15%;">字段</td>
			<td style="width:10%;">类型</td>
			<td style="width:65%;">说明</td>
		</tr>
		<tr>
			<td>UserProfileItem </td>
			<td>Array </td>
			<td>返回的用户资料结构化信息。</td>
		</tr>
		<tr>
			<td>To_Account </td>
			<td>String </td>
			<td>返回的用户的Identifier。</td>
		</tr>
		<tr>
			<td>ProfileItem </td>
			<td>Array </td>
			<td>返回的用户的资料对象数组，数组中每一个对象都包含了Tag和Value。</td>
		</tr>
		<tr>
			<td>Tag </td>
			<td>String </td>
			<td>
				返回的资料对象的名称：</br>
				1、标配资料字段，详情可参见<a href="http://cloud.tencent.com/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#3-.E6.A0.87.E9.85.8D.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">标配资料字段</a>；<br />
				2、自定义资料字段，详情可参见<a href="http://cloud.tencent.com/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#4-.E8.87.AA.E5.AE.9A.E4.B9.89.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">自定义资料字段</a>。
			</td>
		</tr>
		<tr>
			<td>Value </td>
			<td>uint64_t/string/bytes </td>
			<td>
				拉取的资料对象的值，详情可参见<a href="http://cloud.tencent.com/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#2-.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">资料字段</a>。
			</td>
		</tr>
		<tr>
			<td>ResultCode </td>
			<td>Integer </td>
			<td>返回的单个用户的结果，0表示正确，非0表示错误。</td>
		</tr>
		<tr>
			<td>ResultInfo </td>
			<td>String </td>
			<td>返回的单个用户的结果详细信息。</td>
		</tr>
		<tr>
			<td>Fail_Account </td>
			<td>Array </td>
			<td>返回处理失败的用户列表。</td>
		</tr>
		<tr>
			<td>Invalid_Account </td>
			<td>Array </td>
			<td>返回请求包中的非法用户列表。</td>
		</tr>
		<tr>
			<td>ActionStatus </td>
			<td>String </td>
			<td>请求处理的结果，“OK”表示处理成功，“FAIL”表示失败。</td>
		</tr>
		<tr>
			<td>ErrorCode </td>
			<td>Integer </td>
			<td>错误码。</td>
		</tr>
		<tr>
			<td>ErrorInfo </td>
			<td>String </td>
			<td>详细错误信息。</td>
		</tr>
		<tr>
			<td>ErrorDisplay </td>
			<td>String </td>
			<td>详细的客户端展示信息。</td>
		</tr>
	</tbody>
</table>

### 2.10 错误码说明 

除非发生网络错误（例如502错误），该接口的HTTP返回码均为200。真正的错误码、错误信息是通过应答包体中的ErrorCode、ErrorInfo来表示的。 
公共错误码（60000到79999）参见<a href="https://cloud.tencent.com/document/product/269/1671#rest-api.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81">REST API公共错误码</a>。 
本API私有错误码如下： 

<table style="display:table;width:100%">
	<tbody>
		<tr style="background:#C2D3FC;border:1px solid blue;">
			<td style="width:5%;">错误码</td>
			<td style="width:95%;">详细错误信息</td>
		</tr>
		<tr>
			<td>40001</td>
			<td>
				资料系统解包失败：<br />
				如果是REST API返回的错误码，请对照REST API介绍文档仔细检查请求包格式；<br />
				如果是非REST API返回的错误，请联系技术客服。
			</td>
		</tr>
		<tr>
			<td>40002</td>
			<td>
				帐号为空：<br />
				如果是REST API返回的错误码请对照REST API介绍文档仔细检查请求包格式；<br />
				如果是非REST API返回的错误请联系技术客服。
			</td>
		</tr>
		<tr>
			<td>40003</td>
			<td>帐号非法，请检查帐号的合法性或联系技术客服。</td>
		</tr>
		<tr>
			<td>40004</td>
			<td>来自REST API的请求，但是不具备管理员权限，请联系技术客服。</td>
		</tr>
		<tr>
			<td>40007</td>
			<td>读资料字段权限受限，请确认当前用户的读权限或联系技术客服。</td>
		</tr>
		<tr>
			<td>40801</td>
			<td>
				请求包中指定的资料对象的名称非法 ，请确认对象名称的合法性：</br>
				1、标配资料字段，详情可参见<a href="http://cloud.tencent.com/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#3-.E6.A0.87.E9.85.8D.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">标配资料字段</a>；<br />
				2、自定义资料字段，详情可参见<a href="http://cloud.tencent.com/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#4-.E8.87.AA.E5.AE.9A.E4.B9.89.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">自定义资料字段</a>。
			</td>
		</tr>
		<tr>
			<td>40802</td>
			<td>获取标配资料字段的任务出错，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>40803</td>
			<td>获取标配资料字段时解包出错，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>40804</td>
			<td>
				请求包中指定的资料对象的名称非法 ，请确认对象名称的合法性：</br>
				1、标配资料字段，详情可参见<a href="http://cloud.tencent.com/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#3-.E6.A0.87.E9.85.8D.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">标配资料字段</a>；<br />
				2、自定义资料字段，详情可参见<a href="http://cloud.tencent.com/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#4-.E8.87.AA.E5.AE.9A.E4.B9.89.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5">自定义资料字段</a>。
			</td>
		</tr>
		<tr>
			<td>40805</td>
			<td>获取自定义资料字段的任务出错，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>40806</td>
			<td>自定义资料字段的长度非法，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>40808</td>
			<td>获取标配资料字段失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>40810</td>
			<td>获取自定义资料字段失败，请再次尝试或联系技术客服。</td>
		</tr>
		<tr>
			<td>40812</td>
			<td>获取缺省标配资料字段失败，请再次尝试或联系技术客服。</td>
		</tr>
	</tbody>
</table>

## 3 接口调试工具 

### 3.1 Web调试工具 

通过<a href="https://avc.cloud.tencent.com/im/APITester/APITester.html#v4/profile/portrait_get">REST API调试工具</a>调试本接口。

### 3.2 Server调试工具 

可以通过<a href="https://cloud.tencent.com/document/product/269/1538">PHP Server SDK</a>中的调试工具进行简单的REST API调试，命令如下： 
```
# 获取用户资料
./TimRestApiGear.php profile portrait_get (account_id)
```

更多调试工具可参见<a href="https://avc.cloud.tencent.com/im/APITester/APITester.html">REST API调试工具</a>。

## 4 API集成 

### 4.1 PHP集成 

在云通信<a href="https://cloud.tencent.com/document/product/269/1538">PHP Server SDK</a>中，可以通过TimRestInterface的如下成员函数快速集成该API： 
```
// 获取用户资料
abstract function profile_portrait_get($account_id);

// 获取用户资料(高级接口)
abstract function profile_portrait_get2($account_list, $tag_list);
```

## 5 可能触发的回调 

无 

## 6 参考 

REST API：<a href="https://cloud.tencent.com/document/product/269/1640">设置资料</a>
