## 1 功能说明 

 APP管理员可以通过该接口拉取最近30天的运营数据，可拉取的字段见[后面](/doc/product/269/拉取运营数据#2.11-.E5.8F.AF.E6.8B.89.E5.8F.96.E7.9A.84.E8.BF.90.E8.90.A5.E5.AD.97.E6.AE.B5)。
 
## 2 接口调用说明 

### 2.1 请求URL 

```
https://console.tim.qq.com/v4/openconfigsvr/getappinfo?usersig=xxx&identifier=admin&sdkappid=88888888&random=99999999&contenttype=json
```

### 2.2 请求参数 

URL中各参数的含义以及填写方式参见[REST API简介](/doc/product/269/REST API简介)。 

### 2.3 最高调用频率 

100次/秒。如需提升调用频率，请根据[工单模板](/doc/product/269/云通信配置变更需求工单#2.15-rest-api.E8.B0.83.E7.94.A8.E9.A2.91.E7.8E.87.E8.B0.83.E6.95.B4)提交工单申请处理。 

### 2.4 HTTP请求方式 

POST 

### 2.5 HTTP请求包体格式 

JSON 

### 2.6 请求包示例

支持查询appid的最近30天的运营数据。 

#### 2.6.1 基础形式

默认拉取所有字段
```
{}
```

#### 2.6.2 指定拉取字段

用RequestField指定需要拉取的字段。
```
{
    "RequestField":[
        "ChainIncrease",
        "ChainDecrease"
    ]
}
```

### 2.7 请求包字段说明 

| 字段 | 类型 | 属性 | 说明 |
|---------|---------|---------|---------|
| RequestField | Array | 选填 |该字段用来指定需要拉取的运营数据。不填默认拉取所有字段。点击查看[可拉取的运营字段](/doc/product/269/拉取运营数据#2.11-.E5.8F.AF.E6.8B.89.E5.8F.96.E7.9A.84.E8.BF.90.E8.90.A5.E5.AD.97.E6.AE.B5) 。|

### 2.8 应答包体示例

#### 2.8.1 基础形式

```
{
    "ErrorCode": 0,
    "ErrorInfo": "OK",
    "Result": [
        {
            "APNSMsgNum": "84",
            "ActiveUserNum": "2014",
            "AppId": "1104620500",
            "AppName": "实时通信场景体验版",
            "C2CAPNSMsgNum": "84",
            "C2CDownMsgNum": "11040",
            "C2CSendMsgUserNum": "9",
            "C2CUpMsgNum": "52209",
            "CallBackReq": "73069",
            "CallBackRsp": "72902",
            "ChainDecrease": "16",
            "ChainIncrease": "18",
            "Company": "林野",
            "Date": "20160607",
            "DownMsgNum": "11869",
            "GroupAPNSMsgNum": "0",
            "GroupAllGroupNum": "41913",
            "GroupDestroyGroupNum": "35019",
            "GroupDownMsgNum": "829",
            "GroupJoinGroupTimes": "121438",
            "GroupNewGroupNum": "35904",
            "GroupQuitGroupTimes": "108292",
            "GroupSendMsgGroupNum": "5189",
            "GroupSendMsgUserNum": "12",
            "GroupUpMsgNum": "8433",
            "LoginTimes": "13708",
            "LoginUserNum": "2094",
            "MaxOnlineNum": "62",
            "QQ": "2819697038",
            "RegistUserNumOneDay": "1052",
            "RegistUserNumTotal": "53091",
            "SendMsgUserNum": "19",
            "TextMsgInNum": "2",
            "TextMsgOutNum": "0",
            "UpMsgNum": "60642",
            "VoiceMsgInNum": "0",
            "VoiceMsgOutNum": "0"
        }
```

#### 2.8.2 指定拉取字段

```
{
    "ErrorCode":0,
    "ErrorInfo":"OK",
    "Result":[{
            "ChainDecrease":"8",
            "ChainIncrease":"8",
            "Date":"20160605"
        },
        {
            "ChainDecrease":"17",
            "ChainIncrease":"17",
            "Date":"20160604"
        }
    ]
}
```

### 2.9 应答包字段说明 

| 字段 | 类型 | 说明 |
|---------|---------|---------|
| Result | Array | 请求最近30天的运营数据。 |
| ErrorCode | Integer | 错误码。  |
| ErrorInfo | String  | 错误信息。   |

### 2.10 错误码说明 

除非发生网络错误（例如502错误），该接口的HTTP返回码均为200。真正的错误码、错误信息是通过应答包体中的ErrorCode、ErrorInfo来表示的。 
公共错误码（60000到79999）参见[REST API公共错误码](/doc/product/269/错误码#rest-api.E5.85.AC.E5.85.B1.E9.94.99.E8.AF.AF.E7.A0.81)。 
本API私有错误码如下： 

| 错误码 | 含义说明| 
|---------|---------|
| 130001 | 请求包json解析错误。 | 
| 130009 | sql open错误。 | 
| 130010 | sql ping错误。 | 
| 130011 | sql查询错误。 | 
| 130012 | sql结果解析错误。| 

### 2.11 可拉取的运营字段

| 字段 | 说明 |
|---------|---------|
|AppName|应用名称|
|AppId|应用AppId|
|Company|所属客户名称|
|QQ|所属客户QQ|
|ActiveUserNum|活跃用户数|
|RegistUserNumOneDay|新增注册人数|
|RegistUserNumTotal|累计注册人数|
|LoginTimes|登录次数|
|LoginUserNum|登录人数|
|UpMsgNum|上行消息数|
|DownMsgNum|下行消息数|
|SendMsgUserNum|发消息人数|
|APNSMsgNum|APNS推送数|
|C2CUpMsgNum|上行消息数（C2C）|
|C2CDownMsgNum|下行消息数（C2C）|
|C2CSendMsgUserNum|发消息人数（C2C）|
|C2CAPNSMsgNum|APNS推送数（C2C）|
|MaxOnlineNum|最高在线人数|
|ChainIncrease|关系链对数增加量|
|ChainDecrease|关系链对数删除量|
|GroupUpMsgNum|上行消息数（群）|
|GroupDownMsgNum|下行消息数（群）|
|GroupSendMsgUserNum|发消息人数（群）|
|GroupAPNSMsgNum|APNS推送数（群）|
|GroupSendMsgGroupNum|发消息群组数|
|GroupJoinGroupTimes|入群总数|
|GroupQuitGroupTimes|退群总数|
|GroupNewGroupNum|新增群组数|
|GroupAllGroupNum|累计群组数|
|GroupDestroyGroupNum|解散群个数|
|TextMsgInNum|文字短信国内下发量|
|TextMsgOutNum|文字短信国外下发量|
|VoiceMsgInNum|国内语音验证码下发回调量|
|VoiceMsgOutNum|国外语音验证码下发回调量|
|CallBackReq|回调请求数|
|CallBackRsp|回调应答数|

## 3 接口调试工具 

### 3.1 Web调试工具 

通过[REST API在线调试工具](https://avc.qcloud.com/im/APITester/APITester.html#v4/openconfigsvr/getappinfo)调试本接口。 

### 3.2 Server调试工具 

无。
更多调试工具参见[REST API调试工具](/doc/product/269/REST%20API简介#5-rest-api.E8.B0.83.E8.AF.95.E5.B7.A5.E5.85.B7)。

## 4 API集成 

### 4.1 PHP集成 

无。

## 5 可能触发的回调 

无。

## 6 参考 

无。


