## 1 内容提要

所谓[第三方回调](/doc/product/269/第三方回调简介)，即云通信后台会在某一事件发生之前或者之后，向APP的后台服务器发送请求，APP后台可以据此进行必要的数据同步，或者干预事件的后续处理流程。云通信目前支持的回调请参见[回调命令列表](/doc/product/269/回调命令列表)。

通过本文档的阅读，您将了解到：

1. 回调方式；
1. 启用回调之前的准备工作；
1. 如何配置回调；
1. 回调不通时如何自助排查问题。

在接下来的内容中，我们使用如下案例来介绍接入第三方回调的流程：

1. 回调URL为`https://www.example.com/imcallback` ；
1. 需要启用“群内发言之前回调”以及“单发消息之前回调”，目的是实时记录APP中用户的发消息情况。

## 2 回调方式

第三方回调将通过HTTP/HTTPS请求的方式发送给APP后台服务器，回调链路的安全问题参见[安全考虑](/doc/product/269/第三方回调简介#4-.E5.AE.89.E5.85.A8.E8.80.83.E8.99.91)。APP后台服务器需要处理云通信的回调请求并尽快进行应答。以[群内发言之前回调](/doc/product/269/群内发言之前回调)为例，回调业务流程如下图所示：

![](//avc.qcloud.com/wiki2.0/im/imgs/20151118063020_40179.png)

## 3 如何配置回调

回调的配置包含两个方面：

1. 配置回调URL；
1. 选择启用哪些回调。

这两方面的配置均可以在控制台中自助完成。在控制台中点击应用最右侧的“更多”->“回调配置”：

![](//avc.qcloud.com/wiki2.0/im/imgs/20151202030737_22526.png)

进入如下页面：

![](//avc.qcloud.com/wiki2.0/im/imgs/20151202030807_41275.png)


### 3.1 配置回调URL

点击“添加回调URL”来配置回调URL。完成回调URL的配置之后，您还可以点击“更改URL”来变更回调URL。

注意：

1. 回调URL必须以`http://`或者`https://`开头；
1. 如果您暂未申请域名，亦可直接配置IP，例如：`http://123.123.123.123/imcallback`；
1. 回调链路的安全强度有三种：①http回调，②https回调，③https双向认证回调，安全强度依次增强（详见[安全考虑](/doc/product/269/第三方回调简介#4-.E5.AE.89.E5.85.A8.E8.80.83.E8.99.91)）；目前暂不支持https双向认证回调的自助配置。如果您需要启用https双向认证以达到最高的安全级别，请联系商务经理提[需求工单](/doc/product/269/云通信配置变更需求工单#2.16-https.E8.AF.81.E4.B9.A6.E7.AD.BE.E5.8F.91)。

### 3.2 选择启用哪些回调

单击“事件回调配置”后的“编辑”按钮，选中“群内发消息之前”和“C2C消息回调”，并保存。

配置完成后，回调的状态如下所示：

![](//avc.qcloud.com/wiki2.0/im/imgs/20151202031606_52450.jpg)

至此，第三方回调便配置完成，将在5分钟内生效。

## 4 回调不通时如何自助排查问题

如果遇到回调不通的问题，建议APP先依照如下清单排查一下自己的回调服务是否存在问题：

<table style="width:100%;" >
		<tbody>
			<tr>
				<td style="background-color:#CCCCCC;">
					回调不通的症状<br>
				</td>
				<td style="background-color:#CCCCCC;">
					可能存在的原因<br>
				</td>
			</tr>
			<tr>
				<td rowspan="3">
					回调URL访问超时<br>
				</td>
				<td>
					<p>
						云通信后台无法完成DNS解析，请确认该域名是否在公网生效。
					</p>
					<p>
						例如，回调HOST为http://notexist.com，该域名不存在，通信后台无法完成DNS解析。<span style="line-height:1.5;"></span> 
					</p>
				</td>
			</tr>
			<tr>
				<td>
					<p>
						云通信无法访问到回调URL中配置的IP，请确认该IP是否从公网可达。
					</p>
					<p>
						例如，回调HOST为http://10.0.0.1，该域名为APP内网IP，云通信后台无法访问到该IP。<span style="line-height:1.5;"></span> 
					</p>
				</td>
			</tr>
			<tr>
				<td>
					<p>
						APP回调服务防火墙策略限制，请检查防火墙配置。
					</p>
					<p>
						例如，APP回调服务器拒绝了所有到达80端口的请求。<span style="line-height:1.5;"></span> 
					</p>
				</td>
			</tr>
			<tr>
				<td>
					回调服务拒绝访问<br>
				</td>
				<td>
					<p>
						云通信后台可以访问到HOST，但链接建立失败，请确认WebServer已经正确启动。
					</p>
					<p>
						例如：APP回调服务器的WebServer并未启动，或者端口配置错误。<span style="line-height:1.5;"></span> 
					</p>
				</td>
			</tr>
			<tr>
				<td>
					回调服务HTTPS证书配置错误<br>
				</td>
				<td>
					回调方式为HTTPS（或HTTPS双向认证），云通信后台能够访问到APP回调服务器，但判定APP WebServer配置的证书非法。请确定HTTPS证书配置正确。<br>
				</td>
			</tr>
			<tr>
				<td>
					回调服务HTTPS双向认证配置错误<br>
				</td>
				<td>
					回调方式为HTTPS双向认证，云通信校验APP回调服务器的证书合法，但APP回调服务器校验云通信的证书失败。<br>
				</td>
			</tr>
			<tr>
				<td>
					回调服务HTTP返回码非200<br>
				</td>
				<td>
					回调请求成功，但应答报文中的HTTP返回码非200。<br>
				</td>
			</tr>
			<tr>
				<td>
					回调应答包体解析失败<br>
				</td>
				<td>
					回调请求包体非JSON格式。<br>
				</td>
			</tr>
		</tbody>
	</table>
