## 1 应用场景

### 1.1 APP内双人聊天

单聊消息适用于APP内双人聊天，类似QQ好友、微信好友的聊天方式。

### 1.2 管理员后台发送消息

单聊消息可以由APP管理员再后台发送消息，也可以模拟其他用户身份发送消息。

### 1.3 模拟系统消息

通过APP管理员后台发送消息，可以模拟系统消息，以系统消息形式给用户下达通知。APP端收到APP管理员自定义消息可做特殊处理。

## 2 发送单聊消息

### 2.1 通过ImSDK发送单聊消息

通过ImSDK发送消息，首先根据目标用户的identifier，获取对应会话，再调用客户端接口sendMessage发送消息，目前SDK内部发送消息不会判断是否好友关系，有需要判断好友关系场景，需要APP拉取好友列表或者通过检查是否好友关系接口进行判断后发送。另外可以通过提单：[单聊消息校验好友关系](/doc/product/269/云通信配置变更需求工单#2.17-.E5.8D.95.E8.81.8A.E6.B6.88.E6.81.AF.E6.A0.A1.E9.AA.8C.E5.85.B3.E7.B3.BB.E9.93.BE) 强制校验好友关系。

参见：
- [Android 收发消息](/doc/product/269/消息收发（Android%20SDK）)
- [iOS 收发消息](/doc/product/269/消息收发（iOS%20SDK）)
- [Windows 收发消息](/doc/product/269/消息收发（Windows%20SDK）)
- [Web 收发消息](/doc/product/269/消息收发（Web%20SDK）)

### 2.2 通过REST API发送消息

使用REST API可以使用APP管理员身份给用户发送消息，另外在特殊场景，也可以使用普通用户身份作为发送方发送消息。

参见：
- [Rest API 发送消息](/doc/product/269/单发单聊消息)

## 3 接收单聊消息

### 3.1 ImSDK 内接收单聊消息

ImSDK 接收消息都是通过统一回调接口 onNewMessage 返回，通过 onNewMessage 回调获得消息后，能根据消息获取相应的会话。

参见：
- [Android 消息接收](/doc/product/269/消息收发（Android%20SDK）#2-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)
- [iOS 消息接收](/doc/product/269/消息收发（iOS%20SDK）#2.-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)
- [Windows 消息接收](/doc/product/269/消息收发（Windows%20SDK）#2.-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)
- [WebSDK 初始化新消息回调](/doc/product/269/初始化（Web%20SDK）)

### 3.2 ImSDK 离线消息

发送者发消息时，如果接收方不在线，IM Server会对消息进行暂存，存储时常默认为7天，当接收方7天内登陆时，可以通过 onNewMessage 回调获取到离线消息。

ImSDK 的在线消息和离线消息，都是通过onNewMessage回调，在登陆成功以后，SDK会先拉取离线消息，通过onNewMessage回调，离线消息完成以后，会通过onRefresh回调通知。可在此时刷新页面。

### 3.3 ImSDK 本地消息

在ImSDK接收到消息后，默认情况下会对消息进行缓存和存储（如果不需要，可以调用disableStorage接口进行存储禁用，提升性能），各个终端通过调用getMessage接口可以获取本地的记录（开启漫游的情况下，还可以获取Server漫游的消息）

- [Android 获取消息](/doc/product/269/消息收发（Android%20SDK）#4.3-.E8.8E.B7.E5.8F.96.E4.BC.9A.E8.AF.9D.E6.9C.AC.E5.9C.B0.E6.B6.88.E6.81.AF)
- [iOS 获取消息](/doc/product/269/消息收发（iOS%20SDK）#4.3-.E8.8E.B7.E5.8F.96.E4.BC.9A.E8.AF.9D.E6.9C.AC.E5.9C.B0.E6.B6.88.E6.81.AF)
- [Windows 获取消息](/doc/product/269/消息收发（Windows%20SDK）#4.3-.E8.8E.B7.E5.8F.96.E4.BC.9A.E8.AF.9D.E6.9C.AC.E5.9C.B0.E6.B6.88.E6.81.AF)

## 4 单聊权限控制

### 4.1 APP内任意两个用户之间发送单聊消息

APP内不进行好友关系的判断，任意两个用户默认是可以随意发消息。若接入方关系链已经导入至腾讯云IM侧，也可以提工单配置默认发送消息权限为仅好友关系才能收发消息。

### 4.2 APP管理员发送单聊消息

APP内管理员可以给任意用户发送单聊消息。

### 4.3 只允许给好友发送消息

目前ImSDK以及Server默认情况下在发消息时不会对关系链进行判断，需要APP再本地获取关系链或者通过接口判断是否好友决定是否发送。

若接入方关系链已经导入至腾讯云IM侧，也可以提工单配置默认发送消息权限为仅好友关系才能收发消息。

### 4.4 拒绝来自某人的消息

如果想要拒绝来自某人的消息，可以用过黑名单进行控制。加用户为黑名单之后，对方发消息会显示成功，但消息会被丢弃，接收方无法接收消息。另外，在加用户黑名单时，如果之前是好友关系，会自动解除好友。

目前提供两种设置黑名单方式：
- 通过ImSDK设置黑名单，参考此[文档](/doc/product/269/9153#5.5-.E6.B7.BB.E5.8A.A0.E7.94.A8.E6.88.B7.E5.88.B0.E9.BB.91.E5.90.8D.E5.8D.9518)。
- 通过REST API设置黑名单，参考此[文档](/doc/product/269/3718)。

## 5 获取聊天记录

### 5.1 发消息之后回调

如果要获取实时聊天记录，可以通过消息回调，选择在单发消息后回调，获取消息并记录。

参见：
- [单发消息后回调](/doc/product/269/发单聊消息之后回调)

### 5.2 消息记录下载

如不需要实时获取记录，可以通过接口定时下载记录，消息记录接口和存储时长，可参见接口说明中的描述。

参见：
- [消息记录下载](/doc/product/269/消息记录下载)

## 6 多终端同步

该功能目前处于内测中。

默认情况下，无法同时登录多个终端，通过提单配置后，可以允许多平台同时登录，会在多个终端尽量保持消息的完整性，另外，在默认情况下，用户在多个终端之间切换登录，也无法保证所有终端消息的一致性，需要提需求工单进行配置。

配置后，可实现在多个终端切换，或者同时登录多个终端的情况下，保持消息内容的一致性。（由于Server存储消息的时长以及空间问题，只能保证大多数情况下一致性。）

## 7 单聊消息的离线推送

### 7.1 APNs 离线推送

ImSDK 默认支持 APNs 离线推送，在控制台上传对应推送证书，客户端上报Token后，可以收到苹果推送。通过自定义TIMCustomElem的Ext字段可以指定推送内容的ext字段，方便用户点击后跳转；通过sound字段，可以自定义某条消息的声音。可参见appledoc说明。

如果需要自定义接收声音，可以调用接口设置单聊推送声音。

APNs离线推送形式为：

昵称：内容

参见：
- [iOS 客户端推送设置](/doc/product/269/离线推送（iOS%20SDK）)

### 7.2 Android 离线推送

在Android 1.8.0 以后版本，ImSDK支持离线推送。

## 8 单聊消息中携带发送者资料

目前单聊消息中并未携带发送者昵称，如果需要可通过方法 GetUserProfile 获取昵称和头像等资料，如果是好友关系，可以通过 GetFriendProfile 获取好友相关的资料，比如备注、分组等信息。

- [Android 用户资料](/doc/product/269/用户资料与关系链（Android%20SDK）)
- [iOS 用户资料](/doc/product/269/用户资料与关系链（iOS%20SDK）)
- [Windows 用户资料](/doc/product/269/用户资料与关系链（Windows%20SDK）)
- [Web SDK 用户资料](/doc/product/269/用户资料（Web%20SDK）)

## 9 单聊离线消息处理流程

![](//mc.qcloudimg.com/static/img/e6aa14e6fb7844dc99635dc45687da1e/image.png)
单聊消息离线及漫游处理流程：
1. 用户A调用sendMessage给用户B发送消息，用户B处于下线状态。
	1.1 把用户A添加进用户B的最近联系人，缓存大小为100条。
	1.2 把消息存入离线缓存中，缓存大小30K，时间限制7天。
	1.3 把消息存入漫游服务器中，时间限制7天。
1. 用户B调用login接口登录腾讯云。
1. SDK自动拉取离线缓存中的消息，通过OnNewMessage抛出。
1. SDK自动拉取最近联系人，通过OnNewMessage接口抛出。
1. 同步消息过程完成，通过OnRefresh接口通知用户已完成消息同步。
1. 用户调用getMessage，如果本地消息不完整，SDK自动拉漫游服务器。
