## 1. 术语约定

### 1.1 在线
所谓在线，是指客户端和云通信服务器保持有顺畅的TCP网络连接，客户端可以发消息给云通信服务端，也可以收到来自云通信服务端推送的消息。

APP启动后，客户端和云通信建立TCP长连接，云通信服务保存客户端的在线信息，如客户端的网络链路，客户端的平台版本等。APP长连接建立成功后，在运行过程中，IMSDK会定时发送心跳来维持当前的在线状态。iOS客户端和云通信的TCP链路断开后，还可以收到苹果推送的消息，但是还是处于不在线的状态。

### 1.2 上线
所谓上线，APP客户端和云通信服务建立TCP长链接的动作。

### 1.3 下线
所谓下线，包括两种场景：
1. APP客户端退出登陆；
2. 云通信服务器检测到与APP客户端的TCP长连接断开。服务器依赖心跳包超时判断，当客户端和服务器之间持续400秒没有心跳包时，云通信服务器认为该用户异常下线（Android版本较多出现此情况）。

注意：在线、上线、下线这几个概念，唯一的判断标准是客户端与云通信后台是否保持网络链接。对于iOS平台，即使用户不在线，仍然有可能收到来自云通信后台的APNs推送。

## 2. 查询用户在线状态

APP后台可以通过[REST API：获取用户在线状态](/doc/product/269/获取用户在线状态)来查询一批用户的在线状态。

ImSDK暂时无法获取用户的在线状态。

## 3. 用户在线状态变更通知

云通信可以把用户上下线的事件通知给APP后台，参见：
[状态变更回调](/doc/product/269/状态变更回调)。