## 1 应用场景
在APP的日常运营过程中，经常需要向一大批用户甚至全部用户发送消息。针对不同的应用场景，我们提供了如下几种解决方案：

1. 向一批用户发送消息消息（指定账号）；
2. 向APP中的所有用户发送消息；
3. 向APP中符合特定条件的用户发送消息。

批量发消息的接口均不会触发第三方回调。

## 2 向一批用户发送消息

[REST API：批量发单聊消息](/doc/product/269/批量发单聊消息)。

## 3 向APP中的所有用户发送消息

[消息推送服务](/doc/product/269/消息推送服务)。

## 4 向APP中满足特定条件的用户发送消息

参见：
[消息推送服务](/doc/product/269/消息推送服务)。

## 5 ImSDK接收推送消息

ImSDK 接收消息都是通过统一回调接口 onNewMessage 返回，通过 onNewMessage 回调获得消息后，能根据消息获取相应的会话。

参见：
- [Android 新消息通知](/doc/product/269/初始化（Android%20SDK）#2-.E6.96.B0.E6.B6.88.E6.81.AF.E9.80.9A.E7.9F.A5)
- [iOS 新消息通知](/doc/product/269/初始化（iOS%20SDK）#2.-.E6.96.B0.E6.B6.88.E6.81.AF.E9.80.9A.E7.9F.A5)
- [Windows 新消息通知](/doc/product/269/初始化（Windows%20%20SDK）#4.-.E6.96.B0.E6.B6.88.E6.81.AF.E9.80.9A.E7.9F.A5)
- [WebSDK 初始化新消息回调](/doc/product/269/初始化（Web%20SDK）)