
## 1 接入服务——HTTP头部字段说明
APP通过QAL SDK发起CS请求之后，网络接入服务将该请求转发到APP后台服务。APP后台收到的将是标准的http/https请求。为方便APP后台获取请求方的各种信息，APP后台收到的http请求中，http头部将会携带如下信息。

<table class="table table-bordered">
<tr><td width="21%">HTTP Header</td><td>说明</td><td width="34%">例子</td></tr>
<tr><td>X-Forwarded-For</td><td>用户的网关IP</td><td>X-Forwarded-For: 14.17.43.51</td></tr>
<tr><td>QAL-Identifier</td><td>每个终端每个应用的唯一ID</td><td>QAL-Identifier: @v_tls#tarqqnwfrcdx</td></tr>
<tr><td>QAL-Req-Seq-No</td><td>每个请求唯一序列号</td><td>QAL-Req-Seq-No: 39134</td></tr>
<tr><td>QAL-SDK-App-Id</td><td>应用的sdkappid</td><td>QAL-SDK-App-Id: 1600190028</td></tr>
<tr><td>QAL-SDK-Version</td><td>QAL SDK的版本</td><td>QAL-SDK-Version: 1.3.0</td></tr>
<tr><td>QAL-App-Version</td><td>应用的版本</td><td>QAL-App-Version: 5.3.1</td></tr>
<tr><td>QAL-App-Channel</td><td>应用的渠道</td><td>QAL-App-Channel: yingyongbao</td></tr>
<tr><td>QAL-APN</td><td>WiFi网络值是wifi，移动网络则是运营商的APN</td><td>QAL-APN: wifi</td></tr>
<tr><td>QAL-RAT</td><td>无线网络接入技术(Radio Access Technology)，有效值：UNKNOWN、GPRS、EDGE、UMTS、CDMA、EVDO Rel. 0、EVDO Rev. A、1xRTT、HSDPA、HSUPA、HSPA、iDEN、EVDO Rev. B、LTE、eHRPD、HSPA+、CDMA1x、WCDMA、Undefine</td><td>QAL-RAT: LTE</td></tr>
<tr><td>QAL-RAT-Generation</td><td>第几代无线网络接入技术，有效值：2、3、4</td><td>QAL-RAT-Generation: 4</td></tr>
<tr><td>QAL-OS</td><td>操作系统，有效值：Android、iOS、OS X、Windows Phone</td><td>QAL-OS: Android</td></tr>
<tr><td>QAL-OS-Version</td><td>操作系统版本</td><td>QAL-OS-Version: 4.3</td></tr>
<tr><td>QAL-Device</td><td>设备型号</td><td>QAL-Device: Lenovo A788t</td></tr>
<tr><td>QAL-Brand</td><td>设备品牌</td><td>QAL-Brand: Lenovo</td></tr>
<tr><td>QAL-Screen-Width</td><td>屏幕宽度</td><td>QAL-Screen-Width: 480</td></tr>
<tr><td>QAL-Screen-Height</td><td>屏幕高度</td><td>QAL-Screen-Height: 854</td></tr>
<tr><td>QAL-IMEI</td><td>国际移动设备标识</td><td>QAL-IMEI: 865000026007591</td></tr>
<tr><td>QAL-IMSI</td><td>国际移动用户识别码</td><td>QAL-IMSI: 865000026007591</td></tr>
</table>


## 2 接入服务——缓存控制
网络接入服务支持标准的HTTP缓存机制，服务端通过HTTP Header相关字段控制终端缓存。

对于GET请求，如果服务端的HTTP响应里带了有效的ETag、Last-Modified、Expires、Cache-Control、QAL-Cache-Control、QAL-Stale-Expires头部，并且没有输出Cache-Control: no-cache/no-store/must-revalidate、Pragma: no-cache情况下，SDK会将HTTP响应保存在终端本地，启用HTTP缓存机制。

建议HTTP缓存机制仅对静态资源或用户无关的数据开启。


**HTTP响应控制缓存方法：**

**1. 304 Not Modified**

资源没有发生变更的情况下，无需重传资源，在节省流量的同时还能提升速度。

协议：

**1) ETag**

例子：

    HTTP/1.1 200 OK
    ETag: "568ddc6e-253"

**2) Last-Modified**

例子：

    HTTP/1.1 200 OK
    Last-Modified: Thu, 07 Jan 2016 03:33:02 GMT

QAL SDK发起HTTP请求的时候会通过If-None-Match、If-Modified-Since将ETag或Last-Modified带上，服务端可实现304。

相关标准：[RFC7232 - Hypertext Transfer Protocol (HTTP/1.1): Conditional Requests](https://tools.ietf.org/html/rfc7232)

**2. 缓存生命期**

缓存在有效生命期内，将直接命中缓存并返回，不发起网络请求。

**1) Cache-Control**

设置缓存生命期为60秒，例子：

    HTTP/1.1 200 OK
    Cache-Control: max-age=60

**2) Expires**

指定缓存有效日期，例子：

    HTTP/1.1 200 OK
    Expires: Fri, 06 Jan 2017 03:35:08 GMT

相关标准：[RFC7234 - Hypertext Transfer Protocol (HTTP/1.1): Caching](https://tools.ietf.org/html/rfc7234)

**3. 缓存异步更新**

在可容忍的生命期内，将先返回缓存，再异步发请求更新资源，下次请求将得到最新的资源。

**1) Cache-Control**

设置缓存生命期15秒可直接返回，60秒内先返回缓存再异步更新资源，例子：

    HTTP/1.1 200 OK
    Cache-Control: max-age=60, stale-while-revalidate=15

**2) QAL-Cache-Control（QAL扩展）**

设置15秒内，可先返回缓存再异步更新资源，例子：

    HTTP/1.1 200 OK
    QAL-Cache-Control: max-stale-age=15

设置缓存生命期15秒可直接返回，60秒内先返回缓存再异步更新资源，例子：

    HTTP/1.1 200 OK
	Cache-Control: max-age=15
    QAL-Cache-Control: max-stale-age=60

**3) QAL-Stale-Expires（QAL扩展）**

指定日期内，可先返回缓存再异步更新资源，例子：

    HTTP/1.1 200 OK
    QAL-Stale-Expires: Wed, 04 Nov 2015 08:13:44 GMT

相关标准：[RFC5861 - HTTP Cache-Control Extensions for Stale Content](https://tools.ietf.org/html/rfc5861)