
## 1. 离线消息存储

### 1.1 概念
云通信支持离线消息，即当用户不在线时，有用户发送消息，当下次此用户登录时会收到离线消息，离线消息和在线消息通过相同的回调接口返回给APP层，通过消息时间可判断消息产生时间。

### 1.2 消息接收

消息接收参考：
- [iOS 消息接收](/doc/product/269/消息收发（iOS%20SDK）#2.-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)
- [Android 消息接收](/doc/product/269/消息收发（Android%20SDK）#2-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)
- [Windows 消息接收](/doc/product/269/消息收发（Windows%20SDK）#2.-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)

### 1.3 Server保存时长

离线消息默认保存7天，一定大小，即，如果用户7天内没有登陆过，再次登录的时候，不会拿到7天前的离线消息，另外由于会有一定大小限制，过多的离线消息会被冲掉。

### 1.4 Server删除时机

默认情况下，当一个终端把离线消息拉回到本地，Server便会删除消息。如果需要支持多终端的情况、或者更换终端还想要拿到未读的消息，需要自己管理未读，可参考各平台的未读计数管理部分，以及禁用自动已读上报：

- [iOS 未读计数](/doc/product/269/未读消息计数（iOS%20SDK）)
- [Android 未读计数](/doc/product/269/未读消息计数（Android%20SDK）)
- [Windows 未读计数](/doc/product/269/未读消息计数（Windows%20SDK）)

当禁用了已读上报，只有用户显示调用已读上报接口，Server才会删除消息，否则保存到过期。这样，如果没有进行已读上报，更换终端，仍然可拿到未读的消息。

## 2. 漫游消息存储

### 2.1 概念

云通信支持消息漫游，即用户更换终端的情况下，也可以获取到跟某人的聊天记录，或者某个群内的消息。

### 2.2 获取漫游消息

漫游消息客户端通过 getMessage 接口获取。

参考：
- [iOS 获取会话漫游消息](/doc/product/269/消息收发（iOS%20SDK）#4.4-.E8.8E.B7.E5.8F.96.E4.BC.9A.E8.AF.9D.E6.BC.AB.E6.B8.B8.E6.B6.88.E6.81.AF)
- [Android  获取会话漫游消息](/doc/product/269/消息收发（Android%20SDK）#4.4-.E8.8E.B7.E5.8F.96.E4.BC.9A.E8.AF.9D.E6.BC.AB.E6.B8.B8.E6.B6.88.E6.81.AF)
- [Windows  获取会话漫游消息](/doc/product/269/消息收发（Windows%20SDK）#4.2-.E6.9C.80.E8.BF.91.E8.81.94.E7.B3.BB.E4.BA.BA.E6.BC.AB.E6.B8.B8)

### 2.3 漫游消息保存时长

默认情况下，单聊消息和群聊消息有7天漫游，超过漫游时长的消息会会被删除。群聊消息漫游时长不支持修改，而延长单聊消息的漫游时长是增值服务，需要提交工单修改，可参考：[调整单聊消息漫游时长](/doc/product/269/云通信配置变更需求工单#2.2-.E8.B0.83.E6.95.B4.E5.8D.95.E8.81.8A.E6.B6.88.E6.81.AF.E6.BC.AB.E6.B8.B8.E6.97.B6.E9.95.BF)。

## 3. 最近联系人消息

### 3.1 概念

最近联系人即为跟用户联系过的人，产品形态类似QQ的最近联系人列表，可以展示最近跟用户联系过的用户以及最后一条消息。

### 3.2 获取最近联系人

客户端默认情况下会在登陆时拉取最近联系人消息，如果本地之前没有存储过，会通过onNewMessage回调抛出来。

消息接收参考：

- [iOS 消息接收](/doc/product/269/消息收发（iOS%20SDK）#2.-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)
- [Android 消息接收](/doc/product/269/消息收发（Android%20SDK）#2-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)
- [Windows 消息接收](/doc/product/269/消息收发（Windows%20SDK）#2.-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)


### 3.3 禁用最近联系人

另外，使用最近联系人，登录时会消耗一些流量，以及在新终端可能会抛出会话的最后一条消息。如果不需要此功能，可以选择禁用：

- [iOS 禁用最近联系人](/doc/product/269/消息收发（iOS%20SDK）#4.2-.E6.9C.80.E8.BF.91.E8.81.94.E7.B3.BB.E4.BA.BA.E6.BC.AB.E6.B8.B8)
- [Android 禁用最近联系人](/doc/product/269/消息收发（Android%20SDK）#4.2-.E6.9C.80.E8.BF.91.E8.81.94.E7.B3.BB.E4.BA.BA.E6.BC.AB.E6.B8.B8)
- [Windows 禁用最近联系人](/doc/product/269/消息收发（Windows%20SDK）#4.2-.E6.9C.80.E8.BF.91.E8.81.94.E7.B3.BB.E4.BA.BA.E6.BC.AB.E6.B8.B8)

### 3.4 最近联系人限制

最近联系人默认存储最近 100 个联系人，但是保存时长跟最近联系人中的最后一条消息保存时间一致，比如默认如果超过7天跟联系人没有消息，最后一条消息会过期后便无法在最近联系人中获取到此用户。

## 4. APP本地存储

### 4.1 本地存储获取

默认情况下，ImSDK内部会对收到的消息进行存储，无需用户进行存储。用户可调用接口获取本地消息（无网络操作）：

参考：
- [iOS 获取本地消息](/doc/product/269/消息收发（iOS%20SDK）#4.3-.E8.8E.B7.E5.8F.96.E4.BC.9A.E8.AF.9D.E6.9C.AC.E5.9C.B0.E6.B6.88.E6.81.AF)
- [Android 获取本地消息](/doc/product/269/消息收发（Android%20SDK）#4.3-.E8.8E.B7.E5.8F.96.E4.BC.9A.E8.AF.9D.E6.9C.AC.E5.9C.B0.E6.B6.88.E6.81.AF)
- [Windows 获取本地消息](/doc/product/269/消息收发（Windows%20SDK）#4.3-.E8.8E.B7.E5.8F.96.E4.BC.9A.E8.AF.9D.E6.9C.AC.E5.9C.B0.E6.B6.88.E6.81.AF)

另外，通过getMessage接口，也会获取本地消息，如果本地消息存在断层，会通过 [漫游消息](#2.-.E6.BC.AB.E6.B8.B8.E6.B6.88.E6.81.AF.E5.AD.98.E5.82.A8) 补全。

### 4.2 本地消息删除

ImSDK 默认不会删除用户消息，如果有需要，需要用户显示调用接口删除：

删除会话参考：
- [iOS 删除会话](/doc/product/269/消息收发（iOS%20SDK）#4.5-.E5.88.A0.E9.99.A4.E4.BC.9A.E8.AF.9D)
- [Android 删除会话](/doc/product/269/消息收发（Android%20SDK）#4.5-.E5.88.A0.E9.99.A4.E4.BC.9A.E8.AF.9D)
- [Windows 删除会话](/doc/product/269/消息收发（Windows%20SDK）#4.5-.E5.88.A0.E9.99.A4.E4.BC.9A.E8.AF.9D)

删除单条消息参考：
- [iOS 删除单条消息](/doc/product/269/消息收发（iOS%20SDK）#3.6-.E6.B6.88.E6.81.AF.E5.88.A0.E9.99.A4)
- [Android 删除单条消息](/doc/product/269/消息收发（Android%20SDK）#3.6-.E6.B6.88.E6.81.AF.E5.88.A0.E9.99.A4)
- [Windows 删除单条消息](/doc/product/269/消息收发（Windows%20SDK）#3.6-.E6.B6.88.E6.81.AF.E5.88.A0.E9.99.A4)

### 4.3 禁用本地存储

使用本地存储会消耗磁盘以及CPU性能，在不需要存储的场景（如直播场景，更注重消息处理性能，也不关心历史消息），可选择禁用本地存储：

参考：

- [iOS 禁用本地存储](/doc/product/269/初始化（iOS%20SDK）#9.-.E7.A6.81.E7.94.A8.E5.AD.98.E5.82.A8)
- [Android 禁用本地存储](/doc/product/269/初始化（Android%20SDK）#9-.E7.A6.81.E7.94.A8.E5.AD.98.E5.82.A8)
- [Windows 禁用本地存储](/doc/product/269/初始化（Windows%20%20SDK）#9.-.E7.A6.81.E7.94.A8.E5.AD.98.E5.82.A8)


## 5. Server消息删除

对于群消息，可以通过Server接口删除某人的消息，但只能删除当前Server的存储，如果用户已经把消息拉到本地，是没有办法删除用户客户端的消息存储的，只能保证删除Server消息之后再登录查看消息的成员看不到消息。

参考：

- [删除指定用户发送的消息](/doc/product/269/删除指定用户发送的消息)

