
## 1. 用户资料介绍

### 1.1 用户基础资料

默认目前用户资料基础字段支持四项：

* 昵称：用户昵称，只有自己和管理员可修改
* 头像URL：用户头像的URL，目前IM通讯云不保存用户头像，需要上传至其他存储服务，通过ImSDK设置URL
* 加好友验证方式：分三种方式，需要确认才能添加好友、所有人可添加好友、任何人不可以添加好友。默认为所有人可添加。
* 个性签名：用户个性签名，只有自己和管理员可修改。

### 1.2 用户自定义资料

另外，默认字段无法满足所有用户的需求，另外有添加自定义字段的功能，自定义资料字段是各APP根据各自业务需要而设置的用户数据。通过自定义资料，各APP可以将一些额外数据附加到用户资料上，并通过现有接口进行读写操作。目前此功能为内测功能，需要提工单增加。

### 1.3 自定义资料字段的申请

各APP需要申请自定义资料字段时，可以向腾讯云客服提交需求工单，工单内容可参考：[新增用户维度的自定义字段](/doc/product/269/云通信配置变更需求工单#2.3-.E6.96.B0.E5.A2.9E.E7.94.A8.E6.88.B7.E7.BB.B4.E5.BA.A6.E7.9A.84.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)。需求工单提交后，腾讯云将在三个工作日内完成配置并生效。

申请自定义资料字段时，需要为每一个自定义资料字段提交如下资料：

1. 自定义资料字段的名称（Key）：详情可参见[自定义资料字段的命名规范](/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#4.2-.E8.87.AA.E5.AE.9A.E4.B9.89.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5.E7.9A.84.E5.90.8D.E7.A7.B0)；
1. 自定义资料字段的类型（Value）：详情可参见[资料字段](/doc/product/269/%E8%B5%84%E6%96%99%E7%B3%BB%E7%BB%9F#2-.E8.B5.84.E6.96.99.E5.AD.97.E6.AE.B5)。

### 1.4 自定义资料字段的命名规范

自定义资料字段的命名规则如下：

1. 自定义资料字段的名称分为三部分：前缀、SDKAppId和关键字；
1. 自定义资料字段的前缀是：Tag_Profile_Custom；
1. 关键字：必须是英文字母，且长度不得超过8字节，建议用一个英文单词或该英文单词的缩写；
1. 示例：某APP申请的SDKAppId是888888，关键字是Test，则自定义资料字段的名称是：Tag_Profile_Custom_888888_Test。

## 2. 关系链介绍

### 2.1 关系链特性

目前云通信支持加好友（收发消息并不进行好友关系判断），还支持对好友的备注和分组。如果不想收到某人的单聊消息，黑名单

- 好友数量限制 1000 个；
- 黑名单数量限制 1000 个；

### 2.2 标配好友字段

目前云通信支持的标配好友字段如下：

* 好友分组（同一个好友可以有多个不同的分组）
* 好友备注
* 加好友来源（申请加好友时填写）
* 加好友附言（申请加好友时填写）


### 2.3 自定义好友字段

自定义好友字段是各APP根据各自业务需要而设置的好友数据。通过自定义好友字段，各APP可以将一些额外数据附加到好友上，并通过现有的接口进行读写操作。

各APP需要申请自定义好友字段时，可以向腾讯云客服提交需求工单，工单内容可参考：[新增用户维度的自定义字段](/doc/product/269/云通信配置变更需求工单#2.3-.E6.96.B0.E5.A2.9E.E7.94.A8.E6.88.B7.E7.BB.B4.E5.BA.A6.E7.9A.84.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)。需求工单提交后，腾讯云将在三个工作日内完成配置并生效。

自定义好友字段的命名规则如下：
1. 自定义好友字段的名称分为三部分：前缀、SDKAppId和关键字；
1. 自定义好友字段的前缀是：Tag_SNS_Custom；
1. 关键字：必须是英文字母，且长度不得超过8字节，建议用一个英文单词或该英文单词的缩写；
1. 示例：某APP申请的SDKAppId是888888，关键字是Test，则自定义关系字段的名称是：Tag_SNS_Custom_888888_Test。

申请自定义好友字段时，需要为每一个自定义好友字段提交如下资料：
1. 自定义好友字段的名称（Key）；
1. 自定义好友字段的类型（Value）：详情可参见[关系链字段](http://cloud.tencent.com/doc/product/269/%E5%85%B3%E7%B3%BB%E9%93%BE%E7%B3%BB%E7%BB%9F#2-.E5.85.B3.E7.B3.BB.E9.93.BE.E5.AD.97.E6.AE.B5)。


## 3. 设置用户资料

用户可以设置如昵称、头像等资料，当前只能设置用户自己的资料，Server端使用管理员身份可以设置任意用户资料。

### 3.1 设置昵称

昵称为公开资料，用户可以设置自己的昵称，对所有用户可见。

参见：
- [Android设置自己的昵称](/doc/product/269/用户资料与关系链（Android%20SDK）#2.1-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E6.98.B5.E7.A7.B0)
- [iOS设置自己的昵称](/doc/product/269/用户资料与关系链（iOS%20SDK）#2.1-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E6.98.B5.E7.A7.B0)
- [Windows设置自己的昵称](/doc/product/269/用户资料与关系链（Windows%20SDK）#2.1-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E6.98.B5.E7.A7.B0)
- [WebSDK设置自己的昵称](/doc/product/269/用户资料（Web%20SDK）)

### 3.2 设置好友验证方式

用户可以设置加好友的方式，如，同意任何人加好友，需要验证，拒绝任何人加好友。默认情况为允许任何人加好友。设置完成后，用户申请自己加好友时，会根据设置做相应的操作。

参见：
- [Android设置资料](/doc/product/269/用户资料与关系链（Android%20SDK）#2.2-.E8.AE.BE.E7.BD.AE.E5.A5.BD.E5.8F.8B.E9.AA.8C.E8.AF.81.E6.96.B9.E5.BC.8F)
- [iOS设置资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#2.2-.E8.AE.BE.E7.BD.AE.E5.A5.BD.E5.8F.8B.E9.AA.8C.E8.AF.81.E6.96.B9.E5.BC.8F)
- [Windows设置资料](/doc/product/269/用户资料与关系链（Windows%20SDK）#2.2-.E8.AE.BE.E7.BD.AE.E5.A5.BD.E5.8F.8B.E9.AA.8C.E8.AF.81.E6.96.B9.E5.BC.8F)
- [WebSDK设置资料](/doc/product/269/用户资料（Web%20SDK）)


### 3.3 设置头像

目前ImSDK不会存储头像，需要APP把头像先上传到其他存储平台，然后在ImSDK中设置用户的头像URL。

参见：
- [Android设置资料](/doc/product/269/用户资料与关系链（Android%20SDK）#2.3-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E5.A4.B4.E5.83.8F)
- [iOS设置资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#2.3-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E5.A4.B4.E5.83.8F)
- [Windows设置资料](/doc/product/269/用户资料与关系链（Windows%20SDK）#2.3-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E5.A4.B4.E5.83.8F)
- [WebSDK设置资料](/doc/product/269/用户资料（Web%20SDK）)


### 3.4 设置个性签名

用户可以设置个人签名，所有用户可见。

参见：
- [Android设置资料](/doc/product/269/用户资料与关系链（Android%20SDK）#2.5-.E8.AE.BE.E7.BD.AE.E4.B8.AA.E6.80.A7.E7.AD.BE.E5.90.8D)
- [iOS设置资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#2.5-.E8.AE.BE.E7.BD.AE.E4.B8.AA.E6.80.A7.E7.AD.BE.E5.90.8D)
- [Windows设置资料](/doc/product/269/用户资料（Windows%20SDK）)
- [WebSDK设置资料](/doc/product/269/用户资料（Web%20SDK）)

### 3.5 设置自定义资料

目前ImSDK只有几种内置资料，显然无法满足所有应用的需求，ImSDK增加了自定义字段，用户可根据自身的需要设置自己想要的资料类型。（目前此功能还在内侧，需要提单修改后才能使用）。

参见：
- [Android设置资料](/doc/product/269/用户资料与关系链（Android%20SDK）#2.4-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)
- [iOS设置资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#2.4-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)
- [Windows设置资料](/doc/product/269/用户资料（Windows%20SDK）)
- [WebSDK设置资料](/doc/product/269/用户资料（Web%20SDK）)

## 4. 设置好友资料

除了用户资料设置，在加了好友之后，可以设置好友相关属性，如好友备注，好友分组等。

### 4.1 设置好友备注

备注可以让用户自定义好友的显示名称，仅自己可见。

参见：
- [Android设置资料](/doc/product/269/用户资料与关系链（Android%20SDK）#4.1-.E5.A5.BD.E5.8F.8B.E5.A4.87.E6.B3.A8)
- [iOS设置资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#4.1-.E5.A5.BD.E5.8F.8B.E5.A4.87.E6.B3.A8)
- [Windows设置资料](/doc/product/269/用户资料与关系链（Windows%20SDK）#4.1-.E5.A5.BD.E5.8F.8B.E5.A4.87.E6.B3.A8)
- [WebSDK设置资料](/doc/product/269/用户资料（Web%20SDK）)

### 4.1 设置好友自定义字段

除了内置属性，用户还可以设置自定义字段，根据自己的需要申请[自定义好友字段](#2.3-.E8.87.AA.E5.AE.9A.E4.B9.89.E5.A5.BD.E5.8F.8B.E5.AD.97.E6.AE.B5)。

参见：
- [Android设置资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#4.2-.E8.AE.BE.E7.BD.AE.E5.A5.BD.E5.8F.8B.E8.87.AA.E5.AE.9A.E4.B9.89.E8.B5.84.E6.96.99)
- [iOS设置资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#4.2-.E8.AE.BE.E7.BD.AE.E5.A5.BD.E5.8F.8B.E8.87.AA.E5.AE.9A.E4.B9.89.E8.B5.84.E6.96.99)
- [Windows设置资料](/doc/product/269/用户资料（Windows%20SDK）)
- [WebSDK设置资料](/doc/product/269/用户资料（Web%20SDK）)

## 5. 获取资料

### 5.1 获取所有用户资料

通过接口可以获取一批用户的资料，不用关心是否好友。

在iOS，Android，Windows终端，1.9版本之前，可以使用GetFriendsProfile获取，在1.9版本之后，需要调用GetUsersProfile获取。

参见：
- [Android 用户资料](/doc/product/269/用户资料与关系链（Android%20SDK）#3.-.E8.8E.B7.E5.8F.96.E8.B5.84.E6.96.99)
- [iOS 用户资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#3.-.E8.8E.B7.E5.8F.96.E8.B5.84.E6.96.99)
- [Windows 用户资料](/doc/product/269/用户资料与关系链（Windows%20SDK）#3.-.E8.8E.B7.E5.8F.96.E8.B5.84.E6.96.99)
- [WebSDK 用户资料](/doc/product/269/用户资料（Web%20SDK）)
- [Rest API](/doc/product/269/拉取资料)

### 5.2 获取关系链相关资料

通过 GetUsersProfile 只能获取用户的公开资料，而关系链相关的资料，如备注和分组，无法获取，在1.9版本之前，并没有接口获取指定用户的接口，在1.9版本之后，可以使用 GetFriendsProfile 指定一批好友获取用户的资料和关系链资料。

参见：
- [Android 用户资料](/doc/product/269/用户资料与关系链（Android%20SDK）#3.2-.E8.8E.B7.E5.8F.96.E5.A5.BD.E5.8F.8B.E7.9A.84.E8.B5.84.E6.96.99)
- [iOS 用户资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#3.-.E8.8E.B7.E5.8F.96.E8.B5.84.E6.96.99)
- [Windows 用户资料](/doc/product/269/用户资料与关系链（Windows%20SDK）#3.-.E8.8E.B7.E5.8F.96.E8.B5.84.E6.96.99)

## 6. 好友关系链操作

### 6.1 好友关系链操作网络异步调用

ImSDK提供了加好友、删除好友、获取好友列表、检查是否好友的功能，所有接口都是异步网络操作。

参见：
- [Android 关系链](/doc/product/269/用户资料与关系链（Android%20SDK）#5.-.E5.A5.BD.E5.8F.8B.E5.85.B3.E7.B3.BB)
- [iOS 关系链](/doc/product/269/用户资料与关系链（iOS%20SDK）#5.-.E5.A5.BD.E5.8F.8B.E5.85.B3.E7.B3.BB)
- [Windows 关系链](/doc/product/269/用户资料与关系链（Windows%20SDK）#5.-.E5.A5.BD.E5.8F.8B.E5.85.B3.E7.B3.BB)
- [WebSDK 关系链](/doc/product/269/用户资料（Web%20SDK）)
- [Rest API](/doc/product/269/关系链（Web%20SDK）)

### 6.2 好友关系链本地存储

在Android，iOS，Windows终端，如果开启本地存储功能会在本地进行存储和缓存数据，可通过同步接口从缓存获取显示。因为效率考虑，此功能默认不开启，需要调用接口开启。

参见：
- [Android 关系链](/doc/product/269/用户资料与关系链（Android%20SDK）#7.-.E5.85.B3.E7.B3.BB.E9.93.BE.E8.B5.84.E6.96.99.E5.AD.98.E5.82.A8)
- [iOS 关系链](/doc/product/269/用户资料与关系链（iOS%20SDK）#7.-.E5.85.B3.E7.B3.BB.E9.93.BE.E8.B5.84.E6.96.99.E5.AD.98.E5.82.A8)
- [Windows 关系链](/doc/product/269/用户资料（Windows%20SDK）)

### 6.3 好友分组

好友分组相关操作，如添加分组，删除分组，分组改名，获取分组内好友，添加好友到某个分组，可参考对应平台文档：

参见：
- [Android 关系链](/doc/product/269/用户资料与关系链（Android%20SDK）#6.-.E5.A5.BD.E5.8F.8B.E5.88.86.E7.BB.84)
- [iOS 关系链](/doc/product/269/用户资料与关系链（iOS%20SDK）#6.-.E5.A5.BD.E5.8F.8B.E5.88.86.E7.BB.84)
- [Windows 关系链](/doc/product/269/用户资料与关系链（Windows%20SDK）#6.-.E5.A5.BD.E5.8F.8B.E5.88.86.E7.BB.84)


## 8. 未决请求和推荐

### 8.1 应用场景

当有用户申请加好友，并且当前用户设置了需要审核，会产生一条未决请求（未决即为需要用户处理，悬而未决的消息），未决请求可以通过系统消息通知感知到，1.9版本以后可以通过注册相关回调感知到。另有异步网络接口获取所有未决和已决消息。

另外，用户可以通过server接口设置用户推荐（内测功能，未文档），设置了某个好友的推荐好友，客户端可以拉取到此信息。

### 8.2 操作接口

- [Android 未决请求](/doc/product/269/用户资料与关系链（Android%20SDK）#10.-.E6.9C.AA.E5.86.B3.E8.AF.B7.E6.B1.82)
- [iOS 未决请求](/doc/product/269/用户资料与关系链（iOS%20SDK）#10.-.E6.9C.AA.E5.86.B3.E8.AF.B7.E6.B1.82)
- [Windows 未决请求](/doc/product/269/用户资料与关系链（Windows%20SDK）#10.-.E6.9C.AA.E5.86.B3.E8.AF.B7.E6.B1.82)

## 9. 黑名单

### 9.1 应用场景

如果用户想屏蔽某人的消息，可以使用黑名单功能，当加入某人为黑名单时，如果之前是好友关系，自动解除好友。加入黑名单后，对方发消息能够显示成功，但消息会被丢弃，接收方无法收到。

### 9.2 黑名单操作

用户可以调用接口获取黑名单列表，增加删除黑名单。

参见：
- [Android设置资料](/doc/product/269/用户资料与关系链（Android%20SDK）#5.5-.E6.B7.BB.E5.8A.A0.E7.94.A8.E6.88.B7.E5.88.B0.E9.BB.91.E5.90.8D.E5.8D.95)
- [iOS设置资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#5.5-.E6.B7.BB.E5.8A.A0.E7.94.A8.E6.88.B7.E5.88.B0.E9.BB.91.E5.90.8D.E5.8D.95)
- [Windows设置资料](/doc/product/269/用户资料与关系链（Windows%20SDK）#5.5-.E6.B7.BB.E5.8A.A0.E7.94.A8.E6.88.B7.E5.88.B0.E9.BB.91.E5.90.8D.E5.8D.95)
- [WebSDK设置资料](/doc/product/269/用户资料（Web%20SDK）)
- [Rest API](/doc/product/269/关系链（Web%20SDK）)

## 10. 好友列表的更新

### 10.1 未启用资料存储更新时机

客户端SDK 1.9 版本之前，不支持本地存储用户资料和关系链，需要APP层面进行缓存和存储，好友的更新通过系统消息来通知。收到系统消息时，可以调用接口重新获取关系链和资料进行更新。

参见：
- [Android 用户资料](/doc/product/269/用户资料与关系链（Android%20SDK）#8.-.E5.85.B3.E7.B3.BB.E9.93.BE.E5.8F.98.E6.9B.B4.E7.B3.BB.E7.BB.9F.E9.80.9A.E7.9F.A5)
- [iOS 用户资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#8.-.E5.85.B3.E7.B3.BB.E9.93.BE.E5.8F.98.E6.9B.B4.E7.B3.BB.E7.BB.9F.E9.80.9A.E7.9F.A5)
- [Windows 用户资料](/doc/product/269/用户资料与关系链（Windows%20SDK）#8.-.E5.85.B3.E7.B3.BB.E9.93.BE.E5.8F.98.E6.9B.B4.E7.B3.BB.E7.BB.9F.E9.80.9A.E7.9F.A5)

### 10.2 启用资料存储更新时机

客户端SDK 1.9版本之后，支持本地存储，如果启用此功能（默认不开启），客户端本地会对关系链和资料进行存储，用户可以通过同步接口获取资料和关系链，同时可以设置变更回调，当收到变更回调时，选择刷新界面。

参见：
- [Android 用户资料](/doc/product/269/用户资料与关系链（Android%20SDK）#7.3-.E5.A5.BD.E5.8F.8B.E3.80.81.E8.B5.84.E6.96.99.E5.8F.98.E6.9B.B4.E5.9B.9E.E8.B0.83)
- [iOS 用户资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#7.3-.E5.A5.BD.E5.8F.8B.E3.80.81.E8.B5.84.E6.96.99.E5.8F.98.E6.9B.B4.E5.9B.9E.E8.B0.83)
- [Windows 用户资料](/doc/product/269/用户资料（Windows%20SDK）)

## 11. 搜索用户

云通信支持按照用户的昵称进行模糊检索。用户设置昵称后，可以通过检索接口查询。

参见：
- [Android 用户资料](/doc/product/269/用户资料与关系链（Android%20SDK）#11.-.E6.98.B5.E7.A7.B0.E6.A3.80.E7.B4.A2)
- [iOS 用户资料](/doc/product/269/用户资料与关系链（iOS%20SDK）#11.-.E6.98.B5.E7.A7.B0.E6.A3.80.E7.B4.A2)
- [Windows 用户资料](/doc/product/269/用户资料与关系链（Windows%20SDK）#11.-.E6.98.B5.E7.A7.B0.E6.A3.80.E7.B4.A2)

