
## 1 概念

用户登录后退到后台，或者杀掉进程，当有用户给其发消息时，云通信支持离线推送，在iOS端会有苹果推送，Android需要用户注册离线消息回调。

## 2 应用场景

在APP退后台或者进程被杀的情况下，有新消息时需要提醒用户。可使用离线推送功能。

## 3 iOS APNs 推送

### 3.1 推送格式说明

<img src="//mccdn.qcloud.com/static/img/719853e769ad57dfaad2077e5815dd68/image.png" width=480 />

上图为一条单聊消息和一条群聊消息的示例。

iOS APNs 推送格式详细说明可参考：[推送格式说明](/doc/product/269/离线推送（iOS%20SDK）#2.-.E6.8E.A8.E9.80.81.E6.A0.BC.E5.BC.8F)

### 3.2 基本接口说明

支持APNs必须调用接口：

- 设置Token
- 切后台上报未读
- 切前台通知

参考：

[iOS APNs 事件上报](/doc/product/269/离线推送（iOS%20SDK）#3.-.E4.BA.8B.E4.BB.B6.E4.B8.8A.E6.8A.A5)

### 3.3 Ext扩展设置

有时应用需要根据情况设置推送的 Ext 扩展字段，方便用户点击跳转等操作，可以填写到 TIMCustomElem 中的 ext 字段，推送时Server会把该字段填入 Ext。

参考：

- [扩展字段](/doc/product/269/离线推送（iOS%20SDK）#5.3-ext-.E6.89.A9.E5.B1.95.E5.AD.97.E6.AE.B5)

### 3.4 设置推送声音

有时应用需要根据情况设置单条消息的推送声音，方便特别提醒某类消息，可以把声音填写到 TIMCustomElem 中的 sound 字段，推送时Server会把该字段填入 Ext。

参考：

- [设置推送声音](/doc/product/269/离线推送（iOS%20SDK）#5.1-.E8.AE.BE.E7.BD.AE.E8.87.AA.E5.B7.B1.E7.9A.84.E6.8E.A8.E9.80.81.E5.A3.B0.E9.9F.B3)

### 3.4 单条消息声音设置

有时应用需要根据情况设置单条消息的推送声音，方便特别提醒某类消息，可以把声音填写到 TIMCustomElem 中的 sound 字段，推送时Server会把该字段填入 Ext。

参考：

- [单条消息声音](/doc/product/269/离线推送（iOS%20SDK）#5.4-.E6.AF.8F.E6.9D.A1.E6.B6.88.E6.81.AF.E5.A3.B0.E9.9F.B3)

## 4 Android 离线推送

Android在1.8.0以后版本支持了服务和进程分离，如果APP进程被杀，服务仍然存活，可以收到离线推送功能。具体配置以及设置过程，可参考文档：

* [Android离线推送](/doc/product/269/离线推送（Android%20SDK）)

## 5 后台发送消息

后台发送消息时，可以控制APNs推送的展示形式，详细可参考：

[Apple Push Notification Service（APNS）相关说明](/doc/product/269/%E6%B6%88%E6%81%AF%E6%A0%BC%E5%BC%8F%E6%8F%8F%E8%BF%B0#4-apple-push-notification-service.EF.BC.88apns.EF.BC.89.E7.9B.B8.E5.85.B3.E8.AF.B4.E6.98.8E)
