## 1 发送群消息
### 1.1 通过ImSDK发送群消息
用户在APP内向自己所加入的群组发送群消息，群内所有用户均可接收到消息。即使用户不在线，上线之后仍可以拉取到历史消息。

参见：
- [Android消息收发](/doc/product/269/消息收发（Android%20SDK）)
- [iOS消息收发](/doc/product/269/消息收发（iOS%20SDK）)
- [Windows C++消息收发](/doc/product/269/消息收发（Windows%20SDK）)
- [Web消息收发](/doc/product/269/消息收发（Web%20SDK）)

### 1.2 通过REST API发送群消息
APP管理员在群组中发送普通消息，同时可以指定发送者。适用于通过APP后台向群组发送消息的场景。

参见：
- [REST API：在群组中发送普通消息](/doc/product/269/在群组中发送普通消息)。

### 1.3 通过REST API发送系统通知
APP管理员在群组中发送系统通知，只有群内在线成员才会收到该消息。不在线用户即使上线也无法收到该消息。

参见：
- [REST API：在群组中发送系统通知](/doc/product/269/在群组中发送系统通知)。

系统通知只有APP后台管理员才能发送。系统通知的可靠性弱于普通群消息，若无特殊需求，请尽量发送群消息而非系统消息。更多细节参见[群组内普通消息与系统消息的区别](https://cloud.tencent.com/document/product/269/2751)。

## 2 在群消息中携带发送者相关信息
群消息在下发给客户端时，除了会携带消息内容本身，还会携带消息发送者的信息，默认会携带如下字段：发送者的昵称、发送者的头像、发送者在群内的群名片。如果您的APP在云通信中配置了用户维度的自定义字段、[群维度的自定义字段](/doc/product/269/群组系统#6-.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)、[群成员维度的自定义字段](/doc/product/269/群组系统#6-.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)，亦可在消息中携带这些信息，但自定义字段不会默认携带，需要提需求工单。

如果要在消息中携带发送者昵称、头像，必须将这两个信息导入云通信的用户资料。

通过APP设置设置用户资料，参见：
- [Android用户资料](/doc/product/269/用户资料与关系链（Android%20SDK）)
- [iOS用户资料](/doc/product/269/用户资料与关系链（iOS%20SDK）)
- [Windows C++用户资料](/doc/product/269/用户资料与关系链（Windows%20SDK）)
- [Web用户资料](/doc/product/269/用户资料（Web%20SDK）)

通过REST API查询/设置用户资料，参见：
- [REST API：拉取用户资料](/doc/product/269/拉取资料)
- [REST API：设置用户资料](/doc/product/269/设置资料)

除此之外，使用独立模式的APP还可以在通过REST API导入账号的同时设置用户资料，参见：
- [REST API：独立模式账号同步](/doc/product/269/独立模式账号同步接口)

## 3 接收群消息
### 3.1 APP接收群实时消息

ImSDK 接收消息都是通过统一回调接口 onNewMessage 返回，通过 onNewMessage 回调获得消息后，能根据消息获取相应的会话。

参见：
- [Android 新消息通知](/doc/product/269/初始化（Android%20SDK）#3-.E7.BD.91.E7.BB.9C.E4.BA.8B.E4.BB.B6.E9.80.9A.E7.9F.A5)
- [iOS 新消息通知](/doc/product/269/初始化（iOS%20SDK）#2.-.E6.96.B0.E6.B6.88.E6.81.AF.E9.80.9A.E7.9F.A5)
- [Windows 新消息通知](/doc/product/269/初始化（Windows%20%20SDK）#4.-.E6.96.B0.E6.B6.88.E6.81.AF.E9.80.9A.E7.9F.A5)
- [WebSDK 初始化新消息回调](/doc/product/269/初始化（Web%20SDK）)

### 3.2 APP获取群离线/历史消息

在ImSDK接收到消息后，默认情况下会对消息进行缓存和存储（如果不需要，可以调用disableStorage接口进行存储禁用，提升性能），各个终端通过调用getMessage接口可以聊天记录。另外，私有群和公开群的群消息默认有7天漫游功能，getMessage 接口同时会通过网络获取漫游的历史消息。

参见：
- [Android 获取消息](https://cloud.tencent.com/doc/product/269/%E6%B6%88%E6%81%AF%E6%94%B6%E5%8F%91%EF%BC%88Android%20SDK%EF%BC%89#2-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)
- [iOS 获取消息](/doc/product/269/消息收发（iOS%20SDK）#2.-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)
- [Windows 获取消息](/doc/product/269/消息收发（Windows%20SDK）#2.-.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF)

### 3.3 APP获取群消息中携带的发送者信息

默认在群消息中带有发送方的资料以及群成员资料，在1.9.0以后版本可以通过接口获取相关资料。

- [Android 获取发送者信息](/doc/product/269/%E6%B6%88%E6%81%AF%E6%94%B6%E5%8F%91%EF%BC%88Android%20SDK%EF%BC%89#3.4-.E6.B6.88.E6.81.AF.E5.8F.91.E9.80.81.E8.80.85.E5.8F.8A.E5.85.B6.E7.9B.B8.E5.85.B3.E8.B5.84.E6.96.99)
- [iOS 获取发送者信息](/doc/product/269/1569#3.4-.E6.B6.88.E6.81.AF.E5.8F.91.E9.80.81.E8.80.85.E4.BB.A5.E5.8F.8A.E7.9B.B8.E5.85.B3.E8.B5.84.E6.96.99)
- [Windows 获取发送者信息](/doc/product/269/1587#3.4-.E6.B6.88.E6.81.AF.E5.8F.91.E9.80.81.E8.80.85.E4.BB.A5.E5.8F.8A.E7.9B.B8.E5.85.B3.E8.B5.84.E6.96.99)

## 4 离线消息与历史消息
云通信后台默认会对私有群和公开群产生的消息保存7天。在7天之内，群成员可以获取历史消息（即使用户已经读取过群消息，其依然可以拉取历史消息）。如果APP希望延长群消息的保存时间，可以提需求工单。

## 5 群消息接收选项
群消息支持三种消息屏蔽选项，同一个用户在不同的群组中可以设置不同的消息接收选项：
1. 接收并提示（AcceptAndNotify）；
2. 接收不提示（AcceptNotNotify）；
3. 屏蔽消息（Discard）。

接收并提示消息为默认情况，如果设置了接收不提示，对于iOS终端来说，会去掉APNs推送；进入APP内部之后，接收不提示跟接收提示行为一致，需要APP根据用户设置的群成员资料进行判断并过滤（为了避免APP层面不知道已经收到了新消息）。

屏蔽消息指此群消息会在Server端进行屏蔽，不下发到客户端。

通过APP修改消息接收选项，参见：
- [Android修改群消息接收选项](/doc/product/269/群组管理（Android%20SDK）#5.11-.E4.BF.AE.E6.94.B9.E7.BE.A4.E6.B6.88.E6.81.AF.E6.8E.A5.E6.94.B6.E9.80.89.E9.A1.B9)
- [iOS修改群消息接收选项](/doc/product/269/群组管理（iOS%20SDK）)
- [Windows C++修改群消息接收选项](/doc/product/269/群组管理（Windows%20SDK）)
- Web修改群消息接收选项（文档完善中）

通过APP获取消息接收选项，参见：
- [iOS获取群消息接收选项](/doc/product/269/1569#3.10-.E7.BE.A4.E7.BB.84.E6.B6.88.E6.81.AF.E4.BC.9A.E8.AF.9D.E7.9A.84.E6.8E.A5.E6.94.B6.E6.B6.88.E6.81.AF.E9.80.89.E9.A1.B9)

APP后台通过REST API获取/修改某个用户在某个群内的消息接收选项，参见：
- [REST API：获取群成员详细资料](/doc/product/269/获取群组成员详细资料)
- [REST API：修改群成员资料](/doc/product/269/修改群成员资料)

## 6 收发消息权限
一般情况下，只有群成员才能在群内收发消息，如果非群成员在群组中发送消息，会返回10007错误。但是存在特例：
1. APP管理员可以在不加入群组的前提下，通过[REST API：在群组中发送普通消息](/doc/product/269/在群组中发送普通消息)向任意群组发送群消息；
2. APP管理员通过[REST API：在群组中发送普通消息](/doc/product/269/在群组中发送普通消息)向群组中发消息时，如果“伪造”了消息发送者（From_Account），即使“伪造”的发送者不是群成员，消息依然会下发。

## 7 消息发送控制
如果APP不希望对可以在群内下发的消息进行控制，有如下几种方式：
1. 禁言：禁止某个用户在群组内发言；
2. 脏字过滤：导入一批敏感词到云通信，云通信会拒绝下发包含敏感词的消息；
3. 发消息之前回调：在下发消息之前，云通信后台先去APP后台询问是否允许下发消息，如果不允许，则拒绝下发消息；
4. 云通信后台进行定制化开发：给云通信提需求工单，由云通信后台协助APP进行消息控制。

下面将依次进行介绍。

### 7.1 禁言
所谓禁言，即禁止某一用户一段时间内在群内发言。单个群组内的禁言仅针对单个群组生效。如果用户退群再重新入群，只要禁言时间没有过期，禁言依旧有效。

群主、管理员可以通过APP进行禁言，参见：
- [Android对群成员进行禁言](/doc/product/269/群组管理（Android%20SDK）#5.8-.E5.AF.B9.E7.BE.A4.E6.88.90.E5.91.98.E8.BF.9B.E8.A1.8C.E7.A6.81.E8.A8.80)
- [iOS对群成员进行禁言](/doc/product/269/群组管理（iOS%20SDK）#5.8-.E5.AF.B9.E7.BE.A4.E6.88.90.E5.91.98.E8.BF.9B.E8.A1.8C.E7.A6.81.E8.A8.80)
- [Windows C++对群成员进行禁言](/doc/product/269/群组管理（Windows%20SDK）#5.7-.E4.BF.AE.E6.94.B9.E7.BE.A4.E5.91.98.E4.BF.A1.E6.81.AF)
- [Web对群成员进行禁言](/doc/product/269/1602#5-.E8.AE.BE.E7.BD.AE.E7.BE.A4.E6.88.90.E5.91.98.E7.A6.81.E8.A8.80.E6.97.B6.E9.97.B4)

禁言之后的ImSDK相关事件通知（文档完善中）。

APP后台亦可通过REST API进行禁言，参见：
- [REST API：批量禁言和取消禁言](/doc/product/269/批量禁言和取消禁言)
- [REST API：获取群组被禁言用户列表](/doc/product/269/获取群组被禁言用户列表)

###  7.2 脏字过滤
所谓脏字过滤，是指APP可以在云通信后台配置一批敏感词，如果云通信后台在用户发送的消息中检测到这些敏感词，则拒绝下发该消息，并向发送者返回错误码80001。

脏字的增删查改参见：
- [REST API：查询APP自定义脏字](/doc/product/269/查询APP自定义脏字)
- [REST API：添加APP自定义脏字](/doc/product/269/添加APP自定义脏字)
- [REST API：删除APP自定义脏字](/doc/product/269/删除APP自定义脏字)

注意：
1. 云通信已经默认配置了政治类、色情类的脏字，能够满足这两方面的大多数过滤需求，APP只需要配置业务场景相关的脏字即可。例如，电商类APP只需要配置“假货”、“刷单”等商业类脏字即可。
2. 默认情况下，云通信后台只会对消息格式中的文本消息进行脏字过滤（TIMTextElem，参见[消息格式描述](/doc/product/269/消息格式描述)），如果APP使用自定义消息格式（TIMCustomElem，参见[消息格式描述](/doc/product/269/消息格式描述)），云通信后台无法进行过滤。因此，APP最好在设计之初就确保将需要进行脏字过滤的文本放到TIMCustomElem中。对于APP已经使用了自定义消息格式，且已经上线，可以联系云通信客服，将消息格式提供给云通信的技术人员。云通信后台可以据此解析APP的自定义消息中的文本信息，并进行脏字过滤。

### 7.3 群内发言之前回调
所谓群内发言之前回调，即云通信后台在收到用户的发消息请求之后、将该消息下发给群成员之前，向APP后台发起http/https回调，并根据APP后台的应答结果来判定是否应当下发该消息。

除此之外，APP后台在收到回调请求之后，亦可对用户发送的消息内容进行修改并返回给云通信，云通信将使用修改之后的信息进行下发。

注意：在发起第三方回调时，云通信要求APP后台必须在2秒之内给出应答，如果没有收到应答，云通信不会进行重试，会直接将消息下发给群成员。

整体逻辑如下图所示：
![](http://mccdn.qcloud.com/static/img/3708a8d1c1397cfb112c78ef9125fb24/image.png)

参见：
- [第三方回调简介](/doc/product/269/第三方回调简介)
- [第三方回调接入指引](/doc/product/269/第三方回调接入指引)
- [群内发言之前回调](/doc/product/269/群内发言之前回调)

### 7.4 云通信后台进行定制化开发
如果上述方案均无法满足您的需求，或者APP已经上线，发现难以解决的问题，则可以给云通信提需求工单，对APP的消息进行定制化的控制（例如依照特定正则表达式进行过滤）。

### 7.5 消息优先级与频率控制
#### 群消息优先级
##### 优先级选择
群消息分为4个优先级：High/Normal/Low/Lowest。如果某个群的发消息请求量超过了频率限制，后台会优先下发优先级相对更高的消息。用户应根据消息的重要程度来选择优先级，比如：

* 红包消息和礼物消息使用High优先级；
* 普通文本消息使用Normal优先级；
* 点赞消息使用Low优先级；
* 其它最不重要的使用Lowest优先级；
##### 优先级设置

- [Android SDK设置群消息优先级](/doc/product/269/1561#3.9-.E6.B6.88.E6.81.AF.E4.BC.98.E5.85.88.E7.BA.A7)
- [iOS SDK设置群消息优先级](/doc/product/269/1569#3.9-.E6.B6.88.E6.81.AF.E4.BC.98.E5.85.88.E7.BA.A7)
- [通过REST API发送群内普通消息设置优先级](/doc/product/269/1629#2.7-.E8.AF.B7.E6.B1.82.E5.8C.85.E7.A4.BA.E4.BE.8B)

#### 群消息频控
##### 总消息数频控
总消息数频控是指单个群每秒最多能发送的消息数限制，默认值为40条/秒。频控对象包括客户端发送的群消息和[通过REST API发送的普通消息](/doc/product/269/1629)，但不包括[通过REST API发送的系统通知](/doc/product/269/1630)。

当在一个频控周期内单个群的发消息请求超过了频控限制时，后台优先下发优先级相对较高的消息，同等优先级的消息随机排序。

被频控策略所限制的消息不会下发；不产生[群消息seq](/doc/product/269/群组消息综述#12-.E7.BE.A4.E6.B6.88.E6.81.AF.E7.9A.84seq.E6.9C.BA.E5.88.B6)；不会进入[历史消息](/doc/product/269/群组消息综述#4-.E7.A6.BB.E7.BA.BF.E6.B6.88.E6.81.AF.E4.B8.8E.E5.8E.86.E5.8F.B2.E6.B6.88.E6.81.AF)；会触发[群内发言之前回调](/doc/product/269/1619)；不会触发[群内发言之后回调](/doc/product/269/2661)；发送方会得到发送成功的返回包。

##### 优先级频控
优先级频控是指单个群每秒最多能发送多少条某优先级的消息，发消息请求只有在通过总消息数频控之后，才会进入优先级频控。

APP管理员/群主/群管理员发送的消息不受优先级频控限制；High优先级的消息不受优先级频控限制，其余3个优先级可以独立配置，默认都为40条/秒。

一个sdkappid下的每个[群组形态](/doc/product/269/群组系统#2-.E7.BE.A4.E7.BB.84.E5.BD.A2.E6.80.81.E4.BB.8B.E7.BB.8D)都有自己的总消息数频控和优先级频控配置。如果需要修改默认值，请根据[工单模板](/doc/product/269/云通信配置变更需求工单#2.5-.E7.BE.A4.E7.BB.84.E4.B8.8D.E5.90.8C.E4.BC.98.E5.85.88.E7.BA.A7.E7.9A.84.E6.B6.88.E6.81.AF.E7.9A.84.E9.A2.91.E7.8E.87.E6.8E.A7.E5.88.B6)提交工单进行申请。

## 8 成员变更通知
成员变更通知是指：当群组中有成员加入（包括申请加入和被邀请加入）或者退出（包括被踢出群和主动退群）时，云通信后台会给群组中的所有成员广播一条消息来通知这一事件。

对于用户主动申请加群和被邀请加群，群内用户会收到ImSDK事件消息，参见：
- [Android用户加群通知](/doc/product/269/1563#8.1-.E7.94.A8.E6.88.B7.E5.8A.A0.E5.85.A5.E7.BE.A4.E7.BB.84.E9.80.9A.E7.9F.A5)
- [iOS用户加群通知](/doc/product/269/1571#8.1-.E7.94.A8.E6.88.B7.E5.8A.A0.E5.85.A5.E7.BE.A4.E7.BB.84)
- [Windows C++用户加群通知](/doc/product/269/1592#8.1-.E7.94.A8.E6.88.B7.E5.8A.A0.E5.85.A5.E7.BE.A4.E7.BB.84)
- [Web用户加群通知](/doc/product/269/群提示消息（Web%20SDK）#2-.E7.94.A8.E6.88.B7.E4.B8.BB.E5.8A.A8.E9.80.80.E5.87.BA.E7.BE.A4.E7.BB.84)

对于用户主动退群，群内用户会收到ImSDK事件消息，参见：
- [Android用户退群通知](/doc/product/269/群组管理（Android%20SDK）#8.2-.E7.94.A8.E6.88.B7.E9.80.80.E5.87.BA.E7.BE.A4.E7.BB.84)
- [iOS用户退群通知](/doc/product/269/群组管理（iOS%20SDK）#8.2-.E7.94.A8.E6.88.B7.E9.80.80.E5.87.BA.E7.BE.A4.E7.BB.84)
- [Windows C++用户退群通知](/doc/product/269/群组管理（Windows%20SDK）#8.2-.E7.94.A8.E6.88.B7.E9.80.80.E5.87.BA.E7.BE.A4.E7.BB.84)
- [Web用户退群通知](https://cloud.tencent.com/doc/product/269/1603#1-.E7.94.A8.E6.88.B7.E8.A2.AB.E9.82.80.E8.AF.B7.E5.8A.A0.E5.85.A5.E7.BE.A4.E7.BB.84)

对于用户被踢出群，ImSDK相关事件通知参见：
- [Android用户被踢出群组通知](/doc/product/269/群组管理（Android%20SDK）#8.3-.E7.94.A8.E6.88.B7.E8.A2.AB.E8.B8.A2.E5.87.BA.E7.BE.A4.E7.BB.84)
- [iOS用户被踢出群组通知](/doc/product/269/群组管理（iOS%20SDK）#8.3-.E7.94.A8.E6.88.B7.E8.A2.AB.E8.B8.A2.E5.87.BA.E7.BE.A4.E7.BB.84)
- [Windows C++用户被踢出群组通知](/doc/product/269/群组管理（Windows%20SDK）#8.3-.E7.94.A8.E6.88.B7.E8.A2.AB.E8.B8.A2.E5.87.BA.E7.BE.A4.E7.BB.84)
- [Web用户被踢出群组通知](/doc/product/269/群提示消息（Web%20SDK）#3-.E7.94.A8.E6.88.B7.E8.A2.AB.E8.B8.A2.E5.87.BA.E7.BE.A4.E7.BB.84)

不论是哪一种群组形态，ImSDK中接收成员变更通知的接口都是相同的。但是，不同群组形态的成员变更通知却有着不同的表现形式。云通信目前支持三种成员变更通知形式：
1. 无提醒：群成员变更时，不下发成员变更通知（聊天室默认配置如此）；
2. 弱提醒：群成员变更时，以系统消息的形式广播成员变更通知：此类通知只会触达群组中的在线成员，它们不占用消息SEQ，不保存于消息记录，不计入用户的未读消息计数，因此不在线用户重新上线之后也看不到该消息；
3. 强提醒：群成员变更时，以普通消息的形式广播成员变更通知：群组后台为其分配消息SEQ，会将其保存在后台消息记录中，并计入用户的未读消息计数中，不在线成员重新上线之后可以看到该消息（私有群、公开群默认如此）。


## 9 群消息的APNs推送
当用户在群内的消息接收选项为“接收并提示”时，如果群内有新消息，iOS客户端会收到APNS推送。基本的展示形式是：

> 发送者昵称/群名片(群名称)：消息内容

其中群名片的展示优先级大于昵称。下面给出几个具体示例：

示例1：群名称为“xxx业主群”，发送者昵称为“张三”，未设置群名片：张三(xxx业主群)：消息内容

示例2：群名称为“xxx业主群”，发送者昵称为“张三”，设置群名片为“2栋308业主”：2栋308业主(xxx业主群)：消息内容

示例3：群名称为“xxx业主群”，发送者ID为ID_yyy，发送者未设置昵称，也未设置群名片：ID_yyy(xxx业主群)：消息内容

有关离线推送的详细介绍，请参考[离线推送（ISO SDK）](/document/product/269/1577).

## 10 APP后台获取群消息记录
APP后台可以通过如下三种方式获取群组消息：

1. 所谓消息记录下载，是指云通信会将APP在一段时间内产生的所有消息打包成文件，APP可以通过[REST API：消息记录下载](/doc/product/269/消息记录下载)来获取消息记录。该方案适用于APP定期备份消息记录的场景。
1. 所谓[群内发言之后回调](/doc/product/269/群内发言之后回调)，是指云通信后台会在完成群消息下发之后，将该消息同步给APP后台。与[群内发言之前回调](/doc/product/269/群内发言之前回调)相比，该回调不会干涉APP正常的消息下发流程。
1. 可以通过[REST API：拉取群漫游消息](/doc/product/269/拉取群漫游消息)来获取单个群组的历史消息。

我们建议：

1. 如果APP只是需要定期备份群消息，则只需要使用[REST API：消息记录下载](/doc/product/269/消息记录下载)；
1. 如果APP需要实时获取APP中的群消息，需要开通[群内发言之后回调](/doc/product/269/群内发言之后回调)；
1. 如果APP需要快速获取指定群组的历史消息，建议使用[REST API：拉取群漫游消息](/doc/product/269/拉取群漫游消息)。

## 11 消息删除
所谓消息删除，是指一旦APP后台发现有人在群内发布了恶意信息（并且部分成员已经看到），但为了降低影响，可以将该消息从历史消息中删除，从而确保尚未看到该消息的用户无法看到该消息。

参见：
- [REST API：删除指定用户发送的消息](/doc/product/269/删除指定用户发送的消息)。

## 12 群消息的SEQ机制
云通信会为每个群维护一个消息SEQ。SEQ的初始值为1。群内每产生一条普通消息，云通信后台会将当前SEQ的值作为该消息的SEQ，并且将该SEQ自增1。

群组ID + SEQ，相当于是一条消息的唯一标识。

特别注意的是：
云通信只会为普通消息产生SEQ，不会为系统消息产生SEQ；

## 13 群组离线消息处理流程

![](//mc.qcloudimg.com/static/img/11326d65298d19dedd4e3f7d562ba6f0/image.png)

**群组离线消息处理流程：**
1. 用户A调用sendMessage给群组C发送消息，用户B处于下线状态。
	1.1 把群组C添加进用户B的最近联系人，缓存大小为100条。
	1.2 用户更新群组的消息信息，包括群组最新消息seq。
	1.3 把消息存入漫游服务器中，时间限制7天。
2. 用户B调用login接口登录腾讯云。
3. SDK自动拉取所有群组的消息seq信息，包括最新消息seq和未读计数。
4. SDK自动拉取最近联系人，通过OnNewMessage接口抛出。
5. 同步消息过程完成，通过OnRefresh接口通知用户已完成群组数据同步。
6. 用户调用getMessage，SDK自动拉漫游服务器。
