本文档主要介绍了群组的创建、群资料管理、群成员管理。群组的整体综述参见群组系统介绍，群消息相关内容参见[群组消息综述](/doc/product/269/群组消息综述)。

## 1 创建群组

### 1.1 通过ImSDK创建群组
- [Android创建群组](/doc/product/269/群组管理（Android%20SDK）#3.1-.E5.88.9B.E5.BB.BA.E5.86.85.E7.BD.AE.E7.B1.BB.E5.9E.8B.E7.BE.A4.E7.BB.84)
- [iOS创建群组](/doc/product/269/群组管理（iOS%20SDK）#3.1-.E5.88.9B.E5.BB.BA.E5.86.85.E7.BD.AE.E7.B1.BB.E5.9E.8B.E7.BE.A4.E7.BB.84)
- [Windows C++创建群组](/doc/product/269/群组管理（Windows%20SDK）#3.1-.E5.88.9B.E5.BB.BA.E5.86.85.E7.BD.AE.E7.B1.BB.E5.9E.8B.E7.BE.A4.E7.BB.84)
- [Web创建群组](/doc/product/269/群组管理（Web%20SDK）#1-.E5.88.9B.E5.BB.BA.E7.BE.A4)

### 1.2 通过REST API创建群组
- [REST API：创建群组](/doc/product/269/创建群组)。

### 1.3 自定义群组ID

创建群组时如果不指定群组ID，则云通信后台会默认分配一个群组ID。默认分配的群组ID以@TGS#开头。

如果指定了群组ID，且该群组ID尚未被占用，则会分配成功。如果该群组ID已被占用，会创建失败。

自定义群组ID必须为可打印ASCII字符（0x20-0x7e），最长48个字节，且前缀不能为@TGS#（避免与默认分配的群组ID混淆）。

### 1.4 创建群组的配额限制

云通信目前限制每个APP每天最多净消耗5000个群组，APP可以通过提需求工单来突破这一限制。所谓净消耗，是指创建群组的数量减去解散群组的数量。例如，创建100个群组，解散20个，则净消耗为80个。

目前云通信后台没有限制每个用户可以创建的群组的数量。

### 1.5 创建群组之后的ImSDK系统消息

创建群组之后，群主所在终端会收到创建群组系统消息。该系统消息的目的在于保持多终端群组同步（一个终端创建群组之后，所有终端都能立即感知到该群已被创建）。

参见：
- [Android创建群系统消息](/doc/product/269/群组管理（Android%20SDK）#9.7-.E5.88.9B.E5.BB.BA.E7.BE.A4.E6.B6.88.E6.81.AF)
- [iOS创建群系统消息](/doc/product/269/群组管理（iOS%20SDK）#9.7-.E5.88.9B.E5.BB.BA.E7.BE.A4.E6.B6.88.E6.81.AF)
- [Windows C++创建群系统消息](/doc/product/269/群组管理（Windows%20SDK）#9.7-.E5.88.9B.E5.BB.BA.E7.BE.A4.E6.B6.88.E6.81.AF)
- [Web创建群系统消息](/doc/product/269/群系统消息（Web%20SDK）#6-.E5.88.9B.E5.BB.BA.E7.BE.A4)

### 1.6 创建群组相关的第三方回调
- [创建群组之前回调](/doc/product/269/创建群组之前回调)：云通信后台在收到创建群组请求之后，向APP后台发起第三方回调，APP后台可以据此干预用户创建群组的动作（例如拒绝用户的建群请求）；
- [创建群组之后回调](/doc/product/269/创建群组之后回调)：云通信后台完成一个群组的创建之后，向APP后台发起第三方回调，APP后台可以据此进行必要的数据同步。

## 2 转让群组
### 2.1 通过ImSDK转让群组
只有群主才具备转让群组的权限，参见：
- [Android转让群组](/doc/product/269/群组管理（Android%20SDK）#3.11-.E8.BD.AC.E8.AE.A9.E7.BE.A4.E7.BB.84)
- [iOS转让群组](/doc/product/269/群组管理（iOS%20SDK）#3.11-.E8.BD.AC.E8.AE.A9.E7.BE.A4.E7.BB.84)
- [Windows C++转让群组](/doc/product/269/群组管理（Windows%20SDK）#3.11-.E8.BD.AC.E8.AE.A9.E7.BE.A4.E7.BB.84)
- Web转让群组（文档完善中）

### 2.2 通过REST API转让群组
- [REST API：转让群组](/doc/product/269/转让群组)

### 2.3 转让群组之后的ImSDK系统消息
文档完善中

### 2.4 转让群组相关的第三方回调

目前转让群组暂时无法触发第三方回调。

## 3 解散群组

### 3.1 通过ImSDK解散群组
- [Android解散群组](/doc/product/269/群组管理（Android%20SDK）#3.10-.E8.A7.A3.E6.95.A3.E7.BE.A4.E7.BB.84)
- [iOS解散群组](/doc/product/269/群组管理（iOS%20SDK）#3.10-.E8.A7.A3.E6.95.A3.E7.BE.A4.E7.BB.84)
- [Windows C++解散群组](/doc/product/269/群组管理（Windows%20SDK）#3.10-.E8.A7.A3.E6.95.A3.E7.BE.A4.E7.BB.84)
- [Web解散群组](/doc/product/269/群组管理（Web%20SDK）#7-.E8.A7.A3.E6.95.A3.E7.BE.A4)

### 3.2 通过REST API解散群组
- [REST API：解散群组](/doc/product/269/解散群组)。

### 3.3 解散群组之后的ImSDK系统消息

当群组被解散之后，群组原有成员均会收到解散群组的系统消息，参见：
- [Android解散群系统消息](/doc/product/269/群组管理（Android%20SDK）#9.6-.E7.BE.A4.E8.A2.AB.E8.A7.A3.E6.95.A3)
- [iOS解散群系统消息](/doc/product/269/群组管理（iOS%20SDK）#9.6-.E7.BE.A4.E8.A2.AB.E8.A7.A3.E6.95.A3)
- [Windows C++解散群系统消息](/doc/product/269/群组管理（Windows%20SDK）#9.6-.E7.BE.A4.E8.A2.AB.E8.A7.A3.E6.95.A3)
- [Web解散群系统消息](/doc/product/269/群系统消息（Web%20SDK）#5-.E8.A7.A3.E6.95.A3.E7.BE.A4)

### 3.4 群组解散相关第三方回调
- [群组解散之后回调](/doc/product/269/群组解散之后回调)：群组解散之后，云通信后台会给APP后台发起回调，APP后台可以据此进行必要的数据同步。

## 4 群组资料管理
所谓群组资料，是指单个群组维度的属性，包括群名称、简介、公告、群主等，以及APP的群组维度自定义字段。群成员相关信息参见群成员管理。

### 4.1 通过ImSDK获取/修改群组资料

通过ImSDK获取群组资料，参见：
- [Android获取群组资料](/doc/product/269/群组管理（Android%20SDK）#4.-.E8.8E.B7.E5.8F.96.E7.BE.A4.E7.BB.84.E8.B5.84.E6.96.99)
- [iOS获取群组资料](/doc/product/269/群组管理（iOS%20SDK）#4.-.E8.8E.B7.E5.8F.96.E7.BE.A4.E8.B5.84.E6.96.99)
- [Windows C++获取群组资料](/doc/product/269/群组管理（Windows%20SDK）#4.-.E8.8E.B7.E5.8F.96.E7.BE.A4.E8.B5.84.E6.96.99)
- [Web获取群组资料](/doc/product/269/群组管理（Web%20SDK）#9-.E8.AF.BB.E5.8F.96.E7.BE.A4.E8.AF.A6.E7.BB.86.E8.B5.84.E6.96.99)

通过ImSDK修改群组资料，参见：
- [Android修改群组资料](/doc/product/269/群组管理（Android%20SDK）#5.-.E4.BF.AE.E6.94.B9.E7.BE.A4.E8.B5.84.E6.96.99)
- [iOS修改群组资料](/doc/product/269/群组管理（iOS%20SDK）#5.-.E4.BF.AE.E6.94.B9.E7.BE.A4.E8.B5.84.E6.96.99)
- [Windows C++修改群组资料](/doc/product/269/群组管理（Windows%20SDK）#5.-.E4.BF.AE.E6.94.B9.E7.BE.A4.E8.B5.84.E6.96.99)
- [Web修改群组资料](/doc/product/269/群组管理（Web%20SDK）#10-.E4.BF.AE.E6.94.B9.E7.BE.A4.E5.9F.BA.E6.9C.AC.E8.B5.84.E6.96.99)

（注意：非群成员不能调用获取群组资料相关接口，如果非群成员需要精确搜索一个群组，参见依照群组ID精确查找）

### 4.2 通过REST API获取/修改群组资料
- [REST API：获取群组详细资料](/doc/product/269/获取群组详细资料)
- [REST API：修改群组基础资料](/doc/product/269/修改群组基础资料)

### 4.3 群资料被修改之后的ImSDK事件消息

群**名称、简介、公告、头像URL**变更之后，云通信后台会给ImSDK推送事件消息，ImSDK可以据此即时更新本地展示信息。参见：

- [Android群资料变更事件消息](/doc/product/269/群组管理（Android%20SDK）#8.5-.E7.BE.A4.E8.B5.84.E6.96.99.E5.8F.98.E6.9B.B4)
- [iOS群资料变更事件消息](/doc/product/269/群组管理（iOS%20SDK）#8.5-.E7.BE.A4.E8.B5.84.E6.96.99.E5.8F.98.E6.9B.B4)
- [Windows C++群资料变更事件消息](/doc/product/269/群组管理（Windows%20SDK）#8.5-.E7.BE.A4.E8.B5.84.E6.96.99.E5.8F.98.E6.9B.B4)
- [Web群资料变更事件消息](/doc/product/269/群提示消息（Web%20SDK）#6-.E7.BE.A4.E7.BB.84.E8.B5.84.E6.96.99.E5.8F.98.E6.9B.B4)

### 4.4 修改群组资料相关第三方回调
- [群组资料修改之后回调](/doc/product/269/群组资料修改之后回调)：群基础资料变更之后，云通信后台会想APP后台发起回调，APP可以据此进行必要的数据同步。

> 目前APP可以在控制台上自助配置群**名称、简介、公告、头像URL**的变更回调。如果需要启用其他群资料（包括群维度的自定义字段）的变更回调，请提需求工单。

## 5 获取群成员资料

群成员管理包括以下几个方面：
1. 获取/修改其他群成员的信息，包括群成员的身份、入群时间、最后发消息时间、群名片，以及群成员维度的自定义资料；
2. 获取/修改自己在群组中的信息，这些信息仅仅可以由用户自己获取/设置，例如消息接收选项等。

### 5.1 通过ImSDK获取群组成员列表

- [Android获取群成员列表](/doc/product/269/群组管理（Android%20SDK）#3.8-.E8.8E.B7.E5.8F.96.E7.BE.A4.E6.88.90.E5.91.98.E5.88.97.E8.A1.A8)
- [iOS获取群成员列表](/doc/product/269/群组管理（iOS%20SDK）#3.8-.E8.8E.B7.E5.8F.96.E7.BE.A4.E6.88.90.E5.91.98.E5.88.97.E8.A1.A8)
- [Windows C++获取群成员列表](/doc/product/269/群组管理（Windows%20SDK）#3.8-.E8.8E.B7.E5.8F.96.E7.BE.A4.E6.88.90.E5.91.98.E5.88.97.E8.A1.A8)
- [Web获取群成员列表](/doc/product/269/群成员管理（Web%20SDK）#1-.E8.8E.B7.E5.8F.96.E7.BE.A4.E6.88.90.E5.91.98.E5.88.97.E8.A1.A8)

### 5.2 通过REST API获取成员列表
- [REST API：获取群组成员详细资料](/doc/product/269/获取群组成员详细资料)。

## 6 修改群成员资料

修改群成员资料包括两方面：
1. 群主或者管理员修改**其他**群成员的资料，包括修改群内身份（设置/取消管理员）、禁言、修改群名片、群成员维度的自定义字段等；
2. 群成员主动修改**自己**在群内的资料，包括消息接收选项、群名片、群成员维度的自定义字段等。

### 6.1 通过ImSDK修改群成员资料
- [Android修改群成员资料](/doc/product/269/群组管理（Android%20SDK）#5.7-.E4.BF.AE.E6.94.B9.E7.94.A8.E6.88.B7.E7.BE.A4.E5.86.85.E8.BA.AB.E4.BB.BD)
- [iOS修改群成员资料](/doc/product/269/群组管理（iOS%20SDK）#5.7-.E4.BF.AE.E6.94.B9.E7.94.A8.E6.88.B7.E7.BE.A4.E5.86.85.E8.BA.AB.E4.BB.BD)
- [Windows C++修改群成员资料](/doc/product/269/群组管理（Windows%20SDK）#5.-.E4.BF.AE.E6.94.B9.E7.BE.A4.E8.B5.84.E6.96.99)
- [Web修改群成员资料](/doc/product/269/群成员管理（Web%20SDK）)

### 6.2 通过REST API修改群成员资料
- [REST API：修改群成员资料](/doc/product/269/修改群成员资料)

## 7 邀请加群/拉人入群

邀请加群和拉人入群都是希望将其他用户拉入某一群组中。不同之处在于，拉人入群可以不经目标用户同意直接将其拉入群组，而邀请加群则需要用户同意。

默认情况下，私有群可以直接拉人入群；对于公开群、聊天室，只有群主和管理员能够邀请其他用户加群。

### 7.1 通过ImSDK邀请加群/拉人入群

参见：
- [Android邀请入群](/doc/product/269/群组管理（Android%20SDK）#3.4-.E9.82.80.E8.AF.B7.E7.94.A8.E6.88.B7.E5.85.A5.E7.BE.A4)
- [iOS邀请入群](/doc/product/269/群组管理（iOS%20SDK）#3.4-.E9.82.80.E8.AF.B7.E7.94.A8.E6.88.B7.E5.85.A5.E7.BE.A4)
- [Windows C++邀请入群](/doc/product/269/%E7%BE%A4%E7%BB%84%E7%AE%A1%E7%90%86%EF%BC%88Windows%20SDK%EF%BC%89#9.3-.E9.82.80.E8.AF.B7.E5.85.A5.E7.BE.A4.E6.B6.88.E6.81.AF)
- [Web邀请入群](/doc/product/269/群成员管理（Web%20SDK）#2-.E9.82.80.E8.AF.B7.E5.A5.BD.E5.8F.8B.E5.8A.A0.E7.BE.A4)

### 7.2 通过REST API拉人入群

APP管理员可以无需用户同意直接将其加入群组。参见：
- [REST API：增加群组成员](/doc/product/269/删除群组成员)


### 7.3 拉人入群相关的ImSDK事件消息

拉人入群成功之后，所有群成员（包括刚刚被拉入的用户）都会收到用户被拉入群组的事件消息，参见：
成员变更通知。

### 7.4 邀请加群相关的ImSDK系统通知

被邀请的用户会收到邀请加群的系统通知，参见：
- [Android邀请加群系统通知](/doc/product/269/群组管理（Android%20SDK）#9.3-.E9.82.80.E8.AF.B7.E5.85.A5.E7.BE.A4.E8.AF.B7.E6.B1.82.E6.B6.88.E6.81.AF)
- [iOS邀请加群系统通知](/doc/product/269/群组管理（iOS%20SDK）#9.3-.E9.82.80.E8.AF.B7.E5.85.A5.E7.BE.A4.E6.B6.88.E6.81.AF)
- [Windows C++邀请加群系统通知](/doc/product/269/%E7%BE%A4%E7%BB%84%E7%AE%A1%E7%90%86%EF%BC%88Windows%20SDK%EF%BC%89#9.3-.E9.82.80.E8.AF.B7.E5.85.A5.E7.BE.A4.E6.B6.88.E6.81.AF)
- [Web邀请加群系统通知](/doc/product/269/群系统消息（Web%20SDK）#7-.E8.A2.AB.E9.82.80.E8.AF.B7.E5.8A.A0.E7.BE.A4)

被邀请的用户处理邀请加群的方法，参加：
- [Android处理邀请加群](/doc/product/269/1563#6.-.E7.BE.A4.E7.BB.84.E6.9C.AA.E5.86.B3.E4.BF.A1.E6.81.AF)
- [iOS处理邀请加群](/doc/product/269/1571#6.-.E7.BE.A4.E7.BB.84.E6.9C.AA.E5.86.B3.E4.BF.A1.E6.81.AF)
- [Windows C++处理邀请加群](/doc/product/269/1592#6.-.E7.BE.A4.E7.BB.84.E6.9C.AA.E5.86.B3.E4.BF.A1.E6.81.AF)


### 7.5 拉人入群/邀请加群相关第三方回调
- [拉人入群之前回调](/doc/product/269/拉人入群之前回调)：APP后台可以据此监控/拦截用户拉人入群/邀请加群的操作；
- [新成员入群之后回调](/doc/product/269/新成员入群之后回调)：如果直接拉人入群成功，云通信后台将发起该回调，APP后台可以据此进行必要的数据同步。

## 8 申请加群

所谓申请加群，即用户通过ImSDK主动加入某一群组的动作。申请加群可能遇到的结果如下：
1. 私有群不允许申请加群，会直接返回错误；
1. 对于公开群和聊天室，申请加群的处理结果由群资料中的ApplyJoinOption字段决定的：
	1. DisableApply表示禁止任何人申请加入；
	1. NeedPermission表示需要群主或管理员审批（公开群默认配置如此）；
	1. FreeAccess表示允许无需审批自由加入群组（聊天室默认配置如此）。

### 8.1 通过ImSDK申请加群

参见：
- [Android申请加群](/doc/product/269/群组管理（Android%20SDK）#3.5-.E7.94.B3.E8.AF.B7.E5.8A.A0.E5.85.A5.E7.BE.A4.E7.BB.84)
- [iOS申请加群](/doc/product/269/群组管理（iOS%20SDK）#3.5-.E7.94.B3.E8.AF.B7.E5.8A.A0.E5.85.A5.E7.BE.A4.E7.BB.84)
- [Windows C++申请加群](/doc/product/269/1592#3.5-.E7.94.B3.E8.AF.B7.E5.8A.A0.E5.85.A5.E7.BE.A4.E7.BB.84)
- [Web申请加群](/doc/product/269/群组管理（Web%20SDK）#3-.E7.94.B3.E8.AF.B7.E5.8A.A0.E7.BE.A4)

### 8.2 处理申请加群
管理员处理加群申请，参见：
- [Android处理申请加群](/doc/product/269/1563#6.-.E7.BE.A4.E7.BB.84.E6.9C.AA.E5.86.B3.E4.BF.A1.E6.81.AF)
- [iOS处理申请加群](/doc/product/269/1571#6.-.E7.BE.A4.E7.BB.84.E6.9C.AA.E5.86.B3.E4.BF.A1.E6.81.AF)
- [Windows C++处理申请加群](/doc/product/269/1592#6.-.E7.BE.A4.E7.BB.84.E6.9C.AA.E5.86.B3.E4.BF.A1.E6.81.AF)

### 8.3 申请加群相关的第三方回调
- [申请入群之前回调](/doc/product/269/申请入群之前回调)：在用户发起申请加群请求之后、云通信进行后续处理（直接入群或者给群组管理员下发申请加群通知）之前，云通信可以先将该请求发送给APP后台，APP后台可以据此干涉用户的加群请求（例如拒绝掉本次申请加群请求）。
- [新成员入群之后回调](/doc/product/269/新成员入群之后回调)：如果群组允许任何人自由进入（例如聊天室默认配置如此），则云通信后台会在用户成功加群之后将该事件同步给APP后台，APP后台可以据此进行必要的数据同步。

## 9 删除群组成员

所谓删除群组成员，是指群主或者群管理员将群成员从群组中移除的操作。APP后台管理员亦可通过REST API强制将某一用户从某一群组中删除。

### 9.1 通过ImSDK删除群组成员

参见：
- [Android删除群组成员](/doc/product/269/群组管理（Android%20SDK）#3.7-.E5.88.A0.E9.99.A4.E7.BE.A4.E7.BB.84.E6.88.90.E5.91.98)
- [iOS删除群组成员](/doc/product/269/群组管理（iOS%20SDK）#3.7-.E5.88.A0.E9.99.A4.E7.BE.A4.E7.BB.84.E6.88.90.E5.91.98)
- [Windows C++删除群组成员](/doc/product/269/群组管理（Windows%20SDK）#3.7-.E5.88.A0.E9.99.A4.E7.BE.A4.E7.BB.84.E6.88.90.E5.91.98)
- [Web删除群组成员](/doc/product/269/群成员管理（Web%20SDK）#6-.E5.88.A0.E9.99.A4.E7.BE.A4.E6.88.90.E5.91.98)

### 9.2 通过REST API删除群组成员

参见：
- [REST API：删除群组成员](/doc/product/269/删除群组成员)。

### 9.3 删除群组成员相关的ImSDK事件消息/系统通知

当管理员或群主将用户从群组中删除之后：

**被删除的用户**会收到被踢出群组的**系统消息**，参见：
- Android被踢出群组系统消息
- iOS被踢出群组系统消息
- Windows C++被踢出群组系统消息
- Web被踢出群组系统消息

群内其他成员会收到用户被踢出群组的**事件消息**，参见：
[成员变更通知](/doc/product/269/群组消息综述#8-.E6.88.90.E5.91.98.E5.8F.98.E6.9B.B4.E9.80.9A.E7.9F.A5)。

### 9.4 删除群组成员相关的第三方回调

- [群成员离开之后回调](/doc/product/269/群成员离开之后回调)：成员主动退群之后，云通信后台可以将该事件同步给APP后台，APP后台可以据此进行必要的数据同步。

## 10 主动退群

### 10.1 通过ImSDK主动退群
参见：
- [Android退出群组](/doc/product/269/群组管理（Android%20SDK）#3.6-.E9.80.80.E5.87.BA.E7.BE.A4.E7.BB.84)
- [iOS退出群组](/doc/product/269/群组管理（iOS%20SDK）#3.6-.E9.80.80.E5.87.BA.E7.BE.A4.E7.BB.84)
- [Windows C++退出群组](/doc/product/269/群组管理（Windows%20SDK）#3.6-.E9.80.80.E5.87.BA.E7.BE.A4.E7.BB.84)
- [Web退出群组](/doc/product/269/群组管理（Web%20SDK）#6-.E4.B8.BB.E5.8A.A8.E9.80.80.E7.BE.A4)

### 10.2 主动退群相关的ImSDK事件消息/系统通知
用户主动退群之后：

**主动发起退群操作的用户**会收到主动退群**系统消息**，目的在于保持多终端同步，参见：
- [Android主动退群退群系统消息](/doc/product/269/群组管理（Android%20SDK）#9.9-.E4.B8.BB.E5.8A.A8.E9.80.80.E7.BE.A4)
- [iOS主动退群退群系统消息](/doc/product/269/群组管理（iOS%20SDK）#9.9-.E4.B8.BB.E5.8A.A8.E9.80.80.E7.BE.A4)
- [Windows C++主动退群退群系统消息](/doc/product/269/群组管理（Windows%20SDK）#9.9-.E4.B8.BB.E5.8A.A8.E9.80.80.E7.BE.A4)
- [Web主动退群退群系统消息](/doc/product/269/群系统消息（Web%20SDK）#8-.E4.B8.BB.E5.8A.A8.E9.80.80.E7.BE.A4)

**群内其他成员**会收到用户退出群组的**事件消息**，参见：
[成员变更通知](/doc/product/269/群组消息综述#8-.E6.88.90.E5.91.98.E5.8F.98.E6.9B.B4.E9.80.9A.E7.9F.A5)。

### 10.3 主动退群相关的第三方回调
- [群成员离开之后回调](/doc/product/269/群成员离开之后回调)。

## 11 获取用户所加入的群组

### 11.1 通过ImSDK获取用户自身所加入的群组

- [Android获取加入的群组列表](/doc/product/269/群组管理（Android%20SDK）#3.9-.E8.8E.B7.E5.8F.96.E5.8A.A0.E5.85.A5.E7.9A.84.E7.BE.A4.E7.BB.84.E5.88.97.E8.A1.A8)
- [iOS获取加入的群组列表](/doc/product/269/群组管理（iOS%20SDK）#3.9-.E8.8E.B7.E5.8F.96.E5.8A.A0.E5.85.A5.E7.9A.84.E7.BE.A4.E7.BB.84.E5.88.97.E8.A1.A8)
- [Windows C++获取加入的群组列表](/doc/product/269/群组管理（Windows%20SDK）#3.9-.E8.8E.B7.E5.8F.96.E5.8A.A0.E5.85.A5.E7.9A.84.E7.BE.A4.E7.BB.84.E5.88.97.E8.A1.A8)
- [Web获取加入的群组列表](/doc/product/269/群组管理（Web%20SDK）#8-.E6.88.91.E7.9A.84.E7.BE.A4.E7.BB.84.E5.88.97.E8.A1.A8)

### 11.2 通过REST API获取用户所加入的群组
- [REST API：获取用户所加入的群组](/doc/product/269/获取用户所加入的群组)。

## 12 群未决信息列表
- [Android处理群未决信息](/doc/product/269/1563#6.-.E7.BE.A4.E7.BB.84.E6.9C.AA.E5.86.B3.E4.BF.A1.E6.81.AF)
- [iOS处理群未决信息](/doc/product/269/1571#6.-.E7.BE.A4.E7.BB.84.E6.9C.AA.E5.86.B3.E4.BF.A1.E6.81.AF)
- [Windows C++处理群未决信息](/doc/product/269/1592#6.-.E7.BE.A4.E7.BB.84.E6.9C.AA.E5.86.B3.E4.BF.A1.E6.81.AF)

## 13 群组发现

### 13.1 依照群组ID精确查找

通过ImSDK精确查找群组，参见：
- [Android获取群组公开资料](/doc/product/269/群组管理（Android%20SDK）#4.3-.E9.9D.9E.E7.BE.A4.E6.88.90.E5.91.98.E8.8E.B7.E5.8F.96.E7.BE.A4.E7.BB.84.E8.B5.84.E6.96.99)
- [iOS获取群组公开资料](/doc/product/269/群组管理（iOS%20SDK）#4.3-.E9.9D.9E.E7.BE.A4.E6.88.90.E5.91.98.E8.8E.B7.E5.8F.96.E7.BE.A4.E7.BB.84.E8.B5.84.E6.96.99)
- [Windows C++获取群组公开资料](/doc/product/269/群组管理（Windows%20SDK）#4.3-.E9.9D.9E.E7.BE.A4.E6.88.90.E5.91.98.E8.8E.B7.E5.8F.96.E7.BE.A4.E7.BB.84.E8.B5.84.E6.96.99)
- Web获取群组公开资料

（注意：非群成员不能调用获取群组资料相关接口）

通过REST API精确查找群组，参见：
- [REST API：获取群组详细资料](/doc/product/269/获取群组详细资料)

### 13.2 依照群名称模糊搜索

默认情况下，仅公开群、聊天室可以进行模糊查找，私有群不能进行模糊查找。

通过ImSDK进行模糊查找，参见：
- [Android模糊搜索群组](/doc/product/269/群组管理（Android%20SDK）#10.-.E6.90.9C.E7.B4.A2.E7.BE.A4)
- [iOS模糊搜索群组](/doc/product/269/群组管理（iOS%20SDK）#10-.E6.90.9C.E7.B4.A2.E7.BE.A4)
- [Windows C++模糊搜索群组](/doc/product/269/1592#10-.E6.90.9C.E7.B4.A2.E7.BE.A4)
- [Web模糊搜索群组](/doc/product/269/1601#2-.E6.90.9C.E7.B4.A2.E7.BE.A4)

通过REST API进行模糊查找，参见：
- [REST API：模糊搜索群组](/doc/product/269/模糊搜索群组)。

### 13.3 获取APP中的所有群组

仅APP后台管理员才能获取APP中的所有群组，普通用户无权限。参见：
- [REST API：获取APP中的所有群组](/doc/product/269/获取APP中的所有群组)。