

## 1. 自定义资料介绍

云通信可以托管用户的资料和群组资料，对用户资料和群组资料有一系列内置字段，比如用户昵称、备注、群名、群公告等，开发者可以根据内置字段做对应功能展示，不过不同应用千差万别，内置字段不可能满足所有开发者的需求，所以云通信提供了自定义字段，方便用户根据自己的需要进行自定义配置。

自定义字段分四种类型：

* 用户自定义资料（用户本身的属性）
* 关系链自定义资料（只有加好友之后可以单独给好友设置的属性）
* 群纬度自定义资料
* 群成员纬度自定义资料

自定义字段使用步骤：

1. 申请自定义字段KEY
2. ImSDK 通过接口配置自定义字段KEY
3. 通过接口获取

下面逐一介绍如何使用。

## 2. 自定义资料申请

使用自定义字段之前，首先需要提单新增，对于四种不同的自定义字段，申请方式不同：

* 用户资料自定义字段：参考 [新增用户资料维度的自定义字段](/doc/product/269/云通信配置变更需求工单#2.3-.E6.96.B0.E5.A2.9E.E7.94.A8.E6.88.B7.E8.B5.84.E6.96.99.E7.BB.B4.E5.BA.A6.E7.9A.84.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)，自定义字段的KEY前缀必须为：Tag_Profile_Custom
* 关系链自定义字段：参考 [新增用户资料维度的自定义字段](/doc/product/269/云通信配置变更需求工单#2.3-.E6.96.B0.E5.A2.9E.E7.94.A8.E6.88.B7.E8.B5.84.E6.96.99.E7.BB.B4.E5.BA.A6.E7.9A.84.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)，自定义字段的KEY前缀必须为：Tag_SNS_Custom
* 群纬度自定义字段：[新增群维度自定义字段](/doc/product/269/云通信配置变更需求工单#2.7-.E6.96.B0.E5.A2.9E.E7.BE.A4.E7.BB.B4.E5.BA.A6.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)
* 群成员纬度自定义字段：[新增群成员维度自定义字段](/doc/product/269/云通信配置变更需求工单#2.8-.E6.96.B0.E5.A2.9E.E7.BE.A4.E6.88.90.E5.91.98.E7.BB.B4.E5.BA.A6.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)

## 3. 客户端主动获取自定义字段

申请完成后，客户端如果使用，需要通过接口设置申请的KEY，否则ImSDK无法得知需要拉取哪些KEY。

设置资料相关自定义字段KEY接口，设置用户自定义KEY通过 `TIMFriendshipSetting` 的 `userCustom` 成员，设置关系链自定义KEY通过 `TIMFriendshipSetting` 的 `friendCustom`:

- [iOS 设置要拉取的用户资料和关系链资料](/doc/product/269/1578#3.4-.E6.8C.89.E7.85.A7.E5.AD.97.E6.AE.B5.E8.8E.B7.E5.8F.96.E7.94.A8.E6.88.B7.E8.B5.84.E6.96.99)
- [Android 设置要拉取的用户资料和关系链资料](/doc/product/269/1564#3.4-.E6.8C.89.E7.85.A7.E5.AD.97.E6.AE.B5.E8.8E.B7.E5.8F.96.E7.94.A8.E6.88.B7.E8.B5.84.E6.96.99)

设置群组相关自定义字段KEY接口：

- [iOS 设置要拉取的群组资料](/doc/product/269/1571#4.1-.E8.AE.BE.E7.BD.AE.E6.8B.89.E5.8F.96.E5.AD.97.E6.AE.B5)
- [Android 设置要拉取的群组资料](/doc/product/269/1563#4.1-.E8.AE.BE.E7.BD.AE.E6.8B.89.E5.8F.96.E5.AD.97.E6.AE.B5)
- [Windows 设置要拉取的群组资料](/doc/product/269/1592#4.1-.E8.AE.BE.E7.BD.AE.E6.8B.89.E5.8F.96.E5.AD.97.E6.AE.B5)

获取群纬度自定义字段：

群纬度资料字段位于 `TIMGroupInfo` 的 `customInfo` 成员，设置了需要获取的KEY后，通过 GetGroupInfo 等接口可获取：

- [iOS 获取群资料](/doc/product/269/1571#4.-.E8.8E.B7.E5.8F.96.E7.BE.A4.E8.B5.84.E6.96.99)
- [Android 获取群资料](/doc/product/269/1563#4.-.E8.8E.B7.E5.8F.96.E7.BE.A4.E7.BB.84.E8.B5.84.E6.96.99)
- [WIndows 获取群资料](/doc/product/269/1592#4.-.E8.8E.B7.E5.8F.96.E7.BE.A4.E8.B5.84.E6.96.99)

获取群成员纬度自定义字段：

群成员纬度自定义字段位于 `TIMGroupMemberInfo` 中的 `customInfo` 成员，设置需要获取的KEY后，可通过获取群成员资料的一系列接口获得：

- [iOS 获取群资料](/doc/product/269/1571#4.-.E8.8E.B7.E5.8F.96.E7.BE.A4.E8.B5.84.E6.96.99)
- [Android 获取群资料](/doc/product/269/1563#4.-.E8.8E.B7.E5.8F.96.E7.BE.A4.E7.BB.84.E8.B5.84.E6.96.99)
- [WIndows 获取群资料](/doc/product/269/1592#4.-.E8.8E.B7.E5.8F.96.E7.BE.A4.E8.B5.84.E6.96.99)


获取用户自定义字段和关系链自定义字段：

用户自定义字段和关系链自定义字段都通过 `TIMUserProfile` 中的 `customInfo` 成员获取，设置需要获取的KEY后，可通过获取用户资料的一系列接口获得：

- [iOS 获取用户资料](/doc/product/269/1578#3.-.E8.8E.B7.E5.8F.96.E8.B5.84.E6.96.99)
- [Android 获取用户资料](/doc/product/269/1564#3.-.E8.8E.B7.E5.8F.96.E8.B5.84.E6.96.99)
- [WIndows 获取用户资料](/doc/product/269/1593#3.-.E8.8E.B7.E5.8F.96.E8.B5.84.E6.96.99)


示例1，iOS端获取用户自定义字段和关系链自定义字段：

```
// 初始化SDK
[[TIMManager sharedInstance] initSdk:[kSdkAppId intValue] accountType:kSdkAccountType];

TIMFriendshipSetting *setting = [[TIMFriendshipSetting alloc] init];
setting.friendFlags = TIM_PROFILE_FLAG_NICK | TIM_PROFILE_FLAG_ALLOW_TYPE | TIM_PROFILE_FLAG_FACE_URL | TIM_PROFILE_FLAG_REMARK | TIM_PROFILE_FLAG_GROUP | TIM_PROFILE_FLAG_SELFSIGNATURE;

// 设置用户自定义字段KEY
NSMutableArray * userCustom = [[NSMutableArray alloc] init];
[userCustom addObject:@"Tag_Profile_Custom2"];
setting.userCustom = userCustom;

// 设置关系链自定义KEY
NSMutableArray * friendCustom = [[NSMutableArray alloc] init];
[friendCustom addObject:@"Tag_SNS_Custom1"];
setting.friendCustom = friendCustom;

// 设置要拉取的字段
[[TIMManager sharedInstance] initFriendshipSetting:setting];

// 登录
[[TIMManager sharedInstance] login:@"user1" userSig:@"usersig" succ:^{
	// 获取好友列表
    [[TIMFriendshipManager sharedInstance] GetFriendList:^(NSArray *friends) {
        for (TIMUserProfile * user in friends) {
			// 打印自定义字段，用户纬度和关系链纬度都通过此字段获取
            NSLog(@"friend custom: %@", user.customInfo);
        }
    } fail:^(int code, NSString *msg) {
        NSLog(@"get friend list failed: code=%d, msg=%@", code, msg);
    }];
} fail:^(int code, NSString *msg) {
    NSLog(@"login failed: code=%d, msg=%@", code, msg);
}];
```

示例1，iOS端获取群纬度自定义字段：

```
// 初始化
[[TIMManager sharedInstance] initSdk:[kSdkAppId intValue] accountType:kSdkAccountType];

TIMGroupSetting *groupSetting = [[TIMGroupSetting alloc] init];
groupSetting.groupFlags = 0XFFFF;
groupSetting.memberFlags = 0XFF;

// 设置群纬度自定义字段KEY
NSMutableArray * groupCustom = [[NSMutableArray alloc] init];
[groupCustom addObject:@"Custom1"];
groupSetting.groupCustom = groupCustom;

// 设置群成员纬度自定义KEY
NSMutableArray * memberCustom = [[NSMutableArray alloc] init];
[memberCustom addObject:@"Custom2"];
groupSetting.memberCustom = memberCustom;

// 设置要拉取的字段
[[TIMManager sharedInstance] initGroupSetting:groupSetting];

// 登录
[[TIMManager sharedInstance] login:@"user1" userSig:@"usersig" succ:^{
    [[TIMGroupManager sharedInstance] GetGroupList:^(NSArray *arr) {
        for (TIMGroupInfo * group in arr) {
            // 获取群纬度自定义字段
            NSLog(@"group custom: %@", group.customInfo);
        }
    } fail:^(int code, NSString *msg) {
        NSLog(@"get group list failed: code=%d, msg=%@", code, msg);
    }];
} fail:^(int code, NSString *msg) {
    NSLog(@"login failed: code=%d, msg=%@", code, msg);
}];
```

## 4. 消息内带自定义字段

群消息体默认包含发送者的资料，但并不包括自定义字段，需要单独提单进行修改，可以参考提单模版：[群下行消息带自定义字段](/doc/product/269/%E4%BA%91%E9%80%9A%E4%BF%A1%E9%85%8D%E7%BD%AE%E5%8F%98%E6%9B%B4%E9%9C%80%E6%B1%82%E5%B7%A5%E5%8D%95#2.6-.E7.BE.A4.E4.B8.8B.E8.A1.8C.E6.B6.88.E6.81.AF.E5.B8.A6.E8.87.AA.E5.AE.9A.E4.B9.89.E5.AD.97.E6.AE.B5)。

修改完成后，可以通过消息中的发送方资料获取自定义字段，消息 `TIMMessage` 中的`GetSenderProfile`方法获取 `TIMUserProfile`，从而可以取得用户或者关系链纬度自定义字段，而 `GetSenderGroupMemberProfile` 方法获取发送者在群内的自定义字段（群本身的自定义字段可以通过接口单独获取，不需要从消息中获取）。

示例，iOS新消息回调打印自定义字段：

```
@interface TIMMessageListenerImpl : NSObject <TIMMessageListener> {
}
- (void)onNewMessage:(NSArray*) msgs;
@end

@implementation TIMMessageListenerImpl
- (void)onNewMessage:(NSArray*) msgs {
    for (TIMMessage * msg in msgs) {
        // 只有群组消息有自定义字段
        if ([[msg getConversation] getType] == TIM_GROUP) {
            // 用户自定义字段和关系链自定义字段
            NSLog(@"userCustom=%@", [msg GetSenderProfile].customInfo);
            // 群成员纬度自定义字段
            NSLog(@"memberCustom=%@", [msg GetSenderGroupMemberProfile].customInfo);
        }
    }
}
@end
```

