## 1 帐号集成简介

腾讯登录服务（Tencent Login Service，TLS）是腾讯为开发者快速完成帐号集成接入音视频或即时通信云服务（后面简称云服务）而提供的一套通用帐号登录组件。  

### 1.1 简要说明

![](//avc.qcloud.com/wiki2.0/im/imgs/20151117034741_42845.png)
帐号体系集成位于云服务接入流程的第四步。在帐号体系集成前，您需要首先注册腾讯云帐号，开通服务和创建应用，具体方法请点击“[应用接入指引](/doc/product/269/应用接入指引)”。 本文后续将重点讲解如何进行帐号集成。另外我们针对这里提到的内容录制了视频，可以点击[这里](https://cloud.tencent.com/course/detail/133)进行观看。

## 2 两种模式介绍

1. 如果您的应用已经发布，用户较多，[独立模式](/doc/product/269/独立模式)可以帮您快速集成云服务（**温馨提醒：帐号的独立模式并不影响资料、关系链和群组的托管**）；
1. 如果您不想维护复杂的用户帐号系统，[托管模式](/doc/product/269/托管模式)可以帮您方便快速地搭建安全的应用自有帐号体系。

## 3 附录

### 3.1 集成模式

根据开发者使用场景，我们为开发者提供了两种不同的帐号集成方式，开发者可根据自身情况选择：
1. [独立模式](/doc/product/269/独立模式)：用户帐号信息由开发者保存，用户身份验证（比如注册与验密）也由开发者负责；
1. [托管模式](/doc/product/269/托管模式)：由腾讯为开发者提供帐号的密码注册、存储和密码验证，以及第三方openid和token的托管验证服务。

>注意：帐号集成模式选择后，就不能变更了，所以选择时请慎重。如果想改变集成模式，请创建新的应用重新走帐号集成流程。

### 3.2 公私钥

公私钥是密码学中非对称加密算法中的概念。非对称加密算法中，公钥与私钥是成对出现的，私钥需要保密，公钥是公开的。用公钥加密的数据，只有私钥才能解开；用私钥加密的数据，也只有公钥才能解开。在帐号集成中，公私钥用于鉴别开发者用户的身份合法性，使用场景如下：
1. [独立模式](/doc/product/269/独立模式)：私钥由开发者保存，公钥由腾讯保存。开发者使用私钥生成用户签名UserSig，腾讯使用公钥对签名UserSig进行校验；
1. [托管模式](/doc/product/269/托管模式)：私钥由腾讯保存，公钥由开发者保存。腾讯使用私钥生成用户签名UserSig，开发者可以使用公钥对签名UserSig进行校验，注意，对于第三方开放帐号，此时不需要公私钥。

对于独立模式，为了方便开发者快速开发，开发者进行帐号集成后，可以在应用列表的应用配置中[下载公私钥](/doc/product/269/下载公私钥)。同时我们也提供了工具给开发者（详见[TLS后台API开发指引](/doc/product/269/TLS后台API使用手册#1-.E6.A6.82.E8.BF.B0)）供调试使用。
关于非对称算法，可通过以这篇[文章](https://zh.wikipedia.org/wiki/%E5%85%AC%E5%BC%80%E5%AF%86%E9%92%A5%E5%8A%A0%E5%AF%86)进一步了解。

### 3.3 如何生成公私钥

详见“[TLS后台API开发指引](/doc/product/269/TLS后台API使用手册)”中的“[工具使用](/doc/product/269/TLS后台API使用手册#3.1-.E5.B7.A5.E5.85.B7.E4.BD.BF.E7.94.A8)”章节。

### 3.4 APP管理员

对外的开放接口中，有些操作是管理员身份才能调用的，例如解散群，给用户发C2C消息等。因此在开发者的帐号体系中，可以标识一些帐号为管理员，在腾讯验证管理员身份后，管理员可以对自己的业务进行一些特殊操作。  
APP管理员是对APP具有最高管理权限的角色，与普通帐号相比，其：
1. 读取权限更高，例如获取APP内部的所有群组、获取任意群组的任意资料；
1. 操作权限更高：例如给任意用户发消息、在任意群组中增删成员。

APP在调用REST API进行服务端集成时，应当使用APP管理员帐号作为identifier进行调用。APP可以在帐号体系中将数个帐号设置为APP管理员，设置方法参见[这里](/doc/product/269/设置APP管理员)。

### 3.5 短信验证码内容

开发者选择托管模式集成自有帐号后，由腾讯为开发者提供帐号的注册和登录服务。在开发注册和功能时，开发者可以选择让用户通过[短信验证](/doc/product/269/添加短信签名)的方式进行注册和登录。验证码短信格式如下：
1234 （XXXX短信验证码），请勿转发，否则会导致帐号被盗。【腾讯云】
【说明】
1. 以上内容开发者只能更改“XXXX”部分，可填写公司名称或者app名称，长度30个字符以内；
1. “1234”为随机的四位数字，实际使用时会随机生成；
1. 【腾讯云】为默认短信签名（应运营商要求，下发短信必须要有短信签名）；如果您的月短信量超过 1 万条，可以联系客服给您定制短信签名。
1. 如果开发者没有填写“XXXX”部分，则使用默认的短信验证码，格式如下：
1234 （短信验证码），请勿转发，否则会导致帐号被盗。【腾讯云】

### 3.6 identifier 格式说明
identifier 即用户帐号标识，下面是对此参数的格式说明：
独立模式下，identifier 长度建议不超过 32 字节 。托管模式下，字符串类型的 identifier 长度为4~24个字节，请使用英文字符和下划线，不能全为数字，大小写不敏感。

## 4 联系我们

如果遇到问题建议先到[这里](http://bbs.qcloud.com/thread-8287-1-1.html)查找解决方法，如仍需支持，请@TLS帐号支持，QQ 3268519604，电子邮箱 tls_assistant@tencent.com。
