# 示例：一笔到底画图游戏
## 部署与运行
### 注册与登录
-  如果您还没有注册腾讯云账户，请先 [注册](https://cloud.tencent.com/register?s_url=https%3A%2F%2Fcloud.tencent.com%2F%3FfromSource%3Dgwzcw.184926.184926.184926%26gclid%3DEAIaIQobChMIoaGVwcT21gIVFSNoCh3VxAi-EAAYASAAEgId7PD_BwE)，注册完成后您需要进行实名认证，具体操作可参考 [实名认证指引](https://cloud.tencent.com/document/product/378/3629)。
-  如果您已注册腾讯云账户，并进行了实名认证，可直接 [登录腾讯云](https://cloud.tencent.com/login?s_url=https%3A%2F%2Fcloud.tencent.com%2F%3FfromSource%3Dgwzcw.184926.184926.184926%26gclid%3DEAIaIQobChMIoaGVwcT21gIVFSNoCh3VxAi-EAAYASAAEgId7PD_BwE)。

### 准备域名和证书
在微信小程序中，所有的网络请求受到严格限制，小程序后台服务需要通过 HTTPS 访问，不满足条件的域名和协议无法请求，所以在搭建微信小程序服务之前，您需要准备域名和 SSL 证书。
- 如果您还没有域名，可以 [在腾讯云上选购](https://dnspod.cloud.tencent.com/?fromSource=lab)。
- 微信小程序网络请求必须走 HTTPS 协议，所以您还需要为您的域名 [申请一个证书](https://console.cloud.tencent.com/ssl?utm_source=jiaocheng&utm_medium=ssl2&utm_campaign=qcloud)。

域名注册完成后，您可以登录 [微信公众平台](https://mp.weixin.qq.com/) 配置通信域名。
![](//mc.qcloudimg.com/static/img/8be69d06928a2b9888c60e6b2cf20ac3/image.png)

### 云主机和镜像部署
**一笔到底** 的服务器运行代码和配置已经打包成腾讯云 CVM 镜像，您可以 [直接使用](https://buy.cloud.tencent.com/cvm?marketImgId=371&utm_source=jiaocheng&utm_medium=cvm2&utm_campaign=qcloud)。
1. 进入选择地域与机型页面， 根据购买需求选择地域和机型。

 ![](//mc.qcloudimg.com/static/img/26a37af440555462a0e7e912ace868ff/image.png)
 
2. 单击 【下一步：选择镜像】，选择 **镜像提供方**。
![](//mc.qcloudimg.com/static/img/99abf95520936341c20f2b7e8bbf2c7a/image.png)
3. 单击【下一步：选择存储于网络】，进入选择存储与网络页面，根据需要选择网络类型、带宽计费模式等信息。
![](//mc.qcloudimg.com/static/img/d77c30abfe8ce87569535496dfb34994/image.png)
4. 单击【下一步：设置信息】，进入设置信息页面，填写所属项目、密码等信息，完成信息的填写后，点击【立即购买】即可完成镜像部署。
![](//mc.qcloudimg.com/static/img/29204cf71681cbe5d65d66f043bcc3c4/image.png)




> **注意：**
> 镜像已包含所有小程序的服务器环境与代码，如果您需要体验其它小程序，无需重复部署。

### 配置 HTTPS
镜像中已经部署了 nginx，需要在 `/etc/nginx/conf.d`  下修改配置中的域名、证书、私钥。
![](//mc.qcloudimg.com/static/img/afdf12da547a4c29588184778955448d/image.png)

配置完成后，即可启动 nginx。

```
nginx
```
### 域名解析
您还需要添加域名记录解析到腾讯云的云服务器上，这样才可以使用域名进行 HTTPS 服务。

在腾讯云注册的域名，可以直接使用 [云解析控制台](https://console.cloud.tencent.com/cns/domains?utm_source=jiaocheng&utm_medium=cns&utm_campaign=qcloud) 来添加主机记录，直接选择上面购买的 CVM。
![](//mc.qcloudimg.com/static/img/27c84b21a0600f2d1c4c3ec1efb0f927/image.png)
解析生效后，在浏览器使用域名就可以进行 HTTPS 访问。
![](//mc.qcloudimg.com/static/img/c6127cb39de915ac3692762ee8fb45c0/image.png)
### 配置云存储 Redis
会话管理依赖 Redis 作为缓存管理，您可以选择自行搭建 Redis 服务或者直接购买 
[云存储 Redis 服务](https://buy.cloud.tencent.com/buy/redis?utm_source=jiaocheng&utm_medium=redis&utm_campaign=qcloud)。
### 配置云数据库 MongoDB
**一笔到底** 小程序使用 MongoDB 来存储用户绘制的图像路径，要运行小程序开发者需要自行搭建 MongoDB 服务或者直接购买 [云数据库 MongoDB](https://buy.cloud.tencent.com/mongodb?utm_source=jiaocheng&utm_medium=mongo&utm_campaign=qcloud)。
### 启动一笔到底示例 Node 服务
在镜像的 nginx 配置中（`/etc/nginx/conf.d`），已经把 `/applet/session` 的请求转发到  `http://127.0.0.1:5757` 处理。我们需要把 Node 服务运行起来。Node 代码部署在目录`/data/release/qcloud-applet-session`下。
进入该目录：
```sh
cd /data/release/qcloud-applet-session
```

在该目录下有个名为 `config.js` 的配置文件（如下所示），根据注释将 `appId`、`appSecret`、`redisConfig`、`mongoConfig` 修改成您的配置。

```js
module.exports = {
    port: '5757',
    ROUTE_BASE_PATH: '/applet',

    // 微信小程序 App ID
    appId: '',

    // 微信小程序 App Secret
    appSecret: '',

    // Redis 配置
    // @see https://www.npmjs.com/package/redis#options-object-properties
    redisConfig: {
        host: '',
        port: '',
        password: '',
    },

    // MongoDB 配置
    // @see https://cloud.tencent.com/doc/product/240/3979
    mongoConfig: {
        username: '',
        password: '',
        host: '',
        port: '',
        query: '?authMechanism=MONGODB-CR&authSource=admin',
        database: 'qcloud-applet-session',
    },
};
```
**一笔到底** 示例使用 pm2 管理 Node 进程，执行以下命令启动 node 服务：

```
pm2 start process.json
```
## 实现
### 会话层实现
会话层实现包含两个部分：
- 服务器端：[https://github.com/CFETeam/weapp-session](https://github.com/CFETeam/weapp-session)。
- 客户端：[https://github.com/CFETeam/weapp-session-client](https://github.com/CFETeam/weapp-session-client)。

腾讯云微信小程序的 Demo 直接使用上面两个仓库，可以快速地拥有会话层的能力。

会话层的实现和传统 Cookie 的实现方式类似，都是在 Header 上使用特殊的字段跟踪。一个请求的完整流程如下：
![](//mc.qcloudimg.com/static/img/0b2ee92790116ee28717cff568ba915e/image.png)
1. 客户端（微信小程序）发起请求 `request`。
2. [weapp-session-client](https://github.com/CFETeam/weapp-session-client) 包装 `request`。
 - 	首次请求
      - 	调用 `wx.login()` 和 `wx.getUserInfo()` 接口获得 `code`、`rawData` 和 `signature`。
      - 	`requset` 的头部带上 `code`、`rawData` 和 `signature`。
      - 	保存 `code` 供下次调用。
 -    非首次请求
     -    `request` 的头部带上保存的 `code`。
3.  服务器收到请求 `request`，中间件从头部提取 `code`、`rawData` 和 `signature` 字段。
  - 如果 `code` 为空，跳到第 4 步。
  - 如果 `code` 不为空，且 `rawData` 不为空，需要进行签名校验。
     - 使用 `code`，`appid`、`app_secret` 请求微信接口获得 `session_key` 和 `openid`。
         - 如果接口失败，响应 `ERR_SESSION_KEY_EXCHANGE_FAILED`。
     - 使用签名算法通过 `rawData` 和 `session_key` 计算签名 `signature2`。
     - 对比 `signature` 和 `signature2`。
         - 签名一致，解析 `rawData` 为 `wxUserInfo`。
             - 把 `openid` 写入到 `wxUserInfo`。
             - 把 (`code`,`wxUserInfo` ) 缓存到 Redis。
             - 把 `wxUserInfo` 存放在 `request.$wxUserInfo` 里。
             - 跳到第 `4` 步。
         - 签名不一致，响应 `ERR_UNTRUSTED_RAW_DATA`。
  - 如果 `code` 不为空，但 `rawData` 为空，从 Redis 根据 `code` 查询缓存的用户信息。
     - 找到用户信息，存放在 `request.$wxUserInfo ` 字段里，跳到第 `4` 步。
     - 没找到用户信息（可能是过期），响应 `ERR_SESSION_EXPIRED`。
4. `request` 被业务处理，可以使用 `request.$wxUserInfo` 来获取用户信息（`request.$wxUserInfo` 可能为空，业务需要自行处理）。
## 源代码
可从 Github 获取 [https://github.com/CFETeam/weapp-session](https://github.com/CFETeam/weapp-session) 。                                                                            