新片预告是结合腾讯云 [点播 VOD](https://cloud.tencent.com/product/vod.html?utm_source=jiaocheng&utm_medium=vod-introduction&utm_campaign=qcloud) 和 [云数据库 MySQL](https://cloud.tencent.com/product/cdb.html?utm_source=jiaocheng&utm_medium=cdb-introduction&utm_campaign=qcloud) 制作的一个微信小程序示例，其主要功能包括：

 * 支持分页滚动加载视频列表
 * 点击海报跳转至详情页播放视频
 * 对视频进行评论
 * 展示视频的评论列表

新片预告在代码结构上包含如下两部分：

- `app`：新片预告应用包代码，可直接在微信开发者工具中作为项目打开
- `server`：搭建的Node服务端代码，作为服务器和 app 通信，提供 CGI 接口示例用于拉取云数据库上的视频列表、评论列表，将评论数据提交到云数据库

运行时的效果如下：

![运行截图](https://share-10039692.file.myqcloud.com/app4.png)


## 整体架构

新片预告小程序的整体架构可以参照下图：

![整体架构](https://share-10039692.file.myqcloud.com/app3.png)

## 1. 准备域名和证书

在微信小程序中，所有的网路请求受到严格限制，不满足条件的域名和协议无法请求，具体包括：

* 只允许和在 MP 中配置好的域名进行通信，如果还没有域名，需要 [注册域名](https://cloud.tencent.com/product/dm.html?utm_source=jiaocheng&utm_medium=domain2&utm_campaign=qcloud)。
* 网络请求必须走 HTTPS 协议，所以你还需要为你的域名 [申请 SSL 证书](https://console.cloud.tencent.com/ssl?utm_source=jiaocheng&utm_medium=ssl2&utm_campaign=qcloud)。


域名注册完成后，登录 [微信公众平台](https://mp.weixin.qq.com) 配置通信域名。

![配置通信域名](https://easyimage-10028115.file.myqcloud.com/internal/tjzpgjrz.y5a.jpg)

注意：需要将 `www.qcloud.la` 设置为上面申请的域名。

## 2. Nginx 和 Node 代码部署

小程序服务要运行，需要进行以下几步：

* 部署 Nginx。Nginx 的安装和部署请自行搜索（注意需要把 SSL 模块也编译进去）
* 配置 Nginx 反向代理到 `http://127.0.0.1:9994`
* Node 运行环境，可以安装 [Node V6.6.0](https://nodejs.org/)
* 部署 `server` 目录的代码到服务器上，如 `/data/release/qcloud-applet-video`
* 使用 `npm install` 安装依赖模块
* 使用 `npm install pm2 -g` 安装 pm2

> 为减小用户工作量，新片预告的服务器运行代码和配置已经打包成 [腾讯云 CVM 镜像](https://buy.cloud.tencent.com/cvm?marketImgId=371?utm_source=jiaocheng&utm_medium=cvm2&utm_campaign=qcloud)，推荐直接购买使用。
> * 腾讯云用户可以 [领取礼包](https://cloud.tencent.com/act/event/yingyonghao.html#section-voucher)，体验腾讯云小程序解决方案。
> * 镜像已包含所有小程序的服务器环境与代码，其他小程序无需重复部署

## 3. 配置 HTTPS

镜像中已经部署了 nginx，需要在 `/etc/nginx/conf.d` 下修改配置中的域名、证书、私钥。

![证书 Nginx 配置](https://easyimage-10028115.file.myqcloud.com/internal/agfty0fn.gfi.jpg)


配置完成后，即可启动 nginx

```sh
nginx
```

## 4. 域名解析

完成上述步骤后，添加域名记录解析到腾讯云服务器上，即可使用域名进行 HTTPS 服务。

在腾讯云注册的域名，可以直接使用 [云解析控制台](https://console.cloud.tencent.com/cns/domains?utm_source=jiaocheng&utm_medium=cns&utm_campaign=qcloud) 添加主机记录，选择上面购买的 CVM 按下图所示进行配置：

![添加域名解析](https://easyimage-10028115.file.myqcloud.com/internal/uw25hdj2.k1u.jpg)

解析生效后，在浏览器使用域名即可进行 HTTPS 访问。

![HTTPS 访问效果图](https://easyimage-10028115.file.myqcloud.com/internal/bxfkmjea.g41.jpg)

## 5. 开通点播服务

新片预告示例的播放资源是存储在腾讯云点播上的 mp4 文件，要使用点播服务，需要登录 [点播管理控制台](http://console.cloud.tencent.com/video?utm_source=jiaocheng&utm_medium=vod-console&utm_campaign=qcloud)，然后在其中完成以下操作：

- 上传视频资源，点播几乎支持所有主流的 [视频格式](https://cloud.tencent.com/doc/product/266/2846)上传
- 转码成功后获取 mp4 或 m3u8 源地址

![上传转码](https://share-10039692.file.myqcloud.com/app5.png)

> 目前微信小程序 `video` 组件经测试支持 mp4 和 m3u8 格式，其中 m3u8 格式只能在手机上使用，开发者可以使用腾讯云点播控制台将视频源转码成 mp4 或 m3u8 格式，并且腾讯云点播会对播放的资源进行 CDN 加速。

## 6. 准备云数据库 MySQL

示例中拉取的视频和评论列表都是存储在 云数据库 上，要使用 [云数据库](https://cloud.tencent.com/product/cdb.html?utm_source=jiaocheng&utm_medium=cdb-introduction&utm_campaign=qcloud) 服务需要完成以下操作

- [购买](https://buy.cloud.tencent.com/cdb?utm_source=jiaocheng&utm_medium=cdb-purchase&utm_campaign=qcloud)，注意购买的云数据库需要与云服务器同在一个地域分区
- [初始化流程](https://cloud.tencent.com/doc/product/236/3128)，本示例选用的是 utf8 编码
- 点击 [云数据库控制台](https://console.cloud.tencent.com/cdb?utm_source=jiaocheng&utm_medium=cdb-console&utm_campaign=qcloud) 操作栏的 `登录` 按钮，登录到 phpMyAdmin `创建数据库` 并在当前数据库中导入本示例中的 [SQL文件](https://share-10039692.file.myqcloud.com/wechat_app.sql)

> 注意：导入SQL文件中包含了点播上传的视频列表，开发者可以基于云数据库自行开发维护一个视频发布管理系统，因为此内容跟本示例暂不相关，所以不再详述。

## 7. 启动新片预告示例 Node 服务

在镜像中，新片预告示例的 Node 服务代码已部署在目录 `/data/release/qcloud-applet-video` 下。

进入该目录：

```bash
cd /data/release/qcloud-applet-video
```

在该目录下有个名为 `config.js` 的配置文件（如下所示），按注释修改对应的 MySQL 配置：

```js
module.exports = {
    // Node 监听的端口号
    port: '9994',
    ROUTE_BASE_PATH: '/applet',

    host: '填写开通 MySQL 时分配的内网IP',
    user: '填写MySQL用户名',
    password: '填写MySQL密码',
    database: '填写上一步中创建的MySQL数据名',
};
```

示例使用 `pm2` 管理 Node 进程，执行以下命令启动 Node 服务：

```bash
pm2 start process.json
```

## 8. 启动新片预告 Demo

在微信开发者工具将新片预告应用包源码添加为项目，并把源文件 `config.js` 中的通讯域名修改成上面申请的域名。

![修改配置文件](https://share-10039692.file.myqcloud.com/app1.png)

然后点击调试即可打开新片预告 Demo 开始体验。

![调试](https://share-10039692.file.myqcloud.com/app2.png)


如需了解新片预告小程序连接 MySQL 进行查询、插入操作等更多实现细节，请参阅 [视频应用场景](https://cloud.tencent.com/document/product/448/6425)。
