
如果您遇到机器过期被回收需重新部署的情况，可以根据下面的指引进行操作。

#### 1 . 购买业务服务器
点击新建云服务器跳转到服务器购买页面，选择好机型之后，第二步选择镜像，选择服务市场，并且点击从服务市场选择。
![](//mc.qcloudimg.com/static/img/940bdaae1ceae8572498ef645901fc06/image.png) 
![](//mc.qcloudimg.com/static/img/83e736257210b27311297f93c651a5c0/image.png)
![](//mc.qcloudimg.com/static/img/366b7cc57f14b8a0fb76fbb9bab4500a/image.png)
业务服务器的语言版本的选择可以根据自己的实际情况，选择nodejs版本、java版本、php版本、.net 版本，完成购买流程。


#### 2 . 购买会话服务器
购买流程和购买业务服务器一致，差别在于选择镜像时，需要手动选择会话服务器镜像。
 ![](//mc.qcloudimg.com/static/img/d4d936de673918a49adb3c5d0944cd3e/image.png)

#### 3 . 购买CDB服务
点击新建，进入云数据库购买流程。
 ![](//mc.qcloudimg.com/static/img/92a1f638f619e59583923303226164fe/image.png)
购买完成之后，将ip记录记录下来，即可进入下一步的配置流程。
 ![](//mc.qcloudimg.com/static/img/d34074c0b7f953d77a76af3bee79b6b7/image.png)

#### 4 . 更改配置
这里有三个地方需要配置。

##### 4.1 业务服务器的域名服务配置
使用root用户身份登陆业务服务器：
如果是linux服务器，在 `/etc/qcloud/` 目录下；
如果是Windows Server系统，在 `c://qcloud` 目录下。

修改 `sdk.config` 文件：

```
{
    "serverHost": "xxxx.qcloud.la",   //资源视图给出的二级域名
    "authServerUrl": "http://内网IP/mina_auth/", //内网IP改成会话管理服务器的内网IP
    "tunnelServerUrl": "https:// ****.ws.qcloud.la", //资源视图给出的数字子域名
    "tunnelSignatureKey": "62aaa14292b3a65a61c14b8c30437bc648e087b2", //填写一份随机字符
    "networkTimeout": "30000"
}
```

修改完成后，需要重启网站服务来生效。



##### 4.2 会话服务器中的appid和appsecret配置
1. 登录会话管理服务器，进入`/opt/lampp/htdocs/mina_auth/system/db/`目录，查看`db.ini`文件，文件中保存着云数据库 CDB 的 ip、port、username、passwd 以及 dbname 等信息。
	
	- 进入CDB配置文件目录 `cd /opt/lampp/htdocs/mina_auth/system/db/`
	- 查看服务器配置文件 `vi db.ini`
 
2. 拿到这些信息以后，登录云数据库 CDB，修改` cAppinfo` 表中的 AppId 和 secretKey 即可。

	- 进入安装mysql命令的目录 	`cd /opt/lampp/bin/`
	- 连接CDB 	`./mysql -h #ip -P #port -u #username -p #passwd` 
	(其中#ip、#port、#username、#passwd 是在1.2步骤中查看到的具体信息)
	- 更新AppId 和 AppSecret
	```
use cAuth;//选中数据库。
update cAppinfo set appid = "your appid",secret = "your secret";//更新正确的AppId 和 AppSecret
```
	

##### 4.3 微信端的配置
如果服务器过期之前没有修改过，就不需要修改。
 ![](//mc.qcloudimg.com/static/img/14e452fece36515dea823818a59370d8/image.jpg)