腾讯云提供了与开发环境**完全**隔离（运行环境和数据库）的生产环境，生产环境分配的数据库为云数据库。

## 开通环境

1. 进入腾讯云微信小程序开发者工具解决方案控制台，并点击【[生产环境](https://console.cloud.tencent.com/lav2/production)】即可看到开通界面。
2. 设置域名信息。要开通生产环境，您必须拥有一个域名。在开通界面里，您可以注册一个新的域名，也可以直接选择已有域名。

    > **注意：**
    >
    > 小程序解决方案只支持部分域名后缀，不支持的域名后缀将不会在注册界面和已有域名界面显示，目前支持的域名后缀为：`.com/.net/.cn/.com.cn/.net.cn/.wang/.club/.ac.cn`，域名后缀可能会有所调整请以注册界面显示为准。

    ![注册域名](https://mc.qcloudimg.com/static/img/0308022348a04a07ee3ad7481f22535a/image.jpg)

3. 完成域名信息设置后，点击【下一步】即可进入初始化界面。

    ![初始化环境](https://mc.qcloudimg.com/static/img/f27f289f5d254891facaf998da7509db/image.jpg)

    等待初始化完成再次点击【下一步】即可进入控制台。

    ![点击下一步](https://mc.qcloudimg.com/static/img/37822d2bf36cc5c33557a4c96f257c59/image.jpg)

    ![控制台](https://mc.qcloudimg.com/static/img/aa4559d0dae94b073383f3eb3748e4aa/image.jpg)

## 本地配置 Demo

### 安装依赖

为了保证服务端环境与本地环境完全一致，我们需要在本地安装依赖并将依赖连同代码上传到生产环境。

1. 在下载下来的 [Demo](https://github.com/tencentyun/wafer2-quickstart) 的文件夹里，按住 `shift` 加鼠标右键，即可看到【在此处打开命令窗口】选项，点击即可打开命令提示符。

    > **注意：**
    >
    > 安装依赖之前您的机器必须已经安装了 8.0 版本以上的 Node.js，可在[这里](https://nodejs.org)下载安装 Node.js。

    ![打开命令提示符](https://mc.qcloudimg.com/static/img/d454774286e48c518e14015157824e41/image.jpg)

2. 在打开的命令提示符窗口输入如下命令并回车。

    ```bash
    cd server && npm i
    ```

3. 等待命令执行结束，界面会显示如下，即为安装成功。

    ![安装依赖](https://mc.qcloudimg.com/static/img/76dc37523275ad6060e16de4fa2a0135/image.jpg)

### 修改 MySQL 配置

1. 打开腾讯云微信小程序开发者工具解决方案[控制台](https://console.cloud.tencent.com/lav2/production)，点击【phpMyAdmin】按钮打开 phpMyAdmin。

    ![打开 phpMyAdmin](https://mc.qcloudimg.com/static/img/d111bf0891fa3e5b7ec81495cdce2368/image.jpg)

2. 在打开的页面中输入数据库的用户名和密码，用户名默认为 `root`，数据库密码已经在开通生产环境的时候通过短信发送给了您。接着点击【执行】即可进入 phpMyAdmin。

    ![登录 phpMyAdmin](https://mc.qcloudimg.com/static/img/864c8e04e96d6571807f462a30a97531/image.jpg)

3. 复制 phpMyAdmin 中显示的 IP。

    ![复制数据库IP](https://mc.qcloudimg.com/static/img/0299f0a70d179fa6ae0be5524cba77db/image.jpg)

4. 将复制出来的 IP 粘贴到`server/config.js`文件的`mysql`配置的`host`配置项中，修改`pass`为您的数据库密码，密码与登录 phpMyAdmin 的密码相同，并保存。

    ![修改 Host](https://mc.qcloudimg.com/static/img/0f32489a2c1e3bb2cbccbbac307b53a8/image.jpg)

## 上传部署代码

点击微信开发者工具右上角的【腾讯云】图标，再点击【上传正式代码】，填入版本号和备注，点击【确定】即可上传代码。

![上传正式代码](https://mc.qcloudimg.com/static/img/d2a3a708d520c96d982f7f011230c39f/image.jpg)

![上传正式代码](https://mc.qcloudimg.com/static/img/b249f52dc98a2d3240ca1a9626249802/image.jpg)

打开腾讯云微信小程序开发者工具解决方案[控制台](https://console.cloud.tencent.com/lav2/production)，点击【代码部署】即可完成部署。

![部署代码](https://mc.qcloudimg.com/static/img/ee13f4da4e4c386577939c89d1abd3a1/image.jpg)

![成功部署代码](https://mc.qcloudimg.com/static/img/ecacf11a4e50383c217a180de09921c5/image.jpg)