## 一、轻松开始

### 1. 集成SDK的APK
[wetest_demo.apk（集成了SDK的demo）](https://mccdn.qcloud.com/static/archive/bc520ca41b4d2db95434f83ac26202aa/wetest_demo.zip)
[集成SDK帮助文档](http://cloud.tencent.com/doc/product/369/%E9%9B%86%E6%88%90SDK)
### 2. 配置测试路径
根据示例wetest_demo.apk配置的xml。

创建一个xml，命名必须为： decision-tree.xml
需要探索精灵工具获得元素控件：object、xscale、yscale 等。[探索精灵使用帮助文档](http://cloud.tencent.com/doc/product/369/%E7%B2%BE%E7%81%B5%E6%8E%A2%E7%B4%A2)

```
<?xml version="1.0" encoding="utf-8"?>
<strategies engine="Unity3d">  
	<strategy>
		<condition name="testhall" >
			<exist object = "Sample"  /> 
		</condition>
		<group_actions>
			<touch name="adapter" object="/Canvas/Panel/Sample" xscale="0.1546875" yscale="0.275" responsewaittime="1000" />
			<touch name="FindElements" object="/Canvas/Panel/FindElements" xscale="0.4984375" yscale="0.275" responsewaittime="1000" />
		</group_actions>	
  </strategy>  
</strategies>
```
**strategies**：根节点，strategies包含一个或多个strategy策略项；目前只支持Unity3d引擎。
**strategy**：一个策略项，包含一个condition和一个或多个group_actions。满足condition这个条件，就可以执行group_actions里的内容。
**condition**：表示满足某个条件，这里表示存在“Sample”这个元素。
**group_actions**：包含多组执行动作；这里表示两个touch（点击）操作。
**touch**：点击动作。其中object、xscale、yscale通过探索精灵工具获得。


### 3. 打包测试路径的配置文件
将上面的decision-tree.xml压缩成wetest_script.zip。
**注意目录结构**：wetest_script.zip下直接就是decision-tree.xml，没有文件夹wetest_script。
 上传wetest_demo.apk和wetest_script.zip
[ 直接下载示例（包含wetest_demo.apk和wetest_script.zip）](https://mccdn.qcloud.com/static/archive/4f1d2c4ffd6ff00a9141ba8c8173f6bd/sample.zip)


## 二、XML配置规则


### 1. xml命名
 xml配置文件必须命名为decision-tree.xml
 xml配置好有，在浏览器中打开，校验一下xml格式是否正确，不能打开即不正确。
 
### 2. 节点关系
- xml的根节点为strategies
- strategies包含一个或多个strategy（策略项），和一个blacknodes（黑名单组）
- strategy包含一个condtion（条件），一个或多个group_actions（一组动作）
- blacknodes（黑名单组）包含一个或多个blacknode（黑名单项）

```
<?xml version="1.0" encoding="utf-8"?>
<strategies engine="Unity3d">  
    <strategy>
        <condition name="" >
        </condition>
        <group_actions>
            <touch name="adapter" object="" xscale="" yscale="" responsewaittime="" />
        </group_actions>    
   </strategy>  
   <blacknodes>
	   <blacknode></blacknodes>
   </blacknodes>
</strategies>
```

#### 2.1 根节点
引擎目前只支持Unity3d。
```
<strategies version="1.0" package="" engine="Unity3d">
</strategies>
```
**version**：版本号，可不填；
**package**：可不填。
**engine**：Unity3d，目前支持Unity3d。

#### 2.2 策略项
策略项strategy包含一个condtion，和一个或多个group_actions，当满足condition里面的条件时，就触发group_actions里的动作。

```
 <strategy>
   <condition name="namedes" >
        <exist object = "obj1"  /> 
        <unexist object = "uobj2"  /> 
   </condition><group_actions tag="查找关卡">		 
	   <touch name="Button" object="/Canvas/Panel/findElements" xscale="0.1546875" yscale="0.1097222" responsewaittime="1000" />  
	   <touch name="关卡1" object="/Canvas/Panel/obj1" xscale="0.8679687" yscale="0.6180556" responsewaittime="1000" />  
	   <touch name="关卡2" object="/Canvas/Panel/obj2" xscale="0.8679687" yscale="0.6916667" responsewaittime="1000" />  
	   <touch name="关卡3" object="/Canvas/Panel/obj3" xscale="0.8679687" yscale="0.7666667" responsewaittime="1000" />  
   </group_actions>
</strategy>
```

当有多个group_actions时，当第一次触发condition条件时，会执行第一个动作序列；第二次触发condition条件时，会执行第二个动作序列，依次类推。当所有动作序列都被执行过一次后，再次回到此界面触发条件时，又会执行第一个动作序列。
```
<strategy>
	<condition name="testhall" >
	 <exist object = "Sample"  /> 
	</condition>
	
	<group_actions>   
	</group_actions>
	
	<group_actions>   
	</group_actions>
</strategy>
```


- #### 条件 condtion


```
 <condition name="namedes" >
        <exist object = "obj1"  /> 
        <unexist object = "uobj2"  /> 
   </condition>
```
**exist：**当前界面存在某个控件；
**unexist：**不存在某个控件；
**object：**用探索精灵获得的控件名称。

- #### 动作组 group_actions

动作组 group_actions包含一个或多个动作，当满足condition条件时，触发这些动作，依次执行。
```
<group_actions tag="查找关卡">		 
	   <touch name="Button" object="/Canvas/Panel/findElements" xscale="0.1546875" yscale="0.1097222" responsewaittime="1000" />  
	   <touch name="关卡1" object="/Canvas/Panel/obj1" xscale="0.8679687" yscale="0.6180556" responsewaittime="1000" />  
	   <touch name="关卡2" object="/Canvas/Panel/obj2" xscale="0.8679687" yscale="0.6916667" responsewaittime="1000" />  
	   <touch name="关卡3" object="/Canvas/Panel/obj3" xscale="0.8679687" yscale="0.7666667" responsewaittime="1000" />  
 </group_actions>	
```

**动作支持类型：点击、滑动、按压、输入。**
**动作的属性object、xscale、yscale、xanchor、yanchor等都可以通过探索精灵获得。**[探索精灵使用帮助文档](http://cloud.tencent.com/doc/product/369/%E7%B2%BE%E7%81%B5%E6%8E%A2%E7%B4%A2)

**（1）touch属性（点击）：**
**name**：描述信息，起标识作用。
**object**：点击的控件。unity游戏，支持name查找。例如，UIBall/shopbutton，或shopbutton。
**xscale、yscale**：相对于屏幕分辩率的比例。
**xanchor、yanchor**：瞄点。瞄点的原点为控件的中心，0,0；控件的左上角为-0.5,-0.5；
**responsewaittime**：执行完此动作后，sleep多少毫秒。

**（2）swipe属性（滑动）：**
**name：**描述信息，起标识作用。
**fromobject，destobject**：表示从哪个控件拉置滑到哪个控件位置，当from_xscale 、**from_yscale、dest_xscale、dest_yscale**：不为空时，fromobject和destobject可以为空；当from_xscale 、from_yscale、dest_xscale、dest_yscale为空时，fromobject和destobject不能为空。
**from_xscale，from_yscale，dest_xscale，dest_yscale**：表示手机屏幕上某个坐标滑到另一个坐标。
**responsewaittime**：执行完此动作后，sleep多少毫秒。

**（3）press属性（按压）：**
**name**：描述信息，起标识作用。
**object**：按压的控件。
**xscale、yscale**，相对于屏幕分辩率的比例。
**duration**，按压持续时间，单位为毫秒。
**xanchor、yanchor**：瞄点。瞄点的原点为控件的中心，0,0；控件的左上角为-0.5,-0.5；默认位置为按压点中心。
**responsewaittime**：执行完此动作后，sleep多少毫秒。


**（4）input属性（输入）：**
**name：**描述信息，起标识作用。
**object：**如果是引擎输入，用来标识在哪个控件中输入内容，例如在聊天框中输入聊天内容。
**content：**输入的内容。
**engineinput：**为1时表示引擎中的输入；为0，表示为标准控件输入，且为光标默认选中的那个控件。
**responsewaittime**：执行完此动作后，sleep多少毫秒。


#### 2.3 黑名单
出现了在blacknode中配置的结点，都不会被点击。可配置多个黑名单结点。
```
<blacknodes>   
    <blacknode name="bdes1" object="bobj1"  /> 
    <blacknode name="bdes2" object="bobj2"  />
    ...
    <blacknode name="bdesn" object="bobjn"  />  
 </blacknodes> 
```
blacknode属性
**name：**描述信息，起标识作用。
**object：**黑名单元素。



## 三、完整示例
示例1：wetest_demo.apk配置的xml
```
<?xml version="1.0" encoding="utf-8"?>
<strategies version="1.0" package="" engine="Unity3d">  
  <strategy>
    <condition name="testhall" >
		<exist object = "Sample"  /> 
    </condition>	
	<group_actions>		
	   <touch name="Sample" object="/Canvas/Panel/Sample" xscale="0.1546875" yscale="0.275" responsewaittime="1000" />  
    </group_actions>	
    <group_actions>		
	    <touch name="Joystick" object="/Canvas/Panel/Joystick" xscale="0.1546875" yscale="0.4972222" responsewaittime="1000" />    
      <swipe name="滑动测试1" fromobject="" destobject="" from_xscale="0.872093" from_yscale="0.6827586" dest_xscale="0.872093" dest_yscale="0.493103445" responsewaittime="1000" />	      
      <swipe name="滑动测试2" fromobject="" destobject="" from_xscale="0.872093" from_yscale="0.6758621" dest_xscale="0.8643411" dest_yscale="0.9137931" responsewaittime="1000" />	      
    </group_actions>
	<group_actions tag="查找关卡">		
	   <touch name="FindElements" object="/Canvas/Panel/FindElements" xscale="0.4984375" yscale="0.275" responsewaittime="1000" />   
	   <touch name="Button" object="/Canvas/Panel/Button" xscale="0.3109375" yscale="0.1083333" responsewaittime="1000" />  
	   <touch name="关卡5" object="/Canvas/Panel/VerticalPanel/Item(Clone)" xscale="0.8679687" yscale="0.9138889" responsewaittime="1000" />  
	   <touch name="关卡4" object="/Canvas/Panel/VerticalPanel/Item(Clone)" xscale="0.8679687" yscale="0.8402778" responsewaittime="1000" />  
	   <touch name="关卡3" object="/Canvas/Panel/VerticalPanel/Item(Clone)" xscale="0.8679687" yscale="0.7666667" responsewaittime="1000" />  
	   <touch name="关卡2" object="/Canvas/Panel/VerticalPanel/Item(Clone)" xscale="0.8679687" yscale="0.6916667" responsewaittime="1000" />  
	   <touch name="关卡1" object="/Canvas/Panel/VerticalPanel/Item(Clone)" xscale="0.8679687" yscale="0.6180556" responsewaittime="1000" />  
    </group_actions>		  
	<group_actions tag="Interaction_test">		
	   <touch name="Interaction" object="/Canvas/Panel/Interaction" xscale="0.8421875" yscale="0.275" responsewaittime="1000" />   
	   <press name="presstest" object="/Canvas/Panel/Press" xscale="0.6546875" yscale="0.09027778" duration="3000" xanchor="0" yanchor="0" responsewaittime="1000" />			
	   <swipe name="滑动测试" fromobject="" destobject="" from_xscale="0.301767677" from_yscale="0.242696628" dest_xscale="0.7083333" dest_yscale="0.23595506" responsewaittime="1000" />	   
	   <touch name="click" object="/Canvas/Panel/Click" xscale="0.3421875" yscale="0.09027778" responsewaittime="1000" />
	   <touch name="close" object="/Canvas/Panel/Close" xscale="0.9726563" yscale="0.04444445" responsewaittime="1000" />
    </group_actions>	
  </strategy>  
	
  <strategy>
    <condition name="return-back" >
		<exist object = "Back"  /> 
		<unexist object = "Cancel"  /> 
    </condition>	
	<group_actions>		
	   <touch name="返回" object="Back" xscale="" yscale="" responsewaittime="1000" />   
    </group_actions>
  </strategy>
	
  <blacknodes>   
    <blacknode name="取消" object="Cancel"  /> 
  </blacknodes> 
</strategies>


```
示例2：登录的情况，QQ登录或微信登录，不需要探索精灵工具获取到登录框的详情。只需要点击到登录按钮就可以了。

```
	<?xml version="1.0" encoding="utf-8"?>
	<strategies version="1.0" package="" engine="Unity3d">  
		<strategy>
			<condition name="QQlogin" >
			 <exist object = "QQLoginButton"  /> 
			</condition>
			<group_actions>
				<touch name="login" object="/UI Root/Panel/LoginBariAndroid/QQLoginButton" xscale="0.3104167" yscale="0.8759259" responsewaittime="10000" />	
			</group_actions>   
		</strategy>
	</strategies>
```




