# 查询卡片信息
## 接口描述
### 功能描述
用于查询物联卡信息的接口为 getcardinfo，当前版本为 v1。

### 接口域名
`https://yun.tim.qq.com/v1/iotcard/getcardinfo?sdkappid=xxxxxxxx&random=xxxxxxxx`


## 请求参数
	{
	    "iccid": "898602B7091701054333",
	    "token": "ecab4881ee80ad3d76bb1da68387428ca752eb885e52621a3129dcf4d9bc4fd4",
	    "time": "1505812393",
	    "echo": ""
	}
|参数名称|描述|类型|必选|
|-----|-----|-----|-----|
|iccid|物联卡 iccid|字符串|是|
|token|鉴权 TOKEN|字符串|是|
|time|请求时间，UNIX 时间戳|整数|是|
|echo|服务端按原样带回|字符串|否|

> **注：**
token 计算方式：  
token = sha256("action=getcardinfo&appkey=xxxxxxx&sdkappid=xxxxxxxx&time=xxxxxxxx")

## 响应参数
	{
	    "code": 0,
	    "message": "OK",
	    "echo": "",
	    "data": {
	        "iccid": "898602B7091701054333",
	        "msisdn": "1064878384333",
	        "teleoperator": 1,
	        "type": 1,
	        "card_status": 1,
	        "network_status": 1,
	        "data_used_in_period": 14.970,
	        "data_total_in_period": 30.000,
	        "product_id": "xxxxxxxxxxxxxxxxx",
	        "pool_id": "yyyyyyyyyyyyyyyy",
	        "product_expired_time": 1506494258
	    }
	}
|参数名称|描述|类型|必选|
|-----|-----|-----|-----|
|code|请求返回码，0 为成功，非 0 为失败|整数|是|
|message|请求返回信息|字符串|是|
|echo|服务端按原样带回|字符串|否|
|data|应答数据|对象|否|

data 对象定义如下：

|参数名称|描述|类型|必选|
|-----|-----|-----|-----|
|iccid|物联卡iccid|字符串|是|
|msisdn|物联卡电话号码|字符串|是|
|teleoperator|物联卡运营商代码，1 为移动，2 为电信，3 为联通|整数|是|
|type|物联卡服务类型，1 为单卡，2 为流量池|整数|是|
|card_status|物联卡状态，1 为未激活，2 为已激活，3 为已停用|整数|是|
|network_status|物联卡网络状态， 1 为关闭，2 为打开|整数|是|
|data_used_in_period|物联卡当期已使用流量，单位 MB|浮点数|是|
|data_total_in_period|物联卡当期可用流量，单位 MB|浮点数|是|
|product_id|物联卡当前使用的套餐 ID|字符串|是|
|pool_id|物联卡当前使用的流量池 ID|字符串|是|
|product_expired_time|套餐过期时间，UNIX 时间戳|整数|是|
