
## 1.接口描述
本接口（QueryClientDetail）用于查询客户端详细信息。

## 2.输入参数
参数名称 | 是否必选 | 类型 | 描述
---|---|---|---
clientId | 是 | String | 不超过23字节

## 3.输出参数
参数名称 | 类型 | 描述
---|---|---
code | Int| 公共错误码。0表示成功，其他值表示失败
message | String | 模块错误信息描述 
client | Object | 客户端详细信息（clientid, lastLoginTime, updateTime, status, subscribes）

## 4.示例
### 4.1  GET请求
GET 请求需要将所有参数都加在 URL 后：
```
https://iot.api.qcloud.com/v2/index.php?
Action=QueryClientDetail
&SecretId=XXXXXXXX
&Nonce=7574
&Timestamp=1487925837
&Region=gz
&Uin=XXXXXXXX
&AppId=XXXXXXXX
&clientId=paho88332522378923
&Signature=XXXXXXXX
```

### 4.2 POST请求
POST请求时，参数填充在HTTP Request-body 中，请求地址：https://iot.api.qcloud.com/v2/index.php

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：
```
array (
'Action'=>'QueryClientDetail'
'SecretId'=>'XXXXXXXX'
'Nonce'=>7574
'Timestamp'=>1487925837
'Region'=>'gz'
'Uin'=>'XXXXXXXX'
'AppId'=>'XXXXXXXX'
'clientId'=>'paho88332522378923'
'Signature'=>'XXXXXXXX'
)
```

### 4.3 返回结果示例
**查询成功**
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "client": {
        "clientId": "paho88332522378923",
        "updateTime": 1479181173,
        "lastLoginTime": 1479181172,
        "status": "offline",
        "subscribes": []
    }
}
```
**查询失败**
```
{
    "code": 4000,
    "message": "(10032)ClientId不存在",
    "codeDesc": "InvalidParameter"
}
```