
## 1.接口描述
本接口（GetClientList）用于获得客户端列表（客户端id）。

## 2.输入参数
参数名称 | 是否必选 | 类型 | 描述
---|---|---|---
offset | 否 | Int | 偏移量，默认为0
limit | 否 | Int | 返回数量，默认20，最大值 100

## 3.输出参数
参数名称 | 类型 | 描述
---|---|---
code | Int| 公共错误码。0表示成功，其他值表示失败
message | String | 模块错误信息描述 
totalCount | Int | 实际返回的数量
clients | Array | 客户端id列表

## 4.示例
### 4.1  GET请求
GET 请求需要将所有参数都加在 URL 后：
```
https://iot.api.qcloud.com/v2/index.php?
Action=GetClientList
&SecretId=XXXXXXXX
&Nonce=30689
&Timestamp=1487922371
&Region=gz
&Uin=XXXXXXXX
&AppId=XXXXXXXX
&offset=1
&limit=10
&Signature=XXXXXXXX
```

### 4.2 POST请求
POST请求时，参数填充在HTTP Request-body 中，请求地址：https://iot.api.qcloud.com/v2/index.php

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：
```
array (
'Action'=>'GetClientList'
'SecretId'=>'XXXXXXXX'
'Nonce'=>30689
'Timestamp'=>1487922371
'Region=>'gz'
'Uin'=>XXXXXXXX
'AppId'=>XXXXXXXX
'offset'=>1
'limit'=>20
'Signature'=>'XXXXXXXX'
)
```

### 4.3 返回结果示例
**获取成功**
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "totalCount": 10,
    "clients": [
        "paho88256327933133",
        "paho100039420167470",
        "paho1112103671729586",
        "paho86560824374510",
        "paho85622515181621",
        "paho88258510308017",
        "paho88332522378923",
        "paho353107913266619",
        "paho388973597169653",
        "paho281047676862600"
    ]
}
```
**获取失败**
```
{
    "code": 4000,
    "message": "(4000)请求失败，参数错误:[limit]",
    "codeDesc": "InvalidParameter"
}
```