

## 1.接口描述
本接口（GetPacketCount）用于获取收发包的统计数据。

## 2.输入参数
参数名称 | 是否必选 | 类型 | 描述
---|---|---|---
clientId | 否| String | 不超过23字节。如空，则表示所有clientId的数据汇总
lastTime | 否| String | 可取值：5min,1hour,1day。默认值：5min

## 3.输出参数
参数名称 | 类型 | 描述
---|---|---
code | Int| 公共错误码。0表示成功，其他值表示失败
message | String | 模块错误信息描述 
send_packet_num | Int | 发送数据包数量
recv_packet_num | Int | 接收数据包数量

## 4.示例
### 4.1  GET请求
GET 请求需要将所有参数都加在 URL 后：
```
https://iot.api.qcloud.com/v2/index.php?
Action=GetPacketCount
&SecretId=XXXXXXXX
&Nonce=11742
&Timestamp=1487921537
&Region=gz&Uin=2118085258
&AppId=XXXXXXXX
&clientId=XXXXXXXX
&lastTime=5min
&Signature=XXXXXXXX
```

### 4.2 POST请求
POST请求时，参数填充在HTTP Request-body 中，请求地址：https://iot.api.qcloud.com/v2/index.php

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：
```
array (
'Action'=>'GetPacketCount'
'SecretId'=>'XXXXXXXX'
'Nonce'=>11742
'Timestamp'=>1487921537
'Region'=>'gz'
'Uin'=>XXXXXXXX
'AppId'=>XXXXXXXX
'clientId'=>'XXXXXXXX'
'lastTime'=>'5min'
'Signature'=>'XXXXXXXX'
)
```

### 4.3 返回结果示例
**获取成功**
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "send_packet_num": 0,
    "recv_packet_num": 0
}
```
**获取失败**
```
{
    "code": 4000,
    "message": "(4000)请求失败，参数错误:[]",
    "codeDesc": "InvalidParameter"
}
```

