
## 1.接口描述
本接口（ModifyDeviceUser）用于修改设备账户，提供重置密码功能。


## 2.输入参数
参数名称 | 是否必选 | 类型 | 描述
---|---|---|---
userName | 是 | String | 用户名，必填，AppId+[0-9a-z_-]{1,10}$
password | 是 | String | 新密码，必填，密码不能全部为空格，长度保证为8-12位，字符限定为a-zA-Z0-9()`~!@#$%^*-=|{}[]:;"',.?/

## 3.输出参数
参数名称 | 类型 | 描述
---|---|---
code | Int| 公共错误码。0表示成功，其他值表示失败
message | String | 模块错误信息描述 
ret | String | 模块处理结果（modify ok/error）

## 4.示例
### 4.1  GET请求
GET 请求需要将所有参数都加在 URL 后：
```
https://iot.api.qcloud.com/v2/index.php?
Action=ModifyDeviceUser
&SecretId=XXXXXXXX
&Nonce=13
&Timestamp=1487908465
&Region=gz
&Uin=XXXXXXXX
&AppId=XXXXXXXX
8&userName=XXXXXXXX_XXXXXXXX
&password=XXXXXXXX
&Signature=XXXXXXXX
```

### 4.2 POST请求
POST请求时，参数填充在HTTP Request-body 中，请求地址：https://iot.api.qcloud.com/v2/index.php

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：

```
array (
'Action'=>'CreateDeviceUser'
'SecretId'=>'XXXXXXXXX'
'Nonce=>12349
'Timestamp=>1487903707
'Region=>'gz'
'Uin=>XXXXXXXX
'AppId=>XXXXXXXX
'Signature=>'XXXXXXXX'
)
```

### 4.3 返回结果示例
**修改成功**
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "ret": "modify ok"
}
```
**修改失败**
```
{
    "code": 4000,
    "message": "(4000)请求失败，参数错误:[userName contains illeagal charactor]",
    "codeDesc": "InvalidParameter"
}
```
