

## 1.接口描述
本接口（CreateDeviceUser）用于创建设备账户。

系统分配的账户名以腾讯云APPID+userNameFix生成。

## 2.输入参数
参数名称 | 是否必选 | 类型 | 描述
---|---|---|---
userNameFix | 否| String | 用户名后缀，可选，[0-9a-z_-]{1,10}$；如不传递，则随机生成,[0-9a-z_-]{1,10}$

## 3.输出参数
参数名称 | 类型 | 描述
---|---|---
code | Int| 公共错误码。0表示成功，其他值表示失败
message | String | 模块错误信息描述 
userName | String | 用户名
password | String | 系统随机生成的密码

## 4.示例
### 4.1  GET请求
GET 请求需要将所有参数都加在 URL 后：
```
https://iot.api.qcloud.com/v2/index.php?
Action=CreateDeviceUser
&SecretId=XXXXXXXXX
&Nonce=12349
&Timestamp=1487903707
&Region=gz
&Uin=XXXXXXXX
&AppId=XXXXXXXX
&Signature=XXXXXXXX
```

### 4.2 POST请求
POST请求时，参数填充在HTTP Request-body 中，请求地址：https://iot.api.qcloud.com/v2/index.php

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：
```
array (
'Action'=>'CreateDeviceUser'
'SecretId'=>'XXXXXXXXX'
'Nonce'=>12349
'Timestamp'=>1487903707
'Region'=>'gz'
'Uin'=>XXXXXXXX
'AppId'=>XXXXXXXX
'Signature'=>'XXXXXXXX'
)
```

### 4.3 返回结果示例
**创建成功**
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "userName": "XXXXXXXX_XXXX",
    "password": "XXXXXXXX"
}
```
**创建失败**
```
{
    "code": 4300,
    "message": "请求被拒绝，该接口只允许特定账户调用。",
    "codeDesc": "RequestForbidden"
}
```

