

## 1.接口描述
本接口（DeleteDeviceUser）用于删除设备账户。


## 2.输入参数
参数名称 | 是否必选 | 类型 | 描述
---|---|---|---
userName | 是 | String | 用户名，如果不存在，就直接返回成功


## 3.输出参数
参数名称 | 类型 | 描述
---|---|---
code | Int| 公共错误码。0表示成功，其他值表示失败
message | String | 模块错误信息描述 
ret | String | 模块处理结果（modify ok/error）

## 4.示例
### 4.1  GET请求
GET 请求需要将所有参数都加在 URL 后：
```
https://iot.api.qcloud.com/v2/index.php?
Action=DeleteDeviceUser
&SecretId=XXXXXXXX
&Nonce=63687
&Timestamp=1487909471
&Region=gz
&Uin=XXXXXXXX
&AppId=XXXXXXXX
&userName=XXXXXXXX
&Signature=XXXXXXXX
```

### 4.2 POST请求
POST请求时，参数填充在HTTP Request-body 中，请求地址：https://iot.api.qcloud.com/v2/index.php

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：
```
'Action'=>'DeleteDeviceUser'
'SecretId'=>'XXXXXXXX'
'Nonce'=>63687
'Timestamp'=>1487909471
'Region'=>'gz'
'Uin'=>XXXXXXXX
'AppId'=>XXXXXXXX
'userName'=>'XXXXXXXX'
'Signature'=>'XXXXXXXX'

```

### 4.3 返回结果示例
**删除成功**
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "ret": "Ok"
}
```
**删除失败**
```
{
    "code": 4000,
    "message": "(10022)userName不存在",
    "codeDesc": "InvalidResource"
}
```
