

## 1.接口描述
本接口（QueryDeviceUser）用于查询设备账户（前缀匹配查询）。


## 2.输入参数
参数名称 | 是否必选 | 类型 | 描述
---|---|---|---
userName | 否| String | 前缀，必须以AppId开头
offset | 否| Int | 偏移量，默认为0
limit | 否| Int | 返回数量，默认20，最大值 100

## 3.输出参数
参数名称 | 类型 | 描述
---|---|---
code | Int| 公共错误码。0表示成功，其他值表示失败
message | String | 模块错误信息描述 
totalCount | Int | 实际返回的数量
deviceUsers | Array | 符合条件的账户名列表

## 4.示例
### 4.1  GET请求
GET 请求需要将所有参数都加在 URL 后：
```
https://iot.api.qcloud.com/v2/index.php?
Action=QueryDeviceUser
&SecretId=XXXXXXXX
&Nonce=5013
&Timestamp=1487906780
&Region=gz
&Uin=XXXXXXXX
&AppId=XXXXXXXX
&userName=XXXXXXXX
&offset=0
&limit=100
&Signature=XXXXXXXX
```

### 4.2 POST请求
POST请求时，参数填充在HTTP Request-body 中，请求地址：https://iot.api.qcloud.com/v2/index.php

参数支持 form-data、x-www-form-urlencoded 等格式，参数数组如下：
```
array (
'Action'=>'QueryDeviceUser'
'SecretId'=>'XXXXXXXX'
'Nonce'=>5013
'Timestamp'=>1487906780
'Region'=>'gz'
'Uin'=>XXXXXXXX
'AppId'=>XXXXXXXX
'userName'=>'XXXXXXXX'
'offset'=>0
'limit'=>100
'Signature'=>'XXXXXXXX'
)
```

### 4.3 返回结果示例
**查询成功**
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "totalCount": 4,
    "deviceUsers": [
        "XXXXXXXX_1",
        "XXXXXXXX_2",
        "XXXXXXXX_3",
        "XXXXXXXX_4"
    ]
}
```
**查询失败**
```
{
    "code": 4000,
    "message": "(10021)对userName操作无权限（APPID不一致）",
    "codeDesc": "InvalidResource"
}
```

