
## 1.正确返回结果
若API调用成功，则最终返回结果中的错误码 code 为 0，错误信息 message 为空，codeDesc 显示英文消息Success，并且会显示返回的结果数据。

示例如下：
```
{
        "code":0,
        "message":"",
        "codeDesc": "Success",
        <返回结果数据>
}
```

## 2.错误返回结果
若 API 调用失败，则最终返回结果中的错误码 code 不为 0，message 字段会显示详细错误信息，codeDesc 为业务侧错误码。用户可以根据 code 在错误码页面查询相关的错误信息。

错误返回示例如下：
```
{
    "code": 4000,
    "message": "(10021)对userName操作无权限（APPID不一致）xxxx(userName) is not startwith xxxx",
    "codeDesc": "InvalidResource"
}
```

## 3.错误码
### 1）公共错误码
详见腾讯云API[公共错误码](https://cloud.tencent.com/document/product/213/6982)。

### 2）模块错误码
message字段表示与模块相关的错误。

它由两部分组成，()内的为模块错误代码，()后的为具体的错误描述。
不同模块可能产生的错误情况是不一样的，用户可以根据具体的错误描述确定错误所在。

错误码 | 说明
---|---
10010 | userNameFix已使用
10020 | password不符合规范
10021 | userName无权限（APPID不一致）
10022 | userName不存在
10031 | clientId无权限
10032 | clientId不存在
20011 | access 不符合规范
20012 | topic不符合规范
20013 | 添加失败（重复ACL）
20014 | 删除失败（无相应ACL）
20015 | 添加失败（ACL数量超过限制）

