## 1 短信频率限制
为了保障业务和通道安全，减少业务被刷后的经济损失，短信默认的频率限制策略为：
1、同一号码同一内容30秒内最多发送1条；
2、同一手机号一个自然天最多发生10条；
您可以在短信控制台的“应用配置-基础配置-短信发送频率”页面，设置或修改相应的频率限制策略：
![](//mc.qcloudimg.com/static/img/7ee8dd6892d2fbb59ffe8959279fa440/image.png)

## 2 添加告警联系人
在短信控制台的“应用配置-通知与告警-添加告警联系人”页面，添加告警联系人后，可以及时收到签名、内容模版的审核及频率限制告警通知：
（注：强烈建议使用该功能，这样如果命中了频率限制策略，会收到告警通知，减少业务被刷后的经济损失）
![](//mc.qcloudimg.com/static/img/eb48d970c482cd638c528e9f95e3ab24/image.png)

## 3 语音频率限制
为了保障业务和通道安全，减少业务被刷后的经济损失，语音默认的频率限制策略为：
1、同一被叫号码30秒内最多发送1条； 
2、同一被叫号码10分钟内最多发送2条； 
3、同一被叫号码1天内最多发送3条； 
受运营商监管原因，语音频率限制策略不支持自助修改，如果对测试号码导白，可[咨询sms helper](/document/product/382/3773)。

## 4 短信轰炸及预防
短信轰炸是指通过恶意程序或者工具，利用网站客户端或服务端漏洞，在短时间内（比如一天以内），给很多无关的手机号码，发送大量的验证码短信，导致手机用户被骚扰。
下图是客户遇到的一个实际案例（平时一天几十条短信下发量，被轰炸期间，一天几万条短信下发量）
![](//mc.qcloudimg.com/static/img/dbebfa33e35ae5542c1f00e006956eff/image.png)
出现短信轰炸后，既会对无辜用户造成骚扰，引起大量投诉导致短信通道不可用，也会给业务方造成大量的经济损失，所以需要提前做好预防措施。
鉴于短信轰炸的发起一般都是服务器行为，建议采用以下综合手段进行防御：
1、增加图形验证码，腾讯云提供了[天御](https://www.qcloud.com/product/yy)防刷功能；
2、单ip请求次数限制；
3、限制单个号码发送次数，可使用控制台的[短信频率限制](#1-.E7.9F.AD.E4.BF.A1.E9.A2.91.E7.8E.87.E9.99.90.E5.88.B6)功能，并[设置告警联系人](#2-.E6.B7.BB.E5.8A.A0.E5.91.8A.E8.AD.A6.E8.81.94.E7.B3.BB.E4.BA.BA)；
4、定期（比如每天）关注短信下发情况（可在短信控制台查看具体数据），如有异常，需要及时处理；

## 5 多个签名如何发送短信
如果您有多个[短信签名](./9557#2-.E7.9F.AD.E4.BF.A1.E7.AD.BE.E5.90.8D.E8.A7.84.E8.8C.83)，请将需要的短信签名放在短信内容前面，然后调用短信接口进行发送。
例如您有“【腾讯科技】”，“【腾讯云】”两个签名，但是您想以“【腾讯云】”签名发送短信，则发送内容可赋值为：“【腾讯云】你的验证码是xxxx”。（其中“xxxx”为下发的验证码）

## 6 国内、海外短信发送区别
因运营商要求，国内发送短信时，必须携带短信签名；对于海外短信，没有此要求（给海外手机发送短信时，可以带也可以不带短信签名）。
如果在海外短信页面申请了内容模版，但是给国内手机发短信，需要申请下短信签名，给国内手机发短信必须要携带短信签名。

## 7 查询单个手机发送记录
当您的客户反馈收不到短信，或者您想查看用户手机的短信发送状态，您可以在腾讯云短信控制台的“统计分析-国内（或语音，海外）文本短信-短信记录”页面查询，如下所示：
![](//mc.qcloudimg.com/static/img/f14d976f443ace2e4ef73d62ed144a2b/image.png)