## 1 Format of SMS Messages
An SMS message is composed of signature and main content. For example, in the SMS message "[Tencent Technology] Your verification code for QQ login is 1234. This verification is valid for five minutes", "[Tencent Technology]" is the signature and "Your verification code for QQ login is 1234. This verification code is valid for five minutes" is the main content.
You need to apply for a signature and a content template before sending an SMS message. For the aforesaid SMS message, the signature is "[Tencent Technology]" and the content template is "Your verification code for QQ login is {1}. This verification code is valid for {2} minutes". {1} and {2} are variables.

## 2 Signature Regulations
A signature is an identifier added before the main content for identifying the company or business. A signature is composed of [] and 2 to 8 English words or numerals. Special symbols such as "+, @, and |" cannot be contained. For example, the signature of a Tencent Cloud SMS message is "[Tencent Cloud]".
Signatures of SMS messages need to be filed with mobile network operators and the original and copy of the company's business license stamped with its official seal should also be provided. If the signature infringes the rights of any third party, an appropriate authorization from this third party should be obtained. For any questions, [contact SMS Helper](/document/product/382/3773).

## 3 Content Regulations
To implement the SMS management regulations formulated by MIIT, three major operators, and Tencent Cloud, the following types of SMS messages cannot be sent:
1. SMS messages without signatures.
2. Marketing SMS messages without unsubscribing methods.
3. SMS messages involving politics, SMS industry promotion, operators' internal promotion, and blind sending to a large number of recipients.
4. SMS messages involving stock, immigration, real estate, education, training, recruitment, lottery, rebate, loan, dunning, investment, gambling, winning a prize, 1-yuan sale, counterfeit products, health care, plastic surgery, beauty, clubs, bars, foot massage, violence, intimidation, pornography, animal fur, cheating in exams, trademark registration, QQ or WeChat group invitation, personal information trafficking, messaging channels, decoration (including building materials and furniture), promotion on game/exhibition/website/coupon/card/insurance/alcohol, prospect invitation, and existing customer recall.
In case anyone violates any of the aforesaid regulations and causes bad impacts, we will punish him/her and disable his/her account. Therefore, comply with the regulations strictly, strengthen your business security, and send SMS messages properly.

## 4 Common SMS Message Vs. Marketing SMS Message
Common SMS message: Or business SMS message, which is triggered by users actively. Content of this type of SMS message often contains verification codes, alarm notifications and other information without marketing words.
Sample 1: Your login verification code is {1}. This verification code is valid for {2} minutes. If you are not using our service, ignore the message.
Sample 2: The documents you submitted for the filling order {1} are approved. You can submit {2} now. If you have submitted it to Tencent Cloud, we will complete review ASAP.
Marketing SMS Message: Generally, content of this type of SMS message is the promotion or campaign information sent by operating companies to websites or registered members.
Sample 1: Good news! You can use {1} to apply for a star store now to enhance brand reputation and attract more customers. You can also enjoy plenty of materials free of charge. Apply now. Reply T if you don't want to receive such message.
Sample 2: The {1} post-new year promotion is coming! Haircare products are {2} off. {3} are on flash sales. For more information, visit {4}. Reply T if you don't want to receive such message.

## 5 Regulations on Marketing SMS Messages
1. Always add "Reply T if you don't want to receive such message" at the end of the message.
2. Do not send marketing SMS messages to nonmembers.
3. Strictly comply with the [content regulations](9557#3-.E7.9F.AD.E4.BF.A1.E5.86.85.E5.AE.B9.E8.A7.84.E8.8C.83) and do not send any messages that violate applicable regulations.
4. Send marketing SMS messages in the daytime (8:00 - 22:00) to minimize complaints.

## 6 Review Rules
Generally, you can get the review result of your signature and main content template in half a work day. The review time is from Monday to Sunday between 9:00 to 21:00.
If you want to use the SMS in a short time, [contact SMS Helper](/document/product/382/3773) and we will quicken the review process. If you fail to pass the review, [contact SMS Helper](/document/product/382/3773) for a solution.
As the approved content templates also need to be spot checked and reviewed by operators, the templates may not be sent successfully. If such issue occurs, [Contact SMS Helper](/document/product/382/3773) for a solution. 

