## 1 用户没有收到短信
首先确认调用接口后是否返回成功，如果返回成功，再确认下状态报告中的状态是否为成功（可在短信控制台查询短信下发状态）。
如果返回失败，可查看应答包的失败原因说明，如请求命中了频率控制策略，短信内容格式不正确，手机在黑名单中等。
如果返回成功，但是用户没有收到，则存在以下几种场景：
1、用户手机关机，欠费或者停机，可以通过拨打手机确认；
2、处于黑名单状态，投诉过运营商，或者说退订过业务；
3、手机长时间未关机，可以关机重启下；
4、手机信号是否正常，必要时重启下手机；
5、手机收件箱满，可以删除多余的短信，然后重试确认下；
6、手机是不是双卡双待的手机，把卡拿出来换一下卡槽试下；
7、短信被用户手机中的安全软件屏蔽了，可以让用户确认是否在屏蔽列表中；
8、如若不行，请您将SIM卡换到其他手机上进行测试；
9、如果以上场景都不满足，请[咨询sms helper](/document/product/382/3773)解决。

## 2 调用接口耗时比较长
访问腾讯云短信接口，如果发现请求很久才发出来，可参考以下方法定位解决：
1、dig yun.tim.qq.com，确认使用内网dns还是公网dns。如果是内网dns，则选择一个就近同运营商的腾讯云短信ip配置host，测试问题是否解决；
  1.1 如果问题得到解决，则说明存在dns解析卡住，或者dns解析跨地域运营商访问，需要使用dns代理或者配置公网dns server；
  1.2 如果问题没有解决，跳到2；  
2、review业务使用长连接，还是短连接模式，是否使用了连接池策略；
  2.1 如果业务使用单条长连接，根据HTTP一应一答的模式，前面的请求卡住，会影响该连接上的后续请求；建议优化成“长连接+连接池”模式；
  2.2 如果业务使用短连接，用netstat确认本机连接数是否满了，如果连接数满了，建议优化成“长连接+连接池”模式；
  2.3 用netstat确认连接的Recv-Q和Send-Q是否有积压，如果有积压，用tcpdump抓包确认是否有丢包重传；

## 3 很久才收到短信
1、先检查短信是否快速的提交到了腾讯云短信这边（本地记录请求发送时间，然后通过控制台查询对应手机的发送时间）；
  1.1 如果两者时间差异很大，则参考[调用接口耗时比较长](./9558#2-.E8.B0.83.E7.94.A8.E6.8E.A5.E5.8F.A3.E8.80.97.E6.97.B6.E6.AF.94.E8.BE.83.E9.95.BF)解决；
  1.2 如果两者时间差异很小，跳到2；  
2、在控制台查询该手机的发送时间与状态上报时间直接的差异；
  2.1 如果两者时间差异很小，则说明成功送达给手机，可能与手机当时的信号或状态有关；
  2.2 如果两者时间差异很大，则可能是内容中有敏感词，进入了人工审核，或者手机信号或状态不好； 
3、如果以上场景都不满足，请[咨询sms helper](/document/product/382/3773)解决。

## 4 手机黑名单
当用户收到不想收到的短信时，可能会投诉或者退订等，此时我们会把用户的手机加入到运营黑名单中。后续下发短信时，如果匹配了黑名单，将不会给用户的手机下发短信，避免对用户的骚扰。
如果您的客户反馈收不到短信，并确认是黑名单导致的，可[联系sms helper](/document/product/382/3773)申请解除黑名单。

## 5 1004错误详解
调用腾讯云短信接口发送短信时，如果应答包返回1004错误，可通过以下方式定位解决：
1、确认发送的请求是否是标准的json格式，[这里](http://tool.oschina.net/codeformat/json)可以校验一下;
2、检查是否有将单引号当做双引号使用（json标准应该是双引号）;
3、检查参数名称是否写错（打字时可能打错）;
4、检查请求的字段类型和API中描述的字段类型是否一致，是否存在弄混了json字符串和json整型的情况，
例如：`{"姓名":"小明", "年龄":23}`，"姓名"为json字符串，"年龄"为json整型；
5、检查对API的调用是否和官网描述的一致，例如：使用群发短信的API但是包体的格式是单发短信的；

## 6 1014错误详解
调用腾讯云短信接口发送短信时，如果应答包返回1014错误，可通过以下方式定位解决：
1、确认申请的内容模版格式是否正确，如内容模版中的“{}”为英文的括号，括号中的数字需从1开始连续编号，如{1}，{2}……
2、确认请求内容对应的模版是否审批通过；
3、确认请求包中type参数的值（0表示普通短信，1表示营销短信）与申请的内容模版类型是否一致；
4、确认请求的内容与申请的内容模版格式是否一致，特别要留意**是否有空格等不可见字符**导致的不匹配；
5、如果内容中含有中文，请确认中文是utf-8编码；

## 7 60008错误详解
调用腾讯云短信接口发送短信时，如果应答包返回60008错误，可通过以下方式定位解决：
1、如果请求在1s内响应60008错误码，请确认请求格式是否是标准HTTP格式；
2、确认dns配置是否正常，确保使用的是公网dns server；
3、推荐业务使用http长连接，并使用连接池，以提升网络质量；
4、如果还是无法解决，请[联系helper](/document/product/382/3773)；

## 8 其他常见错误码详解
[其他错误码](/document/product/382/3771#1-.E7.9F.AD.E4.BF.A1.E5.8F.91.E9.80.81.E9.94.99.E8.AF.AF.E7.A0.811)