## 1 协议说明
<table style="display:table;width:100%">
  <tbody>
    <tr>
      <td style="width:15%;">
        协议
      </td>
      <td>
        HTTP POST
        <br />
      </td>
    </tr>
    <tr>
      <td>
        编码格式
      </td>
      <td>
        UTF8
      </td>
    </tr>
    <tr>
      <td>
        URL
      </td>
      <td>
       举例：https://yun.tim.qq.com/v5/tlssmssvr/get_template?sdkappid=xxxxx&random=xxxx
      </td>
    </tr>
    <tr>
      <td>
        接口说明
      </td>
      <td>
      查询申请的短信（或语音）模板状态
		<br />
		注：sdkappid请填写您在腾讯云上申请到的，random请填成随机数。
      </td>
    </tr>
  </tbody>
</table>

## 2	请求包体
```
{
    "sig": "c13e54f047ed75e821e698730c72d030dc30e5b510b3f8a0fb6fb7605283d7df", //app凭证，具体计算方式见下注
    "time": 1457336869, //unix时间戳，请求发起时间，如果和系统时间相差超过10分钟则会返回失败
    "tpl_id": [123, 124,...], //查询指定模版id的信息，与tpl_page字段不能同时出现
    "tpl_page": //分页查询全量模版信息，与tpl_id字段不能同时出现（应答包的total字段为模版总条数）
        {
            "offset": 0, // 拉取的偏移量，初始为0，如果要多次拉取，需赋值为上一次的offset与max字段的和
            "max": 10 // 一次拉取的条数，最多50
        }
}
```
注：  
"sig"字段根据公式sha256(appkey=$appkey&random=$random&time=$time)生成
伪代码如下：
```
string strAppkey = "5f03a35d00ee52a21327ab048186a2c4"; //sdkappid对应的appkey，需要业务方高度保密
string strRand = "7226249334"; //url中的random字段的值
string strTime = "1457336869"; //unix时间戳
string sig = sha256(appkey=5f03a35d00ee52a21327ab048186a2c4&random=7226249334&time=1457336869)
           = c13e54f047ed75e821e698730c72d030dc30e5b510b3f8a0fb6fb7605283d7df;
```

## 3 应答包体
```
{
    "result": 0, //0表示成功，非0表示失败
    "msg": "", //result非0时的具体错误信息
    "total": 100, //result为0时有效，该应用的模版总数 
    "count": 3, //result为0时有效，返回的信息条数，信息内容在data字段中
    "data": [
        {
            "id": 123, //模板id
            "text": "xxxxx", //模板内容
            "status": 0, //0：已通过；1：待审核；2：已拒绝
            "reply": "xxxxx", //审批信息，如果status为2，会说明拒绝原因
            "type": 0 //0：普通短信模板；1：营销短信模板；2：语音模版
        },...
    ]
}
```