### 什么是HttpDNS?
HttpDNS基于Http协议向腾讯云的DNS服务器发送域名解析请求，替代了基于DNS协议向运营商LocalDNS发起解析请求的传统方式，可以避免LocalDNS造成的域名劫持和跨网访问问题，解决移动互联网服务中域名解析异常带来的困扰。
由DNSPod提供基础能力，多年技术积累沉淀，覆盖4亿+用户，值得信赖。

### HttpDNS解决的问题?
HttpDNS目的在于解决移动互联网中DNS解析异常、域名劫持的问题：
- 移动DNS的现状：运营商LocalDNS出口根据权威DNS目标IP地址进行NAT，或将解析请求转发到其他DNS服务器，导致权威DNS无法正确识别运营商的LocalDNS IP，引发域名解析错误、流量跨网。
- 域名被劫持的后果：网站无法访问（无法连接服务器）、访问到钓鱼网站等。
- 解析结果跨域、跨省、跨运营商、国家的后果：网站访问缓慢甚至无法访问。

### HttpDNS实现的原理?
- 客户端直接访问HttpDNS接口，获取域名的最优IP。（基于容灾考虑，建议保留使用运营商LocalDNS解析域名的方式作为备选。）
- 客户端获取到业务IP后，就向直接往此IP发送业务协议请求。以Http请求为例，通过在header中指定host字段，向HttpDNS返回的IP发送标准的Http请求即可。

### HttpDNS服务的质量?
HttpDNS服务具有高可用性和快速响应能力
- 部署BGP Anycast网络：HttpDNS接入了BGP Anycast网络架构，与全国Top 17的运营商建立了BGP互联，确保各个运营商的用户请求能够快速访问到HttpDNS的服务器，接入运营商在持续增加中，保证服务的快速响应。
- 异地容灾，实时切换：HttpDNS在华北、华东、华南等多个数据中心部署了多个节点，任意节点发生故障均能无缝切换到备份节点，保证服务的高可用性。
