从原理上来讲，HttpDNS只是将域名解析的协议由DNS协议换成了Http协议，并不复杂。但是这一微小的转换，却带来了巨大的收益：
#### 根治域名解析异常
由于绕过了运营商的LocalDNS，用户解析域名的请求通过Http协议直接透传到了HttpDNS服务器IP上，用户在客户端的域名解析请求将不会遭受到域名解析异常的困扰。
#### 调度精准
HttpDNS能直接获取到用户IP，通过结合DNSPod自有专利技术生成的IP地址库以及测速系统，可以保证将用户引导的访问速度最快的IDC节点上。
#### 实现成本低
接入HttpDNS的业务仅需要对客户端接入层做少量改造，无需用户手机进行root或越狱；而且由于Http协议请求构造非常简单，兼容各版本的移动操作系统更不成问题；总而言之，就是以最小的改造成本，解决了业务遭受域名解析异常的问题，并满足业务精确流量调度的需求。
#### 扩展性强
HttpDNS提供可靠的域名解析服务，业务可将自有调度逻辑与HttpDNS返回结果结合，实现更精细化的流量调度。比如指定版本的客户端连接请求的IP地址，指定网络类型的用户连接指定的IP地址等。

总结来说，HttpDNS能有效地避免由于移动互联网用户所使用的LocalDNS异常导致的无法访问到您预期的最优接入点，最终导致用户访问您的业务出现异常。
