Technically, HttpDNS only changes the domain name resolution protocol from DNS to HTTP. It's not complicated, but this tiny change brings huge benefits:
#### Troubleshooting Abnormal Domain Name Resolution
Http protocol allows the request for domain name resolution to be transparently transmitted to the HttpDNS server IP rather than ISP LocalDNS. Therefore, the user's request for domain name resolution in client will not suffer from abnormal domain name resolution.
#### Refined Scheduling
Combining IP address warehouse generated by proprietary technology of DNSPod and speed measurement system, HttpDNS can directly obtain the user IP and guarantee to guide users to the IDC node that has the fastest access speed.
#### Cost-Effective
To connect to HttpDNS, only a small change to the client's access layer is required and the user's mobile phone does not need to be rooted or jailbroken. Meanwhile, the simple structure of Http protocol request allows it to be compatible with any versions of mobile operating system. In a word, with minimal change costs, the abnormal domain name resolution is solved while the need of refined traffic scheduling is also met.
#### High Scalability
HttpDNS provides a reliable domain name resolution service. The business can combine its scheduling logic with returned results of HttpDNS to achieve more refined traffic scheduling. For example, a specified version of client can be connected to a requested IP address, and a user with a specified network type can be connected to a specified IP address.

Generally, HttpDNS avoids the problem of failing to access the expected optimal point and further the business due to abnormal LocalDNS used by mobile Internet users.

