### 1. Mobile Application Scenarios
HttpDNS replaces the default domain name resolution method of mobile Apps and desktop applications by HTTP protocol to avoid abnormal user network access caused by ISP LocalDNS service error.
HttpDNS is mainly used in the development of the following types of mobile Apps:

- **Information and Game Apps**
**Demands**: Lower access latency, reduce cross-network accesses, and increase response speed 
**Customers**: Tencent Game Center, autohome (汽车之家)

- **E-commerce Apps**
**Demands**: Reduce connection failures, improve business efficiency, and improve stability 
**Customers**: Jumei (聚美), ele (饿了么)

- **Social Apps**
**Demands**: Avoid domain name hijacking, ensure users can access the App safely and correctly
**Customers**: Mobile QQ

- **Audio/Video Apps**
**Demands**: Require high smoothness, increase the successful connection rate of music and video playback 
**Customers**: bilibili, QQ Music

### 2. Related Data
**Tencent Cloud HttpDNS is now serving over 400 million end users. With the help of HttpDNS, access failures caused by domain name hijacking is reduced by 60%, and the average user delay is lowered by 22%.**

Customers got great results after using HttpDNS:

- Tencent Game Center: User resolution latency is lowered by 13%, and the cross-network accesses are greatly reduced.
- Tencent News: User connection failure rate is lowered by 22%
- QQ Music: The overall user access latency is lowered by 13%.
- Mobile QQ: Access failures caused by domain name hijacking are reduced by 99%.

