## 1 维纳斯•移动连通服务简介
维纳斯(WNS，Wireless Network Service),又名移动连通服务，是一个为APP提供高连通、高可靠、强安全的网络连接通道的服务；它利用QQ、微信等腾讯内部业务的海量接入数据来持续优化调度算法，并集成了用户就近接入、腾讯直通车、加密通道透传功能等等，提供了手机端SDK（IOS/Android），业务不必关心网络细节，即可安全与业务后台简单可靠的通讯。

## 2 为什么需要维纳斯
### 移动网络连通率低
移动互联网普遍存在可用性差、稳定性不足、时延长、流量消耗大等问题；此外，当前APP大量使用图片、视频、以及远程调用，使得APP对网络的要求越来越高。根据第三方统计，48%的用户会因为不稳定，崩溃或无法连接而卸载APP；80%的新用户会因为不稳定，崩溃或无法连接而停用APP。而通过增加业务服务器等传统方案只能解决并发量等问题，无法解决移动网络带来的无法连通问题是无法解决的。

### 构建稳定高连通的APP成本高
连通率低的主要原因是广域网地理位置太广、运营商之间互联互通、以及DNS劫持等问题；直观表现就是网络高延迟、高丢包或无法获得业务服务器IP地址；如果开发者要去解决这些问题，最好的办法是在全国各省各运营商均部署服务器，并统一管理连接策略。但这就会给开发者带来极大的成本和资源的浪费。

## 3 维纳斯如何提升连通率
针对移动网络可用性差、稳定性不足、时延长、流量消耗大等问题，维纳斯通过物理节点、连通优化、数据优化、运营监控四个纬度全面保障连通率到99.9%：

### 物理节点
多地多运营商包括海外（香港）部署维纳斯接入节点，终端用户通过节点就近接入，节点通过内网、专线、腾讯骨干网直通业务服务器，实现快速访问。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/weinasi-1.png)

### 连通优化
通过直通车技术代替DNS解析，定期下发就近节点IP，省去域名解析的时间消耗，绕开DNS无法解析、解析错误、或劫持等问题；通过兼容多种协议，兼容支持HTTP、JCE、PROTOBUFFERD以及二进制等多种协议,以及智能端口技术，使用80/443/8080/14000端口，快速切换问题端口，避免网络故障，突破网络封锁。

### 数据优化
对数据高强度压缩（gzip），压缩数据量；并采用高强度加密算法对数据加密，提高无线网络安全性；并根据网络情况灵活配置长连接、通过多并发上传下载，提高传输效率；提升用户体验。

### 运营监控
采用自定义转化规则方式，让终端真实数据上报，对不同地区、运营商、接入点连通情况和命令字返回码明细进行实时监控，可实时分析连通原因；并对对终端、后台所使用的带宽、连接数按分钟粒度详细统计并汇总，帮助开发者更好的分析业务情况。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/weinasi-2.png)
以HTTP访问为例，维纳斯通过直通车优化DNS解析；就近访问长连接和并发机制提高Connect连接、Send发送效率，减少wait等待时间；通过数据压缩，加密等提高Receice接收效率；并通过腾讯移动互联网优化经验，针对移动网络的各类问题，提出优化的解决方案。
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/weinasi-3.png)
## 4 维纳斯可应用于哪些场景或APP
维纳斯可以帮助APP的全生命周期
### 初期推广阶段的APP
前期推广时，硬件、网络投入都较少，开发者需要投入大量推广资源，如果不能保证连通率，极易造成体验差的影响而卸载APP，将极大的浪费推广资源。所以推广阶段的APP可以使用维纳斯。
### 中期运营阶段的APP
这个时间段，APP不断推出新玩法，新活动，保证用户粘性，这时候也可以使用维纳斯，提高用户体验，打造产品口碑，避免用户流失。
### 后期转化阶段的APP
APP收益可见，用户数量达到顶峰并稳定，竞品开始强力跟进，市场上同类产品或更具新意的APP层出不穷，这时候APP的是否可以支持大量用户的高速高效高稳定的访问将考验开发者；此时使用维纳斯，及时解决1%的连通，其转化来的收益也大于维纳斯投入成本。

另外，包括但不限于以下分类的APP可以推荐使用维纳斯
社交应用:如QQ、微信等
    用户对社交应用的信息通信的实时、稳定非常敏感，维纳斯可以有效的提高通信的实时和稳定性，提升用户粘性。
		
电商应用:如京东、苏宁、唯品会、美团等
    有数据显示，每增加1秒的延迟，增加8.3%跳出率，减少9.3%浏览量，减少2.1%交易量，维纳斯通过多种优化机制，减少用户 访问延迟1~5秒，有效成交转化率。
		
垂直信息:如58同城、大众点评等
    在移动弱网络环境下如在2G网络、电梯、地下停车场等网络较差的地方，维纳斯也能有效提高业务连通和访问速度。
		
新闻阅读:如腾讯新闻等
    信息爆炸时代，访问体验成为用户对于新闻阅读的关键要素；维纳斯有效帮助用户快速稳定的获取各类数据和信息。
		
游戏应用:如天天酷跑、全民枪战等
    游戏卡、顿是玩家投诉的重要原因，维纳斯在全国都部署有通讯节点让玩家获得更加畅快玩乐的游戏体验。
		
金融理财:
    金融理财类应用对数据通讯的连通率、可靠性、安全性都特别高；维纳斯提供99.9%的连通率和稳定性，可应对各类弱网络环境下的网络连接问题。




