## 控制台功能说明
控制台主要负责接入维纳斯的App创建注册、路由配置、统计监控、告警设置、日志查看等功能。

**【注意】控制台的配置修改提交后，需要等10分钟后才会更新到现网系统中生效。**


## 创建App
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/wnsjieshao-01.png)

## 注册App签名信息
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/wnsjieshao-07.png)
创建App成功后，需要注册App的签名信息，这样便于维纳斯系统对App对认证。不同平台下的签名信息是不同的。
### iOS平台
将App的Bundle ID注册到控制台，Wns将比较从终端获取的Bundle ID来判断是否是合法用户。
### Android平台
将签名信息注册到控制台，Wns将比较从终端获取的签名来判断是否是合法用户。签名的制作请参考[接入指南](http://cloud.tencent.com/doc/product/276/Android%E6%8E%A5%E5%85%A5%E6%8C%87%E5%8D%97)中常见问题部分。

## 注册App路由信息
Wns接入服务器如何将业务请求包，转发到开发商对应的服务器上，需要开发商注册相应的路由信息。
路由配置页面
![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/wnsjieshao-08.png)
如果是http服务，一个域名下服务器提供同样的服务，所以路由配置，只需要细化到域名就可以，即每条路由配置里面，
指定一个域名对应的开发商服务器ip列表。如果开发商使用二进制协议，按功能划分到不同模块(类似域名)，路由配置只
需要按不同的模块，配置对应开发商的服务器ip列表即可。

各个配置项说明
域名/模块：http协议下是域名，二进制协议下是模块名。
协议：Wns接入服务器到开发商服务器的协议选择，目前只支持Http和ProtoBuf。
正式服务地址：开发商正式环境服务器地址，App连接到Wns正式环境，Wns接入服务器将转发到该地址。
测试服务地址：开发商测试环境服务器地址，App链接到Wns测试环境(调用Sdk函数setdebugip)，Wns接入服务器将转发到该测试地址。
描述：路由信息的说明
压缩：是否需要Wns压缩，开发商如果已经压缩数据了，可以选择Wns不压缩数据，避免多次压缩的消耗。
超时时长：Wns接入服务器转发数据到开发商服务器后，等待开发商服务器回报的超时时长。

下面看一个案例配置
假设一个开发商有2个域名(提供web接口)和2个模块(提供TCP二进制接口)，整体信息如下
![](https://mccdn.qcloud.com/static/img/b476c7a14a8cde6e1ae82684a8da1afc/wns_config_info.png)

那么对应的，应该在控制台上的配置如下
![](https://mccdn.qcloud.com/static/img/fe4b7499d190b63de664d16ab0052b6c/wns_config.png)


## 查看统计监控
![](https://mccdn.qcloud.com/static/img/0eaa7d739d81a4333653520e34c23b8e/+jiankong.png)
统计监控是细化到单个命令字的统计信息，能根据日期、地区、运营商、版本、命令字组合查询。查询结果中包括调用量、成功率、平均响应时间、返回码等信息。
终端监控：从终端Sdk中统计到的各个接口的调用信息。
后台监控：从Wns接入服务器上统计到的各个接口的调用信息。

## 告警设置
![](https://mccdn.qcloud.com/static/img/43f16ed2a3ad046cc2994b0b359df8c5/gaojing.png)
Wns目前支持按成功率阀值触发告警，成功率每分钟汇总统计，低于配置的阀门值即可触发告警。
告警设置主要提供2个设置信息
告警触发条件：设置总的或是单个接口的告警触发条件，一般是成功率低于一个阀值触发告警。
告警接收人：通过设置告警接收人，触发告警后，能及时将告警信息发送给接收者。

## 日志查看
![](https://mccdn.qcloud.com/static/img/703a269b3e302ebe876d7274df8ef834/getlog.png)
为了方便开发定位现网问题，Wns提供了查看现网log的功能。日志查看分为
后台日志 ： Wns接入服务器上报的失败log信息，开发商可以根据uid或wid来查询对应的失败log。
终端日志 ： Wns Sdk记录在终端的log信息，包括成功和失败的详细记录，控制台上可以根据uid或wid来拉取终端log(终端必须在线)。




