## 维纳斯部署结构
![](https://mccdn.qcloud.com/static/img/2e802036f508f94191738ae7e65c6bc6/wnsinfo.png)
图中深色部分，对应的是Wns的服务功能模块，从功能上划分，Wns服务主要分为下面几个模块。
1、Wns Sdk ： 按iOS和Android平台提供Sdk，开发商在终端App中调用Sdk来使用Wns服务。
2、Wns接入服务器： 在开发商服务器前面的反向代理，和Wns Sdk配合，实现网络优化、数据加密、压缩、代理等功能。
3、Wns控制台： 提供给开发商的管理系统，主要负责开发商App注册、路由配置、统计监控、外网定位等功能。
4、OpenApi接口：开发商通过调用OpenApi来调用Wns的服务，比如服务端的Push消息等功能。

## 接入维纳斯的主要步骤
1、开发商App中集成Wns的SDK。具体请参考[iOS接入指南](/doc/product/276/iOS接入指南) &#160;&#160;&#160;&#160; [Android接入指南](/doc/product/276/Android接入指南)
2、开发商在Wns控制台中注册App、配置路由信息。具体配置请参考[控制台说明](/doc/product/276/控制台说明)
3、开发商后台服务器对接Wns的后台协议(二进制使用ProtoBuf协议对接，Http协议开发商无需修改)。具体请参考[服务端接入指南](/doc/product/276/服务端接入指南)
4、开发商终端调用Wns Sdk接口发起业务请求。调用接口请参考[iOS接入指南](/doc/product/276/iOS接入指南) &#160;&#160;&#160;&#160; [Android接入指南](/doc/product/276/Android接入指南)
5、开发商在控制台查看统计监控等信息。统计信息参考[控制台说明](/doc/product/276/控制台说明)

## 数据请求的过程
![](https://mccdn.qcloud.com/static/img/49971e6a0c34eae77a170416915ff735/wnsrequest.png)
1、开发商App业务层调用维纳斯Sdk发送数据请求，Wns Sdk对数据做编码、压缩、加密，然后通过外网发送到Wns接入服务器。
&#160;&#160;&#160;&#160;假设调用http接口：www.xxx.com/test/query.cgi?t=1&f=2 
2、Wns接入服务器接收到数据，首先将数据解密、解压、解码，然后重新编码数据，根据路由表将数据转发到开发商服务器。
&#160;&#160;&#160;&#160;2个关键信息说明：
&#160;&#160;&#160;&#160;路由表：开发商在Wns控制台提前配置。上面的接口需要配置好域名www.xxx.com对应的开发商ip列表，否则报路由失败的返回码(10102)。
&#160;&#160;&#160;&#160;内网/外网：Wns接入服务器到开发商服务器是走内网还是外网，取决于开发商服务器的部署，部署在腾讯云走内网，否则走外网。
3、开发商服务器收到数据并处理请求后，返回响应数据包。
4、Wns接入服务器将开发商服务器的响应数据编码、压缩、加密后发送给对应的终端。同时上报调用接口www.xxx.com/test/query.cgi的统计信息到Wns控制台。
5、Wns Sdk将数据解密、解压、解码，然后将数据传送给App业务层，同时上报调用接口www.xxx.com/test/query.cgi的统计信息到Wns控制台。

## Push推送的过程
1、注册账号：开发商在用户登录阶段，调用Bind(Wns Sdk)接口，将开发商用户账号(uid)绑定到对应的终端。具体SDK调用请参考[iOS接入指南](/doc/product/276/iOS接入指南) &#160;&#160;&#160;&#160; [Android接入指南](/doc/product/276/Android接入指南)
2、Push调用：开发商服务端调用Wns OpenApi接口，将消息推送给Wns系统。具体请参考[Push接入指南](/doc/product/276/接入Push指南)
3、Push推送：Wns系统根据相应的规则，将消息推送到对应终端的Wns Sdk中。具体的回调机制请参考[iOS接入指南](/doc/product/276/iOS接入指南) &#160;&#160;&#160;&#160; [Android接入指南](/doc/product/276/Android接入指南)
4、消息通知：Wns Sdk将接收的消息数据，通知到App业务层处理。

## 协议对接说明
开发商接入Wns服务，可以选择2种对接协议。
### Http协议
1、App终端：Wns Sdk兼容系统标准的接口，开发商可以无缝接入。
2、后端服务器：开发商服务器无需任何修改就可接入Wns系统。
### 二进制协议
1、App终端：开发商需要调用Wns的Sdk接口来请求数据。
2、后端服务器：开发商需要对接Wns的二进制协议(ProtoBuf格式)。
