## 对象存储 COS 定价

COS 采用后付费方式，按照实际使用量付费，次月 3-5 日会出上个月的账单，进行结算。使用产品介绍页中 COS 价格计算器可进行费用预估，您也可以提交工单获取更多技术支持，以及寻求大客户经理的帮助和价格商议。

COS 月结账单由三部分组成：

**存储空间费用** + **流量费用** + **请求费用**

### 免费套餐

开通 COS 服务的用户，每月可享受以下表格中相应的免费存储空间、免费流量、免费请求数目。


| 资源类型 | 资源子类型        | 每月免费额度 |
| ---- | :----------- | ------ |
| 存储空间 | 存储空间         | 50 GB  |
| 流量   | 外网访问流量       | 10GB   |
|      | 腾讯云 CDN 回源流量 | 10GB   |
| 请求   | 读请求          | 100 万次 |
|      | 写请求          | 10 万次  |

【注意事项】
- 每月计费时，会先抵扣免费额度，超出部分再进行后付费结算。

### 存储空间费用

**每月存储空间用量** ＝ **当月每天存储量累计总和** ÷  **当月天数**，即当月平均每日存储空间。

存储费用按照阶梯累进计费方式，超出阶梯部分按照下一阶梯单价计费，存储使用空间越大，单价越低。

| 使用量          | 单价         | 备注   |
| ------------ | ---------- | ---- |
| 0 GB - 50 GB | 0 元/GB     | 免费额度 |
| 50 GB 以上     | 0.148 元/GB |      |

*注：2016年11月，COS的存储价格进行调整。当年10月及之前的账单按历史阶梯价格计算，当年11月及之后的账单按照新的价格计价*

### 流量费用

流量费用按照阶梯累进计费方式，超出阶梯部分按照下一阶梯单价计费，流量越大，单价越低。

| 流量类型  | 定义                            | 使用量            | 单价        |
| ----- | ----------------------------- | -------------- | --------- |
| 入流量   | 数据传入至COS                      | 所有             | 免费        |
|       |                               |                |           |
|   内网流量    |     腾讯云其他产品（CDN除外）与COS之间产生的流量                          |        所有        |     免费      |
|       |                               |                |           |
| CDN回源流量 | 通过腾讯云 CDN 访问 COS ，CDN 回源产生的流量 | 0 GB - 10 GB   | 0 元/GB    |
|       |                               | 10 GB 以上       | 0.15 元/GB |
|       |                               |                |           |
| 外网出流量 | 通过外网直接访问COS，产生的 IDC 流量        | 0 GB - 10 GB   | 0 元/GB    |
|       |                               | 10 GB - 500 GB | 0.64 元/GB |
|       |                               | 500 GB 以上      | 0.6 元/GB  |

【注意事项】
- 通过 CDN 下发到用户终端产生的流量不在 COS 计费范畴，按 CDN 计费标准收取，请参见[CDN计费](/doc/product/439/6801)。

**COS 两种数据传输方式价格比较**

客户可选择让用户通过公网 BGP 带宽直接访问存储在 COS 源站上的文件，也可以使用腾讯云 CDN 对COS源站上的文件加速，然后让终端通过CDN分布在全国的加速节点访问文件。

这两种方式的对比如下，客户可根据自身业务情况自由选择：


| 传出方式        | 优点                                       | 缺点                                       |
| ----------- | ---------------------------------------- | ---------------------------------------- |
| 通过外网直接访问COS | 提供这种方式主要是给客户一种选择，如果客户的业务架构上不想使用腾讯云 CDN 做加速，则可选择这种方式将数据从 COS 直接传出到外网。 | 费用贵（0.64元/GB），速度没有通过CDN加速快（需从用户所在地域通过公网访问COS源站所在地域）。 |
| 通过CDN访问COS  | 费用便宜。CDN加速流量费用 + CDN回源流量费用，最高 0.34元/GB + 0.15元/GB = 0.49元/G。另外根据 CDN 缓存命中率，当通过 CDN 访问缓存命中时将不产生 0.15元/GB 的 CDN 回源流量。 |                                          |
|             | 访问速度快，用户可就近访问离他最近的CDN节点上缓存的文件。           | 无                                        |

### 请求费用

所有对 COS 的操作（通过 Web 控制台或 Restful API），都是对 COS API 的调用。COS API 的调用按请求次数进行计费，计费周期内请求次数不足1万次不计费。

| 请求类别                 | 使用量        | 单价        |
| -------------------- | ---------- | --------- |
| 读请求（GET）             | 0 - 100 万次 | 0 元/万次    |
|                      | 100 万次以上   | 0.01 元/万次 |
| 写请求（PUT/POST/DELETE） | 0 - 10 万次  | 0 元/万次    |
|                      | 10 万次以上    | 0.01 元/万次 |
| 所有其他请求               |            | 0.01 元/万次 |

## 定价实例

### 微信应用和移动端APP

小明开发了一款汽车服务类应用，可以通过微信和手机 APP 预约汽车服务。小明需要一个空间来存储用户上传的行驶证信息等用于审核，还需要保存本地汽车服务商户的门店照片和用户评价上传照片等。这些图片大约 100 GB，每月产生浏览流量 100 GB。为此，小明将应用服务托管在云服务器 CVM 上，将文件放置于对象存储服务COS，并结合 CDN 加速服务结合使用。

存储费用 = (100 GB - 50 GB) × 0.156 = 7.8 元

流量费用 = (100 GB -10 GB) × (0.15 × （1-60%） + 0.34) = 36 元

其中 CDN 回源流量单价为 0.15 元/GB，CDN 加速流量单价为 0. 34 元/GB，以 CDN 缓存复用率 60% 计算，事实上通过合理的 CDN 配置可能让回源费用更加低。

请求费用 = 0 元

免费赠送 100 万次读请求与 10 万次写请求。

在这种情况下，小明每月需要花费：存储费用 7.8 元 + 流量费用 36 元 + 请求费用 0 元 =  总计 43.8 元。

### 网站和论坛

小明运营着一个网站，网站常发布图片、音频、视频并茂的文章，同时还有软件下载区等。这些文件有 1.5 TB，每月产生流量 500 GB，月 PV 大约 200 万。为此，小明将网站托管在云服务器 CVM 上，将文件放置于对象存储服务COS，并结合 CDN 加速服务结合使用。

存储费用 = (1500 GB - 50 GB) × 0.156 = 226.2 元

流量费用 = (500 GB -10 GB) × (0.15 × （1-80%） + 0.34) = 181.3 元

其中 CDN 回源流量单价为 0.15 元/GB，CDN 加速流量单价为 0. 34 元/GB，以 CDN 缓存复用率 80% 计算，事实上通过合理的 CDN 配置可能让回源费用更加低。

请求费用 = (500 万次 - 100 万次) × 0.01 + (20 万次 - 10 万次) × 0.1 = 5 元

免费赠送 100 万次读请求与 10 万次写请求，预计有 500 万次读请求和 20 万次写请求。

在这种情况下，小明每月需要花费：存储费用 226.2 元 + 流量费用 181.3 元 + 请求费用 5 元 = 总计 412.5 元。

### 海量数据备份

小明管理着一间医院，拥有大量的医疗记录和影像资料需要进行备份存储等。这些文件有 20 TB 且持续增长中，每月从医院调取的流量大约 1 TB，每天接待病人 1 万人次。为此，小明将文件放置于对象存储服务，并结合 CDN 加速服务结合使用。

存储费用 = (20000 GB - 50 GB) × 0.156 = 3112.2 元

流量费用 = (1000 GB -10 GB) × (0.15 × （1-20%） + 0.34) = 455.4 元

其中 CDN 回源流量单价为 0.15 元/GB，CDN 加速流量单价为 0. 34 元/GB，以 CDN 缓存复用率 20% 计算，事实上通过合理的 CDN 配置可能让回源费用更加低。

请求费用 = (100 万次 - 100 万次) × 0.01 + (50 万次 - 10 万次) × 0.1 = 4 元

*免费赠送 100 万次读请求与 10 万次写请求，预计有 100 万次读请求和 50 万次写请求。

在这种情况下，小明每月需要花费：存储费用 3112.2 元 + 流量费用 455.4 元 + 请求费用 4 元 = 总计 3571.6 元。

## 到期提醒

### 账单周期
COS 按实际使用付费，按月结算使用后付费，次月3-5日出上个月的账单。

### 计费冻结机制

本月结算完成后，将后付费结算金额的 120% 进行次月费用的冻结。次月结算日时，先解冻上月的冻结费用，并进行本月使用额度的扣费。结算完成后，再按结算金额的 120% 冻结下月费用。

### 停服机制

结算日（每月3-5日）进行结算扣费后，如果您的账户为负，系统将发送欠费提醒邮件和短信请您补交欠费。如果在 21 日还未补交欠费，则将停止 COS 服务。此时，用户将不能进行读写操作，不能访问 COS 的文件，但是存储在 COS 上的文件将为您保留1个月。


