## 云数据库 MySQL 定价

您可以点击 [云数据库 MySQL价格计算器](https://buy.cloud.tencent.com/calculator/cdb) 来查看产品价格，估算资源成本，加入购买预算清单，更可实现一键购买。

>**注意：**
>为保证您获取价格准确性，请登录后查看。

## 购买流程

1. 登录腾讯云 [管理控制台][1]，将鼠标移至导航条中的【云产品】>【基础产品】>【数据库】单击【关系型数据库】，进入 [云数据库控制台][2]，单击【新建】按钮，进入云数据库 MySQL 购买界面。
![][image-1]
![][image-2]
2. 选择配置属性：
	- 选择所需的计费模式，支持包年包月和按量计费两种模式。 （按量计费购买前需要实名认证，详见 [实名认证指引][3]）
	- 选择地域和可用区。地域说明请参见 [地域和可用区][4]。
	- 选择网络环境，支持基础网络和私有网络。基础网络和私有网络的区别请参见  [网络环境][5]。
	- 选择实例规格和所需的硬盘。
	- 选择数据复制方式。关于数据库实例复制方式的区别可参见 [数据库实例复制][6]。
	- 选择数据库实例所属的项目，缺省设置为默认项目。
	- 选择购买数量和时长，核对无误后单击【立即购买】。
	- 费用详情请参见 [费用总览][11]，或使用 [价格计算器][12] 进行测算。
![][image-3]

## 计费流程
包年包月是一种预付费的计费模式，详情请参见 [预付费计费说明][7]。  
按量计费是一种后付费的计费模式，详情请参见 [按量计费说明][8]。  
计费流程请参见 [计费流程说明][9]。

## 续费流程
CDB for MySQL 数据库支持控制台续费和续费管理中心续费两种方式，并在续费管理和控制台均提供续费功能。

### 控制台续费
* 批量续费  
选中一个或多个需要续费的实例，单击【续费】操作。
 ![批量续费][image-4]
 
* 自动续费  
选中一个或多个需要续费的实例，单击【更多操作】>【设置自动续费】操作。
![自动续费][image-5]
 
* 实例详情页续费
单击实例名进入实例详情页面，单击【续费】操作。
![实例详情页续费][image-6]

### 续费管理中心续费
 在 [续费管理页面][10] 提供实例的【批量资源续费】、【设置自动续费】、【设置统一到期日】、【取消不续费】等功能 ，详见 [续费管理](https://cloud.tencent.com/document/product/555/7454)。

## 到期提醒

### 包年包月
1. 到期预警
包年包月的资源会在到期前七天开始，隔天向您推送到期预警，预警消息将通过邮件及短信的方式通知到腾讯云账户的创建者以及所有协作者。

2. 欠费预警
包年包月的资源到期当天及每隔天向您推送欠费隔离预警，预警消息将通过邮件及短信的方式通知到腾讯云账户的创建者以及所有协作者。

3. 回收机制
    - 云服务资源到期前七天，系统会开始给用户发送续费提醒通知。 
    - 到期后七天内云服务还可以继续使用，需要尽快续费，系统将发送云服务到期提醒。
    - 到期后第八天开始，此云数据库不可再使用，将被回收至**回收站**中。用户可在控制台回收站页面查看设备，并且仍然可以进行续费操作。
    - 回收站保留时间最长为**七天**。云数据库在回收站保留七天后若仍未进行续费操作，则资源将被系统回收，数据将被清除且不可恢复。 
    - 即到期后，云数据库仍有**七天可用时间**和**七天不可用时间**，用户可在这十四天内对设备进行续费。余额充足的情况下，设置了自动续费的设备，自动续费也会照常执行。

### 按量计费
 
![](https://mccdn.qcloud.com/img567f91951599d.png)
1. 余额预警
系统每天会根据您名下按量付费资源过去 24 小时的消费情况以及账户余额情况，预估余额可支撑的时间。若可支撑时间小于 5 天，我们将会向您推送余额预警。预警消息将通过邮件及短信的方式通知到腾讯云账户的创建者以及所有协作者。

2. 欠费预警
按量计费资源每个整点进行扣费。在您的账户被扣为负值时（上图中点 1），我们将通过邮件及短信的方式通知到腾讯云账户的创建者以及所有协作者。

3. 欠费处理
	- 从余额扣为负值时刻起，**2** 小时内云主机可继续使用且继续扣费。
	- 2 小时后（上图中点 2）云数据库实例将自动关机且停止扣费。
	- 自动关机后 24 小时内，若您的账户余额未充值到大于 0，不可对其开机；若充值到余额大于 0，计费将继续，可对其开机。
	- 自动关机后，余额小于 0 达到 24 小时（上图中点 3），按量计费主机将回收，所有数据将会被清理，且不可找回。
	- 主机回收时，我们将通过邮件及短信的方式通知到腾讯云账户的创建者以及所有协作者。

> **注意：**
按量计费资源不再使用时**请及时销毁**，以免继续扣费。
主机销毁/回收后，数据将会被清除且不可找回。
您的实际资源消耗可能不断变化，因此余额预警可能存在一定的误差。

[image-1]:  https://mc.qcloudimg.com/static/img/c5a7e2e50a04631d861d899c1e71598b/step1.png
[image-2]:  https://mc.qcloudimg.com/static/img/c8d25b4002230535f28dbc59ae58318b/step2.png
[image-3]:  https://mc.qcloudimg.com/static/img/876e8649c8f1b41fe792fd86e08d993a/step3.png
[image-4]:	https://mc.qcloudimg.com/static/img/745bffd1e06ffd5e7c7bb8f87766050b/step4.png
[image-5]:	https://mc.qcloudimg.com/static/img/1f4c68979c718e4a75734ca91f37c4ac/step5.png
[image-6]:	https://mc.qcloudimg.com/static/img/a4403f63257ebe96b62867f22417d356/step6.png

[1]:	https://console.cloud.tencent.com/
[2]:	https://console.cloud.tencent.com/cdb
[3]:	https://cloud.tencent.com/document/product/378/3629
[4]:	https://cloud.tencent.com/document/product/236/8458
[5]:    https://cloud.tencent.com/document/product/213/5227
[6]:    https://cloud.tencent.com/document/product/236/7913
[7]:	https://cloud.tencent.com/document/product/555/9618
[8]:	https://cloud.tencent.com/document/product/555/9617
[9]:    https://cloud.tencent.com/document/product/555/7437
[10]:   https://console.cloud.tencent.com/account/renewal
[11]:   https://cloud.tencent.com/document/product/236/5158
[12]:   https://buy.cloud.tencent.com/calculator/cdb
