## 网络带宽 定价

腾讯云提供的任何网络类型的运营商接入均为 BGP 多线路，保证线路质量，用户可根据自己的需要进行选择。

CVM 提供包年包月和按量计费两种计费模式都可以选择以下两种带宽计费标准：

- 按使用流量计费

　　腾讯云根据用户云主机公网出流量计费，计费单位为GB（1 Byte = 8 bits）
	
　　特点：计费规则简单，按需付费，降低网络波动型客户网络使用成本。为了防止突然爆发的流量产生较高的费用，可以指定带宽上限进行限制，超出此上限默认丢包且不计算费用。
	
- 按带宽计费

　　腾讯云根据用户云主机公网出带宽计费，计费单位为Mbps（bit）
	
　　特点：固定带宽，流量单价较按流量计费低，适合网络带宽使用稳定的用户。
	
【注意事项】

当用户带宽选择0 Mbps时，CVM 实例不分配公网IP，不支持外出流量，无法用作公网网关，请慎重选择。

## 独享网络

独享带宽指用户购买的每台云服务器都有独立的网络，不同云服务器之间的网络计费时不重叠。

- 腾讯云为包年包月云服务器提供两种独享网络计费方式：（包年包月）按带宽计费和按流量计费
- 腾讯云为按量计费云服务器提供两种独享网络计费方式：（按量计费）按带宽计费和按流量计费

按带宽计费模式可以理解为平时家庭网络环境下运营商提供的带宽模式，限定最大带宽值并按此值收费，与用户实际使用量无关。用户网络速度被限制在最大带宽中。

按流量计费模式可以理解为移动网络运营商提供的流量模式，根据用户实际的网络使用量计费。由于按流量计费方式仅通过计算单台云服务器的出流量进行计费（计费单位为元/GB，每小时结算一次），对于包年包月云服务器和按量计费云服务器并无差别，后续将只进行一次说明。

>注：<font color="red">按带宽计费网络模式可随时切换至按流量计费，即时生效。</font>但此操作<font color="red">不可逆</font>，即按流量计费模式不可更换为按带宽计费模式。

>注： 原则上腾讯云会分配给用户与购买出流量带宽1：1的公网入带宽。但由于入流量带宽普遍比出流量带宽小，所以腾讯云在当前可用区整体入流量带宽低于出流量带宽时，会放开用户入流量带宽的限制，允许用户超出，增强用户体验。当腾讯云当前可用区整体入流量带宽大于出流量带宽时，会重新限制用户的入流量带宽，且优先限制入流量带宽与出流量带宽有极端差异的用户。

### 包年包月按带宽计费

包年包月按带宽计费为包年包月的预付费云服务器可选择的一种网络计费模式。用户选择单台服务器最大带宽值（0Mbps - 200Mbps），带宽费用与主机、硬盘费用一起合并至总价格中。用户选择时间（月/年）后支付对应的金额总价，随即在此段时间内使用云服务器、硬盘及网络。需要注意的是，单台云服务器的瞬时网络速度超过最大带宽值时将丢包。

包年包月按带宽计费的平均网络费用低于按流量计费网络，适合网络带宽使用较稳定的用户。

#### 收费标准

| 地域 |选择带宽 ≦ 2Mbps |  2Mbps < 选择带宽 ≦ 5Mbps | 选择带宽 >5Mbps |
|---------|---------|---------| 
| 广州<br>上海<br>北京<br>香港<br>新加坡| 20 元/Mbps/月 |  ≦ 2Mbps的部分：20 元/Mbps/月<br>\>2Mbps的部分：25 元/Mbps/月 | ≦ 2Mbps的部分：20 元/Mbps/月<br>\>2Mbps且≦ 5Mbps的部分：25 元/Mbps/月<br>\>5Mbps的部分：90 元/Mbps/月 |

| 地域 |选择带宽 ≦ 5Mbps | 选择带宽 >5Mbps |
|---------|---------|---------| 
| 北美 | 30 元/Mbps/月 |   ≦ 5Mbps的部分：30 元/Mbps/月<br>\>5Mbps的部分：100 元/Mbps/月 |
>注：购买一年时优惠收取10个月费用

例如：北京的云服务器购买带宽为10Mbps的网络一年，收取费用为：
（2\*20+3\*25+5\*90）\*10= 5650 (元)

#### 购买流程

用户计费模式选择【包年包月】，在带宽中选择【按带宽计费】，用户可以在0 - 200Mbps 选择带宽，网络费用合并在包年包月的费用中。

#### 网络调整

支持调整网络带宽，支持指定天数升级，只升不降。

#### 计费说明

包年包月按带宽计费的用户需要购买最大外网出带宽（QoS），提前一次支付一个月或多个月甚至几年的费用。当峰值带宽超过QoS时将丢包。

此种方式支持的CVM计费方式为：**包年包月**。[见计费模式说明-包年包月](/doc/product/439/6796)

### 按量计费按带宽计费

按量计费按带宽计费为按量计费的后付费云服务器可选择的一种网络计费模式。用户选择单台服务器最大带宽值（0Mbps - 100Mbps），带宽费用与主机、硬盘费用一起合并至小时单价中。用户确定选择后系统将冻结一个小时的总产品单价，并在每个整点进行上一计费周期的结算，所有产品计费均精确到秒。需要注意的是，单台云服务器的瞬时网络速度超过最大带宽值时将丢包。

按量计费按带宽计费的费用完全取决于用户配置与使用时间，弹性能力强，适合主机负载弹性能力要求高的客户。

#### 收费标准

| 价格 | 选择带宽 ≦ 5Mbps | 选择带宽 >5Mbps |
|---------|---------|---------| 
| 大陆、北美 | 0.063 元/Mbps/小时 | ≦ 5Mbps的部分：0.063 元/Mbps/小时<br>＞5Mbps的部分：0.25 元/Mbps/小时  |
| 香港 | 0.08 元/Mbps/小时 | ≦ 5Mbps的部分：0.08 元/Mbps/小时<br>＞5Mbps的部分：0.25 元/Mbps/小时  |
| 新加坡 | 0.0625 元/Mbps/小时 | ≦ 5Mbps的部分：0.0625 元/Mbps/小时<br>＞5Mbps的部分：0.25 元/Mbps/小时  |

>注：
- 小时内多次更换网络带宽，以最高带宽计费
- 计费精确到秒，按小时结算

例如：大陆地区购买10Mbps的网络，实际使用时间为2.5小时，收取费用为：
（0.063\*5+0.25\*5）\*2.5=3.91 (元)

#### 购买流程

用户计费模式选择【按量计费】，在带宽中选择【按带宽计费】，用户可以在0-100Mbps 选择带宽。网络费用与CVM费用单独计算，计算方式为按秒计费，按小时结算。

#### 网络调整

按量计费按带宽计费方式支持随时调整网络带宽（可升可降）。小时内多次调整网络带宽，结算时将按最高带宽标准进行计费。

#### 计费说明

按量计费按带宽计费的用户需要设定最大外网出带宽（QoS），按照实际使用时长付费，精确到秒，按时结算。当峰值带宽超过QoS时将丢包。

此种方式支持的CVM计费方式为：**按量计费**。[见计费模式说明-按量计费](/doc/product/439/6796)

### 按流量计费

按流量计费的网络费用仅取决于单台云服务器的出流量，与云服务器模式（包年包月或按量计费）无关。可对机器设置带宽上限，云服务器瞬时网络速度超过此带宽上限时将丢包。

#### 收费标准

| 地区 |价格 | 
|---------|---------|
| 大陆、新加坡 | 0.80元/GB | 
| 香港 | 1.00元/GB | 
| 北美 | 0.50元/GB | 

#### 购买流程

用户计费模式选择【包年包月】或【按量计费】，在带宽中选择【按使用流量】。网络费用单独计算，按照用户实际产生的流量，精确到秒，每小时结算一次。

#### 网络调整

支持随时调整网络带宽上限，可升可降，实时生效。

#### 计费说明

按流量付费是根据用户实际产生的出网流量进行付费，通过设定最大带宽限制可能产生的短时间流量溢出。

#### 峰值带宽范围

- 按量计费类型主机：0-100 Mbps
- 包年包月类型主机：

| 核数 | 峰值带宽范围（Mbps) | 
|---------|---------|
| 核数<=8 | 0-200 | 
| 8<核数<24 | 0-400 | 
| 核数=>24 | 0-400；或不设上限 | 

此种方式支持的CVM计费方式为：**包年包月**和**按量计费**。[见计费模式说明](/doc/product/439/6796)

按流量计费的计费规则简单明了，按需付费，费用完全取决于单位时间出网流量。适合网络波动型的客户以降低其使用成本。

### 比价示例

假设购买一个月包年包月5Mbps带宽，费用为25元/Mbps/月 \* 5Mbps = 125 (元)。

设用户平均使用带宽为3 Mbps = 0.375 MB/秒。

一个月折换流量0.375MB/秒 \* 30 \*24 \*60 \*60 = 972000 MB = 949.219 GB。

换算成按流量计费价格949.219GB \* 0.80 元/GB = 759.375 (元)

用户带宽较稳定的情况下 按带宽计费125 元/月 < 按流量计费759.375 元/月。

**带宽稳定的用户使用按带宽计费比按流量计费成本低。**

同样假设购买一个月包年包月5Mbps带宽，费用为25元/Mbps/月 \* 5Mbps = 125 (元)。

125元换算成流量计费的流量为125 / (0.8 元/GB) = 156.25GB

假设一天24小时中有2.4小时能跑满5 Mbps = 0.625 MB/秒，其他时间忽略。换算成流量为： 0.625 \* 30 \* 2.4 \* 60 \* 60 /1024 = 158.20GB （略大于包年包月等价月流量）

2.4小时 / 24小时等于10%

**因此在购买固定带宽为5M的例子下，如果网络使用率低于10%时，建议使用按流量计费，高于10%建议使用按带宽计费**

## 共享网络

共享网络是指多台云服务器共享网络服务的一种模式，多台云服务器之间互相影响。腾讯云提供一种共享网络服务模式：带宽包计费。
购买链接：http://manage.qcloud.com/shoppingcart/shop.php?tab=broadband

### 带宽包计费

带宽包是一种按月计费的共享网络计费方式，开通带宽包服务后系统将根据用户账户内云主机的共享带宽<font color="red">月峰值</font>计费。此种计费方式的收费分成了两部分：<font color="red">带宽包内带宽费用</font>和<font color="red">超出带宽包的带宽费用</font>两部分。

#### 收费标准

带宽包用户仅可购买下月带宽包（即1月仅可购买2月带宽包），用户首先选择带宽包内的最大带宽值，并根据下表所示的【带宽包内单价】费用<font color="red">进行支付</font>，此时带宽包还未生效。自然月开始时带宽包开始生效。


|  | 带宽包内带宽单价 | 超出带宽包的带宽单价 |
|---------|---------|---------|
| 北京、上海、广州地域 | 100元/Mbps | 108元/Mbps |
| 香港地域 | 100元/Mbps | 108元/Mbps |
| 北美地域 | 200元/Mbps | 216元/Mbps |

在结算时（自然月结束或用户主动退还带宽包），系统自动进行【带宽日均峰值】的计算，计算方法如下：

1) 计算每日带宽峰值
用户可在腾讯云控制台【云监控】选项卡的【流量监控】页面查看到每日统计的公网带宽峰值。腾讯云默认每5分钟统计一个值，每日可得到288个值。系统将从这288个值中，去掉最大的前4个值，取第5大的值作为每日带宽峰值。

2) 计算日均带宽峰值
日均带宽峰值的计算方法为：取带宽包使用周期内每日带宽峰值最高的5天，求其平均值。

3) 计算带宽包费用
- 结算时，当账户日均带宽峰值（根据步骤2计算得来）未超出购买的带宽包最大带宽值时，除原带宽包已支付费用外，无需额外支付任何费用；
- 结算时，当账户日均带宽峰值（根据步骤2计算得来）超出带宽包时（带宽包不会限制账户内主机带宽实际使用），超出部分带宽按上表【超出带宽包的带宽单价】额外收费。

4) 带宽包账户使用不满一个月时，首先根据步骤2计算得来的日均带宽峰值计算步骤3的带宽包费用，实收费用 =带宽包费用 * 实际使用天数 / 30

#### 收费示例

假设用户在3月20日购买了在广州地域4月份80Mbps带宽包，4月1日开始生效。4月份实际日均带宽峰值120Mbps，则用户需要支付费用为 = 80\*100 +（120-80）*108 = 12320元。
- 其中8000元在3月份购买带宽包时立即支付
- 剩余4320元在4月份结束账单结算时进行扣费

#### 购买限制

- 当账户开通了分项目结算功能后，账户将整体根据上述规则计算带宽包的总费用，然后根据各个项目独立计算日均带宽峰值（根据步骤2计算得来），按比例计算各个项目所需支付费用。
- 普通账户购买带宽包时，原包年包月按带宽计费支付的带宽费用会根据主机剩余使用天数退还至账号的赠送账户。带宽包功能开通后，首月不支持额外购买带宽包，所有网络使用按照超出带宽计算。
> <font color="red">注意：购买了带宽包的用户将不再支持购买按量计费云服务器，请在购买带宽包前销毁所有按量计费云服务器。</font>
- 带宽包退还后，包年包月云服务器都默认使用按流量计费，原购买带宽包将根据消耗剩余天数退还至系统赠送账户。

## 违规处理

不允许利用腾讯云平台进行爬虫类、刷单类操作。一旦被安全团队发现，将对此类账户进行流量限制或封堵。

