## 负载均衡 CLB 定价

CLB 定价主要包括实例租用费和后端服务器带宽流量费。

假设一台 CLB 实例纳管了三台 CVM 服务器，将计算 CLB 实例的费用，以及三台 CVM 实例的费用（实例费用计入网络计费部分）。

### 负载均衡实例费用及产品定位

购买公网应用型以及公网有固定IP实例，将冻结30元（整月费用）。请确保您的账户余额足够。

| 产品类型 | 公网应用型负载均衡 | 公网（固定IP型）负载均衡 |  内网型负载均衡 | 
|---------|---------|---------|---------|
| **定义** | 满足中大型复杂网站流量均衡的需求，可基于Http请求内容（域名/URL路径等），提供高级路由均衡能力。支持应用层HTTPS、HTTP协议转发。 | 满足90%的流量负载均衡的场景，它可以让您实现更高水平的应用程序容错能力，从而无缝提供分配应用程序流量所需的负载均衡容量。适用于中小型web网站等业务。支持HTTPS、HTTP、TCP、UDP等协议转发。 | 满足用户企业内部模块间转发的需求。只能在腾讯云内部访问，不能通过Internet访问。支持TCP/UDP四层协议。 | 
| **英文名称** | Cloud Application Load Balancer |  Cloud Load Balancer (with fixed IP address) | Internal Cloud Load Balancer | 
| **目标场景** | **大型电商、大型门户网站：** 适用于日PV超千万、亿级别的web业务。满足复杂二级域名、业务模块间，路由分发的需求。<br>**基于内容的路由：** 如果您的应用程序由不同的服务构成，则应用程序负载均衡器可以基于请求内容(域名、URL)将请求路由至某个服务<br> **减少DNS轮询：** 通过自定义URL转发路径，可有效减少二级域名的数量，从而减少DNS轮询的次数，提升网页访问的效率<br>**更精准的健康检查：** 可判断二级域名/URL的健康水平，更细粒度的反馈业务的运行状况<br> **HTTP/2 支持: ** HTTP/2使用单个多路复用连接，支持通过同一连接发送多个请求。它还可以压缩标头数据并以二进制格式发送这些数据，且支持使用 TLS 连接客户端。 |  **适用于中小型网站：** 适用于日PV百万以下的，服务架构相对简单，业务模块较少，二级域名较少的web业务。<br>**私有协议均衡：** 传输层使用TCP监听可保证您应用层的私有协议，获得可靠的流量均衡。如游戏业务服务器请求分发，使用ip会话保持，保证用户掉线后重连<br>**长连接：** 满足应用层（Http、websocket）的长期运行 TCP 连接的需求，如借助 WebSocket，服务器可以与最终用户交换实时消息，且最终用户无需请求（或轮询）服务器提供更新 |**局域网服务：** 用于企业内部模块间的请求转发。 |
| **价格** | 1 元/天 | 1 元/天 | 免费 | 

> 注：当用户提前停用负载均衡服务时，将按照具体的使用日期，相应的扣除账户中部分冻结的费用，并将剩余费用退还至账户。

### 按带宽计费

付费场景

1.云服务器按带宽计费：带宽消耗使用的是云服务器已包含的公网带宽，不另外收取带宽费用；
2.云服务器按流量计费：用户使用公网负载均衡会产生出流量，需支付对应的流量费用。

付费标准

在上述2种场景下， CLB 负载均衡器的带宽费用，收取的是后端 CVM 云主机产生的网络费用。有关计费详情，请参见 [网络计费](/document/product/439/6917)。  

## 购买指导

### 官网购买

登录腾讯云 [负载均衡服务购买页](https://buy.cloud.tencent.com/lb)，可购买负载均衡产品。

### API 购买

详情请参见 [负载均衡API](http://cloud.tencent.com/doc/api/244/%E7%AE%80%E4%BB%8B)。

## 回收机制

- CLB 是后付费类型产品，在账户余额充足时，除用户主动删除外，CLB 实例均不会被系统清退。

- 在账户欠费时，CLB 实例会在当月21日被系统隔离，仍未续费情况下会在当月28日被系统回收，回收后将会断开所有与后端服务器的绑定关系。

- 当 CVM 进入隔离状态（包年包月云服务器进入回收站、按量计费云服务器欠费两小时以上）时，会强制解除与 CLB 的绑定关系。


