创建腾讯云云服务器时，用户指定的***实例类型*** 决定了实例的主机硬件配置。每个实例类型提供不同的计算、内存和存储功能。用户可基于需要部署运行的应用规模，选择一种适当的实例类型。

CPU、内存、存储和网络等相关资源均是该CVM实例专用的。但实例间也会存在共享某些资源的情况，例如[共享网络](https://cloud.tencent.com/doc/product/213/509#2.-.E5.85.B1.E4.BA.AB.E7.BD.91.E7.BB.9C)等。

## 硬件规格
有关每种实例类型的具体硬件规格的更多信息，请参考 [CVM 实例配置](https://cloud.tencent.com/doc/product/213/2177)。

要确定最适合您需求的实例类型，我们建议启动一个按量计费实例，并使用自己的基准测试应用程序。由于是按实例使用量付费，因而您能够在做出决策前方便而经济地测试不同的实例类型。

在购买并使用了某一实例后，当用户的需求发生变化时，仍可以调整实例的大小，更多信息请参考[调整 CVM 硬件配置](/doc/product/213/5730)。

下面分别介绍各种实例系列和实例类型。需要注意的是，一台已经创建好的云服务器实例 ***不能*** 转换成其他类型，需要新类型的实例时请重新创建。

## 可用实例类型
根据底层硬件的不同，腾讯云目前提供了 *系列 1* 和 *系列 2* 两种不同的实例系列，不同的实例系列提供如下实例类型：

**当前一代实例类型**：标准型S2，高IO型I2，内存型M2，计算型C2
**上一代实例类型**：标准型S1，高IO型I1，内存型M1


实例系列2目前只支持 华南地区(广州)－广州三区 和 华东地区(上海)－上海一区 的购买.
如需购买，请点击 [这里](http://cloud.tencent.com/event/cvm2.html)。
为获得最佳性能，我们建议您在新建实例时使用当前一代实例类型。

### 实例系列 2
系列 2 采用 Intel Broadwell CPU、搭配 DDR4 内存，拥有更好的内存计算能力；其中高 IO 型/计算型搭配网络增强，包转发能力达30w。整数和浮点运算的性能翻倍，整体计算能力更强。

#### 标准型 S2
系列 2 的标准型 S2 机器采用主频 2.4 GHz 的 Intel E5-Xeon v4 CPU处理器和 DDR4 内存，数据盘可搭配本地盘、普通云盘和SSD云盘等不同类型（具体可能随硬件规格而不同）。
标准型实例可实现计算、内存和网络资源的平衡，是很多应用程序的良好选择。建议用于中小型Web应用、中小型数据库等应用。

特点：
- 2.4 GHz  Intel Xeon  E5-2680 v4 处理器，DDR4 内存
- CPU性能相比系列 1 标准型 S1 提升20%
- 存储可搭配本地盘、普通云盘和SSD云盘
- 计算、内存和网络资源的平衡

#### 高 IO 型 I2 
系列 2 的高 IO 型 I2 机器采用主频 2.4 GHz 的 Intel E5-Xeon v4 CPU处理器和 DDR4 内存，其中所有配置的系统盘均为SSD本地盘。搭载网络增强，包转发能力高达30w。
高IO实例是高磁盘IO的最佳选择，提供每秒上数万次低延迟性随机 I/O 操作，适合用于需要低时延的I/O密集型应用。

特点：
- 2.4 GHz  Intel Xeon  E5-2680 v4 处理器，DDR4 内存
- CPU性能相比系列 1 高 IO 型 I1 提升20%
- 采用 SSD 的实例存储
	- 高随机 IOPS，典型场景下随机读 IOPS 可达 40000 （blocksize =4k ，iodepth =32）；
	- 高吞吐量，典型场景下随机读吞吐可达 300MB/s（blocksize =4k ，iodepth =32）；
- 默认网络增强型，包转发率高达30w pps。

#### 内存型 M2
系列 2 的内存型 M2 机器采用主频 2.4 GHz 的 Intel E5-Xeon v4 CPU处理器和 DDR4 内存，CPU内存比为1:8，是高内存计算应用的最佳选择。数据盘可搭配本地盘、普通云盘和SSD云盘等不同类型（具体可能随硬件规格而不同）。
​
内存型实例建议用于运行高性能数据库、分布式内存缓存等需要大量的内存操作、查找和计算的应用。

**特点：**
- 2.4 GHz  Intel Xeon  E5-2680 v4 处理器，DDR4 内存
- CPU性能相比系列 1 内存型 M1 提升20%
- 存储可搭配本地盘、普通云盘和SSD云盘
- 内存密集型应用黄金比例，对内存密集型应用程序进行了优化，满足大业务部署

#### 计算型C2
系列 2 的计算型 C2 机器采用主频 3.2 GHz 的 Intel E5-Xeon 2667 v4处理器和 DDR4 内存，系统盘及数据盘搭配SSD本地盘或SSD云盘。搭载网络增强，包转发率（pps）高达30w。

计算型实例是高计算性能和高并发读写的应用的最佳选择，建议用于大型游戏服务器和广告服务引擎、高性能计算 (HPC) 以及其他计算密集型应用程序。

**特点：**
- 搭载高频 Intel Xeon E5-2667 v4处理器，频率高至 3.2GHz，DDR4 内存
- CPU性能相比系列 1 标准型 S1 提升  **40%**
- 存储可搭配 SSD本地盘和SSD云硬盘
	- SSD本地盘高随机 IOPS，典型场景下随机读 IOPS 可达 40000 （blocksize =4k ，iodepth =32）；
	- SSD本地盘高吞吐量，典型场景下随机读吞吐可达 300MB/s（blocksize =4k ，iodepth =32）；
- 默认支持网络增强，包转发能力高达 30w

### 实例系列 1
根据底层硬件的不同，腾讯云目前提供了 *系列 I* 和 *系列 2* 两种不同的实例系列，其中系列 1 采用 Intel Xeon CPU，搭配 DDR3 内存。

#### 标准型 S1

系列 1 的标准机型 S1 是覆盖低核到大核的虚拟机类型，满足用户灵活选择配置的需求，具备价格适中和配置灵活可选的特点。数据盘可搭配本地盘、普通云盘和SSD云盘等不同类型（具体可能随硬件规格而不同）。

标准型建议使用于各种大中小型应用、大中小型数据库等不同应用。

**特点：**
- 覆盖低核到大核，用户灵活选择配置
- 存储可搭配本地盘、普通云盘和SSD云盘
- 计算、内存和网络资源的平衡，价格适中

#### 高 IO 型 I1

系列 1 的高 IO 机型 I1 是系统盘、数据盘均为高性能 SSD 本地盘的虚拟机。可以覆盖对磁盘读写和时延要求高的用户需求。

建议使用于IO 密集型业务。

**特点：**
-  SSD 本地盘的随机 IOPS 比普通本地盘、普通云盘性能高近 10 倍。
 - 高随机 IOPS，典型场景下随机读 IOPS 可达 40000 （blocksize =4k ，iodepth =32）；
 - 高吞吐量，典型场景下随机读吞吐可达 300MB/s（blocksize =4k ，iodepth =32）；
- 低时延，提供微秒级访问延时 。

#### 内存型 M1

系列 1 的内存型 M1 是 CPU 内存比在 1:8 左右的机型，满足用户大量的内存操作、查找和计算的应用。

**特点：**
- 底层均为全万兆网络，提供更强大的计算能力和更大的内存可选范围。
- Intel Xeon E5-2670 v3 处理器，DDR3  内存，为用户提供更大的实例规格，整体计算能力更强。
- 内存密集型应用黄金比例，满足大业务部署。

