## 消息队列 CMQ 定价

CMQ 属于后付费产品，每小时进行一次结算，所有费用按地域分别收取。

CMQ 总费用由三部分组成：

**请求次数费用** + **消息堆积费用** + **出流量费用**。

### 请求次数费用

单地域下，用户开通 CMQ 服务后，腾讯云将对 每小时 内消息队列的 API /SDK 请求次数进行统计。每百万次请求收费为： 2.00元/百万次 ，每小时结算一次。请求次数以百万为单位，精确到小数点后两位。

计费示例：

- 2016年5月20号下午16：00-17：00，用户总请求次数为 1,323,454 次。则计算的请求次数 1.32（百万次），本时间段请求次数费用为 1.32 * 2.00 = 2.64 元。

- 2016年5月20号下午18：00-19：00，用户总请求次数为181,000次。则计算的请求次数 0.18（百万次），本时间段请求次数费用为 0.18 * 2.00 = 0.36 元。

### 消息堆积费用

每小时 CMQ 将对单地域下的所有消息收取堆积费用，计算公式：堆积消息费用＝消息总数 * 堆积消息单价

其中堆积消息单价为： 0.010元/百万条/小时 。消息总数的统计以百万为单位，单小时内消息总数是每分钟消息堆积总数的平均数（即每小时抽取60个点取平均值）。计算精确到小数点后两位

计费示例：

- 2016年5月20号下午16：00-17：00，A 队列的堆积消息总数量为1323450条，则该小时 A 队列的消息堆积费用为 0.01*1.32 = 0.01 元。

### 出流量费用

| 流量类型 | 定义 | 用量 |单价 |
|---------|---------|---------|---------|
| 入流量 | 数据传入至 CMQ |所有 |免费 |
| 内网出流量（同地域） | 同一个地域内的业务系统，使用消息队列的内网域名从 CMQ 主动获取数据或 CMQ 主动推送数据至此业务系统，产生的流量（经由腾讯云内网） |所有 |免费 |
| 外网出流量 | 同一个地域内的业务系统，使用消息队列的 Internet 域名从 CMQ 主动获取数据或 CMQ 主动推送数据至此业务系统，产生的流量（经由Internet） |所有 |大陆 0.80元/GB ; 香港 1.00元/GB ;北美 0.50元/GB |

## 到期提醒

![](//mccdn.qcloud.com/static/img/23bb70b386581b8ebc553fc4c589185f/image.png)

- 余额预警

腾讯云系统每天会根据您名下按量付费资源过去24小时的消费情况以及账户余额情况，预估余额可使用的时间。若可支撑时间小于5天，我们将会向您推送余额预警通知。预警消息将通过邮件及短信的方式通知到腾讯云账户的创建者以及所有协作者。

- 欠费预警

腾讯云消息队列 CMQ 每个整点进行扣费（详细扣费规则可以参考[价格总览](/doc/product/406/4563)）。在用户账户被扣为负值时（上图中点1）腾讯云将通过邮件及短信的方式通知到腾讯云账户的创建者以及所有协作者。

- 欠费处理

从余额扣为负值时刻起，2小时内 CMQ 可继续使用且继续扣费。

2小时后（上图中点2）CMQ 的所有功能将停止服务（仅可查询详情），且停止扣费。

CMQ 停止服务后，不可对 CMQ 进行任何功能操作。当用户账户充值到余额大于0时恢复其正常使用。未处理的、堆积的消息数据将按队列设置的消息过期时间自动过期释放，被释放的数据不可恢复。若队列中所有消息均已过期则自动删除该队列。

CMQ 队列被删除时，我们将通过邮件及短信的方式通知到腾讯云账户的创建者以及所有协作者。

【注意事项】

- 按量计费资源不再使用时请及时销毁，以免继续扣费。 
- CMQ 消息被清理后，数据将会被清除且不可找回。
- 用户实际资源消耗可能不断变化，因此余额预警可能存在一定的误差。 
- 队列的 msgRetentionSeconds 属性标识消息在本队列中最长的存活时间，从发送到该队列开始经过此参数指定的时间后，不论消息是否被取出过都将被删除。