腾讯云总共提供两种类型的云服务器购买方式：包年包月和按量计费，分别适用于不同场景下的用户需求。

下表列出了两种计费模式的区别:

<p class="table-hover">&nbsp;</p>
<table align="left";">
	<thead>
		<tr>
			<th scope="row"><strong>主机计费模式</strong></th>
			<th scope="col"><strong>包年包月</strong></th>
			<th scope="col"><strong>按量计费</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<th scope="row"><strong>付款方式</strong></th>
			<td>预付费</td>
			<td>购买时冻结费用，每小时结算</td>
		</tr>
		<tr>
			<th scope="row">计费单元</th>
			<td>
			元/月<br>至少使用一个月
			</td>
			<td>
		元/秒<br>按秒计费，按小时结算，随时购买随时释放
			</td>
		</tr>
		<tr>
			<th scope="row">单价</th>
			<td>单价较低</td>
			<td>
			初始单价较高，阶梯降价<br>连续使用15天后，单价基本接近包年包月
			</td>
		</tr>
		<tr>
			<th scope="row">带宽计费模式</th>
			<td colspan="2" rowspan="1">支持按带宽计费和按使用流量计费两种方式</td>
		</tr>
		<tr>
			<th scope="row">调整实例配置</th>
			<td>
			随时升降配置，<span style="background-color: transparent;">降配具有三次限制</span>
			</td>
			<td>随时升降配置，无限制</td>
		</tr>
		<tr>
			<th scope="row">使用场景</th>
			<td>适用于提前预估设备需求量长期稳定的成熟业务</td>
			<td>适用于电商抢购等设备需求量瞬间大幅波动的场景</td>
		</tr>
	</tbody>
</table>

## 包年包月

提前一次性支付一个月或多个月甚至多年的费用，一年只收10个月的费用。按CPU、内存、硬盘线性定价。适用于提前预估设备需求量，价格相比按量计费更低廉。

包年包月云服务器实例是先购买再使用的方式：用户在预付费方式购买云服务时，系统会根据用户选购买的资源硬件（包括CPU、内存、数据盘）和网络费用，对用户云费用账户中的金额进行扣除。

购买云服务扣除的金额 = 申请的云服务数量 × 云服务单价。

因此，用户在购买云服务前，先查看云费用账户中的可用余额，如果余额小于系统将扣除的金额，请先充值。

## 按量计费

按量计费是云服务器实例的弹性计费模式，您可以随时开通/销毁主机，按主机的实际使用量付费。计费时间粒度精确到**秒**，不需要提前支付费用，每小时整点进行一次结算。适用于电商抢购等设备需求量瞬间大幅波动的场景，单价比包年包月高3－4倍。

开通按量计费云服务器实例时，会预先冻结该 CVM 一个小时的硬件费用（包括CPU，内存，数据盘），并在每个整点（北京时间）进行一次结算，根据您在上一个小时 CVM 的实际使用时长进行扣费。购买时 CVM 实例单价按小时呈现，结算时按**实际使用秒数**计价，费用四舍五入精确到小数点后2位。计费的起点以 CVM 实例创建成功的时间点为准，终点以您发起销毁操作的时间点为准。

按量计费的云服务器创建时会冻结一个小时的主机费用；对按量计费云服务器调整配置时，购买时冻结的费用将解冻，并重新按新配置的单价进行冻结；CVM 实例销毁时，将会对冻结的费用进行解冻。

**秒级计费，拒绝成本浪费**
CVM实例创建成功后才开始计费，发起销毁操作立即停止计费
![](//mc.qcloudimg.com/static/img/b67e5fbde8f2a9d2c0e619c633ce0b89/image.jpg)
**阶梯降价，使用时长越长越省钱**
CVM按量计费实行3级阶梯价，用得越久，优惠就越大。
 
|阶段|第一阶梯|第二阶梯|第三阶梯|
|---|---|---|---|
|使用时长(小时)  |0< T ≦96|96< T ≦360| T >360|
>注: T 为用户连续使用按量计费云服务器的时长。

|阶段|第一阶梯|第二阶梯|第三阶梯|
|---|---|---|---|
|价格(元／小时)  |P |50% × P | 34% × P|
> 注: P 为按量计费云服务器的第一阶梯的单价。


![](//mc.qcloudimg.com/static/img/2b8e3a898dab0454d77d99a0e1c1eb07/image.jpg)

以1核2GB配置为例，第一阶梯价格为0.42元/小时，第二阶梯价格为0.42×(1-50%)=0.21元/小时，第三阶梯价格为0.42×(1-50%-16%)=0.14元/小时

