## INTRODUCTION  

Welcome to Tencent Cloud!

This Policy informs you of our practices for processing Customer Personal Information (as defined below) that you submit, upload, transmit or display as part of Your Content in connection with your use of Tencent Cloud.  It is important for you to understand how we treat Customer Personal Information, so please read this Policy carefully. 

In this Policy:

(a)"Customer Personal Information" is Personal Information forming part of Your Content.

(b)"Personal Information" is information that relates directly or indirectly to a living individual from which it is practicable for the identity of the individual to be directly or indirectly ascertained. Personal Information may include your personal details, communication logs, documents, photographs and any other information that you submit to Tencent Cloud that is capable of being used to (directly or indirectly) ascertain a living individual's identity. 

(c)"we", "our" or "us" refers to: (a) Aceville Pte Ltd, a Singaporean company located at 16 Collyer Quay, No. 1829, Level 18, Singapore 049318; and (b) Aceville Pte Ltd's affiliate companies across the world (including any entities that Aceville Pte Ltd acquires in the future).
Please note that where you submit any Personal Information (other than Customer Personal Information) to us in your use of Tencent Cloud, we will use, process and store such Personal Information in accordance with the Tencent Privacy Policy. 

## PARTIES' RESPONSIBILITIES FOR COMPLIANCE

By using Tencent Cloud:

(a)you agree that, as between you and us:

(i)you are, where relevant under applicable laws, the "data controller" or "data user" controlling the collection, holding, processing, storage and use of Customer Personal Information in connection with your use of Tencent Cloud; and 

(ii)where relevant under applicable laws, we have the status of a "data processor", "data intermediary" or similar designation made under applicable laws for parties that process Personal Information solely for  purposes instructed by others and not for their own purposes; and

(b)you represent, warrant and undertake that:

(i)in relation to Personal Information that relates to individuals other than yourself (e.g., where you are uploading Personal Information relating to another individual), you have obtained and will obtain all consents required by law and have taken and will take all other steps required by relevant laws and regulations applicable from time to time in order for you to submit, upload, transmit and display the Customer Personal Information for the purpose and in the manner contemplated by the Tencent Cloud Terms of Service; and

(ii)your instructions for us to process the Customer Personal Information as part of your use of Tencent Cloud are and will otherwise be in compliance with all applicable laws and regulations.

We undertake to process, store and share Customer Personal Information forming part of Your Content in accordance with this Policy, as revised from time to time.  We will not process Customer Personal Information for any other purpose.

If you do not agree with this Policy, you must not use Tencent Cloud.   

## QUESTIONS ABOUT THIS POLICY

If you wish to contact us regarding this Policy or any related matters (including if you are a data subject of Customer Personal Information and wish to ask us regarding our processing of such information), please contact our Data Protection Officer via: 

(a)email at cloudlegalenquiries@tencent.com; or 

(b)postal mail at Level 29, Three Pacific Place, 1 Queen’s Road East, Wanchai, Hong Kong (Attention: Data Protection Officer, Legal Department).

## SCOPE AND APPLICATION OF THIS POLICY 

This Policy is incorporated into and forms part of the Tencent Cloud Terms of Service that you have agreed to in order to use Tencent Cloud. Any terms used in this Policy will have the same meanings as the equivalent defined terms in the Tencent Cloud Terms of Service, unless otherwise defined in this Policy or the context requires otherwise. 

## CHANGES TO THIS POLICY 
We may, from time to time, revise or add specific instructions, policies and terms to this Policy and we will post any such revised Policy on this page. These instructions, policies and terms form part of this Policy with effect from the time of posting. 

Whenever we make any material changes to this Policy, we will notify you (within Tencent Cloud, via direct communication to you or by other means) prior to such changes becoming effective.

## DATA SECURITY

We take reasonable steps to ensure that Customer Personal Information is protected against unauthorised or accidental access, processing, erasure, loss or use.  To this end, we use a variety of generally accepted security technologies and procedures, as further detailed in the Tencent Cloud Terms of Service, within Tencent Cloud and/or as notified to or agreed with you, from time to time. 

Please be aware that, despite our efforts, no data security measures can guarantee 100% security at all times.  We do not warrant or guarantee the security of Tencent Cloud or any Customer Personal Information.  You acknowledge and agree that you are solely responsible for your use of Tencent Cloud.

If you have any questions regarding the security of the Customer Personal Information, please contact our Data Protection Officer. 

## SUB-PROCESSORS 

Your Customer Personal Information may be processed (from time to time) within our group of companies and with third party service providers, contractors and agents that provide services to us, such as data management services, analytics and customer service support (collectively, the "Sub-processors"). Such processing by Sub-processors will only be for the purposes of providing and supporting our provision of Tencent Cloud to you. 

Where we share Customer Personal Information with Sub-processors, we will ensure that they only process Customer Personal Information in accordance with this Policy. 

## DATA LOCATION SELECTION

We offer Tencent Cloud via geographically defined service regions around the world (such regions being the "Service Regions"). Further information about the Service Regions are set out on the Tencent Cloud website.

In order to be able to use Tencent Cloud, you are required to select a Service Region via which you will use Tencent Cloud (your selected Service Region being your "Data Location Selection"). We will store Your Content at your Data Location Selection (and, at all times, within the Service Region that your Data Location Selection is located in), except where we cannot do so (in which case, we will notify you of our inability to do so and offer you an alternative storage location). 

We may back-up copies of Your Content to locations (other than the Data Location Selection) within the Service Region that your Data Location Selection is located in, including in jurisdictions that may not have data protection laws which are substantially similar to or which serve the same purpose as the laws of your jurisdiction. We take steps to protect your information when we do this.

If a Data Location Selection is not covered by the Tencent Cloud Terms of Service or a Data Location Selection is not made by you in respect of any of Your Content, we may store and process Your Content in any of our (or our Sub-Processors') locations anywhere in the world, including in jurisdictions that may not have data protection laws which are substantially similar to or which serve the same purpose as the laws of your jurisdiction. We take steps to protect your information when we do this.

You represent, warrant and undertake that the processing by us of your Customer Personal Information in accordance with your Data Location Selection, from time to time, is and will remain compliant with applicable laws and regulations.

Please note that, regardless of your Data Location Selection (and subject to the terms of the Tencent Cloud Terms of Service), we do not control or limit the locations from whi
ch you or your End Users may access Your Content.

## RETENTION OR DISCLOSURE OF YOUR CONTENT FOR LEGAL PURPOSES 

As set out in Section 7.3 of the Tencent Cloud Terms of Service, you agree that we and our affiliate companies (subject to the Tencent Cloud Terms of Service (including this Policy) and applicable laws and regulations):

(a)may be required to retain or disclose Your Content in order to: 

(i)comply with applicable laws or regulations; 

(ii)comply with a court order, subpoena or other legal process; 

(iii)respond to a lawful request by a government authority, law enforcement agency or similar government body (whether situated in your jurisdiction or elsewhere); or 

(iv)we believe it is reasonably necessary to comply with applicable laws or regulations, 
and, for each of the above sub-paragraphs, whether the relevant applicable law or regulation, legal process or government body is that of your jurisdiction or elsewhere; 

(b)may retain or disclose Your Content where we reasonably believe we should or must do so in order to protect our own or your legal rights; 

(c)may retain or disclose Your Content in association with the consideration, negotiation, or completion of a corporate transaction in which we or our affiliates acquire or are acquired by or merged with another company or we sell, liquidate, or transfer all or a portion of our assets; and 

(d)may be required to retain or disclose Your Content in order to enforce the Tencent Cloud Terms of Service or to protect any rights, property or safety of ours, of our affiliate companies or of other users of Tencent Cloud. 

## RETENTION AND DELETION OF YOUR CONTENT AND CUSTOMER PERSONAL INFORMATION

Subject to Section 9 above, we will store Your Content (and any Customer Personal Information forming part of Your Content) until the earlier of the following: 

(a)the time at which you choose to delete Your Content from Tencent Cloud, in which case we will (except where it is not technically feasible to do so) delete Your Content from Tencent Cloud within 30 days; or 

(b)within 30 days of the time at which we are entitled to delete Your Content in accordance with the Tencent Cloud Terms of Service (for example, where access to Tencent Cloud has been terminated by you or us for any reason). 
