## Introduction

At Tencent, we respect intellectual property rights and the owners of such rights. The Tencent Cloud Terms of Service require members to ensure that:

- they have the rights to upload any Content; 
- such Content do not infringe the rights of any third parties; and
- such Content do not infringe any applicable laws applicable laws or regulations.

This Policy sets out how we respond to alleged copyright infringements on Tencent Cloud. In addition, we may respond to alleged copyright infringements in accordance with the Tencent Cloud Terms of Service and applicable laws.

Please note that this Policy is in relation to alleged copyright infringements only. If you are concerned about alleged infringements of any other intellectual property rights or proprietary rights (e.g. trademarks), or any other alleged activities that breach the Tencent Cloud Terms of Service (e.g. inappropriate content), please refer to the Tencent Cloud Terms of Service (including the Tencent Cloud Acceptable Use Policy) or contact us at `cloudlegalenquiries@tencent.com`

If you have any questions about this Policy, please contact us at `cloudlegalenquiries@tencent.com`

## Summary of Notification and Counter-Notification process

In accordance with this Policy:

- if we receive a valid notification of alleged copyright infringement (the “Notification”), we will take reasonable steps to contact the party that uploaded to Tencent Cloud the relevant allegedly infringing material (the **"Material"**); and
- that uploading party may then submit a valid counter-notification in relation to the Notification (the **"Counter-Notification"**). 

Email submissions (either in the body of an email or as a pdf attached to an email) of Notifications and Counter-notifications are acceptable.  

Please note that we may provide copies of any Notifications or Counter-Notifications to any person where required by law or as otherwise reasonably required by us to protect our interests.

## Don’t make false submissions!

Please carefully consider any submission of a Notification or Counter-Notification, particularly if you are unsure whether you own (or are lawfully authorised to use) the relevant Material – we recommend contacting an attorney if this is the case. You may be subject to liability under law if you, in relation to a Notification or Counter-Notification, knowingly make a false submission or  make a submission in bad faith.

## To file a Notification

You must be the owner of the Material's copyright (or an agent of such copyright owner) in order to file a Notification in relation to such Material.

The Notification must be in writing, and must contain at least the following information in sufficient detail:

　　1.The copyrighted work that you believe has been infringed upon (i.e. describe the work that you own) and provide evidence reasonably satisfactory for us to determine that you (or your principal if you are an agent) are the owner of such copyrighted work.

　　2.The Material that you claim is infringing on your copyright, and provide information reasonably sufficient for us to identify and locate the Material within Tencent Cloud.

　　3.Include the following statement: "I believe in good faith that the use of the copyrighted content and contained on Tencent Cloud as described above is not authorized by the copyright owner, its agent, or by protection of law. I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner or am authorized to act on behalf of the owner of an exclusive right that is allegedly infringed".

　　4.Your address, telephone number or email address.

　　5.Sign the Notification (electronic signature is acceptable).

Please send any Notification to our Legal Officer via: 

- **email at** `cloudlegalenquiries@tencent.com`; or 
- **postal mail** at Level 29, Three Pacific Place, 1 Queen’s Road East, Wanchai, Hong Kong (Attention: Legal Department).

## To file a Counter-Notification

The Counter-Notification must be in writing, and must contain at least the following information in sufficient detail:

　　1.The Material that was removed by us, and where the Material appeared within Tencent Cloud before it was removed.

　　2.State that you consent to: (a) where your address is in the USA, the federal district court jurisdiction for your address; or (b) where your address is outside of the USA, the jurisdiction of any judicial district in which we may be found.

　　3.State that you will accept service of process from the original Notification provider.

　　4.Include the following statement: "I swear, under penalty of perjury, that I believe in good faith that the relevant content identified above was removed or disabled as a result of a mistake or misidentification of the content to be removed or disabled".

　　5.Your address, telephone number or email address.

　　6.Sign the Counter-Notification (electronic signature is acceptable).

Please send any Counter-Notification to our Legal Officer via:

- **email** at `cloudlegalenquiries@tencent.com`; or 
- **postal mail** at Level 29, Three Pacific Place, 1 Queen’s Road East, Wanchai, Hong Kong (Attention: Legal Department). 
