## 1.THESE TERMS AND TENCENT CLOUD

Welcome to Tencent Cloud! Your use of Tencent Cloud is subject to these Terms of Service (these "Terms"). Thank you for reviewing these Terms – we hope you enjoy using Tencent Cloud. 

**1.1 Application of and compliance with these Terms**

(a)Please review these Terms and our policies and instructions to understand how you can and cannot use Tencent Cloud. You must comply with these Terms in your use of Tencent Cloud and only use Tencent Cloud as permitted by (and in compliance with) applicable laws and regulations (including laws related to data privacy and protection), wherever you may be when you use Tencent Cloud. By using Tencent Cloud, you agree to these Terms. If you do not agree to these Terms, you must not use Tencent Cloud.

(b)These Terms apply only if you use Tencent Cloud anywhere in the world, via a Tencent Cloud Service Region located outside of the People's Republic of China. If you choose to use Tencent Cloud via a Tencent Cloud Service Region located inside the People's Republic of China, your use of Tencent Cloud will be governed by (and you will be contracting with the Tencent entity set out in) the terms set out at [https://cloud.tencent.com/document/product/301/1967](https://cloud.tencent.com/document/product/301/1967). Further details about how you select a Service Region for your use of Tencent Cloud is set out under Section 8 of the Privacy and Data Processing Policy. For the purposes of these Terms, "People's Republic of China" does not include Hong Kong Special Administrative Region of the People's Republic of China or Macau Special Administrative Region of the People's Republic of China. 

(c)In some countries, there are restrictions on your use of Tencent Cloud – it is your responsibility to ensure that you are legally allowed to use Tencent Cloud where you are located and that the data you wish to process and store in Tencent Cloud can legally and appropriately be processed and stored in Tencent Cloud. Please note that certain Tencent Cloud functionalities and features may not be available in some countries. 

(d)We are not responsible for complying with any laws or regulations applicable to: (i) the data that you store on Tencent Cloud; or (ii) you (or your industry), that in each case are not directly and specifically applicable to us. We do not review or determine whether any of Your Content includes any information that is subject to any specific applicable laws or regulations. 

(e)If you are under the age of 13, you must not use Tencent Cloud. If you are between the ages of 13 and 18 (or the relevant age in your jurisdiction where you are considered a minor), your parent or guardian must agree to these Terms (both for themselves and on your behalf) before you can use Tencent Cloud.

(f)If you are using Tencent Cloud on behalf of a company, partnership, association, government or other organisation (your "Organisation"), you represent and warrant that you are authorised to do so and that you are authorised to bind your Organisation to these Terms. In such circumstances, "you" will include your Organisation.

(g)We may translate these Terms into multiple languages. If there is any difference between the English version and any other language version of these Terms, the English version will apply (to the extent permitted by applicable laws and regulations).

**1.2 Our contracting entity for these Terms **

(a)By using Tencent Cloud, you are agreeing to be bound by these Terms between you and **Aceville Pte Ltd**, a Singaporean company located at 16 Collyer Quay, No. 1829, Level 18, Singapore 049318 (**"we"**, **"our"** and **"us"**). 

(b)We may specify in our Additional Terms and Policies (as detailed in Section 2 below) that you are contracting with a different Tencent affiliate company for Tencent Cloud services. Where this is the case, the relevant contracting entity will be identified in the relevant Additional Terms and Policies.

**1.3 "Tencent Cloud" **

For the purposes of these Terms, any reference to "Tencent Cloud" in these Terms refers to Tencent Cloud services provided by or on behalf of us or our affiliate companies from time to time, including the following: 

(a)all Tencent Cloud services made available to you by us (including at https://intl.cloud.tencent.com, https://console.cloud.tencent.com or any Tencent Cloud websites or software (e.g. mobile applications)); and

(b)all Tencent Cloud-related APIs made available by us.

**1.4 How we backup your data**

Even where you make a Data Location Selection for your use of Tencent Cloud, we may transfer and store your information for backup purposes in a location other than your Data Location Selection, but will always do so within the Service Region that your Data Location Selection is located in. We take steps to protect your information when we do this. Please refer to the Privacy and Data Processing Policy for further information (including the definitions of "Data Location Selection" and "Service Region"). 

**1.5 Contacting us**

If you have:

(a)any general questions about, or if you wish to send us any legal notices in relation to, these Terms – please contact us via:

(i)email – at cloudlegalenquiries@tencent.com; or 

(ii)postal mail – at Level 29, Three Pacific Place, 1 Queen’s Road East, Wanchai, Hong Kong (Attention: Legal Department); and

(b)any general questions about Tencent Cloud – please contact our Customer Support team via:

(i)phone – at +86 4009 100 100; or 

(ii)online – by creating a ticket within the Tencent Cloud console. 

## 2.ADDITIONAL TERMS AND POLICIES

Tencent Cloud contains a diverse range of services and features, so there are additional terms and policies (**"Additional Terms and Policies"**) that may be applicable to your use of all or part of Tencent Cloud. We will notify you of the Additional Terms and Policies from time to time, including as set out in this Section 2 and otherwise from time to time within Tencent Cloud. The Additional Terms and Policies notified to you from time to time all form part of and are incorporated into these Terms. 

**2.1Feature-specific terms**

Feature-specific terms apply to specific Tencent Cloud uses and features. We will notify you of such feature-specific terms from time to time within Tencent Cloud. 

**2.2Country-specific terms**

If you are a citizen or a habitual resident of any of the following countries, the following country-specific terms (as set out within these Terms) will also apply to your use of Tencent Cloud:

(a)USA; 

(b)the European Union; or

(c)Republic of Korea (i.e. South Korea). 

**2.3Policies**

You must comply with the following policies in using Tencent Cloud:

(a)[Privacy and Data Processing Policy ](https://cloud.tencent.com/document/product/301/9247) – which sets out how we collect, store and process Your Content. 

(b)[Tencent Privacy Policy](https://www.tencent.com/en-us/zc/privacypolicy.shtml) – which sets out how we collect, store and process your Personal Information (excluding Your Content).

(c)[Acceptable Use Policy](https://cloud.tencent.com/document/product/301/9245) – which sets out rules of good behaviour applicable to your use of Tencent Cloud. 

(d)[Copyright Policy](https://cloud.tencent.com/document/product/301/9246) – which sets out how we deal with copyright-related complaints. 

**2.4Inconsistencies **

Subject to applicable laws and regulations and, unless otherwise specified within these Terms or any Additional Terms and Policies, to the extent of any inconsistency between these Terms and any Additional Terms and Policies, the Additional Terms and Policies will apply to the extent of the relevant inconsistency. 

## 3.CHANGES TO THESE TERMS 

3.1 We may make changes to these Terms over time (for example, to reflect changes to Tencent Cloud or applicable laws and regulations), so please come back and review these Terms regularly.

3.2Where we consider that any changes to these Terms are material and materially adverse to you, we will (where reasonably practicable or required by law) notify you (within Tencent Cloud, via direct communication to you or by other means) prior to such changes becoming effective. 

3.3Changes to this Agreement will take effect immediately upon being posted online on the Tencent Cloud website. By continuing to use Tencent Cloud after we make any changes to these Terms, you are agreeing to be bound by the revised Terms.

## 4.CHANGES TO TENCENT CLOUD

4.1 As Tencent Cloud evolves, we may from time to time (and subject to any express terms to the contrary in these Terms): 

(a)add, change or remove features or services from Tencent Cloud (including in relation to whether a feature or service is free of charge or not); and/or

(b)suspend, discontinue or terminate Tencent Cloud altogether. 

You agree that we may take any such actions at any time. 

4.2 Where we consider that any changes to Tencent Cloud are material and materially adverse to you, we will (where reasonably practicable or required by law) notify you (within Tencent Cloud, via direct communication to you or by other means) prior to such changes becoming effective.

4.3By continuing to use Tencent Cloud after we make any changes to Tencent Cloud, you are agreeing to such changes to the Tencent Cloud service. 

## 5.YOUR ACCOUNT

5.1 You may need to create an account with us in order to access and use Tencent Cloud.

5.2 Any account that you open with us is personal to you and you are prohibited from gifting, lending, transferring or otherwise permitting any other person to access or use your account. Your account name, user ID and other identifiers you adopt within Tencent Cloud remains our property and we can disable, reclaim and reuse these once your account is terminated or deactivated for any reason.

5.3 You are responsible for: 

(a)safeguarding your account details, including any passwords used to access your account and Tencent Cloud; and 

(b)all use of Tencent Cloud under your account, including any purchases made and/or payment obligations arising under your account. 

You must promptly notify us (by contacting our Customer Support team) if you know or suspect that your password or account has been compromised. We will regard all use of your account on Tencent Cloud as being by you, except where we have received and acknowledged your notification to us regarding your account or password being compromised.

5.4We may allow you to register for and login to Tencent Cloud using sign-on functionalities provided by third party platforms, such as Facebook or Google. You agree to comply with the relevant third party platform's terms and conditions applicable to your use of such functionalities (in addition to these Terms). 

## 6.PAYMENTS 

6.1 You may, from time to time, make payments to us as part of your use of Tencent Cloud (including for the provision of Tencent Cloud or provision of certain additional features within Tencent Cloud), on a prepaid or postpaid basis (as set out within Tencent Cloud). We may set out further Additional Terms and Policies applying to such payments (including in relation to refunds (if any), billing arrangements and any consequences of failing to make timely payments). You must comply with all such terms in relation to your payments to us. You agree that you are solely responsible for all fees and taxes associated with any such payments, and that pricing and availability of features and products are subject to change at any time.

6.2 If you are paying charges to us on a prepaid basis – you will be charged the relevant amount for the prepaid period at the time of purchase as a single lump sum. 

6.3If you are paying us charges on a postpaid basis – we will invoice you on a monthly basis (unless another period is agreed with you) for any charges (or other amounts) incurred by you in relation to your use of Tencent Cloud during the previous month. You agree that:

(a)we will send all invoices to you via your Tencent Cloud account console; and

(b)you agree to pay all such invoiced amounts within 30 days from the date of the relevant invoice, using any of the payment methods that we allow you to use. 

6.4 If we do not receive your payment of any amounts due from you for any reason, we may terminate or suspend our provision of Tencent Cloud to you. 

6.5 We may, from time to time, make available to you payment methods for automatic, recurring or subscription-based charges. Where we do so, you agree that (subject to applicable laws and regulations): 

(a)such purchases or payments are generally made by you on an advance prepaid basis. We will notify you of all automatic renewals before they occur; 

(b)you authorise us to: 

(i)save your chosen payment method's information (e.g. credit card information) on our systems; and 

(ii)bill your chosen payment method for the relevant time-periods as authorised by you;

(c)if any payment made via your chosen payment method is rejected, denied, not received by us, or returned unpaid for any reason:

(i)we may suspend or terminate our provision of the relevant Tencent Cloud product or service until payment is properly processed; and 

(ii)you are liable to us for any fees, costs, expenses or other amounts we incur arising from such rejection, denial or return (and we may charge you for such amounts); and

(d)we will provide you with further instructions within Tencent Cloud regarding how you may update or cancel the relevant payment method. 

 6.6 We may change or introduce any charges for Tencent Cloud at any time after prior notice by publication within Tencent Cloud. Any such changed or introduced charges will apply to your use of Tencent Cloud (or relevant part of Tencent Cloud) immediately, except that: 

(a)if you are on a month-by-month Tencent Cloud subscription, as part of your next monthly billing cycle 14 days after such publication date has elapsed; and 

(b)if you are on a fixed-term Tencent Cloud subscription, at the conclusion of your then-current fixed term. If you do not accept such change to the charges, we may be unable to provide Tencent Cloud (or the relevant part of Tencent Cloud) to you after the expiry of your then-current fixed term.

6.7 SUBJECT TO:

(a)MANDATORY APPLICABLE LAWS AND REGULATIONS; OR 

(b)AS OTHERWISE SPECIFIED BY US IN THESE TERMS OR FOR A PARTICULAR ITEM OR SERVICE WITHIN TENCENT CLOUD, 
IN NO CIRCUMSTANCES WILL WE BE REQUIRED TO PROVIDE A REFUND FOR ANY PAYMENTS MADE BY YOU TO US IN RELATION TO ANY ITEMS OR SERVICE WITHIN TENCENT CLOUD (WHETHER USED OR UNUSED).

6.8 If you believe that we have charged you in error, and subject to applicable laws and regulations: 

(a)you must contact us within 30 days of the date of the relevant charge; and 

(b)no refunds will be given for any erroneous charges after such 30 days period.

6.9 We may process payments from you in Tencent Cloud via a third party service, and we may provide your relevant information to such third parties to process your payments. You agree to comply with that relevant third party's terms and conditions in relation to the payment processing service, as further set out in Section 16 below.  

## 7.YOUR CONTENT

7.1 When you submit, upload, transmit or display any data, information, media or other content in connection with your use of Tencent Cloud (“Your Content”): 

(a)we will only access and process Your Content for the purpose of providing you with Tencent Cloud in accordance with these Terms; and

(b)in relation to any Personal Information (as defined in the Tencent Cloud Privacy and Data Processing Policy) forming part of Your Content, we will only act as a data processor, data intermediary, vendor or service provider (if you are a business entity) or similar designation made under applicable laws and regulations for parties that only process Personal Information for the purposes instructed by others. 

7.2 You give us and our affiliate companies a non-exclusive, transferable, sub-licensable, royalty-free, worldwide licence to use Your Content only to provide Tencent Cloud (and the features and services within Tencent Cloud) to you. You do not otherwise grant us any rights in Your Content, except as otherwise agreed between you and us. 

7.3 In addition, you agree that we and our affiliate companies (subject to these Terms, our Tencent Cloud Privacy and Data Processing Policy and applicable laws and regulations):

(a)may be required to retain or disclose Your Content in order to: 

(i)comply with applicable laws or regulations; 

(ii)comply with a court order, subpoena or other legal process; 

(iii)respond to a lawful request by a government authority, law enforcement agency or similar government body (whether situated in your jurisdiction or elsewhere); or 

(iv)we believe it is reasonably necessary to comply with applicable laws or regulations, 
and, for each of sub-paragraphs (i) to (iv) above, whether the relevant applicable law or regulation, legal process or government body is that of your jurisdiction or elsewhere; 

(b)may retain or disclose Your Content where we reasonably believe we should or must do so in order to protect our own or your legal rights; 

(c)may retain or disclose Your Content in association with the consideration, negotiation, or completion of a corporate transaction in which we or our affiliate companies acquire or are acquired by or merged with another company or we sell, liquidate, or transfer all or a portion of our business assets; and 

(d)may be required to retain or disclose Your Content in order to enforce these Terms or to protect any rights, property or safety of ours, of our affiliate companies or of other users of Tencent Cloud. 

7.4 You acknowledge that even if you seek to delete Your Content from Tencent Cloud, it may as a technical and administrative matter take some time or not be possible to achieve this – for example, we may not be able to prevent any third party from storing or using any of Your Content that you have made public via Tencent Cloud. 

7.5 We reserve the right to block or remove (or require you to block or remove) Your Content for any reason, including as is, in our opinion, appropriate or as required by applicable laws and regulations or as otherwise in accordance with our Tencent Cloud Copyright Policy. 

## 8.Responsibility AND SECURITY for Your Content

8.1 You are solely responsible for Your Content. We are not responsible for maintaining a backup of Your Content – we recommend that you keep a back-up copy of it at all times. 

8.2 You, must at all times, ensure that: 

(a)you have the rights required to copy, process, transmit, access, publish, display and use Your Content, and to grant us and other third parties the rights as set out in these Terms; and 

(b)Your Content (and our use of Your Content in accordance with these Terms) does not infringe or violate any applicable laws or regulations or the rights of any person.

8.3 We will comply with any of our security and processing-related obligations as expressly set out in these Terms (including our Tencent Cloud Privacy and Data Processing Policy). Otherwise, we have no security, protection or processing-related obligations in relation to Your Content, and you are responsible for properly configuring Tencent Cloud and ensuring that Your Content is appropriately secured and protected.

## 9.Responsibility for End Users

9.1Where you, or any third party, directly or indirectly:
 
(a)accesses or uses Your Content; or

(b)otherwise accesses or uses Tencent Cloud under your account (collectively, you and such third parties being the "End Users"), 

you agree to the following:

(c)you are responsible for all End Users' access and use of Your Content and Tencent Cloud;

(d)you will ensure that all End Users comply with your obligations under these Terms and that any agreements you have with each End User are consistent with these Terms. If you become aware of any End Users not complying with your obligations under these Terms, you will immediately terminate such End User's access to Your Content and Tencent Cloud; 

(e)we do not make any representations or guarantees in relation to End Users' access or use of Your Content (including End Users being able to access or use Your Content at any time); and

(f)we will not provide any support services to any End Users, unless as otherwise agreed by us in writing. 

## 10.INFRINGEMENT OF COPYRIGHT

If you have a copyright-related complaint about any content posted within Tencent Cloud, please follow the instructions set out in our Tencent Cloud Copyright Policy. 

## 11.ADVERTISING CONTENT ON TENCENT CLOUD

11.1 Tencent Cloud may include advertising or commercial content. You agree that: 

(a)we may integrate, display and otherwise communicate advertising or commercial content in Tencent Cloud and that (where reasonably practicable) we will identify the commercial nature of such advertising or commercial content; and 

(b)we may use targeted advertising to try to make advertising more relevant and valuable to you. 

11.2All advertising or commercial content within Tencent Cloud will be provided in accordance with the Tencent Privacy Policy. 

## 12.OUR INTELLECTUAL PROPERTY RIGHTS


12.1 All intellectual property rights in or to Tencent Cloud or any software downloaded by you from us in connection with your use of Tencent Cloud (this software, together with any updates, upgrades and new versions to it from time to time and together with any APIs made available to you in connection with Tencent Cloud from time to time, being the "Tencent Cloud Software"), will continue to belong to us and our licensors. Except as expressly provided in these Terms, you have no right to use our intellectual property rights, including our trademarks or product names (for example, “Tencent”, “Tencent Cloud” or "WeChat"), logos, domain names or other distinctive brand features, without our prior written consent. Any comments or suggestions you may provide regarding Tencent Cloud are entirely voluntary and we will be free to use these comments and suggestions at our discretion (including using such comments to improve existing services or create new services) without any payment or other obligation to you. 

12.2 We grant you a limited, personal, non-exclusive, non-sublicensable, non-transferrable, royalty-free and revocable licence to use Tencent Cloud and any Tencent Cloud Software, solely in accordance with these Terms and subject to any other instructions as provided by us to you in relation to your use of Tencent Cloud and/or the Tencent Cloud Software, from time to time. 

12.3 You may not copy, modify, create derivative works, reverse compile, reverse engineer or extract source codes from Tencent Cloud or the Tencent Cloud Software, and you may not sell, distribute, redistribute or sublicense Tencent Cloud or the Tencent Cloud Software except, in each case, to the extent that we may not prohibit you from doing so under applicable laws and regulations or you have our prior written consent to do so. Where applicable laws and regulations entitle you to reverse compile or extract source codes from Tencent Cloud Software, you will first contact us to request the information you need.

12.4 We may, from time to time, provide updates to the Tencent Cloud Software. Such updates may occur automatically or manually. Please note that Tencent Cloud may not operate properly or at all if upgrades or new versions are not installed by you. We do not guarantee that we will provide any updates for any Tencent Cloud Software, or that such updates will continue to support your device or system. All updates to the Tencent Cloud Software are part of the Tencent Cloud Software and subject to these Terms, except as otherwise specified by us. 

12.5 For the purpose of these Terms, "Tencent Cloud Software" includes any APIs we make available to you for use in connection with Tencent Cloud or the Tencent Cloud Software. You must comply with any Additional Terms and Policies applicable to such APIs.

## 13.TECHNICAL SPECIFICATIONS AND SUPPORT

13.1 We will provide Tencent Cloud:

(a)in accordance with any technical specifications (including, if applicable, any Service Level Agreements that are applicable to the Tencent Cloud service you have procured), as expressly set out within Tencent Cloud; and

(b)otherwise, using reasonable care and skill.

13.2We will not provide any technical support for Tencent Cloud, unless separately agreed with you in writing. 

## 14.OPEN SOURCE SOFTWARE

Certain Tencent Cloud Software may contain software that is subject to "open source" licences (the "Open Source Software"). Where we use Open Source Software, please note that:

(a)there may be provisions in the Open Source Software's licence that expressly override these Terms, in which case such provisions will prevail to the extent of any conflict with these Terms; and

(b)we will credit the relevant Open Source Software used in Tencent Cloud Software within an Appendix to these terms and/or within the relevant Tencent Cloud Software. 

## 15.ACCESS TO YOUR DEVICE

15.1 In order for us to provide Tencent Cloud to you, we may require access to and/or use of your relevant device (e.g. mobile phone, tablet or desktop computer). For example, we may need to access your device's processor and storage to complete a Tencent Cloud Software installation, or we may need to access your contact list to enable content sharing functions within Tencent Cloud. 

15.2 We will provide further information regarding how Tencent Cloud accesses your device within Tencent Cloud or in another manner (e.g. via the relevant app store as part of the installation process for Tencent Cloud on your device). You agree to give us such access to your device for these purposes, and you acknowledge that if you do not provide us with such right of access, we may not be able to provide Tencent Cloud (or certain features within Tencent Cloud) to you.

15.3 You agree that we may use or access Personal Information (as defined in the Tencent Privacy Policy) within your device in the course of providing Tencent Cloud to you, and that any Personal Information that we use or access within your device will be treated in accordance with the Tencent Privacy Policy. 
 
## 16.THIRD PARTY SOFTWARE, CONNECTIVITY AND THIRD PARTY CHARGES

16.1You are solely responsible for any software (whether your own software or software supplied by third parties) used by you in connection with your use of Tencent Cloud ("Third Party Software").

16.2Please note that we are not responsible for and are not liable for any damages or losses arising from your use of the Third Party Software and we do not endorse, support or guarantee the quality, reliability or suitability of any Third Party Software.

16.3You must comply with any terms and conditions applicable to Third Party Software.

16.4We do not provide any technical support for any Third Party Software. Please contact the relevant supplying third party for such technical support.

16.5You will need an adequate internet connection in order to authenticate your Tencent Cloud account or use Tencent Cloud. You may also be required to activate certain functionalities within Tencent Cloud in the manner described within Tencent Cloud. You may not be able to use certain features within Tencent Cloud if you do not comply with such requirements. 

16.6Please note that we are not responsible for any third party charges you incur (including any charges from your internet and telecommunication services providers) in relation to or arising from your use of Tencent Cloud or Tencent Cloud Software.

## 17.WARRANTY AND DISCLAIMER

17.1IN SOME JURISDICTIONS (INCLUDING IN THE EUROPEAN UNION), CONSUMERS HAVE CERTAIN STATUTORY RIGHTS, INCLUDING IN RELATION TO THE PROVISION OF SERVICES. AS SUCH, SOME OF THE DISCLAIMERS IN THIS SECTION 17 MAY NOT APPLY TO YOU TO THE EXTENT SUCH STATUTORY RIGHTS MAY NOT BE EXCLUDED OR WAIVED UNDER THE LAWS OF YOUR JURISDICTION. 

17.2TO THE EXTENT PERMITTED BY APPLICABLE LAWS AND REGULATIONS, AND EXCEPT AS EXPRESSLY SET OUT OTHERWISE IN THESE TERMS, TENCENT CLOUD (INCLUDING ANY TENCENT CLOUD SOFTWARE) IS PROVIDED ON AN "AS IS" AND "AS AVAILABLE" BASIS AND NEITHER WE NOR ANY OF OUR AFFILIATE COMPANIES MAKE ANY REPRESENTATION OR WARRANTY OR GIVE ANY UNDERTAKING IN RELATION TO TENCENT CLOUD, ANY TENCENT CLOUD SOFTWARE OR ANY DATA, MEDIA OR OTHER CONTENT SUBMITTED, UPLOADED, STORED, TRANSMITTED OR DISPLAYED BY TENCENT CLOUD, INCLUDING: 

(a)ANY REPRESENTATION, WARRANTY OR UNDERTAKING THAT TENCENT CLOUD OR TENCENT CLOUD SOFTWARE WILL BE UNINTERRUPTED, SECURE OR ERROR-FREE OR FREE FROM VIRUSES; 

(b)THAT TENCENT CLOUD OR TENCENT CLOUD SOFTWARE WILL BE COMPATIBLE WITH YOUR NETWORKS, SYSTEMS, APPLICATIONS, HARDWARE OR DEVICES; OR 

(c)THAT TENCENT CLOUD OR TENCENT CLOUD SOFTWARE WILL BE OF MERCHANTABLE OR REASONABLE QUALITY, FIT FOR A PARTICULAR PURPOSE OR NOT INFRINGE THE INTELLECTUAL PROPERTY RIGHTS OF ANY PERSON. 

TO THE EXTENT PERMITTED BY APPLICABLE LAWS AND REGULATIONS, YOU WAIVE ANY AND ALL IMPLIED REPRESENTATIONS, WARRANTIES AND UNDERTAKINGS.

## 18.LIABILITY FOR TENCENT CLOUD 

18.1THE TOTAL AGGREGATE LIABILITY OF US AND OUR AFFILIATE COMPANIES FOR ALL CLAIMS ARISING OUT OF OR IN CONNECTION WITH THESE TERMS OR TENCENT CLOUD (INCLUDING ANY TENCENT CLOUD SOFTWARE), WHETHER ARISING IN CONTRACT, TORT (INCLUDING NEGLIGENCE) STATUTORY DUTY OR OTHERWISE, WILL BE LIMITED TO THE GREATER OF THE FOLLOWING AMOUNTS: 

(a)THE CHARGES THAT YOU HAVE PAID TO US FOR YOUR USE OF TENCENT CLOUD OR TENCENT CLOUD SOFTWARE TO WHICH THE CLAIM RELATES IN THE 6 MONTHS IMMEDIATELY PRECEDING THE DATE ON WHICH THE EVENT GIVING RISE TO THE CLAIM AROSE; AND 

(b)USD100 (ONE HUNDRED US DOLLARS).

18.2SUBJECT TO SECTION 18.4, WE AND/OR ANY OF OUR AFFILIATE COMPANIES WILL NOT BE LIABLE FOR ANY OF THE FOLLOWING (EXCEPT THAT IN JURISDICTIONS WHERE SOME TYPES OF EXCLUSIONS OF LIABILITY ARE NOT PERMITTED IN RELATION TO CONSUMER CONTRACTS, WE ARE RESPONSIBLE TO CONSUMERS ONLY FOR LOSSES AND DAMAGES THAT ARE A REASONABLY FORESEEABLE CONSEQUENCE OF US BREACHING THESE TERMS): 

(a)IN CONNECTION WITH THESE TERMS OR TENCENT CLOUD OR TENCENT CLOUD SOFTWARE, FOR ANY DAMAGES OR LOSSES CAUSED BY:
 
(i)ANY NATURAL DISASTER SUCH AS FLOODS, EARTHQUAKES OR EPIDEMICS; 

(ii)ANY ACT OF WAR, TERRORISM, RIOT, REVOLUTION OR OTHER DISRUPTIVE CIVIL OR GOVERNMENT ACTION BEYOND OUR REASONABLE CONTROL; 

(iii)ANY COMPUTER VIRUS, TROJAN HORSE OR OTHER DAMAGE CAUSED BY MALWARE OR HACKERS; 

(iv)ANY MALFUNCTION OR FAILURE OF OUR SOFTWARE, SYSTEM, HARDWARE OR CONNECTIVITY ARISING FROM CIRCUMSTANCES OUTSIDE OUR CONTROL OR YOUR SOFTWARE; 

(v)ANY MALFUNCTION OR FAILURE OF YOUR NETWORKS, SOFTWARE, SYSTEMS, HARDWARE OR CONNECTIVITY;

(vi)FAILURE TO SAVE OR BACK UP ANY DATA OR OTHER CONTENT; 

(vii)IMPROPER OR UNAUTHORISED USE OF TENCENT CLOUD OR TENCENT CLOUD SOFTWARE; 

(viii)YOUR USE OF TENCENT CLOUD OR TENCENT CLOUD SOFTWARE IN BREACH OF THESE TERMS; OR 

(ix)ANY REASONS BEYOND OUR REASONABLE CONTROL OR PREDICTABILITY; 

(b)ANY INDIRECT, SPECIAL, CONSEQUENTIAL, EXEMPLARY OR PUNITIVE DAMAGES OR LOSSES; AND/OR 

(c)ANY LOSS OF USE, LOSS OR INTERRUPTION OF BUSINESS, LOSS OF REVENUES, LOSS OF PROFITS, LOSS OF ANTICIPATED SAVINGS, LOSS OF GOODWILL, LOSS OF CONTENT OR LOSS OF DATA.

18.3Nothing in this Agreement limits or excludes any of the following liabilities of either Party:  

(a)any liability for fraud or fraudulent misrepresentation;

(b)any liability for negligently caused death or personal injury;  or

(c)for any other liability to the extent that such other liability cannot be waived, limited or excluded under applicable laws and regulations. 

18.4NOTWITHSTANDING ANY OTHER PROVISIONS OF THESE TERMS, NOTHING IN THESE TERMS LIMITS OR EXCLUDES ANY OF YOUR STATUTORY RIGHTS IN YOUR JURISDICTION (INCLUDING ANY RIGHTS UNDER APPLICABLE CONSUMER PROTECTION REGULATION), TO THE EXTENT SUCH STATUTORY RIGHTS MAY NOT BE EXCLUDED OR WAIVED UNDER APPLICABLE LAWS AND REGULATIONS. 

18.5YOU AGREE THAT YOU (AND YOUR ORGANISATION, IF YOU ARE USING TENCENT CLOUD OR TENCENT CLOUD SOFTWARE ON BEHALF OF SUCH ORGANISATION) INDEMNIFY US AND OUR AFFILIATE COMPANIES FROM AND AGAINST ANY CLAIM, SUIT, ACTION, DEMAND, DAMAGE, DEBT, LOSS, COST, EXPENSE (INCLUDING LITIGATION COSTS AND ATTORNEYS’ FEES) AND LIABILITY ARISING FROM: 

(a)YOUR CONTENT; 

(b)YOUR USE OF TENCENT CLOUD OR TENCENT CLOUD SOFTWARE IN BREACH OF THESE TERMS; 

(c)END USER'S USE OF TENCENT CLOUD OR TENCENT CLOUD SOFTWARE IN BREACH OF THESE TERMS; OR

(d)ANY OTHER BREACH BY YOU OF THESE TERMS. 

## 19.NO LIABILITY FOR THIRD PARTIES

19.1As set out in Section 16 of these Terms, various third parties may provide certain content, services or software within Tencent Cloud.

19.2THESE TERMS GOVERN THE RELATIONSHIP BETWEEN YOU AND US (AND, WHERE RELEVANT, OUR AFFILIATE COMPANIES). YOUR DEALINGS WITH ALL THIRD PARTIES (INCLUDING THOSE FOUND THROUGH, PROMOTED THROUGH, ACCESSED VIA HYPERLINK THROUGH OR OTHERWISE THROUGH TENCENT CLOUD), ARE SOLELY BETWEEN YOU AND THE RELEVANT THIRD PARTY. SUBJECT TO MANDATORY APPLICABLE LAWS AND REGULATIONS, WE AND OUR AFFILIATE COMPANIES HAVE NO LIABILITY TO YOU IN RELATION TO ANY THIRD PARTIES (INCLUDING ANY CONTENT, SERVICES OR SOFTWARE PROVIDED BY SUCH THIRD PARTIES WITHIN TENCENT CLOUD), NOTWITHSTANDING YOUR ENGAGEMENT WITH ANY SUCH THIRD PARTIES THROUGH TENCENT CLOUD.

## 20.SUSPENSION AND TERMINATION

20.1These Terms will apply to your use of Tencent Cloud until your access to Tencent Cloud is terminated by either you or us.

20.2You may terminate your Tencent Cloud account at any time by providing us with notice and closing your account for all Services for which this mechanism is available.

20.3We may suspend or terminate your access to your account or any or all of Tencent Cloud: 

(a)if we reasonably believe that you have breached these Terms; 

(b)if your use of Tencent Cloud creates risk for us or for other users of Tencent Cloud, gives rise to a threat of potential third party claims against us or is potentially damaging to our reputation; 

(c)if you fail to use Tencent Cloud for a prolonged period; 

(d)if such suspension or termination is required due to applicable laws and regulations; or 

(e)for any other reason in our sole and absolute discretion. 

Where reasonably practicable, we will give you notice of any suspension or termination.

20.4Consequences of suspension

If we suspend your access to any or all of Tencent Cloud:

(a)you remain responsible for all charges accrued through the date of suspension (including where the charges were incurred before suspension date but performance of the relevant obligations were after the suspension date);

(b)you remain responsible for any applicable charges for any part of Tencent Cloud to which you continue to have access; and

(c)you will not be entitled to any service credits under any applicable Service Level Agreement for any period of suspension. 

20.5Consequences of termination

(a)If your access to Tencent Cloud is terminated (in whole or in part) by you or us, you agree that:

(i)all of your rights under these Terms will terminate;

(ii)you remain responsible for all charges accrued through the date of termination (including where the charges were incurred before termination date but performance of the relevant obligations were after the termination date); and

(iii)you will immediately: (1) permanently delete all copies of Tencent Cloud Software to which the termination relates; and (2) cease accessing and using any such Tencent Cloud Software. 

(b)You agree that following termination of these Terms:

(i)we will only retain and use Your Content in accordance with the relevant express provisions of these Terms (including Section 10 of the Tencent Cloud Privacy and Data Processing Policy); and

(ii)otherwise, we do not make any representation or guarantee that we will be able to 
return any of Your Content back to you and we may permanently delete Your Content without notice to you at any time after termination. 

(c)Please ensure that you regularly back up Your Content.

## 21. CONFIDENTIAL INFORMATION

You may use any Confidential Information we provide to you for the sole purpose of you using Tencent Cloud as permitted under these Terms, and you will not otherwise use or disclose any such Confidential Information. You will take all reasonable measures to protect our Confidential Information, including, at a minimum, those measures you take to protect your own confidential information of a similar nature. You will not misrepresent the relationship between us or express or imply any relationship or affiliation between us and you or any other person or entity (including implying that we sponsor you in any way), except as expressly permitted by these Terms. "Confidential Information" for the purposes of these Terms means any information disclosed by us (or our affiliate companies or agents) to you (or your affiliate companies or agents) that is designated as confidential or that, given the nature of the information or circumstances surrounding its disclosure, reasonably should be understood to be confidential. 

## 22.GENERAL

22.1These Terms set out the entire agreement between you and us in relation to Tencent Cloud and Tencent Cloud Software – you agree that you have not relied on, and will have no claim against us for, any statement which is not explicitly set out in these Terms. The words "include" and "including" are to be construed without limitation. The invalidity of any provision of these Terms (or parts of any provision) will not affect the validity or enforceability of any other provision (or the remaining parts of that provision). If a court holds that we cannot enforce any part of these Terms as drafted, we may replace those terms with similar terms to the extent enforceable under applicable laws and regulations, without changing the remaining terms of these Terms. No delay in enforcing any provision of these Terms will be construed to be a waiver of any rights under that provision. Any rights and obligations under these Terms which by their nature should survive, including any obligations in relation to the liability of or indemnities (if any) given by the respective parties, will remain in effect after termination or expiration of these Terms. 

22.2No person other than you and us will have any right to enforce these Terms, whether pursuant to the Contracts (Rights of Third Parties) Ordinance, any other statutory rights in your jurisdiction or otherwise. You may not delegate, assign or transfer these Terms or any rights or obligations under these Terms without our prior written consent. We may freely assign or transfer these Terms or our rights and obligations under these Terms, in whole or in part, without your prior consent or prior notice to you. We may freely sub-contract any part of our performance of these Terms at any time, without your consent or any notice to you. 

## 23.GOVERNING LAW AND DISPUTE RESOLUTION

Except to the extent that:
 
(a)any applicable additional terms incorporated into these Terms provide differently; or 

(b)the applicable laws and regulations of your jurisdiction mandate otherwise (for example, you may have statutory rights in your jurisdiction in relation to bringing or defending claims in a local court (including small claims court)),

the following terms apply: 

(c)these Terms and any dispute or claim arising out of or in connection with these Terms will be governed by the law of the Hong Kong Special Administrative Region; and

(d)any dispute, controversy or claim (whether in contract, tort or otherwise) arising out of, relating to, or in connection with these Terms, including their existence, validity, interpretation, performance, breach or termination, will be referred to and finally resolved by arbitration administered by the Hong Kong International Arbitration Centre under the Hong Kong International Arbitration Centre Administered Arbitration Rules in force when the Notice of Arbitration is submitted. The seat of the arbitration will be Hong Kong. There will be one arbitrator only. The arbitration proceedings will be conducted in English.


## TENCENT CLOUD TERMS OF SERVICE (USA-SPECIFIC TERMS)

If you are a user of Tencent Cloud in the United States of America, the below Additional Terms and Policies: (a) are incorporated into these Terms; (b) apply to your use of Tencent Cloud; and (c) override the head terms of these Terms to the extent of any inconsistency.

If you are a user of Tencent Cloud in the United States of America, the following terms expressly replace Section 23 of these Terms.
 
Any dispute, controversy or claim (whether in contract, tort or otherwise) between us and you, arising out of, relating to, or in connection with these Terms will be governed by and take effect in accordance with the laws of California. You and we irrevocably consent to the exclusive jurisdiction and venue of the state or federal courts of California, for all disputes arising out of or relating to these Terms that are heard in court (excluding arbitration). 

EACH OF THE PARTIES HERETO IRREVOCABLY WAIVES ANY AND ALL RIGHT TO TRIAL BY JURY OR TO PARTICIPATE IN A CLASS ACTION IN ANY LEGAL PROCEEDING ARISING OUT OF OR RELATING TO THESE TERMS OR THE TRANSACTIONS CONTEMPLATED HEREBY.

In the event of a dispute, you and we agree to try for sixty (60) days to resolve it informally. If you and we are unable to come to informal resolution within sixty (60) days, you and we agree to binding individual arbitration before the American Arbitration Association ("AAA") under the Federal Arbitration Act ("FAA") (with such arbitration to be conducted under the AAA's Commercial Arbitration Rules), and not to sue in court in front of a judge or jury. Instead, a neutral arbitrator will decide and the arbitrator’s decision will be final except for a limited right of appeal under the FAA. Class action lawsuits, class-wide arbitrations, private attorney-general actions, and any other proceeding where someone acts in a representative capacity are not allowed, and nor is combining individual proceedings without the consent of all parties. These Terms govern to the extent they conflict with the AAA’s Commercial Arbitration Rules or Consumer Arbitration Rules. You and we must file in arbitration any claim or dispute (except intellectual property disputes) within one year from when it first could be filed. If the class action waiver is found to be illegal or unenforceable as to all or some parts of a dispute, then those parts will not be arbitrated but will proceed in court, with the rest proceeding in arbitration. If any other provision of these provisions regarding arbitration is found to be illegal or unenforceable, that provision will be severed but the rest of these provisions regarding arbitration will still apply.

If you are a California resident, then (except to the extent prohibited by applicable laws and regulations) you agree to waive California Civil Code Section 1542, and any similar provision in any other jurisdiction (if you are a resident of such other jurisdiction), which states: "A general release does not extend to claims which the creditor does not know or suspect to exist in his favour at the time of executing the release, which, if known by him must have materially affected his settlement with the debtor".


## TENCENT CLOUD TERMS OF SERVICE (EUROPEAN UNION-SPECIFIC TERMS)
If you are a user of Tencent Cloud in the European Union, and you are a natural person who is acting for purposes which are outside your trade, business, craft or profession as defined under the EU Directive 2011/83/EU on consumer rights, the below Additional Terms and Policies: (a) are incorporated into these Terms; (b) apply to your use of Tencent Cloud; and (c) override the head terms of these Terms to the extent of any inconsistency.

**Right of withdrawal**

(a)You have the right to withdraw from these Terms within 14 days without giving any reason.

(b)The withdrawal period will expire after 14 days from the day of the signing of the contract.

(c)To exercise the right of withdrawal, you must notify us (within the 14-day period referenced in paragraph (b) above) of your decision to withdraw from these Terms by: (i) an unequivocal statement; and (ii) notifying our Customer Support team via the contact details set out at Section 1.5(b) of these Terms. You may use the below model withdrawal form, but it is not obligatory.

(d)To meet the withdrawal deadline, it is sufficient for you to send your communication concerning your exercise of the right of withdrawal before the withdrawal period has expired.

**Effects of withdrawal**

(a)If you withdraw from these Terms, we will reimburse to you all payments received from you, including the costs of delivery (with the exception of the supplementary costs resulting from your choice of a type of delivery other than the least expensive type of standard delivery offered by us), without undue delay and in any event not later than 14 days from the day on which we are informed about your decision to withdraw from these Terms. We will carry out such reimbursement using the same means of payment as you used for the initial transaction, unless you and we have expressly agreed otherwise; in any event, you will not incur any fees as a result of such reimbursement.
(b)If you requested to begin the performance of services during the withdrawal period, you will pay us an amount which is in proportion to what has been provided until you have communicated us your withdrawal from these Terms, in comparison with the full coverage of the contract.

**Model withdrawal form**
—
To: Aceville Pte Ltd, 16 Collyer Quay, No. 1829, Level 18, Singapore 049318
—
I hereby give notice that I withdraw from my contract for the provision of the following service,
—
Ordered on (1)/received on (1),
—
Name of consumer(s),
—
Address of consumer(s),
—
Signature of consumer(s) (only if this form is notified on paper),
—
Date

<sup>(1)</sup>Delete as appropriate.

**Dispute Resolution**

Notwithstanding Section 23(d) of these Terms – any dispute, controversy or claim (whether in contract, tort or otherwise) between us and you, arising out of, relating to, or in connection with these Terms will be referred to and finally resolved by the court of your place of residence or domicile.

## TENCENT CLOUD TERMS OF SERVICE (SOUTH KOREA-SPECIFIC TERMS)

If you are a user of Tencent Cloud in the Republic of Korea (i.e. South Korea), the below Additional Terms and Policies: (a) are incorporated into these Terms; (b) apply to your use of Tencent Cloud; and (c) override the head terms of these Terms to the extent of any inconsistency.

The following terms apply to you if you are a consumer as defined under the Act on Consumer Protection in Electronic Commerce.

**Cancellation period**

Upon purchasing any service or feature of Tencent Cloud, you may cancel your purchase or order within 7 days from the date of your receipt of notice regarding the purchase or order, by notifying (within such 7 days period) our Customer Support team via the contact details set out at Section 1.5(b) of these Terms; provided that if you have already used the relevant service or feature of Tencent Cloud, we may refund the amount paid by you after deducting the relevant fees for such service or feature used, as calculated on a daily basis up to the date of your cancellation or cessation of use, as the case may be. 

**Suspension of your account **

We will only suspend or terminate your Tencent Cloud account if we have a legitimate reason for doing so, and we will give you 30 days' notice unless we are unable to do so (e.g. for legal reasons).

If you do not use your Tencent Cloud account for a period of at least 6 months, we may suspend or terminate your account, but we will give you at least 30 days' notice before doing so.

**Prepaid charges**

You may request a refund of prepaid charges (or a relevant proportion of prepaid charges) where a material functional error or technical failure occurs in the provision of Tencent Cloud, such that the functional error or technical failure makes it impossible or substantially disruptive to accomplish the original purposes of using Tencent Cloud.

**Erroneous charges**

If you believe that we have charged you in error: (a) you may contact us to claim for a refund of the allegedly erroneous charge; and (b) we will refund the erroneous charges if we determine that there have been any such erroneous charges after reviewing your claim/request.
