# 黑石物理服务器 SLA

## 业务描述
由腾讯云提供的物理服务器(Cloud Physical Machine)按需购买、按量付费的裸金属云服务，并提供完整的物理服务器管理功能，具体包括购买，续费，格式化、重置操作密码、改名、重启、开机、关机、重装系统、带外管理等。

## 数据可销毁性
在用户要求删除数据或设备在弃置、转售前，腾讯云将采取磁盘低级格式化操作彻底删除磁盘上的所有数据，并无法复原，设备报废时，磁盘将进行消磁。

## 数据私密性
腾讯云通过配置网络策略，实现租户隔离，归属同一用户的黑石物理服务器才能内网互通，归属不同用户的黑石物理服务器不能互访。

## 数据知情权
- 用户购买黑石物理服务器时可根据需求选择已有数据中心购买服务器。 
- 用户已知的数据中心均遵守的当地的法律和中华人民共和国相关法律。 
- 用户所有数据不会提供给任意第三方，除政府监管部门监管审计需要。 
- 用户所有数据不会存在国外数据中心或用于国外业务或数据分析。


## 数据可审查性
腾讯云在依据现有法律法规体系下，出于配合政府监管部门的监管或安全取证调查等原因的需要，在符合流程和手续完备的情况下，可以提供黑石物理服务器相关信息，包括关键组件的运行日志、运维人员的操作记录、用户操作记录等信息。

## 服务器可用性定义
服务器可用性是指服务器硬件在服务周期内发挥其应有功能的时间占总服务时长的比值。
不包括由以下原因所导致的服务器不可用：</br>

-  腾讯云预先通知客户后进行系统维护所引起的，包括割接、维修、升级和模拟故障演练；  
-  腾讯云正确执行客户授权的操作所引起的；
-  客户的应用程序或者安装活动所引起的；
-  客户要求置入的外置设备所引起的； 
-  服务器的正常操作，包括但不仅限于操作系统安装、重装、修改 BIOS、服务器关机、重启造成的服务器无法连通;
-  得到客户授权后的服务器硬件故障修复，包括取得客户授权的时间；
-  冗余配置的硬件单点故障但未影响客户业务,包括但不限于多网卡 bonding 中的单块网卡故障、进行了存储冗余配置的磁盘组单块磁盘故障。
-  因客户内容违反法律法规被监管部门要求配合停机；
-  因不可抗力（参见腾讯云服务协议第十条）所引起的。

## 服务器可用性承诺

黑石承诺 99.9% 的可用性。 </br>

不可用指黑石服务器发生无冗余硬件故障，需要停机维护的状态。
可用时长计算 = （所有服务器的总可用时长）/(当月所有服务器总使用时长)
假设甲方购买乙方 100 台黑石物理服务器，即`当月可用时长 =100*24*30*99.9%=71928 小时` ；即存在`100*24 30 (1- 99.9% ) =72 小时`的不可用时长。

## 故障通知

<table>
<tr>
<td>故障类型</td>
<td>场景</td>
<td>通知时限</td>
</tr>



<tr>
<td>RAID 卡故障</td>
<td>带 RAID 机器出现电池故障或者电池丢失，出现 Cache 丢失或者 Cache 故障</td>
<td rowspan="12">1 小时</td>
</tr>

<tr>
<td rowspan="2">硬盘故障</td>
<td>HP 阵列卡物理硬盘即将故障; RAID 机器出现硬盘掉线或者故障，导致逻辑阵列处于降级状态; RAID 机器出现逻辑阵列失败，逻辑盘离线</td>

</tr>

<tr>
<td>NoRaid 机器检测到硬盘有少量坏块可修复或者硬盘健康检查失败; NoRaid 机器出现磁盘掉线，磁盘读写错误，磁盘读写超时</td>
</tr>

<tr>
<td>SSD 硬盘故障</td>
<td>检测到 SSD 硬盘故障,SSD 硬盘老化过快或者寿命耗尽; SSD 硬盘坏块率过高或盘片温度过高</td>
</tr>

<tr>
<td>电源故障(有冗余)</td>
<td>eventlog 检测到电源模块故障或者通过 sdr 检测到电源状态异常</td>
</tr>

<tr>
<td>风扇故障</td>
<td>eventlog 检测到风扇模块故障或者通过 sdr 检测到风扇数据异常</td>
</tr>

<tr>
<td>网卡故障</td>
<td>检测到网卡降级，则发出告警</td>
</tr>

<tr>
<td rowspan="2">内存故障</td>
<td>检测到机器内存容量减少，或通过 crashdump 检测到内存硬盘故障，MCE 故障，NMI 故障</td>
</tr>

<tr>
<td>通过 eventlog 检测到内存 uncorrectable ecc error，则发出告警</td>
</tr>

</table>

- 	通知时限，指通知到达客户的最长时间
- 	通知方式包括：包括但不仅限于短信、自动语音
- 	以上故障通知时限可在安装腾讯云指定 Agent 的前提下保证，如未安装、安装后卸载、禁用 Agent，则通知时限不按上述描述

## 故障恢复能力及时间
腾讯云提供 7 x 24 小时的运维服务，借助基础的服务器监控与诊断技术，能自动发现服务器的各类故障，并在第一时间自动触发修复流程，通过整合先进的远程管控工具，自动调度 IDC 现场以及厂商资源，恢复服务器故障。某些故障的恢复需取得客户授权。
针对服务器硬件故障恢复时间，腾讯云作出以下承诺：

<table>
<tr>
<td>故障类型</td>
<td>恢复时长</td>
<tr>

<tr>
<td>服务器硬件故障</td>
<td>99% 的故障发生后7小时内修复（7*24小时）</td>
<tr>
</table>

-  恢复时长，不包括取得客户授权所花费的时间
-  如果未安装黑石指定的监控及排障 agent , 不做上述修复时间承诺

## 质量问题
交付指甲方通过腾讯云官网或者黑石服务器云 API 购买的黑石服务器后，由乙方完成基础设施环境初始化、安装操作系统等工作，并最终向甲方交付处于【运行中】状态的黑石服务器的过程。
乙方向甲方交付黑石服务器后，甲方首次即无法登录使用，经双方诊断并认可，如属于乙方原因造成的，则认为是乙方交付质量问题。

## 补偿标准原则
故障时间=故障解决时间-故障开始时间。按分钟计算故障时间，故障时间小于 1 分钟的按 1 分钟计算。例如，故障时间为 1 分 01 秒，按 2 分钟算。
延长发生故障服务器的使用时长，延长时间=故障时间*100。
