## What is Cloud Account?

Each user registered with Tencent Cloud will be assigned with a cloud account. Users can manage cloud costs with this account, such as topping up account, buying Tencent Cloud services using the account balance, etc.
Post-paid payment is supported for Tencent Cloud's international products.


**Post-paid** payment is based on a "Pay by Usage" model, which means no amount is deducted from the account balance when the resource is purchased and system determines the amount to be frozen depending on the resource purchased. For more information, refer to [Rules on Freezing Account Balance](/document/product/555/7719). The deduction from the account balance is performed in the monthly settlement based on the actual usage. If the user's cloud account balance <= 0, the user must top it up before purchasing the cloud service resources. 

## Go to the Cloud Account Management Page

After entering the "Cost Center", creator and collaborator in a finance management role can see the cloud account amount and sub-account balance in the "Account Information".

For the purpose of protection of sensitive data, only the creator and collaborator with finance permission are allowed to check and manage their cloud account on the "Cost Center" page.

![](//mc.qcloudimg.com/static/img/93bd5741892964e81bdbc29ad15350c5/%7B6D6378A2-DC89-445F-9867-C71FB8FC2377%7D.png)

The terms about sub-account are as follows:
<table class="t">
<tbody><tr>
<th width="150">Term
</th><th> Description
</th></tr>
<tr>
<td> Available Balance
</td><td> The balance that can be used to apply for the cloud services.<br>
<p>In the settlement, the fee is preferably deducted from the complimentary account, and then from the topped-up account (No revenue is generated on Tencent Cloud platform, so the revenue account balance is 0)<br><br>
Available balance = (Topped-up account balance + complimentary account balance) - (frozen amount + deduction amount)<br>
Note:<br>
Frozen amount is generated on the settlement date or when the user applies for cloud services, and the deduction amount on the settlement date. For more information, refer to the descriptions of freezing, deduction, and freezing on settlement date in the <a href="/document/product/555/7437" title="Billing Process">Billing Process</a>.
</p>
</td></tr>
<tr>
<td> Topped-up Balance
</td><td> Balance of topped-up account.<br>
<p>Users need to top up the account by means of offline bank transfer in the cloud account top-up page in cost center. (Online payment will be available soon)<br>For more information, refer to <a href="/document/product/555/7425" title="Top Up">Top Up</a>.
</p>
</td></tr>
<tr>
<td> Revenue Balance
</td><td> Balance of revenue account.<br>
<p>Revenue generated from an open platform can be transferred to Tencent Cloud as a cloud fee, but it is not invocable.
</p>
</td></tr>
<tr>
<td> Complimentary Balance
</td><td> Balance of complimentary account offered by the platform.<br>
<p>After the user obtains and activates a voucher, the amount of the voucher will be credited to the complimentary account.<br>
Note: The amount of complimentary cloud account is totally offered by platform for free, and is equal to the balance of complimentary account.<br>
</p>
</td></tr>
<tr>



