## 退货退款说明

### 一、五天无理由退货退款说明
单个账号每个预付费云产品自购买之日起五天内（含五天），享受一次五天无理由退款机会，详细退款策略如下：
- 用户线上发起的第一笔退款如新购时长 ≤五天，默认支持五天无理退款；
- 对于单个帐号，每个产品只能退还 1 个实例，如：产品CVM，其中包含20个服务，最多只能退还其中1个服务（支持五天无理由退款的产品请参考[支持产品](https://cloud.tencent.com/document/product/555/7440#.E4.BA.8C.E3.80.81.E5.8F.91.E8.B5.B7.E5.B7.A5.E5.8D.95.E9.80.80.E6.AC.BE)）；
- 购买时使用的代金券不支持退，购买使用的非代金券部分原路返回；
- 后付费购买的设备，切换到预付费不支持五天无理由退款；
- 针对设备类产品，如果网络计费模式从按带宽计费切换为按流量计费，仅退还主机和网络剩余费用；
- 如出现疑似异常/恶意退货，腾讯云有权否决退货申请。



### 二、普通退货退款说明
预付费云产品自购买之日起五天内（含五天），不满足五天无理由退货退款规则的退货订单，退款策略如下：

#### 按量计费资源退货
按量计费模式直接清退资源，如有冻结费用则进行解冻。

#### 包年包月资源退货
- 购买使用的代金券不退，购买使用的非代金券部分统一返还通用代金券，代金券有效期二年（自发放之日起）；
- 计费模式切换已退款资源，发起退款则不重复计算；
- 单价和折扣按照系统当前的优惠为准，购买使用的折扣在整个计算过程仍然适用；
- 针对设备类产品，如果网络计费模式从按带宽计费切换为按流量计费，仅退还主机和网络剩余费用；
- 如出现疑似异常/恶意退货，腾讯云有权否决退货申请。

>退款金额 = 当前有效订单金额（使用折扣和代金券后的金额） + 未开始订单金额 - 资源已使用价值
发起退费的当天已满整月的按整月扣除，不满整月的按量计费扣除


### 三、降配退款说明
腾讯云支持两种降配策略，具体的降配策略请查看产品介绍页说明。
1.降配折算时长

2.降配退代金券
资源降配遵循先清退再买原则，退款金额 = 资源清退退款 - 资源新购费用
统一退全产品通用代金券，代金券有效期二年（自发放之日起）。



## 退货退款方式

### 一、自助退款
办理退货前，请先确定是否满足退货说明的条件，且请确保数据已迁移。退货完成后，系统会立即清除您退还的云服务器、云数据库资源。

#### 支持产品
云服务器

#### 退货流程
以云服务器为例，流程如下：

1.进入云服务器产品资源控制台，选择对应资源，点击销毁。
![](https://mc.qcloudimg.com/static/img/995a8d36b3b6db6e129010b9dd64ff18/image.png)

2.请仔细阅读对应资源销毁的注意事项，点击确认进入核对退款信息。
![](https://mc.qcloudimg.com/static/img/004c9ed7dd5f88fabe1cf16479cbb2a0/image.png)

3.核对退款信息，点击确认退款提交申请。
![](https://mc.qcloudimg.com/static/img/d48f48431e27b49306223fc39e407842/image.png)

4.返回提交成功消息，可进入 [我的订单](https://console.cloud.tencent.com/deal) 查询退款进度。
![](https://mc.qcloudimg.com/static/img/9c8db06aab3cb5eac32a5a81724c9ad7/image.png)



### 二、发起工单退款
若产品无自助退款功能，可在对应的产品工单分类中提交工单。

#### 支持产品
云服务器、MONGODB、云数据库（MySQL）、BGP高防服务包、云数据库（TDSQL）、云数据库（SQL Server）、云存储（Redis）、专用宿主机、独立云盘、黑石数据库（MySQL）、BGP高防IP、云解析套餐、云数据库HBase、SSL证书、MongoDB分布式、云数据库(PostgreSQL)、永洪BI、乐固-应用加固、乐固-漏洞扫描、乐固-盗版监控、分布式数据库、棋牌盾IP-bgp、黑石混合云服务-公网出口、黑石混合云服务-IP租赁费、黑石混合云服务-机架租赁、数据加密服务、建站主机、网站管家、消息服务CKafka、VPN、点播套餐


#### 退货流程
办理退货前，请先确定是否满足退货说明的条件，且请确保数据已迁移。退货完成后，系统会立即清除您退还的云服务器、云数据库资源。

1.登录腾讯云官网，在 [管理中心](https://console.cloud.tencent.com/) 选择【发起工单】，进入【提交工单】页面，根据要退还的问题类型进行选择。
![](https://mc.qcloudimg.com/static/img/a64024486d16dbb68e0cea010ed68a12/image.png)

2.以云服务 CVM 为例，找到云服务器 CVM 的类别，点击【提交工单】选择退还原因，填写问题描述，提交工单。
腾讯云客服人员将会根据您提交的申请在两个工作日内进行处理，退款成功后会有退款的订单产生，请注意查看。
![](https://mc.qcloudimg.com/static/img/a99cc1bddd9f85492f10d0495af5106b/image.png)




## 退款举例说明

**场景**
购买标准1C1G/本地盘20G/不含带宽CVM，单价51元/月；购买1年，包年官网83折，使用100元代金券，实际支付金额407.96元。

【案例1】：购买5天内，且该账户首次退还
>退还现金金额 = 实际支付金额 `407.96 (元)`

【案例2】：购买5天内，且不是该账户首次退还，总使用时长48小时
>退还代金券金额 = `407.96 - 48 * 0.42 （0.42为同样配置按量计费的单价）= 387.8 (元)`

【案例3】：购买5天内，且不是该账户首次退还，已使用时长48小时；其中又续费1年，包年官网83折，续费实际支付金额507.96元
>退还代金券金额 = `407.96 - 48 * 0.42 （生效订单退款金额）+ 507.96（未开始订单金额） = 895.76 (元)`

【案例4】：购买5天内，且不是该账户首次退还，已使用时长12小时后升级配置，升配实际支付金额 100元，总使用时长48小时
>退还代金券金额= `407.96- 12 * 0.42 （0.42为同样配置按量计费的单价）+100/365（升配的每天单价） * (365-3)（升配未使用天数）= 502.1 (元)`

注：具体单价可能因地域、活动或策略等调整变化，请以实际单价为准，案例单价仅供参考。
