## 单台资源续费

用户对售卖模式为包年包月的资源进行单台续费，有两种操作方式：
- 在资源的【[管理控制台](https://console.cloud.tencent.com/)】对资源进行续费操作。
- 在费用中心的【[续费管理](https://console.cloud.tencent.com/account/renewal)】页面，选中资源对资源进行续费操作。
为了方便您对资源的查找，您可以根据资源所属地域、资源的到期时间范畴对资源进行筛选。
![](http://i.imgur.com/SPrqaOs.png)

## 批量资源续费

在用户中心的【[续费管理](https://console.cloud.tencent.com/account/renewal)】页面，批量选中资源，对资源进行续费。当您的资源较多时，您可以跨页选中全部资源，批量提交续费。
>** 注意：**
<font color="red">当批量选中的资源超过100台时，不能使用代金券，如果您有使用代金券的需求，请提交工单</font>。
![](http://i.imgur.com/ag4Eoee.png)
## 自动续费

如果您打算长期使用资源，您可以为资源设置自动续费。设置了自动续费的资源，可以在自动续费项里管理。

>** 注意：**
- 设置了自动续费的资源，我们会在到期当日为您进行续费（可能会超过您的资源到期时刻，但保证在到期当日）。请尽量不在资源邻近到期/回收时调整自动续费标识。
- 如果到期当日，您的账户可用余额不足以进行资源的自动续费，我们会在到期后的6天内，每天进行一次扫描，只要您的账户可用余额充足，我们会马上为您标记了自动续费的资源进行续费操作。
- 在到期前7天至到期后6日，如果您的账户可用余额足够进行自动续费，我们会自动为您续费，而不对您进行提醒；如果您的账户可用余额不足以进行资源的自动续费，我们会提醒您及时对账户充值。
- 设置了自动续费的资源也可以取消自动续费。取消了自动续费的资源，我们将恢复对其正常的到期检查与提醒。
![](http://i.imgur.com/VD83SPg.png)
![](http://i.imgur.com/xLOAwdT.png)


## 到期不续费

如果您的资源，到期后不再继续使用，您可以为资源设置到期不续费。设置了到期不续费的资源，可以在到期不续项里管理。
- 对您决定不续的资源，我们不会发送任何到期提醒。当您的资源到期后，我们会在到期后第7天对资源进行回收。

- 对您决定不续的资源，您可以恢复。恢复后，我们会恢复对其正常的到期检查及短信、邮件的提醒。

![](https://mc.qcloudimg.com/static/img/81dbd7f9811dd279e639e7dd9deabe27/image.png)

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/xufei-4.png)



## 统一到期日

如果您的资源量较多，每台资源的到期时间不同，可能对您的资源管理造成一定的困扰。这时，您可以对资源统一到期日，将您的部分或全部资源的到期时间统一延长至您所设定的到期日。统一了到期日的资源，将在相同的到期日之前收到续费提醒。
1、如果您没有设置过统一固定的资源到期日，请先选中意向的资源，统一到期日。
![](https://mc.qcloudimg.com/static/img/5a69c4fa82c762850c0a707e53e09d6b/image.png)

2、您可自主设置一个统一固定的资源到期日。
![](https://mc.qcloudimg.com/static/img/bf5ddbdfd0c221ce3b980fcaeb59468e/image.png)

## 修改统一到期日
如果您需要对不同资源设置不同的到期日，可以先修改统一到期日，再选中意向的资源，延长其到期时间到统一到期日。
1、点击选择【修改统一到期日】
![](https://mc.qcloudimg.com/static/img/6da34610faf7b5b4ff1d5270a268c632/image.png)
2、选择新的统一到期日，点击【确认修改】。
![](https://mc.qcloudimg.com/static/img/fb334bf1837dc6831956ba2a3d2d3b49/image.png)
![](https://mc.qcloudimg.com/static/img/cb5d86aff2abb4c1c09f59f38fd8f94a/image.png)
3、勾选意向资源，延长至新的统一到期日
设置了统一固定的资源到期日之后，您可以选中意向的资源，将其到期时间统一延长至新的统一到期日。（续费时间须大于一个月，不足整月的部分，我们将按照月价折算您续费天数的价格）。
例如，4月5日到期的资源，月价格为60元，需要调整到期日为每月20日，续费至5月20日，您需要支付的金额为90元（60+60÷30×15）。
![](https://mc.qcloudimg.com/static/img/5a69c4fa82c762850c0a707e53e09d6b/image.png)

![](https://mc.qcloudimg.com/static/img/985a703552d7e75a2b579f54ff20d62a/image.png)



## 续费提醒

如果您的资源预算需要较长的时间来申请，我们支持您对续费提醒进行时间上的自定义设置。
> **注意：**
- 您可以对即将到期的资源和设置了自动续费的资源设置提前7天~3个月的提醒。
- 当资源即将到期、账户可用余额不够为自动续费的资源续费时，平台提供站内信、短信、邮件三种通知渠道，您可以选择全部或部分通知渠道。
- 当您取消全部通知渠道时，我们不会为您发送通知。
- 这些设置只对您当前登录的[账号ID](https://cloud.tencent.com/document/product/378/8704)有效，不影响其他协作者。
- 如果您希望修改接收提醒的短信和邮件，您可以到管理控制台-用户中心-账户信息页面进行修改。 

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/xufei-7.png)

