# 代金券介绍
代金券是可抵扣费用的优惠券，登录腾讯云官网，在 【费用中心】 -> 【[代金券管理](https://console.cloud.tencent.com/account/voucher)】页面中可查看用户账户下的代金券情况。
![](https://mc.qcloudimg.com/static/img/1521a0c1596a18cbf450f8c1b380f372/image.png)

# 使用注意
付费类型（预/后付费）不同，代金券的使用也不同，具体如下：
- **预付费：用户可在下订单购买云产品时选用代金券**
 1. 在付款页面，系统会根据订单对应的产品、付费类型、订单金额匹配代金券适用的产品、类型和订单金额限制。只有3个条件都符合的待使用、已使用（可多次使用且仍有余额的）状态的代金券才会显示在订单下方，可用于支付订单。
![](https://mc.qcloudimg.com/static/img/0c2a7fe9a186a2b1a7e957f7802e4542/image.png)
 2. **一个订单只能使用一张代金券**，支付订单时，如果有多张代金券可用，可单击选择框自主选择使用某张代金券，或取消勾选【使用代金券】选项不用代金券。
 3. 若代金券有限购时长的限制，如限购时长1-2个月，那么订单中的购买时长必须在该限购时长范围内，才可使用该代金券。
 4. 设置了自动续费的资源，系统在做自动续费时，自动优先使用代金券再使用账户余额进行扣费。（具体规则可参考后付费的系统自动选用规则）。

- **后付费：系统会在按小时/日/月对云产品结算扣费时自动选用代金券**
 1. 系统自动选用规则：在满足适用产品、适用付费类型、适用场景、适用条件的待使用、已使用（可多次使用且仍有余额的）状态的代金券中，**系统根据过期时间的先后、同一时间过期的根据可抵扣金额从大到小（可抵扣金额相同的根据券的余额从小到大）进行排序，选用代金券进行抵扣**。即优先选用先过期的代金券，若同一时间过期的有多张代金券，则根据余额和可抵扣金额的大小，选用最优惠的券。
举例：客户小a,使用后付费按小时结算的云服务器1小时，费用为4元，其有5张代金券均满足条件可抵用：
代金券A：面额10，余额10元,3.9到期（本次可抵扣4元）
代金券B：面额10，余额8元，3.9到期（本次可抵扣4元）
代金券C：面额20，余额5元，3.9到期（本次可抵扣4元）
代金券E：面额20，余额2元，3.9到期（本次可抵扣2元）
代金券D：面额20，余额4元，3.10到期（本次可抵扣4元）
按上述代金券排序逻辑，选用顺序为代金券C、B、A、E、D，所以，本次扣费时系统选用了代金券C进行抵扣。
 2. 系统自动选用代金券进行费用抵扣后，可在【收支明细】->【详情】页及【资源账单】页的【费用】一列，查看代金券抵扣金额。
![](https://mc.qcloudimg.com/static/img/ec5664d80ceff99179d1a76edf9bbdc3/image.png)

# 使用权限
只有创建者和具有“管理财务”权限的协作者可以进入费用中心，进行代金券的使用操作。

# 代金券类型

电子代金券：开发者获得电子代金券后，可以在费用中心的代金券页面查看到已发放的电子代金券，状态为【待使用】。
纸质代金券：开发者获得纸质代金券后，须进行代金券兑换，兑换后将在费用中心的代金券页面看到已发放的电子代金券，状态为【待使用】。

# 代金券状态

代金券的状态分为待使用、已冻结、已使用、已过期。
待使用：未使用且未过期的代金券。
已冻结：显示已确认订单但未支付的代金券。
已使用：已使用的代金券。
已过期：已过有效期的代金券。
# 代金券兑换

需要兑换的代金券类型有：
1. 通过微信卡券领取的腾讯云代金券。
2. 通过其他方式领取的纸质代金券。
 已在代金券页面列表里的券无需再进行兑换，可在订单支付时使用。

**建议：代金券的兑换流程如下。**
1. 登录腾讯云官网，在【费用中心】->【[代金券管理](https://console.cloud.tencent.com/account/voucher)】页面中单击【兑换代金券】。
![](https://mc.qcloudimg.com/static/img/eeca08b8ba05d430af5773592729149f/image.png)
2. 在弹出的兑换代金券窗口，选择兑换码来源，输入代金券兑换码、验证码后，单击【确定】。

>**注意：**

>1. 微信卡券领取的代金券，兑换码为8位字母。

>2. 其他途径领取的纸质券，兑换码为18位字母/数字
>![](http://i.imgur.com/aXj87Zq.png)
>3. 兑换成功后将弹出如下提示，用户可在[待使用的代金券](https://console.cloud.tencent.com/account/voucher)里查看具体情况。
![](http://i.imgur.com/4Loa0fU.png)



  [1]: https://mc.qcloudimg.com/static/img/2d3e38050920a2fa55fbefb7af1c9011/WX20170731-151451@2x.png
  [2]: https://mc.qcloudimg.com/static/img/1c41d2b1e7474e0f0b4c340d6d08a46e/image.png