## 发票申请流程

### 1. 填写发票信息
在 [管理开票信息](https://console.cloud.tencent.com/account/invoiceInfo) 页面选择发票类型，并填写发票信息。
目前发票类型分为四种：企业增值税普通发票，企业增值税专用发票，个人增值税普通发票，组织增值税普通发票。
- 企业增值税普通发票：适用于小规模纳税人，开具的发票不能进行进项税额抵扣。
- 企业增值税专用发票：适用于一般纳税人，开具的发票可以进行进项税额抵扣。（需进行资质审核）
- 个人增值税普通发票：适用于小规模纳税人，开具的发票不能进行进项税额抵扣。
- 组织增值税普通发票：适用于除个人和企业外需要申请发票的组织，如政府、公共事业、非盈利机构等，开具的发票不能进行进项税额抵扣。

>说明
>1）个人/企业/组织普通发票的发票信息修改后可直接保存。
>2）**企业增值税专用发票信息需要进行资质审核，审核会在2个工作日内完成。** 
审核需提供相关信息：税务登记证号及扫描件、一般纳税人证明扫描件、开户行账号信息、注册地址电话等。

![](https://mc.qcloudimg.com/static/img/2c112fbb789ec1b2de308863f82c9fe8/image.png)
![](https://mc.qcloudimg.com/static/img/64b73d53d317d521ecfcaf20be4c38eb/image.png)


### 2. 填写邮寄信息
在 [管理邮寄信息](https://console.cloud.tencent.com/account/invoiceInfo) 页面填写邮寄信息，可添加并保存多条邮寄信息。
![](https://mc.qcloudimg.com/static/img/d7ceae7786a9d6ea4c518a41beda18c8/image.png)
![](https://mc.qcloudimg.com/static/img/0312a31467554e047101cfc658a726e1/image.png)


### 3. 申请开票
登录[腾讯云官网](http://cloud.tencent.com/)，进入 费用中心 -> [发票管理](https://console.cloud.tencent.com/account/invoice) 页面，申请开票。
（1）申请开票
![](https://mc.qcloudimg.com/static/img/b715aa046c032e73bb333c7115c4d5eb/image.png)
（2）填写开票金额
![](https://mc.qcloudimg.com/static/img/209f740b562d0305e1498db577c39291/image.png)
（3）确认发票信息和邮寄信息
![](https://mc.qcloudimg.com/static/img/d9fdc4b4a49f8606c484a823ebbe5bc2/image.png)

您提交开票申请后，如信息无误，我们会在5个工作日内完成开具与邮寄，请耐心等待。
**申请过程中请注意保证信息、金额的正确性，因为信息填写错误导致的发票开具、邮寄出错，将不能重开。**

### 4. 查看开票进度
您申请开票后，可以在 [发票管理](https://console.cloud.tencent.com/account/invoice) 页面的历史申请记录列表，自助查询每条开票申请当前的开票进度。开票进度查询入口如下图所示。
![](https://mc.qcloudimg.com/static/img/92f2e7a3691a5fb0b6460352e16fb201/1.png)
![](https://mc.qcloudimg.com/static/img/6b17e5b9dd41ef678ff786284ae5d312/2.png)
![](https://mc.qcloudimg.com/static/img/fb5b8b0d163a6beabcc22bc7dfe5aa70/3.png)



### 5. 查看开票详情
申请开票后，可以在 [发票管理](https://console.cloud.tencent.com/account/invoice) 页面的历史申请记录列表，确认发票开具状态，并可以在详情中查看当次开票的发票信息和邮寄信息。
![](https://mc.qcloudimg.com/static/img/ef10efb705e5afeb1bb9b8cfcc205bc9/33.png)
![](https://mc.qcloudimg.com/static/img/b07c545fadf3c22360d353d1f31a236e/44.png)



## 查看可开票金额
在【可开票金额】旁的 ⓘ 查看计算公式。更多内容可参考 [发票常见问题](https://cloud.tencent.com/document/product/555/7718#4.-.E6.88.91.E7.9A.84.E5.8F.AF.E5.BC.80.E7.A5.A8.E9.87.91.E9.A2.9D.E6.98.AF.E5.A6.82.E4.BD.95.E8.AE.A1.E7.AE.97.E7.9A.84.EF.BC.9F)。
![](https://mc.qcloudimg.com/static/img/99fff6dbed56573ae15cbc2d65cef48f/image.png)



## 设置定期开票
可以设置每月自动开票的功能。该功能开启后，每月10号将根据您的可开票金额为您进行全额开票并邮寄。
![](https://mc.qcloudimg.com/static/img/56e393daf85e460fda7d7fb41fe95dca/5.png)

