## 按量计费介绍
按量计费，也称后计费，即先按需申请资源使用，在结算时会按您的实际资源使用量收取费用。按量计费根据资源的结算周期进行结算。一般按量计费的结算周期有小时/天/月等，在达到结算周期时，生成账单，执行扣款。如果账户余额不足，客户账号将进入欠费状态，需要在约定时间完成缴费，超过约定时间，所使用资源将被关停并收回资源。
## 适用场景
按量计费是按照使用多少付多少。如果有如下特征，可选择使用按量计费。
1. 业务发展有较大波动性，且无法进行准确预测。
2. 资源使用有临时性和突发性。

## 计费流程
![](http://i.imgur.com/yZk3SzJ.png)

-  充值
    先充值以保证账户余额大于预冻结金额，充值完成后可正常开通按量计费业务。
2. 开通
    选择按量计费产品并购买之后，系统开始按量计费，常用的结算周期有：小时、日和月。
3. 冻结
   开通后系统根据业务结算周期及历史使用情况，预估冻结金额，对余额进行冻结。
4. 解冻
    在结算日（时），系统将会解冻该设备已冻结的金额释放至可用余额再进行结算。
5. 账单
    达到结算周期时，系统根据用量和单价批价、扣费，生成账单。
6. 欠费处理
    欠费时，客户账户将先后进入欠费保护期、欠费停服期。超过欠费停服期，所有资源和配置均会被回收销毁。
 
> ** 注意：**
- 按量计费主机创建时会冻结一个小时的主机费用。
- 对按量计费主机调整配置时，购买时冻结的费用将解冻，并重新按新配置的单价进行冻结。
- 主机销毁时，将会对冻结的费用进行解冻。



## 到期处理机制

| 时间段 | 处理机制 | 
|---------|---------|
| 生成账单 | 1. 根据生成账单，执行扣费。<br>2. 账户余额不足，无法完成扣费，则账户进入欠费状态，系统将为用户推送欠费通知。| 
|欠费状态保护期 |欠费时间较短（如按小时计费一般保护期为2小时。按天计费保护期一般为1天。不同产品保护期略有不同），没有超过客户欠费保护期。<br>1. 在此期间客户不能新开通新服务和申请新资源。<br>2. 系统将推送欠费提醒。 | 
| 欠费状态停服期 | 超过保护期，进入欠费停服期（如按小时计费一般欠费停服期为24小时。按天计费欠费停服期一般为30天。不同产品保护期略有不同，以具体产品停服规则为准）。<br>1. 系统推送停服通知，正在使用资源将强制停服关闭，已经关闭的服务配置和资源将保留至停服期结束。<br>2. 期间如果正常充值，客户可以在控制台重新启动对应的服务。<br>3. 在此期间客户不能新开通新服务和申请新资源。 | 
| 欠费状态资源回收 | 客户欠费超过欠费停服期，启动欠费资源回收。<br>1. 客户保存的资源配置将进行销毁和回收。<br>2. 在此期间客户不能新开通新服务和申请新资源。<br>3.系统推送资源回收的提醒通知。| 


## 优点
 * 可以先使用后付款，相对预付费更灵活，用多少付多少，计费准确，无资源浪费。
 * 可以按需紧急增加或者缩小资源，快速根据业务需要调整资源的购买需求。
  
## 缺点

 * 单位价格较预付费高。
 * 较大量资源临时增加时可能出现无资源可用情况。