## 预付费计费介绍
预付费购买，一般为**包年包月**的购买形式：用户根据自身对云资源的使用需求，一次性支付一个月、多个月或多年的费用，支付成功后，云资源将被系统分配给用户使用，直到到期后用户未继续续费而被回收。
## 适用场景
当用户具有如下特征时，推荐进行预付费购买。
1. 具有较稳定的业务场景。
2. 需要长期使用云资源，追求低成本。

## 计费流程
![](http://i.imgur.com/EvKyaSu.png)

1. 选购
    登录官网，用户选择自己所需的产品及配置和对应价格。
2. 订单
    单击【确认购买】，用户继续进行订单信息核对和支付即可完成整个购买过程。
3. 订单
    预付费计费模式下，下单完成后会生成账单，包含购买和续费订单信息及费用。
4. 到期处理
    资源到期时，若未及时续费，将会被停服及销毁。用户可为资源设置自动续费。设置成功后，云资源到期时，系统会自动扣除用户账户余额进行续费。
    到期处理机制具体如下：

|时间段 | 处理机制 |
|---------|---------|
 | 到期前7天~到期前1天 |·自动续费的云资源：系统给用户推送云资源到期续费的通知。<br>·设置自动续费但账户余额不足以续费的云资源：系统推送自动续费余额不足需进行账户充值的通知。<br>通知以邮件和短信的方式推送，用户将收到4~7条通知。 | 
| 到期当天 | ·设置自动续费的云资源：若用户未续费，云资源将被停服（断网关机，仅保留数据）。<br> ·设置自动续费但账户余额不足以续费的云资源：若用户未充值，云资源将被停服（断网关机，仅保留数据）。<br>停服后，系统推送停服通知。 | 
| 到期当天停服后~到期后第7天 | 用户可在产品控制台的回收站，或联系腾讯云工作人员，续费并找回云资源，恢复其工作状态。| 
| 到期后第8天| 若用户仍未进行续费，系统将销毁云资源，其数据将被清除且不可恢复。 | 
>  **注意：**
 1. 到期后，部分云产品会预留一定可用天数，即到期N天后才停服，停服前系统会继续给用户推送相关到期续费或自动续费余额不足的通知。
 2. 到期8天后，少数云产品会为用户继续保留一段时间的云资源，即到期后>8天才销毁。
       
			 
&nbsp; &nbsp; 5\. &nbsp;续费
 &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;用户可以在【续费中心】实现资源续费，并延长资源到期时间。
## 优点
* 单价较按需付费低。
* 长期锁定云资源，避免无云资源可用的情况。

## 缺点
* 不可随意退还云资源。
* 云资源的升降配一般也会受限。