### 1.根账号

根账号又被称为开发商。创建腾讯云账号时，会创建一个用于登陆腾讯云服务的根账号身份。根账号是腾讯云资源归属、资源使用计量计费的基本主体。根账号默认拥有其名下所拥有的资源的完全访问权限，包括访问该账号的账单信息，修改用户密码，创建用户和用户组以及访问其他云服务资源等。默认情况下，资源只能被根账号所访问，任何其他用户访问都需要获得根账号的授权。

### 2.子账号（用户）和用户组

子账号是由根账号创建的实体，有确定的身份ID和身份凭证，且能登录到腾讯云控制台。根账号可以创建多个子账号(用户)。子账号默认不拥有资源，必须由所属根账号进行授权。一个子账号可以归属于多个根账号，分别协助多个根账号管理各自的云资源，但同一时刻，一个子账号只能登录到一个根账号下，管理该根账号的云资源。子账号可以通过控制台切换开发商从一个根账号切换到另外一个根账号。子账号在控制台登陆时会自动切换到默认根账号上，并拥有该根账号所授予的访问权限。当切换开发商之后，会拥有切换后根账号授权的访问权限，而切换前根账号授予的访问权限会立即失效。
	
有相同职能的用户可以被添加在同一用户组，为该用户组关联适当的策略，以分配不同权限。

### 3.身份凭证

身份凭证是用于证明用户真实身份的凭据，用户必须要确保身份凭证的安全。它包括登陆凭证和访问证书两种。
    
登陆凭证是指用户登陆名和密码。通过使用登录名和密码登入腾讯云控制台，便可以通过控制台进行权限范围内的访问。
    
访问证书是指云API密钥(SecretId和SecretKey)，包括个人API密钥和项目密钥。大多数业务使用个人API密钥访问腾讯云API。少数业务使用项目密钥访问腾讯云API，包括万象优图、优图人脸识别、COS等服务。
    
多因素认证（Multi-Factor Authentication, MFA）是在上述身份凭证的基础上增加的一项安全保护功能。当安全信息设置里绑定了MFA设备后，可以选择开启登陆保护和操作保护。当开启 MFA登陆保护后，用户登陆腾讯云网站时，系统在用户输入的用户名和密码验证通过后还要求输入来自其MFA设备的动态安全码进行二次验证。当开启MFA操作保护后，用户在一些敏感操作时必须要通过输入MFA设备的动态安全码完成二次验证。

### 4.资源

资源是云服务中被操作的对象，如COS存储桶或对象，VPCID，消息队列等。根账号、子账号甚至策略也是一种资源。

### 5.权限和策略

权限是指允许或拒绝某些用户执行某些操作，访问某些资源。。默认情况下，根账号拥有其名下所有资源的访问权限，而子账号没有所属根账号下任何资源的访问权限。
	
策略是定义和描述一条或多条权限的语法规范。根账号通过将策略关联到用户或用户组完成授权。超级管理员或者被授权拥有策略管理权限的子账号也可以创建、更新、删除策略以及进行策略的授权。
	
策略都可以在控制台的用户和权限页面进行操作。部分业务支持在业务控制台相关页面定义策略，如COS控制台等。