资源(resource)元素描述一个或多个操作对象，如CVM资源、COS存储桶等。 

### 1.六段式

所有资源均可采用下述的六段式描述方式。每种产品都拥有其各自的资源和对应的资源定义详情。有关如何指定资源的信息，请参阅对应的产品文档。
    
六段式定义方式如下所示：


```
qcs:project_id:service_type:region:account:resource
```

其中：

1) qcs是qcloud service的简称，表示是腾讯云的云资源。该字段是必填项。
    
2) project_id描述项目信息，仅为了兼容CAM早期逻辑。这里请不填。
    
3) service_type描述产品简称，如cvm、cdn等，产品的检测具体细节请对应的产品文档。对于CAM产品简称是cam。值为"*"的时候表示所有产品。该字段是必填项。
    
4) region描述地域信息。值为空的时候表示所有地域。目前支持的地域列表如下所示：

| 地域缩写 |描述 | 
|---------|---------|
| gz | 广州IDC | 
|sh|上海IDC|
|shjr|深圳金融IDC|
|bj|北京IDC|
|ca|加拿大IDC|
|sg|新加坡IDC|

5)account描述资源拥有者的根账号信息。目前支持两种方式描述的资源拥有者。一种方式是uin方式，即根账号的qq号，表示为uin/${uin}，如uin/164256472；另外一种方式是uid方式，即根账号的appid，表示为uid/${appid}如uid/1000382392。值为空的时候表示创建策略的CAM用户所属的根账号。目前cos业务的资源拥有者只能用uid方式描述，其他业务的资源拥有者只能用uin方式描述。
    
6) resource描述各产品的具体资源详情。
      
有几种描述方式，该字段是必填项。

```
a.<resource_type>/<resource_id>

表示某个资源子类下的资源ID。如VPC产品的vpc/vpc_id1

b. <resource_type>/<resource_path>
 
表示某个资源子类下的带路径的资源ID。如COS产品的prefix/1228934/bucketName1/object2。该方式下，支持目录级的前缀匹配。如prefix/1228934/bucketName1/*，表示bucketName1下的所有object。
c. <resource_type>/*
表示某个资源子类下的所有资源。如vpc/*。
d.*
表示某产品下的所有资源。

```

在某些场景下，资源(resource)元素也可以用"*"来描述，含义定义如下，详细信息也请参阅对应的产品文档。

a.操作(action)是需要关联资源的操作时，resource定义为"*"，表示关联所有资源。

b.操作(action)是不需要关联资源的操作时，resource都需要定义为"*"。

c.操作(action)中同时包含需要关联资源的操作和不需要关联资源的操作时，resource定义为"*"时，有两种含义，一方面描述需要关联资源的操作，都会关联所有资源；另外一方面描述不需要关联资源的操作。


### 2.CAM资源定义
   
CAM是腾讯云的一个产品，包含了用户、组、策略等资源。这里列出了CAM资源的描述方式。

**根账号：**
    
qcs::cam::uin/164256472:uin/164256472
    
或者qcs::cam::uin/164256472:root

**子账号：**
    
qcs::cam::uin/164256472:uin/73829520

**组：**
    
qcs::cam::uin/164256472:groupid/2340

**匿名用户：**
     
qcs::cam::anonymous:anonymous
     
或者*

**策略：**
    
qcs::cam:: uin/164256472:policyid/*
    
qcs::cam:: uin/164256472:policyid/12423


### 3.资源的一些重要说明
    
 
资源的拥有者一定是根账号。如果资源是子账号创建的，不会自动拥有资源的访问权限，需要由资源拥有者授权。