#### 【iOS】前后台切换/关闭OpenGL偶现crash的解决方法

```ObjectiveC
-(void)didEnterBackground:(NSNotification*)notification{
    if (_imageView)
    {
        [_imageView stopDisplay];
        [NSObject cancelPreviousPerformRequestsWithTarget:_imageView selector:@selector(startDisplay) object:nil];//vigoss
    }
}

-(void)WillEnterForeground:(NSNotification*)notification{
    if (_imageView)
        [_imageView performSelector:@selector(startDisplay) withObject:nil afterDelay:0.5];//vigoss
}
```

退出直播的时候：

```ObjectiveC
        [_imageView stopDisplay];
        [NSObject cancelPreviousPerformRequestsWithTarget:_imageView selector:@selector(startDisplay) object:nil];
```

#### 终端App退后台/回前台的处理

Android

安卓退后台/回前台仅需要关闭和开启摄像头即可

```Java
QavsdkControl qavsdk = ((QavsdkApplication) mContext).getQavsdkControl();
AVVideoCtrl avVideoCtrl = qavsdk.getAVContext().getVideoCtrl();
result = avVideoCtrl.enableCamera(FRONT_CAMERA, isEnable, mEnableCameraCompleteCallback);
```

iOS
iOS退后台时需要关掉上层的opengl渲染。回前台时，如果主播开启了摄像头的话，建议关闭摄像头。相关修改的示例代码如下：

![iOS示例代码](//mccdn.qcloud.com/static/img/b2401839764de55d9a3f8f5a67a4e49b/image.png)

#### 如何在代码中使用控制台SPEAR引擎配置中的“角色”

对于美女主播类业务，通常会在腾讯云控制台的SPEAR引擎中配置两种“角色”：主播角色和观众角色。二者的主要区别是观众角色通常只是收看/收听，不需要录音等音频权限，所以很多业务也希望观众端最好不要触发操作系统弹出“是否允许访问XX设备”的权限提示。

那么如何在代码中使用网页上配置的“角色”呢？请参考下面的代码片段
![图1](//mccdn.qcloud.com/static/img/e4e8a61adf1d250630f101bbd9160285/image.png)
![图2](//mccdn.qcloud.com/static/img/e9e0e5041a81d75a2d3a9c54257a4d1d/image.png)

#### 是否可以把视频流直接送给AVSDK进行编码传输？

avsdk目前只支持外部输入I420格式视频数据，不支持其他格式或其他协议视频数据的直接输入

Android接口为：
```
	/**
	 * 输入从外部视频捕获设备获取的视频图像到SDK。<br/>
	 * @param data 图像数据。
	 * @param dataLen 图像数据长度。
	 * @param width 图像宽度。
	 * @param height 图像高度。
	 * @param cameraAngle 图像渲染角度。角度可以是0，90，180，270。
	 * @param colorFormat 图像颜色格式。当前仅支持COLOR_FORMAT_I420。
	 * @param srcType 视频源类型。当前仅支持VIDEO_SRC_TYPE_CAMERA。
	 * @return 返回值为AV_OK时表示成功，否则表示失败。
	 * 分辨率宽高比例限定只能为4：3，且最大宽度为640
	 */
	public native int fillExternalCaptureFrame(byte[] data, int dataLen, int width, int height, int cameraAngle, int colorFormat, int srcType);

android的接口位于com.tencent.av.sdk.AVVideoCtr
```

#### 如何解决Android方法数超过65535的限制？
请看相关文章介绍，点[这里](http://tech.meituan.com/mt-android-auto-split-dex.html)

#### java生成签名错误 getlicense code:-1 
sig过期，请尝试重新生成。如果是刚生成，就过期，请检查有效期填写的是否过小，或者填的0。

#### 观众端怎么监听主播画面没有上行视频了呢？
主播与观众场景，需要业务侧自己实现具体逻辑。  
我们提供方案：  
1.可以在渲染的回调里面加计时器onVideoPreview   
2.可以监控onEndpointsUpdateInfo

#### logcat里面的日志可以禁掉吗？
setLogPrintEnable(false)

#### 集成了随心播后，Android6.0的用户无法使用。
Android 6.0上需要做动态权限申请，请参考最新的随心播示例。

#### 提示缺乏v4 support jar
加上google提供的v4 support的jar com.android.support:support-v4:23.3.0