## Product Overview
### [Introduction to Interactive LVB Feature](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/Introduction.md)
### [Application Scenarios](https://cloud.tencent.com/doc/product/268/3160)
### [Change Log](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/History.md)
## How to Activate and Purchase the Service
#### [How to Activate the Service](https://cloud.tencent.com/doc/product/268/4899)
#### [Pricing](https://cloud.tencent.com/doc/product/268/5127)
1. [Basic Network Fee](https://cloud.tencent.com/doc/product/268/5128)
2. [Additional Features Fee](https://cloud.tencent.com/doc/product/268/5129)
3. [Technical Support Fee](https://cloud.tencent.com/doc/product/268/5130)

#### [Charges and Arrears](https://cloud.tencent.com/doc/product/268/3166)

## Integrated Development
## Development Preparation
### [Learn about System Architecture](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/Architecture.md)
### [Fast Configuration](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/fastConfig.md)
### [Backend API Setup](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/serverInit.md)

## Terminal Integration
### Android Integration
1. [Code Download](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/Android_ILiveSDK_BeforeHand.md)
2. [LVB API](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/Android_ILiveSDK_Live.md)
3. [Interactive Message and Broadcast JoiningAPIs](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/Android_ILiveSDK_Senior.md)

### iOS Integration
1. [Code Download](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/iOS_ILiveSDK_BeforeHand.md)
2. [LVB API](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/iOS_ILiveSDK_Live.md)
3. [Interactive Message and Broadcast Joining APIs](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/iOS_ILiveSDK_Interactive.md)

### PC Integration
1. [Windows C++ Integration](https://cloud.tencent.com/document/product/268/5451)
2. [PC Demo Instructions](https://cloud.tencent.com/document/product/268/5453)
3. [C++ SDK File List](https://cloud.tencent.com/document/product/268/2473)

### Web Integration
1. [Playback on Web](https://cloud.tencent.com/doc/api/258/5704)
2. [Interactive Messages on Web](https://cloud.tencent.com/doc/product/269/1594)


### [Non-Interactive Broadcasting](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/pushStream.md)
### [Recording](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/record.md)

## Important Concepts

### [Assignment and Switching of DC and OC](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/ocdc.md)

### Account Login Integration
* [Account Login Integration Instructions](https://cloud.tencent.com/doc/product/268/3328)
* [Standalone Mode](https://cloud.tencent.com/doc/product/268/3329)
* [Hosted Mode](https://cloud.tencent.com/doc/product/268/3330)
* [TLS Backend API](https://cloud.tencent.com/doc/product/268/3331)
* [About Key and Signature](https://cloud.tencent.com/doc/product/268/3332)


## FAQs
### [Stream Control Configuration](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/spearConfig.md)
### [Quality Monitoring](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/avmonitor.md)
### [Custom Input Audio/Video Streams](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/custominput.md)
### [Focusing](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/focus.md)
### [Screen Rotating and Cropping](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/rotate.md)
### [Handling LVB Interruptions](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/breakEvent.md)
### [Online User Count](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/onlineMember.md)
### [Feature Customization](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/custom.md)
### [Log Description](https://github.com/zhaoyang21cn/suixinbo_doc/blob/master/doc2/log.md)

## About Operation
### [License Requirement for WeChat Pay](https://cloud.tencent.com/document/product/268/6048)
### [ Large-Scale LVB Preparation Guide](https://cloud.tencent.com/document/product/268/4557)


