### 录制请求

- 子命令(uint32_sub_cmd)：0x5 填写在GVCommOprHead中
- 包体结构(reqbody):req_0x5

		req_0x5
		{
			"uint32_oper":xxx,
			"string_file_name":"xxx",
			"string_tags":["xxx"],
			"uint32_classid":xxx,
			"uint32_IsTransCode":xxx,
			"uint32_IsScreenShot":xxx,
			"uint32_IsWaterMark":xxx,
			"uint32_sdk_type":xxx,
			"uint32_record_data_type":xxx
		}

***注意：录制操作的对象为rpt_to_Account，必须填写，只支持一个***

| 参数名称 | 类型 | 说明 | 备注 |
| --- | --- | --- | --- |
| uint32_oper | unsigned int | 操作类型：1 启动录制；2 关闭录制； | 启动录制：必填 停止录制：必填  |
| string_file_name | string | 录制的文件名称 | 启动录制：必填 停止录制：不填 |
| string_tags | [string] | 视频标签列表,string数组 | 启动录制：可选 停止录制：不填 |
| uint32_classid | unsigned int | 视频分类ID | 启动录制：可选 停止录制：不填 |
| uint32_IsTransCode | unsigned int | 是否转码 | 启动录制：可选 停止录制：不填 |
| uint32_IsScreenShot | unsigned int | 是否截图 | 启动录制：可选 停止录制：不填 |
| uint32_IsWaterMark | unsigned int | 是否打水印 | 启动录制：可选 停止录制：不填 |
| uint32_sdk_type | unsigned int | SDK类型：1 普通SDK； 2 物联摄像头； | 启动录制：必填 停止录制：必填  |
| uint32_record_data_type | unsigned int | 录制的数据类型：0 录制摄像头； 1 录制屏幕分享数据； | 启动录制：必填 停止录制：必填  |

	"reqbody":
	{
		"req_0x5":
		{
			"uint32_oper":xxx,
			"string_file_name":xxx,
			"uint32_sdk_type":xxx,
			"uint32_record_data_type":xxx,
		}
	}


- 响应包体结构(rspbody): rsp_0x5

		rsp_0x5定义：
		{
		 "uint32_result":xxx,       // 操作结果, 0成功, 非0失败
		 "str_errorinfo":"xxx",
		 "str_fileID":["xxx"]
		}

| 参数名称 | 类型 | 说明 | 备注 |
| --- | --- | --- | --- |
| uint32_result | unsigned int | 操作结果0：成功;非0：失败; | 详细错误码见附录 |
| str_errorinfo | string | 错误信息 | 错误字符串信息 |
| str_fileID | [String] | 视频文件ID列表,string数组。 | 只有在录制结束的时候返回 |

***注意：启动录制需要用户进入音视频房间之后操作才能成功***

# 错误码说明

## 0x5录制错误码说明

| 错误码 | 错误说明 | 处理建议 |
| --- | --- | --- |
| 30000000 | SDK请求解析失败 | 【录制请求字段填写是否完整】 |
| 30000001 | SDK请求解析失败-没有录制请求包体 | 【录制请求字段填写是否完整】 |
| 30000002 | SDK请求解析失败-没有录制文件名字段 | 【录制请求字段填写是否完整】 |
| 30000003 | SDK请求解析失败-没有录制请求操作字段 | 【录制请求字段填写是否完整】 |
| 30000004 | SDK请求解析失败-视频源类型错误（摄像头/桌面等） | 【录制请求字段填写是否完整】 |
| 30000201 | 请求服务器内部数据打包错误 | 【反馈腾讯客服】 |
| 30000202 | 请求服务器内部数据打包错误 | 【反馈腾讯客服】 |
| 30000203 | 请求服务器内部数据打包错误 | 【反馈腾讯客服】 |
| 30000207 | 请求录制服务器通讯错误-拉取录制服务器地址失败 | 【反馈腾讯客服】 |
| 30000208 | 请求录制服务器通讯错误-请求录制服务器超时 | 【可能是网络问题，重试处理，重试失败反馈腾讯客服】 |
| 30000301 | 解析录制服务器回包错误-数据包解析失败 | 【反馈腾讯客服】 |
| 30000302 | 解析录制服务器回包错误-数据包解析失败 | 【反馈腾讯客服】 |
| 30000303 | 解析录制服务器回包错误-没有返回IP | 【反馈腾讯客服】 |
| 30000304 | 解析录制服务器回包错误-没有返回端口 | 【反馈腾讯客服】 |
| 30000305 | 解析录制服务器回包错误-没有返回结果 | 【反馈腾讯客服】 |
| 30000401 | 查询房间获取grocery服务IP错误 | 【可能是网络问题，重试处理，重试失败反馈腾讯客服】 |
| 30000402 | 查询房间拉取grocery数据错误 | 【可能是网络问题，重试处理，重试失败反馈腾讯客服】 |
| 30000403 | 查询房间拉取grocery不存在（房间不存在） | 【检查是否成功开房，录制的用户ID，groupid是否填写正确】 |
| 30000404 | 查询房间流控服务器超时 | 【可能是网络问题，重试处理，重试失败反馈腾讯客服】 |
| 30000405 | 查询房间回包错误-数据包解析失败 | 【反馈腾讯客服】 |
| 30000406 | 查询房间回包错误-数据包解析失败 | 【反馈腾讯客服】 |
| 30000407 | 查询房间回包错误-数据包解析失败 | 【反馈腾讯客服】 |
| 30000408 | 查询房间回包错误-没有返回结果 | 【反馈腾讯客服】 |
| 30000409 | 查询房间回包错误-数据包解析失败 | 【反馈腾讯客服】 |
| 30000410 | 录制的房间不存在 | 【检查是否成功开房，录制的用户ID，groupid是否填写正确】 |
| 30000411 | 录制的房间不存在，或发起录制的用户不存在 | 【检查是否成功开房，录制的用户ID，groupid是否填写正确】 |
| 30000412 | 停止录制重复发送，用户已经停止录制 | 【如果是录制停止操作说明已经停止，检查是否多次发送停止操作，无需处理】 |
| 30000413 | 停止录制重复发送，用户已经停止录制 | 【如果是录制停止操作说明已经停止，检查是否多次发送停止操作，无需处理】 |
| 30000414 | 查询房间-服务器内部操作类型错误 | 【反馈腾讯客服】 |
| 30000415 | 启动录制重复发送，用户正在录制；或者发起录制的用户不存在 | 【检查是否成功开房，录制的用户ID，groupid是否填写正确】 |

