腾讯云互动直播服务打通了腾讯云存储点播（VOD）与直播（LVB）服务，提供了一整套集音视频互动、旁路直播与录制回看的强大能力，功能涵盖在线教育、秀场/游戏互动直播、实时音视频通话等诸多场景。其架构和数据流如下图所示，按功能主要分为**`音视频后台服务`**、**`旁路推流服务`**和**`录制存储服务`**（分别辅以不同的颜色）。其中：

+ **`音视频后台服务`**主要负责音视频数据转发、用户/房间管理和网络质量调控，图中DC/OC接入模块的说明参见文档《互动直播关于核心机房(DC)和边缘节点(OC)的说明》
+ **`旁路推流服务`**主要负责将QAVSDK上行的音视频数据进行转码和推流分发，以方便用户通过[Web或流媒体播放器](http://cloud.tencent.com/product/LVB.html)观看，主要应用于直播分享（将观看连接发给用户通过web观看）、监控（主播是否有异常举动）和在线教育
+ **`录制存储服务`**负责将QAVSDK采集上行的音视频数据录制成mp4格式的文件，保存在腾讯云存储中，供用户[点播回看(VOD)](http://cloud.tencent.com/product/vod.html)

![整体架构图](//mccdn.qcloud.com/img56cdcee729316.png)

## 1 旁路推流相关

由于互动直播采用了腾讯云直播服务，所以在使用旁路推流功能之前要先申请开通腾讯云直播服务，审批通过后即可在[管理控制台](http://console.cloud.tencent.com/live)进行直播频道管理、统计分析以及设置等操作。除了手工操作之外，用户也可以通过[直播服务API](http://cloud.tencent.com/wiki/直播API)所提供的能力在业务后台进行直播管理操作。

### 1.1 旁路推流整体流程简介

1. 负责上行音视频数据的App调用QAVSDK的（`RequestMultiVideoStreamStart`）接口启动推流，同时获得收看地址
1. App将上一步骤获得的观看地址分发给所有旁路直播（RTMP/HLS）观看用户（【可选】业务可以启用防盗链功能，根据上行方URL与观看者信息生成专属观看链接，以避免资源被盗用）
1. 用户通过H5页面、Web插件、流媒体播放器观看旁路直播内容
1. 负责上行音视频数据的App调用QAVSDK的`RequestMultiVideoStreamStop`）接口停止推流。注意，这一步很重要。如果不调用该接口，则同一用户再次推流时后台将启用异常处理逻辑，而该逻辑主要用于网络或客户端crash等原因造成的直播中断后，客户端重试推流的处理。如果正常流程也走到这部分逻辑，可能会造成一些问题（详见《互动直播旁路直播开发指南》）。

### 1.2 旁路推流API及使用指南

请参见《[旁路直播开发指南](/doc/product/268/3219)》

### 1.3 旁路推流播放器开发简介

#### 1.3.1 腾讯云Web播放器

视频云Web播放器是由腾讯视频云自主开发的一款播放器，同时支持RTMP和HLS。演示地址为<http://live.qcloud.com/dy/test.html>，将启动推流后得到的观看地址输入文本框即可播放。更多详情请参阅[官方文档](http://video.qcloud.com/download/docs/QLIVE_Player_Web_SDK_Developer_Guide.pdf)。简单代码示例如下所示：

```javascript
<div id="id_video_container" style="width:100%;height:1px;"></div>
<script src="http://qzonestyle.gtimg.cn/open/qcloud/video/live/h5/live_connect.js" charset="utf-8"></script>
<script>
	(function(){
		var player = new qcVideo.Player(
			"element_id",//页面放置播放位置的元素 ID
			{
				"width": 640, //播放器宽度，单位像素(必选参数)
				"height": 480, //播放器高度，单位像素(必选参数)
				"live_url": "rtmp://http://xxx.liveplay.qcloud.com/live/xxx",//直播地址，支持 hls 和 rtmp 、flv 三种格式(必选参数)
				"live_url2": "http://http://xxx.liveplay.qcloud.com/live/xxx.m3u8"//直播地址，同上，（可选参数）
			}
		);
	})();
</script>
```

#### 1.3.2开源Web播放器jwplayer

JW Media Player是一个开源的网页媒体播放器。演示地址为<http://live.qcloud.com/dy/jwplayer.html>，示例代码如下所示：

```javascript
<div id="id_video_container" style="width:100%;height:1px;"></div>
<script src="http://qzonestyle.gtimg.cn/open/qcloud/video/live/h5/live_connect.js" charset="utf-8"></script>
<script>
	(function(){
		var player = new qcVideo.Player(
			" id_video_container ",//页面放置播放位置的元素 ID
			{
				"width": 640, //播放器宽度，单位像素(必选参数)
				"height": 480, //播放器高度，单位像素(必选参数)
				"live_url": "rtmp://http://xxx.liveplay.qcloud.com/live/xxx",//直播地址，支持 hls 和 rtmp 、flv 三种格式(必选参数)
				"live_url2": "http://http://xxx.liveplay.qcloud.com/live/xxx.m3u8"//直播地址，同上，（可选参数）
			}
		);
	})();
</script>
```

#### 1.3.3 客户端SDK播放器(ffmpeg)

ffmpeg是提供跨平台解决方案的开源音视频处理工具，最新ffmpeg已自带rtmp。ffmpeg下载地址为<http://www.ffmpeg.org>（注：ffmpeg采用LGPL或GPL许可证(依据你选择的组件)，如使用，请遵循许可证的规则）代码可以参考ffplay.c(如需编译ffplay，需安装SDL)，其简单开发步骤如下所示：

```c++
//初始化
av_register_all();
avformat_network_init();

//打开输入
AVFormatContext *ifmt_ctx = avformat_alloc_context();
avformat_open_input(&ifmt_ctx, in_filename, 0, 0));

//找到视频流和音频流
int videoindex = -1, audioindex = -1, i;
for (i = 0; i<ifmt_ctx->nb_streams; i++) {
	if (ifmt_ctx->streams[i]->codec->codec_type == AVMEDIA_TYPE_VIDEO){
		videoindex = i;
	}
	if (ifmt_ctx->streams[i]->codec->codec_type == AVMEDIA_TYPE_AUDIO){
		audioindex = i;
	}
}

//初始化音视频编解码器
AVCodecContext *pVideoCodecCtx = ifmt_ctx->streams[videoindex]->codec;
AVCodec *pVideoCodec = avcodec_find_decoder(pVideoCodecCtx->codec_id);
AVCodecContext *pAudioCodecCtx = ifmt_ctx->streams[audioindex]->codec;
AVCodec *pAudioCodec = avcodec_find_decoder(pAudioCodecCtx->codec_id);

开始读取数据并解码
int got_picture, got_frame;
AVPacket *pkt = av_packet_alloc();
AVFrame * pVideoFrame = av_frame_alloc();
AVFrame * pAudioFrame = av_frame_alloc();

av_read_frame(ifmt_ctx, pkt);
avcodec_decode_video2(pVideoCodecCtx, pVideoFrame, &got_picture, pkt); 
avcodec_decode_audio4(pAudioCodecCtx, pAudioFrame, &got_frame, pkt);
```

至此，音视频原始数据已经获取到，播放和渲染，依赖使用哪种方案。例如，使用SDL2，依次调用SDL_CreateWindow、SDL_CreateRenderer、SDL_CreateTexture然后拷贝数据并显示：

```c++
SDL_Texture *txt;
//省略SDL_CreateTexture初始化txt

//注：调用前先确认pVideoFrame->pCodecCtx->pix_fmt为AV_PIX_FMT_YUV420P
//如不是，可先用sws_scale转格式
SDL_UpdateYUVTexture(txt, NULL,
	pVideoFrame ->data[0], pVideoFrame ->linesize[0],
	pVideoFrame ->data[1], pVideoFrame ->linesize[1],
	pVideoFrame ->data[2], pVideoFrame ->linesize[2]);
```

或者例如使用opencv，opencv只接受RBG数据格式，因此需先转格式，再显示

```c++
//转码
AVFrame * pFrameRBG = av_frame_alloc();
int size = av_image_get_buffer_size(AV_PIX_FMT_BGR24, 
	pVideoCodecCtx->width, pVideoCodecCtx->height, 1);
uint8_t *out_bufferRGB = new uint8_t[size];
av_image_fill_arrays(pFrameRBG->data, pFrameRBG->linesize, 
	out_bufferRGB, AV_PIX_FMT_BGR24, 
	pVideoCodecCtx->width, pVideoCodecCtx->height, 8);
struct SwsContext *img_convert_ctx = sws_getContext(
	pVideoCodecCtx->width, pVideoCodecCtx->height, 
	pVideoCodecCtx->pix_fmt,
	pVideoCodecCtx->width, pVideoCodecCtx->height, AV_PIX_FMT_BGR24, 
	SWS_BICUBIC, NULL, NULL, NULL);
sws_scale(img_convert_ctx,
 	 (const uint8_t* const*)pVideoFrame->data, pVideoFrame->linesize, 
	0, pVideoCodecCtx->height,
	pFrameRBG->data, pFrameRBG->linesize);

//拷贝数据
Mat frame;
if (frame.empty()){
	frame.create(cv::Size(pVideoCodecCtx->width, 
		pVideoCodecCtx->height), CV_8UC3);
}
memcpy(frame.data, out_bufferRGB, size);

//显示
imshow("title", frame);
```

声音播放方式可以用DirectShow，这里就不展开了（注：上面仅为简略调用步骤示意，实际使用需自行开发，并且还需很多细化工作，例如使用jitterbuf来防抖动，音视频同步等）

### 1.4 旁路推流Q&A

#### 1.4.1 如何观看旁路推流直播？

腾讯云CDN支持RTMP(Real Time Messaging Protocol)和HLS(HTTP Live Streaming)两种流媒体协议（但目前一路流只支持一种输出协议，2016年H1支持双推，敬请期待）。

RTMP协议是Adobe公司主导的流媒体传输协议，具有延迟小（通常可以做到3s左右）、PC支持度高（得益于FLASH插件在PC端的超高普及率，RTMP流通常在PC的浏览器里可以直接播放）等优点；但由于FLASH漏洞多、耗电量大等问题，FLASH插件在移动终端普及率极低（iOS更是明确不支持），所以在移动终端上观看RTMP流通常需要搭配专门的播放软件。日常测试可以采用**`ffplay`**（ffmpeg中的组件）或**`vlc`**来观看推流是否成功：

* 用**`ffplay`**观看: ffplay -fflags nobuffer -i "rtmp观看地址"，其中nobuffer选项是让播放器不做任何缓冲，以便更好地观察延时
* 用**`vlc`**观看: (菜单)媒体->打开网络串流->填入rtmp观看地址->播放

HLS是Apple公司主导的流媒体协议，具有协议简单、通用性强、自适应码率等优点，已经被iOS和绝大多数安卓系统默认支持，可以通过H5页面直接观看。但是，出于保障播放流畅性的考虑，HLS的官方文档建议播放前至少缓存3个分片（每个分片大约5s的数据），所以HLS的播出延时通常大于10s

#### 1.4.2 同一音视频房间的多路流是否支持合并（包括混音）？

目前，一个QAVSDK实例的旁路推流只支持推一路语音+一路视频（且必须有视频），虽然同一个互动直播房间可以旁路4路不同的音视频流，但是每个流之间各自独立，并不能叠加或混合。2016H1，互动直播的旁路推流将支持将同一音视频房间内的音视频数据进行混流（即视频叠加、语音进行后台混音）后输出到CDN进行分发，敬请期待。

#### 1.4.3 旁路推流常见错误码、含义及处理方法

+ **`40000415`** 用户已经在推流(如果已经在直播，同一个用户重复发起，将会报此错误码)。如果收看端是正常的，那么上行端可以忽略此异常
+ **`20101`** 频道数超出上限。请联系我们工作人员根据实际需要进行扩容
+ **`20318`** 未开通直播资质。请先开通腾讯云直播服务
+ **`20406`** 直播欠费。请在直播控制台购买相应的套餐或结清欠费
+ **`1002`** 账户不存在。请排查接口参数填写的用户数据是否正确
+ **`6012`** 推流超时。请查看上行方的网络状况，App层面也根据需要引入适当的重试，重试间隔建议为30秒。如果依然有问题可以联系我们协助排查

#### 1.4.4 App退后台对旁路推流有什么影响？

+ **`Windows`**退后台，与前台无异
+ **`iOS`**退后台，可能会被系统挂起导致推流终端，具体详情请参阅Apple公司相关技术文档
+ **`Android`**退后台，理论上系统是不会自动杀进程的。但各家深度定制的安卓系统行为不尽相同，需要具体情况具体分析。此外，安卓系统自身的一些保护机制也会在某些情况下（如资源不足等）自动结束进程

#### 1.4.5 直播过程中收到系统电话对旁路推流有什么影响？如何实现打断恢复？

+ **系统来电对网络终端网络连接的影响**

	系统来电对终端网络方面的影响与运营商组网类型和手机终端的音方案都有很大关系。对于中国移动目前的3G网络，由于接电话时会自动降为2G，所以系统电话会使原4G的网络连接断开，从而导致连接中断。中国联通的4G网络在接电话时会降到WCDMA，因此语音通话时不会断网，且也不是工作在4G模式。中国电信的情况就更为复杂，请参阅相关的技术文档
	
+ **QAVSDK系统来电的打断恢复方案**

	考虑到用户隐私（主播打电话声音不会被采集）以及稳定性方面的问题，目前QAVSDK在来电话时都会做打断处理。但1.7及以下版本暂不支持自动的打断恢复，App可以通过（感知到打断）退房、（感知到恢复）重进的方式实现系统来电的打断恢复。1.8版本的QAVSDK将集成自动的系统来电打断恢复，仅在被打断和恢复时给上层提供事件通知，进一步简化处理流程，敬请期待

#### 1.4.6 直播过程中上行方网络中断对旁路推流有什么影响？如何恢复推流？

如果视频上行方（QAVSDK）网络中断，则：

+ 同样使用QAVSDK观看的用户音视频断流，并在15s后收到该用户视频状态取消的通知，90s后收到该用户超时下线的通知。
+ 通过RTMP观看的用户，在网络中断的7秒后进入，会提示直播已结束
+ 通过HLS观看的用户，在后台缓存分片播放完后中断。

视频上行方网络超时断开后，推流后台会将频道保留1小时，这段时间内该用户重新推流所返回的**_观看地址不会改变_**。如果1小时内该用户仍未重新推流，则频道将会回收，即该用户重新推流所获得的观看地址会**_重新生成_**。

#### 1.4.7 用Flash播放器播放旁路直播推出去的HLS流遇到跨域问题如何处理？
由于flash的原生支持，所以flv/mp4/rtmp的播放都没有跨域访问问题，而hls在flash上原生不支持，需要播放器代码做容器转换，读取请求数据权限，就涉及到跨域授权限制了。这个问题目前有两个解决办法:

+ 使用我们的播放器；
+ 把使用的第三方播放swf文件，放到我们的cdn上，用我们提供的地址也可以绕过去。需要放第三方播放器文件，可以把代码给我们，我们发个版本到cdn上去就好

#### 1.4.8 直播频道的数量限制是与应用相关还是与腾讯云账号相关？

直播频道的数量上限是与腾讯云帐号绑定的，一个帐号下多个应用是共用频道资源的。例如，一个账号频道上限50，该账号下的应用A使用了30个，则该账号下的其他应用就只有20个频道可用

## 2 录制点播相关Q&A

### 2.1 后台录制的音视频数据文件是如何切分的？

为了避免长时间录制导致音视频文件过大，后台每90分钟会对文件进行一次切分，存储为形如：**`文件名_开始时间_结束时间`**的mp4文件，其中**`文件名`**是开始录制接口所传入的参数。在点播观看的时候，业务侧可以通过获取视频播放信息接口**`v2/DescribeVodPlayInfo`**拉取整个录制过程的文件列表

### 2.2 是否支持纯语音录制？

目前互动直播的旁路推流尚不支持纯语音录制，即录制的媒体流中必须要有视频数据。单独的纯语音录制需要后台逻辑调整以及QAVSDK新接口的配合，我们正在排期开发中，敬请期待