# 互动直播费用
## 第一部分：[必选]基础网络费用
通过互动直播实现的基础音视频业务所消耗的带宽费用(不含旁路直播、录制这类附加功能的消耗)

月实际使用费用（Z)=核心机房（DC）月峰值带宽（X） \* 单价+边缘机房（OC）月峰值带宽（Y） * 阶梯单价

其中核心机房带宽单价为120元/Mbps/月，边缘机房带宽单价根据相应的月峰值带宽呈现阶梯变化：

 <table>
        <tr>
            <th>边缘机房月峰值带宽</th>
			<th>核心机房（DC）带宽单价</th>
            <th>边缘机房（OC）带宽单价</th>
            <th>月实际使用费用（Z）</th>
            
        </tr>
        <tr>
            <th>Y≤ 5Gbps</th>
            <th>120/Mbps/月</th>
            <th>23/Mbps/月</th>
            <th>120X+23Y</th>
        </tr>
<tr>
            <th>5Gbps< Y≤ 50Gbps </th>
            <th>120/Mbps/月</th>
            <th>21.5/Mbps/月</th>
            <th>120X+21.5Y</th>
        </tr>
<tr>
            <th>50Gbps< Y≤ 100Gbps</th>
            <th>120/Mbps/月</th>
            <th>20.5/Mbps/月</th>
            <th>120X+20.5Y</th>
        </tr>
<tr>
            <th>100Gbps< Y≤ 300Gbps</th>
            <th>120/Mbps/月</th>
            <th>19.5/Mbps/月</th>
            <th>120X+19.5Y</th>
        </tr>
<tr>
            <th>300Gbps< Y≤ 500Gbps</th>
            <th>120/Mbps/月</th>
            <th>18.5/Mbps/月</th>
            <th>120X+18.5Y</th>
        </tr>
<tr>
            <th>500Gbps< Y</th>
            <th>120/Mbps/月</th>
            <th>17.5/Mbps/月</th>
            <th>120X+17.5Y</th>
        </tr>

      
    </table>

 
 带宽消耗估算示例：<br />
如果客户互动直播业务的观众端观看码率设置为1M，在某一个时刻同时有100人观看，那么该时刻的带宽消耗为 1×100 = 100M，以此类推;每5分钟统计一个时刻的带宽使用量，最后得出当月的带宽消耗峰值进行计费<br />

友情提示：如果您有较大的业务量，可通过您的腾讯云大客户经理进一步协商定制优惠价格<br />
注解：<br />
a.月带宽峰值：<br />
• 核心机房(DC)和边缘机房(OC)每5分钟统计一个带宽峰值（单位Mbps），取当月最高点作为核心机房月带宽峰值，作为结算标准；<br />
b.核心机房（DC）<br />
• 可以上下行音视频数据，适用于多人音视频互动<br />
需要大比率用到DC的情况：<br />
(1)当观众端有上行音视频权限时<br />
【注意】观众端是否上麦是由开发者进行设定切换的，设定错误会导致大量流量走DC!!<br />
(2)如果没有上行音视频流量，当房间人数较少(比如小于等于5人)由于流程是主播--->DC--->OC--->观众，使用OC会导致 DC-->OC 流量浪费，所以也直接用DC流量下行)<br />
c.边缘节点(OC)<br />
• 只能下行音视频数据，适用于纯观看，如观众等角色。<br />
(如图所示，没有观众端上行视频、房间在线人数>5人， 大部分都会是OC流量，但也有一定带宽比率是DC-->OC的带宽，这部分将近是10%)）<br />

# 第二部分：[可选]附加能力费用
只有在开通并使用了附加能力的情况下，才会消耗费用，比如录制、旁路直播等。<br />
目前，互动直播配套的附加能力有旁路直播、录制和智能鉴黄，如果客户的产品使用了这几个能力，会有相应的费用消耗，这些能力都有独立的计费规则：<br />
## 旁路直播计费
旁路直播，使用的是云直播的能力，来实现互动直播房间之外的音视频播放，因此，旁路直播费用是按照云直播的付费标准来进行收费，请参考云直播的定价规则。<br />
## 录制相关计费
录制功能，分成两部分费用：<br />
1）录制线路占用费<br />
按照录制月并发最高路数收费，价格：30元/路/月<br />
2）存储费用<br />
存储使用的是云点播的能力，来实现互动直播录制视频的存储、转码和回放功能，需开通点播服务<br />
因此，存储费用按照云点播的标准来进行收费，请参考云点播的定价规则。<br />

## 截图鉴黄功能计费
1.计费项目：截图、图片鉴黄。<br />
2.报价：<br />
1）截图报价：0.1元／千张（不超过1000张不收费；超过1000张（包含）开始收费，收费单价按千张合计，不足1000张部分按1000张算。例：3600会计成4000张）<br />
2）图片鉴黄（确定部分）：1.3元／千张； (无需人工审核，算法部分)<br />
3）图片鉴黄（不确定部分）：0.4元／千张； (需人工审核确定)<br />

# 第三部分：[可选]技术支持费用

用于支付专门技术服务、特殊资源支持等的费用，需单独协商开通<br />

技术支持服务，是由腾讯云视频团队提供的人工服务，涵盖接入技术咨询、特殊资源开通等，具体服务方式由客户与腾讯云运营协商制定<br />

以下类型客户适合选择技术支持服务：<br />

1.缺少有经验的视频类应用研发资源<br />

2.短时间内需要产品快速上线<br />

3.有特殊的功能需求，且确定上线后该功能有巨大使用量<br />

技术支持服务的开通、服务模式、计费，是通过线下协商、签订合同的方式确定<br />

如有意向请添加QQ：3358225043<br />

添加时请注明您的：公司名、接入的服务(互动直播/云直播)<br />