本篇适用于新接触音视频类应用研发的产品和技术人员

### 视频术语
#### 视频编码
通过特定的压缩技术，将某个视频格式的文件转换成另一种视频格式文件的方式。视频流传输中最为重要的编解码标准有国际电联的H.261、H.263、H.264，运动静止图像专家组的M-JPEG和国际标准化组织运动图像专家组的MPEG系列标准，此外在互联网上被广泛应用的还有Real-Networks的RealVideo、微软公司的WMV以及Apple公司的QuickTime等。互动直播目前支持H.264标准
#### 码率
码率指的是根据采样每秒传输的数据大小，每种视频编码在不同分辨率、不同采样下有所不同，在编码格式相同，采样和分辨率一致的基础上，单位时间内码率越高，被压缩的比例越小，画质越精细，越接近我们所看到的，但是超过一定数值，对图像的质量没有多大影响。
#### 码率计算公式
【码率】(kbps)=【文件大小】(MB) x 1024KB/【时间】(秒)
#### 帧率
指每秒所显示的图像有多少帧（帧也可以理解为张），理论上，捕捉动态视频内容时，帧数率愈高愈清晰，占用的空间也越大。实际上人眼在观看12格每秒以上的时候已经非常流畅，目前国内广电领域广泛使用的是25fps，电影则使用的24fps，帧数率高低对视频的影响取决于我们在播放时使用了多少的帧速率，比如，我们用高速功能拍摄了一段96fps的视频，再以24帧每秒的帧数率播放，那么它的播放速度就放慢了4倍，场景中的所有动作就会变慢，也就是常说的升格；相反的，如果拍摄了8fps的视频再以24fps播放时，视频就是快放的效果。
#### 码率,帧率和分辨率的联系与区别
**码率：**影响体积，与体积成正比：码率越大，体积越大；码率越小，体积越小。
**帧率：**影响画面流畅度，与画面流畅度成正比：帧率越大，画面越流畅；帧率越小，画面越有跳动感。如果码率为变量，则帧率也会影响体积，帧率越高，每秒钟经过的画面越多，需要的码率也越高，体积也越大。
**分辨率：**影响图像大小，与图像大小成正比：分辨率越高，图像越大；分辨率越低，图像越小。
#### 清晰度与码率和分辨率的关系
在码率一定的情况下，分辨率与清晰度成反比关系：分辨率越高，图像越不清晰，分辨率越低，图像越清晰。
在分辨率一定的情况下，码率与清晰度成正比关系，码率越高，图像越清晰；码率越低，图像越不清晰。
#### GOP
Group Of Pictures意思是画面组，一个GOP就是一组连续的  画面。MPEG编码将画面（即帧）分为I、P、B三种，I 是内部编码帧，P是前向预测  帧，B是双向内插帧。简单地讲，I 帧是一个完整的画面，而P帧和B帧记录的是相对于  I帧的变化。没有I帧，P帧和B帧就无法解码

### 音频术语
#### AGC
自动增益补偿功能（Automatic Gain Control），AGC可以自动调麦克风的收音量，使接受者收到一定的音量水平，不会因发言者与麦克风的距离改变时，声音有忽大忽小声的缺点。
#### AEC
回声消除器（Acoustic Echo Chancellor）, AEC的工作原理是通过对讲话者的输出建模，并且将其从麦克风捕捉的信号里除去。AEC有助于确保对方听不到回声。AEC是对扬声器信号与由它产生的多路径回声的相关性为基础，建立远端信号的语音模型，利用它对回声进行估计，并不断地修改滤波器的系数，使得估计值更加逼近真实的回声。然后，将回声估计值从话筒的输入信号中减去，从而达到消除回声的目的，AEC还将话筒的输入与扬声器过去的值相比较，从而消除延长延迟的多次反射的声学回声。根椐存储器存放的过去的扬声器的输出值的多少，AEC可以消除各种延迟的回声。
#### ANC
背景噪音抑制功能（Automatic Noise Suppression），ANS可探测出背景固定频率的杂音并消除背景噪音，例如：风扇、空调声自动滤除。