##  1.什么是互动直播

**互动直播**（Interactive Live Video Broadcasting），顾名思义，是“**多路音视频实时互动**”解决方案，[查看典型场景实例](https://cloud.tencent.com/doc/product/268/3160)

- 与普通的单向直播相比，赋予了**观众“露脸发声”**的权利，因此对实时性、抗回声的要求更高

- 开发者通过接入互动直播SDK，可构建**1对1、1对多、多对多**的音视频通信，拥有与QQ音视频、一样卓越的通信质量

- 互动直播房间可支持最多10路连麦视频、不限路数纯音频(一般移动设备的性能可完美支持6~8路视频)的多人直播，同一房间最高支持**100万**人并发，非常适合大规模秀场直播、视频社交、在线教育、远程咨询、多机位在线媒体转播等应用领域
</br>



## 2.与“云直播”服务的区别

打个比方，如果“**直播**”服务是个信号“发射塔”，那“**互动直播**”就是个带舞台的“剧院”

![](//mccdn.qcloud.com/static/img/684a6a66a62cb830c9cfb29848987210/image.png)

- 所有人不管在什么地方，只要知道发射塔的信号频率(即频道号或链接)就能收看它发送的节目

- 而想看剧院舞台的演出，就要首先进入到剧场里坐到观众席，当然观众席的位置可以是1个，也可以是几万个，还能被邀请上台一起表演

- 因为需要实时的看到舞台上面人的表演，所以互动直播的延时会比直播更低(互动直播是毫秒级，直播是秒级)

- 特别的，剧院舞台上的表演，也可以被发射塔播出去，给剧场外面的人看，这就是“旁路直播”功能
 </br>



## 3.能力集成

#### 互动直播相当于一个“能力容器”，能够集成多种腾讯云产品能力，来为视频应用实现多样化的场景

| 能力名称 | 能力说明 | 典型适用场景 |
|---------|---------|---------|
| **多路音视频** | 多人同房间互相音视频通话 | 1.大型直播时，主播邀请观众上麦互动</br>2.多主播大型互动直播，如远程辩论、嘉宾评论等等</br>3.一对一、多对多可视通信 |
| **云通信** | 即IMSDK，用于直播房间用户群管理、消息处理，[开通和集成指南](https://cloud.tencent.com/doc/product/269/3794) | 大型直播群聊消息、送礼、红包等功能 |
| **屏幕分享** | 的用户把屏幕</br>(windows可指定区域)动态展示给同房间用户 | 远程教学展示课件；金融证券直播展示走势图；游戏主播展示游戏实时画面 |
| **美颜** | 降噪、磨皮、美白 | 秀场类大型直播、可视通信 |
| **人脸识别** | 识别采集到的人脸画面以及五官位置 | 人像定位、定向美颜、换脸滤镜 |
| **快速切换房间** | 让观看者无缝切换直播房间画面 | 滑动换房 |
| **录制** | 从云端录制房间的音视频内容(暂不支持多路混流)，需[开通点播服务](http://console.cloud.tencent.com/video/portal) | 直播回放、内容管控存储 |
| **旁路直播** | 把互动直播房间的音视频通过CDN加速推到房间之外给更多人观看(flv、hls格式，默认提供5个频道)，[详细介绍](https://cloud.tencent.com/document/product/268/7612) | 向未安装App的用户推广直播内容；房间人数超100万人时，让更多人在房间外看视频 |
| **混流及其录制** | 两路连麦的画面混合成一路推出，并且录制在同一个视频里 | 连麦视频内容的推广、保存 | 
| **鉴黄** | 从云端对直播画面进行截帧、存储和自动画图鉴别 | 大型秀场类直播内容审核 |
| **添加水印** | 添加logo图片到互动直播画面 | 应对政策、内容和品牌推广 |
| **播放RTMP视频流** | 在互动直播房间播放专业转播设备采集的或是来自第三方的视频流 | 大型活动多机位画面转播；第三方赛事转播信号内嵌主播解说画面 |

[更多案例请点这里查看](https://cloud.tencent.com/doc/product/268/3160)

## 4.主要音视频参数

| 参数类型 | 腾讯云互动直播指标 |
|---------|---------|---------|
| 最多同时音视频上限 | 视频10路，纯音频不限 |
| 同房间最多观众数 | 100万 |
| 视频分辨率 | 320×240， 480×360，640×368，640×480，960×540，1280×720|
| 图像编码码率范围 | 30~1500kbps |
| 延迟范围 | 150~400ms |
| 抗丢包率 | 35% |
| 音频采样率 | 8000,16000,48000 |
| 房间进入速度 | WIFI:950ms, 4G:1504ms |















