
## 1.视频质量控制
### 设置视频编解码参数
支持系统：windows/iOS/Android
备注：
"参数包括编解码器类型、图像宽高、帧率、码率、最大QP、最小QP、GOP、清晰化开关、清晰化度和FEC开关。这些参数的取值范围详看API文档。
注意事项：
. 通过web端配置工具来配置这些参数。
. 当前各平台支持的最大编解码分辨率如下：

**Windows    ** 
编码：1280*720 
解码：1280*720
条件：
 . 网络良好。
 . 需要使用web端参数配置工具设置编码分辨率为640*480。

**iOS**
编码：1280*720 
解码：1280*720
条件：网络良好。

**Android **
编码：1280*720 
解码：1280*720
条件： 网络良好。"

## 2.摄像头控制
### 打开
支持系统：windows/iOS/Android
备注：打开设备。如果同类型的设备存在多个，是不允许同时打开的；打开其中一个设备时，如果之前已经有其他同类型的设备打开了，SDK会默认关闭那些设备。

### 关闭
支持系统：windows/iOS/Android

### 切换摄像头
支持系统：windows/iOS/Android

### 获取设备信息
支持系统：windows/iOS/Android
备注：获取设备的信息，包括ID、名称、类型、是否打开等。

### 渲染
支持系统：**iOS/Android**
备注：目前，SDK内部提供的渲染模块的功能比较简单，对于渲染画面大小、位置等不能任意设置。如果这样不能满足业务需求的话，建议业务侧可以自己实现渲染。

### 获取系统摄像头对象
支持系统：**iOS/Android**
备注：可以通过该对象实现变焦功能。

### 图像预处理
支持系统：**iOS/Android**
备注： 自己和房间成员是可以看到预处理后的效果。自己如果发视频，是发这个预处理后的视频，房间成员看到的也是预处理后的视频。

### 美颜功能
支持系统：**iOS/Android**

### 获取远端视频数据
支持系统：**iOS/Android**
备注：当业务方想自己渲染远端数据时，可以拿到对应的数据

### 获取摄像头采集数据
支持系统：**iOS/Android**
备注：当业务方想自己渲染摄像头数据时，可以拿到对应的数据

## 3.外部视频捕获设备(虚拟设备)
### 说明
外部视频捕获设备是一种虚拟设备，用于让用户输入自己的视频，并由SDK发送给房间其他成员。这边的视频源可以任意，比如来自用户自己的摄像头的、来自某个视频文件的。目前只支持一个外部视频捕获设备。

### 打开
支持系统：windows/iOS/Android

### 关闭
支持系统：windows/iOS/Android

### 获取设备信息
支持系统：windows/iOS/Android
备注：获取设备的信息，包括ID、名称、类型、是否打开等。

### 输入视频流
支持系统：windows/iOS/Android
备注：
根据业务需求，输入自己的视频流，并由SDK发送给房间其他成员。这边的视频源可以任意，比如来自用户自己的摄像头的、来自某个视频文件的。
注意事项：
. 输入的视频流必须遵循SDK接口所约定的要求。具体要求是：视频必须转成一帧帧图像传进来，图像的颜色格式目前只支持I420，图像大小无限制，并且图像的宽高必须是4的倍数，视频帧率最好在10-15帧左右。另外，SDK不负责对所输入的视频流做图像预处理、渲染等。
. 外部图像捕获设备跟摄像头设备是互斥的，也就是同一个时刻只能有一个起作用。


## 4.远程房间成员视频设备(虚拟设备)
### 说明
远程房间成员视频设备，是一种虚拟设备，用于操作远程成员的视频流，即请求远程成员视频数据用于渲染。
对PC端而言，目前只支持一个远程房间成员视频设备，所有远程房间成员共用，即需要new一个远程设备，然后SDK将数据吐给上层；Android和IOS把这个又做了一层封装，上层app不需要关注设备这个概念了，只需要设置一个回调，SDK就会将其他人的数据通过回调吐给app

### 打开
支持系统：windows/iOS/Android

### 关闭
支持系统：windows/iOS/Android

### 获取设备信息
支持系统：windows/iOS/Android
备注：获取设备的信息，包括ID、名称、类型、是否打开等。

### 渲染
支持系统：**iOS/Android**
备注：
渲染远程成员的视频画面。
注意事项：
. 目前，SDK内部提供的渲染模块的功能比较简单，对于渲染画面大小、位置等不能任意设置。如果这样不能满足业务需求的话，暂时需要业务侧实现。IOS和Android SDK提供的渲染模块当前已支持多路渲染（Windows平台需要业务方拿到视频流数据后自行进行渲染）。

### 获取视频流
支持系统：windows/iOS/Android
备注：获取房间成员的视频流。可以获取所有有发送视频的成员的视频流。如果业务侧根据自己业务需要，要实现自己的渲染，可以通过该功能获取视频流后去渲染。

### 每帧画面渲染的事件通知
支持系统：windows/iOS/Android
备注：每帧画面渲染的事件通知。业务侧可以利用此改善UI体验，如根据这个事件是否通知、通知时间间隔等，在UI给用户友好提示。

## 5.本地屏幕视频设备(虚拟设备)

### 打开
支持系统：**windows**
注意事项：
. 同一时刻，同一个房间内，只允许一个成员打开本地屏幕视频设备和发送屏幕视频。如果其他人要打开本地屏幕视频设备，必须等到别人关闭了本地屏幕视频设备后才行。
. 屏幕视频画面编码分辨率最大支持1920*1200。
. 更多屏幕视频设备使用的注意事项请参考API文档。

### 关闭
支持系统：**windows**

### 获取设备信息
支持系统：**windows**

### 渲染
注意事项：
. 目前，SDK内部提供的渲染模块的功能比较简单，对于渲染画面大小、位置等不能任意设置。如果这样不能满足业务需求的话，建议业务侧自己实现渲染。

### 图像预处理
支持系统：**windows**
备注：
可以对本地屏幕采集图像进行预处理。
注意事项：
. 自己和房间成员是可以看到预处理后的效果。自己如果发视频，是发这个预处理后的视频，房间成员看到的也是预处理后的视频。

## 6.远端屏幕视频设备(虚拟设备)

### 打开
支持系统：windows/iOS/Android
注意事项：
. 由于屏幕视频画面分辨率往往比较高，如1920*1200，对于终端，特别是一些硬件配置比较差的终端，接收、解码和渲染这么大的画面，是对用户体验有所影响的；所以在实际使用过程中，最好对此做好评估。

### 关闭
支持系统：windows/iOS/Android

### 获取设备信息
支持系统：**windows**
备注：获取设备的信息，包括ID、名称、类型、是否打开等。

### 渲染
支持系统：**iOS/Android**
注意事项：
. 目前，SDK内部提供的渲染模块的功能比较简单，对于渲染画面大小、位置等不能任意设置。如果这样不能满足业务需求的话，建议业务侧自己实现渲染。

### 获取视频流
支持系统：windows/iOS/Android
备注：获取房间成员的视频流。可以获取所有有发送视频的成员的视频流。如果业务侧根据自己业务需要，要实现自己的渲染，可以通过该功能获取视频流后去渲染。







