## Video Utility

### Non-Interactive Broadcasting
Supported systems: Windows/iOS/Android

**What is non-interactive broadcasting?**

Non-interactive broadcasting is an opposite concept to "watching LVB videos in ILVB rooms".
If we consider "watching video in ILVB rooms" as watching a drama in a theater, then "non-interactive broadcasting" means to **capture the drama using a camera to allow people outside the theater to watch**, as shown in the image:

![](//mccdn.qcloud.com/static/img/486eae67c134e6e4bb3351b0b7ea45cf/image.jpg)

Capability differences between the two methods:

| Capability | Watch in ILVB Room | Watch via Non-Interactive Broadcasting |
|---------|---------|---------|
| Content | You can watch the displays of both VJs and interacting viewers | You can only watch the display of VJs in the current version |
| Method for watching | Watch from App | Watch by using the channel ID or LVB link you acquired |
| Video format | Non-open format | RTMP, FLV, HLS are all supported |
| Member limit | A maximum of 100,000 members can watch in the same room, at the same time | No limit |
| Room/channel limit | No limit for number of rooms | 5 free initial channels are provided for free, and you can add new paid channels</br>Channels are managed using the Cloud LVB Console. [Channel Management](https://cloud.tencent.com/doc/product/267/4697) |

For this reason, non-interactive broadcasting is suitable for users without corresponding Apps to watch contents (such as promotions), or for large-scale LVB events with a concurrency of more than 100,000 participants.

[Price for Non-Interactive Broadcasting](https://cloud.tencent.com/doc/product/268/5129#1..E6.97.81.E8.B7.AF.E7.9B.B4.E6.92.AD.E8.AE.A1.E8.B4.B9)

[Non-Interactive Broadcasting Development Manual](https://cloud.tencent.com/doc/product/268/3219)


### Recording
Supported systems: Windows/iOS/Android
Note: Cloud recording is supported. You can realize record storage, transcoding, distribution and other features by combining Tencent Cloud VOD service and its comprehensive APIs.



## Device Management
### Acquire the Number of Input and Output Devices	
Supported systems: **Windows/iOS**

### Acquire the List of Input and Output Devices	
Supported systems: **Windows/iOS**

### Acquire the Number of Enabled Devices	
Supported systems: **Windows/iOS**

### Acquire the List of Enabled Devices	
Supported systems: **Windows/iOS**

### Acquire Device by Device ID	
Supported systems: **Windows/iOS**

### Acquire the List of Devices of a Certain Type	
Supported systems: **Windows/iOS**

### Acquire Microphone, Speaker and Camera Prior to Communication
Supported system: **Windows**

### Acquire the List of Voice/Video Devices	
Supported systems: **Windows/iOS**
