# AV_Monitor功能和使用介绍

## 内容提要

AV\_Monitor是帮助用户定位排除网络问题的实时监控工具。地址是[http://avq.avc.qcloud.com/monitor.html](http://avq.avc.qcloud.com/monitor.html)。

## 基本功能

![基本界面](https://mc.qcloudimg.com/static/img/3be70ac5c099785144a2209e5b8ada2d/1.jpg)

界面最上方是查询条件录入文本框，SdkAppid、账号(Identifier)、查询时间段，都是必填项目。界面左边竖排的两个文本框，主要用于显示某些上报具体的取值，方便开发同事定位问题。例如，在下图中点击进入房间的红色点就可以在左侧文本框里看到一些基本信息，如CPU、操作系统、网络类型、机型、SDK版本等
![基本界面](https://mc.qcloudimg.com/static/img/8a46acbbfb69ab95dc75622c2442ef6e/2.jpg)

同样是这张图，在曲线上方显示地列出了所查询用户的一些常用的基本信息，其中需要关注以下几项：

* Tinyid，即基本信息左侧最下面的uin:xxxxxx，这个有时候开发查问题需要用
* 是否代理机，在DC上的用户，这里显示“否”；在OC上的用户，这里显示“是”
* 传输协议，通常主播类型都是UDT
* 客户端IP，可以看到用户侧的省份运营商
* 接口机IP，可以查看分配的接入机IP和客户端是否匹配，但目前只能显示内网IP，需要腾讯开发在内部网站tnm2.oa.com查询

最后，上图中最右边的图表目录是各种曲线图表的快捷入口，点击即达想要的位置

## 下行质量监控图表

顾名思义，主要用于展示观众端的各种动作和状态，下面注意列举各图表展示的内容和使用场景

### 下行总丢包率

![基本界面](https://mc.qcloudimg.com/static/img/6e591a59fbce40ae67288180221363d6/3.jpg)

* 丢包率曲线
最下面的紫色曲线是丢包率曲线，每2s一个点，反应的是用户当前的网络状况。高丢包率会导致音视频卡顿，而出现高丢包通常说明用户可能网络质量较差。例如，上图中丢包率曲线显示，在用户开播的时候有短时的丢包情况，而其他时间丢包率为0，说明其整体网络状况良好

* 红色点
红色点代表用户一次进房间的动作。红点是可以用鼠标点的，点了之后图表上方的基本信息和左侧的文本框里会刷新出该用户这次进房间时所携带的基本信息

* 蓝色点
蓝色点代表用户一次退出房间的动作。由于用户可能不退出房间直接杀进程，所以蓝色点可能会比真实情况晚90s（后台的超时时间）。鼠标放在蓝色点上会弹出提示信息，可以看到是正常退出还是超时退出

* 黄色点
黄色点是说明用户在使用过程中IP发生了改变，极有可能发生了网络切换但又没退出房间

### 下行总码率

![基本界面](https://mc.qcloudimg.com/static/img/b9ff74ce4eebc604bc4cc29efbbcd8b0/4.jpg)

下行总码率=下行视频码率+下行音频码率（包含各自的FEC）。点击下行总码率的任意一个点，都可以得到主播的TinyID，而通过这个TinyID就可以查看主播的状态信息，不用再去找业务开发要主播ID了，事实证明这个功能非常的有用

### 下行音频码率

顾名思义，需要注意的是，由于音频最高会有100%的FEC，网络不好的时候和平时码率可能会相差1一倍

#### 其他下行图标

* 下行大画面总帧率，顾名思义
* 下行大画面总帧率，顾名思义，帧率越低，画面越不流畅
* 下行辅路总帧率/总码率，屏幕分享的帧率码率

## 上行质量监控图表

### 上行总丢包率

![基本界面](https://mc.qcloudimg.com/static/img/ffabf311e59c99646782dc4d1411997f/5.jpg)

与下行丢包率视图相比，这里只多了一个粉色点，代表获取/清除视频位。这是主播独有的动作，即开播前需要向后台申请视频位成功，后台才会将该主播的视频流转给观众。若该主播30s内没有任何视频数据上行，那么后台将会清理视频位；如果主播后来仍要上行视频流，则需要重新申请视频位。

### 时延(ms)

![基本界面](https://mc.qcloudimg.com/static/img/f32e79a8a9e6395ddc21641a03193478/6.jpg)

时延，是指客户端到接口机Hello包的RTT。通常网络变差时延时就会变大，造成视频卡顿。需要注意的是，有时候CPU高也会引起延时变大，这是由于CPU高占用使得Hello包的处理进程无法正常处理回包导致的

## 其他监控图表

![基本界面](https://mc.qcloudimg.com/static/img/cec6522e4e762f480350ea0b82e8022f/7.jpg)

应用的CPU使用率是指SDK的CPU占用情况，设备的CPU使用率是指App整体占用情况。需要注意的是，最近iPhone遇到某些场景下CPU降频导致CPU整体占用过高的问题，需要具体情况具体分析


# 互动直播音视频后台Q&A

## 关于“房间”的认知

对于互动直播音视频后台而言，房间主要用于实现用户群体的隔离，用户在不同的房间可以看到不同主播的视频流，这个和现实中秀场的概念是想通的。房间是用`房间ID`标识的，类型为32位整形数字，由**_业务方生成和管理_**，不同的房间应该使用不同的`房间ID`。

注意，音视频的`房间ID`与IM群组ID是没有任何关联的，但通常业务在使用过程中其实是将*音视频房间*和*IM群组*做了一一对应的，即可以用IM群组ID作为音视频`房间ID`或在二者之间建立映射，这个都是业务方自己根据实际需要来决策
