# 在线人数统计方案

> * 方案一：业务服务器管理（推荐）
> * 方案二：使用IMSDK接口

## 方案一：业务服务器管理
### 流程图

![](http://mc.qcloudimg.com/static/img/8da0f13a73d87e2970e5e4603d3ca61d/image.png)

### 步骤描述

1. 观众2调用业务服务器进房接口生成进房记录
2. 观众2调用imsdk接口发送进群自定义消息，可与步骤1同步进行
3. 观众2生成进房记录同时，业务服务器返回当前房间人数
4. 观众1收到观众2进群自定义消息，在线人数＋1
5. 观众2调用业务服务器退房接口生成退房记录
6. 观众2调用imsdk接口发送退群自定义消息，可与步骤5同步进行
7. 观众1收到观众2退群自定义消息，在线人数－1

## 方案二：使用IMSDK接口

通过IMSDK接口获取直播间在线人数主要有两种方式：

* AVChatRoom通过群组资料获取人数
    * 不是实时的，有1分钟左右的时延
    * 只返回人数
* AVChatRoom注册TIMGroupEventListener接口收到进群、退群事件时获取人数
    * imsdk2.4支持
    * 统计结果存在时延
    * 只返回人数
    * 人数较少场景（比如只有几十人），统计结果偏差明显

点击[这里](https://cloud.tencent.com/doc/product/269/4104#5.3-.E8.8E.B7.E5.8F.96.E8.A7.82.E7.9C.8B.E7.9B.B4.E6.92.AD.E7.9A.84.E4.BA.BA.E6.95.B0)查看详细。


**注意事项：**

* ILiveSDK暂未提供该方案，推荐使用方案一

### 流程图

![](http://mc.qcloudimg.com/static/img/b16adf18652b99993810d07054ec7c9b/image.png)

### 步骤描述
1. 观众2进入直播
2. 观众1和观众2收到观众2的进群事件通知，使用附带的人数字段memberNum更新在线人数
3. 观众2退出直播
4. 观众1收到观众2的退群事件通知，使用附带的人数字段memberNum更新在线人数
