## 互动直播系统架构
腾讯视频云基于QQ多年音视频领域的积累，针对移动时代复杂多变的网络环境，精心设计了这款时延低，功能强大的互动直播产品。
### 架构说明
1. 延迟低。基于UDP或UDT的定制协议，可以在最大限度上保障低延迟；
2. 私密性好。定制协议也可以非常好地保护高价值的视频内容不被盗链侦听；
3. 扩展性强。如果需要和音视频流精密同步的自定义数据，例如实时面部识别，也可以在定制协议上进行扩展；
4. 兼容性好。对于已经有观看端的用户，或者web、H5用户，也可以采用旁路推流的方式，以通用流媒体协议为其提供服务；
5. 采用定制协议和采用通用协议的用户，信令和消息也可以实时互通；

![腾讯互动直播系统架构](https://mc.qcloudimg.com/static/img/50aafdfc8b501b497075e74b0b5f1128/1.png)

### 数据交互时序说明
1. 步骤1和2解释了独立帐号模式下，app用户完成腾讯互动直播身份认证的过程。<br/>
	如果采用托管帐号模式，则不需要开发者server参与，直接调互动直播sdk login接口即可；
2. 开播、观看、上麦等音视频接口的调用必须在进房间成功之后；
3. 只要app业务逻辑允许，在调用相应的接口后，任何用户都有上麦能力；
4. 开发者后台server可以通过腾讯互动直播给app里的用户或者群组push消息。

![腾讯互动直播数据交互](https://mc.qcloudimg.com/static/img/4094feaf383cf1e3c5714bd3f9dbfc8e/hudongzhibo.png)

### 互动直播代码结构说明
1. iLive SDK封装了之前诸多SDK的接口，统一提供基础的账户、消息和音视频能力；
2. 为了方便开发者使用，我们在iLive SDK基础上，包装了互动直播常用的业务逻辑，提供了Live SDK。推荐开发者直接在Live SDK基础上进行开发；
3. 在Live SDK基础上，我们又提供了一个demo app，叫随心播。通过这个demo app，开发者可以直接体验互动直播的场景功能，也可以作为app UI开发的参考。


![腾讯互动直播代码结构](https://mc.qcloudimg.com/static/img/0e11b392263468750268184075781f23/6.png)

