## 一 功能说明

* 互动直播后台提供截图和鉴黄两种服务，可以根据需要选择开通。<br/>
截图功能:<br/>
会对用户的上行数据（包括摄像头和屏幕分享）进行截图并存储，支持通过截图回调的方式把截图下载链接发送给用户。<br/>
鉴黄功能:<br/>
会对存储的截图调用腾讯云优图服务来智能鉴黄并给出鉴黄评分，对于涉黄的图片支持通过鉴黄回调的方式通知用户。
* 开通鉴黄服务后，默认开启了大屏监控展示功能，登录[监控后台](http://jh.live.qcloud.com/)后可以看到展示的图片和鉴黄相关信息。

## 二 控制台设置

#### 1. 开通方法 

![](https://mc.qcloudimg.com/static/img/5f583de77788f98af47b60a9553c14b5/1.png)

在互动直播控制台对需要开通截图鉴黄功能的sdkappid，点击【应用配置】,切换到【鉴黄设置】页面。<br/>
默认是关闭状态，点击【编辑】后可以看到启动开关，开启后系统会自动生成一对密钥（secretId和secretKey）供签名使用。

##### 1.1 开通截图功能

![](https://mc.qcloudimg.com/static/img/b70f58eba309927a1c27e823f53e8bcc/2.png)

用户只开通截图功能默认是必须提供截图回调地址的，截图回调使用方法请参考2.1节。截图频率默认10s，后面会支持4种选择（5s/10s/30s/60s）。填写完成后勾选下面的“同意 《腾讯云服务协议》”并点击【确认】，即开通了截图功能。

##### 1.2 开通截图+鉴黄功能

用户开通鉴黄功能默认是必须提供鉴黄回调地址的，通过回调来获取图片鉴黄结果，鉴黄回调使用方法请参考3.1节。<br/>
用户可选择是否需要截图回调和操作回调（封停房间用），不需要的话对应的回调地址可以不填。<br/>
填写完成后勾选下面的“同意 《腾讯云服务协议》”并点击【确认】，即开通了截图+鉴黄功能。

#### 2. 获取截图
目前只支持截图回调的方式来获取截图。

##### 2.1 截图回调服务

##### 2.1.1 说明
截图回调服务会根据用户提供的截图回调地址，把存储的截图相关信息（用户名，房间号，下载链接等），主动回调给用户。

##### 2.1.2 接口描述
协议：HTTP<br/>
域名：(用户提供回调的域名)<br/>
请求类型：POST<br/>
数据格式：JSON<br/>

* 请求参数说明

参数名称  | 是否必选  | 类型 |  描述
:-----: | :-----: | :-----: |:-----: 
userid|必选|string|用户名`（经过base64转码，转码后特殊符号‘$’替换成‘$1’,‘\’替换成‘$2’）`
groupnum|必选|UInt|房间号
sdkappid|必选|UInt|sdkappid
filename|必选|string|文件名
url|必选|string|图片下载链接
timestamp|必选|string|时间戳
sign|必选|string|请求签名，计算方法参加附录

* 返回参数

参数名称  |  类型 |  描述
:-----: | :-----: |:-----: 
code|UInt|0：接收成功 1：处理失败

* 示例

请求

```
{
   "userid": "dXNlcjE",
   "groupnum": 123456,
   "sdkappid": 1400000000
   "filename": "dXNlcjE_123456_1400000000_1481701566.jpg",
   "url": "http://xxx.com/ab_140000000/20161214/dXNlcjE/15/dXNlcjE_123456_1400000000_1481701566.jpg",
   "timestamp": "1481701566",
   "sign": "e22fd6bcb979d78933acdc5863f0334a"
}
```

返回

```
{
    "code": 0
}
```

#### 3. 获取自动鉴黄结果

##### 3.1 鉴黄回调服务

##### 3.1.1说明

鉴黄回调服务会根据用户提供的鉴黄回调地址，把优图智能鉴黄发现疑似涉黄图片信息（用户名，房间号，下载链接等），主动回调给用户。

##### 3.1.2接口描述

协议：HTTP<br/>
域名：(用户提供回调的域名)<br/>
请求类型：POST<br/>
数据格式：JSON<br/>

* 请求参数说明<br/>
http head部分<br/>
鉴黄回调会在http请求头中携带HMAC-SHA1签名，来传递身份验证信息，客户可以通过验证签名进行鉴权。http请求头包含下面3个参数：

参数名称  |  是否必选 |  类型 | 描述
:-----: | :-----: |:-----: | :-----:
TPD-SecretID |必选|string|生成签名所用的secretId
TPD-CallBack-Auth|必选|string|使用 HMAC-SHA1算法计算的签名，计算方法参加附录
TPD-CallBack-Version|必选|string|回调协议的版本号,当前协议的版本为v2

http body部分<br/>

参数名称  |  是否必选 |  类型 | 描述
:-----: | :-----: |:-----: | :-----:
userid|必选|string|用户名`（经过base64转码，转码后特殊符号‘$’替换成‘$1’,‘\’替换成‘$2’）`
roomId|必选|UInt|房间号
img|必选|string|图片下载链接
type|必选|Array|图片类型。 鉴黄服务判定的鉴黄结果。 0 : 正常图片1 : 色情图片2 : 性感 图片4 : OCR识别恶意
confidence|必选|Number|识别为黄图的置信度，范围0-100；normalScore, hotScore, pornScore的综合评分。confidence大于83定为疑似图片
normalScore|必选|Number|图片为正常图片的评分
hotScore|必选|Number|图片为性感图片的评分
pornScore|必选|Number|图片为色情图片的评分
level|必选|Number|图片的级别
ocrMsg|必选||图片的ocr识别信息（如果有）
screenshotTime|必选|Number|截图时间（UNIX时间戳，单位秒）
sendTime|必选|Number|请求发送时间，（Unix时间戳，单位秒） 
abductionRisk|必选|Array|一个包含AbductionRisk结构的数组

* 返回参数

参数名称  |  类型 |  描述
:-----: | :-----: |:-----: 
code|UInt|0：接收成功 1：处理失败， 2：签名错误

* 示例

HTTP Header部分格式：<br/>

```
        "TPD-SecretID": AYID5JH4f1rYNT1XzIjTMCQCg9QZ
        "TPD-CallBack-Auth": sSOna1XcIDwgNRSm1b3D6scfFJk=
        "TPD-CallBack-Version": v2
```
输入的数据格式：

```
    {
        "id": 20001,
        "roomId" : 234,
        "userid": "VXNlcg==",
        "img" : "http://dasdas.***.888",
        "type" : [1],
        "confidence" : 10,
        "normalScore": 0,
        "pornScore": 100,
        "hotScore": 0,
        "level" : 0,
        "screenshotTime" : 1477366280,
        "ocrMsg":""
        "sign" : "XXXXX" 
        "sendTime":1481010889,
        "abductionRisk":[  
            {  
                "level":4,   /*风险等级*/
                "type":2001  /*风险类型*/
            },
            {  
                "level":3,
                "type":2002
            }
        ]
    }
```

返回

```
{
    "code": 0
}
```

#### 4.使用大屏监控功能

用户开通鉴黄后则默认开启了大屏监控功能，登录[监控后台](http://jh.live.qcloud.com/)可以在大屏监控上看到直播用户的截图和直播旁路推流画面（必须发起旁路推流），可以选择按照鉴黄可疑度进行排序查看。

##### 4.1 查看图片

查看方式选择“图片查看”。

##### 4.2 查看视频

查看方式选择“视频查看”。

#### 5.费用

截图与鉴黄为收费功能，启用后，截图功能按每千张￥0.1元 收费；鉴黄功能按每千张￥1.3元收费。 [查看收费详细说明](https://cloud.tencent.com/document/product/268/5129#3..E6.88.AA.E5.9B.BE.E9.89.B4.E9.BB.84.E5.8A.9F.E8.83.BD.E8.AE.A1.E8.B4.B9)


### 附录

#### 回调签名计算方法

1. 取http请求body部分的原始字符串
2. 从控制台获取回调秘钥secretKey
3. 使用从控制台获取的secretKey，通过HMACSHA1算法对上面步骤中获得的签名原文字符串计算签名
4. 将生成的签名串二进制内容使用Base64进行编码，获得最终的签名

例如：
假设从http请求获取的body部分如下：

```json
{"sendTime":1481010889,"tid":20001,"roomId":234,"userId":"TestUser","img":"http://dasdas.***.888","type":[1],"confidence":10,"normalScore":0,"pornScore":100,"hotScore":0,"level":0,"screenshotTime":1477366280,"ocrMsg":"","abductionRisk":[{"level":4,"type":2001},{"level":3,"type":2002}]}
```

下面以PHP为例讲解签名的计算过程。

```php
$secret_key=’6zkty7DvD8vfG3XEkV21VKV8Qpqh6SZK’
$jsonBody=‘{"sendTime":1481010889,"tid":20001,"roomId":234,"userId":"TestUser","img":"http://dasdas.***.888","type":[1],"confidence":10,"normalScore":0,"pornScore":100,"hotScore":0,"level":0,"screenshotTime":1477366280,"ocrMsg":"","abductionRisk":[{"level":4,"type":2001},{"level":3,"type":2002}]}’
$signature = base64_encode(hash_hmac('SHA1',$jsonBody,$secret_key, true));
```

得到最终的签名。

#### 优图智能鉴黄评分说明

正常图片评分: 范围0-100。优图对图片判定为正常概率评分，越高说明越符合正常图片；<br/>
性感图片评分: 范围0-100。 优图对图片判定为性感概率评分，越高说明图片性感等级越高；<br/>
色情图片评分: 范围0-100。 优图对图片判定为性感概率评分，越高说明图片色情等级越高；<br/>
黄图置信度: 范围0-100。 综合前面三种评分综合评分大于83定为疑似图片；<br/>
建议是使用黄图置信度对黄图进行评判。

