## 直播码模式升级指南

### 直播码模式的新功能

1. 支持自动旁路直播和自动录制，**极大降低了因接口调用时机不对导致旁路直播和录制失败的风险**
2. 地址生成和直播流有很强的自由度和定制度。
2. 录制支持多种录制格式、录制完成后事件回调。
3. 混流的必要条件。

## 如何升级直播码模式

![](https://mc.qcloudimg.com/static/img/2bcf5926caa034e205b96ad0b85bc24d/C9F9849C-7E9C-4BFA-85EB-CCC266F8B15F.png)<br/>

## 如何判断当前是频道模式还是直播码模式

在腾讯云控制台，选择`直播->直播码接入（推荐）`，如果展现为类似下图，如果展现为类似下图，说明当前还是处于**频道模式**，否则就是**直播码模式**。

![](https://mc.qcloudimg.com/static/img/488c132a42470912ec4c49091a041cb9/4.png)<br/>

#### <font color='red'>如果还是频道模式，一定要按照流程图提交工单，不要自己直接在控制台修改成直播码，也不要新建SDKAppID进行测试。</font>

## 如何提交直播码兼容模式申请工单

1. 在控制台选择发起工单，创建互动直播工单。
2. 问题类型选择其他问题，问题描述写以下内容：

* 标题：申请开通直播码兼容模式
* 内容1：公司的appid(注意不是SDKAppID，开发者可在直播控制台或者互动直播控制台上部找到)
* 内容2：是否要在互动直播创建房间的时候自动开始旁路直播

## 如何在直播控制台切直播码模式

1. 检查直播服务是否开通<br/>

在[腾讯云控制台上选择`直播`tab](https://console.cloud.tencent.com/live)，如果服务还没有开通，则会有如下提示:<br/>
![](https://mc.qcloudimg.com/static/img/c40ff3b85b3ad9c0cb03170948d93555/image.png)<br/>
点击申请开通，之后会进入腾讯云人工审核阶段，审核通过后即可开通。

2. 直播服务开通后，在控制台`直播`tab的`接入管理`中选择`直播码接入`。右边的页面中会出现以下几个选项：<br/>

![](https://mc.qcloudimg.com/static/img/973b21b88bf24bf02eb276c8e0e9efb3/1.png)<br/>

选项解释如下：<br/>

配置项  | 取值范围 | 解释| 详细文档
:-----: | :-----: | :-----:|:-----: 
直播录制 | 开启 OR 关闭 | 开启后，只要是旁路直播的视频，都会被录制下来。|[补充文档地址](https://cloud.tencent.com/document/product/454/7917)
推流防盗链key | 32位小写字符串 | 用于计算推流防盗链地址的key|[DOC](https://cloud.tencent.com/document/product/454/7917)
API鉴权key | 32位小写字符串 | 业务服务器和腾讯云后台接口互调时，鉴权信息所需的参数|[DOC](https://cloud.tencent.com/document/product/454/7920#.E5.AE.89.E5.85.A8.E6.A3.80.E6.9F.A5)
回调URL | HTTP的URL地址 | 业务服务器回调地址。推流和录制的事件通过此地址通知，不支持HTTPS|[DOC](https://cloud.tencent.com/document/product/267/5957)

3. 在根据自己的业务配置后，点`确认接入`。即完成了直播码的开通。






