## 简介
腾讯云提供娃娃机、娃娃机奖品物流、互动直播 SDK 和娃娃机操控 SDK等服务，包括实时视频传输、实施指令控制等能力。客户接入腾讯云在线抓娃娃场景化 SDK 后，只需开发 App/H5/小程序的业务层，即可立即开始营运。
![简介图](//mc.qcloudimg.com/static/img/49a1d7cf26d4714429becf30b532756f/image.png)
### 优势
#### 硬件能力
- 腾讯云多地部署娃娃机房，规模化机房管理运维，专线直通腾讯云视频云。

- 提供物流能力：第三方物流商合作，直接代发货。

- 专人响应客户需求：如娃娃机定制管理、娃娃定制采购、抓力实时调节等。

#### 音视频能力
- 多年 QQ 多路音视频能力开放，在互动直播的基础上对在线抓娃娃场景化 SDK 进行创新。

- 直播总延时低至 100 ms，结合玩家端控制，其它观众围观抓娃娃让抓娃娃更有趣。

- 支持 H5 双向实时互动音视频；小程序实时互动视频，帮助客户拓展更多抓娃娃应用场景。

- 全球 CDN 节点部署，智能接入系统为用户选择最优通道，海外也可以抓娃娃。


### 解决方案与腾讯云互动直播的关系
腾讯云互动直播为网络音视频传输提供了超低延迟的解决方案。正是基于此项能力，才使得线上抓娃娃的这种业务模式成为可能。所以要使用线上抓娃娃解决方案、集成线上抓娃娃 SDK，首先要完成腾讯云互动直播产品的对接。接入方法请参考 [了解系统架构](/document/product/268/7540)。
### 线上抓娃娃与直播房间的关系
线上抓娃娃是直播的一种新的玩法。
- 一个娃娃机可以看做一个直播房间。而娃娃机上的两个摄像头就是这个直播房间里的两个主播。这两个主播通过娃娃机控制端的程序，把视频推到直播房间中。

- 操控的玩家可看成是一个上麦观众，他的上麦动作就是操控娃娃机。

## 网络架构
![网络架构](//mc.qcloudimg.com/static/img/f7d603117297cee21495e25fc4092004/image.png)
#### 其中：
1.	腾讯云娃娃机房的所有娃娃机的前方和右边各有一个摄像头，通过 USB 接口连接到娃娃机控制端。

2.	腾讯云在娃娃机控制端使用互动直播的 SDK，负责将摄像头的数据按客户指定的房间中推流到腾讯云。

3.	集成了腾讯云互动直播 SDK 的客户 App，根据从客户后台获取的娃娃机房间信息，展示娃娃机房间的视频给用户。

4.	玩家 App 使用抓娃娃 SDK 进行操控。

5.	抓娃娃的结果信息，腾讯云会用回调的方式通知客户后台。

6.	腾讯云同时提供物流服务，客户后台可将其玩家的地址传递给腾讯云，发货后会传递物流状态给客户后台。

## 接入流程简要说明
### 1. 体验
可下载 [体验 Demo](https://www.pgyer.com/txwawaji) 进行体验。
###  2. 联系腾讯云
请联系 QQ：2152855538，将会有专人详细介绍腾讯云线上抓娃娃解决方案及合作模式。
## 客户案例
![客户案例](//mc.qcloudimg.com/static/img/d5d8b2ec6eb0c4fe2fd19c427cd2eff8/image.png)
