## 1.什么是互动直播基础网络费用？

通过互动直播实现的基础音视频业务所消耗的带宽费用(不含旁路直播、录制这类附加功能的消耗)

##  2.基础网络费用计算公式
 ![](//mccdn.qcloud.com/static/img/e045f054cc19ceb13344f2c8c0b7fc03/image.jpg)
 
查看注解： [月带宽峰值](https://cloud.tencent.com/doc/product/268/5128#a..E6.9C.88.E5.B8.A6.E5.AE.BD.E5.B3.B0.E5.80.BC.EF.BC.9A) ， [核心机房(DC)](https://cloud.tencent.com/doc/product/268/5128#b..E6.A0.B8.E5.BF.83.E6.9C.BA.E6.88.BF.EF.BC.88dc.EF.BC.89) ， [边缘机房(OC)](https://cloud.tencent.com/doc/product/268/5128#c..E8.BE.B9.E7.BC.98.E8.8A.82.E7.82.B9(oc))

## 3.定价
<div class="mod-price">
    
    <div class="tab-content-detail column-4">
       
        </div>
        <div class="slide-text"></div>
        <div class="text-content">
        </div>
        <div class="slide-text"> </div>
        <div class="price-content">
            <table>
                <colgroup>
                    <col class="col1">
                    <col class="col2">
                    <col class="col3">
                    <col class="col4">
                    <col class="col5">
                </colgroup>
                <thead>
                    <tr>
                        <th colspan="2">核心机房带宽(DC)</th>
                        <th colspan="2">边缘节点带宽(OC)</th>
                        <th rowspan="2">费用(元)</th>
                    </tr>
                    <tr>
                        <th>月带宽峰值</th>
                        <th>单价(元/Mbps/月)</th>
                        <th>月带宽峰值</th>
                        <th>单价(元/Mbps/月)</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td rowspan="6">
                            <span>X</span>
                        </td>
                        <td rowspan="6">
                            <span>120</span>
                        </td>
                        <td>
                            <span>Y ≤ 5Gbps</span>
                        </td>
                        <td>
                            <span>23</span>
                        </td>
                        <td>
                            <span>X * 120 + Y * 23</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span>5 ＜ Y ≤ 50Gbps</span>
                        </td>
                        <td>
                            <span>21.5</span>
                        </td>
                        <td>
                            <span>X * 120 + Y * 21.5</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span>50 ＜ Y ≤ 100Gbps</span>
                        </td>
                        <td>
                            <span>20.5</span>
                        </td>
                        <td>
                            <span>X * 120 + Y * 20.5</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span>100 ＜ Y ≤ 300Gbps</span>
                        </td>
                        <td>
                            <span>19.5</span>
                        </td>
                        <td>
                            <span>X * 120 + Y * 19.5</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span>300 ＜ Y ≤ 500Gbps</span>
                        </td>
                        <td>
                            <span>18.5</span>
                        </td>
                        <td>
                            <span>X * 120 + Y * 18.5</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span>500Gbps ＜ Y</span>
                        </td>
                        <td>
                            <span>17.5</span>
                        </td>
                        <td>
                            <span>X * 120 + Y * 17.5</span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

</br>

### 带宽消耗估算示例：
如果客户互动直播业务的**观众端观看码率设置为1M**，在某一个时刻**同时有100人观看**，那么该时刻的带宽消耗为 **1×100 = 100M**，以此类推;每5分钟统计一个时刻的带宽使用量，最后得出当月的带宽消耗峰值进行计费
</br>
友情提示：如果您有较大的业务量，可通过您的腾讯云大客户经理进一步协商定制优惠价格
</br>

## 4.基础网络费用计算公式
<div style="width:auto;height:auto;text-align:center ">
<iframe src="https://avc.qcloud.com/calculator/index.html" width=400px height=400px border=0 style=border:none></iframe>
</div>

-----



## 注解：
### a.月带宽峰值：
•	核心机房(DC)和边缘机房(OC)每5分钟统计一个带宽峰值（单位Mbps），取当月最高点作为核心机房月带宽峰值，作为结算标准；
### b.核心机房（DC）
•	可以上下行音视频数据，适用于多人音视频互动

**需要大比率用到DC的情况：**
(1)当观众端有上行音视频权限时
> <font size=2 color=red>【注意】</font>观众端是否上麦是由开发者进行设定切换的，设定错误会导致大量流量走DC!!请务必认真阅读具体设定方法：[点击此处查看](https://cloud.tencent.com/document/product/268/7651)

(2)如果没有上行音视频流量，当房间人数较少(比如小于等于5人)由于流程是主播--->DC--->OC--->观众，使用OC会导致 DC-->OC 流量浪费，所以也直接用DC流量下行)

(3)小运营商用户，为了保证接入效果，会被调度到DC机房。

### c.边缘节点(OC)
•	只能下行音视频数据，适用于纯观看，如观众等角色。
(如图所示，没有观众端上行视频、房间在线人数>5人， 大部分都会是OC流量，但也有一定带宽比率是DC-->OC的带宽，这部分将近是10%)）


### d.流量图解
#### 1)无上麦，且房间人数大于5人的图解
![](//mc.qcloudimg.com/static/img/f39775c383c9eab2c4983af47e7d8267/image.png)
</br></br>

#### 2)无上麦，且房间人数小于等于5人的图解
当房间人数较少，使用OC会导致 DC-->OC 流量浪费，所以直接通过DC下行
 ![](//mccdn.qcloud.com/static/img/3dd9c91f847457a5d456256d895f56d4/image.jpg)
 
 </br></br>
 
####  3)有观众上麦的图解
 ![](//mc.qcloudimg.com/static/img/52b4910e25d29d1db811d187a466f3de/image.png)
