## 1. What is ILVB Basic Network Fee?

Fee for the bandwidth consumed by basic audio/video business implemented through ILVB (excluding the consumptions of non-interactive broadcasting, recording and other additional features)

## 2. Calculation Formula for Basic Network Fee
 ![](//mccdn.qcloud.com/static/img/e045f054cc19ceb13344f2c8c0b7fc03/image.jpg)
 
See the notes: [Monthly Peak Bandwidth](https://cloud.tencent.com/doc/product/268/5128#a..E6.9C.88.E5.B8.A6.E5.AE.BD.E5.B3.B0.E5.80.BC.EF.BC.9A), [Data Center (DC)](https://cloud.tencent.com/doc/product/268/5128#b..E6.A0.B8.E5.BF.83.E6.9C.BA.E6.88.BF.EF.BC.88dc.EF.BC.89), [Outer Center (OC)](https://cloud.tencent.com/doc/product/268/5128#c..E8.BE.B9.E7.BC.98.E8.8A.82.E7.82.B9(oc))

## 3. Pricing
<div class="mod-price">
    
    <div class="tab-content-detail column-4">
       
        </div>
        <div class="slide-text"></div>
        <div class="text-content">
        </div>
        <div class="slide-text"> </div>
        <div class="price-content">
            <table>
                <colgroup>
                    <col class="col1">
                    <col class="col2">
                    <col class="col3">
                    <col class="col4">
                    <col class="col5">
                </colgroup>
                <thead>
                    <tr>
                        <th colspan="2">Bandwidth of DC</th>
                        <th colspan="2">Bandwidth of OC</th>
                        <th rowspan="2">Fees (CNY)</th>
                    </tr>
                    <tr>
                        <th>Monthly Peak Bandwidth</th>
                        <th>Unit Price (CNY/Mbps/month)</th>
                        <th>Monthly Peak Bandwidth</th>
                        <th>Unit Price (CNY/Mbps/month)</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td rowspan="6">
                            <span>X</span>
                        </td>
                        <td rowspan="6">
                            <span>120</span>
                        </td>
                        <td>
                            <span>Y≤5 Gbps</span>
                        </td>
                        <td>
                            <span>23</span>
                        </td>
                        <td>
                            <span>X*120+Y*23</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span>5<Y≤50 Gbps</span>
                        </td>
                        <td>
                            <span>21.5</span>
                        </td>
                        <td>
                            <span>X*120+Y*21.5</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span>50<Y≤100 Gbps</span>
                        </td>
                        <td>
                            <span>20.5</span>
                        </td>
                        <td>
                            <span>X*120+Y*20.5</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span>100<Y≤300 Gbps</span>
                        </td>
                        <td>
                            <span>19.5</span>
                        </td>
                        <td>
                            <span>X*120+Y*19.5</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span>300<Y≤500 Gbps</span>
                        </td>
                        <td>
                            <span>18.5</span>
                        </td>
                        <td>
                            <span>X*120+Y*18.5</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span>500 Gbps<Y</span>
                        </td>
                        <td>
                            <span>17.5</span>
                        </td>
                        <td>
                            <span>X*120+Y*17.5</span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

</br>

### Example of Estimation of Bandwidth Consumption:
If the playback bitrate of customer's ILVB business at viewer end is set to 1 MB, when **100 viewers watch video simultaneously at a certain time**, the bandwidth consumed at this point of time is **1x100=100 MB**, and so on. The bandwidth usage is collected every five minutes, and the peak bandwidth of the month can be used to calculate the monthly fee.
</br>
Note: If you have a high volume of business, contact your Tencent Cloud key client manager to negotiate for a lower price.
</br>

## 4. Calculation Formula for Basic Network Fee
<div style="width:auto;height:auto;text-align:center ">
<iframe src="https://avc.qcloud.com/calculator/index.html" width=400px height=400px border=0 style=border:none></iframe>
</div>

------



## Note:
### a. Monthly Peak Bandwidth:
•	At DC and OC, peak bandwidth value (in Mbps) is collected every five minutes. The highest value of the month is used as the monthly peak bandwidth of DC for billing;
### b. Data Center (DC)
•	It can send upstream/downstream audio and video data, being suitable for multi-person audio/video interaction.

**Scenarios where DC is largely used:**
(1) When viewers have upstream audio and video permission
> <font size=2 color=red>[Note]</font>: Whether viewers join the broadcasting is set and switched by developer. A wrong setting may cause large traffic to flow through DC. Be sure to carefully read the setting method: [click here to read](https://cloud.tencent.com/document/product/268/7651)

(2) If no upstream audio/video traffic is generated, when the number of room members is small (for example, not more than five), the traffic flows following a path of VJ -> DC -> OC -> viewer, but the use of OC can cause a waste of traffic from DC to OC. Therefore, in this case, DC is directly used to send downstream traffic.

### c. Outer Center (OC)
•	It can only send downstream audio/video data, being suitable for scenarios where viewers only watch the video.
(As shown in the figure, if no viewer sends upstream video data, and the number of online members in the room is more than five, most of traffic is generated from OC. But a certain proportion of bandwidth comes from DC-->OC, which accounts for almost 10%)


### d. Traffic Diagram
#### (1) A room with more than five people where joint broadcasting is not implemented
![](//mc.qcloudimg.com/static/img/f39775c383c9eab2c4983af47e7d8267/image.png)
</br></br>

#### (2) A room with not more than five people where joint broadcasting is not implemented
In case of a small number of room members, use of OC may cause a waste of the traffic from DC-->OC. In this case, DC is directly used to send downstream traffic.
 ![](//mccdn.qcloud.com/static/img/3dd9c91f847457a5d456256d895f56d4/image.jpg)
 
 </br></br>
 
#### (3) A room where joint broadcasting is implemented
 ![](//mc.qcloudimg.com/static/img/52b4910e25d29d1db811d187a466f3de/image.png)

