## Overview of Additional Capacity
Currently, additional capacities of ILVB include non-interactive broadcasting and recording. A certain fee is charged if these two capacities are used in customer's product.
More additional capacities are available for customers to choose in the future, such as porn detection. Each capacity has independent billing rules.

## 1. Billing of Non-interactive Broadcasting

With **cloud LVB capacity**, non-interactive broadcasting is used to implement audio/video playback outside the ILVB room. [See overview about non-interactive broadcasting](https://cloud.tencent.com/document/product/268/7612)

So non-interactive broadcasting is charged according to the billing standard of cloud LVB, that is:

### 1. Traffic Fee
<font size=4 color=#008c00>Traffic price: 1.1 CNY/GB</font> (Note, the unit is GB, not bps. Please set it apart from the unit of bandwidth). [See cloud LVB price](https://cloud.tencent.com/doc/product/267/%E4%BB%B7%E6%A0%BC%E6%80%BB%E8%A7%88#.E5.90.8E.E4.BB.98.E8.B4.B9.E6.8C.89.E9.9C.80.E4.BB.98.E8.B4.B9)

Notes:
(1) Billing item: Traffic consumed during ILVB
(2) Billing method: Postpaid
(3) Billing period: On a monthly basis
(4) Complimentary 10 GB traffic for new users (shared in cloud LVB)

### 2. Channel Fee

(1) Billing
Tencent Cloud LVB service provides each account with five free channels for debugging.**That is, an ILVB room occupies a channel for non-interactive broadcasting. If more than five channels are used for non-interactive broadcasting each month, the customer needs to pay the channel fee**.

We charge 60 CNY/channel/month (based on the channels actually used in push). In addition, every 50 MB concurrent bandwidth can deduct the fee of one channel

>For example, if a customer uses 12 channels for non-interactive broadcasting in a month, and the current bandwidth is less than 50 MB, the monthly channel fee is calculated as follows: (12-5)*60=420 CNY

(2) Upper limit of concurrent channels
Currently, the concurrent channels of each customer is limited to 100 (i.e. if 100 ILVB rooms initiate non-interactive broadcasting concurrently, all these 100 channels are occupied). If the number of concurrent rooms exceeds this value, the limit of channels should be raised. Contact us via QQ by adding 3358225043 and tell us your company name and ILVB channel

[Non-interactive Broadcasting Development Manual](https://cloud.tencent.com/document/product/268/7612)



## 2. Billing of Recording

The charges of recording feature are divided into two parts:

(1) Recording channel occupation fee
The charge is billed based on the maximum concurrent channels for the recording month, with a price of 30 CNY/channel/month.

(2) Storage fee
With **cloud VOD capacity**, storage feature is used to implement features such as storage, transcoding, re-play of recorded ILVB videos. You need to activate VOD service.
So the storage fee is charged according to the billing standard of cloud VOD, that is, by way of purchasing package:

[Price of Cloud VOD Package](https://cloud.tencent.com/product/vod.html#price)   



Notes:
(1) Billing items: VOD-related storage, traffic and other services
(2) Billing method: Prepaid. You need to purchase package
(3) Billing period: On a yearly basis
(4) Activation/Purchase method: [Log in to Tencent Cloud VOD service console](http://console.cloud.tencent.com/video), click "Purchase", and select the desired package in the pop-up page:
![](//mccdn.qcloud.com/static/img/9588caed8807738289c401f7de43b8c9/image.jpg)

Attachment: [Recording Feature Development Manual](https://cloud.tencent.com/document/product/268/7640)


## 3. Billing of Screenshot and Porn Detection Feature

1. Billing items: Screenshot, porn detection.

2. Quote
(1) Screenshot: 0.1 CNY/1,000 pieces (No fee is charged if the number of screenshots is less than 1,000. A fee will be charged if the number of screenshot is more than 1,000 (1,000 included). The minimum pricing unit is based on 1,000 screenshots, so less than 1,000 shall be counted as 1,000. For example, 3,600 is counted as 4,000)
(2) Porn detection (confirmed): 1.3 CNY/1,000 images (Manual audit is not required. Algorithm is used)
(2) Porn detection (unconfirmed): 0.4 CNY/1,000 images (Manual audit is required)

