In standalone mode, developers are responsible for user registration and identity authentication. Trust is built between the developers and Tencent through signature verification. When applying for access, developers can directly [download public and private keys](/doc/product/269/下载公私钥) for development, and then encrypt the specified data with private key to generate signature, which then is submitted to Tencent server for verification of legality.

## 1. App self-owned account

![](//avc.qcloud.com/wiki2.0/im/imgs/20151116095534_82173.png)

**Registration**

Account is registered on the App's self-owned registration server, and synchronizing account and password to Tencent server is not needed.

**Login**

The account ID and password entered by the user on the App is verified on the App's self-owned account login server. If verification is successful, the self-owned account login server sends the signature (UserSig) to the App using private key.

App calls the audio/video SDK API or IM SDK API to verify the user account and private key signature. If verification is successful, the audio/video cloud service or IM cloud service becomes available for the user.

**Notes**

Developers need to ensure the security of private key which Tencent completely trusts;

The signature generated by the default API of TLS backend is valid for 180 days. Developers can use the API with validity parameter to customize a validity, and need to acquire a new signature from the backend before the original signature expires. For more information about TLS backend APIs, please see [here](/doc/product/269/TLS后台API使用手册).

**Process**

![](//avc.qcloud.com/wiki2.0/im/imgs/20151116095011_75847.png)

## 2. Open Account of a Third Party

The open account of a third party is integrated in the same way as the self-owned account. At Tencent side, identifier (user id) and UserSig are used in both cases.

## 3. Contact Us

In case of any problem, it is recommended to click [here](http://bbs.qcloud.com/thread-8287-1-1.html) first for solutions. If you need further support, please contact TLS Account Support via QQ (3268519604) or email (tls_assistant@tencent.com).
