### 1. 概述
互动直播提供音视频密钥，用于相关功能的加密和鉴权。目前主要用于上下行权限的加密和跨房间连麦。
- 密钥：APPID 对应音视频密钥的 md5 值，长度 16 字节
- 加密算法：TEA 加密
- 加密库及例子：附件 [tea.zip](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/doc/tea.zip)

在腾讯云后台如下位置获取密钥 
![4](//mc.qcloudimg.com/static/img/71dc27273a362ae8a7b0875855f2d269/image.png)

页面修改密钥后，15 分钟 ~ 1 小时内生效，不建议频繁更换。

### 2. 进房权限加密
#### 2.1 密文内容
<table class="t">
<tbody><tr>
<th>  字段描述
</th><th>  类型/长度
</th><th>  值定义/备注
</th></tr>
<tr>
<td> cVer
</td><td> unsigned char/1
</td><td> 版本号，填0
</td></tr>
<tr>
<td>  wAccountLen
</td><td>  unsigned short /2
</td><td>  第三方自己的帐号长度
</td></tr>
<tr>
<td>  buffAccount
</td><td>  wAccountLen
</td><td>  第三方自己的帐号字符
</td></td>
<tr>
<td>  dwSdkAppid
</td><td>  unsigned int/4
</td><td>  sdkappid
</td></tr>
<tr>
<td>  dwAuthId
</td><td>  unsigned int/4
</td><td>  群组号码，即：roomId
</td></tr>
<tr>
<td>  dwExpTime
</td><td>  unsigned int/4
</td><td>  过期时间  
（当前时间 + 有效期（单位：秒，建议300秒））
</td></tr>
<tr>
<td>  dwPrivilegeMap
</td><td>  unsigned int/4
</td><td>  权限位，建议：<br>
纯音频场景：<br>
需要上麦建议设置为：AUTH_BITS_CREATE_ROOM|AUTH_BITS_JOIN_ROOM|
AUTH_BITS_SEND_AUDIO|AUTH_BITS_RECV_AUDIO<br>
不需要上麦建议设置为：AUTH_BITS_CREATE_ROOM|AUTH_BITS_JOIN_ROOM|
AUTH_BITS_RECV_AUDIO<br>
视频场景：<br>
需要上麦建议设置为：AUTH_BITS_CREATE_ROOM|AUTH_BITS_JOIN_ROOM|
AUTH_BITS_SEND_AUDIO|AUTH_BITS_RECV_AUDIO|
AUTH_BITS_SEND_CAMERA_VIDEO|AUTH_BITS_RECV_CAMERA_VIDEO|
AUTH_BITS_SEND_SCREEN_VIDEO|AUTH_BITS_RECV_SCREEN_VIDEO<br>
不需要上麦建议设置为：AUTH_BITS_CREATE_ROOM|AUTH_BITS_JOIN_ROOM|
AUTH_BITS_RECV_AUDIO|AUTH_BITS_RECV_CAMERA_VIDEO|
AUTH_BITS_RECV_SCREEN_VIDEO

<a href="https://cloud.tencent.com/document/product/268/3227 ">更详细说明请查看这里</a>
</td></tr>
<tr>
<td>  dwAccountType
</td><td>  unsigned int/4
</td><td>  第三方帐号类型，<a href="https://console.cloud.tencent.com/ilvb ">在这里可以找到</a>
</td></tr></tbody></table>

#### 2.2 加密方法	
1. 使用 [google protobuf](https://github.com/google/protobuf) 序列化后，输出二进制字符串；
2. 密文中的数字转换成网络字节序（大端字节序），把加密串转换成 16 进制字符串，大小写均可；
3. 用 TEA 加密对二进制字符串加密，symmetry_encrypt 函数输出的字符串即为加密串（authBuf）；

#### 2.3 使用方法
1. 后台生成加密串（authBuf）后，下发给客户端。
2. 客户端进房时调用 JoinRoom 函数时，传入 authBuf。