## 1 视频处理简介
腾讯云视频处理服务为用户提供了视频上传、转码、存储、审核和播放的解决方案，目前每天有数百万的视频通过腾讯云上传和播放给所有用户。
腾讯云视频处理服务良好的解决了视频播放时卡、顿；用户分享视频上传速度慢、失败率高；手机屏幕无法适配等问题。利用视频处理完善的解决方案，开发者可以快速的建立稳定安全的视频服务，基于云服务的弹性调度能力，也能快速调整资源适应业务突然变化，并有效提高开发、运营的效率，节省人力，集中精力提升用户体验。

## 2 基本架构及业务流程
为了保证服务质量和数据的安全，我们提供了服务器架构设计和编码方面的建议，希望开发者能尽可能的参考如下架构进行开发：
### 2.1	基本架构
视频处理服务由视频、云业务服务端、客户端组成：
1.视频由腾讯云上传、分发、计算，存储、监控、调度等若干组件组成，视频转码、存储、审核和分发等能力。

2.开发者业务服务端提供至少如下3个功能：
1) 生成签名。签名的生成不能在终端APP上进行，否则会产生极大的安全隐患
2) 使用数据库管理用户、视频资源等信息
3) 响应终端的业务请求

3.终端，通常既上传视频也下载、播放视频：
1) 上传视频：通常先从开发者服务器获取多次有效签名，然后带着签名请求视频处理服务进行视频上传，上传成功后会返回该视频的下载url及管理url、fileid等信息；
2) 管理视频：目录、视频管理需要先从开发者服务器获取签名，然后带着签名和目录、文件信息请求视频处理服务进行管理；
3) 下载视频：未设置token防盗链，视频可直接通过下载url下载，设置了token防盗链，需要先从开发者服务器获取签名，然后带着签名和下载url下载视频；
签名相关请参照[视频处理鉴权及签名文档](https://cloud.tencent.com/document/product/314/2290)
### 2.2	业务流程
#### 2.2.1	视频上传
![](https://mc.qcloudimg.com/static/img/eca9135acff9bce274896d13824300d7/image.png)

为了保护开发者利益，移动端APP上传视频文件前先请求开发者服务器获取上传凭证（安全签名），然后再请求视频处理服务，视频处理服务会对上传凭证进行验证，无效的凭证会导致上传失败、拒绝存储。
#### 主要包括三个步骤：
a)注册登录腾讯云，在[空间管理](https://console.cloud.tencent.com/media/bucket)创建bucket；
b)业务服务器集成[服务器端SDK](https://cloud.tencent.com/document/product/314/3499#3.-.E6.9C.8D.E5.8A.A1.E5.99.A8sdk)创建目录、上传视频
移动端向业务服务器申请上传签名，集成[移动端SDK](https://cloud.tencent.com/document/product/314/3499)创建目录、上传视频
c)使用数据库管理视频资源等信息。
#### 2.2.2 视频下载
![](https://mc.qcloudimg.com/static/img/d39a40cb3c8d923bce301f2a8b5f5682/image.png)

下载视频文件可无需复杂的验证， 如果app未设置token防盗链，移动端APP可直接通过下载url下载视频； 如果app设置了token防盗链，需要先从开发者服务器获取签名，然后带着签名和下载url下载视频。


