## 1 操作指引
开发者可按照视频处理的控制台指引，通过[COS 控制台](https://console.cloud.tencent.com/cos)创建存储桶（Bucket）后，在视频处理控制台配置好相应处理规则，使用COS 提供的SDK 上传管理相应文件即可。上传后，视频类文件将通过预置规则进行处理。

![](https://mc.qcloudimg.com/static/img/b2bd4a17f742fa1c4e44e4ddbb311c1f/image.png)

## 2 存储桶（Bucket）
存储桶（Bucket）是视频资源的组织管理单元。开发者可以为一个项目创建多个空间（上限200个），用以存储不同类型的视频，同时一个项目下的多个空间共用一套鉴权服务。
用户可以在[COS 控制台-Bucket列表](https://console.cloud.tencent.com/cos4/bucket)，对上传的资源进行管理：

![](https://mc.qcloudimg.com/static/img/b22b8e17a0c66b45a3f044a63430478a/Bucket.png)


### 2.1 Bucket 管理
在[视频处理控制台-Bucket 管理](https://console.cloud.tencent.com/media/bucket)页面中，您可以对视频处理规则进行一系列的设置。

![](https://mc.qcloudimg.com/static/img/4fa3515c00d563a2ee8236ab5b19a339/image.png)

#### 2.1.1 视频处理状态

视频处理状态开关打开时，上传到COS 的文件会按照预设置的所有输出规则进行转码。

![](https://mc.qcloudimg.com/static/img/76503930bd150ee9b130c764568af117/image.png)

#### 2.1.2 视频转码

视频处理服务提供以下三种转码服务，设置完毕后上传的视频会做相应的转码处理，转码时长和原视频的时长成正比。
![](https://mc.qcloudimg.com/static/img/2645c3d9c534dd2c3ca092c5f00eee6c/image.png)
支持的视频转码格式包括：（如有特殊需求，请联系客服或提交工单）

```shell
flv，m4v，mov，mp4，m4a，3gp，3g2，mpegts，rm，wav，avi，rmvb，mpeg，mjpeg
```

#### 2.1.3 水印设置
视频处理提供为视频打水印的功能，开发者可以自己上传水印图片，指定好水印在视频中的相对位置，保存成功后，视频会在上传后进行打水印操作。
注意： 视频处理的水印暂时是全局的，针对一个项目只能设置一个，同一项目下不同bucket设置，只以最后一次的设置为准，此处的优化工作我们会尽快完成，给您带来的不便敬请谅解。
![](https://mc.qcloudimg.com/static/img/bf2ad6fa67992ea4913894a98a105bbe/image.png)
#### 2.1.4 输出格式
视频处理现在暂时只支持mp4格式的输出。
#### 2.1.5 封面设置
当开启本开关时，视频在上传到视频空间后，取视频非黑屏的第一帧作为视频封面。

如果用户不希望系统自动生成封面，而是自己指定封面，则需要使用restful api 或视频处理SDK 设置。需要注意的是，默认封面功能依赖转码功能，需要用户在控制台上，同时开启清晰度转码选项。

用SDK自定义封面，则不受转码影响。当用户在开启了默认封面的同时，指定了自定义封面，则系统不会为视频生成默认封面。

系统会为用户自动创建一个系统Bucket：systemcover，用来存储为视频生成的默认封面的图片。为了不影响功能，建议用户不要更改systemcover 的设置。systemcover 产生的存储和流量，和视频同等标准计费。
![](https://mc.qcloudimg.com/static/img/dc789d17f3bf742c9a733b7017744fc9/image.png)

#### 2.1.6 回调设置
开发者设置转码完成回调url，如下图：
![](https://mc.qcloudimg.com/static/img/1058fa6f2bb8394c3d35673289682a26/image.png)

设置成功，在视频转码完成后，视频处理会向该url发送以下格式的http请求。
HTTP包信息如下表：

| 参数名称          | 类型     | 必选   | 描述                                   |
| ------------- | ------ | ---- | ------------------------------------ |
| playurl       | String | 是    | 原视频的播放url                            |
| vid           | String | 否    | 保留字段，现在传空值                           |
| status        | int    | 否    | 转码状态，0：初始化；1：转码中；2：转码成功；3：转码失败       |
| type          | int    | 否    | 保留字段                                 |
| up_time       | uint   | 是    | 视频上传时间，UNIX时间戳                       |
| cover_url     | String | 否    | 视频封面url地址                            |
| desc          | String | 否    | 视频描述                                 |
| title         | String | 否    | 视频标题                                 |
| magic_context | String | 否    | 上传视频时携带的透传参数，如果业务有较复杂的参数，建议整理成json格式 |
接口样例如下：

```
+POST http://xx.yy.com/

playurl=playurl&vid=vid&status=status&type=type&up_time=up_time&cover_url=cover_url&desc=desc&title=title&magic_context=magic_context
```



## 3 使用统计
腾讯云•视频处理提供针对单个应用其存储量、下载流量、上传下载删除的次数等信息的使用量统计数据，数据会有一定延迟，延迟时间在20分钟以内。 如需使用请到[视频处理-使用统计](https://console.cloud.tencent.com/media/stat)中查看。



## 4 其他

域名设置、防盗链设置、目录管理相关设置、服务质量监控相关请前往[COS 控制台](https://console.cloud.tencent.com/cos4/bucket)进行配置：

![](https://mc.qcloudimg.com/static/img/1a19b7968000950c04cfcf8713eb28fd/image.png)

项目秘钥配置相关，请前往官网[云API 秘钥](https://console.cloud.tencent.com/capi/project)页面进行配置。