
Tencent Cloud Video Solution is built on Tencent's years of technical heritage and experience in infrastructure construction, providing customers who have demands for video applications with a one-stop solution covering VOD, and audio/video communication services.
Currently, Tencent Cloud Video Solution is available for registered users of Tencent Cloud.

## Core Competencies

#### Spectacular Acceleration Experience
BGP network is set up across the country, covering more than 400 CDN video acceleration nodes of over 17 ISPs.
  
#### Powerful Transcoding Capacity
Over 10,000 distributed transcoding clusters and 2000 concurrent transcoding ensure transcoding quality and efficiency. Watermarks can be added and different transcoding formats can be set to perfectly match various application scenarios.
  
#### Flexible Upload and Release
Flexible upload methods including local and pull via browsers and APIs; convenient player code release; various Web/Android/iOS player SDKs.
  
#### Free Video Services
With Tencent Video's V+ verification, you can enjoy free services such as H5 HD and original protection.

#### Video Management
You can manage video files through the console or API, including classification, adding tags, and other operations. All the information can be exported for viewing.
  
#### Video Delivery
You can get video playback URL quickly and customize player code. Fast CDN delivery is supported.
 
#### Custom Player SDK
Web/Android/iOS player SDKs are provided to help customers quickly build highly-customized video publishing capacities across all platforms.
  
#### Security Features
Security features such as blacklist & whitelist, playback password and hotlink protection are provided to protect customers' video contents.
  
#### Statistical Features
Various fine-granularity statistical features are provided, including time dimension and other detailed information, allowing customers to quickly view video publication information and evaluate the results.

## Product Architecture

![](//mccdn.qcloud.com/static/img/1e3cded6d16ba2d0d203adcd0e01c3e5/image.png)

Typical product architecture is as shown above:

Upload components: Users can store videos in the VOD backend through uploading and pulling, and achieve automatic transcoding as needed;
Management components: Users can manage and transcode files through API and the console;
Distribution components: Fast and flexible playback methods are provided for VOD users via the CDN system across the country. Users can use self-developed player SDKs or those provided by Tencent Cloud to integrate with their own business. Users can also generate video links corresponding to exclusive WeChat official accounts, and distribute it via the WeChat.
