## 事件名称
ApplyManualReview

## 事件说明
如果APP配置了事件通知，则在视频AI审核完成之后，点播后台会将该事件通知给APP后台。

APP后台接收该事件通知的方法参见[服务端事件通知简介](/document/product/266/7829)。

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| version | String | 回调版本号，固定为4.0 |
| eventType | String | 回调类型，固定为ApplyManualReview|
| data.fileId | String | 文件唯一id |
| data.fileUrl | String | 文件url |
| data.vodTaskId | String | 流程任务id |
| data.manualReviewId | String | 人工审核id，用户审核完成后需要通过该id调用[人工审核反馈](/document/product/266/11394)接口告知点播后台审核结果 |
| data.aiReviewResult | Object | AI审核结果 |
| data.aiReviewResult.riskType | Array | 视频有哪些类型的风险， 目前有 "Porn"：涉黄|
| data.aiReviewResult.imgInfos | Array | 视频有风险的画面截图信息列表|
| data.aiReviewResult.imgInfos.riskType | Array | 该截图中有哪些类型的风险，枚举值同aiReviewResult.riskType|
| data.aiReviewResult.imgInfos.url | String | 存在风险的画面截图的url |



## 示例

- 对于[HTTP回调](/document/product/266/7829#http.E5.9B.9E.E8.B0.83)，以下内容为HTTP Post Body；
- 对于[基于消息队列的可靠通知](/document/product/266/7829#.E5.9F.BA.E4.BA.8E.E6.B6.88.E6.81.AF.E9.98.9F.E5.88.97.E7.9A.84.E5.8F.AF.E9.9D.A0.E9.80.9A.E7.9F.A5)，以下内容为[PullEvent接口](/document/product/266/7818)返回包体中eventList.eventContent的内容。

```javascript
{
    "version": "4.0",
    "eventType": "ApplyManualReview",
    "data": {
        "fileId": "145080710982449590xx",
        "fileUrl": "http: //125xx.vod2.myqcloud.com/vodtrans125xx/14508071098244929440/f0.mp4",
        "vodTaskId": "12519899xx-Procedure-d7c9631c15ecf653b1ff67e34cb04692",
        "manualReviewTaskId": "1251752892-Procedure-3b058d09fe043ccdea533e9e1a1a302a-692738a2b4007c5dd7090464a3341274692a5491",
        "aiReviewResult": {
            "riskType": [
                "Porn,Terrorism"
            ],
            "imgInfos": [
                {
                    "riskType": [
                        "Porn"
                    ],
                    "url": "http: //125xx.vod2.myqcloud.com/vodtrans125xx/14508071098244929440/shotup/xx1.png"
                },
                {
                    "riskType": [
                        "Porn",
                        "Terrorism"
                    ],
                    "url": "http://125xx.vod2.myqcloud.com/vodtrans125xx/14508071098244929440/shotup/xx2.png"
                }
            ]
        }
    }
}
```





