## 事件名称
CreateSnapshotByTimeOffsetComplete

## 事件说明
如果APP配置了事件通知，则在视频指定时间点截图任务完成之后，点播后台会将该事件通知给APP后台。

APP后台接收该事件通知的方法参见[服务端事件通知简介](/document/product/266/7829)。

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| version | String | 回调版本号，固定为4.0 |
| eventType | String | 回调类型，固定为CreateSnapshotByTimeOffsetComplete |
| data | Object | 具体回调数据 |
| data.vodTaskId | String | 指定时间点截图任务ID  |
| data.fileId | String | 指定时间点截图的FileId  |
| data.definition | Integer | 截图规格，参见[指定时间点截图参数模板](/document/product/266/11702#.E6.8C.87.E5.AE.9A.E6.97.B6.E9.97.B4.E7.82.B9.E6.88.AA.E5.9B.BE.E6.A8.A1.E6.9D.BF) |
| data.picInfo | Array | 指定时间点截图输出的截图信息 |

data.picInfo数组中每个元素均为Object，每个参数含义如下：

| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| timeOffset | Integer | 截图的具体时间点，单位：毫秒 |
| url | String | 截图文件url  |
| status | Integer | 错误码, 0: 成功, 其他值: 失败 |

## 示例

- 对于[HTTP回调](/document/product/266/7829#http.E5.9B.9E.E8.B0.83)，以下内容为HTTP Post Body；
- 对于[基于消息队列的可靠通知](/document/product/266/7829#.E5.9F.BA.E4.BA.8E.E6.B6.88.E6.81.AF.E9.98.9F.E5.88.97.E7.9A.84.E5.8F.AF.E9.9D.A0.E9.80.9A.E7.9F.A5)，以下内容为[PullEvent接口](/document/product/266/7818)返回包体中eventList.eventContent的内容。

### 示例：视频按时间点截图成功

```javascript
{
    "version": "4.0",
    "eventType": "CreateSnapshotByTimeOffsetComplete",
    "data": {
        "vodTaskId": "CreateSnapshotByTimeOffset-1edb7eb88a599d05abe451cfc541cfbd",
        "fileId": "14508071098244929440",
        "definition": 10,
        "picInfo": [
            {
                "status": 0,
                "timeOffset": 3123213,
                "url": "http://125xx.vod2.myqcloud.com/vod125xx/14508071098244929440/xx1.png"
            },
            {
                "status": 0,
                "timeOffset": 3123123,
                "url": "http://125xx.vod2.myqcloud.com/vod125xx/14508071098244929440/xx2.png"
            }
        ]
    }
}
```

### 示例：视频按时间点截图失败
```javascript
{
    "version": "4.0",
    "eventType": "CreateSnapshotByTimeOffsetComplete",
    "data": {
        "vodTaskId": "CreateSnapshotByTimeOffset-1edb7eb88a599d05abe451cfc541cfbd",
        "fileId": "9031868222841494656",
        "definition": 20,
        "picInfo": [
            {
                "status": -46204,
                "timeOffset": 1000000
            }
        ]
    }
}
```

### 错误码说明

事件通知包体中的status字段表示本次视频处理任务的执行结果。其含义参见[视频处理类操作错误码说明](/document/product/266/7783#.E8.A7.86.E9.A2.91.E5.A4.84.E7.90.86.E7.B1.BB.E6.93.8D.E4.BD.9C.E9.94.99.E8.AF.AF.E7.A0.81.E8.AF.B4.E6.98.8E)。
