## 事件名称
NewFileUpload

## 事件说明
如果APP配置了事件通知，则在视频上传任务完成之后，点播后台会将该事件通知给APP后台。

APP后台接收该事件通知的方法参见[服务端事件通知简介](/document/product/266/7829)。

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| version | String | 回调版本号，固定为4.0 |
| eventType | String | 回调类型，固定为NewFileUpload |
| data.fileId | String | 文件唯一id |
| data.author | String | 作者信息 |
| data.sourceType | String | 文件的上传来源。目前有Record：录制，Pull：转拉，ClientUpload：客户端上传，ServerUpload：服务端上传|
| data.sourceContext | String | 如果sourceType是Record，该字段即推流url；其它情况该字段暂未支持。该字段目前最多256字节。 |
| data.streamId | String | 推流id，录制上传特有 |
| data.procedureTaskId | String | 该视频上传之后进行了指定流程，则该参数为流程任务id |
| data.transcodeTaskId | String | 如果该视频上传之后发起了转码，则该参数为转码任务id |

## 示例

- 对于[HTTP回调](/document/product/266/7829#http.E5.9B.9E.E8.B0.83)，以下内容为HTTP Post Body；
- 对于[基于消息队列的可靠通知](/document/product/266/7829#.E5.9F.BA.E4.BA.8E.E6.B6.88.E6.81.AF.E9.98.9F.E5.88.97.E7.9A.84.E5.8F.AF.E9.9D.A0.E9.80.9A.E7.9F.A5)，以下内容为[PullEvent接口](/document/product/266/7818)返回包体中eventList.eventContent的内容。

```javascript
{
    "version": "4.0",
    "eventType": "NewFileUpload",
    "data": {
        "fileId": "145080710982449590xx",
        "fileUrl": "http://12530394xx.vod2.myqcloud.com/vod251000330/14508071098244959037/f0.flv",
        "transcodeTaskId": "transcode-0bee89b07a248e27c83fc3d5951213c1",
        "procedureTaskId": "12530394xx-mango-fa2fdf6a0f850d673be119cf51a7603a",
        "sourceType": "Record",
        "sourceContext": "rtmp://54xx.livepush.myqcloud.com/live?bizid=54xx&record=mp4&xx",
        "author": "",
        "streamId": "54xx_45"
    }
}
```





