## 接口名称
CreateCallbackTemplate

## 功能说明
1. 创建新的回调模板。

> 注意：
> - 用户创建的模板数最多10个。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| name | 否 | String | 回调模板的名字，长度必须小于64字节。 默认为空字符串 |
| mode | 是 | String | 回调模式，Common为普通回调，Reliable为可靠回调 |
| url | 否 | String | 普通回调的回调地址 |
| commnet | 否 | String | 对该模板的描述，长度必须小于256字节。默认为空字符串 |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/product/266/7782#.E5.85.AC.E5.85.B1.E5.8F.82.E6.95.B0) |

### 请求示例
```
https://vod.api.qcloud.com/v2/index.php?Action=CreateCallbackTemplate
&name=productA
&mode=Common
&url=www.company.com
&COMMON_PARAMS
```
## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| definition | Integer | 回调模板ID |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 参数非法  |
| 10700 | 内部错误  |
| 10xxx | 创建的回调模版超过上限  |

### 应答示例

```javascript
{
    "code": 0,
    "message": "",
    "definition": 1005
}
```