## 接口名称
QueryCallbackTemplate

## 功能说明
1. 查询回调模板详细信息。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| definition | 是 | Integer | 回调模板ID |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/product/266/7782#.E5.85.AC.E5.85.B1.E5.8F.82.E6.95.B0) |

### 请求示例
```
https://vod.api.qcloud.com/v2/index.php?Action=QueryCallbackTemplate
&definition=1003
&COMMON_PARAMS
```
## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| name | String | 回调模板的名字 |
| comment | String | 对该模板的描述 |
| url | String | 普通回调地址 |
| mode | String | 回调模式，Common为普通回调，Reliable为可靠回调 |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 10702 | 内部错误  |
| 10704 | 该模板不存在  |

### 应答示例

```javascript
{
    "code": 0,
    "message": "",
    "name": "productA",
    "comment": "commonDefinition",
    "url": "www.company.com",
    "mode": "Common"
}
```