## 封装格式

所谓封装格式，就是将已经编码压缩好的视频流和音频流按照一定的格式规范，放到一个文件中。对于网络点播而言，更加合适的术语应该叫“流媒体网络传输协议”。在互联网中使用最为广泛的协议为：

- **MP4**：非常经典的文件格式，iOS/Android/PC Web三端支持度都很好。但是MP4的视频文件头太大，结构复杂；如果视频较长（比如长达数小时），则其文件头会过大，影响视频加载速度。所以其更适用于短视频短视频场景。更多参见[维基百科：MP4](https://zh.wikipedia.org/wiki/MP4)。
- **HLS(HTTP Live Streaming)**：苹果公司力推的标准，iOS/Android端支持度较好，但IE的支持情况依赖FLASH的二次开发工作（建议使用腾讯视频云的FLASH播放器控件）。其精简的m3u8的索引结构可以规避MP4的索引慢问题，如果是用于点播，是非常不错的选择。更多参见[HTTP Live Streaming](https://developer.apple.com/streaming/)、[维基百科：HTTP Live Streaming](https://zh.wikipedia.org/wiki/HTTP_Live_Streaming)。
- **FLV**：Adobe公司所推的标准，在PC端有FLASH的强力支持，但在移动终端只有APP实现播放器才有可能支持（建议使用腾讯视频云的FLASH播放器控件），大部分手机端浏览器均不支持。更多参见[维基百科：Flash Video](https://zh.wikipedia.org/wiki/Flash_Video)。

## 视频编码参数


### 帧率
单位时间内视频显示帧数的量度单位。测量单位为“每秒显示帧数”（Frame Per Second，FPS）或“赫兹”。更多参见[维基百科：帧率](https://zh.wikipedia.org/wiki/%E5%B8%A7%E7%8E%87)。



## 视频处理参数

### 去隔行扫描
在模拟电视时代，播放设备的处理速度与网络带宽都存在限制。为了在确保不降低帧率的前提下降低传输码率，隔行扫描技术应运而生，该技术可以在图像质量下降不多的情况下，将视频传输带宽降低一半。但隔行扫描带来的负面影响也不可忽视，比如清晰度较低、容易产生闪烁、图像边缘锯齿化等。目前，视频播放设备与网络带宽都已经得到长足进步，故而隔行扫描已经在逐步淘汰。部分新型设备已经不再支持隔行扫描。因此，对于部分历史遗留的、使用隔行扫描技术的视频，需要进行“去隔行扫描”操作。更多参见[维基百科：隔行扫描](https://zh.wikipedia.org/wiki/%E9%9A%94%E8%A1%8C%E6%89%AB%E6%8F%8F)、[维基百科：去交错](https://zh.wikipedia.org/wiki/%E5%8E%BB%E4%BA%A4%E9%8C%AF)。



