## 点播API错误码说明
响应包体内的返回码(code), 反映了腾讯云API调用和执行的概要结果.当返回码非零时, 表示请求未正常执行, 返回码也称为错误码, 错误描述(message)对该结果进行了细化补充，用户可根据错误码判断API的执行情况。message在部分终端（例如浏览器），中文会显示成unicode编码，需要解码。

除了公共错误码之外，每个API还可能会存在比较特殊的错误码。详见每个API的详细文档。

| 错误码 | 错误类型 | 描述 |
|---------|---------|---------|
| 4000 | 请求参数非法 | 缺少必要参数，或者参数值格式不正确，具体错误信息请查看错误描述 message 字段。 |
| 4100 | 鉴权失败 | 签名鉴权失败，请参考文档中鉴权部分。 |
| 4200 | 请求过期 | 请求已经过期，请参考文档中请求有效期部分。 |
| 4300 | 拒绝访问 | 帐号被封禁，或者不在接口针对的用户范围内等。 |
| 4400 | 超过配额 | 请求的次数超过了配额限制，请参考文档请求配额部分。 |
| 4500 | 重放攻击 | 请求的 Nonce 和 Timestamp 参数用于确保每次请求只会在服务器端被执行一次,所以本次的 Nonce 和上次的不能重复, Timestamp 与腾讯服务器相差不能超过 2 小时。 |
| 4600 | 协议不支持 | 协议不支持，请参考文档说明。 |
| 5000 | 资源不存在 | 资源标识对应的实例不存在，或者实例已经被退还，或者访问了其他用户的资源。 |
| 5100 | 资源操作失败 | 对资源的操作失败，具体错误信息请查看错误描述 message 字段，稍后重试或者联系客服人员帮忙解决。 |
| 5200 | 资源购买失败 | 购买资源失败，可能是不支持实例配置，资源不足等等。 |
| 5300 | 资源购买失败 | 购买资源失败，余额不足。 |
| 5400 | 部分执行成功 | 批量操作部分执行成功, 详情见方法返回值。 |
| 5500 | 用户资质审核未通过 | 购买资源失败，用户资质审核未通过。 |
| 6000 | 服务器内部错误 | 服务器内部出现错误，请稍后重试或者联系客服人员帮忙解决。 |
| 6100 | 版本暂不支持 | 本版本内不支持此接口或该接口处于维护状态等。注意: 出现这个错误时, 请先确定接口的域名是否正确, 不同的模块, 域名可能不一样。 |
| 6200 | 接口暂时无法访问 | 当前接口处于停服维护状态，请稍后重试。 |


## 视频处理类操作错误码说明
视频处理类操作（包括转码、截图、拼接等）错误码如下：

| 错误码 | 含义说明|
|---------|---------|
|-43001 | 查询，查询命令执行: 解码失败, ffmpeg 通知文件已损坏|
|-43029 | 查询，查询命令执行: 解码失败, ffmpeg 解码失败|
|-43089 | 查询，查询命令执行: 元信息缺失, 原视频编解码器未知|
|-43090 | 查询，查询命令执行: 元信息缺失, 原视频音频帧大小未知|
|-43091 | 查询，查询命令执行: 元信息缺失, 原视频音频帧格式未知|
|-43092 | 查询，查询命令执行: 元信息缺失, 原视频音频帧率未知|
|-43093 | 查询，查询命令执行: 元信息缺失, 原视频音频通道数未知|
|-43094 | 查询，查询命令执行: 元信息缺失, no decodable DTS frames|
|-43095 | 查询，查询命令执行: 元信息缺失, 原视频视频宽高未知|
|-43096 | 查询，查询命令执行: 元信息缺失, 原视频色度空间未知|
|-43097 | 查询，查询命令执行: 元信息缺失, no frame in rv30,40 and no sar|
|-43098 | 查询，查询命令执行: End of file|
|-43099 | 查询，查询命令执行: seeking outside actual filesize|
|-43101 | 查询，查询待拼接文件的命令执行: 解码失败, ffmpeg 通知文件已损坏|
|-43129 | 查询，查询待拼接文件的命令执行: 解码失败, ffmpeg 解码失败|
|-43189 | 查询，查询待拼接文件的命令执行: 元信息缺失, 原视频编解码器未知|
|-43190 | 查询，查询待拼接文件的命令执行: 元信息缺失, 原视频音频帧大小未知|
|-43191 | 查询，查询待拼接文件的命令执行: 元信息缺失, 原视频音频帧格式未知|
|-43192 | 查询，查询待拼接文件的命令执行: 元信息缺失, 原视频音频帧率未知|
|-43193 | 查询，查询待拼接文件的命令执行: 元信息缺失, 原视频音频通道数未知|
|-43194 | 查询，查询待拼接文件的命令执行: 元信息缺失, no decodable DTS frames|
|-43195 | 查询，查询待拼接文件的命令执行: 元信息缺失, 原视频视频宽高未知|
|-43196 | 查询，查询待拼接文件的命令执行: 元信息缺失, 原视频色度空间未知|
|-43197 | 查询，查询待拼接文件的命令执行: 元信息缺失, no frame in rv30,40 and no sar|
|-43198 | 查询，查询待拼接文件的命令执行: End of file|
|-43199 | 查询，查询待拼接文件的命令执行: seeking outside actual filesize|
|-44001 | 截图，截图命令执行: 解码失败, ffmpeg 通知文件已损坏|
|-44029 | 截图，截图命令执行: 解码失败, ffmpeg 解码失败|
|-44089 | 截图，截图命令执行: 元信息缺失, 原视频编解码器未知|
|-44090 | 截图，截图命令执行: 元信息缺失, 原视频音频帧大小未知|
|-44091 | 截图，截图命令执行: 元信息缺失, 原视频音频帧格式未知|
|-44092 | 截图，截图命令执行: 元信息缺失, 原视频音频帧率未知|
|-44093 | 截图，截图命令执行: 元信息缺失, 原视频音频通道数未知|
|-44094 | 截图，截图命令执行: 元信息缺失, no decodable DTS frames|
|-44095 | 截图，截图命令执行: 元信息缺失, 原视频视频宽高未知|
|-44096 | 截图，截图命令执行: 元信息缺失, 原视频色度空间未知|
|-44097 | 截图，截图命令执行: 元信息缺失, no frame in rv30,40 and no sar|
|-44098 | 截图，截图命令执行: End of file|
|-44099 | 截图，截图命令执行: seeking outside actual filesize|
|-44101 | 截图，获取截图信息命令执行: 解码失败, ffmpeg 通知文件已损坏|
|-44129 | 截图，获取截图信息命令执行: 解码失败, ffmpeg 解码失败|
|-44189 | 截图，获取截图信息命令执行: 元信息缺失, 原视频编解码器未知|
|-44190 | 截图，获取截图信息命令执行: 元信息缺失, 原视频音频帧大小未知|
|-44191 | 截图，获取截图信息命令执行: 元信息缺失, 原视频音频帧格式未知|
|-44192 | 截图，获取截图信息命令执行: 元信息缺失, 原视频音频帧率未知|
|-44193 | 截图，获取截图信息命令执行: 元信息缺失, 原视频音频通道数未知|
|-44194 | 截图，获取截图信息命令执行: 元信息缺失, no decodable DTS frames|
|-44195 | 截图，获取截图信息命令执行: 元信息缺失, 原视频视频宽高未知|
|-44196 | 截图，获取截图信息命令执行: 元信息缺失, 原视频色度空间未知|
|-44197 | 截图，获取截图信息命令执行: 元信息缺失, no frame in rv30,40 and no sar|
|-44198 | 截图，获取截图信息命令执行: End of file|
|-44199 | 截图，获取截图信息命令执行: seeking outside actual filesize|
|-45001 | 音视频转码，转码命令执行: 解码失败, ffmpeg 通知文件已损坏|
|-45029 | 音视频转码，转码命令执行: 解码失败, ffmpeg 解码失败|
|-45089 | 音视频转码，转码命令执行: 元信息缺失, 原视频编解码器未知|
|-45090 | 音视频转码，转码命令执行: 元信息缺失, 原视频音频帧大小未知|
|-45091 | 音视频转码，转码命令执行: 元信息缺失, 原视频音频帧格式未知|
|-45092 | 音视频转码，转码命令执行: 元信息缺失, 原视频音频帧率未知|
|-45093 | 音视频转码，转码命令执行: 元信息缺失, 原视频音频通道数未知|
|-45094 | 音视频转码，转码命令执行: 元信息缺失, no decodable DTS frames|
|-45095 | 音视频转码，转码命令执行: 元信息缺失, 原视频视频宽高未知|
|-45096 | 音视频转码，转码命令执行: 元信息缺失, 原视频色度空间未知|
|-45097 | 音视频转码，转码命令执行: 元信息缺失, no frame in rv30,40 and no sar|
|-45098 | 音视频转码，转码命令执行: End of file|
|-45099 | 音视频转码，转码命令执行: seeking outside actual filesize|
|-45101 | 音视频转码，校验转码后文件前获取文件信息: 解码失败, ffmpeg 通知文件已损坏|
|-45129 | 音视频转码，校验转码后文件前获取文件信息: 解码失败, ffmpeg 解码失败|
|-45189 | 音视频转码，校验转码后文件前获取文件信息: 元信息缺失, 原视频编解码器未知|
|-45190 | 音视频转码，校验转码后文件前获取文件信息: 元信息缺失, 原视频音频帧大小未知|
|-45191 | 音视频转码，校验转码后文件前获取文件信息: 元信息缺失, 原视频音频帧格式未知|
|-45192 | 音视频转码，校验转码后文件前获取文件信息: 元信息缺失, 原视频音频帧率未知|
|-45193 | 音视频转码，校验转码后文件前获取文件信息: 元信息缺失, 原视频音频通道数未知|
|-45194 | 音视频转码，校验转码后文件前获取文件信息: 元信息缺失, no decodable DTS frames|
|-45195 | 音视频转码，校验转码后文件前获取文件信息: 元信息缺失, 原视频视频宽高未知|
|-45196 | 音视频转码，校验转码后文件前获取文件信息: 元信息缺失, 原视频色度空间未知|
|-45197 | 音视频转码，校验转码后文件前获取文件信息: 元信息缺失, no frame in rv30,40 and no sar|
|-45198 | 音视频转码，校验转码后文件前获取文件信息: End of file|
|-45199 | 音视频转码，校验转码后文件前获取文件信息: seeking outside actual filesize|
|-45201 | 音视频转码，上传文件前获取文件信息: 解码失败, ffmpeg 通知文件已损坏|
|-45229 | 音视频转码，上传文件前获取文件信息: 解码失败, ffmpeg 解码失败|
|-45289 | 音视频转码，上传文件前获取文件信息: 元信息缺失, 原视频编解码器未知|
|-45290 | 音视频转码，上传文件前获取文件信息: 元信息缺失, 原视频音频帧大小未知|
|-45291 | 音视频转码，上传文件前获取文件信息: 元信息缺失, 原视频音频帧格式未知|
|-45292 | 音视频转码，上传文件前获取文件信息: 元信息缺失, 原视频音频帧率未知|
|-45293 | 音视频转码，上传文件前获取文件信息: 元信息缺失, 原视频音频通道数未知|
|-45294 | 音视频转码，上传文件前获取文件信息: 元信息缺失, no decodable DTS frames|
|-45295 | 音视频转码，上传文件前获取文件信息: 元信息缺失, 原视频视频宽高未知|
|-45296 | 音视频转码，上传文件前获取文件信息: 元信息缺失, 原视频色度空间未知|
|-45297 | 音视频转码，上传文件前获取文件信息: 元信息缺失, no frame in rv30,40 and no sar|
|-45298 | 音视频转码，上传文件前获取文件信息: End of file|
|-45299 | 音视频转码，上传文件前获取文件信息: seeking outside actual filesize|
|-47100 | 原文件不符合要求, 源文件信息格式非json|
|-47101 | 原文件不符合要求, 源信息缺少宽、高 或色度空间的原信息|
|-47102 | 原文件不符合要求, 源信息未知编码器|
|-47104 | 原文件不符合要求, 源信息时长不合法(<0.01 or >604800)|
|-47200 | 原文件不符合要求, 文件的时长信息为0|
|-47300 | 原文件不符合要求, 拼接超过最大值限制|
|-47301 | 原文件不符合要求, 拼接文件分辨率不一致|
|-47302 | 原文件不符合要求, 拼接获取视频文件源信息失败|
|-47400 | 原文件不符合要求, 视频文件的音频和视频不存在|
|-47401 | 原文件不符合要求, 转音频任务,原文件无音频数据|
|-47402 | 原文件不符合要求, 转视频任务,原文件无视频数据|
|-47403 | 原文件不符合要求, 视频文件width/high/rotate/dar_w/dar_h不合法|
|-49101 | 音视频转码，校验转码后文件: 解码失败, ffmpeg 通知文件已损坏|
|-49129 | 音视频转码，校验转码后文件: 解码失败, ffmpeg 解码失败|
|-49189 | 音视频转码，校验转码后文件: 元信息缺失, 原视频编解码器未知|
|-49190 | 音视频转码，校验转码后文件: 元信息缺失, 原视频音频帧大小未知|
|-49191 | 音视频转码，校验转码后文件: 元信息缺失, 原视频音频帧格式未知|
|-49192 | 音视频转码，校验转码后文件: 元信息缺失, 原视频音频帧率未知|
|-49193 | 音视频转码，校验转码后文件: 元信息缺失, 原视频音频通道数未知|
|-49194 | 音视频转码，校验转码后文件: 元信息缺失, no decodable DTS frames|
|-49195 | 音视频转码，校验转码后文件: 元信息缺失, 原视频视频宽高未知|
|-49196 | 音视频转码，校验转码后文件: 元信息缺失, 原视频色度空间未知|
|-49197 | 音视频转码，校验转码后文件: 元信息缺失, no frame in rv30,40 and no sar|
|-49198 | 音视频转码，校验转码后文件: End of file|
|-49199 | 音视频转码，校验转码后文件: seeking outside actual filesize|