## 接口名称
GetWatermarkList

**注意**

该接口为临时过渡接口。

## 功能说明
1. 获取用户的水印列表

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/product/266/7782#.E5.85.AC.E5.85.B1.E5.8F.82.E6.95.B0) |

## 请求示例
<pre>
https://vod.api.qcloud.com/v2/index.php?Action=GetWatermarkList
&COMMON_PARAMS
</pre>

## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| definitionList | Object | 水印信息列表 |
| definitionList.id | Integer | 水印id |
| definitionList.name | String | 水印名字 |
| definitionList.url | String | 水印图片url |
| definitionList.left | String | 位置参数，水印在视频水平位置的百分比，左边界为0 |
| definitionList.top | String | 位置参数，水印在视频垂直位置的百分比，上边界为0 |
| definitionList.createTime | String | 创建时间 |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1 | 内部错误  |
| 1000 | 无效参数  |
| 1001 | 内部错误  |
| 1003 | 内部错误  |
| 2000 | 内部错误  |
| 10022 | 内部错误 |

### 应答示例
```javascript
{
    "code": 0,
    "message": "",
    "definitionList": [
        {
            "definition": 5,
            "name": "wm1482306795.png",
            "url": "http://vodgzp4-10022853.cosgzp.myqcloud.com/1.png",
            "left": 10,
            "top": 10,
            "createTime": "2015-04-24 12:18:47"
        },
        {
            "definition": 15,
            "name": "wm1482306796.png",
            "url": "http://vodwatermark-10005041.file.myqcloud.com/3338976116/vod_wm/wm1486715963.png",
            "left": 10,
            "top": 20,
            "createTime": "2017-07-02 16:51:44"
        }
    ]
}
```
