## 参数模板简介
云点播支持多种视频处理操作，包括转码、加密、打水印、剪辑和截图等，每一种操作都可能会使用到多个参数。以转码为例，涉及到的参数就有封装格式、码率、分辨率和帧率，参数组合的总数量有数十种之多。大部分情况下，开发者只需要用到少数几种参数组合，而过多的参数会给开发者带来不必要的麻烦。为了简化开发者的使用，云点播提供了 ***视频处理参数模板*** 机制：对于一种视频处理操作，开发者可以将一组参数组合定义为一个参数模板（即创建模版），腾讯云为该模板分配唯一的模版 ID。开发者在调用视频处理接口时仅需指定模板 ID，而无需传递复杂的参数组合。

## 预设参数模板

对于每一种视频处理操作，往往存在几组通用的参数组合，能够满足大多数应用场景。云点播将这类最常用的参数组合预设为内置参数模板，使得开发者无需创建模版即可直接使用。目前云点播提供以下的预设参数模版：

- [转码参数模板](/document/product/266/8098)；
- [水印参数模板](/document/product/266/9647)；
- [截图参数模板](/document/product/266/8097)；
- [采样截图参数模板](/document/product/266/9050)；
- [雪碧图参数模板](/document/product/266/8099)；

## 自定义参数模板

当云点播的预设参数模板无法满足需求时，开发者可以通过服务端 API 接口自定义参数模板。当前支持自定义的模版类型有：

* 转码模板

### 自定义转码参数模板
- [创建转码模板](/document/product/266/9910)；
- [更新转码模板](/document/product/266/9911)；
- [查询转码模板](/document/product/266/9912)；
- [拉取转码模板列表](/document/product/266/9913)；
- [删除转码模板](/document/product/266/9914)；

