视频加密模板规定了如何对视频文件进行加密。每一种视频加密模板主要由两方面参数构成：
1. 使用何种视频加密算法；
2. 使用何种秘钥管理方式。

每一种视频加密模板有一个唯一的模板ID（definition）。点播服务没有提供默认的视频加密模板，暂时不支持控制台配置或者接口配置，您需要通过需求工单来申请视频加密模板。

## 视频加密算法

### 标准HLS加密（AES-128）
使用[HTTP Live Streaming](https://tools.ietf.org/html/draft-pantos-http-live-streaming-23)中规定的加密方案。如果在提交加密请求的时候指定了非HLS格式的输出格式，调用接口将会失败。

此种加密方式需要提供的参数包括：
1. 获取解密秘钥的URL。

注意：
点播转码平台在进行视频加密时，会将获取解密秘钥的URL写入视频文件中。例如，对于HLS，该URL会被写入到m3u8文件的EXT-X-KEY标签中。但在写入之前，转码平台会在该URL的QueryString中增加三个参数：fileID、keySource、edk。详见[点播平台发起视频加密转码](/document/product/266/9638#iii.-.E7.82.B9.E6.92.AD.E5.B9.B3.E5.8F.B0.E5.8F.91.E8.B5.B7.E8.A7.86.E9.A2.91.E5.8A.A0.E5.AF.86.E8.BD.AC.E7.A0.81)。

## 秘钥管理方式

### 点播内置KMS
使用点播系统内置的KMS系统来管理视频加密秘钥。

### 腾讯云KMS系统（暂不支持）
使用腾讯云KMS系统来管理视频加密秘钥。此种加密方式需要提供的参数包括：
1. 您在腾讯云KMS系统中的APPID；
2. 您授权给点播服务的主秘钥。

### APP自己提供秘钥（暂不支持）
在每次视频加密操作中通过接口传入加密秘钥。