## 1 计费类型及说明
- [预付费套餐方式](#present)
- [后付费方式（停止新用户注册）](#history)

<span id="present"></span>
###  预付费套餐
客户需要预先向腾讯云账户进行充值，充值方法请参见腾讯云[充值流程](http://cloud.tencent.com/doc/product/285/%E5%85%85%E5%80%BC)

购买周期为1年，需要一次性支付套餐费用，套餐详细说明请参考套餐详细介绍。

不同套餐在存储空间、流量以及功能特性上有区分，每月使用在套餐范围内不收费，超出套餐部分按照超出部分存储空间和流量计费。

套餐包含流量和空间：

| | 测试体验版 | 创业版 |企业版 |旗舰版-Ⅰ | 旗舰版-Ⅱ | 	旗舰版-Ⅲ |
|---------|---------|---------|---------|---------|---------|---------|
| 价格 |免费 7 天 |	399 元/年 |	 3899 元/年 |	 7899 元/年 |	 28999 元/年 |	 38999 元/年 |
| 空间 |5 G |	20 G |	100 G |	500 G |	1.5 T |	3 T |
|流量 	 | 	1 G| 	60 G /月| 	500 G /月 	|1000 G /月|	3000 G /月| 	5000 G /月|

1. 空间是指每天存储的最大值，超出则收取 0.03 元/ GB /天。超出空间后，可删除旧文件避免空间使用量超出套餐规定值。

  例：对于企业版套餐，存储空间为100 G ，第一天空间使用量达到101 G ，第二天达到110 G ，其余天数均小于100 G （删除文件可减少空间使用量），那么该用户在月结时会收取（101-100+110-100）*0.03= 0.33 元

2. 播放文件会产生流量。套餐中的流量是每月累计流量的最大值。

  例：仍以企业版为例，每个月允许播放文件累计流量 500 G，超出套餐规定的流量按照 0.59 元/ GB /月收取费用。

<span id="history"></span>
###  后付费套餐

  >**注：该方式已经停止使用，新注册用户不可选择该计费方式。已经按照该计费方式使用的用户不受影响。**

  套餐计费方式包括 1.（存储+流量）或2.（存储+带宽）计费方式，计算方式如下：
		
   #### 方式1：存储+流量

   存储费用：sum（每天存储量峰值*存储单价）

   流量费用：sum（月结流量总数）

   #### 方式2：存储+带宽

  存储费用：sum（每天存储量峰值*存储单价）

   带宽费用：按照 CDN95 峰值计费方式

   #### 详细计费方式如下：

存储：单独计费，按照视频源文件总计（非转码后视频）每 0.0 3元/ GB *天的单价进行计费。

带宽：按照带宽峰值计费默认为按天 95 峰值计费法，按照每天每 5 分钟一个点值，总计每天 288 个点值，削去 5%，取第 15 点值为当日峰值计算当日费用，月峰值按照每人峰值取当月有效天数平均值作为月峰值计算月度费用。

| 带宽阶梯报价范围 | 单价（元/M/月） |
|---------|---------|
| 0M - 50M | 76 |
| 50 - 100M | 69 |
| 100M - 200M | 63 |
| 200M - 500M | 58 |
| 500M - 1G | 54 |
| 1G - 5G | 50 |
| 5G - 10G | 47 |
| > 10G | 43 |

   流量：按照流量计费，采用阶梯报价后付费原则；即用户在 0 GB-5 TB 的价格为 0.61 元/G,而当用户为 9TB 是，则前 5TB  按照 0.61 元/GB 计算，后 4TB ,按照 0.4 5元/ GB 计算。相当于 9TB 的费用: 0.61*****5*****1024+0.45*****4*****1024；

流量计费阶梯报价规则如下：

| 流量阶梯报价范围 | 单价（元/GB） |
|---------|---------|
| 0 GB - 5 TB | 0.61 |
| 5 TB - 10 TB | 0.45 |
| 10 TB - 50 TB | 0.42 |
| > 50 TB | 0.39 |

## 2 套餐详细介绍

套餐详细介绍请见[官网产品页面](http://cloud.tencent.com/product/vod.html)。


- 当月超出套餐部分按照超出部分存储空间和流量计费

- 按月计费，结算周期为每个月 1-5 日，从腾讯云账户扣除上个月超流量和超空间总费用。
	
- 超出最大套餐流量用户，支持商务沟通定价。具体请拨打咨询热线 4009100100 或提交工单进行确认。


## 3 结算及扣费

腾讯云视频点播服务采用和腾讯云一致的[计费流程](http://cloud.tencent.com/doc/product/285/%E8%AE%A1%E8%B4%B9%E6%B5%81%E7%A8%8B)。
- 每月 1-5 日为月结日，预付费套餐超出部分以及后付费的计费均在每月 1-5 日完成结算与扣费。



## 4 欠费说明

1.  计费系统每月 5 日出上月整月（如 1 日~ 30 日）流量情况和账单。账单为站内信通知。
 
2.  当月 20 日起系统将发送邮件提醒用户续费。建议用户在收到账单，至当月 20 日前续费结清上月账单。

3.  27 日前请用户续费或升级套餐。28 日凌晨如账户欠费则停止服务，同时管理控制台仅可使用概览页面。