**发布的效果会有时间和地域的差异么？**

理论上不会，我们的系统目前能够全天候支持任意地区的访问，服务质量请参考腾讯云服务质量信息。需要注意，用户的观看体验很大程度由用户终端到视频服务端的网络质量，以及用户本地的硬件配置所决定，所以在网络服务高峰期，由于用户所在网络情况可能发生变化，或者用户硬件配置过低，可能带来体验上的差异。

**视频的同时在线观看人数有限制么？**

理论上没有，我们的系统目前不作任何限制，因此理论上可支持无限用户数量的同时在线观看。

**为什么视频发布后不能自动播放？**

如果不作任何设置，视频上传发布会应用默认配置，即不开启自动播放。您可以修改该配置，即在发布时勾选“自动播放”。

**为什么视频没有原来清晰？**

视频播放时的清晰度取决于两方面：
1）发布转码完成时，云端服务器所提供的清晰度；
2）用户观看时所处于的网络环境。如果感觉播放时清晰度降低，一种可能是云端服务器所存放的清晰度相对较低，没有存放高清晰度的文件；另一种可能是网络环境不佳，播放器适配至低清晰度的视频文件进行播放。

**为什么视频播放会有卡顿现象？**

在排除视频文件本身问题的情况下，视频卡顿有可能是因为播放视频的电脑配置过低或局部网络条件欠佳（包括带宽和时延）引起的，可以通过改变播放视频的硬件设备或网络环境来尝试分析。如果问题仍然存在，请联系我们的售后服务部门。

**“视频管理”菜单中，“视频发布”显示的“自适应HTML”、“FLASH”，和“IFRAME”有什么用途？**

以上三种均为发布自定义代码的方式。用途如下：

**自适应HTML** 为Html代码，用于在网页编辑中嵌入视频播放器，在用户浏览该网页时，即可显示该播放器并播放视频。该代码可能需要做少量定制化修改，因此适合于对HTML语言有一定了解的客户。该代码可自动适配移动端和PC端，并同时支持WEB SDK功能，可以进行高度灵活的再次开发，具体方法请阅读[WEB SDK开发指南。](http://video.qcloud.com/download/docs/QVOD_Player_Web_SDK_Developer_Guide.pdf)

**FLASH地址** 为一个URL地址，格式通常为 `http://****.swf` （随后可能有一串参数字符串），可以直接在浏览器地址栏打开，或在网页中引用。Flash在大部分浏览器中可打开，但在iOS或MAC X系统中的默认浏览器Safari下，可能无法支持。

**IFRAME代码** 便于您快速的将播放器代码在不作任何修改的情况下进行直接发布，您无需了解代码内容，只需要把代码粘贴复制在HTML页面的对应位置即可
。IFRAME标签兼容性极好，能够支持目前包括Chrome, IE, Safari, Firefox等主流浏览器。

所有代码在进行自适应不同终端的判断顺序为：

如果用户使用移动端访问（包括iOS和Android系统），将仅使用HTML5播放； 如果用户使用PC端访问，则优先使用flash播放；如果浏览器不支持flash则使用HTML5播放；如果不支持HTML5，则在播放器的位置处会直接提示下载新版浏览器。以上两种方法都将显示同特定播放器配置相关的视频文件。

**“视频管理”里面的“视频发布”显示的“源文件URL地址“和”视频带Web播放器代码”有什么区别？**

源文件URL地址对应特定码率的视频文件，本身不包含任何播放器信息。可在浏览器中直接打开，应用浏览器或操作系统自带播放器进行播放。

web播放器代码对应可用于web编辑的代码，包括Flash地址、自适应HTML代码，和IFRAME代码，当前可包含播放器设置信息（例如清晰度、贴片内容、社交分享等等）以及安全密码（该功能可选）。该代码可以被嵌入在用户编辑的web页面中。

**Web播放器代码目前支持移动端设备么？**

支持各种类型的移动端播放，具体方法可参考“视频管理”里面的“视频发布”显示的“自适应HTML”。

**“视频管理”里面，如果我发布了“web播放器代码”后，重新修改了播放器配置，已经发布的HTML代码需要重新发布么？**

不需要重新生成，系统会自动维护更新。修改播放器配置后，已经发布的播放器代码会立刻生效。

“web播放器管理”里面，如果我删除了某个自定义的播放器，会发生什么情况？
此时，由于自定义播放器已经被删除，视频文件会被自动关联到当前默认播放器配置，视频文件会重新应用“默认播放器配置”， 已经发布的代码可继续使用。如果需要更改，请重新定义播放器并选择后重新发布代码。

**什么是播放密码？**

播放密码是确保视频内容仅仅被授权用户所查看的安全机制。用户在播放视频时，需输入8位字母数字密码，区分大小写，不支持空格和其他字符。输入正确后，即可正常播放。每个视频文件在发布时单独设置播放密码。该密码适用于需要对视频内容做基本保护的场景。

**什么是黑白名单？**

可通过黑白名单允许或限制来自特定网页的播放器代码视频请求访问。该名单对播放器代码发布的视频生效。用户可选择全局开启该功能，并指定采用黑名单或白名单，每个名单可编辑10个URL地址。黑白名单采用检查访问源referer的方法。如需对视频文件URL进行保护，可参考[URL防盗链功能](http://cloud.tencent.com/document/product/266/2875)。
