## 接口名称
VodBackupEdit

## 功能说明
1. 批量修改文件属性
2. 目前支持的属性[expireTime]

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称          | 必填   | 类型      | 说明                                       |
| ------------- | ---- | ------- | ---------------------------------------- |
| fileId.n      | 是    | String  | 文件索引（支持多个）                               |
| expireTime    | 是    | Integer | 过期时间（如2017-05-01 10:00:00）               |
| COMMON_PARAMS | 是    |         | 参见[公共参数](/document/product/266/7782#.E5.85.AC.E5.85.B1.E5.8F.82.E6.95.B0) |

### 请求示例(UrlEncode前)
```
https://vod.api.qcloud.com/v2/index.php?Action=VodBackupEdit
&fileId.0=SampleFileId1
&fileId.1=SampleFileId2
&expireTime=2017-05-01 10:00:00
&COMMON_PARAMS
```
### 请求示例(UrlEncode后)

```
https://vod.api.qcloud.com/v2/index.php?Action=VodBackupEdit
&fileId.0=SampleFileId1
&fileId.1=SampleFileId2
&expireTime=2017-05-01+10%3A00%3A00
&COMMON_PARAMS
```

## 接口应答

### 参数说明
| 参数名称    | 类型      | 说明                             |
| ------- | ------- | ------------------------------ |
| code    | Integer | 错误码, 0: 成功, 其他值: 失败            |
| message | String  | 错误信息                           |
| reqNum  | Integer | 请求修改的文件数量                      |
| succNum | Integer | 成功修改的文件(若数量小于reqNum，由于部分文件不存在） |



### 错误码说明
| 错误码       | 含义说明                                  |
| --------- | ------------------------------------- |
| 4000-7000 | 参见[公共错误码](/document/product/266/7783) |
| 1         | 内部错误                                  |
| 1000      | 无效参数                                  |
| 1001      | 内部错误                                  |
| 1003      | 内部错误                                  |
| 2000      | 内部错误                                  |
| 10008     | 文件不存在                                 |
| 10022     | 内部错误                                  |

### 应答示例
```javascript
{
    "code": 0,
    "message": ""
}
```
