## Feature Description
1. This document contains transcoding, stitching and screenshot tasks, and callback will be executed against the error code carried by after the completion.
## Error Code
| Error Code | Description |
|---------|---------|
| -43001 | Query, query command execution:  Decoding failed, ffmpeg notification file is corrupted |
| -43029 | Query, query command execution:  Decoding failed, ffmpeg decoding failed |
| -43089 | Query, query command execution:  Metainformation is missing, source video encoder/decoder unknown |
| -43090 | Query, query command execution:  Metainformation is missing, source video audio frame size unknown |
| -43091 | Query, query command execution:  Metainformation is missing, source video audio frame format unknown |
| -43092 | Query, query command execution:  Metainformation is missing, source video audio frame rate unknown |
| -43093 | Query, query command execution:  Metainformation is missing, source video audio channel number unknown |
| -43094 | Query, query command execution:  Metainformation is missing, no decodable DTS frames |
| -43095 | Query, query command execution:  Metainformation is missing, source video width/height unknown |
| -43096 | Query, query command execution:  Metainformation is missing, source video color space unknown |
| -43097 | Query, query command execution:  Metainformation is missing, no frame in rv30,40 and no sar |
| -43098 | Query, query command execution:  End of file |
| -43099 | Query, query command execution:  seeking outside actual filesize |
| -43101 | Query, execution of command regarding the query of files to be stitched:  Decoding failed, ffmpeg notification file is corrupted |
| -43129 | Query, execution of command regarding the query of files to be stitched:  Decoding failed, ffmpeg decoding failed |
| -43189 | Query, execution of command regarding the query of files to be stitched:  Metainformation is missing, source video encoder/decoder unknown |
| -43190 | Query, execution of command regarding the query of files to be stitched:  Metainformation is missing, source video audio frame size unknown |
| -43191 | Query, execution of command regarding the query of files to be stitched:  Metainformation is missing, source video audio frame format unknown |
| -43192 | Query, execution of command regarding the query of files to be stitched:  Metainformation is missing, source video audio frame rate unknown |
| -43193 | Query, execution of command regarding the query of files to be stitched:  Metainformation is missing, source video audio channel number unknown |
| -43194 | Query, execution of command regarding the query of files to be stitched:  Metainformation is missing, no decodable DTS frames |
| -43195 | Query, execution of command regarding the query of files to be stitched:  Metainformation is missing, source video width/height unknown |
| -43196 | Query, execution of command regarding the query of files to be stitched:  Metainformation is missing, source video color space unknown |
| -43197 | Query, execution of command regarding the query of files to be stitched:  Metainformation is missing, no frame in rv30,40 and no sar |
| -43198 | Query, execution of command regarding the query of files to be stitched:  End of file |
| -43199 | Query, execution of command regarding the query of files to be stitched:  seeking outside actual filesize |
| -44001 | Screenshot, screenshot command execution:  Decoding failed, ffmpeg notification file is corrupted |
| -44029 | Screenshot, screenshot command execution:  Decoding failed, ffmpeg decoding failed |
| -44089 | Screenshot, screenshot command execution:  Metainformation is missing, source video encoder/decoder unknown |
| -44090 | Screenshot, screenshot command execution:  Metainformation is missing, source video audio frame size unknown |
| -44091 | Screenshot, screenshot command execution:  Metainformation is missing, source video audio frame format unknown |
| -44092 | Screenshot, screenshot command execution:  Metainformation is missing, source video audio frame rate unknown |
| -44093 | Screenshot, screenshot command execution:  Metainformation is missing, source video audio channel number unknown |
| -44094 | Screenshot, screenshot command execution:  Metainformation is missing, no decodable DTS frames |
| -44095 | Screenshot, screenshot command execution:  Metainformation is missing, source video width/height unknown |
| -44096 | Screenshot, screenshot command execution:  Metainformation is missing, source video color space unknown |
| -44097 | Screenshot, screenshot command execution:  Metainformation is missing, no frame in rv30,40 and no sar |
| -44098 | Screenshot, screenshot command execution:  End of file |
| -44099 | Screenshot, screenshot command execution:  seeking outside actual filesize |
| -44101 | Screenshot, execution of command regarding the acquiring of screenshot information:  Decoding failed, ffmpeg notification file is corrupted |
| -44129 | Screenshot, execution of command regarding the acquiring of screenshot information:  Decoding failed, ffmpeg decoding failed |
| -44189 | Screenshot, execution of command regarding the acquiring of screenshot information:  Metainformation is missing, source video encoder/decoder unknown |
| -44190 | Screenshot, execution of command regarding the acquiring of screenshot information:  Metainformation is missing, source video audio frame size unknown |
| -44191 | Screenshot, execution of command regarding the acquiring of screenshot information:  Metainformation is missing, source video audio frame format unknown |
| -44192 | Screenshot, execution of command regarding the acquiring of screenshot information:  Metainformation is missing, source video audio frame rate unknown |
| -44193 | Screenshot, execution of command regarding the acquiring of screenshot information:  Metainformation is missing, source video audio channel number unknown |
| -44194 | Screenshot, execution of command regarding the acquiring of screenshot information:  Metainformation is missing, no decodable DTS frames |
| -44195 | Screenshot, execution of command regarding the acquiring of screenshot information:  Metainformation is missing, source video width/height unknown |
| -44196 | Screenshot, execution of command regarding the acquiring of screenshot information:  Metainformation is missing, source video color space unknown |
| -44197 | Screenshot, execution of command regarding the acquiring of screenshot information:  Metainformation is missing, no frame in rv30,40 and no sar |
| -44198 | Screenshot, execution of command regarding the acquiring of screenshot information:  End of file |
| -44199 | Screenshot, execution of command regarding the acquiring of screenshot information:  seeking outside actual filesize |
| -45001 | Audio/video transcoding, transcode command execution:  Decoding failed, ffmpeg notification file is corrupted |
| -45029 | Audio/video transcoding, transcode command execution:  Decoding failed, ffmpeg decoding failed |
| -45089 | Audio/video transcoding, transcode command execution:  Metainformation is missing, source video encoder/decoder unknown |
| -45090 | Audio/video transcoding, transcode command execution:  Metainformation is missing, source video audio frame size unknown |
| -45091 | Audio/video transcoding, transcode command execution:  Metainformation is missing, source video audio frame format unknown |
| -45092 | Audio/video transcoding, transcode command execution:  Metainformation is missing, source video audio frame rate unknown |
| -45093 | Audio/video transcoding, transcode command execution:  Metainformation is missing, source video audio channel number unknown |
| -45094 | Audio/video transcoding, transcode command execution:  Metainformation is missing, no decodable DTS frames |
| -45095 | Audio/video transcoding, transcode command execution:  Metainformation is missing, source video width/height unknown |
| -45096 | Audio/video transcoding, transcode command execution:  Metainformation is missing, source video color space unknown |
| -45097 | Audio/video transcoding, transcode command execution:  Metainformation is missing, no frame in rv30,40 and no sar |
| -45098 | Audio/video transcoding, transcode command execution:  End of file |
| -45099 | Audio/video transcoding, transcode command execution:  seeking outside actual filesize |
| -45101 | Audio/video transcoding, acquire file information before verifying the transcoded file:  Decoding failed, ffmpeg notification file is corrupted |
| -45129 | Audio/video transcoding, acquire file information before verifying the transcoded file:  Decoding failed, ffmpeg decoding failed |
| -45189 | Audio/video transcoding, acquire file information before verifying the transcoded file:  Metainformation is missing, source video encoder/decoder unknown |
| -45190 | Audio/video transcoding, acquire file information before verifying the transcoded file:  Metainformation is missing, source video audio frame size unknown |
| -45191 | Audio/video transcoding, acquire file information before verifying the transcoded file:  Metainformation is missing, source video audio frame format unknown |
| -45192 | Audio/video transcoding, acquire file information before verifying the transcoded file:  Metainformation is missing, source video audio frame rate unknown |
| -45193 | Audio/video transcoding, acquire file information before verifying the transcoded file:  Metainformation is missing, source video audio channel number unknown |
| -45194 | Audio/video transcoding, acquire file information before verifying the transcoded file:  Metainformation is missing, no decodable DTS frames |
| -45195 | Audio/video transcoding, acquire file information before verifying the transcoded file:  Metainformation is missing, source video width/height unknown |
| -45196 | Audio/video transcoding, acquire file information before verifying the transcoded file:  Metainformation is missing, source video color space unknown |
| -45197 | Audio/video transcoding, acquire file information before verifying the transcoded file:  Metainformation is missing, no frame in rv30,40 and no sar |
| -45198 | Audio/video transcoding, acquire file information before verifying the transcoded file:  End of file |
| -45199 | Audio/video transcoding, acquire file information before verifying the transcoded file:  seeking outside actual filesize |
| -45201 | Audio/video transcoding, acquire file information before uploading the file:  Decoding failed, ffmpeg notification file is corrupted |
| -45229 | Audio/video transcoding, acquire file information before uploading the file:  Decoding failed, ffmpeg decoding failed |
| -45289 | Audio/video transcoding, acquire file information before uploading the file:  Metainformation is missing, source video encoder/decoder unknown |
| -45290 | Audio/video transcoding, acquire file information before uploading the file:  Metainformation is missing, source video audio frame size unknown |
| -45291 | Audio/video transcoding, acquire file information before uploading the file:  Metainformation is missing, source video audio frame format unknown |
| -45292 | Audio/video transcoding, acquire file information before uploading the file:  Metainformation is missing, source video audio frame rate unknown |
| -45293 | Audio/video transcoding, acquire file information before uploading the file:  Metainformation is missing, source video audio channel number unknown |
| -45294 | Audio/video transcoding, acquire file information before uploading the file:  Metainformation is missing, no decodable DTS frames |
| -45295 | Audio/video transcoding, acquire file information before uploading the file:  Metainformation is missing, source video width/height unknown |
| -45296 | Audio/video transcoding, acquire file information before uploading the file:  Metainformation is missing, source video color space unknown |
| -45297 | Audio/video transcoding, acquire file information before uploading the file:  Metainformation is missing, no frame in rv30,40 and no sar |
| -45298 | Audio/video transcoding, acquire file information before uploading the file:  End of file |
| -45299 | Audio/video transcoding, acquire file information before uploading the file:  seeking outside actual filesize |
| -47100 | Source file does not meet requirement, source file information format is not json |
| -47101 | Source file does not meet requirement, source information does not contain width, height or color space |
| -47102 | Source file does not meet requirement, unknown source information encoder |
|-47104 | Source file does not meet requirement, duration of source information is invalid (<0.01 or >604800) |
| -47200 | Source file does not meet requirement, file duration information is 0 |
| -47300 | Source file does not meet requirement, maximum stitching limit exceeded |
| -47301 | Source file does not meet requirement, resolutions of stitched files are inconsistent |
| -47302 | Source file does not meet requirement, failed to acquire source information of the video files to be stitched |
| -47400 | Source file does not meet requirement, video file does not contain audio and video |
| -47401 | Source file does not meet requirement, source file does not contain audio data (audio conversion task) |
| -47402 | Source file does not meet requirement, source file does not contain video data (video conversion task) |
| -47403 | Source file does not meet requirement, width/high/rotate/dar_w/dar_h of the video file are invalid |
| -49101 | Audio/video transcoding, verification of the transcoded file:  Decoding failed, ffmpeg notification file is corrupted |
| -49129 | Audio/video transcoding, verification of the transcoded file:  Decoding failed, ffmpeg decoding failed |
| -49189 | Audio/video transcoding, verification of the transcoded file:  Metainformation is missing, source video encoder/decoder unknown |
| -49190 | Audio/video transcoding, verification of the transcoded file:  Metainformation is missing, source video audio frame size unknown |
| -49191 | Audio/video transcoding, verification of the transcoded file:  Metainformation is missing, source video audio frame format unknown |
| -49192 | Audio/video transcoding, verification of the transcoded file:  Metainformation is missing, source video audio frame rate unknown |
| -49193 | Audio/video transcoding, verification of the transcoded file:  Metainformation is missing, source video audio channel number unknown |
| -49194 | Audio/video transcoding, verification of the transcoded file:  Metainformation is missing, no decodable DTS frames |
| -49195 | Audio/video transcoding, verification of the transcoded file:  Metainformation is missing, source video width/height unknown |
| -49196 | Audio/video transcoding, verification of the transcoded file:  Metainformation is missing, source video color space unknown |
| -49197 | Audio/video transcoding, verification of the transcoded file:  Metainformation is missing, no frame in rv30,40 and no sar |
| -49198 | Audio/video transcoding, verification of the transcoded file:  End of file |
| -49199 | Audio/video transcoding, verification of the transcoded file:  seeking outside actual filesize |
