## 功能介绍
腾讯云点播提供了iOS, Android, Web三种播放器，基本功能包括：

1. 三种播放器均为通用播放器，不仅能够播放APP托管在腾讯云点播上的视频文件，而且可以播放互联网上的其他视频资源；
2. 作为通用视频播放器，腾讯云点播播放器支持边下边播能力；
3. 与腾讯云点播系统深度结合，除了最基本的视频播放功能，还提供其他能力，例如清晰度切换等功能。

## 视频文件格式简介

腾讯云点播视频播放器支持如下三种常见视频格式：

- MP4: 比较经典的文件格式，在移动终端和PC浏览器上的支持度都很好（在IOS和大部分Android设备上，都可以使用系统浏览器进行播放，在PC上可以使用FLASH控件进行播放）。但是MP4的视频文件格式比较复杂，所以处理成本高，而且由于索引表复杂度高，导致时长大于5分钟的MP4文件在线播放时加载速度会很慢。

- HLS: 苹果公司力推的标准，在移动终端的浏览器上的支持度较好（在IOS和大部分Android设备上，都可以使用系统浏览器进行播放），但IE的支持情况依赖FLASH的二次开发工作（比如使用腾讯视频云的FLASH播放器控件）。其精简的m3u8的索引结构可以规避**MP4**的索引慢问题，如果是用于点播，是非常不错的选择。

- FLV: Adobe公司所推的标准，目前直播平台最常用的封装格式，在PC端有FLASH的强力支持，但在移动终端只有APP实现播放器才有可能支持（或者使用本播放器），大部分手机端浏览器均不支持。目前腾讯视频云的直播录制，采用的就是FLV视频格式。

![vod](//mccdn.qcloud.com/static/img/7ecad3956506eafad7170f0d5e4ebfa3/image.jpg)

## DEMO体验
### DEMO安装
![](//mc.qcloudimg.com/static/img/ab0875058708003998c3830f7329b887/image.png)

### 功能支持
- 推流：RTMP 推流
- 直播：RTMP、FLV格式的在线直播
- 点播：MP4、HLS和FLV格式的在线点播

### 界面截图
![](//mc.qcloudimg.com/static/img/a39eddc4b5f1ea062355ab865a845fb9/image.png)

## 播放器SDK
- iOS播放器SDK；
- Android播放器SDK；
- Web播放器SDK。
