## 接口名称
ShowTaskStat

## 功能说明
1. 任务状态统计，描述各个任务状态下的任务情况；
2. 只会统计三天（72小时）内的任务。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/product/266/7782#.E5.85.AC.E5.85.B1.E5.8F.82.E6.95.B0)。 |

### 请求示例

```
https://vod.api.qcloud.com/v2/index.php?Action=ShowTaskStat
&COMMON_PARAMS
```

## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功；其他值: 失败。 |
| message | String | 错误信息。 |
| data | Array | 任务统计数据，按任务状态分组。 |
| data.totalCount | String | 任务个数。 |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)。  |
| 1000 | 参数非法。  |
| 10027 | 系统内部错误。  |

### 应答示例
```javascript
{
    "code": 0,
    "message": "",
    "data": [
        {
            "status": "WAITING",
            "totalCount": 100
        },
        {
            "status": "PROCESSING",
            "totalCount": 20
        },
        {
            "status": "FINISH",
            "totalCount": 2000
        }
    ]
}
```
