## 接口名称
PullEvent

## 功能说明
1. 该接口用于从点播服务端获取事件通知，详见[服务端事件通知](/document/product/266/7829)；
2. 该接口为长轮询模式，即：如果服务端存在未消费事件，则立即返回给请求方；如果服务端没有未消费事件，则后台会将请求挂起，直到有新的事件产生为止；
3. 该接口最多会将请求挂起5秒，建议请求方将超时时间设置为10秒；
4. 如果服务端有事件返回，调用方必须再调用[ConfirmEvent](/document/product/266/7819)来确认已经该事件通知已经处理，否则该事件通知后续会再次被拉取到。

### 请求方式

#### 请求域名
vod.api.qcloud.com

### 最高调用频率
1000次/分钟

#### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/product/266/7782#.E5.85.AC.E5.85.B1.E5.8F.82.E6.95.B0) |

#### 请求示例
```
https://vod.api.qcloud.com/v2/index.php?Action=PullEvent
&COMMON_PARAMS
```
#### 接口应答

#### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功；其他值: 失败 |
| message | String | 错误信息 |
| eventList | Array | 服务端返回的事件列表 |
| eventList.msgHandle | String | 事件句柄，调用方必须调用ConfirmEvent来确认消息已经收到，有效时间30秒，失效后一段时间可以重新获取  |
| eventList.eventContent | Object | 具体的事件内容，参见[服务端事件通知简介](/document/product/266/7829) |

#### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 1001 | 内部错误  |
| 2000 | 内部错误  |

#### 应答示例
```javascript
{
    "code": 0,
    "message": "",
    "eventList": [  // 拉取到的服务端事件通知列表，总共两个事件通知
        {
            "msgHandle": "MsgHandle1",  // 第一个事件通知的句柄
            "eventContent": { // 第一个事件通知的内容
                "version": "4.0",
                "eventType": "NewFileUpload", // 该字段表明事件通知的类型为“视频上传完成”
                "data": {
                    "fileId": "14508071098244959037",
                    "fileUrl": "http://251000330.vod2.myqcloud.com/vod251000330/14508071098244959037/f0.flv",
                    "transcodeTaskId": "transcode-0bee89b07a248e27c83fc3d5951213c1",
                    "porncheckTaskId": "porncheck-f5ac8127b3b6b85cdc13f237c6005d80"
                }
            }
        },
        {
            "msgHandle": "MsgHandle2", // 第二个事件通知的句柄
            "eventContent": { // 第二个事件通知的内容
                "version": "4.0",
                "eventType": "ConcatComplete", // 该字段表明事件通知的类型为“视频拼接完成”
                "data": {
                    "status": 0,
                    "message": "",
                    "vodTaskId": "concat-1edb7eb88a599d05abe451cfc541cfbd",
                    "fileInfo": [
                        {
                            "fileId": "14508071098244931831",
                            "fileUrl": "http://125xx.vod2.myqcloud.com/vod125xx/14508071098244931831/playlist.f6.m3u8",
                            "fileType": "m3u8"
                        },
                        {
                            "fileId": "14508071098244929440",
                            "fileUrl": "http://125xx.vod2.myqcloud.com/vod125xx/14508071098244929440/f0.mp4",
                            "fileType": "mp4"
                        }
                    ]
                }
            }
        }
    ]
}
```
