## 接口名称
RedoTask

## 功能说明
1. 重试任务，执行之后任务ID不会改变，重试成功后会覆盖之前的数据；
2. 只能重试已结束的任务；
3. 只能重试三天（72小时）内的任务。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| vodTaskId | 是 | String | 任务ID。 |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/api/213/6976)。 |

### 请求示例
```
https://vod.api.qcloud.com/v2/index.php?Action=RedoTask
&vodTaskId=1251132654-Procedure-d7c9631c15ecf653b1ff67e34cb04692
&COMMON_PARAMS
```
## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0：成功, 其他值：失败。 |
| message | String | 错误信息。 |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 参数非法。  |
| 70014 | 任务不存在。  |
| 10027 | 系统内部错误。  |
| 70034 | 任务还在进行中。  |

### 应答示例

```javascript
{
    "code": 0,
    "message": ""
}
```