## 接口名称
DeleteVodFile

## 功能说明
1. 删除视频文件；
2. 视频被删除之后，其所有附属对象（转码结果、雪碧图等）也将被删除。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| fileId | 是 | string | 文件id |
| priority | 是 | Integer | 可填0；优先级0:中 1：高 2：低 |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/product/266/7782#.E5.85.AC.E5.85.B1.E5.8F.82.E6.95.B0) |

### 请求示例
```
https://vod.api.qcloud.com/v2/index.php?Action=DeleteVodFile
&fileId=16092504232103571364
&priority=0
&COMMON_PARAMS
```
## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 1001 | 内部错误  |
| 1050 | 内部错误  |
| 1102 | 内部错误  |
| 1702 | 内部错误  |
| 10009 | 文件状态异常  |

### 应答示例

```javascript
{
    "code": 0,
    "message": ""
}
```
