## 接口名称
DescribeDrmDataKey

## 功能说明
1. 获取点播视频加密的数据秘钥。数据秘钥（Data Key，简称DK）是由KMS系统生成的，用于对称加解密的秘钥；
1. 视频加密使用腾讯云点播内置KMS服务来管理密钥时该接口才能获取到视频加密的数据密钥；
1. 输入参数为加密的数据密钥（Encrypted Data Key，简称EDK）。ProcessFile接口带上加密参数时，事件通知消息里会带上加密的EDK数据；
2. 获取到的数据密钥为base64编码的字符串。
3. 用户在视频加密任务处理成功后调用该接口获取视频加密的数据密钥，用户需要自己保存该数据密钥。当播放器播放加密视频时会向用户的web服务器发起获取数据密钥的请求，用户的服务器需要将base64编码格式的数据密钥转换为16字节二进制数据返回给播放器。

## 事件通知
无

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------------|----------|---------|---------|
| edkList.n | 是 | String |加密后的数据秘钥列表，最大支持10个 |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/api/213/6976) |

### 请求示例
```
https://vod.api.qcloud.com/v2/index.php?Action=DescribeDrmDataKey&edkList.0=CiCdpfV8oMGHlWuACHIGUxJ/mdjZnBWEsovP6k78xvj2qRCO08TAChiaoOvUBCokNTQ3N2MwYWQtMmVlYy00ZmNhLWE5OGQtNmNiNjc5MTVmODdh&COMMON_PARAMS
```

## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| data | Ojbect | 包含密钥列表的数据 |
| data.keyList | Array | 密钥列表，包含加密的数据密钥和数据密钥，字段信息参见keyList（密钥列表）|

#### keyList（密钥列表）
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| edk | String|加密后的数据秘钥 |
| dk | String |数据秘钥。返回的数据密钥dk为base64编码的字符串 |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 1001 | 用户信息错误  |
| 10009 | 10612，获取数据密钥错误，可能是输入的edk错误  |

### 应答示例

```javascript
{
    "code": 0,
    "message": "",
    "data": {
        "edkList": [
            {
                "edk": "CiCdpfV8oMGHlWuACHIGUxJ/mdjZnBWEsovP6k78xvj2qRCO08TAChiaoOvUBCokNTQ3N2MwYWQtMmVlYy00ZmNhLWE5OGQtNmNiNjc5MTVmODdh",
                "dk": "i6zM/pnmIERJE3vAt0UnGg=="
            }
        ]
    }
}
```
