## 接口名称
DescribeVodInfo

## 功能说明
1. 根据FileID获取视频属性信息，包括名称、标签、创建时间等。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称          | 必填   | 类型      | 说明                                       |
| ------------- | ---- | ------- | ---------------------------------------- |
| fileIds.n     | 否    | String  | 视频ID列表，暂时不支持批量                           |
| from          | 否    | String  | 开始时间，默认为1970-1-1 00:00:00                |
| to            | 否    | String  | 结束时间，默认为 2038-1-1 00:00:00               |
| classId       | 否    | Integer | 视频分类ID，过滤使用                              |
| status        | 否    | Integer | 视频状态，过滤使用， -1：未上传完成，不存在；0：初始化，暂未使用；1：审核不通过，暂未使用；2：正常；3：暂停；4：转码中；5：发布中；6：删除中；7：转码失败；100：已删除 |
| orderby       | 否    | Integer | 结果排序，默认按时间升序，0：按时间升序 1：按时间降序             |
| pageNo        | 否    | Integer | 分页页号                                     |
| pageSize      | 否    | Integer | 分页大小，范围在10-100之间                         |
| COMMON_PARAMS | 是    |         | 参见[公共参数](/document/api/213/6976) |

### 请求示例
```
https://vod.api.qcloud.com/v2/index.php?Action=DescribeVodInfo
&fileIds.1=1976554120332374777
&COMMON_PARAMS
```
## 接口应答

### 参数说明
| 参数名称       | 类型      | 说明                  |
| ---------- | ------- | ------------------- |
| code       | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message    | String  | 错误信息                |
| totalCount | Integer | 视频总数                |
| fileSet    | Array   | 视频列表结果集             |

fileSet 视频列表结果集

| **参数名称**    | **类型**  | **描述**                                   |
| ----------- | ------- | ---------------------------------------- |
| fileId      | String  | 视频ID                                     |
| fileName    | String  | 视频名称                                     |
| size        | String  | 视频大小                                     |
| duration    | String  | 视频持续时间                                   |
| status      | String  | 视频状态， -1：未上传完成，不存在；0：初始化，暂未使用；1：审核不通过，暂未使用；2：正常；3：暂停；4：转码中；5：发布中；6：删除中；7：转码失败；10：等待转码；100：已删除 |
| vid         | String  | 视频的唯一识别码                                 |
| createTime  | String  | 视频创建时间                                   |
| updateTime  | String  | 视频修改时间                                   |
| classId     | String  | 视频分类ID                                   |
| className   | String  | 视频分类名称                                   |
| imageUrl    | String  | 视频封面图片                                   |
| tags        | Array   | 视频标签列表                                   |
| description | string  | 描述                                       |
| cdnStatus   | Integer | 是否在API中进行过CDN发布操作；0 - 未发布过；1 - 发布中，2 - 成功，3 - 发布失败，4 - 中止(暂未使用)，5 - 已删除 |

### 错误码说明
| 错误码       | 含义说明                                  |
| --------- | ------------------------------------- |
| 4000-7000 | 参见[公共错误码](/document/product/266/7783) |
| 1         | 内部错误                                  |
| 1000      | 无效参数                                  |
| 1001      | 内部错误                                  |
| 1003      | 内部错误                                  |
| 2000      | 内部错误                                  |
| 10008     | 文件不存在                                 |
| 10022     | 内部错误                                  |

### 应答示例
```javascript
{
    "code": 0,
    "message": "",
    "fileSet": [
        {
            "fileId": "1976554120332374777",
            "fileName": "蓝色茉莉(01h35m56s-01h38m23s)",
            "fileIntro": "",
            "size": "7865592",
            "duration": "147",
            "status": "2",
            "vid": "1200_1870483a9a6011e4a137dfa495b17abf",
            "createTime": "2015-01-12 21:37:11",
            "updateTime": "2015-01-13 11:23:01",
            "classId": "0",
            "className": "其他",
            "imageUrl": "http://p.qpic.cn/videoyun/0/1200_1870483a9a6011e4a137dfa495b17abf_1/640",
            "tags": [
                "其他"
            ]
        }
    ]
}
```
