## 接口名称
GetPlayStatLogList

## 功能说明
1. 查询每天的播放统计文件下载地址。
2. 点播每天对前一天的CDN请求日志进行分析处理，生成该日的播放统计文件。播放统计文件内容包含了视频文件的播放次数和播放流量、客户端IP等统计信息。
3. 播放统计数据的说明：
   1）对hls文件，m3u8文件被请求时统计播放次数，ts文件被请求时只统计流量，不统计播放次数。
   2）非hls文件，如mp4文件，当请求带range参数时，如果range的start为0，统计播放次数，否则不统计播放次数；如果请求没有带range参数，会统计播放次数。
   3）统计数据中的客户端IP数为去重后的客户端IP总数。
   4）播放设备的统计数据，如果http请求中带了UserAgent参数，并且UserAgent包含了Android或者iPhone等标识，就会统计为移动端播放次数，否则统计为PC端播放次数。
      
## 注意
1. 每天上午11:00左右生成前一天的播放统计文件
2. 只能查询最近30天内的播放统计文件

## 事件通知
无

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------------|----------|---------|---------|
| from | 是 | String |开始日期，如2017-09-01|
| to | 是 | String |结束日期，如2017-09-10 |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/product/266/8756#.E5.85.AC.E5.85.B1.E5.8F.82.E6.95.B0) |
### 请求示例
<pre>
https://vod.api.qcloud.com/v2/index.php?Action=GetPlayStatLogList
&from=2017-09-01
&to=2017-09-10
&COMMON_PARAMS
</pre>

## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| fileList | Array | 播放统计文件列表,每个元素代表一个播放统计文件 |
| fileList.date | String|播放统计数据的日期 |
| fileList.url | String |播放统计文件下载地址，24小时内有效。播放统计文件为gzip压缩的csv文件 |

### 播放统计文件数据列说明
| 列名 |说明|  
|---------|---------|
| date | 播放日期 |
| file_id | 视频文件ID |
| ip_count | 去重后的客户端IP数 |
| flux | 播放流量 |
| play_times_total | 总的播放次数 |
| play_times_pc | PC端播放次数 |
| play_times_mobile | 移动端播放次数 |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 1001 | 用户信息错误  |


### 应答示例

```javascript
{
    "code": 0,
    "message": "",
    "fileList": [
        {
            "date": "2017-09-01",
            "url": "http://xxx.test.com/playstat/20170901.csv.gz?sign=abc"
        }
    ]
}
```
