## 接口名称
UpdateWatermarkTemplate

## 功能说明
1. 更新水印模板。


## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| definition | 是 | Integer | 采样截图模板ID |
| type | 否 | String | 水印类型，固定为image |
| left | 否 | String | 水印图片左上角距离视频图像左上角的水平位置。带%结尾的字符串表示水印left为视频宽度百分比的大小，带px结尾的字符串表示left单位为像素。如10%表示left为视频宽度的10%，100px表示left为100像素。默认为0px |
| top | 否 | String | 水印图片左上角距离视频图像左上角的垂直位置。带%结尾的字符串表示水印top为视频高度百分比的大小，带px结尾的字符串表示top单位为像素。如10%表示top为视频宽度的10%，100px表示top为100像素。默认为0px |
| width |是 | String | 水印图片的宽度。带%结尾的字符串表示width为视频宽度百分比的大小，带px结尾的字符串表示width单位为像素。如10%表示width为视频宽度的10%，100px表示width为100像素 |
| height | 否 | String | 水印图片的高度。带%结尾的字符串表示水印height为视频高度百分比的大小，带px结尾的字符串表示height单位为像素。如10%表示height为视频高度的10%，100px表示height为100像素。默认为0px，按视频比例缩小 |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/api/213/6976) |

## 请求示例
<pre>
https://vod.api.qcloud.com/v2/index.php?Action=UpdateWatermarkTemplate
&definition=10005
&name=test
&type=image
&url=www.watermark.com/test.jpg
&width=10%
&left=20px
&top=30px
&COMMON_PARAMS
</pre>

## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 10801 | 请求中的url参数错误  |
| 10802 | 请求中的type参数错误  |
| 10803 | 请求中的left参数错误  |
| 10804 | 请求中的top参数错误  |
| 10807 | 请求中的definition参数错误  |
| 10810 | 请求中的width参数错误 |
| 10811 | 请求中的height参数错误  |
### 应答示例

```javascript
{
    "code": 0,
    "message": ""
}
```
