## 接口名称
QueryWatermarkTemplate

## 功能说明
1. 根据水印模板ID，查询水印模板详细信息。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| definition | 是 | Integer | 水印模板ID |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/api/213/6976) |

## 请求示例
<pre>
https://vod.api.qcloud.com/v2/index.php?Action=QueryWatermarkTemplate
&definition=1008
&COMMON_PARAMS
</pre>


## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| definition | Integer | 水印模板ID |
| name | String | 水印模板的名字 |
| comment | String | 对该模板的描述 |
| type | String | 水印类型,固定为image |
| url | Integer | 水印的url地址 |
| left | String | 水印图片左上角距离视频图像左上角的水平位置。带%结尾的字符串表示水印left为视频宽度百分比的大小，带px结尾的字符串表示left单位为像素。如10%表示left为视频宽度的10%，100px表示left为100像素。默认为0px |
| top | String | 水印图片左上角距离视频图像左上角的垂直位置。带%结尾的字符串表示水印top为视频高度百分比的大小，带px结尾的字符串表示top单位为像素。如10%表示top为视频宽度的10%，100px表示top为100像素。默认为0px |
| width |String | 水印图片的宽度。带%结尾的字符串表示width为视频宽度百分比的大小，带px结尾的字符串表示width单位为像素。如10%表示width为视频宽度的10%，100px表示width为100像素。默认为10% |
| height | String | 水印图片的高度。带%结尾的字符串表示水印height为视频高度百分比的大小，带px结尾的字符串表示height单位为像素。如10%表示height为视频高度的10%，100px表示height为100像素。默认为0px，按视频比例缩小 |

| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 10702 | 内部处理错误 |
| 10704 | 水印模板不存在  |

### 应答示例

```javascript
{
    "code": 0,
    "message": "",
    "definition": 1008,
    "name": "test",
    "createTime": 1485156352,
    "updateTime": 1485156352,
    "comment": "",
    "type": "image",
    "url": "http://www.watermark.com/test.jpg",
    "width": "10%",
    "left": "20px",
    "top": "30px"
}
```
