## 接口名称
QueryWatermarkTemplateList

## 功能说明
1. 查询水印模板列表。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/api/213/6976) |

## 请求示例
<pre>
https://vod.api.qcloud.com/v2/index.php?Action=QueryWatermarkTemplateList
&COMMON_PARAMS
</pre>
## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| definitionList | Array | 水印模板信息列表 |
| definitionList.definition | Integer | 水印模板ID |
| definitionList.name | String | 水印模板的名字 |
| definitionList.comment | String | 对该模板的描述 |
| definitionList.createTime | Integer | 模板创建时间（Unix时间戳） |
| definitionList.updateTime | Integer | 模板更新时间（Unix时间戳） |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 1001 | 内部错误  |
| 1050 | 内部错误  |
| 1102 | 内部错误  |
| 1702 | 内部错误  |

### 应答示例

```javascript
{
    "code": 0,
    "message": "",
    "definitionList": [
        {
            "definition": 10010,
            "name": "normal",
            "comment": "test",
            "createTime": 1485156352,
            "updateTime": 1485156352
        },
        {
            "definition": 10011,
            "name": "special",
            "comment": "test",
            "createTime": 1485156362,
            "updateTime": 1485156362
        }
    ]
}
```