## 接口名称
ApplyUploadWatermark

## 功能说明
1. 在创建水印模板时，通过该接口获取水印文件的上传URL。

> 注：通过服务端API创建水印模板分为三步，本接口为其中的第1步：
> 1. 调用本接口，申请水印文件的上传URL；
> 1. 使用HTTP PUT方法，将水印文件上传到上一步返回的上传URL，请求Body为水印图片的二进制数据；
> 1. 调用[创建水印模板(CreateWatermarkTemplate)](/document/product/266/11599)接口，创建水印模板。

更多参见：[通过服务端API管理水印模板]()。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------------|----------|---------|---------|
| type | 是 | String | 水印文件类型，如jpg或者png等。推荐使用png格式 |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/api/213/6976) |


## 请求示例
<pre>
https://vod.api.qcloud.com/v2/index.php?Action=ApplyUploadWatermark
&type=png
&COMMON_PARAMS
</pre>

## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| uploadUrl | String |  上传水印文件的地址 |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 1001 | 用户信息错误  |


### 应答示例

```javascript
{
    "code": 0,
    "message": "",
    "uploadUrl":"http://123.test.com/123.png&sign=abcd",
}
```