## 接口名称
DescribeClass

## 功能说明
1. 获取全局分类列表，以及每个分类的具体信息；
2. 如需获取分类之间的层次结构，请使用[获取视频分类层次结构](/document/product/266/7813)接口。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/api/213/6976) |

### 请求示例
```
https://vod.api.qcloud.com/v2/index.php?Action=DescribeClass
&COMMON_PARAMS
```
## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 1023 | 内部错误  |

### 应答示例
```javascript
{
    "code": 0,
    "message": "",
    "data": [
        {
            "id": "0",
            "name": "其他",
            "create_time": "2014-11-27 10:22:37",
            "update_time": "2014-11-27 17:52:13"
        },
        {
            "id": "98",
            "name": "电影",
            "create_time": "2015-04-08 09:52:20",
            "update_time": "2015-04-08 09:52:20"
        }
    ]
}
```
