## 接口名称
DescribeAllClass

## 功能说明
1. 获得当前用户所有的分类层级关系。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/api/213/6976) |

### 请求示例
```
https://vod.api.qcloud.com/v2/index.php?Action=DescribeAllClass
&COMMON_PARAMS
```
## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| data | Array | 当前用户分类层级关系列表 |
| data.info | Array | 一级分类的信息 |
| data.subclass | Array | 一级分类下子类的信息 |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 1905 | 用户没有分类 |
| 1907 | 内部错误 |
| 2000 | 内部错误  |

### 应答示例
```javascript
{
    "code": 0,
    "message": "",
    "data": [
        {
            "info": {
                "id": 149,
                "parent_id": -1,
                "name": "测试",
                "level": 0,
                "file_num": 0
            },
            "subclass": [
                {
                    "info": {
                        "id": 213,
                        "parent_id": 149,
                        "name": "新的二级分类",
                        "level": 1,
                        "file_num": 0
                    },
                    "subclass": []
                },
                {
                    "info": {
                        "id": 215,
                        "parent_id": 149,
                        "name": "新的二级分类(1)",
                        "level": 1,
                        "file_num": 0
                    },
                    "subclass": []
                }
            ]
        }
    ]
}
```
