## 接口名称
SimpleConcatHls

## 功能说明
1. 该接口的功能是：直接对多个HLS视频的m3u8文件进行拼接，生成新的m3u8文件；
1. 主要应用场景：如果APP使用了腾讯云的直播或者互动直播服务，并开启录制，则录制生成的文件会落地到点播系统；直播/互动直播录制过程中，有可能会出现**短暂**的录制中断（例如主播侧网络波动），最终导致一次直播过程产生多个录制文件；假定录制输出视频的格式为HLS，那么在某些情况下，APP可以直接将这几个录制片段的索引文件（m3u8文件）拼接成新的m3u8文件，从而实现简单快速的视频拼接；
1. 该接口属于同步操作，会立即返回新生成的m3u8文件；
1. 该接口的最大优势在于，仅拼接m3u8的速度很快，可以立即完成；但劣势在于无法保证输出视频可以正常播放；
1. 如果需要确保拼接出来的视频可以正常播放，请使用[视频拼接](/document/product/266/7821)接口。

**特别注意：**

1. **不是**任意两个合法HLS视频的m3u8文件拼接起来都能正常播放；
2. 即使调用该接口生成了一个m3u8文件，生成出来的文件依然有可能**无法**正常播放；
3. 拼接完成之后，调用者需要人工确认拼接之后生成的m3u8文件是否可以播放。

**在调用该接口时，APP必须确保：**

1. 待拼接的HLS的流ID相同。对应到直播/互动直播场景，即是要确保是相同的流ID，或者相同的主播；
1. 待拼接的HLS必须依照时间顺序排序，不能出现时间错乱；
1. 相邻两个待拼接HLS的时间间隔不得超过1分钟。

不满足上述任意一个条件，都有可能导致生成出来的HLS**无法**正常播放。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------------|----------|---------|---------|
| srcFileList.n.fileId | 是 | String | 文件id列表 |
| name          | 是 | String    | 拼接出来的文件名称 |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/product/266/7782#.E5.85.AC.E5.85.B1.E5.8F.82.E6.95.B0) |

### 请求示例
```
https://vod.api.qcloud.com/v2/index.php?Action=SimpleConcatHls
&srcFileList.0.fileId=16092504232103571364
&srcFileList.1.fileId=16092504232103571365
&name=testfile
&COMMON_PARAMS
```
## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| fileId | String | 拼接出的文件id |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 1001 | 用户信息错误  |
| 10009 | 文件状态异常  |

### 应答示例
```javascript
{
    "code": 0,
    "message": "",
    "fileId": "16092504232103571365",
    "fileUrl": "http://vcloud1200.tc.qq.com/1200_5b9688d481d8b811095d30a78cf44c4285026a4c.playlist.m3u8"
}
```
