## 接口名称
ConvertVodFile

## 功能说明
1. 依照控制台中的转码配置，对视频文件进行转码；
2. 转码任务结束之后，如果APP配置了服务端事件通知，则会产生转码完成事件通知。

**备注：**

控制台设置转码配置的方法：登录腾讯云点播控制台 -> 左侧菜单栏选择“全局配置” -> TAB页中选择“转码设置”。

## 事件通知
文件上传成功可触发[事件通知-视频转码完成](/document/product/266/7832)。APP后台可据此监听点播系统中的视频转码行为。

更多参见[服务端事件通知简介](/document/product/266/7829)。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明

| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| fileId | 是 | string | 文件 |
| isScreenshot | 否 | Integer | 是否截图：0，不需要；1，需要 |
| isWatermark | 否 | Integer | 是否添加水印：0：不需要；1，需要 |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/product/266/7782#.E5.85.AC.E5.85.B1.E5.8F.82.E6.95.B0) |

### 请求示例

```
https://vod.api.qcloud.com/v2/index.php?Action=ConvertVodFile
&fileId=96000077184630899
&isScreenshot=1
&isWatermark=1
&COMMON_PARAMS
```

## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功；其他值: 失败 |
| message | String | 错误信息 |
| vodTaskId | String | 任务id |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1 | 内部错误 |
| 1000 | 无效参数 |
| 1108 | 内部错误 |
| 1152 | 内部错误 |
| 1801 | 内部错误 |
| 1802 | 内部错误 |
| 2000 | 内部错误 |
| 2001 | 内部错误 |
| 10009 | 文件状态异常 |
| 10010 | 内部错误 |
| 10012 | 内部错误 |

### 应答示例
```javascript
{
    "code": 0,
    "message": "",
	"vodTaskId" : ""
}
```