## 接口名称
QueryTranscodeTemplate

## 功能说明
1. 查询转码模板详细信息。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| definition | 是 | Integer | 转码模板ID |
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/api/213/6976) |

### 请求示例
<pre>
https://vod.api.qcloud.com/v2/index.php?Action=QueryTranscodeTemplate
&definition=1003
&COMMON_PARAMS
</pre>

## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| name | String | 转码模板的名字 |
| container | String | 容器类型，例如m4a，mp4等 |
| comment | String | 对该模板的描述 |
| createTime | Integer | 模板创建时间（Unix时间戳） |
| updateTime | Integer | 模板信息最近更新时间（Unix时间戳） |
| isFiltrateVideo | Integer | 去除视频数据，1为去除，0为保留，默认为0 |
| isFiltrateAudio | Integer | 去除音频数据，1为去除，0为保留，默认为0 |
| video | Object | 视频流配置信息，当isFiltrateVideo为1，则该字段将被忽略 |
| video.codec | Integer | 视频流的编码格式， 目前有：libx264（H264编码），libx265（H265编码） |
| video.fps | Float | 帧率，单位：hz |
| video.resolutionSelfAdapting| Integer | 分辨率开启自适应：1为开启，0为关闭。 若为1，则width的值用于较长边，height的值用于较短边, 默认为1 |
| video.width | Integer | 视频流宽度的最大值，如果该值为0，video.height非0，则按比例缩放, 反之，若video.height为0，则表示同源。 单位：px |
| video.height | Integer | 视频流高度的最大值，如果该值为0，video.width非0，则按比例缩放, 反之，若video.width为0，则表示同源。单位：px |
| video.bitrate | Integer | 视频流的码率，单位：kbps |
| video.minGop | Integer | 视频关键帧最小间隔，取值范围1~10|
| video.maxGop | Integer | 视频关键帧最大间隔，取值范围1~10 |
| video.videoProfile | String | 视频编码档次，取值baseline，main，high |
| video.colorSpace | String | 视频色度空间，取值yuv420p，yuv420p10le |
| video.deinterlaced | Integer | 视频去隔行模式，1：去隔行，0：保持视频隔行模式 |
| video.videoRateControl | Integer | 视频编码模式，0表示one pass，1表示two pass|
| denoise | Object | 视频降噪参数 |
| denoise.enable | Integer | 是否启用视频降噪处理， 1：启用，0：不启用 |
| audio | Object | 音频流配置信息，若isFiltrateAudio为1，则该字段将被忽略 |
| audio.codec | String | 音频流的编码格式，目前有libfdk_aac（更适合mp4, hls），libmp3lame（更适合flv） |
| audio.bitrate | Integer | 音频流的码率，单位：kbps |
| audio.soundSystem | String | 音频通道方式 |
| audio.sampleRate | Integer | 音频流的采样率。 单位：hz|
| audio.audioResampler | string | 音频重新采样参数，如果音频声道数超过2个，重新采样为2声道。目前只支持soxr|
| audio.audioDownmixMode | Integer | 1表示音频重新采样时，如果声道数大于4个，在重新采样的基础上，再为中央声道做增益补偿。|

> 注意：
> - video,audio字段详细含义及取值，参见[转码能力综述](/document/product/266/11701#.E8.BD.AC.E7.A0.81.E8.83.BD.E5.8A.9B.E7.BB.BC.E8.BF.B0)

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 10702 | 内部错误  |
| 10704 | 该模板不存在  |

### 应答示例

```javascript
{
    "code": 0,
    "message": "",
    "name": "highDefinition",
    "container": "mp4",
    "comment": "commonDefinition",
    "isFiltrateVideo": 0,
    "isFiltrateAudio": 0,
    "createTime": 1485156352,
    "updateTime": 1485156352,
    "video": {
        "codec": "libx264",
        "fps": 40,
        "resolutionSelfAdapting": 1,
        "width": 123,
        "height": 554,
        "bitrate": 256000
    },
    "audio": {
        "codec": "libfdk_aac",
        "bitrate": 512000,
        "soundSystem": 2,
        "sampleRate": 200
    }
}
```
