## 接口名称
QueryTranscodeTemplateList

## 功能说明
1. 查询转码模板列表。

## 请求方式

### 请求域名
vod.api.qcloud.com

### 最高调用频率
100次/分钟

### 参数说明
| 参数名称 | 必填 | 类型 | 说明 |
|---------|---------|---------|---------|
| COMMON_PARAMS | 是 |  | 参见[公共参数](/document/api/213/6976) |

### 请求示例
<pre>
https://vod.api.qcloud.com/v2/index.php?Action=QueryTranscodeTemplateList
&COMMON_PARAMS
</pre>

## 接口应答

### 参数说明
| 参数名称 | 类型 | 说明 |
|---------|---------|---------|
| code | Integer | 错误码, 0: 成功, 其他值: 失败 |
| definitionList | Array | 转码模板信息列表 |
| definitionList.definition | Integer | 转码模板ID |
| definitionList.name | String | 转码模板的名字 |
| definitionList.comment | String | 对该模板的描述 |
| definitionList.createTime | Integer | 模板创建时间（Unix时间戳） |
| definitionList.updateTime | Integer | 模板信息最近更新时间（Unix时间戳） |

### 错误码说明
| 错误码 | 含义说明|
|---------|---------|
| 4000-7000 | 参见[公共错误码](/document/product/266/7783)  |
| 1000 | 无效参数  |
| 10702 | 内部错误  |

### 应答示例

```javascript
{
    "code": 0,
    "message": "",
    "definitionList": [
        {
            "definition": 1004,
            "name": "highDefinition",
            "comment": "commonDefinition",
            "createTime": 1485156352,
            "updateTime": 1485156352
        },
        {
            "definition": 1005,
            "name": "highDefinition",
            "comment": "commonDefinition",
            "createTime": 1485156352,
            "updateTime": 1485156352
        }
    ]
}
```