感谢您长期以来对腾讯云点播业务的支持。

腾讯云点播服务目前已经完成了从点播1.0到4.0的升级，系统内部进行了脱胎换骨的升级，主要升级内容包括：

1. 提供了完备的[UGC视频上传解决方案](/document/product/266/7835)，支持iOS/Android/Web等多个终端；
1. 新推出[视频拼接](/document/product/266/7821)功能；
1. 服务端视频上传性能优化，支持并发上传，可以极大提升视频上传速度；
1. 转码集群优化，转码成功率与可靠性得到极大提升；
1. 更加优雅与可靠的[服务端事件通知机制](/document/product/266/7829)；
1. 视频存储增加新加坡集群，海外视频上传与播放质量得到大幅提升。

从点播1.0升级到点播4.0，***套餐及价格没有变更，无需支付升级费用***。升级后绝大多数接口与控制台交互会与点播1.0兼容，仅有小部分功能会存在一些变化：

* 控制台视频管理的变化
* 服务端视频上传接口的变化
* 事件通知机制的的变化
* 腾讯云直播/互动直播用户获取视频回看地址规则的变化
* 服务端 API 废弃/迁移

## 控制台视频管理的变化

点播1.0和点播4.0使用了不同的存储引擎。当您切换到点播4.0之后，从控制台新上传的视频、调用新上传接口上传的视频均会进入到点播4.0系统。切换到点播4.0之前的历史文件、调用老上传接口上传的文件，依然会进入到点播1.0系统。控制台的“视频管理”页面为您提供了在两套系统之间进行切换的入口：

进入“视频管理”页面之后，默认展示点播4.0的视频文件。您可以点击“进入点播1.0”按钮来查看点播1.0的视频文件，如下图所示：

![](//mc.qcloudimg.com/static/img/2b4534a1e35c8a0325c04ce3542b80e8/image.png)


进入到点播1.0视频管理页面之后，您可点击“返回点播4.0”按钮来查看点播4.0的视频文件，如下图所示：

![](//mc.qcloudimg.com/static/img/a9d09b0be77e8974d0d7222fb9b3627a/image.png)

## 服务端视频上传接口的变化

点播1.0的视频上传接口存在着上传稳定性较差、上传速度较慢（不支持并发上传）、服务端上传SDK不完善、对UGC上传支持不友好。我们建议APP统一迁移到点播4.0的上传接口：

1. 对于服务端视频上传，建议使用点播提供的服务端上传SDK，或者使用原生的服务端上传接口（[初始化上传](/document/product/266/7809)、[分片上传](/document/product/266/7810)、[结束上传](/document/product/266/7811)）；
1. 对于UGC视频上传，建议使用点播4.0原生支持的UGC视频上传能力，参见[UGC视频上传综述](/document/product/266/7835)。

## 事件通知机制的变化
点播1.0的事件通知机制主要依赖用户在调用API接口的时候传入回调URL，使用起来较为复杂。

点播4.0除了支持点播1.0原有的事件通知机制之外，提供了新的服务端事件通知机制，具体参见[服务端事件通知简介](/document/product/266/7829)。

## 腾讯云直播/互动直播用户获取视频回看地址规则的变化

腾讯云直播、互动直播录制文件会进入点播系统，每个录制文件会有唯一的video_id(简称vid)。在点播1.0时代，视频会看URL可以通过video_id拼接得到。例如，对于如下这个典型的点播1.0视频文件URL：

```
http://200000291.vod.myqcloud.com/200000291_650e9299919f4007bb8a01b7671f0e20.f0.mp4
```

该URL的Path部分是由video_id + ".f0.mp4" 拼接生成的。当点播系统升级到4.0以后，新录制视频的回看URL将会与video_id没有任何关系，切视频的域名也会发生变化。例如以下地址：

```
http://1251659802.vod2.myqcloud.com/vod1251659802/9031868222835583048/f0.flv
```

与点播1.0的回看URL相比：

1. 域名不再是原来的*.vod.myqcloud.com，而是*.vod2.myqcloud.com；
2. Path和video_id之间不存在任何关系。
### 正确的获取办法

1. 如果知道录制文件的名称，建议通过[DescribeVodPlayInfo](/document/product/266/1373) 接口，查询文件播放信息；
1. 如果不清楚录制文件的名称名的时候，建议使用[DescribeRecordPlayInfo](/document/product/266/8227) 接口，通过video_id来获取文件播放信息。

## 服务端 API 废弃/迁移
### 废弃接口
| 接口名 | 原有功能|废弃原因 |
| :--: | :--: | :--: |
| SetVodPlayStatus | 设置文件发布状态 | 基础功能已下线 |
| MultiSetVodPlayStatus| 批量设置文件发布状态 | 基础功能已下线|
### 迁移接口
| 接口名 | 迁移接口|迁移原因 | 功能差异 |
| :--: | :--: | :--: | :--:|
| CreateScreenShot |[DescribeAutoScreenShot](/document/product/266/1410) | 接口描述与实际功能不符合 | DescribeAutoScreenShot接口不支持多fileId批量查询 |
| DescribeScreenShot |[DescribeAutoScreenShot](/document/product/266/1410) | 接口描述与实际功能不符 | 无差异 |
| DescribeVodCover | [DescribeVodCover](/document/product/266/8814)与[SmallFileUpload](/document/product/266/8833)| 原有功能存在较多限制 | DescribeVodCover仅用于设置封面url，SmallFileUpload用于上传实际封面图片。sdk中也有相关调用，可不受1M大小限制 | 
