## 简介

随着终端用户个性化的需求愈加强烈，简单的文字交互已经不能满足用户的分享诉求。腾讯云点播支持用户将客户端上的视频文件直接上传到云端，并与点播的其它业务功能（比如转码、截图、防盗链等）无缝结合。

## 上传流程

![](//mc.qcloudimg.com/static/img/1cb47b70ba7ab12ddf161f9576ca6849/image.png)

上图为客户端上传流程示意图，主要有4个参与对象，分别是：客户端、APP 服务器、腾讯云点播系统 VOD 和腾讯云存储系统 COS。下面对流程图中的各步骤进行详细说明。

### 第一步：客户端从 APP 服务器获取上传签名

客户端上传文件到腾讯云之前，VOD 需要检查客户端的上传行为是否已获得 APP 服务器的授权。因此，客户端必须先从 APP 服务器获取上传签名，并在请求上传信息时将该签名传递给 VOD。VOD 校验签名，只有在校验结果为“签名合法”的情况下，才允许客户端进行后续上传操作。

APP 服务器生成签名的方式参照[客户端上传签名](/document/product/266/9221)。

***注意***：***千万不要*** 将 API 密钥（即 Secret ID 和 Secret Key）直接暴露给客户端，该信息一旦泄露可能引发严重的安全问题。API 密钥应只由 APP 服务器保管。

### 第二步：客户端向 VOD 发起上传

客户端将文件上传到 COS 前，需要知道目标 COS Bucket、路径等信息。客户端向 VOD 发起上传，获取上传 COS 所需的信息。VOD 签名校验通过后为其分配上传信息。

客户端请求上传信息时，可以选择只上传视频（只请求视频文件的上传信息），或者同时上传视频和封面（同时请求视频文件和封面文件的上传信息）。

### 第三步：客户端向 COS 上传文件

客户端根据之前发起上传时获取的上传信息，调用 COS 的上传接口完成文件上传。

### 第四步：客户端向 VOD 确认上传

客户端成功上传文件到 COS 后，需要向 VOD 发起确认请求。收到确认上传的请求后，VOD 将返回视频的 fileId、视频播放地址、封面图片地址（如果有）等信息，并按照用户的要求对上传后的视频进行转码、打水印、截图等操作。

## 上传方式

### SDK

为了方便用户开发客户端上传功能，云点播提供了多种平台的 SDK：

* [Android SDK](/document/product/266/9237)
* [iOS SDK](/document/product/266/9238)
* [Web SDK](/document/product/266/9239)

SDK 封装了客户端和 VOD、COS 交互的细节，上传流程中的第二步到第四步，只需调用 SDK 中的一个接口即可全部完成。因此 ***强烈推荐*** 用户在 APP 中集成点播提供的 SDK 来实现客户端上传。