## 简介

APP 从各个渠道收集到大量精彩的视频，可能会直接将这些视频资源保存在自己的服务器中。这时，APP 会希望对视频进行加工处理（例如转码、截图、打水印等），并将处理后的视频发布到内容分发网络（CDN）中，以供用户观看并为自身创造价值。腾讯云点播支持用户将服务端上的视频文件直接上传到云端，并与点播的视频处理功能（比如转码、截图、防盗链等）无缝结合。

## 上传流程

![图片描述](//mc.qcloudimg.com/static/img/d751bf5e65346dee3a698f097ac2bfdd/image.png)

上图为服务端上传流程示意图，主要有3个参与对象，分别是：APP 服务器、腾讯云点播系统 VOD 和腾讯云存储系统 COS。下面对流程图中的各步骤进行详细说明。

### 第一步：APP 服务器向 VOD 发起上传

APP服务器将文件上传到 COS 前，需要知道目标 COS Bucket、路径等信息。服务端向 VOD 发起上传，获取上传 COS 所需的信息。VOD 校验服务端的请求通过后为其分配上传信息。

服务端请求上传信息时，可以选择只上传视频（只请求视频文件的上传信息），或者同时上传视频和封面（同时请求视频文件和封面文件的上传信息）。

### 第二步：APP 服务器向 COS 上传文件

APP 服务器根据之前发起上传时获取的上传信息，调用 COS 的上传接口完成文件上传。

### 第三步：APP 服务器向 VOD 确认上传

APP 服务器成功上传文件到 COS 后，需要向 VOD 发起确认请求。收到确认上传的请求后，VOD 将返回视频的 fileId、视频播放地址、封面图片地址（如果有）等信息，并按照用户的要求对上传后的视频进行转码、打水印、截图等操作。

## 上传方式

### API

* [APP 服务器向 VOD 发起上传 API](/document/product/266/9756)
* [APP 服务器向 COS 上传文件 API](/document/product/266/9758)
* [APP 服务器向 VOD 确认上传 API](/document/product/266/9757)

### SDK

为了方便用户开发客户端上传功能，云点播提供了基于多语言平台 SDK ：

* [PHP SDK](/document/product/266/9725)
* [Java SDK](/document/product/266/10276)

SDK 基于云图 API 和 COS 的 SDK，封装了服务端和 VOD、COS 交互的细节，上传流程中的第一步到第三步，只需调用 SDK 中的一个接口即可全部完成。因此 ***强烈推荐*** 用户在 APP 中参考点播提供的 SDK 来实现服务端上传。