## 简介

互联网时代，精彩热门的视频资源越来越受到用户欢迎。APP 厂商如果能够将炙手可热的视频发布到互联网中，提供给亿万用户观看，将为自身创造巨大的价值。腾讯云点播提供了强大的视频管理、编辑和发布功能，让 APP 厂商快速将视频发布到腾讯云中，实现视频高效共享。

腾讯云点播针对不同的使用场景，提供了多种上传方式，协助 APP 厂商将本地视频资源上传到腾讯云。下面将分别介绍控制台上传、服务端上传和客户端上传三种方式。

## 控制台上传

控制台上传是指 APP 管理员登录腾讯云点播控制台后，通过 Web 页面将本地视频上传到腾讯云点播系统的方式。控制台上传页面从[这里](https://console.cloud.tencent.com/video/webupload)进入。

### 上传步骤

* 点击【添加上传】按钮，在对话框中选择本地要上传的文件。

![图片描述](//mc.qcloudimg.com/static/img/67f44639beef13229348205328df0c42/image.png)

* 选定后可以指定上传的视频是否使用水印，上传成功后是否自动开启转码。

![图片描述](//mc.qcloudimg.com/static/img/287a91c3df1453988c94c24b5d3401cc/image.png)

* 添加视频后，点击【开始上传】，即可将待上传视频列表中的视频上传到腾讯云点播系统。

![图片描述](//mc.qcloudimg.com/static/img/b70d01343223d4b2baeb1fa0865e6321/image.png)

### 方式特点

此上传方式操作简单，只需 APP 管理员登录腾讯云点播控制台页面即可进行视频文件的上传。按照控制台页面的指引，管理员可以指定视频的分类信息、是否转码等，并可在视频上传后为视频设置和修改封面。

## 服务端上传

服务端上传是指通过点播提供的 API 或 SDK，将保存在 APP 后台中的视频资源上传到腾讯云点播系统的方式。

### 上传步骤

服务端上传视频文件需要经过3个步骤，分别是向 VOD 发起上传、向 COS 上传文件和向 VOD 确认上传，具体各个步骤的含义和使用方法请参见[服务端上传综述](/document/product/266/9759)。

![图片描述](//mc.qcloudimg.com/static/img/d751bf5e65346dee3a698f097ac2bfdd/image.png)

### 方式特点

服务端上传适合 APP 将收集在服务器中的视频快速可靠地上传到腾讯云点播系统。相比于控制台上传，使用服务端上传 SDK 可以解放 APP 管理员的人工操作，从而提高发布和管理效率。

## 客户端上传

客户端上传是指通过点播提供的移动端（iOS 和 Android）和 Web 端 SDK，将客户端上的视频上传到腾讯云点播系统的方式。

### 上传步骤

客户端上传视频文件需要经过4个步骤，分别是从 APP 服务器获取上传签名、向 VOD 发起上传、向 COS 上传文件和向 VOD 确认上传。具体各个步骤的含义和使用方法请参见[客户端上传综述](/document/product/266/9219)。

![图片描述](//mc.qcloudimg.com/static/img/1cb47b70ba7ab12ddf161f9576ca6849/image.png)

### 方式特点

客户端上传可以让用户直接将移动设备中拍摄、录制或下载的视频快速上传到腾讯云点播系统。通过这样的方式，用户无需先把视频上传到 APP 服务器，再由服务器上传到腾讯云点播，从而有效简化了上传链路，节约了上传耗时和服务器上传带宽。