所谓视频截图，是指截取视频特定位置的图像，并生成图片。点播系统支持如下几种视频截图方式：

- 指定时间点截图：指定一组时间点，截取视频在这些时间点的图像；
- 使用指定时间点截图作为封面：截取一张图片，将其URL作为媒资系统中该视频的封面；
- 采样截图：以固定的时间或者百分比间隔，对视频进行截图；
- 雪碧图截图：以固定的时间或者百分比间隔，截取一系列图片，并以雪碧图(Image Sprite)的方式组织。

## 指定时间点截图
### 指定时间点截图模板

指定时间点截图操作存在多项参数，我们使用“指定时间点截图模板”来作为各项截图操作参数的“容器”（时间点信息不包含在模板中，需要在调用接口时额外传递）。在发起指定时间点截图时，只需要指定模板ID即可。

为方便开发者的调用，点播系统预置了一组指定时间点截图模板，参见[预置指定时间点截图模板](#.E9.A2.84.E7.BD.AE.E6.8C.87.E5.AE.9A.E6.97.B6.E9.97.B4.E7.82.B9.E6.88.AA.E5.9B.BE.E6.A8.A1.E6.9D.BF)。如果预置模板无法满足您的需求，可以提需求工单配置新的模板。

指定时间点截图模板参数与能力值如下表所示：
<table>
	<tr>
        <th style="width:18%">
            分类               
        </th>
        <th style="width:22%">
            参数/控制项
        </th>
        <th>
            说明
        </th>
    </tr>
     <tr>
        <td rowspan=3>
            输出图像参数</a>
        </td>
        <td>
            格式(Format)
        </td>
        <td>
            支持JPG，PNG两种输出格式。
        </td>
    </tr>
    <tr>
        <td>
            宽度(Width)
        </td>
        <td>
            宽度范围：128~4096像素。
        </td>
    </tr> 
    <tr>
        <td>
            高度(Height)
        </td>
        <td>
            高度范围：128~4096像素。
        </td>
    </tr> 
	<tr>
        <td rowspan=2>
            截图控制参数
        </td>
        <td>
            填充方式(FillType)
        </td>
        <td>
            所谓“填充”，是指当源视频分辨率与目标图片的<b>宽高比</b>不匹配时，如何进行处理。支持如下几种填充方式：
            <li>拉伸：对图片进行拉伸，确保填满整个图片，可能导致图片被“压扁”或者“拉长”；</li>
            <li>留黑：保持图片宽高比不变，边缘剩余部分使用黑色填充；</li>
            <li>留白：保持图片宽高比不变，边缘剩余部分使用白色填充；</li>
            <li>透明：保持图片宽高比不变，边缘剩余部分完全透明（仅适用于PNG格式的输出）。</li>
        </td>
    </tr>
    <tr>
        <td>
            自动缩放
        </td>
        <td>
            支持依照宽度或者高度进行自动缩放。
        </td>
    </tr>
</table>

### 发起指定时间点截图

目前暂时仅支持通过服务端API发起指定时间点截图，参见：

- 服务端API：[指定时间点截图(CreateSnapshotByTimeOffset)](/document/product/266/8102)。

### 获取指定时间点截图的结果

可以通过如下两种方式获取指定时间点截图的结果：

- 在发起指定时间点截图任务之后，根据任务ID查询该任务的状态与结果，参见[事件通知与任务管理](/document/product/266/7829)；
- 在指定时间点截图任务成功执行完毕之后，截图结果将被绑定到媒资，参见[服务端API：获取视频信息(GetVideoInfo)](/document/product/266/8586)。

## 使用指定时间点截图作为封面
该操作会在视频指定时间点处截取一张图片，并将其URL作为该视频在**点播媒资系统**的封面URL。点播系统的播放器可以读取该封面图片进行展示。

该操作实际上就是在指定时间点截图之外，额外将截图得到的结果写入媒资系统。其操作参数与指定时间点截图相同，参见[指定时间点截图能力综述](#.E6.8C.87.E5.AE.9A.E6.97.B6.E9.97.B4.E7.82.B9.E6.88.AA.E5.9B.BE.E8.83.BD.E5.8A.9B.E7.BB.BC.E8.BF.B0)。

### 发起截图并设置封面操作
目前暂时仅支持通过任务流相关接口发起该操作，参见：
- [使用任务流处理视频](/document/product/266/11700#.E4.BD.BF.E7.94.A8.E4.BB.BB.E5.8A.A1.E6.B5.81.E5.A4.84.E7.90.86.E8.A7.86.E9.A2.91)。

### 获取截图并设置封面的结果
可以通过如下两种方式获取操作结果：

- 在发起任务之后，根据任务ID查询该任务的状态与结果，参见[事件通知与任务管理](/document/product/266/7829)；
- 在任务成功执行完毕之后，截图结果将被绑定到媒资中的视频基础信息，参见[服务端API：获取视频信息(GetVideoInfo)](/document/product/266/8586)。

## 采样截图
所谓采样截图，是指依照相同的时间间隔对视频进行采样，截取采样点的视频图像信息，并生成多张图片。

### 采样截图模板
采样截图操作存在多项参数，我们使用“采样截图模板”来作为这些参数的“容器”。在发起采样截图时，只需要指定模板ID即可。

为方便开发者的调用，点播系统预置了一组采样截图模板，参见[预置采样截图模板](#.E9.A2.84.E7.BD.AE.E9.87.87.E6.A0.B7.E6.88.AA.E5.9B.BE.E6.A8.A1.E6.9D.BF)。如果预置模板无法满足您的需求，可以提需求工单配置新的模板。

采样截图模板参数与能力值如下表所示：

<table>
	<tr>
        <th style="width:18%">
            分类               
        </th>
        <th style="width:22%">
            参数/能力项
        </th>
        <th>
            说明
        </th>
    </tr>
    <tr>
        <td rowspan=3>
            输出图像参数</a>
        </td>
        <td>
            格式(Format)
        </td>
        <td>
            支持JPG，PNG两种输出格式。
        </td>
    </tr>
    <tr>
        <td>
            宽度(Width)
        </td>
        <td>
            宽度范围：128~4096像素。
        </td>
    </tr> 
    <tr>
        <td>
            高度(Width)
        </td>
        <td>
            高度范围：128~4096像素。
        </td>
    </tr> 
	<tr>
        <td rowspan=3>
            截图控制参数
        </td>
        <td>
            填充方式(FillType)
        </td>
        <td>
            所谓“填充”，是指当源视频分辨率与目标图片的<b>宽高比</b>不匹配时，如何进行处理。支持如下几种填充方式：
            <li>拉伸：对图片进行拉伸，确保填满整个图片，可能导致图片被“压扁”或者“拉长”；</li>
            <li>留黑：保持图片宽高比不变，边缘剩余部分使用黑色填充；</li>
            <li>留白：保持图片宽高比不变，边缘剩余部分使用白色填充；</li>
            <li>透明：保持图片宽高比不变，边缘剩余部分完全透明（仅适用于PNG格式的输出）。</li>
        </td>
    </tr> 
	<tr>
        <td>
            采样方式(SampleType)
        </td>
        <td>
            支持两种采样方式：
            <li>Percent：根据视频时长的百分比间隔采样，例如：取值为5意味着，采样截图的间隔为视频时长的5%，总共会截出20张图片；</li>
            <li>Time：根据时间间隔采样，例如：取值为5意味着采样间隔为5秒。</li>
        </td>
    </tr> 
    <tr>
        <td>
            自动缩放
        </td>
        <td>
            支持依照宽度或者高度进行自动缩放。
        </td>
    </tr>
</table>


### 发起采样截图
目前暂时仅支持通过任务流相关接口发起指定时间点截图，参见：
- [使用任务流处理视频](/document/product/266/11700#.E4.BD.BF.E7.94.A8.E4.BB.BB.E5.8A.A1.E6.B5.81.E5.A4.84.E7.90.86.E8.A7.86.E9.A2.91)。

### 获取采样截图的结果
可以通过如下两种方式获取采样截图的结果：

- 在发起采样截图任务之后，根据任务ID查询该任务的状态与结果，参见[事件通知与任务管理](/document/product/266/7829)；
- 在采样截图任务成功执行完毕之后，截图结果将被绑定到媒资，参见[服务端API：获取视频信息(GetVideoInfo)](/document/product/266/8586)。

## 雪碧图(ImageSprite)
所谓Image Sprite，是指将需要分别显示的多张小图合并成为一张大图，并通过一定的方法对个张小图进行分开展示的技术。该技术的主要优势在于，可以通过一次请求获取多张图片的信息，从而大幅降低图片请求数量，提高客户端性能。

> 注：
> Image Sprite这一术语来源于CSS Image Sprite，正式翻译应当为CSS图片精灵。在国内被俗称为“雪碧图”的原因是，可口可乐公司一款饮料产品“Sprite”在国内被译为“雪碧”。

### 雪碧图截图模板
雪碧图截图操作存在多项参数，我们使用“雪碧图截图模板”来作为这些参数的“容器”。在发起雪碧图雪碧图截图时，只需要指定模板ID即可。

雪碧图参数示意如下：
![图：雪碧图参数示意](//mc.qcloudimg.com/static/img/a108415925bdeb21de9b25f784d9177b/image.png)

为方便开发者的调用，点播系统预置了一组雪碧图截图模板，参见[预置雪碧图截图模板](#.E9.A2.84.E7.BD.AE.E9.9B.AA.E7.A2.A7.E5.9B.BE.E6.A8.A1.E6.9D.BF)。如果预置模板无法满足您的需求，可以提需求工单配置新的模板。

雪碧图截图模板参数与能力值如下表所示：
<table>
	<tr>
        <th style="width:18%">
            分类               
        </th>
        <th style="width:22%">
            参数/能力项
        </th>
        <th>
            说明
        </th>
    </tr>
     <tr>
        <td rowspan=5>
            输出图像参数
        </td>
        <td>
            输出格式(Format)
        </td>
        <td>
            支持JPG，PNG。
        </td>
    </tr>
    <tr>
        <td>
            小图宽度(Width)
        </td>
        <td>
            支持范围：“小图宽度(Width) × 列数(Rows)”的范围应当在128~4096像素之间。
        </td>
    </tr> 
    <tr>
        <td>
            小图高度(Height)
        </td>
        <td>
            支持范围：“小图高度(Height) × 行数(Columns)”的范围应当在128~4096像素之间。
        </td>
    </tr> 
    <tr>
        <td>
            行数(Rows)
        </td>
        <td>
            大图中有多少行小图，支持范围：“行数(Rows) × 列数(Columns)”不超过100。
        </td>
    </tr> 
	<tr>
        <td>
            列数(Columns)
        </td>
        <td>
            大图中有多少列小图，支持范围：“行数(Rows) × 列数(Columns)”不超过100。
        </td>
    </tr>
	<tr>
        <td rowspan=2>
            截图控制参数
        </td>
        <td>
            截图间隔(Interval)
        </td>
        <td>
            每隔多少秒截一张小图。
        </td>
    </tr>
	<tr>
        <td>
            填充方式(FillType)
        </td>
        <td>
            所谓“填充”，是指当源视频分辨率与目标图片的<b>宽高比</b>不匹配时，如何进行处理。支持如下几种填充方式：
            <li>拉伸：对图片进行拉伸，确保填满整个图片，可能导致图片被“压扁”或者“拉长”；</li>
            <li>留黑：保持图片宽高比不变，边缘剩余部分使用黑色填充；</li>
            <li>留白：保持图片宽高比不变，边缘剩余部分使用白色填充；</li>
            <li>透明：保持图片宽高比不变，边缘剩余部分完全透明（仅适用于PNG格式的输出）。</li>
        </td>
    </tr>
</table>


### 发起雪碧图截图
可以通过如下几种方式发起雪碧图截图：
- [服务端API：截取雪碧图](/document/product/266/8101)；
- [使用任务流处理视频](/document/product/266/11700#.E4.BD.BF.E7.94.A8.E4.BB.BB.E5.8A.A1.E6.B5.81.E5.A4.84.E7.90.86.E8.A7.86.E9.A2.91)。

### 获取雪碧图截图结果
可以通过如下两种方式获取雪碧图截图的结果：

- 在发起雪碧图截图任务之后，根据任务ID查询该任务的状态与结果，参见[事件通知与任务管理](/document/product/266/7829)；
- 在雪碧图截图任务成功执行完毕之后，截图结果将被绑定到媒资，参见[服务端API：获取视频信息(GetVideoInfo)](/document/product/266/8586)。

## 预置截图模板
### 预置指定时间点截图模板
| 模板ID | 输出格式(Format) | 宽度(Width) | 高度(Height) | 填充方式(FillType) |
|---------|---------|---------|---------|---------|
| 10 | JPG | 同源 | 同源 | N/A |

### 预置采样截图模板
| 模板ID | 输出格式(Format) | 宽度(Width) | 高度(Height) | 采样方式(SampleType) | 截图间隔(Interval) |
|---------|---------|---------|---------|---------|---------|
| 10 | JPG | 同源 | 同源 | Percent | 10% |

### 预置雪碧图模板
| 模板ID | 输出格式(Format) | 小图宽度(Width) | 小图高度(Height) | 行数(Rows) | 列数(Columns) | 截图间隔(Interval) | 填充方式(FillType) |
|---------|---------|---------|---------|---------|---------|---------|---------|
| 10 | JPG | 142 | 80 | 10 | 10 | 10秒 | 留黑 |