## 简介
为降低您的视频播放链接被盗用的风险，腾讯云点播提供 __Referer 防盗链__ 和 __URL 时间戳防盗链__（又称为 __Key 防盗链__，因为加密时需要用到密钥 Key ）两种方案。Referer 防盗链通过对用户 HTTP Request Header 中 Referer 字段的值设置过滤策略，从而限制访问来源；URL 时间戳防盗链通过实时生成具有指定有效期、带有加密信息的播放链接，同时可以选择设置是否带有试看功能（即只允许观看指定时长的视频内容），从而有效地保护视频内容。  
默认情况下，两种点播防盗链功能为关闭。若您要开启点播防盗链功能，登录点播控制台，选择左侧菜单栏的【全局配置】，点击【域名配置】标签，单击您要设置防盗链的域名右侧的【防盗链设置】。
![Alt text](https://mc.qcloudimg.com/static/img/93efd0bf99ed0e50fdc4ca224906fdad/image.png "图：点播控制台防盗链设置")
您可以看到 Referer 防盗链和 Key 防盗链的设置，点击【编辑】可以开启或关闭相应的防盗链设置。  
![Alt text](https://mc.qcloudimg.com/static/img/6af09bb6465c17f8ad1098a3e786e38a/image.png "图：点播控制台防盗链设置详情")

## 1 Referer 防盗链
### 1.1 配置说明

![Alt text](https://mc.qcloudimg.com/static/img/d9c289d7a0f2b1cb89ba03f7f268c687/image.png "图：Referer白名单设置")
#### 配置 Referer 黑/白名单 
在【选择添加对象】里选中【黑名单】（设置黑名单）或【白名单】（设置白名单），下面输入框中填入黑/白名单列表，需要填不带 http:// 或 https:// 前缀的域名或者IP。  
【是否允许空Referer】，选【是】表示允许 HTTP 请求头部不带 Referer 字段（如直接在浏览器地址栏输入 URL 进行访问），或者 Referer 字段参数值为空的访问；选【否】表示禁止。

#### 白名单配置须知
* 若请求的 Referer 字段匹配白名单设置的内容，则正常返回请求信息。
* 若请求的 Referer 字段不匹配白名单设置的内容，则直接返回 HTTP 状态码 403。
  
#### 黑名单配置须知
* 若请求的 Referer 字段匹配黑名单设置的内容，则直接返回 HTTP 状态码 403。
* 若请求的 Referer 字段不匹配黑名单设置的内容，则正常返回请求信息。

#### 注意事项
* 请使用腾讯云点播新域名 https://console.cloud.tencent.com 登陆点播控制台。
* Referer 黑名单、白名单二者不兼容，同一时间只能生效一种类型。
* 防盗链输入内容最多可输 10 条，以换行符相隔，一行输入一个。
* 防盗链支持 域名/IP 规则，匹配方式为前缀匹配，即假设名单为 www.abc.com，则 www.abc.com/123、www.abc.com.cn 也会匹配；假设配置名单为 127.0.0.1，则 127.0.0.1/123 也会匹配。
* 防盗链支持通配符匹配，即假设名单为 \*.qq.com，则 www.qq.com、a.qq.com 均会匹配。
* 若您需要在点播控制台预览视频，则
 - 若浏览器启用了 Flash 播放器，需要确保来自 \*.qq.com 域名的请求能够访问，即如果您设置白名单，需要将 \*.qq.com 添加到白名单；如果您设置黑名单，需要确保 \*.qq.com 不在黑名单。
 - 否则，需要确保来自 \*.cloud.tencent.com 域名的请求能够访问，即如果您设置白名单，需要将 \*.cloud.tencent.com 添加到白名单；如果您设置黑名单，需要确保 \*.cloud.tencent.com 不在黑名单；

## 2 URL 时间戳防盗链 
### 2.1 防盗链业务流程

![Alt text](https://mc.qcloudimg.com/static/img/78dc2e06c3df8ed6adb2b71a7a035471/image.png "图：防盗链业务流程") 
#### 流程说明  
1. 视频请求方向用户服务器请求播放地址。
2. 用户服务器根据防盗链 KEY 及防盗链算法生成加密播放地址，返回给视频请求方。
3. 视频请求方使用第2.步获得的加密播放地址发起请求。
4. 腾讯云验证加密播放地址的合法性，并作出响应。从第3.步加密播放地址中提取过期时间戳等防盗链参数，如果过期时间参数值大于本地时间，返回 HTTP 状态码403；否则根据用户设置的防盗链 KEY 及防盗链算法，本地计算出防盗链签名字符串，与请求携带的防盗链签名对比，相同则返回视频，否则返回 HTTP 状态码403。

### 2.2 防盗链类别  
腾讯云视频点播提供的 URL 时间戳防盗链方案有如下类别可选
1. 普通防盗链（带 ts ）：当视频封装格式为 HLS 时，腾讯云同时对 m3u8 文件和 ts 文件进行防盗链检查。
2. 普通防盗链（不带 ts ）：当视频封装格式为 HLS 时，腾讯云仅针对 m3u8 文件进行防盗链检查，不对 ts 文件进行防盗链检查。
3. 带试看功能防盗链（带 ts ）：用户须指定视频试看时长，支持试看的文件类型有 ts、mp4、flv。（点播控制台尚未支持，可提单由腾讯云后台配置）
4. 带试看功能防盗链（不带 ts ）：用户须指定视频试看时长，支持试看的文件类型有 m3u8、mp4、flv。  

以上1.、2.、4.分别与点播控制台【防盗链格式】下拉列表依次对应。
![Alt text](https://mc.qcloudimg.com/static/img/d75b05eb433c84b2c89fb64a3ef15afd/image.png "图：Key防盗链格式")
带试看功能防盗链相比普通防盗链多了试看参数，因此两者的签名计算方法不同。但是1.和2.防盗链算法相同， 3.和4.防盗链算法相同。 

#### 说明  
开启URL时间戳防盗链后，腾讯云点播会对如下常见媒体文件格式作防盗链检查：mp4、m3u8、flv、aac、mov、wmv、avi、mp3、rmvb、mkv、mpg、3gp、webm、m4v、asf、f4v、wav、mpeg、vob、rm、wma、dat、m4a。（ts 视防盗链类别而定，见下表） 

__防盗链检查表__   

防盗链类别 | 是否检查 ts 防盗链
--- | --- |
普通防盗链（不带 ts ） | 否
普通防盗链（带 ts ） | 是
带试看功能防盗链（带 ts ） | 是
带试看功能防盗链（不带 ts ） | 是

#### 注意事项  
由于历史的原因，曾经使用过点播“HLS 视频简单拼接”接口（SimpleConcatHls，已废弃，由 ConcatVideo 替代）和“HLS 视频简单剪切”接口（SimpleClipHls），由这两个接口生成的 HLS 播放链接（ m3u8 格式），__无法使用需要检查 ts 的防盗链__。  
原因是，m3u8 防盗链能够正常播放的一个前提是 m3u8 索引文件和 ts 文件位于相同目录（腾讯云请求 m3u8 之后，请求 m3u8 中的 ts 文件，此时使用的防盗链参数与请求 m3u8 是相同的，即隐含 dir 需要保持相同），由于之前点播“HLS 视频简单拼接”接口（SimpleConcatHls，已下线，由 ConcatVideo 替代）和“HLS 视频简单剪切”接口（SimpleClipHls）生成的 m3u8 和 ts 文件不满足这个要求（不在相同目录），因此开启需要检查 ts 的防盗链（上表中除了普通防盗链（不带 ts ））之后，这些 m3u8 不能够正常播放。所以开启需要检查 ts 的防盗链之前，需要您先评估下这里的影响。  
__目前__ 腾讯云点播官网<a href="https://cloud.tencent.com/document/product/266/7788">服务端API列表</a>的“视频拼接”接口（ConcatVideo）和“HLS 视频简单剪切”接口（SimpleClipHls）接口都 __已经修复了这个问题__ ，即生成的 m3u8 和 ts 文件位于相同目录，可以通过 ts 检查。
 

### 2.3 加密播放地址生成算法
#### 防盗链参数说明 
参数名称 | 必选 | 类型 | 说明 | 备注
---| --- | --- | --- | --- |
dir | 是 | String | 取 uri 的路径部分，不包括文件名部分 | 隐含参数 
t | 是 | String | 加密链接超时时间戳，转换为16进制小写字符串，腾讯云 CDN 服务器会根据该时间判断该链接是否有效 | 防盗链有效期，建议不要比视频时长短
us | 是 | String | 唯一标识请求，增加链接唯一性 | 建议尽量随机化 
exper | 否 | Integer | 试看时长，单位：秒，十进制数值。 | 试看防盗链须带的参数，0表示不试看，即返回完整视频。mp4、ts 的试看时长不能大于原视频时长，否则出错 
sign | 是 | String | 签名字符串 | 对于普通防盗链和带试看功能防盗链，计算方法不同，详见下表 
  
防盗链类别 | 签名字符串计算方法
--- | --- |
普通防盗链 | sign = md5(KEY + dir + t + us) 
带试看功能防盗链 | sign = md5(KEY + dir + t + exper + us) 

KEY 是您在点播控制台设置的密钥 KEY ，请妥善保管，如泄露，请先在点播控制台关闭 Key 防盗链，然后再重新开启，设置新的 KEY，并且更新防盗链算法。注意，更新防盗链 KEY 之后，之前由旧 KEY 生成的播放链接都将失效，需要根据新 KEY 重新生成。    
![Alt text](https://mc.qcloudimg.com/static/img/f1c89ca986f70728f128975d873a5e74/image.png "图：Key防盗链KEY")

__防盗链 KEY 要求__
* 最大支持 50 个字符；
* 不支持中文及中文特殊字符；
* 不支持英文字符@，其他特殊字符可以。

#### 普通防盗链
假设防盗链 KEY 为 abcTEST 字符串，指定链接过期时间为2017/6/21 13:2:1（UNIX 时间戳为 1498021321，转换成16进制字符串为 5949fdc9，即 t = 5949fdc9），us 为 test_user，视频文件的原始播放地址为  
```
http://test.vod2.myqcloud.com/a/c/b.m3u8
```  

最终的加密播放 URL 参数列表形如：
```
t=5949fdc9&us=test_user&sign=xxx
```  
参数 t、us、sign 严格按照如上顺序拼接，且中间不能有其他参数（参数 t 前面或者参数 sign 后面可插入其他参数）。  
这里，隐含参数 dir = /a/c/，因此签名  
```
sign = md5(KEY+dir+t+us) = md5(abcTEST/a/c/5949fdc9test_user) = 989778d1e86e8acc105cfeca65aa6460
```

所以，最终的加密播放地址为：
```
http://test.vod2.myqcloud.com/a/c/b.m3u8?t=5949fdc9&us=test_user&sign=989778d1e86e8acc105cfeca65aa6460
```
 
#### 带试看功能防盗链
假设防盗链 KEY 为 abcTEST 字符串，指定链接过期时间为2017/6/21 13:2:1（UNIX 时间戳为 1498021321，转换成16进制字符串为 5949fdc9，即 t = 5949fdc9），us 为 test_user，指定试看时长为 300 秒（即 exper = 300），视频文件的原始播放地址为  
```
http://test.vod2.myqcloud.com/a/c/b.m3u8
```  

最终的加密播放 URL 参数列表形如：
```
t=5949fdc9&exper=300&us=test_user&sign=xxx
```
参数 t、exper、us、sign 严格按照如上顺序拼接，且中间不能有其他参数（参数 t 前面或者参数 sign 后面可插入其他参数）。
这里，隐含参数 dir = /a/c/，因此签名
```
sign = md5(KEY+dir+t+exper+us) = md5(abcTEST/a/c/5949fdc9300test_user) = 4454808ca6d980bffa3793193d300083
```
 
所以，最终生成的加密播放地址为：
```
http://test.vod2.myqcloud.com/a/c/b.m3u8?t=5949fdc9&exper=300&us=test_user&sign=4454808ca6d980bffa3793193d300083
```

#### 注意事项
对于不同视频格式的试看时长，腾讯云点播的返回如下表

视频格式 | 试看时长为0 | 试看时长小于视频时长 | 试看时长大于视频时长
--- | --- | --- | --- |
m3u8 | 完整视频 | 试看时长 | 完整视频
mp4 | 完整视频 | 试看时长 | HTTP 出错状态码
flv | 完整视频 | 试看时长 | 完整视频
ts | 完整视频 | 试看时长 | HTTP 出错状态码

__建议__：对于不作试看的播放链接统一指定 exper 为0，不要指定试看时长大于视频时长。

### 2.4 腾讯云鉴权逻辑
您开通了 URL 时间戳防盗链功能后，对应域名下的所有文件都会受到防盗链机制的保护。当该域名下的文件被访问时，腾讯云会对被访问的 URL 进行鉴权，以判断该请求是否合法。判断逻辑依次如下：

1. 如果 URL 参数的格式和用户开通的防盗链类型不匹配，则禁止播放；
2. 如果 URL 参数中的 t 参数已经过期（考虑到机器之间可能存在时间差，我们会额外增加5分钟过期时间，即防盗链链接真正的过期时间是 t 加上300秒左右），则禁止播放；
3. 根据该用户的防盗链类型和防盗链 KEY，提取 URL 的参数计算 sign，如果计算结果与 URL 参数中的 sign 参数不一致，则禁止播放；
4. 允许播放。

## 3. 注意事项
 1. 开启 Referer 防盗链或 URL 时间戳防盗链以后，不能使用点播播放器播放文件。
 2. 如果在启用 URL 时间戳防盗链功能之前，用户已经发布了相关静态代码，包括 URL 以及播放器代码，在启用防盗链功能后，则之前静态代码（包括 URL 以及播放器代码）功能不可用。用户只能通过动态生成链接以访问视频文件。
 3. 可以同时开启 Referer 防盗链及 URL 时间戳防盗链，二者并行生效。 如果同时开启，则仅当访问源符合 Referer 黑白名单规则，且时间戳防盗链 URL 验证正确，视频才可播放。
 4. 如果防盗链验证不通过，默认将返回 403 页面。
 5. 开启或关闭 Referer 防盗链或 URL 时间戳后需等待 5 ~ 15 分钟，腾讯云生效。

