## 计费类型及说明

腾讯云音视频点播 VOD 目前支持按量付费（后付费）的计费方式。

按量付费即先使用后付费的计费方式。您需要在腾讯云账户预先充值，系统每天会统计前一天的实际用量并进行账单推送和费用结算，从您账户的余额中扣除实际消费产生的金额。

以下关于计费类型的说明，目前只在中国大陆地区生效，如您的业务涉及海外，请咨询我们的客服。

## 计费方式说明

腾讯云音视频点播产品的计费项分为以下三部分：

- 视频存储：上传到腾讯云点播服务的视频源文件和转码后的视频文件占用的存储空间，按存储容量计费。

- 视频转码：存储在腾讯云点播服务的视频源文件进行转码处理时，按目标文件的规格和时长计费。

- 视频加速：视频进行播放时，使用内容分发网络（CDN）加速产生的费用，按下行流量计费。

您可以通过控制台查看腾讯云音视频点播 VOD 的实际使用量。

### 视频存储

1、计费项：点播存储空间费用、外网下行流量费用（即直接从点播存储源站拉取视频所产生的下行流量）

2、计费价格：

- 存储空间：0.008元/GB/日

- 外网下行流量费用：0.5元/GB

3、计费说明：

- 付费方式：后付费

- 计费规则：根据实际使用量收费，取每天存储空间容量峰值为当天的计费值。

- 计费周期：按天计费，每日中午12时至下午18时，对前一日产生费用进行结算，输出账单并进行扣费。

- 计费公式：

<pre><code>日存储空间费用 = 峰值存储容量（GB） * 0.008元/GB/日

日外网下行流量费用 = 外网流量（GB） * 0.5元/GB </code></pre>



4、计费实例：

- 例如您在1月1日使用点播存储服务，峰值存储容量为100G，直接从源站拉取流量为10G，则1月2日您需要支付的点播存储费用如下：

<pre><code>1月1日点播存储费用 = 1月1日存储空间费用 + 1月1日外网下行流量费用 = 100（GB）* 0.008元/GB + 10（GB）* 0.5元/GB = 5.8元</code></pre>

### 视频转码

1、计费项：点播转码处理时长

2、计费价格：

| 编码方式    | 分辨率                            |  单价（元/分钟） |
| ---------  |:--------------------------------:| ---------------:|
| H.264      | 4K（ 3840 x 2160 ）及以下           | 0.28           |
| H.264      | 2K（ 2560 x 1440 ）及以下           | 0.14           |
| H.264      | 超高清 HD ( 1920 x 1080 ）及以下     | 0.065          |
| H.264      | 高清 SD ( 1280 x 720 ）及以下        | 0.033          |
| H.264      | 标清 LD ( 640 x 480 ) 及以下         | 0.022          |
| H.265      | 4K（ 3840 x 2160 ）及以下            | 1.4            |
| H.265      | 2K（ 2560 x 1440 ）及以下            | 0.7            |
| H.265      | 超高清 HD ( 1920 x 1080 ）及以下      | 0.326          |
| H.265      | 高清 SD ( 1280 x 720 ）及以下         | 0.163          |
| H.265      | 标清 LD ( 640 x 480 ) 及以下          | 0.109          |

> 注：H.265 转码目前默认不开放，如您需要使用，请工单咨询。

3、计费说明：

- 付费方式：后付费

- 计费规则：根据转码请求的编码方式、分辨率和转码输出文件时长收费，以每天为计费周期。

- 计费周期：按天计费，每日中午12时至下午18时，对前一日产生费用进行结算，输出账单并进行扣费。

- 计费公式：

<pre><code>日视频转码处理费用 = 视频转码输出文件时长（分钟） * 不同编码方式分辨率视频的转码单价（元/分钟）</code></pre>

4、计费实例：

- 例如您在1月1日使用点播转码服务，使用 H.264 编码方式转出2560 * 1440分辨率视频时长1小时，转出1280 * 960分辨率视频时长100分钟，则1月2日您需要支付的点播存储费用如下：

<pre><code>1月1日点播转码费用 = 0.14（元/分钟）* 60（分钟）+ 0.065（元/分钟）* 100（分钟）= 14.9元</code></pre>


### 视频加速

1、计费项：点播加速下行流量

2、计费价格：

腾讯音视频云点播流量计费，采用日到达阶梯价计费，即您每日使用越多的流量，当日将获得更低的计费阶梯，详细的阶梯单价如下：

| 流量阶梯         | 单价（元/GB/日）  |
| ----------      |:----------------:|
| 0GB-50GB（含）   | 0.29             |
| 50-500GB（含）   | 0.27             |
| 500G-1TB（含）   | 0.26             |
| 1T-5TB（含）     | 0.24             |
| 5TB以上          | 0.23             |

3、计费说明：

- 付费方式：后付费

- 计费规则：根据视频播放时，使用内容分发网络（CDN）加速产生的下行流量进行计费，以每天为计费周期。

- 计费周期：按天计费，每天中午12时至下午18时，对前一日产生费用进行结算，输出账单并进行扣费。

- 计费公式：

<pre><code>日视频流量费用 = 视频播放下行流量（GB） * 日流量阶梯单价（元/GB）</code></pre>

4、计费实例：

- 例如您在1月1日使用点播加速服务，使用的下行流量为55G，则1月2日您需要支付的点播存储费用如下：

<pre><code>1月1日点播流量费用 = 0.27（元/GB）* 55（G）= 14.85元</code></pre>

## 点播停服资源回收说明

为保证您能够正常使用我们的服务，我们将会对账户欠费的客户进行停服操作。长期欠费的客户，我们将会对已经分配的资源进行回收。

#### 停服规则

1. 停服策略：每日中午12时至下午18时，对前一日产生费用进行结算，输出账单并进行扣费。若账户余额不足导致扣费失败，则当天会收到欠费通知短信，次日早上8时至12时若账户还未充足则正式停服，若此前充足帐号，则不会停服。

2. 停服内容：停服后将无法使用点播提供的各项服务，控制台也将禁止使用，但不会删除和修改点播文件和各项配置信息。

3. 开服策略：账户充正后则会自动开服。

4. 回收策略：账户停服后，若在30天之内没有将账户欠费充正开服，则会启动回收策略。我们将会对存储在腾讯云点播服务上的源文件和转码文件进行删除，释放资源。该删除操作不可逆，为保证您的重要文件不被删除，请您关注账户的欠费信息并及时缴费。

