﻿
## 基础篇

### 推流、直播 和 点播分别是什么意思？
- **推流**：主播将本地视频源和音频源推送到腾讯视频云服务器，在有些场景中也被称为“RTMP发布”。
- **直播**：即直接观看主播实时推送过来的音视频数据，观众和视频源之间的时间延迟一般不会太长。
- **点播**：视频源已经事先存储于腾讯服务器之上的音视频文件，观众随时可以观看，类似优酷土豆、爱奇艺和腾讯视频。

### 常见的直播协议有哪些？
目前常见的直播协议有三种：RTMP、 FLV 和 HLS。
- **RTMP**：RTMP协议比较全能，既可以用来推送又可以用来直播，其核心理念是将大块的视频帧和音频帧“剁碎”，然后以小数据包的形式在互联网上进行传输，而且支持加密，因此隐私性相对比较理想，但拆包组包的过程比较复杂，所以在海量并发时也容易出现一些不可预期的稳定性问题。
- **FLV**：FLV协议由Adobe公司主推，格式极其简单，只是在大块的视频帧和音视频头部加入一些标记头信息，由于这种极致的简洁，在延迟表现和大规模并发方面都很成熟。唯一的不足就是在手机浏览器上的支持非常有限，但是用作手机端APP直播协议却异常合适。
- **HLS**：苹果推出的解决方案，将视频分成5-10秒的视频小分片，然后用m3u8索引表进行管理，由于客户端下载到的视频都是5-10秒的完整数据，故视频的流畅性很好，但也同样引入了很大的延迟（HLS的一般延迟在10-30s左右）。相比于FLV， HLS在iPhone和大部分android手机浏览器上的支持非常给力，所以常用于QQ和微信朋友圈的URL分享。
![live_video_protocol](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/live_video_protocol.jpg)

### 常见的点播协议有哪些？
目前常见的点播格式有三种：MP4、HLS和FLV。
-  **MP4**: 比较经典的文件格式，在移动终端和PC浏览器上的支持度都很好（在IOS和大部分Android设备上，都可以使用系统浏览器进行播放，在PC上可以使用FLASH控件进行播放）。但是MP4的视频文件格式比较复杂，所以处理成本高，而且由于索引表复杂度高，导致时长稍大（比如半小时）的MP4文件在线播放时加载速度会很慢。
- **HLS**: 苹果公司力推的标准，在移动终端的浏览器上的支持度较好，但IE的支持情况依赖FLASH的二次开发工作（建议使用腾讯视频云的FLASH播放器控件）。其精简的m3u8的索引结构可以规避MP4的索引慢问题，如果是用于点播，是非常不错的选择。
- **FLV**: Adobe公司所推的标准，目前直播平台最常用的封装格式，在PC端有FLASH的强力支持，但在移动终端只有APP实现播放器才有可能支持（或者使用本播放器），大部分手机端浏览器均不支持。目前腾讯视频云的直播录制，采用的就是FLV视频格式。
![vod_video_protocol](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/vod_video_protocol.jpg)

### 常见的推流协议有哪些？
虽然RTMP在直播领域不是特别流行，但是在推流服务，也就是主播->服务器这个方向上，RTMP则居于主导地位，目前国内的视频云服务都是以RTMP为主要推流协议。由于腾讯视频云SDK第一个功能模块就是主播推流，所以也被称为是RTMP SDK。

### 腾讯RTMP SDK支持哪些功能和协议?
腾讯视频云SDK支持推流、直播和点播三个功能：
- **推流**支持RTMP发布协议，并包含硬件加速，美颜滤镜，带宽适应，清晰度调整等强大功能。
- **直播**支持FLV协议和RTMP协议，推荐使用FLV，具有秒开优化，延迟自动控制技术以及适应性良好的硬件解码能力。
- **点播**支持MP4\HLS\FLV文件在线点播服务，注意老版本SDK是只支持FLV点播的。


## 优化篇
### 如何实现直播秒开能力？
直播视频的秒开优化主要依靠云端服务的优化，目前如果您组合使用的腾讯视频云SDK + 腾讯视频云服务实现直播服务，最快可以实现**200ms**的首屏打开速度（启动播放 -> 渲染出首帧画面），如果网络下行足够够好的话甚至可以瞬开。

不过需要注意的是，SDK中只有**极速模式**和**自动模式**才支持秒开，流畅模式属于比较传统的视频缓冲解决方案，您如果需要秒开功能，并不推荐使用这个模式。

### 如何实现画质和流量的平衡？
影响画质的主要因素是三个：**分辨率**、**帧率**和**码率**。
- 分辨率：目前推流SDK支持的三种分辨率均为9:16的常规分辨率：360\*480，540\*960，720\*1280。
- 帧率：FPS <=10 会明显感觉到卡顿，但也并不是越高越好，一般推荐是20FPS即可达到很流畅的效果。
- 码率：编码器每秒编出的数据大小，单位是kbps，比如800kbps代表编码器每秒产生800kb（或100KB）的数据。

这里需要您理解的一个重要的信息是：**好的画质是分辨率、帧率和码率三者之间的平衡**：
（1）如果不给编码器限制，那么分辨率越高，画质越细腻，帧率越高，视频越流畅。但是码率也会很大，因为每秒钟需要用更多的数据来承载较高的清晰度和流畅度。这对腾讯云是好事，但对您可能意味着更多的费用开支。
（2）如果限定一个码率，比如800kbps，那么帧率越高，编码器就必须加大对单帧画面的压缩比，也就是通过降低画质来承载足够多的帧数。
（3）同样地，如果码率限定，那么分辨率越高，编码器就必须减少色彩信息，或者使用马赛克这种“鱼目混珠”的手段来承载足够多的像素点。所以同样的是2G的一个电影文件，1080p画质的版本可能不如720p画质的版本看起来更清晰。

如果您之前没有太多音视频编码的实战经验，我们比较建议您使用demo里的设置参数，我们在DEMO中提供了720p、540p 以及 360p 三种画质选择以及相应的配置。


### 如何降低延迟并减少画面卡顿？
这里说的**延迟**是主播 -> 观众的时间延迟，而**卡顿**指的是出现500ms以上的播放停滞。
如果是在完美的网络环境下，可以做到超低延迟下没有卡顿，但现实是国内的网络环境并不完美，数据在经过互联网传输时必然会有抖动和丢包，从而对播放端的流畅播放产生影响。
![tx_live_service_lag](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/tx_live_service_lag.jpg)

因此，为了缓解这些不稳定因素，云服务和终端APP都需要引入一些缓冲，但缓冲的加入就不可避免地引入了延迟。
所以，**延迟和流畅是一架天平的两端**，如果过分强调降低延迟，就会导致轻微的网络波动即产生明显的播放端卡顿。反推之，如果过分强调流畅，就意味着引入大量的延迟，一个典型的案例就是HLS协议，通过引入10-30秒的延迟来实现流畅的播放体验。

为了能够让您无需了解过多流控处理知识就能优化出较好的播放体验，腾讯视频云SDK经过多个版本的改进，优化出一套自动调节技术，并在其基础上推出了三种比较优秀的延迟控制方案：
- **自动模式**：如果您不太确定您的主要场景是什么，可以选择这个模式。
>当把播放器中的 setAutoAdjustCache 开关打开，即为自动模式，在该模式下，播放器会根据当前网络情况，对延迟进行自动调节，默认情况下，播放器会在1s - 5s 这个区间内自动调节延迟大小（您也可以通过setMinCacheTime 和 setMaxCacheTime对默认值进行修改），以保证在足够流畅的情况下尽量降低观众跟主播端的延迟，确保良好的互动体验。

- **极速模式**：主要适用于**秀场直播**和**全民直播**等对延迟要求比较苛刻的场景。
> 我们所谓的极速模式，即（setMinCacheTime = setMaxCacheTime = 1s） ， 而您也发现了，自动模式跟极速模式的差异只是MaxCacheTime 有所不同 （极速模式的 MaxCacheTime 一般比较低，而自动模式的MaxCacheTime 则相对较高 ），这种灵活性主要得益于SDK内部的自动调控技术，可以在不引入卡顿的情况下自动修正延时大小，而MaxCacheTime 反应的就是调节速度：MaxCacheTime的值越大，调控速度会越发保守，当然卡顿概率就会越低。
 
- **流畅模式**：主要适用于**游戏直播**和**点播场景**等对延迟要求不是特别高的场景。
> 当把播放器中的 setAutoAdjustCache 开关关闭，即为流畅模式，在该模式下，播放器采取的处理策略跟Adobe FLASH内核的缓存出策略如出一辙：当视频出现卡顿后，会进入 loading 状态直到缓冲区蓄满，之后进入playing状态，直到下一次遭遇无法抵御的网络波动。默认情况下，缓冲大小为5s，您可以通过setCacheTime进行更改。
> 
> 在延迟要求不高的场景下，这种简单的模式会更加可靠，我们在视频云SDK中引入这种模式主要是很多采纳了很多优秀客户的建议，即希望在播放过程中有平滑的loading和playing状态切换。但采用极速模式时，对于低时延的追求会导致这种切换往往非常频繁进而引发loading闪烁。

### Android推流为何达不到30FPS
如果您在Android平台上通过setVideoFPS设置帧率为30，可能会发现实际帧率只有20FPS，这是因为:
- 大部分安卓机器的Camera接口无法实现30FPS及以上的数据采集频率，尤其是前置摄像头。
- Android的降频策略在通常状态下只会发挥CPU一半的性能，所以较高的分辨率会出现编码跟不上的情况，也就是即使采集帧率足够了，编码帧率也无法达到。（后续放开硬件编码来解决）
- 在iPhone 6 及以上机型，通过硬件编码确实可以轻松实现30FPS以上的高清视频编码，但相应的码率输出也会比较高。

## 攻略篇
### 直播观看不了怎么办？
如果您发现直播无法观看，是不是感觉非常的无奈？是不是觉得腾讯云就是个黑盒子，完全搞不懂里面出了什么情况？
不着急，按照下面的思路进行排查，一般都能在几十秒内确认问题原因：
![problem](//mccdn.qcloud.com/static/img/0b37831c5d7bca20d5e465b6d8953937/image.jpg)

- **0. 检查地址**：
> 对，在所有检查开始之前，您务必要先检查一下地址是否正确，因为这里出错概率最高，腾讯云的直播地址分推流地址和播放地址两种，我们可能会误拿推流地址(livepush)来播放。
![diff](//mccdn.qcloud.com/static/img/1d093770d4b9bfaec5e15b01bdb65d00/image.png)

- **1. 检查播放端**：
>首先要怀疑一下播放器是不是有问题，这里排查方案很简单，您可以用比较标准的VLC播放器(PC上下载安装)和FLASH播放器（这里有个不错的[测试网址](http://www.cutv.com/demo/live_test.swf)）。
>
>如果VLC播放器或者FLASH播放器播放正常，但是腾讯云的[终端DEMO](https://cloud.tencent.com/document/product/454/6555)播放不正常，那么就说明播放端兼容性做的不好，可以把问题反馈给我们。
>
>如果VLC播放器或者FLASH播放器也播放不了，播放器这个点的嫌疑暂时可以排除了，接下来我们继续往上游找。
>
- **2. 检查下行网络**：
>这是常见的一种情况，不少客户的公司网络环境会限制视频播放，限制的原理是由防火墙侦测http请求的是否是流媒体资源（公司老板都不希望员工上班看视频吗）。
>
>如果您使用4G进行直播观看没有问题，而是用公司的WiFi网络无法观看，即说明公司的网络策略有所限制，您可以尝试跟网管沟通，让TA给您的ip做一下特殊处理。
>
>如果切换网络（比如4G）也依然不行，那我们继续向上游寻找。
>
- **3. 检查频道设置**：
>有两个常见的错误操作需要您在管理控制台确认一下：
>频道的状态是“未启用”，未启用的频道是拒绝推流和观看的(下图中红框所标记的频道没有启用)。
>![disable](//mccdn.qcloud.com/static/img/d2273e61409a5d2c89e7f1e0018963ca/image.jpg)
>
>频道有没有打开您期望的观看协议，比如有些客户想要在app端观看flv地址，但是在频道设置里只开启了HLS。
>![edit](//mccdn.qcloud.com/static/img/2687d18bd59b639cdbbbc535cc85eed7/image.jpg)
>这种情况下，您需要点击右上角的**编辑**按钮，勾选FLV协议前的复选框，从而开启FLV观看地址。
>![flv](//mccdn.qcloud.com/static/img/1fa26a7758383bc1dbf58dffb6370576/image.jpg)

- **4. 检查主播上行**：
>上行网络不足是目前排查的问题中最常见的问题，主要原因是国内运营商对中国网民的上行带宽控制非常严格，而如果主播想要更清晰的画面，也意味着上行带宽要足够高。
>
>您可以打开我们的[终端DEMO](https://cloud.tencent.com/document/product/454/6555)，扫描您的推流地址测试推流，这个时候记得打开log面板，然后观察**SPD**（网络上行速度） 和 **VBR**（视频码率，即视频编码器每秒产生多少视频数据）
>![compare](//mccdn.qcloud.com/static/img/07e38ceed7cfe097f34734acc50c56f5/image.jpg)
>
>对于右图的情况，观看端的表现一定不会正常，推荐您切换到正常的网络环境再做测试。
>
- **5. 检查推流端**：
>目前最流行的推流软件是[OBS](https://obsproject.com/)，您可以用OBS推流看看是否有异常，不过目前为止还没有遇到多少推流端数据有问题的案例，因为目前推流SDK的所有协议都遵循了标准定义。相比之下，倒是下面两个问题非常常见：
>
>**重复推流**
> 如果一个地址已经有一个推流端在推流，另一个推流端一定会失败，表现就是连上很快就会被后台踢掉。
![conflict](//mccdn.qcloud.com/static/img/e8c4de29cb91419ba50146c0cacfd824/image.jpg)
>**异常断开**
> 腾讯云后台现在有个限制（8月初放开），如果一次推流异常断开（推流端没有健康结束推流），后台需要70s才能反映过来，这个时候推流也是不成功的，表现如上图
> 

### 为何我测播放延迟这么大?
按正常情况，RTMP推流+FLV播放的正常延迟在2-3秒左右，如果太长则是有问题的，如果您遇到了，可以按照如下思路来排查：
- **step1. 检查播放协议**
不少客户播放协议采用HLS，并感觉延迟较大，这个是正常的，苹果主推的HLS是基于大颗粒的TS分片的流媒体协议，每个分片都有5s以上的时长，分片数量一般为3-4个，所以总延迟在20s-30s就不足为怪了。换用FLV作为播放协议即可。

- **step2. 检查播放器设置**
腾讯云RTMP SDK的播放器支持**极速**、**流畅**和**自动**三种模式，刚才提到的2-3秒的延迟是在<font color='red'>极速模式</font>下才能达到的，流畅模式则是为1080p蓝光高清游戏直播准备的，为适应注重流畅但不极致追求时延的场景，流畅模式的延迟一般为5s以上，所以推荐你第二步检查一下这里。(以下图片为手工快捷键截图，有人为反应时间引发的误差存在)
![](//mc.qcloudimg.com/static/img/9e958f11e25eb2d2ca21c5935ae094e1/image.png)

- **step3. 后台是不是打水印了**
腾讯云支持后台打水印，目的是满足一些不能使用腾讯云RTMP SDK的推流器（支持直播端加水印）但依然要打水印的客户。但是这种方案会引入额外的三秒延迟，故如果您本身使用的是腾讯云RTMP SDK来推流，就把后台水印关闭后在主播端的APP上加水印吧。

- **step4. 刚推流即播放**
腾讯云后台的流媒体处理流水线是需要一点时间做缓冲和预热的，所以如果刚开始推流，立刻点开播放，这时的测试数据并不是特别可靠，推荐您在推流后等15-30s再测试真实的延迟。

- **step5. 第三方推流器**
较低的延迟，我们只能确保在腾讯云一体化解决方案中能够达到理想的效果，如果您使用的是第三方推流软件，建议您先换成腾讯云RTMP SDK的推流Demo做个对比，排除一下这里引入问题的可能。



### 如何提取SDK输出的Log?
推流或播放过程中出现问题，Log是帮助我们排查问题的重要手段，我们建议您在调试或测试阶段将Log级别设置为DEBUG，这个级别的Log是最全的，有助于我们排查问题，Log级别的定义如下：
![](//mccdn.qcloud.com/static/img/cfe3402e5f9f4bef1f900db2a967e3be/image.png)
您可以通过调用TXLivePlayer或TxLivePush中的**setLogLevel**接口设置Log级别。
如果您使用的安卓手机，我们的Log存储在/sdcard/txRtmpLog目录下，您可以通过adb相关命令查看并提取Log文件：
![](//mccdn.qcloud.com/static/img/1a38cf482394d8e6ab678d44c4059a63/image.png)
如果您使用iPhone手机，我们的Log直接存储在Documents目录下，您可以通过itools工具导出Log文件：
![](//mccdn.qcloud.com/static/img/38ef348f3623dcea65cc4f5a8529dacf/image.png)



## 集成篇

### 命名冲突（duplicate symbol）
在集成本SDK时常遇到的一种编译错误，因为一个进程中不能有重名函数（编译器会将函数编译成symbol），如果出现重复的，就会给链接器带来“选择困难症”。

如果您的APP之前使用过类似ffplay这样的播放器，请先将其从工程中移除掉。目前我们团队还没有实力去研发自己的H264软件编解码器，所以也是使用了ffmpeg这样的开源模块来实现H264视频流的编码和解码，只是修复了其中的一些bug而已。如果您的工程中之前就已经包含了它们，自然会带来命名冲突的问题。

如果命名冲突源自其它模块，请联系我们，基于先来后到的原则，我们更改我们的函数命名是情理之中的。
![txc_rtmp_sdk_duplicated_symbol](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/txc_rtmp_sdk_duplicated_symbol.jpg)

### ffmpeg冲突怎么办？

一般IOS的工程会比较容易遇到这个问题，如果您APP原来就打包有ffmpeg而且确实无法放弃，这里的应对方案如下：
1. 确保您的工程中的ffmpeg已经更新至最新版本（3.0.2）
2. 检查一下Xcode工程设置中"Other Linker Flags"是否包含**-all_load**，如有请去掉。

这种方案的本质是让APP里链接两份ffmpeg，但是Xcode链接器没有办法做到聪明的可以判断出来两个库的调用关系，所以很容易出现蛛网式的混乱调用，如果两个ffmpeg版本不一致，出现莫名其妙的各种crash（看堆栈经常都是在ffmpeg里面）都是很难避免的了。

### Android 出现程序崩溃（CRASH）
- **代码混淆原因**
请注意**com.tencent 包下的文件不要做混淆**，因为有jni封装，混淆会导致java无法定位到期望的接口函数。

- **工程配置原因**
不少客户会遭遇如下这个错误，解释一下错误原因就是java代码在寻找一个叫做 getSDKVersion 的jni函数，但是发现这个函数没有实现。具体原因是实现这个函数的so没有被您当前的工程加载起来。
```java
java.lang.UnsatisfiedLinkError: No implementation found for 
int[] com.tencent.rtmp.TXRtmpApi.getSDKVersion() 
(tried Java_com_tencent_rtmp_TXRtmpApi_getSDKVersion and Java_com_tencent_rtmp_TXRtmpApi_getSDKVersion)
```
解决方法就是检查一下工程配置，这里要特别说明一下，1.4.1 以及以前的版本，我们都是使用了aar作为sdk打包方案，这种android studio推荐的打包方案虽然感觉比较高大上，但实际兼容性并不好，所以在1.4.2版本开始，我们开始推行传统的jar解决方案，如果您现在拿到的是aar版本的sdk组件包，我建议您尝试一下jar版本的。

- **编解码器冲突**
不少客户在APP中集成了不止一家的播放器，这里我们需要注意的是，目前国内少有互联网公司会自己研发H264编解码器，包括腾讯在内也是使用现在常见的ffmpeg等开源组件实现视频的软件编解码，所以编解码库的冲突非常普遍。如果您遇到各种百思不得解的运行冲突问题，可以考虑先临时把其它播放器屏蔽一下，看看是不是对稳定定位有所帮助。


### IOS 找不到函数定义（Undefined Symbols  ）
一般是工程配置问题，尤其是IOS下分多种指令架构，armv7, arm64, x86模拟器等等，另外检查下IOS工程的Link Binary With Libraries的配置，我们的SDK需要依赖的库如下（请参考demo工程的配置）：
![txc_rtmp_sdk_link_lib](//mccdn.qcloud.com/static/img/6605e78efb384799b9b4e1c6a5a7aac6/image.jpg)
如果出现如下错误：
![](//mccdn.qcloud.com/static/img/8424405ffd2e666c481c1792d8296172/image.jpg)
请检查工程的c++库的配置：
![](//mccdn.qcloud.com/static/img/07665b7aa7f6495417bb8e2f850f3afa/image.jpg)

### 画面渲染异常（OpenGL ES冲突）
指集成视频云SDK之后，客户原APP的UI渲染界面表现异常（且原工程中有使用cocos2d或者OpenGL ES）
- **可能情况一**：
>原APP中使用了cocos2d，cocos2d是游戏开发中常使用的一套基础库，它在渲染图像时使用了OpenGL ES，而腾讯视频云SDK内部也使用了OpenGL ES，且SDK内部会调用 [EAGLContext setCurrentContext]方法。
>
>所以，如果在启动SDK的推流或者播放功能以后，原APP的某个模块依然在不停地调用[EAGLContext setCurrentContext]方法，会导致OpenGL上下文环境异常。
>
>建议：在推流和播放前调用[[CCDirectorCaller sharedDirectorCaller] stopMainLoop]先停止cocos2d的渲染，等结束后再调用[[CCDirectorCaller sharedDirectorCaller] startMainLoop]恢复之。


- **可能情况二**：
>原APP中没有使用cocos2d，但使用了OpenGL ES，此时iOS控制台会打印“Warning: currentContext != [[AVGLShareInstance shareInstance] context]” ，这是腾讯视频云SDK检测到EAGLContext的context被其它模块篡改后的一次warning打印，它说明您的APP里可能有其他模块也在调用OpenGL。通常情况下，没有必要同时渲染两个OpenGL View。
>
>建议：调整一下目前APP里的逻辑，不要让视频云SDK的渲染逻辑和您的OpenGL ES逻辑同时运行。

### 画面出现变形
如果播放端画面出现变形拉伸，如图所示：
![](//mccdn.qcloud.com/static/img/64012a07f85259bb3246c40e1014dcb4/image.png)
请检查您的播放地址是否带了550或者900结尾，该地址是后台转码后的播放地址（将原始码率转成标清或者高清），由于后台转码目前存在一个问题，导致将9：16的画面转成16：9，从而导致画面拉伸变形，后台正在修复中，请您使用原始码率进行播放。
![](//mccdn.qcloud.com/static/img/3d507395719b716d6efd379f7022d862/image.png)

### 直播时出现花屏或者绿屏
![screen_broken_vs_green](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/screen_broken_vs_green.jpg)

花屏和绿屏出现的原因多种多样，但一般而言，花屏主要是p帧丢失或者损坏导致的，绿屏则主要是i帧损坏或者sps pps信息错误引发的。如果您发现在播放端出现绿屏，可以参考如下攻略进行排查：

step 1：确认播放端是否采用的是FLV 协议，RTMP协议由于本身是贯彻了大包拆小包的设计理念，所以数据包的拼接操作非常频繁，在海量并发的服务端，出现低概率数据包拼装错误不可能完全避免。所以我们不推荐采用RTMP作为直播的播放端协议。

step 2：请使用腾讯视频云的SDK DEMO验证一下是否同样存在这个问题，因为我们的DEMO有专业的团队测试验证过，如果也出现绿屏，说明云端问题确实比较明显。

step 3：如果出现大面积的花屏或者绿屏，并且推流端使用的是腾讯视频云SDK，可以检查一下推流端是否有切换视频分辨率的操作，按照规范操作，切换分辨率需要重新推流（或者至少向服务器补发sps 和 pps 信息，不过这个操作太专业了，您还是直接重启推流 stopPush& startPush 更加简单可靠一点）。

### 直播时出现黑屏&黑边
- **权限限制**：
>没有打开摄像头的权限，这时候一般会收到PUSH_ERR_OPEN_CAMERA_FAIL的事件，请检查摄像头权限，如果没有收到这个事件，请联系我们并告知机型&系统；另外需要特别注意的是Android 6.0的系统，摄像头的权限需要自行判断并启用摄像头权限，否则将出现黑屏
>
- **分辨率超标**：
>超过SDK支持的最大分辨率，SDK最大支持1920*1080的分辨率，请检查视频的分辨率
>
- **显示模式**：
>显示模式 setRenderMode 可能设置成了 RENDER_MODE_ADJUST_RESOLUTION ，但画面又不符合屏幕当前的宽高比，比如16：9 的画面在4：3的屏幕上显示。


