**什么是直播频道？**

直播频道是直播管理的基本元素，是用户所创建的，有固定输入和输出参数的管理对象。频道建立后，除非用户删除频道，将一直存在。在频道开启状态下，只要用户接入直播源，即可提供直播服务。用户关闭直播源，则直播服务停止。此时直播频道将继续存在。当前每个用户最大支持创建5个直播频道。

**直播频道的参数包含哪些内容？**

用户创建直播频道的过程中，需要设定直播频道的基本信息，以及直播源和接收方的基本参数。在创建完毕后，相关参数会被展示出来，例如推流地址、下发代码等，供用户使用。

**可以随时修改直播频道的设置么？**

除了直播活动进行中，用户可以在直播频道创建后的任意时间修改直播频道的参数。如果直播活动正在进行中，用户可以先关闭该直播活动，然后再修改参数。

**直播频道可以配置多个直播源输入和输出么？**

当前我们支持单一直播源输入，以及HLS、RTMP直播输出。未来我们计划支持在一个直播频道中，同时设置多个直播源（按照优先级排序，同一时间支持一路直播源）和多种直播输出协议。

**查看直播频道时，显示的Web播放器代码有什么用途？**

Web播放器代码为HTML代码，用于在网页编辑中嵌入直播视频播放器，在用户浏览该网页时，即可显示该播放器并播放视频。该代码可能需要做少量定制化修改，因此适合于对HTML语言有一定了解的客户。该代码可自动适配移动端和PC端，并同时支持WEB SDK所提供的各种功能，可以进行高度灵活的再次开发。
**
直播Web播放器代码目前支持移动端设备么？**

支持各种类型的移动端播放，具体方法可参考“视频管理”里面的“视频发布”显示的“自适应HTML”。
**
什么是Web播放器播放密码？**

播放密码是确保直播内容仅仅被授权用户所查看的安全机制。用户在加载直播Web播放器后，需输入8位字母数字密码，该密码区分大小写，不支持空格和其他字符。输入正确后，即可正常播放。该密码适用于需要对直播内容做基本保护的场景。
**
可以设定直播收看方黑白名单么？**

支持用户选择黑名单或白名单对观看者进行限制。每个用户可创建多个黑名单或白名单，名单内可包含一组IP地址（不超过20条URL），由此对观看者访问发起地址进行限制。开启设置后，同一时刻，仅有一个黑名单或白名单生效。

**可以支持URL防盗链功能么？ **

URL防盗链是一种保护用户视频内容安全的功能。通过使用防盗链功能，用户可根据所掌握的私钥，实时自行生成直播播放链接，该链接在用户指定时间内可用。由此充分保障用户的直播内容安全性。该功能将在未来版本中发布。

**可以在直播中支持广告么？**

在当前版本暂不支持。该功能将在未来版本中发布。

**可以在直播中支持弹幕交互么？**

在当前版本暂不支持。该功能将在最近的版本中发布。用户可在自己的应用中将弹幕输入对接至腾讯云提供的展示接口，由此实现直播画面上的弹幕文字叠加显示。

**我能自己定义播放器的外观么？**

目前用户已经可以通过管理页面自定义播放器大小等。未来还将发布选择不同风格的播放器外观功能。


**可以对直播进行录制么？**

支持通过API方式，对直播进行录制。录制后将存放至点播平台。用户需提前开启点播平台账号并购买对应空间流量。详细方法请阅读直播[录制API](http://cloud.tencent.com/doc/api/258/API%E6%A6%82%E8%A7%88)，以及直播[录制使用说明](http://cloud.tencent.com/doc/product/267/%E9%85%8D%E7%BD%AE%E4%B8%8E%E4%BD%BF%E7%94%A8)。


**我能对直播过程截图么？**

支持通过API方式，对直播进行截图，截图后文件将存放至面向对象服务COS平台。用户需提前开启COS服务并购买对应空间流量。详细方法请阅读直播[录制API](http://cloud.tencent.com/doc/api/258/API%E6%A6%82%E8%A7%88)，以及直播[录制使用说明](http://cloud.tencent.com/doc/product/267/%E9%85%8D%E7%BD%AE%E4%B8%8E%E4%BD%BF%E7%94%A8)。
