**现在可以支持哪些上行直播协议？**

当前我们可以支持如下上行直播协议：

  RTMP推流：用户可将RTMP视频流推送到腾讯云提供的地址。地址格式类似于：
	
  rtmp://.livepush.myqcloud.com/live/。
	
后期我们将会支持RTMP拉流和HLS拉流方式，即用户可自行提供公网可访问的RTMP/HLS视频流访问地址,由腾讯云进行拉取。

**现在可以支持哪些直播源？**

凡是可以通过以上直播协议加入的直播源都可以。从类型上，可采用如下具体方式：

1.视频设备如高清摄像机等 —— RTMP推流模式

该类型设备如果具备HDMI视频输出接口，均可以通过视频RTMP编码器（或直播卡、直播盒）直接通过推流方式加入。您可以启用推流模式获取腾讯云提供的RTMP接收地址，然后在视频RTMP编码器上进行配置，设定将HDMI接口捕捉到的视频信息通过RTMP传输至腾讯云地址即可。

2。Android / iOS手机摄像头 —— RTMP推流模式

可通过第三方软件或SDK捕捉摄像头并通过RTMP协议发布。相关安卓软件包括：Broadcaster, Arutcam等；iOS软件包括：LiveHD，nanoStream Live Video Encoder等等。然后启用RTMP推流模式，将直播视频流传输至腾讯云地址即可。

3.台式计算机或笔记本摄像头以及桌面 —— RTMP推流模式

可通过第三方软件或SDK捕捉摄像头视频以及选定桌面或全屏范围。相关软件包括：FMLE、Xsplit等。然后启用RTMP推流模式，将直播视频流传输至腾讯云地址即可。

4.已有公网可访问的HLS/RTMP视频服务器 —— HLS/RTMP拉流模式

可通过启用HLS/RTMP拉流模式，将已有公网地址配置如腾讯云控制台即可。

**现在可以支持哪些下行直播协议？**

当前我们可以支持HLS、RTMP、FLV下行协议。用户可在创建用户可以在创建频道或修改频道设置时，指定是否将输入原始码率转换为相关下行格式。
指定后，后台将在生成播放地址时，提供对应格式的不同地址，方便用户调用。
如果使用腾讯云Web播放器SDK，当多种格式可选时，判断逻辑为：
1. PC端：优先级为FLV/RTMP/HLS；
2. 移动端：优先HLS协议；

**是否可支持实时转码？**

当前我们可以支持实时转码功能。用户可以在创建频道或修改频道设置时，指定是否将输入原始码率转换为如下码率：
高清：分辨率 1280x720，码率 900kbps
标清：分辨率 960x540，码率 550kbps
原始：原始分辨率，码率为原始码率（始终出现）。

指定后，后台将在生成播放地址时，提供对应码率的不同地址，方便用户选择调用。由于生成的视频分辨率将严格按照以上比率，需注意推流原始分辨率尽可能接近以上比率以避免画面拉伸变形。

在用户第一次访问新的码率地址时，首位触发链接的访问用户将会感到加载时间稍长，属正常现象。后续用户访问则将获得一致的体验。

如果使用腾讯云Web播放器SDK，开启实时转码后，则播放器在右下角清晰度选择处，自动根据频道设置显示相应的可用码率，用户可自行手动调整。默认判断逻辑为：
1. PC端：优先使用原片分辨率；
2. 移动端：优先使用“高清”即900kbps分辨率；如果不可用，则使用原片分辨率；

**现在可以支持哪些直播收看方？**

直播收看有如下方式：

1.	PC或移动设备网页端
当前我们已经发布了直播播放器WEB端代码功能，可以在创建直播频道后直接获取代码。您可在您的网页中嵌入代码实现网页端在PC或移动设备上的播放。

2.	移动设备
用户可以选择第三方直播接收软件（RTMP或HLS）兼容软件收看直播流，或进行直接开发收看功能。也可[参考腾讯云视频播放器SDK](http://cloud.tencent.com/product/LVB.html#sdk)，帮助您快速将直播收看能力集成在您的应用中。

**直播视频的支持添加水印么？**

支持在直播频道添加对应水印。可在管理控制台设定水印图片以及位置，并应用于不同的频道。

**直播视频的同时在线观看人数有限制么？**

理论上没有，我们的系统目前不作任何限制，因此理论上可支持千万级用户数量的同时在线观看。

**直播视频的延迟大约有多少？**

直播视频的延迟从端到端角度考虑会涉及输入或输出设备，以及中间采用的协议。下行HLS协议的方式延迟会显著高于RTMP协议。在不同网络状况下，会有差异。通常HLS协议的延迟在15~35s左右；RTMP/FLV协议的延迟在2~5s左右。

**直播视频的清晰度如何？**

直播视频的清晰度完全取决于视频输入端的清晰度，本身系统不作任何限制和转换。

**为什么视频直播收看时会有卡顿现象？**

在排除视频直播源本身问题的情况下，视频卡顿有可能是因为播放视频的电脑配置过低、局部网络条件欠佳（包括带宽和时延）或播放软件引起的，可以通过改变播放视频的硬件设备、网络环境和软件配置来尝试分析。如果问题仍然存在，请联系我们的售后服务部门。