## 基础篇

#### 推流、直播 和 点播分别是什么意思？
- **推流**：主播将本地视频源和音频源推送到腾讯视频云服务器，在有些场景中也被称为“RTMP发布”。
- **直播**：即直接观看主播实时推送过来的音视频数据，观众和视频源之间的时间延迟一般不会太长。
- **点播**：视频源已经事先存储于腾讯服务器之上的音视频文件，观众随时可以观看，类似优酷土豆、爱奇艺和腾讯视频。

#### 常见的直播协议有哪些？
目前常见的直播协议有三种：RTMP、 FLV 和 HLS。
- **RTMP**：RTMP协议比较全能，既可以用来推送又可以用来直播，其核心理念是将大块的视频帧和音频帧“剁碎”，然后以小数据包的形式在互联网上进行传输，而且支持加密，因此隐私性相对比较理想，但拆包组包的过程比较复杂，所以在海量并发时也容易出现一些不可预期的稳定性问题。
- **FLV**：FLV协议由Adobe公司主推，格式极其简单，只是在大块的视频帧和音视频头部加入一些标记头信息，由于这种极致的简洁，在延迟表现和大规模并发方面都很成熟。唯一的不足就是在手机浏览器上的支持非常有限，但是用作手机端APP直播协议却异常合适。
- **HLS**：苹果推出的解决方案，将视频分成5-10秒的视频小分片，然后用m3u8索引表进行管理，由于客户端下载到的视频都是5-10秒的完整数据，故视频的流畅性很好，但也同样引入了很大的延迟（HLS的一般延迟在10-30s左右）。相比于FLV， HLS在iPhone和大部分android手机浏览器上的支持非常给力，所以常用于QQ和微信朋友圈的URL分享。
![live_video_protocol](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/live_video_protocol.jpg)

#### 常见的点播协议有哪些？
目前常见的点播格式有三种：MP4、HLS和FLV。
-  **MP4**: 比较经典的文件格式，在移动终端和PC浏览器上的支持度都很好（在IOS和大部分Android设备上，都可以使用系统浏览器进行播放，在PC上可以使用FLASH控件进行播放）。但是MP4的视频文件格式比较复杂，所以处理成本高，而且由于索引表复杂度高，导致时长稍大（比如半小时）的MP4文件在线播放时加载速度会很慢。
- **HLS**: 苹果公司力推的标准，在移动终端的浏览器上的支持度较好，但IE的支持情况依赖FLASH的二次开发工作（建议使用腾讯视频云的FLASH播放器控件）。其精简的m3u8的索引结构可以规避MP4的索引慢问题，如果是用于点播，是非常不错的选择。
- **FLV**: Adobe公司所推的标准，目前直播平台最常用的封装格式，在PC端有FLASH的强力支持，但在移动终端只有APP实现播放器才有可能支持（或者使用本播放器），大部分手机端浏览器均不支持。目前腾讯视频云的直播录制，采用的就是FLV视频格式。
![vod_video_protocol](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/vod_video_protocol.jpg)

#### 常见的推流协议有哪些？
虽然RTMP在直播领域不是特别流行，但是在推流服务，也就是主播->服务器这个方向上，RTMP则居于主导地位，目前国内的视频云服务都是以RTMP为主要推流协议。由于腾讯视频云SDK第一个功能模块就是主播推流，所以也被称为是RTMP SDK。

#### 腾讯RTMP SDK支持哪些功能和协议?
腾讯视频云SDK支持推流、直播和点播三个功能：
- **推流**支持RTMP发布协议，并包含硬件加速，美颜滤镜，带宽适应，清晰度调整等强大功能。
- **直播**支持FLV协议和RTMP协议，推荐使用FLV，具有秒开优化，延迟自动控制技术以及适应性良好的硬件解码能力。
- **点播**支持FLV文件在线点播服务，HLS和MP4的点播支持还在开发中，即将发布。


## 优化篇
#### 如何实现映客的直播秒开能力？
直播视频的秒开优化主要依靠云端服务的优化，目前如果您组合使用的腾讯视频云SDK + 腾讯视频云服务实现直播服务，最快可以实现**200ms**的首屏打开速度（启动播放 -> 渲染出首帧画面）。

#### 如何降低延迟并减少画面卡顿？
这里说的**延迟**是主播 -> 观众的时间延迟，而**卡顿**指的是出现500ms以上的播放停滞。
如果是在完美的网络环境下，可以做到超低延迟下没有卡顿，但现实是国内的网络环境并不完美，数据在经过互联网传输时必然会有抖动和丢包，从而对播放端的流畅播放产生影响。
![tx_live_service_lag](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/tx_live_service_lag.jpg)

因此，为了缓解这些不稳定因素，云服务和终端APP都需要引入一些缓冲，但缓冲的加入就不可避免地引入了延迟。
所以，**延迟和流畅是一架天平的两端**，如果过分强调降低延迟，就会导致轻微的网络波动即产生明显的播放端卡顿。反推之，如果过分强调流畅，就意味着引入大量的延迟，一个典型的案例就是HLS协议，通过引入10-30秒的延迟来实现流畅的播放体验。

为了能够让您无需了解过多流控处理知识就能优化出较好的播放体验，腾讯视频云SDK经过多个版本的改进，优化出一套自动调节技术，并在其基础上推出了三种比较优秀的延迟控制方案：
- **自动模式**：如果您不太确定您的主要场景是什么，可以选择这个模式。
>当把播放器中的 setAutoAdjustCache 开关打开，即为自动模式，在该模式下，播放器会根据当前网络情况，对延迟进行自动调节，默认情况下，播放器会在1s - 5s 这个区间内自动调节延迟大小（您也可以通过setMinCacheTime 和 setMaxCacheTime对默认值进行修改），以保证在足够流畅的情况下尽量降低观众跟主播端的延迟，确保良好的互动体验。

- **极速模式**：主要适用于**秀场直播**和**全民直播**等对延迟要求比较苛刻的场景。
> 我们所谓的极速模式，即（setMinCacheTime = setMaxCacheTime = 1s） ， 而您也发现了，自动模式跟极速模式的差异只是MaxCacheTime 有所不同 （极速模式的 MaxCacheTime 一般比较低，而自动模式的MaxCacheTime 则相对较高 ），这种灵活性主要得益于SDK内部的自动调控技术，可以在不引入卡顿的情况下自动修正延时大小，而MaxCacheTime 反应的就是调节速度：MaxCacheTime的值越大，调控速度会越发保守，当然卡顿概率就会越低。
 
- **流畅模式**：主要适用于**游戏直播**和**点播场景**等对延迟要求不是特别高的场景。
> 当把播放器中的 setAutoAdjustCache 开关关闭，即为流畅模式，在该模式下，播放器采取的处理策略跟Adobe FLASH内核的缓存出策略如出一辙：当视频出现卡顿后，会进入 loading 状态直到缓冲区蓄满，之后进入playing状态，直到下一次遭遇无法抵御的网络波动。默认情况下，缓冲大小为5s，您可以通过setCacheTime进行更改。
> 
> 在延迟要求不高的场景下，这种简单的模式会更加可靠，我们在视频云SDK中引入这种模式主要是很多采纳了很多优秀客户的建议，即希望在播放过程中有平滑的loading和playing状态切换。但采用极速模式时，对于低时延的追求会导致这种切换往往非常频繁进而引发loading闪烁。

## 集成篇

#### 命名冲突（duplicate symbol）
在继承本SDK时常遇到的一种编译错误，因为一个进程中不能有重名函数（编译器会将函数编译成symbol），如果出现重复的，就会给链接器带来“选择困难症”。

如果您的APP之前使用过类似ffplay这样的播放器，请先将其从工程中移除掉。目前我们团队还没有实力去研发自己的H264软件编解码器，所以也是使用了x264、ffmpeg这样的开源模块来实现H264视频流的编码和解码，只是修复了其中的一些bug而已。如果您的工程中之前就已经包含了它们，自然会带来命名冲突的问题。

IOS工程请务必检查一下工程中"Other Linker Flags"是否包含-all_load，如有请去掉。

如果命名冲突源自其它模块，请联系我们，基于先来后到的原则，我们更改我们的函数命名是情理之中的。
![txc_rtmp_sdk_duplicated_symbol](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/txc_rtmp_sdk_duplicated_symbol.jpg)

#### Android运行必现程序崩溃（CRASH）
一般都是混淆导致的，请注意**com.tencent 包下的文件不要做混淆**，因为有jni封装，混淆会导致java无法定位到期望的接口函数。

#### 找不到函数定义（Undefined Symbols  ）
一般是工程配置问题，尤其是IOS下分多种指令架构，armv7, arm64, x86模拟器等等，另外检查下IOS工程的Link Binary With Libraries的配置，我们的SDK需要依赖的库如下（请参考demo工程的配置）：
![txc_rtmp_sdk_link_lib](//mccdn.qcloud.com/static/img/6605e78efb384799b9b4e1c6a5a7aac6/image.jpg)
如果出现如下错误：
![](//mccdn.qcloud.com/static/img/8424405ffd2e666c481c1792d8296172/image.jpg)
请检查工程的c++库的配置：
![](//mccdn.qcloud.com/static/img/07665b7aa7f6495417bb8e2f850f3afa/image.jpg)

#### 画面渲染异常（OpenGL ES冲突）
指集成视频云SDK之后，客户原APP的UI渲染界面表现异常（且原工程中有使用cocos2d或者OpenGL ES）
- **可能情况一**：
>原APP中使用了cocos2d，cocos2d是游戏开发中常使用的一套基础库，它在渲染图像时使用了OpenGL ES，而腾讯视频云SDK内部也使用了OpenGL ES，且SDK内部会调用 [EAGLContext setCurrentContext]方法。
>
>所以，如果在启动SDK的推流或者播放功能以后，原APP的某个模块依然在不停地调用[EAGLContext setCurrentContext]方法，会导致OpenGL上下文环境异常。
>
>建议：在推流和播放前调用[[CCDirectorCaller sharedDirectorCaller] stopMainLoop]先停止cocos2d的渲染，等结束后再调用[[CCDirectorCaller sharedDirectorCaller] startMainLoop]恢复之。


- **可能情况二**：
>原APP中没有使用cocos2d，但使用了OpenGL ES，此时iOS控制台会打印“Warning: currentContext != [[AVGLShareInstance shareInstance] context]” ，这是腾讯视频云SDK检测到EAGLContext的context被其它模块篡改后的一次warning打印，它说明您的APP里可能有其他模块也在调用OpenGL。通常情况下，没有必要同时渲染两个OpenGL View。
>
>建议：调整一下目前APP里的逻辑，不要让视频云SDK的渲染逻辑和您的OpenGL ES逻辑同时运行。


#### 直播时出现花屏或者绿屏
![screen_broken_vs_green](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/screen_broken_vs_green.jpg)

花屏和绿屏出现的原因多种多样，但一般而言，花屏主要是p帧丢失或者损坏导致的，绿屏则主要是i帧损坏或者sps pps信息错误引发的。如果您发现在播放端出现绿屏，可以参考如下攻略进行排查：

step 1：确认播放端是否采用的是FLV 协议，RTMP协议由于本身是贯彻了大包拆小包的设计理念，所以数据包的拼接操作非常频繁，在海量并发的服务端，出现低概率数据包拼装错误不可能完全避免。所以我们不推荐采用RTMP作为直播的播放端协议。

step 2：请使用腾讯视频云的SDK DEMO验证一下是否同样存在这个问题，因为我们的DEMO有专业的团队测试验证过，如果也出现绿屏，说明云端问题确实比较明显。

step 3：如果出现大面积的花屏或者绿屏，并且推流端使用的是腾讯视频云SDK，可以检查一下推流端是否有切换视频分辨率的操作，按照规范操作，切换分辨率需要重新推流（或者至少向服务器补发sps 和 pps 信息，不过这个操作太专业了，您还是直接重启推流 stopPush& startPush 更加简单可靠一点）。

#### 直播时出现黑屏
- **可能情况一**：
>没有打开摄像头的权限，这时候一般会收到PUSH_ERR_OPEN_CAMERA_FAIL的事件，请检查摄像头权限，如果没有收到这个事件，请联系我们并告知机型&系统；另外需要特别注意的是Android 6.0的系统，摄像头的权限需要自行判断并启用摄像头权限，否则将出现黑屏
- **可能情况二**：
>超过SDK支持的最大分辨率，SDK最大支持1920*1080的分辨率，请检查视频的分辨率



















