## 接入指南
![](//mc.qcloudimg.com/static/img/c13eb6c0d1becb30ea8fa812da218288/image.png)

欢迎使用腾讯云直播服务，为了方便您快速完成直播功能的接入，腾讯云提供了一套成体系的指引文档，而且保持实时更新。

文档专区位于：[文档中心-API文档-直播](https://cloud.tencent.com/doc/api/258)，以下部分则是阅读导航：

## 攻略专区
这里有9个小课程，详细介绍了一套完整的直播解决方案的前前后后和方方面面，建议您优先都阅读一下。当然，不是说所有部分都是需要实现的，最终您可以按您的实际业务情况进行按需选择：

| 课程          | 学习目标                                     |
| ----------- | ---------------------------------------- |
| [1. 体验视频云](https://cloud.tencent.com/doc/api/258/6444)    | 了解腾讯视频云服务有哪些功能，以及利用其直播和点播服务可以做出怎样的功能和用户体验 |
| [2. 直播控制台](https://cloud.tencent.com/doc/api/258/6445)    | 学习使用直播控制台，这是您后续经常需要操作的地方                 |
| [3. RTMP SDK](https://cloud.tencent.com/doc/api/258/6446) | RTMP SDK是腾讯云视频云的移动终端解决方案，包括推流、直播和点播等功能   |
| [4. 直播后台](https://cloud.tencent.com/doc/api/258/6447)     | 了解如何搭建一个自己的直播后台                          |
| [5. 互动消息](https://cloud.tencent.com/doc/api/258/6448)     | 了解如何在直播APP中加入聊天室，以及弹幕、点赞等业务功能            |
| [6. 录制回看](https://cloud.tencent.com/doc/api/258/6449)    | 学习如何使用腾讯视频云的点播服务对直播过程进行录制，并提供相应的回看服务     |
| [7. 微信分享](https://cloud.tencent.com/doc/api/258/6450)     | 如何将直播分享到微信、QQ等社交品台，并且在不安装APP的情况下给用户带来一直的交互体验 |
| [8. 安全保护](https://cloud.tencent.com/doc/api/258/6452)     | 介绍常见的安全解决方案                              |
| [9. 运营监管](https://cloud.tencent.com/doc/api/258/6453)    | 学习如何对直播间进行运营管理以及借助腾讯云的鉴黄服务避免运营上的政策风险     |

## 后台专区
主要介绍了腾讯云直播码解决方案的后台API接口，这些API主要分为两类：
- **用于主动查询和管理直播流状态**  
   即主动调用腾讯云后台API查询所需的信息或者对直播流进行控制，包括如下API:

| API                                | 功能介绍                                                   |
|---------------------------------|-------------------------------------------------------|
| [Get_LiveStat](https://cloud.tencent.com/doc/api/258/6110)  | 统计信息查询 - 查询推流和播放相关信息|
| [Get_LivePushStat](https://cloud.tencent.com/doc/api/258/6110) | 统计信息查询 - 查询推流相关信息|
| [Get_LivePlayStat](https://cloud.tencent.com/doc/api/258/6110)  |  统计信息查询 - 查询播放相关信息 |
| [Live_Channel_GetStatus](https://cloud.tencent.com/doc/api/258/5958) |  仅查询某条流的状态信息（旧版本接口） | 
| [Live_Channel_SetStatus](https://cloud.tencent.com/doc/api/258/5959) | 对某条流实行**禁播**操作，主要用于鉴黄场景 | 
| [Live_Tape_GetFilelist](https://cloud.tencent.com/doc/api/258/5960)| 查询某条流在直播过程中的**录制**文件列表 | 
| [Live_Queue_Get](https://cloud.tencent.com/doc/api/258/5961)| 查询某条流在直播过程中的**截图**文件列表 | 

- **用于接收腾讯云的事件通知**  
当腾讯云后台服务集群在一些关键事情发生时，会以[事件通知](https://cloud.tencent.com/doc/api/258/5957)的形式主动通知客户服务器，需要客户提前到腾讯云注册接收事件通知的URL，目前支持的通知类型有:

| 事件类型（event_type）   | 功能介绍                                                          |
|:-------------------------------:|--------------------------------------------------------------|
| 0                                   | 通知一条直播流发生断流                                     | 
| 1                                   | 通知一条直播流开始或者恢复推流                        | 
| 100                               | 通知有一个新的录制文件已经生成                         | 
| 200                               | 通知有一个新的截图文件已经生成                         | 

## 终端专区
这里主要介绍了腾讯云直播码解决方案的移动终端解决方案，腾讯云RTMP SDK针对推流、直播和点播，提供了一套高质量的移动端完整实现方案，你可以通过简单几行代码就可以集成高质量的音视频直播和点播服务。

| 文档指引 | 功能说明 |
|---------|----------------|
| [RTMP推流-摄像头直播-iOS](https://cloud.tencent.com/doc/api/258/6455) |  介绍如何基于RTMP SDK 实现 iOS 平台的摄像头直播推流 |
| [RTMP推流-摄像头直播-Android](https://cloud.tencent.com/doc/api/258/6456) | 介绍如何基于RTMP SDK 实现 Android 平台的摄像头直播推流 |
| [RTMP推流-录屏直播-iOS](https://cloud.tencent.com/doc/api/258/6460) | 介绍如何基于RTMP SDK 实现 iOS 平台的手机屏幕推流（iOS 10 及以上版本） |
| [RTMP推流-录屏直播-Android](https://cloud.tencent.com/doc/api/258/6457) | 介绍如何基于RTMP SDK 实现 Android 平台的手机屏幕推流（Android 5.0 及以上版本） |
| [RTMP推流-进阶应用](https://cloud.tencent.com/doc/api/258/6458)| 针对有一定音视频基础，想要定制推流参数或者直接自主采集音视频数据的客户  |
| [LIVE直播播放-iOS](https://cloud.tencent.com/doc/api/258/4736) | 介绍如何基于 RTMP SDK 实现 FLV、RTMP 等协议格式的在线直播  |
| [LIVE直播播放-Android](https://cloud.tencent.com/doc/api/258/4737) | 介绍如何基于 RTMP SDK 实现 FLV、RTMP 等协议格式的在线直播  |
| [VOD点播回看-iOS](https://cloud.tencent.com/doc/api/258/4738) | 介绍如何基于 RTMP SDK 实现 FLV、MP4、HLS 等协议格式的视频点播  |
| [VOD点播回看-Android](https://cloud.tencent.com/doc/api/258/4739) | 介绍如何基于 RTMP SDK 实现 FLV、MP4、HLS 等协议格式的视频点播  |

## 网页专区
向您介绍腾讯云WEB播放器的使用方法以及其包含的所有功能，对您做视频分享和网页在线直播会有所帮助。

- **平台差异** 
对于不同的平台，Web播放器所支持的协议格式和实现原理是不同的：

| 浏览器平台 | 支持的直播协议 | 支持的点播协议| 播放器实现方案 |
|---------|---------|---------|-------|
| Windows | FLV、HLS | HLS、MP4   | 基于flash浏览器插件实现 |
| iOS & Android | HLS | HLS、MP4 | 基于Html5 相关技术能力 |

- **代码对接**
单纯靠播放地址很难精确判断是 live 直播还是 vod 点播，所以腾讯云Web播放器分为直播和点播两个版本：
  + [Web 直播播放器对接文档](https://cloud.tencent.com/doc/api/258/5704)
  + [Web 点播播放器对接文档](https://cloud.tencent.com/doc/api/258/5706)

- **微信分享**
针对微信、QQ、新浪微博、朋友圈等社交工具的分享，我们提供了一个比较简单的一体化Web解决方案，它可以实现近似App的直播观看体验，您可以参考 [微信分享](https://cloud.tencent.com/doc/api/258/6450) 进行对接。	

## 常见问题
我们把腾讯云视频业务众多客户对接中经常咨询的问题进行了分类总结，以FAQ的形式呈现在这里，希望能够对您的快速接入有所帮助：

| 主题分类                         | 内容介绍                                                          |
|:-------------------------------:|--------------------------------------------------------------|
|[快速入门](https://cloud.tencent.com/doc/api/258/6159)  | 介绍常见的流媒体协议等直播点播相关的基础知识    | 
|[效果优化](https://cloud.tencent.com/doc/api/258/6160)  | 介绍如何实现优化流畅播放、如何校调画质等相关的技术点| 
|[问题排查](https://cloud.tencent.com/doc/api/258/6161)  | 介绍诸如“直播看不了”、“延迟太高”、“黑边黑屏”等常见问题的应对办法 | 
|[SDK对接](https://cloud.tencent.com/doc/api/258/6162)  | 列举了一些移动端SDK对接时常见的问题以及应对方案  | 
|[服务相关](https://cloud.tencent.com/doc/api/258/6208)  | 列举了腾讯云各种相关业务的开通方法和关键信息的查询手段  | 

## 小直播专区
**[小直播](https://cloud.tencent.com/doc/api/258/6164)** 是基于腾讯视频云服务实现的一个直播APP的原型软件，开放终端和后台的实现源码，适合零基础的客户进行参考和评估之用：
![](//mc.qcloudimg.com/static/img/05d2e651ff6c9332211eaf7fea167cfa/image.png)

## 频道托管(旧)
频道托管是腾讯云视频业务早期推出的一种接入方案，该方案以Web页面的形式提供了一套图形化的直播频道管理方案，同时也提供了一套相应的后台API接口。

图形化的Web页面以其清晰的界面和简单的操作，目前依然是很多做直播活动客户的最爱，但后台API的方案则随着客户业务逻辑的复杂化暴露出了维护困难的弊病，所以如果是走后台API接入的方式，并不推荐。
