## 1. 直播管理

**点击视频直播-直播管理进入视频直播**

在直播管理页面中，您可以查看当前您直播频道概况。包括直播名称、ID、直播状态、创建时间和操作等等。可以对直播名称和ID进行搜索，也可以批量对直播频道进行启动、关闭和删除。直播频道建立后，将出现在列表中，相关状态如下：

- 无输入流：当前直播频道已经启动，但是未发现输入流。该状态下可关闭、测试该直播频道。
- 直播中：当前直播频道已经启动，且发现输入流。该状态下可关闭、测试该直播频道。
- 已关闭：当前直播频道已经关闭。系统不接收输入流也不分发输出流。

![](//mccdn.qcloud.com/img569df1b901a98.png)

**查看和修改直播频道设置**

在已关闭状态下，可以单击直播频道的名称，查看直播配置、输出地址，或对直播频道的配置进行修改。

直播设置信息如下，点击设置旁边的编辑按钮，可对应进行修改。注意，仅在已关闭状态下才能对直播频道设置进行修改。

![](//mccdn.qcloud.com/img569df1fc3c8bd.png)

**查看和编辑直播发布播放器代码**

用户可以查看直播发布播放器代码，由此可以轻松的将直播显示能力同网页应用集成起来。该代码支持桌面和移动设备播放。

![](//mccdn.qcloud.com/img569df21d0be24.png)

单击编辑，可对如下内容进行修改，修改后请保存，即可显示更新后的播放器代码。

播放器大小：即播放器边框的大小，支持常见大小以及自定义方式；

播放器密码：提供基本的安全功能，用户可设置8位字母（区分大小写）数字密码。观看者需要输入正确密码才能收看直播。注意，如果观看者没有使用播放器，该功能不生效。

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yunzhiboshiyong-6.png)

## 2. 创建频道
在左侧导航菜单点击创建频道，或在直播管理界面中，点击创建频道按钮。

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yunzhiboshiyong-7.jpg)

进行直播频道的基本设置信息。包括频道名称和频道描述。

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/yunzhiboshiyong-8.jpg)

## 2.1 转码设置
选择是否进行实时转码。勾选后，会在后续步骤中获得对应链接地址。
![](//mccdn.qcloud.com/static/img/ef23686f2cc4314bcc09a1601aefcf81/image.png)
高清：分辨率 1280x720，码率 900kbps
标清：分辨率 960x540，码率 550kbps
原始：原始分辨率，码率为原始码率（始终出现）。

指定后，后台将在生成播放地址时，提供对应码率的不同地址，方便用户选择调用。由于生成的视频分辨率将严格按照以上比率，需注意推流原始分辨率尽可能接近以上比率以避免画面拉伸变形。

在用户第一次访问新的码率地址时，首位触发链接的访问用户将会感到加载时间稍长，属正常现象。后续用户访问则将获得一致的体验。

**可使用如下方式，使用实时转码功能：**
1. 如果使用腾讯云Web播放器SDK，开启实时转码后，则播放器在右下角清晰度选择处，自动根据频道设置显示相应的可用码率，用户可自行手动调整。默认判断逻辑为：
	1. PC端：优先使用原片分辨率；
	2. 移动端：优先使用“高清”即900kbps分辨率；如果不可用，则使用原片分辨率；
2. 直接获取对应不同码率地址，通过第三方播放器直接播放。

## 2.2 直播源设置
输入直播源设置
可设置如下内容：

直播源名称：以作为标识。当前系统仅支持一个直播源。

协议类型：当前系统支持RTMP推流功能，近期将支持HLS/RTMP拉流功能。

如果选择RTMP推流，则系统自动生成推流地址。该地址将在配置结束后展示。用户可复制该地址并在已有的服务器、RTMP编码器或软件上进行配置。

具体配置方法，可参考对应RTMP推流软件说明，或[第三方直播软件使用方法](http://cloud.tencent.com/doc/product/267/OBS%E6%8E%A8%E6%B5%81%E4%BD%BF%E7%94%A8%E8%AF%B4%E6%98%8E%EF%BC%88%E6%8E%A8%E8%8D%90%EF%BC%89)。

如果选择HLS/RTMP拉流，则用户需输入已有的HLS/RTMP公网地址，以便系统从该地址拉取视频流。

![](//mccdn.qcloud.com/static/img/716dc322dcd2cfe6a856cbe6214261fc/image.png)

## 2.3 接收方多协议和多码率设置
配置接收方设置：

当前支持HLS或RTMP/FLV协议的下发。勾选后，会在后续步骤中获得对应链接地址。
![](//mccdn.qcloud.com/static/img/ed068b7e91bda288a5b4f362a1a8255b/image.png)

例如，如果配置多码率，以及多协议后，将获取如下地址：
![](//mccdn.qcloud.com/static/img/78d759181198e280f4ccb19b583b6132/image.png)

## 2.4 将水印应用于频道
可选择预先在全局设置中的水印（含水印样式和位置）。水印设置需在创建频道或者频道关闭状态时完成，在直播已经开始后，水印将无法修改。

如图：
![](//mccdn.qcloud.com/static/img/f2ab2e03ce562b566a3be3f2d2db9127/image.png)

## 3. 统计分析

客户可以通过菜单选择统计分析功能，对带宽、流量、请求数和直播频道数等信息，根据日期进行查看。

客户还可查看账户下，所有直播频道的统计信息。如图：

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/zhiboliucheng-1.png)

## 4. 黑白名单

用户可设置直播观看者黑白名单限制。每个用户可创建多个黑名单或白名单，名单内可包含一组IP地址，由此对观看者地址进行限制。开启设置后，同一时刻，仅有一个黑名单或白名单生效。

请在【管理控制台】 - 【直播】 - 【全局设置】进行编辑。如下：

![](http://qzonestyle.gtimg.cn/qzone/vas/opensns/res/img/zhiboliucheng-2.png)

## 5. 录制

用户通过API对直播频道进行录制。详细方法请阅读[直播API介绍](http://cloud.tencent.com/doc/api/258/API%E6%A6%82%E8%A7%88)。

录制后，文件自动存放于点播平台。故用户需在使用录制功能前，提前开通点播服务，并购买相关空间和流量用于存放和播放录制后的视频文件。详细方法请阅读[点播产品介绍](http://cloud.tencent.com/product/vod.html)。

基本步骤：
1. 开通点播服务；
2. 使用创建录制任务API；
3. 使用终止录制任务API；
4. 查询已录制分片API，获取fileID；
5. 在点播平台根据fileID获取播放地址或进行转码等操作（可选）。

对应点播平台文件操作API参考如下[点播API使用指南](http://cloud.tencent.com/doc/api/257/API%E6%A6%82%E8%A7%88)。

规格说明：
1. 录制视频针对直播原始码率录制，输出格式为FLV；
2. 录制格式最长单个文件为30分钟，如果超出则新建文件继续录制；
3. 单个录制任务最大长度为24小时；
4. 直播过程中，预计在录制结束5分钟左右可获取对应文件。例如，某直播从12:00开始录制，则12:35左右可获取12:00~12:30的对应片段；以此类推；
5. 提醒：录制后的文件会在点播平台产生对应费用，请根据实际情况留意相关成本支出。详细计费方法请参考[点播产品介绍](http://cloud.tencent.com/product/vod.html)。

## 6. 截图

用户通过API对直播频道进行截图。详细方法请阅读[直播API介绍](http://cloud.tencent.com/doc/api/258/API%E6%A6%82%E8%A7%88)。

截图后，文件自动存放于面向对象存储COS平台。故用户需在使用截图功能前，提前开通COS服务，并购买相关空间和流量用于存放和下载截图文件。详细方法请阅读[COS产品介绍](http://cloud.tencent.com/product/cos.html)。

基本步骤：
1. 开通COS服务；
2. 使用创建截图任务API；
3. 使用终止截图任务API；
4. 查询截图文件
4.1 方法1：使用COS平台对应API查看存放于COS的文件；
4.2 方法2：或者 通过查询队列API，获取截图信息；

注意：
1. 对应COS平台文件操作API参考如下[COS使用指南](http://cloud.tencent.com/doc/product/227/%E4%BA%A7%E5%93%81%E4%BB%8B%E7%BB%8D)。
2. 队列查询API需单独开通；可通过售后支持QQ群提交申请开通QQ：514025596。直接注明“要求开通直播截图队列查询API服务“，以及账号信息即可。开通时间一个工作日。

规格说明：
1. 截图视频针对直播原始码率截取，频率为每10秒一张，该频率固定不可修改；
2. 输出格式为JPG；
3. 在启动任务后，预计在直播时间20秒后，可获得对应文件；
4. 提醒：截图后的文件会在COS平台产生对应费用，请根据实际情况留意相关成本支出，详细计费方式请参考[COS产品介绍](http://cloud.tencent.com/product/cos.html)。

## 7. 全局水印配置

用户可在全局配置中设置水印样式，包括水印图样以及位置。水印图片支持PNG格式，文件大小小于200kB，尺寸小于200*200像素。设置后，可在频道配置或频道修改状态界面将其应用于频道。
用户可设置其中某个水印为默认水印，一旦设置为默认水印，则所有新创建的频道将默认为使用该水印。也可在配置中通过下拉框选择其他水印，或不使用水印。

如下：
![](//mccdn.qcloud.com/static/img/b7404365dcecfff268e031c386964cc6/image.png)



