﻿
## 1.接口描述

- **接口**
  - **vod_simple_concat**：用于将录制的切片文件拼接成一个完成的视频文件。

- **地址**
  - API调用地址为： http://<font color='red'>fcgi.</font>video.qcloud.com/common_access


## 2.输入参数

| 参数名 | 参数含义 | 类型 | 备注 | 是否必需 |
|---------|---------|---------|---------|---------|
| cmd                        | 客户ID     | int       | 即直播APPID，用于区分不同客户的身份 |  Y          | 
| interface                 | 接口名称   | string |  如：Get_LivePushStat  |  Y          | 
| t | [有效时间](https://cloud.tencent.com/doc/api/258/5956#.E5.AE.89.E5.85.A8.E6.A3.80.E6.9F.A5) | int  | UNIX时间戳(十进制) |  Y | 
| sign | [安全签名](https://cloud.tencent.com/doc/api/258/5956#.E5.AE.89.E5.85.A8.E6.A3.80.E6.9F.A5) | string | MD5(key+t) | Y | 
| Param.s.channel_id | 频道id | string | | Y|
| Param.a.file_id_list.s.n  | 要拼接的file_id  | string  | n从1开始取值 | Y |

> 有些早期提供的API中直播码参数被定义为channel_id，新的API则称直播码为stream_id，仅历史原因而已。

## 3.输出结果
| 参数名 | 参数含义 | 类型 | 备注            |
|---------|---------|---------|------------------|
| ret      | 返回码 |   int  |  0:成功；其他值:失败|
| message | 错误信息 |   string  |  错误信息|
| output | 消息内容 |   array  |  详情见下|

其中output的主要内容为：

| 字段名 | 含义 | 类型 | 备注                 |
|---------|---------|---------|------------------|
| all_count | 分片总个数    |   int      |    |
| file_list    | 分片文件信息 |   array  | 详情见下  |

其中file_list的主要内容为：

| 字段名 | 含义 | 类型 | 备注                 |
|---------|---------|---------|------------------|
| file_id | 拼接后的点播file_id    |  string      |  |

>**那凭借URL在哪里呢？？？？？**






*--------------------------------------------------------------------*
 
## 4.调用示例
目标：将直播码为8888_test123的录制的几个切片拼接成一个完整文件。

| 组成部分 |   示例内容           |
|-------------|------------------|
|接口URL| http://fcgi.video.qcloud.com/common_access?|
|cmd       | 1234 |
|interface       | vod_simple_concat |
|Param.s.channel_id | 8888_test123 |
|Param.a.file_id_list.s.n | ？？？？？9896587163648321628，9896587163648312398？？？这样写？  |
|t |1471850187 |
|sign | b17971b51ba0fe5916ddcd96692e9fb3 |

```
// copy时请去掉美化排版用的不可见换行符，否则可能出现 “cmd is invalid” 等url拼装错误
URL = http://fcgi.video.qcloud.com/common_access?
			cmd=1234&interface=vod_simple_concat
			&Param.s.channel_id=8888_test123
			&Param.s.channel_id=？？？？？1111
			&Param.a.file_id_list.s.n=？？？？？1111
			&t=1471850187&sign=b17971b51ba0fe5916ddcd96692e9fb3
```
			






