﻿
## 1.接口描述

- **接口**
  - **Live_Tape_Start**：创建录制任务。

- **地址**
  - API调用地址为： http://<font color='red'>fcgi.</font>video.qcloud.com/common_access

- **说明**
  - **<font color='red'>录制文件存放于点播平台。用户如需使用录制功能，需首先自行开通点播服务</font>**。录制文件存放后，相关费用（含存储以及下行播放流量）按照点播平台计费方式收取，请参考[对应文档](https://cloud.tencent.com/doc/product/266/%E4%BB%B7%E6%A0%BC%E6%80%BB%E8%A7%88)。
  - 创建录制任务。该接口支持两种录制模式，定时录制任务，和实时视频录制模式。定时任务录制由于需要传入任务开始时间导致可能会错过精彩视频的录制，实时视频录制功能则可满足出现精彩视频的瞬间同步录制。

## 2.输入参数

| 参数名 | 参数含义 | 类型 | 备注 | 是否必需 |
|---------|---------|---------|---------|---------|
| appid                        | 客户ID     | int       | 即直播APPID，用于区分不同客户的身份 |  Y          | 
| interface                 | 接口名称   | string |  如：Get_LivePushStat  |  Y          | 
| t | [有效时间](https://cloud.tencent.com/doc/api/258/5956#.E5.AE.89.E5.85.A8.E6.A3.80.E6.9F.A5) | int  | UNIX时间戳(十进制) |  Y | 
| sign | [安全签名](https://cloud.tencent.com/doc/api/258/5956#.E5.AE.89.E5.85.A8.E6.A3.80.E6.9F.A5) | string | MD5(key+t) | Y | 
| Param.s.channel_id | 频道id | string | | Y|
| Param.s.start_time  | 任务开始时间 | string  | 标准的date_time，需要urlencode，如2017-01-01%2010:10:01| Y|
| Param.s.end_time | 任务结束时间 | string   |标准的date_time，需要urlencode，如2017-01-01%2010:10:01。  | Y |
|Param.n.task_sub_type  | 是否开启实时视频录制| int| 默认0，1表示开启实时视频录制。<br>（1）若开启实时视频录制，调用接口则同步开始录制，此时如果传入任务开始时间参数，任务开始时间参数无效。<br>（2）开启实时视频录制的同时如果传入了任务结束时间，则按照任务结束时间结束录制。若没传入，则30分钟后自动结束录制。<br>（3）实时录制任务开始时间与任务结束时间超过30分钟，则30分钟后会自动结束录制，实时视频录制建议控制台在5分钟以内。|N|
|Param.s.file_format |录制文件格式|string|默认flv；可取值flv、hls、mp4、aac|N|
|Param.s.record_type|录制文件类型|string| 默认video<br>当record_type取值“video”时，file_format 可以取值 “flv”,"hls", "mp4"<br>当record_type取值“audio”时，file_format 可以取值 "aac", “flv”,"hls", "mp4"|N|


## 3.输出结果
| 参数名 | 参数含义 | 类型 | 备注            |
|---------|---------|---------|------------------|
| ret      | 返回码 |   int  |  0:成功；其他值:失败|
| message | 错误信息 |   string  |  错误信息|
| output | 消息内容 |   array  |  详情见下|

其中output的主要内容为：

| 字段名 | 含义 | 类型 | 备注                 |
|---------|---------|---------|------------------|
| task_id | 任务id    |   int      |    |

 
## 4.调用示例
目标：查询直播码为8888_test123的直播流在整个直播过程中所录制的文件列表。

| 组成部分 |   示例内容           |
|-------------|------------------|
|接口URL| http://fcgi.video.qcloud.com/common_access?|
|appid       | 1234 |
|interface       | Live_Tape_Start |
|Param.s.channel_id | 8888_test123 |
|Param.s.start_time | 任务开始时间，标准的date_time，需要urlencode |
|Param.s.end_time| 任务结束时间 |
|t |1471850187 |
|sign | b17971b51ba0fe5916ddcd96692e9fb3 |

```
// copy时请去掉美化排版用的不可见换行符，否则可能出现 “appid is invalid” 等url拼装错误
URL = http://fcgi.video.qcloud.com/common_access?
			appid=1234&interface=Live_Tape_Start
			&Param.s.channel_id=8888_test123
			&Param.s.start_time=2017-05-20+10%3a00%3a00
			&Param.s.end_time=2017-05-20+10%3a30%3a00
			&t=1471850187&sign=b17971b51ba0fe5916ddcd96692e9fb3
注：&Param.s.start_time和&Param.s.end_time需要encode编码。2017-05-20+10%3a00%3a00是2017-05-20 10:00:00的encode编码;2017-05-20+10%3a30%3a00是2017-05-20 10:30:00的encode编码。
```
			
