﻿
## 1.接口描述

- **接口**
  - **channel_manager**：暂停推流并延迟恢复接口。

- **地址**
  - API调用地址为： http://<font color='red'>fcgi.</font>video.qcloud.com/common_access

- **用途**
  - 当某些原因不允许主播推流时，可调用此接口。

- **说明**
  - 调用该接口可以暂停推某路流（即禁止推流）。如果要恢复主播推流，可再次调用该接口，或者设置一个恢复时间，到达指定时间后，允许推流。

## 2.输入参数

| 参数名 | 参数含义 | 类型 | 备注 | 是否必需 |
|---------|---------|---------|---------|---------|
| appid                        | 客户ID     | int       | 即直播APPID，用于区分不同客户的身份 |  Y          | 
| interface                 | 接口名称   | string |  如：Get_LivePushStat  |  Y          | 
| t | [有效时间](https://cloud.tencent.com/doc/api/258/5956#.E5.AE.89.E5.85.A8.E6.A3.80.E6.9F.A5) | int  | UNIX时间戳(十进制) |  Y | 
| sign | [安全签名](https://cloud.tencent.com/doc/api/258/5956#.E5.AE.89.E5.85.A8.E6.A3.80.E6.9F.A5) | string | MD5(key+t) | Y | 
| Param.s.channel_id | 直播码 | string | | Y|
| Param.n.abstime_end | 恢复的绝对时间戳 | int | 允许推流的绝对时间， 请填写UNIX时间戳(十进制)| Y|
| Param.s.action|动作|string|断流：forbid；恢复推流：resume |Y|



## 3.输出结果
| 参数名 | 参数含义 | 类型 | 备注            |
|---------|---------|---------|------------------|
| ret      | 返回码 |   int  |  0:成功；其他值:失败|
| message | 错误信息 |   string  |  错误信息|
 
## 4.调用示例
目标：考虑到直播码为8888_test123的直播流内容涉及违规内容，对其进行禁播操作。

| 组成部分 |   示例内容           |
|-------------|------------------|
|接口URL| http://fcgi.video.qcloud.com/common_access?|
|appid       | 1234 |
|interface       | Live_Channel_SetStatus |
|Param.s.channel_id | 8888_test123 |
|Param.n.abstime_end | 1499756910 |
|t |1471850187 |
|sign | b17971b51ba0fe5916ddcd96692e9fb3 |
|Param.s.action|resume |

```
// copy时请去掉美化排版用的不可见换行符，否则可能出现 “appid is invalid” 等url拼装错误
 URL = http://fcgi.video.qcloud.com/common_access?
			appid=1234&interface=Live_Channel_SetStatus
			&Param.s.channel_id=8888_test123
			&Param.n.abstime_end=1499756910
			&t=1471850187&sign=b17971b51ba0fe5916ddcd96692e9fb3
                        &Param.s.actio=resume
```

