﻿
## 1.接口描述

- **接口**
  - **Live_Tape_Stop**：结束录制任务。

- **地址**
  - API调用地址为： http://<font color='red'>fcgi.</font>video.qcloud.com/common_access

- **说明**
  - 结束录制任务。

## 2.输入参数

| 参数名 | 参数含义 | 类型 | 备注 | 是否必需 |
|---------|---------|---------|---------|---------|
| appid                       | 客户ID     | int       | 即直播APPID，用于区分不同客户的身份 |  Y          | 
| interface                 | 接口名称   | string |  如：Get_LivePushStat  |  Y          | 
| t | [有效时间](https://cloud.tencent.com/doc/api/258/5956#.E5.AE.89.E5.85.A8.E6.A3.80.E6.9F.A5) | int  | UNIX时间戳(十进制) |  Y | 
| sign | [安全签名](https://cloud.tencent.com/doc/api/258/5956#.E5.AE.89.E5.85.A8.E6.A3.80.E6.9F.A5) | string | MD5(key+t) | Y | 
| Param.s.channel_id | 频道id | string | | Y|
| Param.s.task_id  | 任务id  | string  |  | Y|
|Param.n.task_sub_type  | 是否开启实时视频录制| int| 默认0，1表示开启小视频录制|N|


## 3.输出结果
| 参数名 | 参数含义 | 类型 | 备注            |
|---------|---------|---------|------------------|
| ret      | 返回码 |   int  |  0:成功；其他值:失败|
| message | 错误信息 |   string  |  错误信息|



 
## 4.调用示例
目标：查询直播码为8888_test123的直播流在整个直播过程中所录制的文件列表。

| 组成部分 |   示例内容           |
|-------------|------------------|
|接口URL| http://fcgi.video.qcloud.com/common_access?|
|appid       | 1234 |
|interface       | Live_Tape_Stop |
|Param.s.channel_id | 8888_test123 |
|Param.n.task_id  | 123|
|t |1471850187 |
|sign | b17971b51ba0fe5916ddcd96692e9fb3 |

```
// copy时请去掉美化排版用的不可见换行符，否则可能出现 “appid is invalid” 等url拼装错误
URL = http://fcgi.video.qcloud.com/common_access?
			appid=1234&interface=Live_Tape_Stop
			&Param.s.channel_id=8888_test123
			&Param.n.task_id=123
			&t=1471850187&sign=b17971b51ba0fe5916ddcd96692e9fb3
```
			
