﻿
## 1.接口描述

- **接口**
  - **Live_Channel_GetChannelList**：查询频道列表。

- **地址**
  - API调用地址为： http://<font color='red'>fcgi.</font>video.qcloud.com/common_access

- **用途**
  - 在直播码模式下，用于查询当前频道列表。

- **说明**
  - 可以查询特定状态的频道列表，如可过滤当前处于开启状态的频道。

## 2.输入参数

| 参数名 | 参数含义 | 类型 | 备注 | 是否必需 |
|---------|---------|---------|---------|---------|
|appid|客户id|int||Y|
|interface|接口名 |string | |Y|
|t|有效截止时间戳|int||Y|
|sign|签名|string|md5(key+有效截止时间戳)|Y|
| Param.n.status | 0表示断流，1表示开启，3表示关闭   | int  | 默认是不过滤 |  N   | 
|Param.n.page_no| 分页页码   | int |  从1开始，默认为1  |  N   | 
| Param.n.page_size | 分页大小 | int  | 10~100，默认为10 |  N | 
| Param.s.order_field|排序字段| string |可选字段：create_time。默认为create_time | N | 
| Param.n.order_type |排序方法 | int |0:表示正序, 1表示倒序 | N|


## 3.输出结果
| 参数名 | 参数含义 | 类型 | 备注            |
|---------|---------|---------|-----------|
| ret      | 返回码 |   int  |  0表示成功；其他值表示失败|
| message | 错误信息 |   string  |  错误描述|
|output|消息内容|  array  |     | | 

其中output部分结构为：

| 字段名 | 含义 | 类型 | 备注  |
|---------|---------|---------|---------|
| all_count | 总个数    |   int      |    |
| channel_list    | 列表 |   array  |    |     |

其中channel_list部分结构为：

| 参数名 | 参数含义  | 类型 | 备注 |
|---------|---------|---------|---------|
| channel_id | 直播码id  |    string |     |    |

 
## 4.调用示例
目标：查询该帐号下当开启的频道列表

| 组成部分 |   示例内容           |
|-------------|------------------|
|接口URL| http://fcgi.video.qcloud.com/common_access?|
|Param.n.status      | 1 |
|Param.n.page_no       | 1 |
|Param.n.page_size | 20|
|Param.s.order_field | create_time |
|Param.n.order_type |0 |


```
// copy时请去掉美化排版用的不可见换行符，否则可能出现 “appid is invalid” 等url拼装错误
 URL = http://fcgi.video.qcloud.com/common_access?
			appid=1234&interface=Live_Channel_GetChannelList
			&t=1471850187&sign=b17971b51ba0fe5916ddcd96692e9fb3
			&Param.n.status=1&Param.n.page_no=1&Param.n.page_size=20
			&Param.s.order_field=create_time&Param.n.order_type=0
```


