﻿
## 1.接口描述

- **接口**
  - **Get_LivePushStatHistory**：获取推流历史信息。

- **地址**
  - API调用地址为：http://statcgi.video.qcloud.com/common_access

- **说明**
  - 可获取指定时间段内推流信息。
  - 推流信息的统计数据每5秒钟更新一次。
  
- **使用该接口需要后台配置，如需调用该接口，请联系腾讯商务人员或者提交工单，联系电话：4009-100-100**

## 2.输入参数

| 参数名 | 参数含义 | 类型 | 备注 | 是否必需 |
|---------|---------|---------|---------|---------|
|cmd	| 业务appid	|int|	需要申请下发配置，请联系腾讯商务人员或者提交工单，联系电话：4009-100-100|	Y|
|interface|	接口名|	string|	|	Y|
|t|	有效截止时间戳|	int|		|Y|
|sign|	签名|	string	|md5(key+有效截止时间戳)|	Y|
|Param.n.start_time|	查询起始时间	|int	|3天内的数据时间戳|	Y|
|Param.n.end_time	|查询终止时间	|int|	建议查询跨度不大于2小时时间戳|	Y|
|Param.s.stream_id|	流ID	|string	||	Y|


## 3.输出结果
| 参数名 | 参数含义 | 类型 | 备注            |其他说明|
|---------|---------|---------|------------------|--------------|
| ret      | 返回码 |   int  |  0:成功；其他值:失败||
| message | 错误信息 |   string  |  错误信息||
| output | 消息内容 |   array  |  详情见下||

其中output的主要内容为：

| 参数名 | 参数含义 | 类型 | 备注                 |其他说明|
|---------|---------|---------|------------------|--------------|
|stream_info|	推流时间流统计信息	|list	|数组(列表)||	

其中stream_info部分结构为：

| 参数名 | 参数含义 | 类型 | 备注                 |其他说明|
|---------|---------|---------|------------------|--------------|
|time	|推流时刻	|string	|||	
|client_ip|推流客户端IP	|string	|||	
|server_ip	|接流服务器IP|	string|||		
|fps	|推流帧率	|int	|||
|speed|	推流码率|	int	||单位：bps|

## 4.调用示例
目标：查询直播码为8888_test123的直播流在整个直播过程中所录制的文件列表。

| 组成部分 |   示例内容           |
|-------------|------------------|
|接口URL| http://statcgi.video.qcloud.com/common_access?|
|cmd       | 1234 |
|interface       | Get_LivePushStatHistory |
|Param.n.start_time|1453279831|
|Param.n.end_time |1453279835 |
|Param.s.stream_id | 1234_xxx |
|t |1471850187 |
|sign | b17971b51ba0fe5916ddcd96692e9fb3 |

```
// copy时请去掉美化排版用的不可见换行符，否则可能出现 “cmd is invalid” 等url拼装错误
URL = http://statcgi.video.qcloud.com/common_access?
			cmd=1234&interface=Get_LivePushStatHistory
			&Param.n.start_time =1453279831
			&Param.n.end_time =1453279835
			&Param.s.stream_id =1234_xxx
			&t=1471850187
                        &sign=b17971b51ba0fe5916ddcd96692e9fb3

```
			
