﻿
## 1.接口描述

- **接口**
  - **Get_LivePlayStatHistory**：获取播放统计历史信息。

- **地址**
  - API调用地址为：http://statcgi.video.qcloud.com/common_access

- **说明**
  - 可获取指定时间段内播放信息。
  - 播放信息的统计数据每1分钟更新一次。
  
- **使用该接口需要后台配置，如需调用该接口，请联系腾讯商务人员或者提交工单，联系电话：4009-100-100**
   

## 2.输入参数

| 参数名 | 参数含义 | 类型 | 备注 | 是否必需 |
|---------|---------|---------|---------|---------|
|cmd	|业务id	|int|	需要申请下发配置，请联系腾讯商务人员或者提交工单，联系电话：4009-100-100|	Y|
|interface|	接口名|	string|	|	Y|
|t|	有效截止时间戳|	int|		|Y|
|sign|	签名|	string	|md5(key+有效截止时间戳)|	Y|
|Param.n.start_time|	查询起始时间|	int	|时间戳15天内的数据|	Y|
|Param.n.end_time	|结束时间	|int|	时间戳建议时间跨度不大于2小时|	Y|
|Param.s.stream_id|	流ID	|string|	不填就是获取总带宽|	N|
|Param.s.domain	|域名	|String|	若不填，取这个appid下的总数据。<br>需要填写cname前的原始播放域名	|N|


## 3.输出结果
| 参数名 | 参数含义 | 类型 | 备注            |其他说明|
|---------|---------|---------|------------------|--------------|
| ret      | 返回码 |   int  |  0:成功；其他值:失败||
| message | 错误信息 |   string  |  错误信息||
| output | 消息内容 |   array  |  详情见下|  -   |

其中output的主要内容为：

| 参数名 | 参数含义 | 类型 | 备注                 |其他说明|
|---------|---------|---------|------------------|--------------|
|stat_info|	直播流的统计信息	|array		|||
|sum_info	|流量和累加信息|	array	||	必输出项|
|domain	|域名	|string	||	非必输出项|
|stream_id|	流id|	string||		非必输出项|	

其中stat_info部分结构为：

| 参数名 | 参数含义 | 类型 | 备注                 |其他说明|
|---------|---------|---------|------------------|--------------|
|time	|统计时间|	string|||		
|bandwidth	|带宽|	double	||单位：Mbps|
|online|	在线人数|	int	|||	
|flux	|流量|	double||单位：MB|

其中sum_info部分结构为（汇总部分）：

| 参数名 | 参数含义 | 类型 | 备注                 |其他说明|
|---------|---------|---------|------------------|--------------|
|sum_flux	|流量总和|	double	|必输出项|单位：MB|	

## 4.调用示例
目标：查询直播码为8888_test123的直播流在整个直播过程中所录制的文件列表。

| 组成部分 |   示例内容           |
|-------------|------------------|
|接口URL|http://statcgi.video.qcloud.com/common_access?|
|cmd       | 1234 |
|interface       | Get_LivePlayStatHistory |
|Param.n.start_time |1453279831|
|Param.n.end_time |1453279835 |
|Param.s.stream_id | 1234_xxx |
|Param.s.domain|www.123test.com|
|t |1471850187 |
|sign | b17971b51ba0fe5916ddcd96692e9fb3 |

```
// copy时请去掉美化排版用的不可见换行符，否则可能出现 “cmd is invalid” 等url拼装错误
URL = http://statcgi.video.qcloud.com/common_access?
			cmd=1234&interface=Get_LivePlayStatHistory
			&Param.n.start_time =1453279831
			&Param.n.end_time =1453279835
			&Param.s.stream_id =1234_xxx
                        &Param.s.domain=www.123test.com
			&t=1471850187
      &sign=b17971b51ba0fe5916ddcd96692e9fb3

```
			
