## 1. 接口描述

域名：live.api.qcloud.com
接口名: CreateRecord

说明：**<font color='red'>录制文件存放于点播平台。用户如需使用录制功能，需首先自行开通点播服务</font>**。录制文件存放后，相关费用（含存储以及下行播放流量）按照点播平台计费方式收取，请参考[对应文档](https://cloud.tencent.com/doc/product/266/%E4%BB%B7%E6%A0%BC%E6%80%BB%E8%A7%88)。

录制规则
1）任务时间到达时，即启动录制任务，直至直播结束
2）录播按时间进行分片，最大大小为0.5小时；
3）录播时，发生断流，则停止录播生成一个分片
断流恢复后启动新的录播分片任务，重复1）2）3）的过程，直至整个任务结束
录制分片请求url格式：`http://（点播bizid).vod.myqcloud.com/（vid）.f0.flv`  
或直接到点播页面查看即可

## 2. 输入参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> channelId
<td> 是
<td> String
<td> 频道id
<tr>
<td> startTime
<td> 否
<td> String
<td> 起始时间，默认为2分钟后；需要显式设置时，要设置为2分钟后。时间需要经过encode编码。
<tr>
<td> endTime
<td> 否
<td> String
<td> 结束时间，默认为起始时间1天后。时间需要经过encode编码</font>
<tr>
<tr>
<td> tapeType
<td> 否
<td> String
<td> 是否开启实时视频录制，每个片段不超过5分钟，0表示普通，1表示小视频。<br>（1）若开启实时视频录制，调用接口则同步开始录制，此时如果传入任务开始时间参数，任务开始时间参数无效。<br>（2）开启实时视频录制的同时如果传入了任务结束时间，则按照任务结束时间结束录制，若没传入，则30分钟后自动结束录制。<br>（3）开启实时视频录制的同时如果传入了任务结束时间，实时录制时间与任务结束时间超过30分钟，则30分钟后会自动结束录制，实时视频录制建议控制台在5分钟以内。</font>
<tr>

</tbody></table>


</b></th>

## 3. 输出参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<td> task_id
<td> Int
<td> 任务ID
</tbody></table>

</b></th>

## 4. 示例

输入1
<pre>

http://domain/v2/index.php?Action=CreateRecord&channelId=123&start_time=2016-01-21%2012:00:00&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>

注：start_time需要经过encode编码。2016-01-21%2012:00:00为2016-01-21 12:00:00的encode编码内容。
</pre>

输出1
```
{
   "code": 0,
   "message": "",
   "task_id": "1"

}

```

