## 创建频道

### 1.接口描述

域名：live.api.qcloud.com
接口名: CreateLVBChannel

### 2.输入参数

| **参数名称** | **必选** | **类型** | **描述** |
| --- | --- | --- | --- |
| channelName | 是 | String | 频道名称 |
| channelDescribe | 否 | string | 直播频道描述 |
| outputSourceType | 是 | int | 输出源选择（1表示只有RTMP输出，2表示只有HLS输出，3表示两者都有） |
| playerPassword | 否 | string | 接收方播放器密码 |
| sourceList | 是 | array | 直播源列表，每个直播源可以包括类型、名称和地址（限用于拉流）注：目前只支持一个直播源 |
| watermarkId | 否 | int | 水印ID |
| outputRate | 否 | array | 输出码率。注：参数数组，0表示原始码率；10表示550码率(即标准)；20表示900码率(即高清)。如需设置码率，0是必填 |

sourceList结构如下：

| **参数名称** | **必选** | **类型** | **描述** |
| --- | --- | --- | --- |
| name | 是 | string | 直播源名称 |
| type | 是 | int | 1 rtmp推流 |

### 3.输出参数

| **参数名称** | **类型** | **描述** |
| --- | --- | --- |
| code | Int | 错误码, 0: 成功, 其他值: 失败 |
| message | String | 错误信息 |
| channel\_id | int | 频道id |

### 4.示例

输入（rtmp推流示例）

<pre>
https://domain/v2/index.php?Action=CreateLVBChannel&channelName=%E5%9B%BD%E9%99%85%E4%B9%92%E4%B9%93%E7%90%83%E9%94%A6%E6%A0%87%E8%B5%9B3&outputSourceType=2&sourceList.1.name=video-1999&sourceList.1.type=1&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>


输出

```
{
    "code": 0,
　  "message": "",
　　"codeDesc":"Success",
　　"channel_id": "XXX",
     "channelInfo":
      {
       "upstream_address":"rtmp://2000.livepush.myqcloud.com/live/YYYYYYYYYYYYYYYYYY?bizid2000",
	   "downstream_address":[{
	   "rate_type":0,
            "hls_downstream_address": "http://2000.liveplay.myqcloud.com/live/XXX.m3u8",
            "rtmp_downstream_address": "rtmp://2000.liveplay.myqcloud.com/live/XXX",
            "flv_downstream_address": "http://2000.liveplay.myqcloud.com/live/XXX.flv"
        }]
      }
}
```

### 5.标准参数定义

频道状态定义：

| 值 | 状态 |
| --- | --- |
| 0 | 无输入流 |
| 1 | 直播中 |
| 2 | 异常 |
| 3 | 关闭 |

接收方类型定义：

| 类型 | 含义 |
| --- | --- |
| 1 | RTMP输出 |
| 2 | HLS输出 |
| 3 | RTMP 和HLS输出 |

直播流协议定义：

| 类型 | 含义 |
| --- | --- |
| 1 | RTMP推流 |
| 2 | RTMP拉流 |
| 3 | HLS拉流 |
