## 1. 接口描述

域名：live.api.qcloud.com
接口名: DescribeQueueLog

说明：该API用于查询截图生成后的队列，也可用于其他消息队列服务。
截图功能是收费项目，具体收费标准请参考直播[价格总览](https://cloud.tencent.com/document/product/267/2818)。

**注意：队列查询API需单独开通该服务**；可通过售后支持QQ群提交申请开通QQ：514025596。直接注明“要求开通直播截图队列查询API服务“，以及账号信息即可。开通时间一个工作日。

## 2. 输入参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> bid
<td> 是
<td> Int
<td> 业务类型，100-截图
<tr>
<td> count
<td> 否
<td> Int
<td> 消息个数，默认为1（范围在1~100）
<tr>
</tbody></table>


</b></th>

## 3. 输出参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<tr>
<td> data
<td> array
<td> 消息具体内容
<tr>
<tr>

</tbody></table>


</b></th>

## 4. 示例

输入1
<pre>
http://domain/v2/index.php?Action=DescribeQueueLog&bid=100&count=5&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>

</pre>

输出1
```
{

"code": 0,
    "message": "",
    "data": [
        {
            "stream_id": "2000_f3d360679eeb11e5b91fa4dcbef5e35a",
            "pic_url": "2000_f3d360679eeb11e5b91fa4dcbef5e35a_1453255801_0_146434_1280_720.jpg"
        },
        {
            "stream_id": "2000_f3d360679eeb11e5b91fa4dcbef5e35a",
            "pic_url": "2000_f3d360679eeb11e5b91fa4dcbef5e35a_1453255801_0_146444_1280_720.jpg"
        },
        {
            "stream_id": "2000_f3d360679eeb11e5b91fa4dcbef5e35a",
            "pic_url": "2000_f3d360679eeb11e5b91fa4dcbef5e35a_1453255801_0_146454_1280_720.jpg"
        },
        {
            "stream_id": "2000_f3d360679eeb11e5b91fa4dcbef5e35a",
            "pic_url": "2000_f3d360679eeb11e5b91fa4dcbef5e35a_1453255801_0_146464_1280_720.jpg"
        },
        {
            "stream_id": "2000_f3d360679eeb11e5b91fa4dcbef5e35a",
            "pic_url": "2000_f3d360679eeb11e5b91fa4dcbef5e35a_1453255801_0_146474_1280_720.jpg"
        }
    ]


}

```

最终生成截图文件地址格式如下：
截图地址说明
`http://(cos_bucketname)-(cos_appid).file.myqcloud.com/文件名`
例子：
`http://record1-10005041.file.myqcloud.com/2000_f3d36****eeb11e5b91fa4dcbef5e35a_1453255801_0_146324_1280_720.jpg`

