## 1. 接口描述

域名：live.api.qcloud.com
接口名: DescribeRecord

说明：录制后的文件存放于点播平台。用户如需使用录制功能，需首先自行开通点播账号并确保账号可用。录制文件存放后，相关费用（含存储以及下行播放流量）按照点播平台计费方式收取，请参考[对应文档](https://cloud.tencent.com/document/product/267/2818)。



## 2. 输入参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> channelId
<td> 是
<td> String
<td> 频道id
<tr>
<td> taskId
<td> 是
<td> Int
<td> 任务id
<tr>
<td> pageNo
<td> 否
<td> Int
<td> 页码，默认为1
<tr>
<td> pageSize
<td> 否
<td> Int
<td> 分页大小，默认为10
<tr>

</tbody></table>


</b></th>

## 3. 输出参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<tr>
<td> totalCount
<td> Int
<td> 总个数
<tr>
<tr>
<td> fileSet
<td> Array
<td> 文件结果集
<tr>
</tbody></table>

文件信息结构如下

<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> fileId
<td> String
<td> 文件ID
<tr>
<td> startTime
<td> String
<td> 分片起始时间
<tr>
<tr>
<td> endTime
<td> String
<td> 分片结束时间
<tr>
<tr>
<td> fileName
<td> String
<td> 文件名
<tr>
</tbody></table>

</b></th>

## 4. 示例

输入1
<pre>

http://domain/v2/index.php?Action=DescribeRecord&channelId=16093104850681751595&taskId=10&pageSize=10&pageNo=1&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>



</pre>

输出1
```
{

    "code": 0,
    "message": "",
    "totalCount": 2,
    "fileSet": [
        {
            "fileId": "16093104850681751583",
            "startTime": "7",
            "endTime": "720",
            "fileName": "直播 -sparrow_hls-20160120-0958-20160120-1010"
        },
        {
            "fileId": "16093104850681751599",
            "startTime": "8",
            "endTime": "1806",
            "fileName": "直播 -sparrow_hls-20160120-1010-20160120-1040"
        }
    ]

}

```
在录制后，点播平台将生成对应文件，例如：
`http://2527.vod.myqcloud.com/2527_000007d0b18*****bd98f9125ed6569ee9a90001.f0.mp4`
完整访问方式，可通过fileId以及[点播API](https://cloud.tencent.com/document/product/266/8586)获取
