## 1. 接口描述
域名：live.api.qcloud.com
接口名: GetVodRecordFiles

查询频道录制文件结果信息，包含文件名，任务id，文件id， 录制消息。


## 2. 输入参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> channelId
<td> <font color"red">是</font>
<td> Int
<td> 频道的ID号
<tr>
<td> startTime
<td> <font color"red">是</font>
<td> String
<td> 填写YYYY-MM-DD HH:MM:SS经过encode编码后的内容
eg: 2016-01-01%2000:00:00（2016-01-01 00:00:00经过encode编码的内容）
<tr>
<td> endTime
<td> <font color"red">否</font>
<td> String
<td> 写YYYY-MM-DD HH:MM:SS经过encode编码后的内容, 默认不限截至时间

<tr>
<td> pageNum
<td> <font color"red">否</font>
<td> Int
<td> 页码，默认值1
<tr>
<td> pageSize
<td> <font color"red">否</font>
<td> Int
<td> 一页的记录数，默认值20

</tbody></table>

</b></th>

## 3. 输出参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<td> total_count
<td> int
<td> 总返回文件数
<tr>
<td> filesInfo
<td> 数组
<td>   [ {
            "fileId": "9896125784085567721",
            "fileName": "直播 -aaa-20160112-1455-20160112-1457",
            "reportMessage": null,
            "taskId": "57",
            "startTime": "7",
            "endTime": "128"
        }]
</tbody></table>

</b></th>

## 4. 示例

输入1
<pre>
https://domain/v2/index.php?Action=GetVodRecordFiles&channelId=9896125784085535840&startTime=2016-01-01+00%3A00%3A00&pageNum=1&pageSize=20

</pre>

输出1
```
{
    "code": 0,
    "message": "",
    "codeDesc": "Success",
    "filesInfo": [
        {
            "fileId": "9896125784085567721",
            "fileName": "直播 -aaa-20160112-1455-20160112-1457",
            "reportMessage": null,
            "taskId": "57",
            "startTime": "7",
            "endTime": "128"
        },
        {
            "fileId": "9896125784085567722",
            "fileName": "直播 -aaa-20160112-1457-20160112-1459",
            "reportMessage": null,
            "taskId": "57",
            "startTime": "128",
            "endTime": "250"
        },
        {
            "fileId": "9896125784085567723",
            "fileName": "直播 -aaa-20160112-1459-20160112-1459",
            "reportMessage": null,
            "taskId": "57",
            "startTime": "250",
            "endTime": "299"
        },
        {
            "fileId": "9896125784085567727",
            "fileName": "直播 -aaa-20160112-1510-20160112-1512",
            "reportMessage": null,
            "taskId": "58",
            "startTime": "7",
            "endTime": "132"
        },
        {
            "fileId": "9896125784085567736",
            "fileName": "直播 -aaa-20160112-1512-20160112-1514",
            "reportMessage": null,
            "taskId": "58",
            "startTime": "132",
            "endTime": "258"
        },
        {
            "fileId": "9896125784085567739",
            "fileName": "直播 -aaa-20160112-1514-20160112-1515",
            "reportMessage": null,
            "taskId": "58",
            "startTime": "258",
            "endTime": "301"
        },
        {
            "fileId": "9896125784085567756",
            "fileName": "直播 -aaa-20160112-1525-20160112-1526",
            "reportMessage": null,
            "taskId": "61",
            "startTime": "7",
            "endTime": "60"
        }
    ],
    "totalCount": 7
}

```
