## 1. 接口描述
域名：live.api.qcloud.com
接口名: DescribeLVBChannelList

获取用户的全部直播频道信息，包括频道的ID、当前状态、名称和创建时间。


## 2. 输入参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> channelStatus
<td> <font color"red">否</font>
<td> 无符号整型
<td> 用作频道列表过滤，频道状态（0：无输入流;1：有输入流;2：异常;3：关闭;4：配置不完整）
<tr>
<td> ascDesc
<td> <font color"red">否</font>
<td> 无符号整型
<td> 结果排序，默认按频道创建时间排序，0：按时间升序 1：按时间降序
<tr>
<td> pageNo
<td> <font color"red">否</font>
<td> 无符号整型
<td> 分页页号，比如想查看第3页的列表，将该变量设置为3
<tr>
<td> pageSize
<td> <font color"red">否</font>
<td> 无符号整型
<td> 每一个分页上显示的频道的个数
<tr>
<td> orderBy
<td> <font color"red">否</font>
<td> 字符串型
<td> 默认以频道创建时间来排序
</tbody></table>

</b></th>

## 3. 输出参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<td> all_count
<td> int
<td> 总频道数
<tr>
<td> channelSet
<td> 数组
<td> 频道列表
</tbody></table>

</b></th>

## 4. 示例

输入1
<pre>
https://domain/v2/index.php?Action=DescribeLVBChannelList&channelStatus=0&ascDesc=1&pageNo=1&pageSize=10&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>

</pre>

输出1
```
{
    "code": 0,
    "message": "",
    "all_count": "2",
    "channelSet": [
        {
            "channel_id": "96171715553394811",
            "channel_name": "国际乒乓球锦标赛3",
            "channel_status": "0",
            "create_time": "2015-07-23 20:05:52"
        },
        {
            "channel_id": "96171715553394810",
            "channel_name": "国际乒乓球锦标赛2",
            "channel_status": "0",
            "create_time": "2015-07-23 19:54:05"
        }
    ]
}

```


## 5.标准参数定义
频道状态定义：
<table class="t"><tbody><tr>
<th><b>值</b></th>
<th><b>状态</b></th>
<tr>
<td> 0
<td> 无输入流
<tr>
<td>1
<td> 直播中
<tr>
<td> 2
<td> 异常
<tr>
<td> 3
<td>关闭
</tbody></table>

接收方类型定义：
<table class="t"><tbody><tr>
<th><b>类型</b></th>
<th><b>含义</b></th>
<tr>
<td> 1
<td> RTMP输出
<tr>
<td>2
<td> HLS输出
<tr>
<td> 3
<td> RTMP 和HLS输出
</tbody></table>
直播流协议定义：
<table class="t"><tbody><tr>
<th><b>类型</b></th>
<th><b>含义</b></th>
<tr>
<td> 1
<td> RTMP推流
<tr>
<td>2
<td>RTMP拉流
<tr>
<td> 3
<td> HLS拉流
</tbody></table>