## 1. 接口描述

域名：live.api.qcloud.com
接口名: DescribeLVBChannel

输入待查询频道的ID号，获得该频道的当前状态、名称、描述、直播源信息和输出源信息。


## 2. 输入参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>必选</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> channelId
<td> <font color"red">是</font>
<td> 无符号整型
<td> 频道的ID号
</tbody></table>

</b></th>

## 3. 输出参数
</b></th>
<table class="t"><tbody><tr>
<th><b>参数名称</b></th>
<th><b>类型</b></th>
<th><b>描述</b></th>
<tr>
<td> code
<td> Int
<td> 错误码, 0: 成功, 其他值: 失败
<tr>
<td> message
<td> String
<td> 错误信息
<tr>
<td> channelInfo
<td> 数组型
<td> 频道的信息（当前状态、名称、描述、直播源信息和输出源信息）
</tbody></table>

</b></th>

## 4. 示例

输入1
<pre>
https://domain/v2/index.php?Action=DescribeLVBChannel&channelId=96171715553394807&<a href="https://cloud.tencent.com/doc/api/229/6976">公共请求参数</a>
</pre>

输出1
```
{
    "code": 0,
    "message": "",
    "channelInfo": [
        {
            "channel_id": "XXX",
            "channel_name": "XXX",
            "channel_describe": "XXX",
            "channel_status": "1",
            "upstream_list": [
                {
                    "sourceName": "RTMP",
                    "sourceID": "YYYYYYYYYYY",
                    "sourceType": "1",
                    "sourceAddress": "rtmp://2000.livepush.myqcloud.com/live/YYYYYYYYYYYYYYYYYY?bizid2000"
                }
            ],
            "hls_downstream_address": "",
            "rtmp_downstream_address": "rtmp://2000.liveplay.myqcloud.com/live/XXX",
            "player_id": "226",
            "resolution": null,
            "password": null
        }
    ]
}
```



## 5.标准参数定义
频道状态定义：
<table class="t"><tbody><tr>
<th><b>值</b></th>
<th><b>状态</b></th>
<tr>
<td> 0
<td> 无输入流
<tr>
<td>1
<td> 直播中
<tr>
<td> 2
<td> 异常
<tr>
<td> 3
<td>关闭
</tbody></table>

接收方类型定义：
<table class="t"><tbody><tr>
<th><b>类型</b></th>
<th><b>含义</b></th>
<tr>
<td> 1
<td> RTMP输出
<tr>
<td>2
<td> HLS输出
<tr>
<td> 3
<td> RTMP 和HLS输出
</tbody></table>
直播流协议定义：
<table class="t"><tbody><tr>
<th><b>类型</b></th>
<th><b>含义</b></th>
<tr>
<td> 1
<td> RTMP推流
<tr>
<td>2
<td>RTMP拉流
<tr>
<td> 3
<td> HLS拉流
</tbody></table>