## 1. 服务地址

腾讯云直播服务使用的域名访问地址为：live.api.qcloud.com。

## 2. 通信协议
腾讯云API的所有接口均通过HTTPS进行通信，提供高安全性的通信通道。

## 3. 请求方法
同时支持 POST 和 GET 请求，需要注意不能混合使用。即如果使用 GET 方式，则参数均从 Querystring 取得；如果使用 POST 方式，则参数均从 Request Body 中取得，Querystring 中的参数将忽略。两种方式参数格式规则相同，一般使用GET，当参数字符串过长时使用POST，请见各接口详细描述。

## 4. 字符编码
均使用UTF-8编码。


## 5. API请求结构
<table class="t">
<tbody><tr>
<th> <b>名称</b>
</th><th> <b>描述</b>
</th><th> <b>备注</b>
</th></tr>
<tr>
<td> API入口
</td><td> API调用的 WebService 入口
</td><td> https://live.api.qcloud.com/v2/index.php<br> 
</td></tr>
<tr>
<td> 公共参数
</td><td> 每个接口都包含的通用参数
</td><td> 详见本文第六节公共参数部分
</td></tr>
<tr>
<td> 指令名称
</td><td> API要执行的指令的名称，这里使用Action指定，<br>
<p>例如Action=CreateLVBChannel
</p>
</td><td> 完整的指令请参见 <a href="https://cloud.tencent.com/document/product/267/5664" title="API概览">API概览</a>
</td></tr>
<tr>
<td> 指令参数
</td><td> 每个特定的指令需要的参数
</td><td> 详见每个指令的接口文档
</td></tr></tbody></table>

## 6. 公共参数
公共参数是用于标识用户和接口鉴权目的的参数, 如非必要, 在每个接口单独的接口文档中不再对这些参数进行说明, 但每次请求均需要携带这些参数, 才能正常发起请求。

<table class="t">
<tbody><tr>
<th> <b>名称</b>
</th><th> <b>类型</b>
</th><th> <b>描述</b>
</th><th width="50"> <b>必选</b>
</th></tr>
<tr>
<td> Action
</td><td> String
</td><td> 接口指令的名称，例如: DescribeDomains
</td><td> 是
</td></tr>
<tr>
<td> Region
</td><td> String
</td><td> 区域参数，用来标识希望操作哪个区域的实例。可选: <br>bj:北京<br>gz:广州<br>sh:上海<br>hk:香港<br>ca:北美<br>

</td><td> 是
</td></tr>
<tr>
<td> Timestamp
</td><td> UInt
</td><td> 当前UNIX时间戳
</td><td> 是
</td></tr>
<tr>
<td> Nonce
</td><td> UInt
</td><td> 随机正整数，与 Timestamp 联合起来, 用于防止重放攻击
</td><td> 是
</td></tr>
<tr>
<td> SecretId
</td><td> String
</td><td> 由腾讯云平台上申请的标识身份的 SecretId 和 SecretKey, 其中 SecretKey 会用来生成 Signature<br>具体参考 <a href="/doc/api/258/接口鉴权" title="接口鉴权">接口鉴权</a> 页面
</td><td> 是
</td></tr>
<tr>
<td> Signature
</td><td> String
</td><td> 请求签名，用来验证此次请求的合法性, <br>具体参考 <a href="/doc/api/258/接口鉴权" title="接口鉴权">接口鉴权</a> 页面
</td><td> 是
</td></tr></tbody></table>

一个典型的接口请求如下, Action=DescribeInstance表示查询云服务器实例的详情。

```
https://domain/v2/index.php?Action=DescribeInstances
&SecretId=xxxxxxx
&Region=gz
&Timestamp=1402992826
&Nonce=345122
&Signature=mysignature
&instanceId=101
```
其中instanceId为指令参数，其余为通用参数。
