
## 错误码的分类
本页所列错误码分为**接入层错误码**和**视频云错误码**，接入层错误码是整个腾讯云接入层统一约定的，视频云错误码则只有您在直播和点播业务中才需要参考。

关于两种错误码类型的区分和内部原理，请参考[双错误码](https://cloud.tencent.com/doc/api/258/5820#.E5.8F.8C.E9.94.99.E8.AF.AF.E7.A0.81)。

## 接入层错误码

| 错误码 | 提示消息 | 具体含义 |
|---------|---------|---------|
|  4000 |请求参数非法  |缺少必要参数，或者参数值格式不正确，具体错误信息请查看错误描述 message 字段。 |
 |  4100 |鉴权失败      |签名鉴权失败，请参考文档中鉴权部分。 |
 |  4200 |请求过期      |请求已经过期，请参考文档中请求有效期部分。 |
 |  4300 |拒绝访问      |帐号被封禁，或者不在接口针对的用户范围内等。 |
 |  4400 |超过配额      |请求的次数超过了配额限制，请参考文档请求配额部分。 |
 |  4500 |重放攻击      |请求的 Nonce 和 Timestamp 参数用于确保每次请求只会在服务器端被执行一次,所以本次的 Nonce 和上次的不能重复, Timestamp 与腾讯服务器相差不能超过 2 小时。 |
 |  4600 |协议不支持    |协议不支持，请参考文档说明。 |
 |  5000 |资源不存在    |资源标识对应的实例不存在，或者实例已经被退还，或者访问了其他用户的资源。  |
 |  5100 |资源操作失败  |功能层返回失败，具体错误信息请查看错误描述 message 字段  |
 |  5200 |资源购买失败  |购买资源失败，可能是不支持实例配置，资源不足等等。 |
 |  5300 |资源购买失败  |购买资源失败，余额不足。 |
 |  5400 |部分执行成功  |批量操作部分执行成功, 详情见方法返回值。 |
 |  5500 |用户资质审核未通过 |购买资源失败，用户资质审核未通过。 |
 |  6000 |服务器内部错误|服务器内部出现错误，请稍后重试或者联系客服人员帮忙解决。 |
 |  6100 |版本暂不支持 |本版本内不支持此接口或该接口处于维护状态等。注意: 出现这个错误时, 请先确定接口的域名是否正确, 不同的模块, 域名可能不一样。|
 |  6200 |接口暂时无法访问 |当前接口处于停服维护状态，请稍后重试。|
 
 ## 视频云错误码
 
 | 错误码 | 提示消息 |
 |----------|------------|
 | 1000	  |  输入参数错误 |		
 | 1001	  |  获取用户帐号错误  |	
 | 1002	  |  用户不存在 |	
 | 1003	  |  用户帐号错误 |	
 | 3000	  |  网络错误 |	
 | 4001   |  json格式错误 |	
 | 20100 |	创建频道错误 |	
 | 20101 |	频道数超过上限 |	
 | 20102 |	获取频道信息错误 |	
 | 20103 |	修改频道信息错误 |	
 | 20104 |	获取频道列表错误 |	
 | 20105 |	删除频道错误 |	
 | 20106 |	关闭频道错误 |	
 | 20107 |	开启频道错误 |	
 | 20108 |	频道处于非编辑状态 |	
 | 20109 |	频道处于非关闭状态 |	
 | 20111 |	频道无直播源 |	
 | 20112 |	直播源协议错误 |	
 | 20113 |	接收方协议错误 |	
 | 20114 |	开通服务失败 |	
 | 20200 |	拉流地址为空 |	
 | 20201 |	获取直播源信息错误 |	
 | 20202 |	创建直播源错误 |	
 | 20203 |	删除直播源错误 |	
 | 20204 |	拉流地址为空 |	
 | 20250 |	黑白名单为空错误 |	
 | 20251 |	黑白名单不存在 |	
 | 20252 |	获取黑白名单列表错误 |	
 | 20253 |	名单数量超过限制 |	
 | 20300 |	修改频道状态错误 |	
 | 20301 |	频道不存在 |	
 | 20320 |	创建录播任务失败 |	
 | 20321 |	获取录播任务列表失败 |	
 | 20322 |	录播任务时间冲突|	
 | 20323 |	录播任务起始时间和结束时间不合法 |	
 | 20326 |	修改录播任务失败 |	
 | 20327 |	录播任务不存在 |	
 | 20328 |	截图任务不存在 |	
 | 20500 |	水印不存在 |	
