## 基本描述
直播（Live Video Broadcasting）依托腾讯强大的技术平台，将腾讯视频等核心业务底层能力开放给用户，为用户提供专业稳定快速的直播接入和分发服务，全面满足超低延迟和超大并发访问量的苛刻要求，并提供腾讯自研的推流器和播放器SDK，方便客户端定制自己的推流器和播放器APP，具有低延迟、高安全、高性能、易接入、多终端、多码率支持等特点。

核心能力包括

#### 可靠转换
提供快速可靠的格式转换； 支持FLV、RTMP以及HLS的下发； 超低延迟

#### 超高容量支持
可支持百万并发直播收看；海量CDN节点提供全方位覆盖

#### 移动端推流器和播放器SDK
自研Android/iOS推流器和播放器SDK，支持RTMP推流，支持FLV、RTMP直播，支持FLV点播。可方便实现移动端直播推流和播放功能，和自有移动应用集成

#### 频道管理API
提供直播频道创建、修改、查询等API功能，可无缝同自有视频内容管理系统整合集成

#### 录制截图和多码率
支持通过API对直播过程进行录制和截图；录制视频直接对接点播平台，截图图片直接存放面向对象存储COS系统，以备后续处理，高效便捷；支持多码率和水印功能

#### 直播码管理方式
支持直播码管理方式对大规模直播进行管理



## 产品构架

![](//mccdn.qcloud.com/static/img/e5819bc71ccc077a66e7a63fb4e0f934/image.png)

典型的产品构架如上图：

推流端：支持任意RTMP推流设备，包括使用集成腾讯自研直播SDK的APP或者第三方直播软硬件推流至直播系统；
播放端：可以使用集成腾讯自研直播SDK的APP或者第三方播放器；
管理组件：用户可通过API、管理控制台方式，对直播活动进行管理，并查询相关统计数据；
分发组件：通过遍布全国的CDN系统，为直播用户提供快速灵活的播放方式；用户可使用自研或腾讯云提供的直播播放器SDK方便同自有业务集成，也可直接通过H5页面收看HLS直播；




