## 1. 功能介绍
### 1.1 什么是文件拼接？
文件拼接就是将某些切片文件拼接成一个完整的视频文件。
为实现直播转点播和直播回看功能，腾讯云直播提供录制和拼接功能。录制就是将直播视频录下来，并输出FLV、MP4、HLS格式的视频文件。由于一个录制切片文件时长限制，一场直播会录制多个切片文件，文件拼接功能可实现将这些切片拼成一个完整的视频文件。

### 1.2 为什么要拼接录制的切片文件？
如果不拼接文件的话，每个文件都有一个观看地址，对于一场直播来说，录制成点播文件后需要发布观看地址，发布每个切片的显然是不合理的，需要的是发布一个完整点播文件的播放地址，则文件拼接可实现得到一个完整视频地以供发布。

### 1.3 如何实现文件拼接？
由于云平台方面无法准确判断哪些文件需要拼接一个完成文件，所以目前文件拼接需由您调用接口来完成。具体参见文本第二章节（**2.操作流程**）。
后续我们将规划在控制中心实现该功能，尽请您期待。

**则直播转点播大致过程：**

推流——直播录制——文件拼接——返回完整文件观看地址——视频网站/app将此地址当做点播观看地址发布

**支持文件格式：**

文件拼接目前支持FLV、MP4、HLS三种格式的拼接

## 2.操作流程
**1.首先开通腾讯云直播和点播服务**

需要开通点播服务是由于录制功能依托于腾讯云点播服务后台集群支撑，录制的视频会存储在点播服务中，视频信息也会展示在点播管理中心的“视频管理“中。您只需要开启点播服务即可，不需要做其他配置。如需了解直播录制计费信息，[请点击这里](https://cloud.tencent.com/document/product/267/2818)。此外，需要强调的是录制会用到点播存储，同时播放也会产生点播带宽，如果您没有购买点播套餐，会产生点播的存储账单，这点请您知悉，如需了解更多点播计费信息，[请点击这里](https://cloud.tencent.com/product/vod#features)。

*开通直播、点播服务可参考如下流程：*
* 进入管理中心，选择云产品——视频服务——直播，进入直播控制台点击“申请开通”即可。申请需要经过后台同事人工审批，会消耗一些时间，请您耐心等待。

![](//mc.qcloudimg.com/static/img/8ef6dc8f0b0570e7e8e386bdea91de86/image.png)
* 进入管理中心，选择云产品——视频服务——点播，进入点播控制台点击“前往认证”即可。申请需要经过后台同事人工审批，会消耗一些时间，请您耐心等待。

![](//mc.qcloudimg.com/static/img/a7db7b4868396fed9260ec455232bfda/image.png)

**2.开启录制功能**

开启录制功能有三种方式：

1. 在控制中心全局开启录制功能（此方式仅使用直播码模式）**如果您使用的是直播码模式，推荐使用此方式**。

![](//mc.qcloudimg.com/static/img/6c000f311e6082bf9e826a63ab6960b3/image.png)

2. 通过URL参数选择性开启，该方法对直播模式没有限制，**如果您使用的是频道模式推荐使用改方式**。具体介绍请参考直播[云端录制](https://cloud.tencent.com/document/product/267/7963)文档的2.2选择性开启部分。
3. 通过接口调用开启录制功能，该方式适用于频道模式。具体请参考[创建录制任务](https://cloud.tencent.com/document/product/267/4723)

**3.获取录制文件信息**

文件拼接接口需要指定待拼接文件的id(file_id)，您需要知道录制功能产生了哪些切片文件，才能调用接口拼接这些切片文件。**获取录制文件file_id**信息有以下两种方式：

1. 您可以通过事件消息通知获得，具体操作方法和介绍请[点击这里](https://cloud.tencent.com/document/product/267/5957)
2. 您也可以通过腾讯云的查询录制文件接口定时地查看是否有新的录制文件生成。接口描述请[点击这里](https://cloud.tencent.com/document/product/267/5823)
3. 产生的录制文件会展示在点播控制台上，上面会有详细的录制文件信息，其中视频id列即file_id。进入点播控制中心请点击[这里](https://console.cloud.tencent.com/video/videolist)

**4.文件拼接**

获取了文件id之后，就可以进行文件拼接了。文件拼接需要调用接口实现。目前只有hls文件类型的拼接接口完全开放。使用方法请参考[文件拼接]()。
其他文件类型的拼接接口暂未对外开放，如有需要请联系客服同事，或者提出工单，我们会尽快为您处理。

**5. 获取播放地址**

拼接好文件后，获取视频播放地址您就可以发布拼接后完整的录制文件了。
获取拼接文件播放地址的方式有以下三个：
1. 进入点播控制中心——视频管理，点击视频即可看到视频的flas播放地址

![](//mc.qcloudimg.com/static/img/ac61247b7f178fb357f34c974146dbd1/image.png)
