## 1.功能介绍
### 1.1背景描述


**为什么需要视频拼接？**

直播转点播是直播活动常见的应用场景，即：将直播流录制下来，供点播回看。直播转点播依赖于直播录制功能，直播文件录制完成之后会生成文件URL，发布文件URL即可供点播回看。

当前录制机制：开始推流则录制开始，推流中断则录制结束，生成一个录制文件以及文件URL。

目前，由于网络不稳定或主播端异常等因素导致录制中断，一场直播活动往往可能被录制成多个文件。如果一场直播活动录制成多个点播文件，意味着要发布多个点播URL终端用户才能看到完整的视频文件。这显然不合理，所以需要文件拼接，将多个录制文件拼接成一个完整的文件再发布。
		
**为什么需要自动拼接功能？**

   腾讯云直播服务目前已经有文件拼接功能，不过需要手动调用接口实现，过程冗长且接入成本高。为了使拼接更加便捷高效，直播提供hls自动拼接功能。
   

### 1.2功能描述

#### 自动拼接概述

当主播端异常推流中断时，只要在规定时间内继续推流，录制模块就会继续录制，而不是重新开始录制。推流结束后（在设定时间内没有推流），产生的录制文件是一个完整的录制文件，而非多个片段。

#### 功能说明

1.**文件可自动拼接要求**
   * <font color='red'>录制文件类型必须是hls，即拼接源文件为hls</font>。目前不支持MP4和flv录制文件的拼接。
   * 拼接的目标文件仅支持hls文件类型。 
   * 前后两次推流音视频要求：音频需要编码类型、采样率、声道数保持一致；视频需要编码类型一致，否则可能存在播放器兼容问题。
   * 前后两次推流视频码率和分辨率可以不同

2.**录制中断次数无限制：**

如果推流中断，只要在规定时间内推流，则会继续录制。不管中断几次均是如此。
  
3.**中断时间可配置：**

可配置自动拼接支持的推流中断时长。目前时间配置需限制在5分钟以内。
   
4.**录制文件URL：**

录制文件URL为m3u8文件的URL。每推流中断一次，产生一个URL，m3u8 URL内容为本次中断之前视频内容。最后推流结束产生的m3u8 URL即为全部视频内容。 

5.**推流中断不自动拼接情况**

正常情况下，开启自动拼接功能，在规定之间内推流中断后再次推流会自动拼接。但是，如果**是调用了禁播接口导致推流中，断则不会自动拼接**，再次推流会重新开始录制。

6.**录制文件URL获取：**

录制文件的URL会通过回调的方式返回给您。目前，每推流中断一次，您会收到一条录制URL的回调，此时请注意：**为了保证您发布的点播文件为完整视频内容，建议在配置的中断时间内没有再次推流，再发布最后一条回调URL**。

7.**文件展示**
同一般的录制文件，自动拼接后的文件也会展示在点播控制台。
   
   
	 
## 2.接入流程

接入腾讯直播服务后，开启自动拼接功能需要先开启录制功能。
**具体开启流程如下：**

1.**开启录制功能**

  ![](//mc.qcloudimg.com/static/img/f0ae825b082dac847640eb7b931eb927/image.png)

开启录制功能时，您需要**配置录制文件类型为hls文件**才可使用自动拼接功能。
通过控制台配置开启录制功能(当前仅使用于直播码模式)。需要了解详情请参考[云端录制](https://cloud.tencent.com/document/product/267/7963)

2.**配置回调地址**

![](//mc.qcloudimg.com/static/img/5bffecf8b1e7c59680237a3c6a5e1aba/image.png)

在控制台上配置回调地址，直播服务后台会自动将录制文件URL地址回调给您的服务后台。
 **注：由于当前直播码模式才能控制台配置回调地址，频道模式需要您调用接口查询录制URL或者提交工单直播云服务后台配置，建议您使用直播码模式接入。**

3.**配置自动拼接功能**

目前自动拼接功能以及自动拼接支持的推流中断时间仅支持直播云服务后台配置。您如需开启自动拼接功能，**可提交工单或者联系腾讯商务人员，联系电话：4009-100-100**。

  
