## 什么叫做“秒开” ？

**秒开** 即从视频播放开始到真正看到第一帧画面所消耗的时间要尽可能的短（几百毫秒时间），不能让观众有明显的等待时间：
![](//mc.qcloudimg.com/static/img/9a1541e3d8f6796e8025b571d5267c7c/image.png)

这种能力主要依靠云端服务的优化以及播放器的配合，如果您组合使用腾讯云音视频 SDK 配合视频云服务实现直播能力，最快可以实现 **200ms左右** 的首屏打开速度，如果网络下行足够够好的话甚至可以瞬开。

## 如何实现“秒开” ？
### APP 端
使用 [腾讯云音视频 SDK](https://cloud.tencent.com/document/product/454/7873) + FLV 播放协议即可实现秒开：

- **HTTP + FLV 播放协议**
HTTP + FLV 协议是目前直播行业使用最普遍的播放协议，它的数据组织格式比较简单，可以做到一旦连通服务器就能获取到音视频数据。相比之下，RTMP 协议由于连接初期不可避免的几次协商握手过程，导致在首帧速度方面略逊于 FLV 协议。

- **腾讯云音视频 SDK**
秒开的云端实现原理其实非常简单，服务器始终缓存一组 GOP 画面（至少包含一个可以用于解码的关键帧），这样播放器一旦连通服务器就可以获取到一帧关键帧（I帧），进而可以解码和播放。

 但这种云端的缓存也会带来负作用：播放器在连通服务器后，通常会一口气被塞过来几秒钟的音视频数据，从而产生不小的播放端延迟，我们称之为 —— “秒开后遗症”。

 一款好的播放器，除了具备秒开能力，还要具备优秀的**延迟修正**能力，能够在无损观看体验的情况下，自动修正播放端延迟到一个合理的范围内（比如 1 秒以内），而腾讯云音视频 SDK 在这方面就做的非常优秀，您甚至可以指定播放器的延迟修正模式（[iOS](https://cloud.tencent.com/document/product/454/7880#.E5.8D.A1.E9.A1.BF.26amp.3B.E5.BB.B6.E8.BF.9F) &  [Android](https://cloud.tencent.com/document/product/454/7886#.E5.8D.A1.E9.A1.BF.26amp.3B.E5.BB.B6.E8.BF.9F) ）。


### PC 浏览器
PC浏览器的视频播放内核一般都是采用 FLASH 控件（目前Chrome也支持 MSE，但并不比 FLASH 有明显优势），FLASH 播放器策略是比较刚性的**强制缓冲**模式，所以视频打开速度没有什么优化空间，一般很难做到 1 秒以内，这一点可以通过各大视频网站和直播平台的PC端表现就能发现，

### 手机浏览器
- **iPhone**
Safari 对 HLS（m3u8）的支持很好，甚至直接使用 iPhone 的硬解芯片协助视频播放，在具备 DNS 缓存的情况下，视频打开速度通常都有保障，但这也仅限于 iOS 平台。

- **Android**
Android 上的表现就具有比较大的随机性，由于碎片化严重，各个版本和机型的系统浏览器实现都有差异，QQ 和 微信 内的浏览器甚至采用了腾讯自己的 X5 内核，所以具体表现会有比较大的差异。
