## 什么叫连麦？
连麦（也叫上麦）是今年比较热门的直播功能。所谓连麦，是指一个直播间中可以不仅只有一个主播，观众（或其它房间的主播）也可以参与进来于主播进行视频互动，从而增加视频直播的趣味性。

<video style="width:830px;height:470px;"src=" http://200024424.vod.myqcloud.com/200024424_78c4dc2ebdf811e6ad39991f76a4df69.f30.mp4" controls="controls">
抱歉，您的浏览器不支持在线播放MP4！
</video>
 
## 从“单向”到“多向”

我们先从普通的直播模式说起，目前常规的直播遵循如下图所示的模式：主播端（TXLivePusher）将音视频数据推送给云服务器，多个观众端（TXLivePlayer）就可以从云端拉流并播放音视频数据。

![](//mc.qcloudimg.com/static/img/a9b501afb5555e5ab790bfe8ad5268d3/image.png)

既然要做连麦，那么反向的一条线路就必不可少了。我们这里做个假设，**观众A** 从原来的普通观众变成了小主播，那么下图中就多出了一条直播流（图中红色虚线所示）：

![](//mc.qcloudimg.com/static/img/5579e666d8ba1ee80c753f15ffbff3d1/image.png)

> 腾讯云 RTMP 直播支持 <font color='red'>**跨房间**</font> 连麦互动，所以小主播（们）可以是原房间里的普通观众，也可以是另一直播间里的其他主播。

从“单向”到“多向”，这看似很简单，而且直接用 RTMP SDK 按这个思路也是可以实现的。但效果却很难达到商用的要求，因为有两个难题需要我们去解决：

- **延迟问题**
常规直播解决方案中，从推流端到播放端，延迟一般在 2-3 秒。但是连麦场景中，大主播和小主播们之间的延迟如果超过1s，和谐的语音沟通就基本不可能了。

- **回音问题**
常规直播解决方案中，由于语音是单向的（主播说 =\> 观众听），所以没有必要去做AEC（回音消除）。但是连麦场景中有双向（或多向）的语音沟通，主播的声音流向小主播那一端的扬声器，如果不做回音消除，这些声音会再经由麦克风采集后返还给主播本人。

- **混流问题**
解决完延迟问题和回音问题，大主播和小主播（们）之间是可以互动了，但是要让普通的直播观众看到才算真正成功，所以多路画面必须要完成混流才能在观众端正常展示。

## 如何降低延迟？
我们先看看怎么解决延迟问题，要解决延迟，先要弄明白延迟是怎么来的？
![](//mc.qcloudimg.com/static/img/ddf657b4af791b3cb8b7ad2ed62f57be/image.png)
上图中红色标记的三处是整条链路的主要延迟来源，一场延迟大约 3 秒的直播中，以上三个模块“贡献”了 80% 的力量。

### 1. 转码模块
- **延迟的原因：**
转码模块的主要工作是对主播推上来的音视频数据做进一步的加工处理，同时，如果您有多清晰度（超清、高清、标清）以及多格式（比如适合 Web 播放的 HLS）的需求，这也是转码模块需要去操心的。

- **应对的思路：**
在连麦场景中，大主播和小主播（们）之间如果都使用 RTMP 协议构建链路，那就不需要转码集群的参与，因为能够省掉这部分延迟。

### 2. CDN集群
- **延迟的原因：**
CDN 集群存在目的是 **分发** 数据流：如果主播在上海，那么他/她肯定是向上海的服务器推流，这样才能保证较好的上传质量，问题来了，桂林和哈尔滨的观众怎么办呢？难道从上海的服务器上去拉流吗？显然这并不是一个好主意，可行的方案是通过 CDN 分发集群将音视频流按需分发到桂林和哈尔滨两个城市。

- **应对的思路：**
连麦场景中，大主播和小主播（们）之间如果都不走 CDN 集群，他们之间的延迟可以缩短很大一截。但这样一来，地域问题如何解决？ 比如有两位主播要连麦互动，一位在北京，一位在深圳，相隔千里，如何才能构建低延时且高质量的直播链路呢？

 腾讯云的解决方案是采用** RtmpAcc 加速节点**，它是我们专门为连麦场景所设立的超低延迟加速集群，在全国各大关键网络节点均有部署。这些加速节点全部由专线连接，唯一的职能便是为处于不同地域、不同运营商的主播，提供可靠而优质的低延时链路。
![](//mc.qcloudimg.com/static/img/323efdd148ffa623a34c6870a98a0b7e/image.png)
 
### 3. 播放器缓冲
- **延迟的原因：**
播放器的缓冲是多多少少都要有的，因为下行网络不可能均匀平滑不抖动。缓冲区越长，抗网络抖动的效果就越好，视频的观看体验也就越流畅，同时，这也意味着更大的延迟。常规解决方案中，我们一般设置 500ms 或者 1000ms 以上的播放器缓冲。

- **应对的思路：**
 在连麦场景中，这里就要激进一些，比如200ms的延迟相对适中。于此同时，常规开源解决方案的播放器一般不具备 **延迟修正** 能力，所以随着卡顿次数的增加，延迟也越积越多。在连麦场景下，延迟是不能容忍的，所以延迟修正不仅不可或缺，而且策略也要非常激进。

## 回音消除(AEC)
如果要做双向的语音通讯，回音消除是不可或缺的，我们从 RTMP SDK 1.8.2 开始，在 iOS 和 Android 两个平台引入了回音消除模块，从而避免主播在手机的喇叭里听到 1 秒前自己说话的声音。
![](//mc.qcloudimg.com/static/img/31fb2031789350bc88e886b75c03a02d/image.png)

从上图可以看出，AEC模块是躲在 RTMP SDK 里面的，所以在使用上您不需要额外的编程。

## 多路混流
腾讯云有两种技术可以实现混流：客户端混流和服务端混流。
- **客户端混流**
源自 RTMP SDK 1.8.2 开始支持的多实例播放，也就是可以并行的播放多个直播 URL， 视频 View 也可以相互叠加。这样一来，只要观众端能拿到多个主播的 URL 就可以实现客户端混流。

- **服务端混流**
服务端混流是近期推出的一项新解决方案，目前外网已经可以支持。它是腾讯云视频转码集群的一个附加模块，可以将多路视频流直接在云端混成一路，减少下行的带宽压力。

| 混流方案 | 优势 | 不足 | 关键因素 | 
|---------|-----------|------|------------|
| 客户端混流 | 由于观众端的表现由App自行控制，能够支持更灵活的界面排布 | 下行数据是多路，所以带宽消耗要高于服务端混流。 | TXLivePlayer的缓冲区必须要用极速模式 + 1秒固定缓冲|
| 服务端混流 | 下行数据只有一路，所以对于高并发的直播场景，能有效降低带宽消耗。| 目前最多支持 1v3 混流。 | 需要调用混流CGI并正确设置混流参数 | 

## 对接攻略
- [视频连麦（iOS）](https://cloud.tencent.com/document/product/454/8871)
- [视频连麦（Android）](https://cloud.tencent.com/document/product/454/8872)