## 1. 视频直播（LVB）

### 1.1 如何开通视频直播服务
进入[直播管理控制台](https://console.cloud.tencent.com/live)，如果服务还没有开通，则会有如下提示:
![](//mc.qcloudimg.com/static/img/c40ff3b85b3ad9c0cb03170948d93555/image.png)
点击申请开通，之后会进入腾讯云人工审核阶段，审核通过后即可开通。


### 1.2 直播码接入怎么配？
直播服务开通后，进入[直播控制台>>直播码接入>>接入配置](https://console.cloud.tencent.com/live/livecodemanage) 完成相关配置，即可开启直播码服务：
![](//mc.qcloudimg.com/static/img/32158e398ab9543b5ac3acf5f04aa86e/image.png)

| 配置项 | 取值范围            | 具体含义  |
|----------|----------------------|--------------|
| 直播录制 | 开启 OR 关闭 | 开启直播录制后，只要是直播的视频，都会被后台默认的录制下来。[DOC](https://cloud.tencent.com/document/product/454/7917) |
| 推流防盗链key | 32位小写的字符串  | 出于安全考虑，推流地址需要绑定防盗链以避免被其他人抢占，该KEY用于计算防盗链签名。[DOC](https://cloud.tencent.com/document/product/454/7915#.E9.98.B2.E7.9B.97.E9.93.BE.E7.9A.84.E8.AE.A1.E7.AE.97.EF.BC.9F) |
| API鉴权key | 32位小写的字符串  | 您的服务器在调用腾讯云后台API时，需要提供身份鉴权信息，该KEY用于帮助腾讯云确定您的服务器的合法身份。[DOC](https://cloud.tencent.com/document/product/454/7920#.E5.AE.89.E5.85.A8.E6.A3.80.E6.9F.A5) |
| 回调URL | HTTP协议URL地址 | 腾讯云会把视频的推流断流等事件通知通过这个URL投递给您，尚不支持HTTPS协议。[DOC](https://cloud.tencent.com/document/product/267/5957)  |

点击**确定接入**按钮，即可将您的腾讯云直播服务切换到直播码模式了。

### 1.3 查询我的直播APPID
每个腾讯云账号在开通视频直播服务后，均会分配到一个直播APPID，直播APPID在[直播管理控制台](https://console.cloud.tencent.com/live) 的顶部区域可见，如下图：
![](//mc.qcloudimg.com/static/img/1ee6c6c1f9d8fd1e1744107e63040adf/image.png)

### 1.4 查询我的直播BIZID
每个腾讯云账号在开通视频直播服务后，均会分配到一个直播BIZID，直播BIZID主要用于直播码里的推流URL和播放URL的拼装，因此在开启直播码模式后，即可在[直播管理控制台](https://console.cloud.tencent.com/live) 的顶部区域可见，如下图：
![](//mc.qcloudimg.com/static/img/b0b423fb2298f35dc77e359f3b705bd7/image.png)

### 1.5 查询推流防盗链KEY
推流防盗链KEY是为了确保只有您的APP用户才可以推流的安全保护手段，推流防盗链KEY可以在开启直播码时指定，亦可随时按您的需要在[直播管理控制台](https://console.cloud.tencent.com/live/livecodemanage)中修改：
![](//mc.qcloudimg.com/static/img/6be1d875f1120a16d3692c60bb4485a9/image.png)

### 1.6 查询API访问鉴权KEY
API访问鉴权KEY是您的后台服务器在调用腾讯云直播码相关的[云端API](https://cloud.tencent.com/doc/api/258/5956)时需要用到的，目的是帮助腾讯云确认调用的合法性，API访问鉴权KEY可以在开启直播码时指定，亦可随时按您的需要在[直播管理控制台](https://console.cloud.tencent.com/live/livecodemanage)中修改：
![](//mc.qcloudimg.com/static/img/e5034b47cead66be46b1f81a1fea8274/image.png)

### 1.7 查询事件回调URL
事件回调URL是来自您的后台服务器的一个地址，当腾讯云有一些[直播相关事件](https://cloud.tencent.com/doc/api/258/5957)需要通知您的后台服务器时，会以HTTP POST的形式向该地址发送通知，事件回调URL可以在开启直播码时指定，亦可随时按您的需要在[直播管理控制台](https://console.cloud.tencent.com/live)中修改：
![](//mc.qcloudimg.com/static/img/b1df74884171a920e37940a17d2edac2/image.png)

## 2. 视频点播（VOD）
### 2.1 如何开通视频点播服务
每个新认证的腾讯云账号都有7天的免费试用，试用过后，只需在[点播管理控制台](http://console.cloud.tencent.com/video) 购买适合您的套餐即可：
![](//mc.qcloudimg.com/static/img/07fc20e09b0a527089cc9d48d27669cc/image.png)

### 2.2 查询我的点播APPID
每个腾讯云账号均有一个唯一的点播APPID与之对应，其位于[点播管理控制台](http://console.cloud.tencent.com/video) 里的一个比较隐蔽的位置，需要的您的账号下至少存在一个上传或者录制的视频文件，查看方案如下：
![](//mc.qcloudimg.com/static/img/7e1ba9d016cb55e3825b980b5de5987a/image.png)


## 3. 云通讯服务（IM）
### 3.1 如何开通云通讯服务
进入[云通讯管理控制台](https://console.cloud.tencent.com/avc)，如果还没有服务，直接点击**直接开通云通讯**按钮即可。新认证的腾讯云账号，云通讯的应用列表是空的，如下图：
![](//mc.qcloudimg.com/static/img/c033ddba671a514c7b160e1c99a08b55/image.png)

点击**创建应用接入**按钮创建一个新的应用接入，即您要接入腾讯云IM通讯服务的App的名字，我们的测试应用名称叫做“小直播演示”，如下图所示：
![](//mc.qcloudimg.com/static/img/897bff65af6202322a434b6fa3f8a0bd/image.png)

点击确定按钮，之后就可以在应用列表中看到刚刚添加的项目了，如下图所示：
![](//mc.qcloudimg.com/static/img/1c1cb2c2fa4c6f0dc7be06bf8329dee3/image.png)

### 3.2 IM SDK APPID
上图的列表中，SDKAPPID 这一列显示的是腾讯云通讯业务ID，这个ID用来确定腾讯云某个客户的某一款对接App，所以在对接 IM SDK 时会经常用到。

### 3.3 IM SDK 账号类型
上图的列表中，右侧有一个**应用配置**按钮，点击这里进入下一步的配置工作，如下图所示。
![](//mc.qcloudimg.com/static/img/d52ac3662d5310673a5d6c6a78f50da4/image.png)

此处的配置项比较多，但大部分都不重要，你可以不配置或者之后有需要再随时调整，比如：
- ** 账号名称**
您可以随便填写，注意不要用特殊奇葩火星文等字符。

- **验证方式**
目前有且仅有“系统生成公钥”，所以这一项配置您无需关心。

- **账号管理员名称**
是一个可以方便调试用的UserId，如果您是工程师，直接填写自己后面常用的账号id就可以了，使用云通讯服务的高级特性是才有可能用到。

- **验证短信签名**
就是短信文本的前缀，填写App的中文名称就可以了。

- **集成模式**
如果您没有非常迫切的相关需求，<font color='red'>不推荐使用独立模式。</font>

| 集成模式 | 适用场景 | 对接难度 | 设计目标 |
|------------|-------------|-------------| -----------|
| 访客（托管）模式 | 适合对**身份确认要求**不高的场景，比如允许App用户都可以发言的直播间聊天室场景。 | 采用guestLogin模式登录 IM SDK即可，对接成本极低。 | 设计目标是降低对接成本，让您能够不对接账号系统的情况下就能使用IM服务，腾讯云会为每个App用户生成一个<font color='blue'>“访客账号“</font>，该账号只会用来收发消息。|
| 独立（鉴权）模式 | 对**身份确认要求**非常高的客户，比如只能允许自己App的注册用户才可以收发消息。 | 需要使用UserSig安全签名，对接成本比较高。| 设计目标是将消息收发权限交给客户掌控，它要求在您的登录服务器确认App用户合法身份后需派发签名，腾讯云通过检查签名真实性后才允许收发消息。这样可以让消息的收发者都100%是您的账号体系里的账号。|

点击**保存**按钮之后，即完成了对App的IM消息接入配置，AccountType(账号类型) 也就生成了，如下图：
![](//mc.qcloudimg.com/static/img/dca3d66810ebc6b767b7af4f234ecf8b/image.png)

## 4. 对象存储服务（COS）
### 4.1 如何开通云通讯服务
新认证的腾讯云账号都可以立刻使用对象存储服务，只需要进入[COS管理控制台](https://console.cloud.tencent.com/cos)创建爱你一个Bucket即可开始启用，**请注意为支持https下载（适配苹果的ATS），请开启CDN加速**。
![](//mc.qcloudimg.com/static/img/680aebc55496fe74be3f58102f62dfd5/image.jpg)

### 4.2 什么是Bucket（桶）
Bucket是一个略显技术化的名词，翻译成中文即“桶”的意思，您可以简单将它理解为**磁盘分区**的概念。打个比方，您在腾讯云购买了对象存储服务(COS)，可以比作您在京东商城购买了一块新的硬盘，在您向上面存储数据之前，一般会先对齐进行分区和格式化。那么我们可以这样说，您在真实世界里的硬盘上建一个分区，就好比在腾讯云的COS里建一个Bucket。

### 4.3 查询我的Bucketname
您在创建Bucket时所指定的名称即为您的一个bucketname，比如在4.1的例子中我所指定的xiaozhibo即是一个bucketname。

### 4.4 查询我的COS APPID
点击COS管理控制台的[密钥管理](https://console.cloud.tencent.com/cos/project)标签页，即可获得COS的APPID了，它是跟一对API必要绑定在一起的。
![](//mc.qcloudimg.com/static/img/60a3a35c5a28603a5ef730a2fd436677/image.png)

### 4.5 查询我的COS SecretId 和 SecretKey
点击COS管理控制台的[密钥管理](https://console.cloud.tencent.com/cos/project)标签页，即可获得跟COS APPID 绑定的SecretId 和 SecretKey了，他们主要用于访问COS的API，因为COS是一个对安全要求很高的云端服务，所以如果API没有传入正确的密钥，腾讯云会拒绝这些API请求。
![](//mc.qcloudimg.com/static/img/17778b870bae9ad8302ce9774430ca7f/image.png)

## 5. 云服务器（可选）
您可以使用您自己的服务器作为业务服务器部署后台脚本，不过推荐您使用腾讯云的云服务器部署后台脚本，更为专业和稳定，另外如果您选择腾讯云的云数据库作为分布式数据库，则必须搭配腾讯云的云服务器才能访问。
进入[云服务器管理控制台](https://console.cloud.tencent.com/cvm/overview)，点击"购买云服务器"，将进入服务器购买页面：
![](//mc.qcloudimg.com/static/img/9e479e479a8a6cc72678881f400eefd4/image.jpg)
点击下一步后，进入镜像选择页面，推荐您从服务器市场中选择带有nginx+php+mysql的linux镜像：
![](//mc.qcloudimg.com/static/img/84b60f7ab5e966aed54325a7a2b71beb/image.jpg)
后续操作按照指引即可，镜像按照完毕后即可使用云服务器。

## 6. 云数据库（可选）
### 6.1 如何开通云数据库
进入[云数据库管理控制台](https://console.cloud.tencent.com/cdb)，如果您没开通过CDB(MYSQL)服务，可直接点上面的“新建”按钮：
![](//mc.qcloudimg.com/static/img/138c9dd9d5793920aa539141567e0be6/image.jpg)
![](//mc.qcloudimg.com/static/img/62c41e4dbde3eb4f906955e9ebd5cca6/image.jpg)
**注意：必须用开通云服务器相同的腾讯云账号开通云数据库服务，并且需要选择与云服务器相同的区域**
购买完成后，在“实例列表”里可以看到该实例，点击右边的“初始化”设置数据库的字符集和密码：
![](//mc.qcloudimg.com/static/img/492e4be9784f96a32da8d1c17bc5feb5/image.jpg)
![](//mc.qcloudimg.com/static/img/df45399f3da5f324ff2c9f9876d6ee45/image.jpg)

### 6.2 如何使用数据库
实例初始化完成后，在实例列表中可以看到该实例的内网地址：
![](//mc.qcloudimg.com/static/img/fb0fa5be8c1411c24a9bcfb30fc9ee7e/image.jpg)
您可以在云服务器上使用mysql命令远程连接该实例，并进行数据库操作，也可以在实例列表中点“管理”进入管理页面操作数据库：
![](//mc.qcloudimg.com/static/img/3be77388665815bae35b0a496ecac584/image.jpg)
