﻿Thank you for your interest in Tencent Cloud's Mobile Live Video Broadcasting (MLVB) service!

## What is MLVB?
MLVB is not a specific service, but a set of solutions that **allow you to achieve LVB on your smart phone**. As a technical extension of Tencent Cloud's LVB service, it is designed to cater for the needs of mobile devices. You can choose the most suitable solution based on your needs:

- **If you have a proven mobile device solution**
If you already have a proven mobile device solution and want a better LVB service, go to [Live Video Broadcasting (LVB)](https://cloud.tencent.com/product/LVB) to learn about cloud interfacing solution.

- **If you just want to integrate push and playback features**
If you want to integrate LVB push and playback features into your own App, choose [Quick Integration Solution](#.E5.BF.AB.E9.80.9F.E7.89.88.E9.9B.86.E6.88.90.E6.96.B9.E6.A1.88) to realize the integration of LVB feature in a straightforward way within as short as one day.

- **If you want to enjoy a perfect LVB service**
If you want to integrate the complete set of LVB capabilities into your App, such as text interaction, on-screen comment, giving a like with floating heart animation, beauty filter, skin effect, joint broadcasting, authentication, etc., [Integrated Solution](#.E4.B8.80.E4.BD.93.E5.8C.96.E9.9B.86.E6.88.90.E6.96.B9.E6.A1.88) is recommended.

## Quick Integration Solution
![](//mc.qcloudimg.com/static/img/92a464fc26bbe52fea8816f8e6061ef3/image.jpg)

If you want to integrate LVB push and playback features into your own App, just follow the three steps below:
<table class="t" style="margin-left:75px; width:auto;">
<tbody><tr>
<th width="120" style="text-align: center;"> Step
</th><th width="200" style="text-align: center;"> Description
</th><th width="300" style="text-align: center;"> Reference Documentation
</th><th width="150" style="text-align: center;"> Relevant Developer
</th></tr>
<tr>
<td style="text-align: center;"> Step 1
</td><td style="text-align: center;"> Activate LVB service
</td><td style="text-align: center;"> <a href="https://console.cloud.tencent.com/live" target="_blank"> Activate LVB console </a>
</td><td style="text-align: center;"> No requirement
</td></tr>
<tr>
<td rowspan="4" style="text-align: center;"> Step 2
</td><td rowspan="4" style="text-align: center;"> Integrate RTMP SDK
</td><td style="text-align: center;"> <a href="https://cloud.tencent.com/document/product/454/7879" target="_blank"> RTMP SDK - push on iOS platform  </a>
</td><td rowspan="4" style="text-align: center;"> Terminal R&D Engineer
</td></tr>
</td><td style="text-align: center;"> <a href="https://cloud.tencent.com/document/product/454/7880" target="_blank"> RTMP SDK - playback on iOS platform </a>
</td></tr>
</td><td style="text-align: center;"> <a href="https://cloud.tencent.com/document/product/454/7885" target="_blank"> RTMP SDK - push on Android platform </a>
</td></tr>
</td><td style="text-align: center;"> <a href="https://cloud.tencent.com/document/product/454/7886" target="_blank"> RTMP SDK - playback on Android platform </a>
</td></tr>
<td rowspan="3" style="text-align: center;"> Step 3
</td><td rowspan="3" style="text-align: center;"> Manage LVB streams
</td><td style="text-align: center;"> <a href="https://cloud.tencent.com/document/product/454/7915" target="_blank">Cloud API - How to obtain the push URL</a>
</td><td rowspan="3" style="text-align: center;"> Backend R&D Engineer
</td></tr>
<td style="text-align: center;"> <a href="https://cloud.tencent.com/document/product/454/7916" target="_blank">Cloud API - How to build room list</a>
</td></tr>
<td style="text-align: center;"> <a href="https://cloud.tencent.com/document/product/454/7920" target="_blank">Cloud API - How to manage LVB streams</a>
</td></tr>
</tbody></table>

## Integrated Solution
If you want to integrate the complete set of LVB capabilities into your App, such as text interaction, on-screen comment, giving a like with floating heart animation, beauty filter, skin effect, joint broadcasting, authentication, etc., please refer to **Mini LVB**:
![](//mc.qcloudimg.com/static/img/e7ce9dbe3274f8704643030e9b2ee38c/image.jpg)

Mini LVB is a set of open-source source codes provided by Tencent Cloud's development team. Presented in a DEMO form, it aims to show you how to utilize Tencent Cloud services such as LVB, VOD, IM and COS to build an LVB solution suitable for you.

By referring to [How to set up Mini LVB quickly](https://cloud.tencent.com/document/product/454/7999), you can quickly set up a debugging environment for your "Mini LVB" that can provide as many code references as possible for your project as well as a secondary development environment.
