# 1. 直播基础计费

使用直播服务会产生流量或者带宽的费用。**流量和带宽均按照下行数据计费**，即根据观看直播产生的流量或者带宽计费，上行推流不计费。

**基础计费概况如下：**

![](https://mc.qcloudimg.com/static/img/64f90c3a70108ec30b245b60e2106dcc/image.png)

## 1.1 直播流量计费

### 1.1.1 直播日结流量计费


**价格**

| 流量阶梯 | 价格 | 
|---------|---------|
|0-50GB(含)|	0.29元/GB/天|
|50-500G(含)	|0.27元/GB/天|
|500G-1T(含)|	0.26元/GB/天|
|1T-5T(含)	|0.24元/GB/天|
|>5T(含)	|0.23元/GB/天|

**计费规则**

1. 计费方式：后付费计费方式
2. 计费统计项：统计直播观看产生的全网下行流量。
3. 计费规则：日结流量按照达到阶梯方式计费。统计一天产生的流量累计值乘以单价计费。
            例：当天流量累计值为2T，则收费为2T*1000*0.24=480元
4. 计费周期：按天出账单。每天早上12点出前一天的账单。
5. 是否为默认计费方式：是（开通直播服务后，默认使用后付费日结流量计费）


**计费说明**

1.**日结计费模式欠费会被停止直播服务**，请确保腾讯云账户余额充足，以免影响您的业务
2.计费方式如需修改为日结带宽计费，可在直播控制台上切换，次日零点生效。


### 1.1.2 直播月结流量计费

除了日结以外，腾讯云也提供后付费月结方式，即下个月出本月账单，根据月账单费用付费。 目前，流量按月结的后付费计费方式需人工申请，具体使用方法及价格请联系腾讯商务人员，联系电话：4009-100-100 

**计费规则**

 1.流量报价：与商务协定
 2.计费项：流量（当月使用流量累计值） 
 3.付费方式：后付费
 4.计费周期：按月计费,月初（1号——5号）出上个月账单

### 流量消耗示例
一个直播频道流量消耗=（直播码率/8）*****直播观看时长（秒）*****观看人数
例如：直播码率为500kbps，直播时长为1小时，观看人数为100人，则消耗的流量约为：22.5GB。
计算方法： 500/8*****3600*****100=22500000KB，22500000KB/1000/1000=22.5GB
*计费流量为所有直播频道流量消耗的总和。*
**注：该计算示例仅供您估算带宽和流量，方便您判断使用哪种计费方式，实际计费带宽和流量请以账单信息为准。**该示例对于后付费日结和月结均适用。

## 1.2 直播带宽计费

### 1.2.1 直播日结峰值带宽计费


**价格**

| 带宽阶梯| 价格 |
|---------|---------|
| 0Mbps-500Mbps(含) | 1.0元Mbps/天 | 
| 500Mbps-5Gbps(含) | 0.9元Mbps/天 |
| >5Gbps | 0.76元Mbps/天 |

**计费规则**

1. 计费方式：后付费计费方式
2. 计费统计项：统计直播观看产生的全网下行带宽。
3. 计费规则：日结带宽为达到阶梯计费。统计一天内的带宽峰值计费。
            例：当天产生的带宽峰值为200Mbps，则收费为200*1.0=200元
4. 计费周期：按天出账单。每天早上12点出前一天的账单。
5. 是否为默认计费方式：否

**计费说明**
1.日结带宽计费点为当天带宽峰值，如果直播业务带宽存在较明显峰值，可能会收取较高的费用，此时建议使用日结流量计费方式。
2.**日结计费欠费会被停止直播服务**，请确保腾讯云账户余额充足，以免影响您的业务
3.计费方式如需修改为日结流量计费，可在直播控制台上切换，次日零点生效。


### 1.2.2 直播月结峰值带宽计费

除了日结以外，腾讯云也提供后付费月结方式，即下个月出本月账单，根据月账单费用付费。 目前，流量按月结的后付费计费方式需人工申请，具体使用方法及价格请联系腾讯商务人员，联系电话：4009-100-100 

**计费规则**
 1.带宽报价：与商务协定
 2.计费项：月峰值带宽（提供消峰策略） 
 3.方式：后付费 
 4.计费周期：按月计费，月初（1号——5号）出上个月账单 


### 带宽消耗示例
一个直播频道带宽消耗=直播码率*****直播观看人数
例如：直播码率为500kbps，观看人数为100人，则消耗的带宽约为：50Mbps。
计算方法： 500*****100=50000Kbps，50000/1000=50Mbps
*计费带宽为所有并发直播频道带宽消耗的总和。*
**注：该计算示例仅供您估算带宽和流量，方便您判断使用哪种计费方式，实际计费带宽和流量请以账单信息为准。**该示例对于后付费日结和月结均适用。



**<font color='red'>原有套餐后续将会停止使用，当前为灰度期间，未灰度客户按照原有套餐计费方式不变，请您关注近期短信通知。</font>**



## 1.2 频道计费

按直播推流频道并发数计费，以当月直播推流频道并发峰值个数为结算标准。

**价格**

| 频道并发峰值| 价格 |
|---------|---------|
|≤5个 | 0元/个/月 | 
|>5个 | 60元/个/月 |

**计费规则**
1.统计规则：统计当月直播**实际推流**频道**月并发**个数的峰值（不包含不推流的频道）。
2.计费方式：后付费月结，月初(1号—5号)出上个月账单
3.减免策略：若使用后付费带宽月结，每50M并发带宽将减免抵扣1个频道的费用。（仅后付费月结带宽计费才可减免）

**计费说明**
1.直播码模式和频道模式均按照此标准收费，直播码模式一个视频ID即为一个频道。
2.计费频道数统计示例：
  同一时间同时推流的频道数量叫做并发推流频道数（不包含不推流的频道）。
  每5分钟统计一个并发推流频道数，一个月内最大的并发推流频道数为月并发推流频道峰值数。
  最终每月收费的频道数量由月并发推流频道峰值数减去减免频道数决定。
  **例：**
       月结计费带宽为100M，主播20个（一个主播一个频道），月并发实际频道峰值路数10路，计费频道数=10-5-(100/50)=3


# 2. 直播增值服务计费

使用直播增值服务会产生相应的费用，目前直播需要计费的增值服务有：录制、截图、鉴黄。

**增值计费概况如下：**

![](https://mc.qcloudimg.com/static/img/218e070dba38c85a19621f9a25bfabe1/image.png)


## 2.1 直播录制费用

按直播录制并发数计费，以当月使用直播录制并发峰值路数为结算标准。

**价格**

| 计费类型| 价格 |
|---------|---------|
|录制路数峰值 |30元/路/月 | 

**计费规则**

1.统计规则：统计当月直播流并发录制路数的峰值。
           一种录制文件算一路录制流，例如：同一个流id录制了MP4和hls两种格式，则算两路录制流。
2.计费方式：后付费月结，月初(1号—5号)出上个月账单

**计费说明**

1.功能默认关闭，可在[直播控制台](https://console.cloud.tencent.com/live)手动开启。
2.同时录制的直播流数量为并发录制路数，每5分钟统计一个并发录制路数，一个月内最大的并发录制路数为月并发录制峰值路数。
3.录制文件存储在腾讯云点播系统，会产生点播存储费用；播放视频会产生点播流量/带宽费用，该部分点播收费请参考[点播产品价格](https://cloud.tencent.com/document/product/266/2838)

## 2.2 直播截图费用

根据月累计截图数量计费

**价格**

| 截图数据| 价格|备注 |
|---------|---------|
|＜1000 |0元 |1000张（不含）内免费|
|≥1000|0.1元/千张|超过千张的按千张计费，如1001张按2000张计费 |

**计费规则**

1.统计规则：根据每月累计截图数量计费，收费单价按千张合计。
2.计费方式：后付费月结，月初(1号—5号)出上个月账单

**计费说明**

1.功能默认关闭，可在[直播控制台](https://console.cloud.tencent.com/live)手动开启。
2.使用截图功能则仅产生截图费用。



## 2.2 直播鉴黄费用

根据月累计鉴黄图片数量计费

**价格**

| 截图数据| 价格|备注 |
|---------|---------|
|＜1000 |0元 |1000张（不含）内免费|
|≥1000|1.3元/千张|超过千张的按千张计费，如1001张按2000张计费 |

**计费规则**

1.统计规则：根据每月累计鉴黄图片数量计费，收费单价按千张合计。
2.计费方式：后付费月结，月初(1号—5号)出上个月账单

**计费说明**

1.功能默认关闭，可在[直播控制台](https://console.cloud.tencent.com/live)手动开启，开启鉴黄功能必须先开启截图功能。
2.使用鉴黄功能必须开启截图功能，会产生截图和鉴黄两笔费用。 



# 3. 直播停服说明

当前仅仅直播**日结流量计费**和**日结带宽计费**欠费会停服。

**停服规则**

1.停服时间：每天早上12点出前一天的账单，若账户余额不足导致扣费失败，则当天12点左右会收到欠费通知短信，次日早上8点到12点若账户还未充足则正式停服，若此前冲正帐号，则不会停服。
2.停服内容：停服后将无法使用直播服务，控制台也将禁止使用，但不会删除和修改直播频道信息和配置信息。
3.开服策略：账户冲正后则会自动开服。 

