# 1.直播基础计费
## 1.1 流量/带宽计费
使用直播服务会产生流量或者带宽的费用。**流量和带宽均按照下行数据计费**，即根据观看直播产生的流量或者带宽计费，上行推流不计费。
流量或者带宽计费可以选择后付费日结计费或者后付费月结（二选一）。


### 1.1.1 视频直播后付费日结

在完成视频服务申请后，进入腾讯云管理控制台-视频直播。初次使用时，默认为用户开通后付费日结流量计费，如需修改为日结带宽计费，可在控制台上切换，次日零点生效。

后付费日结计费每天统计一个计费点，每天根据计费点出账单，当天出前一天的账单。请注意日结如果欠费会被停止直播服务，请确保腾讯云账户余额充足，以免影响您的业务。

#### 1.日结计费介绍（公测中）

>后付费日结带宽峰值计费

**价格**

| 带宽阶梯| 价格 |
|---------|---------|
| 0Mbps-500Mbps(含) | 1.0元Mbps/天 | 
| 500Mbps-5Gbps(含) | 0.9元Mbps/天 |
| >5Gbps | 0.76元Mbps/天 |

**计费规则**

1. 计费方式：后付费计费方式
2. 计费统计项：统计直播观看产生的全网下行带宽。
3. 计费规则：日结带宽为达到阶梯计费。统计一天内的带宽峰值计费。例：当天产生的带宽峰值为200Mbps，则收费为200*****1.0=200元
4. 计费周期：按天出账单。每天早上12点出前一天的账单。
5. 是否为默认计费方式：否

**注：日结带宽计费点为当天带宽峰值，如果直播业务带宽存在较明显峰值，可能会收取较高的费用，此时建议使用日结流量计费方式。**

>后付费日结流量计费

**价格**

| 流量阶梯 | 价格 | 
|---------|---------|
|0-50GB(含)|	0.29元/GB/天|
|50-500G(含)	|0.27元/GB/天|
|500G-1T(含)|	0.26元/GB/天|
|1T-5T(含)	|0.24元/GB/天|
|>5T(含)	|0.23元/GB/天|

**计费规则**

1. 计费方式：后付费计费方式
2. 计费统计项：统计直播观看产生的全网下行流量。
3. 计费规则：日结流量按照达到阶梯方式计费。统计一天产生的流量累计值乘以单价计费。例：当天流量累计值为2T，则收费为2T*****1000*****0.24=480元
4. 计费周期：按天出账单。每天早上12点出前一天的账单。
5. 是否为默认计费方式：是

#### 2. 日结流量带宽计费相互切换

开通直播服务后，默认按照日结流量计费。登录直播控制台后，可更改为日结带宽计费。日结带宽和流量计费的更改均为次日0点生效。

#### 3. 日结停服功能

出日结账单后，如果账单扣费失败，会启动停服功能。届时将无法使用直播服务，控制台也将停止使用。停服不会删除和修改直播频道信息和配置信息。账户冲正后则会自动开服。

#### 4. 日结出账单时间和停服时间

每天早上12点出前一天的账单，若账户余额不足导致扣费失败，则当天12点左右会收到欠费通知短信，次日早上8点若账户还未充足则正式停服。若在次日早上8点前冲正帐号，则不会停服。



**<font color='red'>原有套餐后续将会停止使用，当前为灰度期间，未灰度客户按照原有套餐计费方式不变，请您关注近期短信通知。</font>**


### 1.1.2 视频直播后付费月结（需要申请）

除了日结以外，直播提供后付费月结方式，即下个月出本月账单，根据账单费用付费。后付费方式可以选择带宽后付费或者流量后付费（二选一），统计的**流量和带宽计费数据均为全网下行播放数据**。
**如需咨询或申请后付费，请联系腾讯商务人员，联系电话：4009-100-100**

**1.带宽后付费**
 1)带宽报价：与商务协定
 2）计费项：月峰值带宽（提供消峰策略） 
 3）方式：后付费 
 4）计费周期：按月计费 
 5）计量规则：系统以5分钟为时间粒度，采集流媒体全网节点的汇总带宽数据。
**2.流量后付费**
 1）流量报价：与商务协定
 2）计费项：流量（当月使用流量累计值） 
 3）付费方式：后付费
 4）计费周期：按月计费


### **流量/带宽消耗示例：**
1.流量消耗示例
一个直播频道流量消耗=（直播码率/8）*****直播观看时长（秒）*****观看人数
例如：直播码率为500kbps，直播时长为1小时，观看人数为100人，则消耗的流量约为：22.5GB。
计算方法： 500/8*****3600*****100=22500000KB，22500000KB/1000/1000=22.5GB
*计费流量为所有直播频道流量消耗的总和。*
2.带宽消耗示例
一个直播频道带宽消耗=直播码率*****直播观看人数
例如：直播码率为500kbps，观看人数为100人，则消耗的带宽约为：50Mbps。
计算方法： 500*****100=50000Kbps，50000/1000=50Mbps
*计费带宽为所有并发直播频道带宽消耗的总和。*
**注：该计算示例仅供您估算带宽和流量，方便您判断使用哪种计费方式，实际计费带宽和流量请以账单信息为准。**该示例对于后付费日结和月结均适用。


## 1.2 频道计费
腾讯云直播服务向每个帐号提供5个免费的频道用于调试。若您的产品需要使用更多的频道，超出频道我们将收取 60元/频道/月 的费用（按照月并发实际推流频道峰值路数计算）。需了解细节，请联系：QQ：3358225043。

说明：
1.如果使用的是后付费带宽月结，则每50M并发带宽将减免抵扣1个频道的费用。（只有按照后付费月结带宽计费才能减免）
2.直播码模式和频道模式均按照此标准收费，直播码模式一个视频ID即为一个频道。 
3.频道数量没有限制。
  例：月结计费带宽为100M，月并发实际频道峰值路数10路， 计费频道数=10-5-(100/50)=3

# 2.直播增值服务计费

使用直播增值服务会产生相应的费用，目前直播需要计费的增值服务有：录制、截图、鉴黄。

## 2.1录制费用
腾讯云直播服务录制功能收费标准是：30元/路/月（按月并发录制频道峰值路数计费）。
录制文件存储在腾讯云点播系统，会产生点播存储费用，播放视频则会产生点播流量/带宽费用，该部分点播收费请参考点播[产品价格](https://cloud.tencent.com/product/vod#price)

## 2.2 截图鉴黄费用

1.计费项目：直播截图、图片鉴黄。
2.报价： 
  1）截图报价：0.1元／千张（不超过1000张不收费；超过1000张（包含）开始收费，收费单价按千张合计，不足1000张部分按1000张算。例：3600会计成4000张） 
  2）图片鉴黄：1.3元／千张； (（不超过1000张不收费；超过1000张（包含）开始收费，收费单价按千张合计，不足1000张部分按1000张算。例：3600会计成4000张） 
3.说明
仅使用截图功能则只按照截图报价收费；使用鉴黄功能必须开启截图功能，会产生截图和鉴黄两笔费用。 
