
### SDK 错误码
SDK 通过 TXRecordCommon.ITXVideoPublishListener 接口来监听短视频发布相关的状态。因此，可以利用TXRecordCommon.TXPublishResult 中的 **retCode ** 来确认视频发布的情况。

| 状态码      |    在 TXRecordCommon 中所对应的常量 | 含义  |
| :--------: | :--------| :-- |
| 0  |  NO_ERROR |  发布成功   |
| 1001  |  ERR_UGC_REQUEST_FAILED |  请求上传失败   |
| 1002  |  ERR_UGC_PARSE_FAILED |  请求信息解析失败   |
| 1003  |  ERR_UPLOAD_VIDEO_FAILED |   上传视频失败   |
| 1004  |  ERR_UPLOAD_COVER_FAILED  |  上传封面失败   |
| 1005  |  ERR_UGC_FINISH_REQUEST_FAILED |  结束上传请求失败   |
| 1006  |  ERR_UGC_FINISH_RESPONSE_FAILED |  结束上传响应错误   |
| 1007  |  ERR_USER_CANCEL |  用户取消发布操作  |
| 1007  |  ERR_CLIENT_BUSY |  客户端正忙(对象无法处理更多请求)   |
| 1008  |  ERR_FILE_NOEXIT |  上传文件不存在   |
| 1009  |  ERR_UGC_PUBLISHING  |  视频正在上传中   |
| 1010  |  ERR_UGC_INVALID_PARAM |  上传参数设置有误   |
| 1011  |  ERR_UGC_INVALID_SECRETID |  视频上传secretID错误，已经废弃，不会抛出   |
| 1012  |  ERR_UGC_INVALID_SIGNATURE |  视频上传signature错误   |
| 1013  |  ERR_UGC_INVALID_VIDOPATH |  视频文件的路径错误   |
| 1014  |  ERR_UGC_INVALID_VIDEO_FILE |  当前路径下视频文件不存在   |
| 1015  |  ERR_UGC_FILE_NAME |  视频上传文件名太长或含有特殊字符   |
| 1016  |  ERR_UGC_INVALID_COVER_PATH |  视频文件封面路径不对，  文件不存在 |



### 服务器错误码
如果你无法从 SDK 错误码中诊断出视频发布的结果，可以查询以下服务器返回的错误码。这些错误码可以在 Log 信息中找到。

| 错误码      |    含义  |
| :--------: | :--------| 
|   0  |  发布成功 | 
| -20001  |  秒传成功 | 
| -20002  |  任务取消 | 
| -20003  |  任务暂停 | 
| -20004  |  文件不存在 | 
| -20007  | 服务器回包为空 | 
| -20008  |  请求超时 | 
| -20009  |  appid为空 | 
| -20010  |  bucket为空 | 
| -20011  |  COS远程路径为空 | 
| -20012  |  COS目录中含有保留字符 | 
| -20013  |  dest_fileId为空 | 
| -20014  |  bucket_authority为空 | 
| -21001  |  Out Of Memory | 
| -22000  |  IO异常 | 
| -25000  |  其他错误，如需处理请联系腾讯商务人员或者提交工单，联系电话：4009-100-100 | 

