## 直播功能
- **RTMP-UDP 加速**
腾讯云为标准 RTMP 提供 UDP 加速能力，当您使用 SDK 的 RTMP 推流功能时，如果是推流到腾讯云服务器，可以开启 UDP 加速能力，开启 UDP 加速后的推流质量会比标准 RTMP 推流有更好的网络波动抵抗力，同时可以获得更好的推流速度，从而改善当前直播流的观看体验，降低全局卡顿率。如下是一组在客户现场环境下测试的对比结果：
![](https://mc.qcloudimg.com/static/img/12e966a39dc5eba5701cb2e310b16ccb/image.jpg)

- **基础美颜**
通过对基础美颜模块（免费功能）进行了彻底重构，将原有的磨皮和滤镜进行了大幅的优化和归并，在提升美颜效果的同时进一步降低了GPU使用率，缓解了发热问题。
![](//mc.qcloudimg.com/static/img/aac647073cf0641141900e775e929418/image.png)
	
- **AI 特效**
SDK 商用企业版，结合优图实验室和天天P图最新的 AI 识别技术，实现了瘦脸、美瞳、V脸、隆鼻 等一些列**美妆特效**和**动态贴纸**等功能。

- **直播连麦**
SDK 整合腾讯音视频实验室引以为豪的 TRAE 声学处理组件，同时针对直播场景不同于视频通话场景的差异点进行深度优化，实现了更适合连麦场景的实时音视频通话技术。
  
## 点播功能
- **变速播放**
点播播放器支持变速播放，通过接口 `setRate` 可以设置点播播放速率，支持快速与慢速播放，如0.5X、1.0X、1.2X、2X等。
![](https://mc.qcloudimg.com/static/img/8666305d62167cfb7c1e670d14fbd689/image.png)

- **本地缓存**
点播播放器支持对播放的视频进行缓存，避免用户已经看过的视频再第二次播放时再次产生流量损耗。您可以通过 `config` 接口定制缓存大小或者文件个数。

- **加密播放**
视频加密方案主要用于在线教育等需要对视频版权进行保护的场景，支持 HLS 标准协议所规范的加密方案，具有很强的普适性。

- **预加载**
在播放一个视频时，在后台预加载下一个即将播放的视频，可以极大的提升用户切换视频时的观看体验。预加载同时也可以用于贴片广告场景，在播放一个广告短片时预加载即将要播放的视频也是符合用户体验的基本需求。


## 短视频功能
- **优秀的界面交互**
相比于需要专业音视频经验才能驾驭的视频处理功能，UI 实现虽然难度不高，但要构建一个复杂的短视频功能也是非常消耗研发人力，本 SDK 在提供基础视频处理功能的同时，也附赠了一套开源的 UI 实现，使您可以避免从零开始，加快产品的孵化速度。
![](https://mc.qcloudimg.com/static/img/12b5b35b03b820c5ececa4120e8fc33a/image.png)

- **分段录制和回删**
通过 `TXUGCRecord` 的 `pauseRecord` 和 `resumeRecord` 功能，可以将一次录制过程转化为多段录制，如果对录制的效果不满意，可以通过 `deleteLastPart` 回删最后一次的录制结果，而不用从头开始重新录制整个视频，对使用体验提升较大。

- **快速裁剪拼接**
iOS 提供了快速裁剪和编辑接口，1s 内完成视频裁剪和视频拼接。由 `quickGenerateVideo` 接口 和 `quickJoinVideo` 接口提供。

