## 连麦原理

![](//mc.qcloudimg.com/static/img/f68f2faed79f80e515d33310675635f6/image.png)
- **普通直播**
主播推流到腾讯云，普通观众从 CDN 拉流。

- **连麦**
观众 A（也可以是另一个房间的主播）与当前主播建立低延迟的双向音视频链路，其他观众即可同时观看到两人的视频。腾讯云采用超级链路实现连麦主播间的低延迟音视频连接，采用 SDK 内置的 3A （AEC、ANS、AGC）技术解决回音问题。

- **连麦+服务端混流**
中间的方案中，普通观众从 CDN 拉取多路画面的方案会导致带宽成本的增加，同时多个音视频流的声音同步问题也不会特别完美，所以腾讯云又推出了服务端混流方案，在服务端将多路连麦的音视频进行混合，最终在观众端只需要拉取一路音视频流即可。


## 关键技术
- **超级链路**
对于异地的两个主播，腾讯云采用**超级节点**和**内网专线**构建的超级链路将两者之间的地域的传输延迟降至最低。
![](//mc.qcloudimg.com/static/img/022656b52419215b030a4d37ad132247/image.png)

- **延迟控制**
对于普通的播放器（比如ffplay），网络的卡顿会导致延迟的不断累积，这是此类播放器的原理上就决定的，腾讯云 SDK 针对低延迟通化场景，引入了 QQ 语音通话中成熟的动态延迟控制和累积延迟修正技术，在不引入跳帧等影响播放体验的前提下，能够将播放器缓冲延迟控制在500ms以内。

- **回音消除**
常规直播解决方案中，由于语音是单向的（主播说 =\> 观众听），所以没有必要去做AEC（回音消除）。但是连麦场景中有双向（或多向）的语音沟通，主播的声音流向小主播那一端的扬声器，如果不做回音消除，这些声音会再经由麦克风采集后返还给主播本人。
![](//mc.qcloudimg.com/static/img/31fb2031789350bc88e886b75c03a02d/image.png)

- **多路混流**
腾讯云的多路混流技术，可以在服务端实时将多路视频和音频进行混合，并支持多套定制性模板，您可以基于这些参数调节各个画面的位置和坐标。

