本文介绍如何使用 [**腾讯云通讯**](https://cloud.tencent.com/product/im.html) 服务构建一些简单的聊天室功能：
（1）群发普通文本消息
（2）群发弹幕消息
（3）群发点赞消息
（4）群发系统通知，比如“XXX已加入房间”或者“主播已离开”等等。
![](//mc.qcloudimg.com/static/img/d77b0df57a0aa4b102d13868bbdc4cd4/image.png)

## 1. 开通服务
在使用腾讯云通讯服务之前，首先要将这个服务开通，可以按照如下步骤操作：

进入[云通讯管理控制台](https://console.cloud.tencent.com/avc)，如果还没有服务，直接点击**直接开通云通讯**按钮即可。新认证的腾讯云账号，云通讯的应用列表是空的，如下图：
![](//mc.qcloudimg.com/static/img/c033ddba671a514c7b160e1c99a08b55/image.png)

点击**创建应用接入**按钮创建一个新的应用接入，即您要接入腾讯云IM通讯服务的App的名字，我们的测试应用名称叫做“小直播演示”，如下图所示：
![](//mc.qcloudimg.com/static/img/897bff65af6202322a434b6fa3f8a0bd/image.png)

点击确定按钮，之后就可以在应用列表中看到刚刚添加的项目了，如下图所示：
![](//mc.qcloudimg.com/static/img/1c1cb2c2fa4c6f0dc7be06bf8329dee3/image.png)

## 2. 应用配置
上图的列表中，SDKAPPID 这一列显示的是腾讯云通讯业务ID，这个ID在对接各平台版本的IM SDK时都会用到，右侧有一个**应用配置**按钮，点击这里进入下一步的配置工作，如下图所示。
![](//mc.qcloudimg.com/static/img/d52ac3662d5310673a5d6c6a78f50da4/image.png)

此处的配置项比较多，但大部分都不重要，你可以不配置或者之后有需要再随时调整，比如：

| 配置项 | 项目说明 |
|-------|---------|
| 账号名称 | 您可以随便填写（不要用特殊奇葩火星文等字符） |
| 验证方式 | 目前有且仅有“系统生成公钥”，所以这一项配置您无需关心。 |
| 账号管理员名称 | 是一个可以方便调试用的UserId，如果您是工程师，直接填写自己后面常用的账号id就可以了，使用云通讯服务的高级特性是才有可能用到。 |
| 验证短信签名| 就是短信文本的前缀，填写App的中文名称就可以了。 |
| 集成模式 | 这个部分我们在下面详细介绍 |

这些配置好以后，您要做的就是点击**保存**按钮就可以了。

## 3. 集成模式

### 3.1 两种集成模式
集成模式说的是**账号集成用什么模式**？ 针对客户不同的安全性要求，我们有不同的推荐方案：

| 集成模式 | 适用场景 | 对接难度 | 设计目标 |
|------------|-------------|-------------| -----------|
| 访客（托管）模式 | 适合对**身份确认要求**不高的场景，比如允许App用户都可以发言的直播间聊天室场景。 | 采用guestLogin模式登录 IM SDK即可，对接成本极低。 | 设计目标是降低对接成本，让您能够不对接自由账号系统的情况下就能使用IM服务，腾讯云会为每个App用户生成一个<font color='blue'>“访客账号“</font>，该账号可以用来收发消息，但这些账号跟您现有的账号体系没什么关系，所以它们也只能用来收发消息。|
| 独立（鉴权）模式 | 对**身份确认要求**非常高的客户，比如要求消息收发者身份必须同自由账号体系中的 ID 一一绑定。 | 需要使用UserSig安全签名，对接成本比较高。| 设计目标是将消息收发权限交给客户掌控，它要求在您的登录服务器确认App用户合法身份后需派发签名，腾讯云通过检查签名真实性后才允许收发消息。这样可以让消息的收发者都100%是您的账号体系里的账号。|

>**帮助您理解**
>
> - **访客模式**下，腾讯云通讯服务就像公共电话亭，在手机流行起来以前，公共电话服务还是很有市场的，但是我们对公共电话号码可从来没有特别在意过，确认对方身份靠的是通话里面的：“hello, this is rex！"
>
> - **独立模式**下，腾讯云通讯服务就像是个人手机服务，每个人都有确定的手机号码，好处就是看 “来电号码” 就能确认对方身份。代价就是买手机卡的时候要先过一下实名制，绑定个身份证什么的。

### 3.2 访客（托管）模式
访客模式的设计目标是降低对接成本，让您能够不对接账号系统的情况下就能使用IM服务，腾讯云会为每个App用户生成一个<font color='blue'>“访客账号“</font>，该账号只会用来收发消息。您可以将这些访客账号理解为一个个“傀儡账号”。消息发送者的真实用户信息（昵称、头像等等）不跟访客账号绑定，而是跟着消息体一起发出去。

该模式的接入流程非常简单：点点鼠标 + 写几行对接代码就能搞定。

（1）首先，在  [应用配置](#2.-.E5.BA.94.E7.94.A8.E9.85.8D.E7.BD.AE) 中集成模式选项里选择 **托管模式**，这样能让腾讯云为访客模式的访客账号提供后台支持。
（2）在客户端代码中对接 IM SDK 的访客登录模式即可，这里包括 TLS（TLS 的全称是 “Tencent Login Service” ，是腾讯云 IM SDK 的核心组件）和 IM SDK 两处的函数调用。

直接复用小直播 App 源码的话会简单很多，只需调用一个函数（iOS平台：位于TCIMPlatform.h 中的 guestLogin 函数；Android平台：位于TCLoginMgr.java 中的 guestLogin 函数）就可以达成目标，函数内部已经帮您封装了相关逻辑，如下是源码解释：

- **iOS 平台**
   + 查询SDKAPPID ，ID的获取参考文章上半部分的 **1. 开通服务**。
   + 调用 TLSHelper 头文件中的 TLSGuestLogin 函数，它会到腾讯云后台请求一个访客账号，如果第一步骤中的 SDKAPPID 没有设置错误，并且手机可以接入互联网，那么您会成功拿到一个 TLSUserInfo 对象，TLSUserInfo.identifier 即为访客账号的ID。
   + 使用 TLSHelper 的 getTLSUserSig 函数可以为该 identifier 生成一个合法的 UserSig 签名。
   + 最后，使用刚刚拿到的 identifier 和 UserSig 可以构造一个 TIMLoginParam 对象，之后使用 TIMManager 的 login 函数即可完成 IM SDK 的登录流程了。
 
```objective-c
// 示例代码 1： 调用TLS（Tencent Login Server）的访客模式登录
- (void)guestLogin:(UIButton *)button {
    TLSUserInfo *info = [[TLSHelper getInstance] getGuestIdentifier];
    int ret = [[TLSHelper getInstance] TLSGuestLogin:self];
    if (ret == 0) {
           // 登录中，转个登录中的菊花吧
    } else {
           // TLSHelper 出错了， 请检查 IMSDK_APPID 是不是搞错了
    }
}

// 示例代码 2： 在TLS（Tencent Login Server）登录成功后调用IM SDK 登录
- (void)OnGuestLoginSuccess:(TLSUserInfo *)userInfo {
    TIMLoginParam *loginParam = [[TIMLoginParam alloc] init];
    loginParam.appidAt3rd = @"88888888"; // 填写您的SDKAPPID
    loginParam.sdkAppId = 88888888       // 填写您的SDKAPPID
    loginParam.accountType = @"0";
    loginParam.identifier = userInfo.identifier;
    loginParam.userSig = [[TLSHelper getInstance] getTLSUserSig:userInfo.identifier];

    [[TIMManager sharedInstance] login:loginParam succ:^{
		     // OK, 登录成功，后面就可以发消息了！
    } fail:^(int code, NSString *msg) {
        // im sdk 登录失败，请检查 IMSDK_APPID 是不是搞错了
    }];
}
```

- **Android 平台**
   + 查询SDKAPPID ，ID的获取参考文章上半部分的 **1. 开通服务**。
   + 调用TLS（Tencent Login Service）的 TLSGuestLogin 函数完成访客登录，此时它会到腾讯云后台请求一个访客账号，如果第一步骤中的SDKAPPID 没有设置错误，并且手机可以接入互联网，那么您会成功拿到一个 TLSUserInfo 对象，TLSUserInfo.identifier 即为访客账号的ID。
   + 使用TLS的 getUserSig 函数可以为该 identifier 生成一个合法的 UserSig 签名。
   + 最后，使用刚刚拿到的 identifier 和 UserSig 调用 TIMManager 的 login 函数即可完成 IM SDK 的登录流程了。

```java
// 示例代码： Android 平台下实现IM SDK 的访客登录
public void guestLogin() {
   //调用TLS（Tencent Login Server）的访客登录模式
   mTLSLoginHelper.TLSGuestLogin(new TLSGuestLoginListener() {
       @Override
       public void OnGuestLoginSuccess(TLSUserInfo tlsUserInfo) {
           //设置 SDKAPPID
           TIMUser user = new TIMUser();
           user.setAccountType(String.valueOf(TCConstants.IMSDK_ACCOUNT_TYPE));
           user.setAppIdAt3rd(String.valueOf(TCConstants.IMSDK_APPID));
           user.setIdentifier(tlsUserInfo.identifier);
           String userSig = mTLSLoginHelper.getUserSig(identifier);

            //发起 IM SDK 登录操作，登录成功后就可以发消息了
            TIMManager.getInstance().login(TCConstants.IMSDK_APPID, user, userSig, new TIMCallBack() {
                @Override
                public void onSuccess() {
                    // OK, 登录成功，后面就可以发消息了！
                }
							  @Override
                public void onError(int i, String s) {
                   // im sdk 登录失败，请检查 IMSDK_APPID 是不是搞错了
                }
            });
        }
    });
}
```

### 3.3 独立（鉴权）模式

#### 3.3.1 原理解析
独立模式的设计目标是将消息收发权限交给客户掌控：APP 用户在成功登录后，您的登录服务器需要派发imLogin ( IM SDK 运行的第一个步骤 ) 所需求的 UserSig 签名（签名的计算采用跟腾讯云后台协商的非对称密钥实现），腾讯云通过检查 UserSig 签名的有效性后，才允许其收发消息。

如此一来，就能保证：**只有通过您的服务器认证的用户，才能正常的通过 IM 云通讯服务器的验证。** 

当然，更重要的意义是，既然没有经过您认可的用户不能使用 IM 功能，那么您就不需要将用户名和昵称放在 IM 消息体中，而是直接通过 IM 消息头里的 ID 身份确认消息发送者，因为消息头不破解 IM SDK 无法伪造，因此这种方式**可以更安全的确认消息发送者的身份**。

#### 3.3.2 UserSig签名
UserSig签名，是腾讯云 IM 服务后台跟您的服务器之间认证的一种手段，用于解决两家不同公司的服务器之间怎么相互信任的问题，我们打个更形象的比方来解释其原理：

> 1. 某个美女用户在您的App上登录了，她使用了之前在您这里注册的ID和登录口令，ID叫做 “花仙子”。
>
> 2. 您这边在拿到ID和口令后立刻进行了验证，并且确认她可以登录 APP 。于此同时，您还开给她一张**放行条(UserSig)**，上面写着“<font color='blue'> '花仙子' 是良民的干活，到你腾讯的地盘，你可得伺候好了，不要亏待她...</font>”，为了确保这个放行条不被伪造，您还在上面用正楷签了名。
>
> 3. 腾讯云在看了您的放行条以后，确认签字为您本人亲笔所签，自然会提供相应的服务。

上述就是消息鉴权背后的对接方案，它的核心目标就是限制哪些没有得到您的后台服务器认可的用户收发消息，但让您的服务器检查每一条消息又是不合适的，所以才演化出了这样一套方案。

UserSig 签名使用了最普通的非对称密钥加密技术，您在开通独立模式的时候，会在腾讯云拿到一组公私密钥对，用私钥[加密](https://cloud.tencent.com/doc/product/269/1510)指定的信息即可。

#### 3.3.3 对接流程
- **step1: 选择独立模式**
> 确保腾讯[云通讯控制台](https://console.cloud.tencent.com/avc)中的集成模式为**独立模式**，并且下载计算签名用的公私钥。
> ![](//mc.qcloudimg.com/static/img/4e79ff175d8053f8998e02732468e398/image.png)

- **step2: 完成后台对接**
> 这部分由贵团队的后台工程师完成，它要使用step1中获取的签名秘钥，为您的 APP 提供一个拉取 UserSig 签名的接口，APP 登录成功后就可以通过该接口获取计算好的 UserSig。

- **step3: imLogin(ID, UserSig) **
> APP 获取到来自您的服务器签发的 UserSig 后，就可以调用 IM SDK 的 imLogin(ID, UserSig) 接口激活 IM 服务了，腾讯云后台会使用 step1 中对应的公钥对 UserSig 进行解密，从而验证当前用户是否得到了您的登录服务器的认可。

- **step4: 修改消息发送逻辑**
>修改消息发送端代码，不需要将发送者身份放入消息体中。同时修改消息接收端代码，通过 TIMMessage 的 sender 属性，来更加确定地获取消息发送者的身份。

以上步骤的示意图如下：
![](//mc.qcloudimg.com/static/img/1e541b2931d0cb8fb1815f26aa8fb493/image.png)


## 4. 消息收发
腾讯云通讯服务支持多种消息类型的格式，比如文本、图片、表情、语音甚至小文件，这部分可以在[云通讯文档专区](https://cloud.tencent.com/doc/product/269) 进行了解。

相对而言，直播中的消息形态比较简单，主要是如下几种类型：
- 普通文本消息：包括发送者的昵称以及消息本身。
- 弹幕消息：本质也是文本消息，只是消息的展示方式会更显花哨。
- 点赞消息：当一位观众为主播点赞时，要保证其他观众也能看到
- 系统通知，比如“XXX已加入房间”或者“主播已离开”等等。

针对这种比较简单的场景，我们在小直播中相应地采用了一种非常简单的办法：**统一采用文本消息通道收发消息，因为有多字段（如消息类型、用户头像、昵称等）拼装需求的情况，我们采用了json格式对数据进行组装。**

比如：“花仙子” 给主播发了一条消息 “帅哥笑一下” ，按照上述方案，真正发送的文本消息为：
```json
{
    "userAction": 1,
	"userId": 27149, 
	"nickName": "花仙子", 
	"headPic": "http: //www.test.com/headpic/27149.png",
	"msg": "帅哥笑一下"
}
```
其中，**userAction** 是我们在小直播中定义的消息类型，一共有 5 种，它们分别是：

| userAction | 数字 | 含义 |
|---------|---------|---------|
| AVIMCMD_Custom_Text | 1 | 文本消息 |
| AVIMCMD_Custom_EnterLive | 2 | 用户加入直播 |
| AVIMCMD_Custom_ExitLive | 3 | 用户退出直播 |
| AVIMCMD_Custom_Like | 4 | 点赞消息 |
| AVIMCMD_Custom_Danmaku | 5 | 弹幕消息 |

接下来是小直播里的源码摘抄，源码的作用是发送一条普通的文本消息，谨供您参考：

#### 4.1 iOS平台
```
//源码位于 TCMsgHandler.m 文件中
- (void)sendMessage:(AVIMCommand)cmd userId:(NSString *)userId
             nickName:(NSString *)nickName 
						 headPic:(NSString *)headPic 
						 msg:(NSString *)msgContent
{
    if ((AVIMCMD_Custom_Text == cmd || AVIMCMD_Custom_Danmaku == cmd) && msgContent.length == 0)
    {
        DebugLog(@"sendMessage failed, msg length is 0");
        return;
    }
    
    NSDictionary* dict = @{@"userAction" : @(cmd),
		@"userId" : TC_PROTECT_STR(userId), 
		@"nickName" : TC_PROTECT_STR(nickName), 
		@"headPic" : TC_PROTECT_STR(headPic), 
		@"msg" : TC_PROTECT_STR(msgContent)};
    
    NSData* data = [TCUtil dictionary2JsonData:dict];
    NSString *content = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];

    TIMTextElem *textElem = [[TIMTextElem alloc] init];
    [textElem setText:content];

    TIMMessage *timMsg = [[TIMMessage alloc] init];
    [timMsg addElem:textElem];

    [_chatRoomConversation sendMessage:timMsg succ:^{
        DebugLog(@"sendMessage success, cmd:%d", cmd);
    } fail:^(int code, NSString *msg) {
        DebugLog(@"sendMessage failed, cmd:%d, code:%d, errmsg:%@", cmd, code, msg);
    }];
}
```

#### 4.2 Android 平台
```
//源码位于 TCChatRoomMgr.java 文件中
private void sendMessage(int cmd, String param, TIMValueCallBack<TIMMessage> timValueCallBack) 
{
    JSONObject sendJson = new JSONObject();
    try {
		sendJson.put("userAction", cmd);
        sendJson.put("userId", TCUserInfoMgr.getInstance().getUserId());
        sendJson.put("nickName", TCUserInfoMgr.getInstance().getNickname());
        sendJson.put("headPic", TCUserInfoMgr.getInstance().getHeadPic());
        sendJson.put("msg", param);
    } catch (JSONException e) {
        e.printStackTrace();
    }
    
	String cmds = sendJson.toString();
    TIMMessage msg = new TIMMessage();
    TIMTextElem elem = new TIMTextElem();
    elem.setText(cmds);
		
	if (msg.addElement(elem) != 0) {
	    Log.d(TAG, "addElement failed");
        return;
	}
	sendTIMMessage(msg, timValueCallBack);
}
```


