## RTMP 推流

### 特别提醒
由于国家管制日趋严格，微信团队对于纯直播应用场景的小程序有比较严格的审查机制，尤其是无开播门槛的秀场类的直播应用，如不具备相对完善的涉黄涉政监管措施，**很大概率无法** 通过微信平台的审核。

### 功能体验
在微信小程序中搜索 **腾讯视频云** 可以加载到我们的演示用小程序，其中 **RTMP推流** 功能用于体验和测试推流能力，点击 New 按钮可以获取一个新的推流地址。

### 对接攻略
- step1：进入[直播控制台](https://console.cloud.tencent.com/live)，开通腾讯云直播服务，开通方法可参考 [DOC](https://cloud.tencent.com/document/product/454/7953#1.-.E8.A7.86.E9.A2.91.E7.9B.B4.E6.92.AD.EF.BC.88lvb.EF.BC.89)。

- step2：进入[直播控制台>>直播码接入>>接入配置](https://console.cloud.tencent.com/live/livecodemanage) 配置推流防盗链KEY 和 API鉴权KEY， 配置方法可参考 [DOC](https://cloud.tencent.com/document/product/454/7953#1.2-.E7.9B.B4.E6.92.AD.E7.A0.81.E6.8E.A5.E5.85.A5.E6.80.8E.E4.B9.88.E9.85.8D.EF.BC.9F)。

- step3：进入[直播控制台>>直播码接入>>推流生成器](https://console.cloud.tencent.com/live/livecodemanage) 可以生成测试用的 [推流URL](https://cloud.tencent.com/document/product/454/7915)，推流URL 的拼装规则您也需要了解下，最终这些 URL 都是由您的后台业务服务器自动生成的。

- step4：参考 [&lt;live-pusher&gt;](https://cloud.tencent.com/document/product/454/12518) 标签的使用指引即可实现推流功能，&lt;live-pusher&gt; 有两种模式，SD、HD、FHD 都是直播场景，延迟高但清晰度可控；RTC 是实时通化场景，延迟很低，但为了延迟，小程序在必要的时候会牺牲清晰度。 [推荐参数](https://cloud.tencent.com/document/product/454/12518#.E5.8F.82.E6.95.B0.E8.AE.BE.E7.BD.AE) 里给出了一些常见场景下的参数配置。

- step5：您也可以在 [小程序源码](https://cloud.tencent.com/document/product/454/7873#MiniPrograms) 里下载 Demo 的源码进行参考。


## 直播播放（FLV、RTMP）

### 功能体验
在微信小程序中搜索 **腾讯视频云** 可以加载到我们的演示用小程序，其中 **直播播放器** 功能用于体验和测试 RTMP 和 FLV 协议的播放地址。普通 RTMP 和 FLV 协议的播放延迟在 2-5s 左右。

### 对接攻略
- step1：阅读 [DOC](https://cloud.tencent.com/document/product/454/7915) 可以了解推流 URL 和播放 URL 的关系。

- step2：阅读 [&lt;live-player&gt;](https://cloud.tencent.com/document/product/454/12519) 标签的使用指引，live 模式用于普通直播场景，可以播放常规 rtmp 和 flv 地址，延迟 2 - 5s（这是默认值，您可以通过 &lt;live-player&gt; 标签的 min-cache 和 max-cache 来设定，但 live 模式下 min-cache 最小值是 1）。

- step3：您也可以在 [小程序源码](https://cloud.tencent.com/document/product/454/7873#MiniPrograms) 里下载 Demo 的源码进行参考。

## 超低延时播放（RTMP-UDP）
### 功能体验
在微信小程序中搜索 **腾讯视频云** 可以加载到我们的演示用小程序，其中 **低延时播放** 功能用于体验和测试超低延时播放功能。

腾讯云的每一条直播流，都支持进行 UDP 加速，这种加速能力可以将原本 2-3 秒延迟的 RTMP 协议做到 400ms 以内，也就是实现超低延时播放。该链路是基于 UDP 版的 RTMP 协议实现的，所以不能用 &lt;live-player&gt; 标签 的 live 模式播放，只能使用 RTC 模式播放。

低延时 RTMP - UDP 协议的地址是在普通 RTMP 播放地址的后面添加**防盗链签名**，防盗链签名的计算方法见 [DOC](https://cloud.tencent.com/document/product/454/9875)，计算过程中需要用到您在开通直播服务时所配置的 **推流防盗链KEY**。

需要注意的是，超低延迟 RTMP-UDP 的并发观看人数最多是<font color='red'> 10 人 </font>，所以它不适合用于常规直播观看，只能用于实时通话和一些特殊需求场景。

如下是一组示例：
<table >
    <tr>
      <td >普通直播 URL</td>
      <td>rtmp://3891.liveplay.myqcloud.com/live/3891_test_clock_for_rtmpacc</td>
    </tr>
    <tr>
      <td>超低延时 URL</td>
      <td>rtmp://3891.liveplay.myqcloud.com/live/3891_test_clock_for_rtmpacc?bizid=bizid&txTime=5FD4431C&txSerect=20e6d865f462dff61ada209d53c71cf9</td>
    </tr>
</table>

 > &lt;live-player&gt; 的 RTC 模式即 TXLivePlayer::startPlay 中的 PLAY_TYPE_LIVE_RTMP_ACC。

### 对接攻略
- step1：阅读 [DOC](https://cloud.tencent.com/document/product/454/7915) 了解如何获取 RTMP 播放 URL。之后阅读 [DOC](https://cloud.tencent.com/document/product/454/9875) 了解如何为普通 RTMP URL 添加防盗链签名。

- step2：阅读 [&lt;live-player&gt;](https://cloud.tencent.com/document/product/454/12519) 标签的使用指引，RTC 模式用于超低延时播放，只能播放带有防盗链签名的 RTMP URL 。

- step3：您也可以在 [小程序源码](https://cloud.tencent.com/document/product/454/7873#MiniPrograms) 里下载 Demo 的源码进行参考。




