## 功能介绍
所谓录制回看，是指您可以把用户整个直播过程录制下来，然后作为点播视频用于回看。

在APP上线的初期阶段，由于主播数量比较少，所以在直播列表中加入录制回看，能够在一定程度上丰富APP在观众端的信息量。

即使到APP成长起来主播数量形成规模以后，好的直播内容的沉淀依然是必不可少的一个部分，每个主播的个人介绍里除了有名字、照片和个人信息，历史直播的视频回看更是不可或缺的一个重要组成部分。

![](//mc.qcloudimg.com/static/img/504f32f7112d7dd9ab6c4ec10cb20099/image.png)

## 开启录制
录制回看功能依托于腾讯云的**点播服务**支撑，如果您想要对接这个功能，首先需要在腾讯云的管理控制台[开通点播服务](http://console.cloud.tencent.com/video)。服务开通之后，新录制的文件就可以在点播控制台的 [视频管理](http://console.cloud.tencent.com/video/videolist) 里找到它们。

那么怎么开启录制呢？这里有两个办法：

### 1. 全局开启录制
即指定所有直播的视频流全部开启或者关闭录制，在 [直播管理控制台 >> 接入管理 >> 直播码接入 >> 接入配置](https://console.cloud.tencent.com/live/livecodemanage) 中可以对其进行设置，见下图：

![](//mc.qcloudimg.com/static/img/302dd405148cb9ccd016c3deafc6027d/image.png)

> 注意：全局录制的分片时长默认为30分钟，如果您需要配置全局录制的分片时长，可以提工单申请。

### 2. 指定房间录制
在所有直播的视频流全部关闭录制的情况下，您依然可以对个别重要的视频流开启录制，操作方法是在推流URL后拼接 **&record=mp4** 或者 **&record=hls** 或者 **&record=mp4|hls**，例如：
```
rtmp://2121.livepush.myqcloud.com/live/2121_15919131751?txSecret=aaa&txTime=bbb&record=mp4&record_interval=5400
```
这里有几点要特别说明：
- 目前录制功能支持的视频封装格式有 mp4、 hls 和 flv 三种，关于点播格式的差异，您可以参考这里 [DOC](https://www.cloud.tencent.com/document/product/454/7937#3.-.E5.B8.B8.E8.A7.81.E7.9A.84.E7.82.B9.E6.92.AD.E5.8D.8F.E8.AE.AE.E6.9C.89.E5.93.AA.E4.BA.9B.EF.BC.9F)。

- record=mp4|hls|flv 分隔符格式用于指定同时录制一种以上的视频格式（只有 MP4 和 HLS 支持手机浏览器播放）。

- mp4 格式的视频是 不支持 直播中途切换分辨率或做横竖屏切换的。
  
- 如果您指定的录制格式是 flv 或 mp4 ，可以通过 record_interval 参数用于指定单个录制分片的时长，单位是秒，最长支持120分钟（也就是7200），不指定的话默认值是30分钟（也就是1800）。
 
- hls（m3u8） 文件本身就是小分片机制，所以无所谓切断问题，只要直播过程中不断流，您只会拿到一个m3u8文件。但如果直播期间推流出现中断，录制过程依然会出现分段问题（也就是会得到多个m3u8），其中一个常见的问题就是 App 切后台，推荐采用后台推流解决方案进行缓解。

- 如果您想只录制音频，可以通过添加参数 record_type=audio 来指定。
 
## 获取文件
一个新的录制视频文件生成后，会相应的生成一个观看地址，您可以按照自己的业务需求对其进行处理。在小直播中，我们直接将录制的文件URL和房间列表拼在了一起，以弥补在线主播不足的窘境。

但您可以结合自己的业务场景实现很多的扩展功能，比如：您可以将其追加到主播的资料信息里，作为该主播曾经直播的节目而存在；或者将其放入回放列表中，经过专门的人工筛选，将优质的视频推荐给您的App用户。

那么怎样才能拿到文件的地址呢？有如下两种解决方案：

### 1. 被动监听通知
您可以使用腾讯云的**[事件通知服务](https://www.cloud.tencent.com/doc/api/258/5957)**：您的服务器注册一个自己的**回调URL**给腾讯云，腾讯云会在一个新的录制文件生成时通过这个URL通知给您。

![](//mc.qcloudimg.com/static/img/b50c901fb4d529daf3405e78bc69908d/image.png)

如下是一个典型的通知消息，它的含义是：一个id为9192487266581821586的新的flv录制文件已经生成，播放地址为：`http://200025724.vod.myqcloud.com/200025724_ac92b781a22c4a3e937c9e61c2624af7.f0.flv`。
```json
{
    "channel_id": "2121_15919131751",
    "end_time": 1473125627,
    "event_type": 100,
    "file_format": "flv",
    "file_id": "9192487266581821586",
    "file_size": 9749353,
    "sign": "fef79a097458ed80b5f5574cbc13e1fd",
    "start_time": 1473135647,
    "stream_id": "2121_15919131751",
    "t": 1473126233,
    "video_id": "200025724_ac92b781a22c4a3e937c9e61c2624af7",
    "video_url": "http://200025724.vod.myqcloud.com/200025724_ac92b781a22c4a3e937c9e61c2624af7.f0.flv"
}
```

### 2. 主动查询文件
您可以通过腾讯云的文件查询接口（**[Live_Tape_GetFilelist](https://www.cloud.tencent.com/doc/api/258/5960)**）定时地查看是否有新的录制文件生成，不过这种方案在要查询的频道数特别多的时候，响应速度不理想，同时调用频率也不能太快（仅对刚结束的频道进行调用为宜），这种方案的实时性和可靠性不高，并不推荐频繁使用。

## 常见问题
### 1. 直播录制的原理是什么？

![](//mc.qcloudimg.com/static/img/cbb2aae6b5e767db1d30cb51d147948d/image.png)

对于一条直播流，一旦开启录制，音视频数据就会被旁路到录制系统。主播的手机推上来的每一帧数据，都会被录制系统追加写入到录制文件中。

一旦直播流断中断，接入层会 立刻 通知录制服务器将正在写入的文件落地，将其转存到点播系统中，并为其生成索引，这样您在点播系统中就会看到这个新生成的录制文件了。同时，如果您配置了录制事件通知，录制系统会将该文件的 **索引ID** 和 **在线播放地址** 等信息通知给您之前配置的服务器上。

但是，如果一个文件过大，在云端的转出和处理过程中就很容易出错，所以为了确保成功率，我们的单个录制文件最长不会超过90分钟，您可以通过 record_interval 参数指定更短的分片。


### 2. 一次直播会有几个录制文件？
- 如果一次直播过程非常短暂，比如只有不到 1 秒钟时间，那么可能是没有录制文件的。

- 如果一次直播时间不算长（小于 record_interval），且中途没有推流中断的事情发生，那么通常只有一个文件。

- 如果一次直播时间很长（超过 record_interval ），那么会按照 record_interval 指定的时间长度进行分片，分片的原因是避免过长的文件在分布式系统中流转的时间不确定性。

- 如果一次直播过程中发生推流中断（之后 SDK 会尝试重新推流），那么每次中断均会产生一个新的分片。

### 3. 如何知道哪些文件属于某一次直播？
准确来说，作为 PAAS 的腾讯云并不清楚您的一次直播是怎么定义的，如果您的一次直播持续了20分钟，但中间有一次因为网络切换导致的断流，以及一次手动的停止和重启，那么这算是一次直播还是三次呢？

对于普通的移动直播场景，我们一般定义如下的界面之间的这段时间为一次直播：
![](//mc.qcloudimg.com/static/img/1df26077a3e59479b658aef63ab7f83d/image.png)

所以来自 APP 客户端的时间信息很重要，如果您希望定义这段时间内的录制文件都属于这次直播，那么只需要用直播码和时间信息检索收到的录制通知即可（每一条录制通知事件都会携带stream_id、start_time 和 end_time 等信息）。


### 4. 如何把碎片拼接起来？
目前腾讯云支持使用云端 API 接口拼接视频分片，API 详细用法可以参考 [视频拼接](https://www.cloud.tencent.com/document/product/266/7821) 。
