
## 系统概述
一套完整的移动直播解决方案，由三个方面组成：终端、后台和 Web 页面，三方相互配合，共同构建出一个完套的闭环方案。

小直播 App 是腾讯云视频终端研发团队自主打造的一款演示用原型，目的是为提供全套源码参考，内部包含主播推流、观看、录制回看、互动消息、点赞、弹幕，等基本功能。只要您是腾讯云认证用户，并开通视频直播服务，就可以[免费获取](https://console.cloud.tencent.com/live/mlvbsdkdownload)。

![](//mc.qcloudimg.com/static/img/a3511a5130d71605d62dd613cfceeca8/image.png)

但如何降低源码的学习和使用成本是个难题，本专区中，我们将小直播所涉及的几个主要功能点进行细分拆解，并逐个介绍，力求能尽力降低您的接入成本和研发负担。

## 细分拆解

### Part. 1 直播间列表
如果您不是同一时间只有一个直播频道的活动类客户，直播间列表将是一个必不可少的组成部分。小直播App定位对外演示，所以同时处于直播中状态的房间屈指可数，因此，我们将直播和回看列表混合在了一起，以使列表中的项目不会太单薄。

![001](//mc.qcloudimg.com/static/img/1e6d141a053482e568110d1c1cfc7344/image.png)


### Part. 2 推流&播放
使用腾讯云RTMP SDK可以在一天时间内实现移动终端的推流、直播和点播能力，这三个功能的使用方式都遵循一个原则：**一个URL（推流URL、直播URL或者点播URL）就能驱动**。

![002](//mc.qcloudimg.com/static/img/cfb85d079d28e63e56904d22acf2d160/image.png)


### Part. 3 互动消息
使用腾讯云 IM 通讯 SDK 可以快速实现直播聊天室场景的需求，小直播App 利用腾讯云 IM 通讯服务实现了如下几个功能点：
（1）普通文本消息
（2）弹幕消息
（3）点赞消息
（4）系统通知，比如 “XXX已加入房间” 或者 “主播已离开” 等等。

![003](//mc.qcloudimg.com/static/img/0749d445c4e15bcf9dc2617299ae5cf5/image.png)


### Part. 4 录制回看
录制回看，是指您可以把用户整个直播过程录制下来，然后作为点播视频用于回看。在APP上线的初期阶段，由于主播数量比较少，所以在直播列表中加入录制回看，能够在一定程度上丰富APP在观众端的信息量。小直播App定位对外演示，所以同时处于直播中状态的房间屈指可数，因此也采用了这种的交互方式。

![](//mc.qcloudimg.com/static/img/e9875c1a519eebd53b68938fb9535e92/image.png)

### Part. 5 微信分享
微信分享的难度在于Web页面的适配问题让人很头疼，不仅仅播放协议有很大差异，各种手机浏览器的视频播放兼容问题也确实非常繁琐。所以我们提供了一些傻瓜式的专门为分享定制的Web播放器，以及相关源码，以便加速完善您在社交分享上的产品体验。

![](//mc.qcloudimg.com/static/img/c7ae656ffdc8f84bf060d7e1e5148edf/image.png)






