## 添加子商户
- 服务商需先在[**微信支付商户平台**](https://pay.weixin.qq.com)，完成微信支付子商户申请，然后在[**云支付**](https://console.cloud.tencent.com/cpay)添加微信支付子商户
 ![](https://mc.qcloudimg.com/static/img/0d6ffa481ce1dd131f27f35cc379315b/image.png)      
- 输入子商户基本信息
![](https://mc.qcloudimg.com/static/img/2f5536f560228635050e93dc43869554/image.png)   
&radic;&nbsp;&nbsp;&nbsp;参数说明：   
  
| 参数类型 | 参数说明 | 查看 |
|---------|---------|---------|
| 子商户名称 | 微信支付商户平台上的商户名称。 | 无 |
| 子商户简称 | 微信支付商户平台上的商家简称。 | 无 |
| 子商户管理员姓名 | 子商户管理员姓名。 | 无 |
| 子商户管理员邮箱 | 子商户管理员邮箱。 | 无 |
| 子商户logo | 在一码支付的支付页面等地方展示。 | 无 |
| 广告URL | 点击广告图片跳转的链接。 | 无 |
| 广告图片 | 在一码支付的支付完成页展示。 | 无 |
| 备注 | 子商户备注信息。 | 无 |  

- 输入子商户第三方支付相关信息   
![](https://mc.qcloudimg.com/static/img/1a15bee7d6611e052f5d829ed3ff1f04/image.png)   
&radic;&nbsp;&nbsp;&nbsp;参数说明：   
  
| 参数类型 | 参数说明 | 查看 |
|---------|---------|---------|
| 子商户商户号 | 微信支付商户平台上的微信支付商户号，子商户在申请微信支付后，由微信支付分配的商户收款账号。 | [**查看**](https://pay.weixin.qq.com/index.php/core/account/info) |
| 支付宝用户ID | 商户的支付宝账户里的用户ID | [**查看**](https://cloud.tencent.com/document/product/569/12471) |  


&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&radic;&nbsp;&nbsp;&nbsp;参数来源如图所示：   
![](https://mc.qcloudimg.com/static/img/05cccdf743c82440e284d953bdebd312/image.png)    
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;![](https://mc.qcloudimg.com/static/img/3f3260669294f8a1ed371a0dd8b81753/image.png) 
- 添加完成后，点击下一步
 ![](https://mc.qcloudimg.com/static/img/efe5c9e1a0261373189b170acbcd22f8/image.png)   
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&radic;&nbsp;&nbsp;&nbsp;参数说明：  

| 参数类型 | 参数说明 | 
|---------|---------|
| 认证类型 | 认证码生成算法 |
| 认证密钥 | 用于交易请求时对参数生成认证码 | 
| 签名类型 | 签名算法 | 
| 验签公钥 | 用户撤单和退款时服务端验签 | 
| 签名私钥 | 用于撤单和退款时客户端签名 |   

&nbsp;&nbsp;&nbsp;返回结果：是否成功，成功则提示成功，失败则提示失败原因。    
&nbsp;&nbsp;&nbsp;**点击签名私钥后的复制，保存认证密钥和签名私钥到本地。**   

- 如果有添加支付宝商户信息，在参数录入完成后，需要商户扫码授权。具体操作如下：     
&radic;&nbsp;&nbsp;&nbsp;在子商户详细信息中，获取支付宝服务商授权码，如下图所示：   
![](https://mc.qcloudimg.com/static/img/03b9eaa8ad2f841ce90da92e39c92bd1/123.png)   
&radic;&nbsp;&nbsp;&nbsp;让有商户管理权限的支付宝帐号扫码授权，扫码成功显示如下：    
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(**备注：授权成功后，请等一分钟再测试支付**)    
![](https://mc.qcloudimg.com/static/img/ca933b53912055a67c3bb52019df0b0c/image.png)  
&radic;&nbsp;&nbsp;&nbsp;如果扫码出现如下结果，有两种情况：
- 如果你想绑定新的支付宝账户，则需要先删除原来的授权信息(删除方法：编辑>删除“支付宝用户ID”>保存),然后重新授权；
- 如果你就想使用原有的支付宝账户进行授权，请确定，你使用了正确的商户支付宝。如果确认完成之后依然不对。请参见第1步，删除原有授权之后重新授权。

![](https://mc.qcloudimg.com/static/img/fa17cd2c7352450156d65d3363da072c/image.png)   

- 子商户添加完成后会弹出二个二维码，商户管理员
二维码和商户管理二维码，服务商将它们发送给商户，商户依次扫码即可获取商户管理权限。   
![](https://mc.qcloudimg.com/static/img/2a9e9266927798ead8a3a5c3684122bc/image.png)      
&radic;&nbsp;&nbsp;&nbsp;如扫码失败，手机出现如下提示，则说明服务商填的AppID对应的微信公众号没有通过认证，请到微信公众平台认证：      
![](https://mc.qcloudimg.com/static/img/610a55beb2c1add93b3d0fb827ba38e6/image.jpg)    
&radic;&nbsp;&nbsp;&nbsp;如扫码失败，手机出现如下提示，则说明服务商的微信公众号未将网页服务权限授权给腾讯云支付，请完成授权后，再扫码激活管理员身份：      
![](https://mc.qcloudimg.com/static/img/b0d3c5af60dee16ff58aa30c576c1fef/image.png)    
&radic;&nbsp;&nbsp;&nbsp;如扫码失败，手机出现如下提示，是浏览器兼容性问题，实际已经激活成功：      
![](https://mc.qcloudimg.com/static/img/4c8b31a331bb6c26c68e630fa9b4e1f6/image.png)    
- 身份激活成功后，商户可扫管理二维码进入商户后台管理界面，点击添加门店即可开店； 
- 击“添加门店”,进入门店添加页面；
- 输入门店信息，点击“保存”，进入门店添加成功页面。   
![](https://mc.qcloudimg.com/static/img/9b6f94c58f043bb950b59fa686fe5dae/image.png)
- 商户也可通过腾讯云支付公众号进入商户管理后台，如下所示：     
![](https://mc.qcloudimg.com/static/img/170b12f1cd551e042522b7d867aa7d5a/image.jpg)
- 如果后续服务商还需要查看商户的二维码，可以如下操作：
![](https://mc.qcloudimg.com/static/img/831e0b1d6209035ac98193ba9ea38337/image.png)
