## 注册腾讯云
- 登入[**腾讯云**](https://cloud.tencent.com)，注册腾讯云的账户，请使用QQ注册。 
- 注册成功后，进入腾讯云的页面，选择云支付
![](https://mc.qcloudimg.com/static/img/9968fbdde34ec7483a4cc2563b01fa95/image.png)
## 添加服务商
- 服务商须先通过[**微信支付服务商申请**](https://pay.weixin.qq.com)，然后登录腾讯云，在[云支付](https://console.cloud.tencent.com/cpay)服务添加服务商
![](https://mc.qcloudimg.com/static/img/bc93b47c34cc1b0007404fb279ed34d1/image.png)
- 输入服务商信息    
&radic;&nbsp;&nbsp;&nbsp;基本信息：  
![](https://mc.qcloudimg.com/static/img/c8c446df2ed973cc9092fc23820b7ac0/image.png)   
&radic;&nbsp;&nbsp;&nbsp;参数说明：   

| 参数类型 | 参数说明 | 查看 |
|---------|---------|---------|
| 服务商名称 | 微信支付服务商平台上的商户名称。 |  [**查看**](https://pay.weixin.qq.com/index.php/core/account/info) |
| 服务商简称 | 微信支付服务商平台上的商家简称。 |  [**查看**](https://pay.weixin.qq.com/index.php/core/account/info) |
| 交易完成回调URL | 支付成功后，云支付回传支付成功订单信息的https链接 | 无 |
| 服务商logo | 在一码支付的支付页面展示 | 无 |
| 公司备注 | 企业相关备注。 | 无 |
| 广告URL | 点击广告图片的跳转链接 | 无 |
| 广告图片 | 在一码支付的支付完成页面展示 | 无 |
| 服务商备注 | 服务商相关备注 | 无 |         

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&radic;&nbsp;&nbsp;&nbsp;微信支付相关信息：    
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;![](https://mc.qcloudimg.com/static/img/8fecda1614bd6705bb66d21bda173128/image.png)    
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&radic;&nbsp;&nbsp;&nbsp;参数说明： 

| 参数类型 | 参数说明 | 查看 |
|---------|---------|---------|
| 微信支付商户号 | 微信支付服务商平台上的微信支付商户号，服务商在申请微信支付后，由微信支付分配的商户收款账号。 |  [**查看**](https://pay.weixin.qq.com/index.php/core/account/info) |
| API密钥 | 微信支付服务商平台上的API密钥，交易过程生成签名的密钥。商户可根据邮件提示登录微信商户平台进行设置。也可按一下路径设置：微信商户平台(pay.weixin.qq.com)-->账户中心-->账户设置-->API安全-->密钥设置。 |  [**查看**](https://pay.weixin.qq.com/index.php/core/cert/api_cert) |
| API证书 | 微信支付服务商平台上的API证书（pkcs12格式），开发所需的接口API证书，包含了私钥信息的证书文件，为p12（pfx）格式，由微信支付签发用来标识和界定身份。请登录微信支付商户平台，点击【账户中心】->【账户设置】->【API安全】->【下载证书】中，下载及设置。 | [**查看**](https://pay.weixin.qq.com/index.php/core/cert/api_cert) | 
|AppID|服务商**通过认证的**微信公众号AppID（应用ID），appid是微信公众账号或开放平台APP的唯一标识，在公众平台申请公众账号申请APP账号后，微信会自动分配对应的appid，用于标识该应用。可在微信公众平台-->开发者中心查看，商户的微信支付审核通过邮件中也会包含该字段值。|[**查看**](https://mp.weixin.qq.com)|
| 返佣比例 | 返佣数据仅用于统计参考，对应微信支付商户费率，以微信支付服务商平台结算数据为准，非必填。 | 无 |

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&radic;&nbsp;&nbsp;&nbsp;参数来源如图所示：
![](https://mc.qcloudimg.com/static/img/05cccdf743c82440e284d953bdebd312/image.png)    
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;![](https://mc.qcloudimg.com/static/img/3f3260669294f8a1ed371a0dd8b81753/image.png) 
![](https://mc.qcloudimg.com/static/img/27ee2106acff0ad1246f674ee3717a8a/image.png)
![](https://mc.qcloudimg.com/static/img/5550863d5d7b924a90def5995f0c8563/image.png)        

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&radic;&nbsp;&nbsp;&nbsp;支付宝相关信息：    
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;![](https://mc.qcloudimg.com/static/img/c3515314ab4bb211688eb234214c496d/image.png)   
 
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&radic;&nbsp;&nbsp;&nbsp;参数说明：   
 
| 参数类型 | 参数说明 | 查看 |
|---------|---------|---------|
| 服务商应用ID | 服务商在支付宝创建的应用的APPID | [**查看**](https://cloud.tencent.com/document/product/569/12471) |
| 支付宝应用签名私钥 | 服务商在支付宝创建的应用的签名私钥 | 同上 |
| 支付宝验签公钥 | 服务商上传支付宝应用验签公钥后，支付宝生成的验签公钥 | 同上 |
| 合作者身份ID | 服务商在支付宝的合作者身份ID | 同上 |
| 返佣比例 | 服务商和支付宝约定的返佣比例，仅用于统计参考，以支付宝结算数据为准，非必填。| 无 |         

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&radic;&nbsp;&nbsp;&nbsp;输入服务商信息后，点击保存并授权按钮。  

- 添加完服务商后，会弹出微信公众平台的授权页面。服务商添加完成后，需要将服务商的微信公众号的网页服务权限授权给腾讯云支付。具体操作如下：   
&radic;&nbsp;&nbsp;&nbsp;添加服务商信息后点击保存并授权按钮后，会在浏览器上弹出一个新的页面   
![](https://mc.qcloudimg.com/static/img/5ffa346aca9b94a3c042d8526045f7f9/image.png)  
&radic;&nbsp;&nbsp;&nbsp;新的页面为微信公众平台的授权二维码，用微信扫码，然后在手机端选择要授权的公众号，并完成授权操作。 **注：扫码的微信号必须是公众号的管理员**  
![](https://mc.qcloudimg.com/static/img/b545b7f2cb9dd5897d5b3b58a2bfca46/image.jpg)![](https://mc.qcloudimg.com/static/img/214885a647faa2c0bfdccc7902364844/image.jpg)![](https://mc.qcloudimg.com/static/img/f6bccf7cbf7e27b8cee7cfe1f29e73af/image.jpg)   
&radic;&nbsp;&nbsp;&nbsp;如手机上出现如下提示，则表示服务商公众号授权太多，需在微信公众平台删除一些授权后，再重新对云支付授权即可。  
![](https://mc.qcloudimg.com/static/img/6a5adb62a51dddc00bb29a8d7cb65117/image.png)   
&radic;&nbsp;&nbsp;&nbsp;授权成功后，电脑上展示授权二维码的页面会弹出一个授权成功的提示。  
![](https://mc.qcloudimg.com/static/img/29fff384deb47ea22728fcde42870f32/image.png)    
&radic;&nbsp;&nbsp;&nbsp;如果服务商之前没有使用授权模式，现在需要切为授权模式，具体操作为：进入服务商账户管理项，选定要授权的服务商，进入服务商详情页，然后点击授权或重新授权，触发授权流程。
![](https://mc.qcloudimg.com/static/img/b3a6f41b36c1e65b55e992fc2abb320f/image.png)

- 授权完成后，点击二维码，可得到服务商管理员身份激活二维码和服务商管理二维码，管理员使用微信扫码激活管理员身份(激活后才能行驶服务商管理员权限，如帮助商户配置收银软件等)，如下图所示：  
 ![](https://mc.qcloudimg.com/static/img/ee4074964a06408be13409d057d37211/image.png)    
&radic;&nbsp;&nbsp;&nbsp;如扫码失败，手机出现如下提示，则说明服务商填的AppID对应的微信公众号没有通过认证，请到微信公众平台认证：   
![](https://mc.qcloudimg.com/static/img/610a55beb2c1add93b3d0fb827ba38e6/image.jpg)      
&radic;&nbsp;&nbsp;&nbsp;如扫码失败，手机出现如下提示，则说明服务商的微信公众号未将网页服务权限授权给腾讯云支付，请完成授权后，再扫码激活管理员身份：      
![](https://mc.qcloudimg.com/static/img/b0d3c5af60dee16ff58aa30c576c1fef/image.png)    
&radic;&nbsp;&nbsp;&nbsp;如扫码失败，手机出现如下提示，是浏览器兼容性问题，实际已经激活成功：      
![](https://mc.qcloudimg.com/static/img/4c8b31a331bb6c26c68e630fa9b4e1f6/image.png)   
- 身份激活成功后，服务商扫管理二维码，可进入服务商管理页面（银行渠道开通和商户进件功能正在建设中），如下所示：    
![](https://mc.qcloudimg.com/static/img/0850714b4325788a444b360a5a9fcae6/image.jpg) 
- 添加服务商管理员：
![](https://mc.qcloudimg.com/static/img/eecb28552dfee03c47f0ea419dca4853/image.png)  
- 服务商也可通过腾讯云支付公众号进入服务商管理后台，如下所示：   
![](https://mc.qcloudimg.com/static/img/274bb23259da5ee9b77d7663dceab3f0/image.jpg)   
## 添加子服务商并配置权限
- 如果服务商有帮助拓展商户的合作伙伴（渠道商、代理等），可以添加子服务商相关信息，具体如下：  
 ![](https://mc.qcloudimg.com/static/img/d69e622c4a6d88d5f9560300a565ce85/image.png)  
- 输入子服务商信息
 ![](https://mc.qcloudimg.com/static/img/93445ea77ae3c9204133dcbb0980439d/image.png)

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&radic;&nbsp;&nbsp;&nbsp;参数说明：

|  参数类型 | 参数说明 | 
|---------|---------|
| 子服务商腾讯云帐号ID | 子服务商在腾讯云的帐号ID。登入腾讯云，进入账户中心，进入账户信息，获取账号ID | 
|  子服务商名称 | 子服务商公司名称。 | 
|  返佣比例 | 服务商给子服务商的返佣分成比例。 | 
|  备注 | 描述信息等。 |   

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&radic;&nbsp;&nbsp;&nbsp;返回结果 ：是否成功，成功则提示成功，失败则提示失败原因。
