## 云支付收银终端功能简介
腾讯云官方提供了云支付收银终端，可对接windows下的各类收银软件，且无需对收银软件做任何改造，可帮助商户快速接入微信支付等第三方支付，[云支付收银终端下载](https://mc.qcloudimg.com/static/archive/01738fd4abb622aad15ee7c738f9d075/archive.zip)，具体操作文档如下：
### 多种收银模式
- 插件模式：和商户已有收银软件配合使用，通过屏幕识别方式抓取收银金额，无需任何开发可以和商户收银软件无缝对接；
- 完整模式：提供商品管理等收银软件基本功能，可做独立作为收银软件使用。
### 收银效率高
- 自动识别：刷卡支付时，自动识别支付宝和微信支付的付款码，无需店员人工选择支付类型；
- 全自动化：在插件模式下扫码后，自动弹出收银小窗，并完成支付，支付完成后，小窗自动消失，全程无需人工操作；
- 快捷键：提供多种快捷键，无需鼠标也可以操作收银终端，具体快捷键见后面的文档。
### 支持打印小票
- 可设置小票打印份数；
- 可设置打印每份小票之间的间隔时间，方便收银员撕小票；
- 可选择58mm或80mm两种主流的打印机规格。
### 退款
- 可部分退款。
### 安全
- 免密登录：支持店长或店员使用微信扫码登录，无需输入密码；
- 敏感信息保护：客户端密钥等商户敏感信息加密存储，在收银电脑中病毒后，可防止商户敏感信息泄漏或被篡改；
- 退款授权：店员无退款权限，退款时，需店长扫码授权；
- 准实时做本地账单和云支付服务端账单的对账，如发现异常交易，如订单金额对不上等情况，收银终端自动停止支付和退款，防止商户资金进一步损失，商户可让服务商找云支付官方解决问题后，再重新配置终端，重启后可正常工作。
### 订单操作
- 支持本地订单查询及导出excel；
- 支持为每个订单添加备注。
## 云支付收银终端运行环境要求
- 云支付只能在windows环境下运行，具体包括一下windows版本：
√ windows xp sp3
√windows7、windwos7 sp1
√windows10
## 在云支付上配置服务商、子商户和门店信息
### 配置服务商
- 注意，一定要激活服务商管理员权限，具体操作请参考：https://cloud.tencent.com/document/product/569/9796
### 配置子商户
- 具体操作请参考：https://cloud.tencent.com/document/product/569/9795 ，注意一定要保存认证密钥和签名私钥，如下图所示：
![](https://mc.qcloudimg.com/static/img/a562c95676b1d70027acf79d17549f1d/image.png)   
- 如果之前没有保存好认证密钥和签名私钥，可以去子商户详情重置认证密钥和签名私钥（注意：重置密钥会导致正在使用云支付的子商户支付失败），点击“重置密钥”后，保存认证密钥和签名私钥（注意：重置之后，以前配置好客户端的认证密钥和签名私钥需要重新配置），如下图所示：   
![](https://mc.qcloudimg.com/static/img/e8c8c8b7f1eac3ae5964d07c1444a39f/1.png)   
### 门店配置
- 添加并激活店员，以及添加收银设备，设备类型选择刷卡支付，具体操作请参考：https://cloud.tencent.com/document/product/569/9797
## 服务商配置收银终端
### 查看云支付子商户账户
![](https://mc.qcloudimg.com/static/img/9befe70b634d7f70646e0f674171b385/1.png)   
### 安装Microsoft .NET Framework 4
- 收银终端运行需要安装Microsoft .NET Framework 4，微软官方下载地址：
 https://www.microsoft.com/zh-cn/download/details.aspx?id=17718
 ### 服务商登录收银终端（以管理员身份运行）
- 调整窗口大小：在首次使用终端软件时，软件窗口大小可能和计算机屏幕大小不太匹配，请依据屏幕调整合适大小，调整之后会保存下来，以后无需再调整；
- 选择终端模式，分为插件模式和完整模式；
- 输入云支付子商户账户并点击生成登录二维码，弹出二维码后，使用服务商管理员微信扫码登录（服务商管理员微信需扫码激活权限）；
- 如商户的收银终端在局域网中，通过代理访问互联网，需要点击设置代理，设置商户自建的http代理的地址，用户名和密码。
![](https://mc.qcloudimg.com/static/img/0ea123e87547a454494e9939dea2650a/1.png)   
### 服务商配置收银终端
![](https://mc.qcloudimg.com/static/img/ea68bb87f5123a2abe209f5e54483e8f/1.png)  
- 配置字段说明：
√ 门店和设备ID：之前配置门店中添加的门店号和设备号。不同的收银设备请一定不要配置相同的门店号和设备ID，否则会造成订单号重复，给商户造成资金损失。收银终端内部对账程序会发现该异常，并让收银软件停止工作；
√ 自动抓取金额和人工输入金额单选框：在插件模式下，这两个单选框为二选一，选取“自动抓取金额”，则表示配合其他收银软件，选取金额位置，在弹起支付小窗口时会自动抓取选取金额位置的金额；人工输入金额单选框表示不抓取收银软件的金额，而是扫码顾客付款码弹出支付小窗口后，人工输入金额，再按回车完成支付。在完整模式下这两个单选框不显示；
√ 用快捷键~打开收银窗时抓取金额：在插件模式下，按快捷键~可打开收银小窗，勾选该项后，在打开时会自动抓取金额，可方便测试抓取金额是否正确，正式使用时，建议不选，这样可直接人工打开收银小窗，输入金额和扫描付款码，完成收银；
√ 抓取流水号：选中抓取流水号，可以通过结合下方的确认流水号位置，进行流水号抓取，抓取的内容会在支付单备注中保存；
√ 扫码拉起收银窗口：当前可配置扫码枪是否拉起收银窗口，选中择会拉起，取消就不抓取扫码枪内容；
√ 对抓取图片进行预处理：一般图像金额的识别是直接进行的，对于背景不复杂的情况较好，如果在当前收银机上运行良好，则不须选择此选项，如果对图像不经过预处理识别效果较差，则可以选中试下是否对识别效果有所改善；
√ 对抓取文件进行放大：在屏幕上抓取金额位置的数字较小的情况下，选中对抓取图片进行放大可以达到较好的识别效果；
√ 支付结束收银小窗口显示时间：在插件模式下，在收银终端支付完成后，在小窗口显示的收银结果的时间，如果配置成0，会在0.1秒内消失。建议商户在开始时配置2秒，方便查看支付结果，后续需要提高收银效率时，再配置成0。在完整模式下支付结束收银小窗口显示时间下拉菜单不显示；
√ 人工确认收银金额时间：在插件模式下，选了“自动抓取金额”单选框，会开启自动支付功能，人工确认收银金额时间是指在弹出支付小窗口，抓取金额和填入付款码之后自动支付的等待时间，收银终端抓取到金额和付款码后，开始自动支付前等待的时间，如果配置成0，会在0.1秒内开始支付。由于有可能抓取窗口位置设置不准确，导致抓取金额不对，因此建议商户在开始时配置5秒，方便人工确认金额的正确性，如发现不正确，可人工修改金额，或按esc退出支付。在运行一段时间，且金额抓取一直正确后，为提高收银效率，再配置成0。如果选择了“人工确认”，则表示不会去自动支付，需要人工确认金额之后，按回车启动支付。在选择了人工输入金额单选框，确认收银金额时间不可用。在完整模式下人工确认收银金额时间下拉菜单不显示；
√ 认证密钥和签名私钥：云支付子商户的认证密钥和签名私钥，在添加完云支付子商户时得到的；
√ 小票打印机相关信息：如需小票打印，可以配置打印机信息，支持配置打印小票份数，打印每份之间的间隔时间，以及选择58mm和88mm两种规格的打印机；
√ 软件更新：当前版本自带软件更新功能，如果发布新版本之后得到服务商通知，可点击更新。
- 如果出现以下错误提示，说明认证密钥填错，请输入正确密钥，如忘记密钥，请重置密钥后，再输入正确密钥：
![](https://mc.qcloudimg.com/static/img/dcd5e7c7a7002330683a7c7aed55fb87/1.png)   
- 如果出现以下错误提示，说明签名私钥填错，请输入正确私钥，如忘记私钥，请重置密钥后，再输入正确私钥：
![](https://mc.qcloudimg.com/static/img/8ae55e8a912c42911466e7294a704d4f/1.png)   
### 确定要抓取的收银金额位置
- 在插件模式下，如果选中“自动抓取金额”单选框，需要确定收银金额位置。启动收银软件，找到收款总金额的位置，点击收银终端上的确定收银金额位置，圈住收银金额区域，如下图所示，可以将￥等人民币符号包含在内，终端会自动过滤。确定位置后，点击收银终端上的保存配置，即可保存所有配置，下次启动可不用再选择金额位置。在完整模式下不显示；
![](https://mc.qcloudimg.com/static/img/8e647e84bef5f19842537786daefecd0/1.png)  
### 重新配置商户信息
- 如服务商需要重新配置商户信息，点击重新配置即可。
![](https://mc.qcloudimg.com/static/img/03e97a26cd4add509a19c26263b0ab1d/1.png)  
## 商户配置收银终端
### 店长或店员扫码登录收银终端（以管理员身份运行）
- 如是服务商登录，需要勾选服务商以店长或店员身份登录，才能进入收银界面。
![](https://mc.qcloudimg.com/static/img/0f0d74b5825ba5b3ab39a8740f75df30/image.png)   
### 店长或店员配置收银终端（以管理员身份运行）
- 如果是扫码者是服务商管理员或商户管理员，并且商户有多家门店，则可以选择门店，否则，只能配置小票打印机和插件模式；
- 在这里也可以配置抓取金额和人工输入，和服务商配置相同；
- 配置好打印机后，可以点击测试打印机，如正常打印小票，则说明打印机正常；
![](https://mc.qcloudimg.com/static/img/d1c1f2c20fa73a956f1864ebdf1aa36d/image.png)   
- 点击保存配置后，进入订单查询页面，点击右上角的关闭按钮，将收银终端放到后台运行，即可开始收银。   
![](https://mc.qcloudimg.com/static/img/dd8505c298de012ebf998ff47b26e1ac/image.png)   
### 开始收银 
- 收银终端在后台运行后，商户开始使用收银软件收银，扫顾客手机上的付款码，收银终端的收银小窗会自动弹出，如果配置了自动抓取金额，则会抓取金额位置的金额，收银员确认金额无误后，回车确认支付，也可等待超过人工确认收银金额时间后，自动支付，或者按esc或~键退出支付。如果配置了取消抓取金额，则需要人工输入金额，然后按回车即可；
- 商户也可直接按~键唤起支付小窗，是否抓取金额，取决于配置，然后可以输入付款码，或者再扫付款码（扫码时，光标需在付款码框内）。手动输入付款码之后按回车即可开始支付，对于通过扫码枪获取付款码一般在一段时间间隔之后会主动发起支付，时间间隔长短，取决于软件配置中“人工确认收银时间”。一旦开始支付是不会取消支付的，除非消费者取消支付，返回支付失败。如果错误支付，请转到退款；
![](https://mc.qcloudimg.com/static/img/6e4a7202d60cacb7c53d8d2a053ab46a/image.png)  
- 支付完成后，商户选中订单，按e键，可编辑订单备注。如果在配置中勾选了抓取流水号，则在备注红显示的是抓取的流水号，否则默认为空；
![](https://mc.qcloudimg.com/static/img/d067b9411d57195d386d628d5d9fa1fb/image.png)     
- 收银终端内部会准实时做本地账单和云支付服务端账单的对账，如发现异常交易，如订单金额对不上等情况，为保护商户资金安全，收银终端自动停止支付和退款，如下所示：
![](https://mc.qcloudimg.com/static/img/f13a198b55d6a42c7e55a8203911f373/image.png)     
### 退款
- 在订单查询页面，选中订单，按r键即可退款。退款窗口可修改退款金额，支持部分退款；
![](https://mc.qcloudimg.com/static/img/448db5f2fd650af3534928247137dd4c/image.png)   
- 点击确认退款之后会显示“返回”和“查看退款”两个按钮，点击“返回”会退出退款窗口，点击“查看退款”会跳到退款操作页面查看退款状态；
![](https://mc.qcloudimg.com/static/img/d620f7e3c463dcc8890cbbaef2f0e017/image.png)   
- 在退款操作界面，商户输入订单号发起退款。（可扫顾客手机上的支付成功消息中的订单一维码）；
![](https://mc.qcloudimg.com/static/img/3ec8f159a963b387fd78d107f1aea91e/image.png)    
- 当前可配置店员是否具有退款权限，如果店员没有退款权限，如店员需要发起退款，会弹出二维码，需店长扫码授权，店员具有权限的情况下和店长流程相同；
![](https://mc.qcloudimg.com/static/img/1bcf03368d4afd59610381d720b1ffa8/image.png)   
- 在退款成功后，会刷新显示在订单查询中和退款操作中的条目的状态，以便查看退款是否成功。
![](https://mc.qcloudimg.com/static/img/af933f3dec8bf507062cfddbbed94f6e/image.png)   
### 店员交班
- 查看交班汇总数据：点击打印汇总或者快捷键H，弹出本班汇总数据，接班时间默认为登陆时间，交班时间默认为当前时间，且可人工修改，修改后，点击重新汇总，就会更新数据；
![](https://mc.qcloudimg.com/static/img/fb9f6f645b15755452151b1a0679725a/image.png)
- 打印汇总：点击打印或者H可从小票机中打印汇总，打印完成后，点击取消或者ESC关闭汇总界面；
![](https://mc.qcloudimg.com/static/img/676cfbe83cba22ed4a38d4531dbf3ce4/image.png)   
- 交班登录：点击重新登陆，跳转到登陆页面，接班店员再重新扫码登录。
![](https://mc.qcloudimg.com/static/img/671f24796a78156543818c1b7ed048fd/image.png)   
## 商户使用完整模式收银
### 店长或店员扫码登录收银终端
- 见插件模式收银登陆。
### 店长或店员配置收银终端
- 见插件模式收银配置。
### 商品管理
- 在完整模式下支持商品管理，包括商品查询、新建商品导入的功能；
![](https://mc.qcloudimg.com/static/img/a8d34f033d16f9dc8885a79281a95350/image.png)   
- 商品查询：可以根据货号、条码、类别和名称进行查询，选中查询类别，在文本框内输入查询内容即可；如果不在文本框内输入内容，默认查询所有商品；对于商品条目多于一页时，可以利用下边的“上一页”、“下一页”和跳转功能进行翻页；
![](https://mc.qcloudimg.com/static/img/8efb24b248c145a55d8e2aab2b9e4f08/image.png)   
- 新建商品：点击新建商品，会弹出新建商品信息对话框，填写相关内容，点击确定即可保存商品；
![](https://mc.qcloudimg.com/static/img/f98e6241d495aa7f34cf61f1ebdfd4c7/image.png)   
- 修改商品信息：对于已经保存的商品，如果出现信息错误，可以选中商品条目，点击快捷键“e”，即可进行编辑商品；
![](https://mc.qcloudimg.com/static/img/42dfda1e434574557495d8ffd942abed/image.png)   
- 删除商品：如果想删除商品，选中想要删除的条目，点击快捷键“d”，这样会弹出删除确认对话框，点击确认，即可删除商品，如果先择了取消，则不删除商品；
![](https://mc.qcloudimg.com/static/img/696a889f5b080734e8ac217355ff97fe/image.png)   
- 导入商品：软件提供了商品的excel的导入功能，首先要建立商品的excel，格式如下表所示，先按写表头，而后每行为商品对应的信息；
![](https://mc.qcloudimg.com/static/img/05dce2054569db5f3b89d492f68b2c59/image.png)   
- 建立过商品excel表格之后保存，返回软件，点击“导入商品”，弹出文件选取对话框，选中响应的文件即可自动导入；
![](https://mc.qcloudimg.com/static/img/789e335d4e99f75a0be98e5957910f4c/image.png)   
### 收银
- 完全模式下存在三种收银模式：分别为全功能收银、简单收银和总额收银。对这些收银模式的配置在软件配置中选取；
![](https://mc.qcloudimg.com/static/img/1751f9b0b01a5a072f26bf78d7d1692d/image.png)   
- 全功能收银：首先选择输入商品条件，包括“货号”和“条码”，在文本框内输入响应内容，按回车或者确定按钮，生成购买商品条目，如果买了同一个商品数量多于一个，则可以重复输入商品，或者使用快捷键+和-来更改商品数量。在选中商品条码的情况下，可以通过扫码枪输入条码，前提是键光标放入文本输入框；
![](https://mc.qcloudimg.com/static/img/59194b1b634128a0c7d2bc34298d2ffd/image.png)  
- 待将消费者全部购买的商品录入之后就可以，可以收款了，在付款码框填入付款码，点击收款即可拉起支付。付款码可以通过扫码枪录入，将焦点设置在付款码文本框，然后扫付款码即可；
![](https://mc.qcloudimg.com/static/img/5409634d12094ab847b525c911b9726c/image.png)   
- 收银软件也支持现金收款，录入购买的商品之后，点击现金收款，弹出现金收款对话框，填入实收现金，点击确定即可。如果要查看找零金额，输入金额后按tab键即可；
![](https://mc.qcloudimg.com/static/img/abdad3b201fde21f11372467c4999deb/image.png)     
- 简单收款：简单收款只支持单一商品收款，在商品下拉菜单选取商品，而后收款即可，“收款”和“现金收款“以及付款码文本框和全功能收款相同；
![](https://mc.qcloudimg.com/static/img/d2b3e67e43e4b676c06399a927737dc3/image.png)      
- 总额收款:总额收款支持输入总额，然后收款即可，总额收款的其他功能和全功能收款相同；
![](https://mc.qcloudimg.com/static/img/d585b9b9d4ee6579dadb232fc111cbb8/image.png)   
### 退款
- 和插件模式相同，见插件退款。
## 软件安装和升级
### 软件安装
- 访问官方地址（https://cloud.tencent.com/document/product/569/9802） 进行下载安装：
![](https://mc.qcloudimg.com/static/img/23d61c6fe48b0853b6ef7db19cf66077/image.png)   
### 商户自助升级
- 服务商通知商户升级收银插件；
- 商户启动收银插件，在“软件配置”中点击“软件升级”按钮，即可自动完成升级；
![](https://mc.qcloudimg.com/static/img/419da445026fef4b7694a8676b71e7d5/image.png)    
- 如因升级失败等原因导致无法启动收银插件，则需要服务商重新覆盖安装。
## 快捷键
### 导航栏
- f1-f6 分别对应导航栏的几个功能，可以通过f*功能键直接切换；（允许切换的前提下）
- 每个导航栏上分别具有括号的字符标注，直接按键也可以直接切换；
### 订单查询
- 订单查询界面，选中订单中的一行，按ctrl+c，会自动复制订单号；
- 订单查询界面，选中订单中的一行，按下r键，弹出退款窗口，可以执行退款操作。按下e键，可编辑订单备注；
- 在订单汇总页面可以按H键展示订单汇总，在订单汇总窗体中按h为打印，esc为取消。
### 收银
- 支付小窗弹出后，如不想支付，可按esc退出支付。
### 其他配置
- 确定收银金额位置快捷键：ctrl+shift+s或ctrl+alt+s；
- 确定收银金额位置时，中途想要退出截屏，可按鼠标右键；
- 按tab键可以在窗体控件之间切换，当配合enter和方向键可以进行配置；
- 软件的显示和隐藏可用全局快捷键ctrl+e。
## 代理网络下使用云支付收银终端
- 公司为了安全考虑，员工的电脑都处在局域网环境办公。为了给局域网的电脑访问外网的权限，公司会在局域网和外网之间加一个代理服务器（代理服务器本身可以访问外网），然后局域网的电脑可以通过这个代理服务器访问外网，云支付收银终端也可通过这个代理访问外网，详见件[搭建http代理软](https://cloud.tencent.com/document/product/569/12641)
