# 云支付订单查询终端功能简介
- 云支付专门为商户财务等角色提供了多维度的订单查询工具，方便完成对账等工作，[云支付订单查询终端下载](https://mc.qcloudimg.com/static/archive/ffd9de4f48bcd40c846e8c095744572f/archive.zip)，具体操作文档如下：
## 在云支付上配置服务商、子商户和门店信息
### 配置服务商
- 注意，一定要激活服务商管理员权限，具体操作请参考：https://cloud.tencent.com/document/product/569/9796 。
### 配置子商户
- 具体操作请参考：https://cloud.tencent.com/document/product/569/9795 。注意一定要保存认证密钥和签名私钥，如下图所示：
![](https://mc.qcloudimg.com/static/img/cdf22e8302b8a4bdb54bfc5d392fea80/image.png)   
- 如果之前没有保存好认证密钥和签名私钥，可以去子商户详情重置认证密钥（注意：重置密钥会导致正在使用云支付的子商户支付失败），点击“重置密钥”后，保存认证密钥，如下图所示：
![](https://mc.qcloudimg.com/static/img/c7effff4723dec21691ca39bef8a9e2c/image.png)   
### 配置门店
- 添加并激活店员，以及添加收银设备，设备类型选择刷卡支付，具体操作请参考：https://cloud.tencent.com/document/product/569/9797 
## 配置订单查询终端
### 查看云支付子商户账户
![](https://mc.qcloudimg.com/static/img/9befe70b634d7f70646e0f674171b385/image.png)   
### 服务商登录订单查询终端（以管理员身份运行）
- 输入云支付子商户账户并点击生成登录二维码，弹出二维码后，使用服务商管理员微信扫码登录（服务商管理员微信需扫码激活权限）。
![](https://mc.qcloudimg.com/static/img/22586cdf79ca6fc9661c0d693a4f7b9a/image.png)   
### 服务商配置订单查询终端
- 输入云支付子商户的认证密钥（在添加完云支付子商户时得到的），再点击保存配置，成功后自动跳转到登录界面。如需打印订单，可选择启动小票机及点击测试小票机，测试成功后，会打印测试小票。
![](https://mc.qcloudimg.com/static/img/44950f40182bb8d79bde5c9fe46c4208/image.png)      
### 服务商管理员，子商户管理员，店长或店员登录订单查询终端（以管理员身份运行）
- 使用服务商管理员、子商户管理员、店长或店员微信扫二维码登录，不同角色可以看到不同的订单，服务商和子商户管理员可以看到商户下所有门店的订单，店长只能看到其负责门店的订单，店员只能看到门店内其自己交易的订单。
![](https://mc.qcloudimg.com/static/img/16aeb9aaa765457913dc87375a0bd2b0/image.png)   
### 查看订单明细
- 用户可以根据时间等各种维度的查询订单明细，选中订单后，按快捷键P可打印订单，也可点击“打印总额”按钮只打印总额。
![](https://mc.qcloudimg.com/static/img/f61e5694dfd1b057ff6fddad4f2e268e/image.png)   
### 查看订单汇总
- 用户可以根据时间等维度查询订单汇总，且可根据门店和时间两个维度展示。其中，按时间维度展示可包含部分门店，如下所示：
 - 按门店维度展示
![](https://mc.qcloudimg.com/static/img/52bf73aadeb8cf5e3f01e9061e33a8ff/image.png)   
 - 按时间维度展示
 ![](https://mc.qcloudimg.com/static/img/01d16b356c1bd8e940f0fad372652968/image.png)   
## 代理网络下使用订单查询终端
- 公公司为了安全考虑，员工的电脑都处在局域网环境办公。为了给局域网的电脑访问外网的权限，公司会在局域网和外网之间加一个代理服务器（代理服务器本身可以访问外网），然后局域网的电脑可以通过这个代理服务器访问外网，云支付收银终端也可通过这个代理访问外网，详见[搭建http代理软件](https://cloud.tencent.com/document/product/569/12641)
