## 弹性伸缩的高性能计算能力
腾讯云 [云服务器](https://cloud.tencent.com/product/cvm)（Cloud Virtual Machine，简称 CVM）提供灵活可靠的弹性计算服务，避免了使用传统服务器时需要预估资源量及前期投入的情况。客户可以根据业务需求的变化快速扩展或缩减计算资源，获得高可伸缩能力的同时有效节省成本。

- **强大的主机性能**
[第三代云服务器](https://cloud.tencent.com/act/event/cvm3.html) CPU 采用 Intel Xeon Skylake 至强 ® 处理器，新增标准型和计算型两种 CPU 型号，最高睿频可达 3.7GHz。CPU 性能最高可提升 30%，还将加入 RDT 资源调配技术，满足灵活的虚拟化需求。超大内存带宽，内存带宽最高可达 2666MT/s，相比上一代内存带宽提升 11%。搭配六通道 DDR4 内存，极大发挥内存优势，相比上一代，内存性能最高可提升 60%。云服务器目前最高配置可达 48 核，384G 内存。如对磁盘 IO 有要求，可配备本地 SSD 硬盘或弹性 SSD 云硬盘，拥有 30000 随机 IOPS 性能和 300MB/s 的网络吞吐性能。

- **丰富的机型配置**
腾讯云提供了多种高性能机型， 其中 [计算型云服务器](https://cloud.tencent.com/document/product/213/7157) 可满足大部分高计算业务的需求；[专用宿主机](https://cloud.tencent.com/product/cdh)（Cloud Dedicated Host，简称 CDH），由单个客户独享整台主机资源，可满足更高性能的需求，是高弹性和高性能的绝佳解决方案；[黑石物理服务器](https://cloud.tencent.com/product/cpm?idx=1)（Cloud Physical Machine， 简称 CPM），提供了裸金属的计算能力，没有由于引入虚拟化而带来性能损耗，非常适合性能极度敏感的业务。
![](https://mc.qcloudimg.com/static/img/2e054a8ee10f271dd08c8a9cece0ee62/2.png)
除上述适用于计算的云服务器外，腾讯云还针对不同业务场景提供了多种类型的云服务器：具有高内存计算能力的 [内存型 CVM](https://cloud.tencent.com/document/product/213/7156)，提供每秒上万次低延时性随机 I/O 操作（IOPS）的 [高 IO 型 CVM](https://cloud.tencent.com/document/product/213/7155)，适合深度学习的 [GPU 云服务器](https://cloud.tencent.com/product/gpu)，提供现场可编程门阵列能力的 [FPGA 云服务器](https://cloud.tencent.com/document/product/213/7154)，以及计算、内存和网络资源均衡的 [标准型 CVM](https://cloud.tencent.com/document/product/213/7154)。
![](https://mc.qcloudimg.com/static/img/147160401590cca26bdb5a9d977df2ba/3.png)

- **超高吞吐的网络处理能力**
腾讯云在服务器虚拟化、网络转发能力上进行深度定制研，实例的网络性限大幅提升。最新网络优化型 N1 实例，使用智能网卡硬件，在网卡上实现虚拟交换，网卡直通虚拟机，最高达到 1,500,000PPS，相比上一代提升了 4 倍，为您提供低延时、高吞吐的能力，推荐用于高网络包收发场景，如视频直播转播、视频编解码、中大型电商前端服务器及大型多人在线游戏等。

- **自动弹性伸缩能力**
腾讯云提供的 [弹性伸缩](https://cloud.tencent.com/product/as)（Auto Scaling，简称 AS）服务，根据业务的实际需求和伸缩策略自动调整云主机资源，保证业务平稳运行的同时有效节约成本。

## 高速稳定的网络传输能力
MMO 类游戏对网络延时要求比较高，超过 150ms 就可能会造成游戏的卡顿现象。由于我国网络接入运营商多，网络环境错综复杂，公网的不稳定性以及问题排查的复杂性等原因，给业务造成了很大的困难。针对上述问题，腾讯云提供的 BGP 互连能力、网络覆盖能力、数据中心间互通能力、网络容错调度能力及移动端网络优化等可有效解决业务所面临的系列网络问题。

- **业内领先的 BGP 互联能力**
基于腾讯自研的“公网交换平台”，腾讯云在国内目前已与电信、联通、移动、铁通、天威、长城宽带、 东方有线、鹏博士、教育网等 20 多家运营商实现了高速 BGP 互联，网络接入能力领先业内其他厂商。借助强大的 BGP 互联能力，游戏用户可通过各自运营商高速接入腾讯云网络，接入平均延时在 80 毫秒以内。
![腾讯云国内网络示意图](https://mc.qcloudimg.com/static/img/3c8e7cd6cb48ba5f7cc0928fe9fb067a/4.png)

- **全球化的网络覆盖能力**
在国内，腾讯云已建设华北（北京）、华东（上海）、华南（广州）、华西（成都）四大数据中心，玩家占比较高的北上广深成的玩家能够就近快速接入，整体网络覆盖能力业内领先。在海外，腾讯云已提供首尔、新加坡、硅谷、法兰克福、圣保罗等节点的云服务，目前全球已达 21 个服务大区 、34 个可用区，覆盖亚太、北美、欧洲和南美等地区 ，游戏可轻松实现全球化部署。
![腾讯云全球节点](https://mc.qcloudimg.com/static/img/e0b1c3e9e00f423e5eacd9e5c4730431/5.png)

- **专线级的跨数据中心互联能力**
基于腾讯自建的“数据中心互联网络 ”，各数据中心间已实现了高速互联。在国内，北上广成之间的网络带宽已达到 T 级规模 。在海外，经过不断优化，腾讯云目前已将中美网络延时降到 120 毫秒左右。基于稳定的互联能力，客户通过使用 [VPC 对等连接](https://cloud.tencent.com/document/product/215/5000) 功能创建跨数据中心的网络连接，可快速拥有专线级的全球互联能力，轻松实现全球同服架构。
![腾讯云对等连接示意图](https://mc.qcloudimg.com/static/img/8e7c9fd25717e54a369e818fe84a16b1/6.png)

- **强大的网络调度与容灾能力**
腾讯云除了有基础的设备、机房级别容灾，还提供跨园区、跨城市的出口调度能力。当一个城市网络出现异常时，可快速将流量切换到其他城市，更可根据 IP 网段等维度进行精细化的调度，保障游戏的正常运营。
![跨域流量调度示意图](https://mc.qcloudimg.com/static/img/6c53f3df292a53cd55591a4fd4f29ed4/7.png)

- **优化移动网络**
[智营网优](https://cloud.tencent.com/product/ino)（Intelligent Network Optimization，简称 INO），是一项针对手游产品的全路径网络加速服务。它可同时提供 4G 网络基站传输质量保障服务和骨干加速服务，方便快捷地解决了游戏玩家访问卡顿或者延时过高的问题，最大程度保障手游佳体验。
![智营网优 INO 示意图](https://mc.qcloudimg.com/static/img/007eb2fb739f98b07e181dd9674a6318/8.png)
上图说明：
1. 客户端使用智营网优 SDK 提供的网络诊断功能定位网络问题；
2. 腾讯云通过跟运营商合作获取优先资源，解决数据在基站的传输问题，实现 4G 加速；
3. 智能选择加速路线，全国超 800 个 OC 节点保证玩家就近接入，确保最优路线；
4. 通过实时的测算数据，智能地为玩家提供最佳的加速路线方案。

## 专业级的游戏语音能力
[游戏语音 GVoice](https://cloud.tencent.com/product/GVoice) 是支持多样玩法、全面覆盖游戏应用场景的语音服务。它支持实时语音、语音消息、语音转文字等功能，已在王者荣耀、穿越火线、御龙在天、征途等游戏中得到验证，是游戏内玩家沟通的必备工具。它主要有以下几个特点：

- **SDK 体积小**
游戏客户端打包 GVoice SDK 后体积仅增加 1.5M。

- **低能耗、低流量、低延时**
为保障语音通信不对游戏的正常进行产生影响，GVoice 做了特定技术优化，使语音延时与游戏流畅性达到最佳平衡。经官方测试，Android 单核 700M Hz700MHz 主频的手机，消耗流量 20KB/分钟 ，CPU 峰值小于 3% ，延时低于 500 ms。

- **服务稳定，Crash 率低**
通过最苛刻的兼容性测试，兼容 TOP 300 主流机型， Crash  率低于万分之二 ，处于业内领先地位 。

- **提供全球服务**
GVoice 已在东南亚、欧洲、美洲等多个地区部署服务，腾讯云上的游戏无论海内海外均可快速接入。

- **接入简单，支持多语言、多平台**
最少五行代码即可完成接入，提供 Object-C、JAVA、C++ 、C# 等多种语言接口，支持 IOS、安卓、Windows 等主流平台。 等主流平台。[点击查看接入文档](https://cloud.tencent.com/document/product/556/7474)。

## 一站式游戏测试能力
腾讯云 [手游测试服务 WeTest](https://cloud.tencent.com/product/MGCT) 是由腾讯游戏研发部推出的一站式测试平台，集结内部优秀工具和品管超 10 年测试经验，历经千款游戏和应用的锤炼，可助力提高永恒的研发效率和产品品质。其核心服务包括适配兼容测试、客户端性能测试、服务端性能测试、安全测试、云端真机调试、舆情监控分析，覆盖产品从研发到上线的一站式测试服务。

- **超十年的腾讯游戏测试经验**
服务于上千款热门移动应用，挖掘百万级产品质量问题数。负责 所有腾讯精品手游兼容测试及审核，提供如《王者荣耀》等精品游戏的同等品质服务。

- **共享腾讯游戏测试流程及标准**
测试流程、报告解读、审核标准严格参考腾讯游戏标准。

- **独家支持微信 /QQ 账号自动登录**
直接使用应用宝渠道 apk 包进行测试，无需开发免登陆版本。

- **专注游戏安全**
支持 Unity3D、UE4、Cocos2D 等主流引擎游戏，从游戏通信协议、客户端函数安全、脚本逻辑、内存安全、静态资源安全等多个维度挖掘业务安全漏洞。

## 自动化运维平台能力
[蓝鲸 BLUEKING](https://cloud.tencent.com/product/blueking) 是专门为运营人员提供的一站式技术解决方案平台，依托于腾讯游戏 12 年运维经验的沉淀和技术积累。现蓝鲸包括配置平台、作业平台、标准运维、舆情监控、数据平台，运维人员可通过这些基础运维系统实现运维工作的自动化，也可以通过蓝鲸的开发框架，快速自建运营支持系统 。

- **专注游戏运维**
拥有支撑数百款腾讯业务的经验沉淀，兼容各种复杂系统架构，生于运维，精于运维。

- **功能覆盖全面**
从配置管理，到作业执行、任务调度和监控自愈再通过运维大数据分析辅助运营决策，全方位覆盖业务运营的全周期保障管理。

- **高效运营**
通过蓝鲸运维体系，能够帮助企业快速实现运维基础服务自动化，从而加速 DevOps 转型实现工具文化，最大化提高运营效率。
