针对行业需求，腾讯云提出了以云计算为基础的 MOBA 类游戏解决方案，典型架构如下 ：
![典型 MOBA 游戏架构图](https://mc.qcloudimg.com/static/img/332c7c7471819b943dd4d2e59caf02ff/2-1.png)
### 大厅服务器集群
主要负责客户端的接入，对集群的承载能力有较高要求。借助 [云服务器](https://cloud.tencent.com/product/cvm)（Cloud Virtual Machine，简称 CVM）灵活弹性的特点，搭配使用 [负载均衡](https://cloud.tencent.com/product/clb?idx=1)（Cloud Load Balance，简称 CLB）和 [弹性伸缩](https://cloud.tencent.com/product/as)（Auto Scaling，简称 AS），实现业务的高可用和自动水平伸缩，有效降低运营成本。玩家访问量突然增大时，弹性伸缩自动增加大厅服务器实例的数量，快速提升系统负载能力应对压力；访问量减少时，则会自动减少实例数量以节约成本。

### 战斗匹配服务器集群
主要负责战前对手匹配。服务器会对申请 PVP 对战的玩家的等级、战绩、地域等多维度信息进行高速计算，在极短时间内匹配出较平衡的两组战队，并选出最合适的战斗服务器承载战斗。考虑到即时匹配带来的高计算需求，推荐选用 [计算型 CVM](https://cloud.tencent.com/document/product/213/7157) 或性能更高的 [专用宿主机](https://cloud.tencent.com/product/cdh)（Cloud Dedicated Host，简称 CDH）来部署应用，搭配使用 [弹性伸缩 AS](https://cloud.tencent.com/product/as) 实现自动水平伸缩，有效降低运营成本。

### 战斗服务器集群
负责战斗的进行。战斗时玩家客户端会接入指定战斗服务器，服务器对计算能力和网络吞吐均有极高要求。由于玩家对网络延时非常敏感，为进一步降低延时，集群需要跨地域就近部署。软件实现层面，建议采用帧同步的方法来减少服务器的计算量，采用可靠 UDP 来提高网络吞吐降低网络延时。架构层面，推荐选用 [计算型 CVM](https://cloud.tencent.com/document/product/213/7157) 或性能更高的 [专用宿主机 CDH](https://cloud.tencent.com/product/cdh) 解决高性能计算、高吞吐的问题，搭配使用 [弹性伸缩 AS](https://cloud.tencent.com/product/as) 实现自动水平伸缩，有效降低运营成本。集群分别部署在华北（北京）、华东（上海）、华南（广州）和西南（成都），网络覆盖全国绝大多数地区，且玩家占比较高的北上广深成的玩家能够就近接入。基于腾讯云 T 级带宽的跨域专用网络，通过建立 [对等连接](https://cloud.tencent.com/document/product/215/5000) 可实现集群间的高速互联，实现跨地域对战。

### 后台服务集群
后台服务器集群包括社交服务器、排行服务器、充值服务器、商城服务器等支撑系统。根据业务的具体情况，选用合适的 [计算型 CVM](https://cloud.tencent.com/document/product/213/7157)、[内存型 CVM](https://cloud.tencent.com/document/product/213/7156) 以及 [标准型 CVM](https://cloud.tencent.com/document/product/213/7154) 来满足需求。

### 数据层
数据层主要负责游戏数据的缓存和持久化，以及历史日志的归档存储。推荐选用 [云存储 Redis](https://cloud.tencent.com/product/crs?idx=2) 或 [云缓存 Memcached](https://cloud.tencent.com/product/cmem) 存放缓存数据，选用 [云数据库 CDB](https://cloud.tencent.com/product/cdb-overview) 或 [文档数据库 MongoDB](https://cloud.tencent.com/product/mongodb) 持久化数据，选用 [归档存储](https://cloud.tencent.com/product/cas)（Cloud Archive Storage，简称 CAS）存放海量的历史日志。[CDB for MySQL](https://cloud.tencent.com/product/cdb) 最高 QPS 可达到 240000+，轻松应对高读写量需求。同时 CDB 实时双机热备，秒级切换，可支持 3 日内任意时间点回档。

### 游戏服务
腾讯云提供了丰富的游戏服务可使游戏研发运维事半功倍。接入 [游戏语音 GVoice](https://cloud.tencent.com/product/GVoice) 快速实现内置语音，接入 [手游测试服务 WeTest](https://cloud.tencent.com/product/MGCT?idx=1) 进行客户端兼容性测试，接入 [智营网优](https://cloud.tencent.com/product/ino)（Intelligent Network Optimization，简称 INO）优化客户端网络。此外，腾讯云还提供了 [游戏更新 Dolphin](https://cloud.tencent.com/product/Dolphin) 、[全球应用加速](https://cloud.tencent.com/product/gaap?idx=2)（Global Application Accelerate Platform，简称 GAAP）等多种游戏服务。

### 内容加速
客户端资源包快速分发对于游戏推广至关重要。推荐使用腾讯云 [对象存储](https://cloud.tencent.com/product/cos)（Cloud Object Storage，简称 COS）存放客户端资源，并借助腾讯云高效的 [内容分发网络](https://cloud.tencent.com/product/cdn)（Content Delivery Network）将资源包快速下发到玩家终端。客户亦可与我们深入沟通业务特性，针对业务场景定制优化策略，根据实际情况采用 HTTP 压缩、中间源减压、预拉热等技术方法降低流量，减少传输延时。

### 运营平台
推荐选用 [弹性 MapReduce](https://cloud.tencent.com/product/emr)、[大数据处理套件 TBDS](https://cloud.tencent.com/product/tbds) 和 [数据工坊 TDF](https://cloud.tencent.com/product/tdf) 等服务进行大数据的分析展示，选用 [蓝鲸 BLUEKING](https://cloud.tencent.com/product/blueking) 实现运维自动化。

### 安全防护
推荐使用 [BGP 高防大禹](https://cloud.tencent.com/product/bad?idx=2) 抵御大流量 DDoS 攻击，使用 [天御注册保护](https://cloud.tencent.com/product/rp) 应对恶意注册，使用 [云镜](https://cloud.tencent.com/product/hs) 和 [乐固](https://cloud.tencent.com/product/ms?idx=2) 保护服务器和移动端的系统安全。
