## 技术架构
### 示意图
![安全与合规原图](//mc.qcloudimg.com/static/img/d3b2726eb9b2ffff4824767188a54a00/image.png)
### 说明
#### 1. 大禹 BGP 高防
零售商线上前端网站类属于 DDoS 攻击的重灾区，攻击者可通过 DNS 解析轻松获得网站服务器的真实 IP，而后发起大流量攻击或应用层攻击，导致网站访问缓慢甚至直接瘫痪无法访问。使用大禹 BGP 高防后，凭借大禹 BGP 高防系统的超大带宽和超强清洗能力，所有的攻击都将在大禹 BGP 高防系统终结，线上门户将稳定对外提供服务。

#### 2. 主机安全
主机安全也是零售系统稳定运行非常关键的因素，腾讯云主机安全（云镜）采用基于腾讯安全积累的海量威胁数据，利用机器学习为用户提供黑客入侵检测和漏洞风险预警等安全防护服务，主要包括密码破解拦截、异地登录提醒、木马文件查杀、高危漏洞检测等安全功能，解决当前服务器面临的主要网络安全风险，帮助零售商构建服务器安全防护体系，防止数据泄露。  

#### 3. 天御业务安全防护 （Business Security Protection，BSP）
- 活动防刷服务
针对零售线上平台、电商、O2O、等行业在促销活动中遇到“羊毛党”恶意刷取优惠福利的行为，通过腾讯积累的安全大数据和防刷引擎，精准识别出“薅羊毛”的恶意行为，避免企业被刷带来的巨大经济损失。
- 注册保护服务
针对网站、App 等线上注册场景，在用户通过手机号、QQ、微信账号、邮箱账号等注册时，预先识别恶意注册风险并通知开发者进行处理，从源头降低风险，保证您的业务健康发展。
- 登录保护服务
针对网站和 App 的用户登录场景，实时检测是否存在盗号、自动机批量、撞库、养小号等恶意登录行为，为开发者发现异常登录，并建议开发者采取相应的防护措施，降低恶意用户登录给业务带来的恶意风险。
- 天御验证码服务
针对网站、App 开发者提供安全智能的验证码服务，基于腾讯多年技术沉淀，天御验证码最大程度地保护业务安全；同时，便捷的设计减少交互，让开发者不再因验证码难以识别而担心用户流失。

#### 4. 乐固（Mobile Security，MS） 
零售商移动 App 已经越来越成为流量的主要入口，移动安全越来越重要，对于业务的稳定高效运行起着决定性的影响。乐固 MS 提供了移动安全一站式解决方案，涵盖应用加固、漏洞扫描、盗版监控、真机测试、质量跟踪、安全支付等服务，可帮助您及时发现应用漏洞，监控应用正盗版分发，防止应用被盗版破解等，有效捍卫移动应用所有者利益。

#### 5. 私有网络安全
腾讯云保障所有运行在云私有网络中的资源的安全。
- 网络 ACL 是一个子网级别的无状态可选包过滤虚拟防火墙，用于控制进出子网的数据流，可以精确到协议和端口维度。
- 安全组是一种有状态的包过滤虚拟防火墙，用于控制单台或多台云服务器的出入流量，同样可以精确协议和端口维度。

#### 6. 合规
- PCI- DSS 合规为腾讯云上用户提供完整、系统化的支付卡行业数据安全标准（PCI DSS）合规建设、评估审核，并发布 AOC 合规证明。
- 等保合规为腾讯云上用户提供完整的、系统化的网络安全等级保护合规建设和测评服务的渠道，帮助企业快速满足国家实行网络安全等级保护制度。
