## 技术架构
### 示意图
![线上平台原图](//mc.qcloudimg.com/static/img/6db1711f71f6bb1c56870c34df2fd92a/image.png)
### 说明
#### 1. 云解析
用户通过互联网访问零售商线上前端门户，门户网站域名托管于腾讯云。通过域名解析，域名转换成为机器可读的 IP 地址。腾讯云云解析向全网域名提供不同级别的智能解析服务，拥有海量处理能力、灵活扩展性和安全能力。为您的站点提供稳定、安全、快速的解析体验。
#### 2. 内容分发网络（Content Delivery Network，CDN）
零售线上平台中商品展示图片、视频等静态文件与动态页面等使用腾讯云 CDN 加速，通过将服务内容分发至全网加速节点，利用全球调度系统使用户能够在就近节点获取所需内容，有效降低访问延迟，极大地缩减了站点响应时间，实现复杂内容秒级加载，提升服务可用性，极大提升了网页用户的体验。
#### 3. 云存储
零售商可以将任意数量和形式的非结构化商品数据放入腾讯云 COS，并在其中实现数据的管理和处理。同时线上线下系统每天产生的大量业务日志以及系统日志也同时存储在低成本、高性能、高稳定型的 COS 云存储上，同时可以为实时数据分析、历史数据统计与商业智能等系统提供丰富的源数据。COS 支持标准的 RESTful API 接口，您可以快速上手使用，按实际使用量计费，无最低使用限制。
#### 4. 负载均衡（Cloud Load Balance，CLB）
CLB 可为应用程序在云中的多个 CVM 实例间自动分配访问流量。它可以实现更高水平的线上前端门户的容错能力，从而无缝提供分配应用程序流量所需的负载均衡容量。CLB 支持四层负载均衡（包含 TCP 协议和 UDP 协议）和七层负载均衡（包含 HTTP 协议和 HTTPS 协议）；HTTPS 协议提供集中化的证书管理系统，满足数据可靠传输、快速传输与安全传输等多样化需求。CLB 同时支持权重配置等多种调度算法，支持回话保持、健康检查以及跨可用区容灾等功能。
#### 5. 云服务器（Cloud Virtual Machine，CVM） 
零售线上业务系统部署于腾讯云云服务器 CVM 上，为线上系统提供非常灵活伸缩的基础架构。只需几分钟，就可以在云端获取和启用 CVM，来实现计算需求。使用 CVM 可以极大降低您的软硬件采购成本，简化 IT 运维工作。随着业务需求的变化，可以实时扩展或缩减计算资源。CVM 支持按实际使用的资源计费，可以为您节约计算成本。
#### 6. 弹性伸缩（Auto Scaling，AS）
AS 根据零售业务时间段和促销活动的需求和伸缩策略，自动调整计算资源。您可设置定时、周期或监控策略，恰到好处地增加或减少 CVM 实例，并完成实例配置，保证业务平稳健康运行。在需求高峰期时，弹性伸缩自动增加 CVM 实例的数量，以保证性能不受影响；当需求较低时，则会减少 CVM 实例数量以降低成本。弹性伸缩既适合需求稳定的应用程序，同时也适合每天、每周、每月使用量不停波动的应用程序。
#### 7. 云缓存（Redis/Memcached）
零售线上系统将用户访问的会话信息暂存于腾讯云云缓存（Redis/Memcached）中，弹性缓存 Redis 兼容 Redis 协议的缓存和存储服务，提供主从版和集群版。支持主从热备，提供自动容灾切换、数据备份、故障迁移、实例监控、在线扩容、数据回档等全套的数据库服务。根据业务与系统需求，您也可选择提供极高性能、内存级、持久化、分布式 Key-Value 存储服务的云缓存 Memcached。云缓存 Memcached 也适用于线上平台用户会话数据缓存的场景。
#### 8. 数据库 MongoDB
腾讯云基于全球广受欢迎的 MongoDB 打造的高性能 NoSQL 数据库 MongoDB，100% 完全兼容 MongoDB 协议（同时高度兼容DynamoDB协议），提供稳定丰富的监控管理，弹性可扩展、自动容灾，适用于文档型数据库场景，使您无需自建灾备体系及控制管理系统。零售线上平台利用云中托管 NoSQL 数据库 MongoDB，存储零售线上系统中持久化的会话数据，如购物车。同时 MongoDB 是一个理想的零售商品数据库，可以灵活的添加商品属性以及调整商品分类。
#### 9. 腾讯云搜（Tencent Cloud Search，TCS）
通过采用腾讯云搜快速实现线上门户的产品搜索。腾讯云搜支持检索串智能改写，数据定制，排序定制以及联想词推荐、高级纠错、人工干预、个性化分词等多种功能组件。
#### 10. 私有网络（Virtual Private Cloud，VPC）
零售线上前端门户部署在腾讯云上逻辑隔离的网络空间中，您可以完全掌握私有网络，包括自定义网络划分，IP 地址和路由策略等等，并通过安全组和网络 ACL 等实现多层安全防护。同时也可以通过 VPN 展现或连通私有网络和自建数据中心/ IDC，灵活部署混合云。

