腾讯是国内最大也是最早的即时通信开发商，QQ 和微信已经成为每个互联网用户必不可少的应用。现在，腾讯将高并发、高可靠的即时通信能力进行开放，开发者可以很容易的根据腾讯提供的 SDK 将即时通信功能集成入 App 中。
针对开发者的不同阶段需求及不同场景，云通信提供了一系列解决方案。

## 直播场景下的云通信集成方案
直播显然成为互联网当下最热的领域之一。对于任意一个直播系统，无外乎都是由音视频系统与云通信系统组成的。云通信在直播系统中的主要作用是实现观众与主播、观众与观众之间的文字互动，互动内容包括普通文本消息、表情消息、点赞消息、进退房间消息和红包打赏消息等。
云通信针对直播领域的多人聊天需求提供了一套完整的解决方案：AVChatRoom（也称为互动直播聊天室）。其基本能力包括：
- 基本的消息分发能力；
- 聊天室人数无上限；
- 支持 Native App 和 H5；
- 支持匿名（即无需注册账号和登录）接收消息。

除了最基本的消息分发能力，直播场景对云通信还存在很多特殊需求，例如：如何下发用户加退群通知，并且确保在人数很多的情况下控制加退群通知的下发频率？如何在消息中携带发消息用户的身份信息，包括昵称、头像、身份、头衔等？如何对云通信消息进行控制？云通信充分考虑了直播场景的这些特殊需求，并都给出了完整的解决方案。

云通信提供了 Native App 和 H5 两种模式下的 DEMO 及其源码。基于云通信完善的能力以及丰富的参考样本，您可以花费最少的人力来完成直播系统中云通信功能的集成并快速上线。

## 云通信平滑迁移方案
云通信拥有丰富的高并发、高可靠的运营经验。如果 App 开发者希望接入云通信，但正在使用自主研发或第三方即时通信服务，就需要考虑迁移问题。云通信为您提供如下两种备选迁移解决方案：
- 强制升级策略：
需要短暂停服来实施迁移；
迁移完成之后，使用原本的即时通信服务的 App 将无法使用；
- 使用原本的即时通信服务和腾讯云的云通信服务兼容策略：
需要短暂停服来实施迁移；
迁移完成之后，使用原本的即时通信服务 App 和腾讯云的云通信服务 App 可以共存，消息互通；
在使用原本的即时通信服务的 App 彻底停用之前，App 后台需要在使用原本的即时通信服务 App 和腾讯云的云通信服务 App 之间保持实时双向同步。

不同方案的迁移效果不同，实施难度也相差很大，需要综合考虑 App 现有的即时通信实现场景来确定合理的迁移方案。

## 在线成员广播大群解决方案
在云通信系统中，经常遇到需要向全体在线用户下发消息的场景。例如在直播系统中用户赠送高价值道具时，需要将此消息广播给当前所有在 App 中观看直播的用户，俗称 “ 大喇叭消息 ”。
针对这种需求，云通信提供了一套解决方案：BChatRoom（ 也称为在线成员广播大群 ）。
BChatRoom 主要能力包括：
- 基本的消息分发能力；
- 成员人数无上限；
- 支持 Native App 和 H5；
- 支持匿名（即无需注册账号和登录）接收消息；
- 支持下发自定义消息。
 
