## 版权安全
数字版权管理对于在线教育、行业培训等领域都是十分重要的。视频文件的泄露，有可能造成十分严重的经济损失。
传统的视频服务提供商大多是通过各种各样的防盗链机制来实现视频内容保护。该方案的基本原理是：App 服务端给客户派发专属的视频 URL，CDN 服务对请求 URL、请求 IP、HTTP 头等参数进行校验，如果校验通过，则返回正常的视频数据；否则返回 403 错误码。
但是，对于需要付费观看的视频，一旦恶意用户通过一次付费行为拿到了合法的防盗链播放 URL，其便可以将视频完整下载到本地，进而实现二次分发。因此，防盗链方案对于视频版权保护是远远不够的。

## 时延和并发量
用户观看直播视频延时大，易卡顿。普通的秀场直播延迟太高，无法满足买卖场景的高频词汇沟通。一些直播 App 在全球拥有大量用户，每日产生数百万原创短视频，需要保证全球范围视频播放流畅.
对于大规模秀场直播、视频社交、在线教育、远程咨询、多机位在线媒体转播等应用领域，同一房间万人并发访问，对平台的稳定性及视频传输效率有较高要求，需要能够应对访问突发及保障服务质量。

## 宽带成本
任何商业模式，成本核算都是至关重要的。在中国接入的每 1K 带宽，都需要 IDC 或者是 CDN 支付给电信或联通。直播平台带宽成本居高不下，为终端用户提供高清视频体验成本极高。

## 直播质量
直播需要更为清晰、无卡顿的质量。女性电商需要展示更清晰的商品和更显自然美的主播脸部。在互动直播中时延和卡顿的问题很多，在用户和主播之间进行实时互动因为卡顿的问题导致体验感糟糕。在重大新闻事件或者大型演唱会等直播时，流量在瞬间达到一个很高的峰值，一瞬间的卡顿率很高。

## 涉黄风险
近年来，业界也出现了众多的以美女主播、秀场类的个人直播平台，根据数据显示，我国目前在线直播平台数量接近 1000 家，网络直播平台用户数量已经超过 3 亿人。日益明显的迹象显示，在线直播行业已经作为一个风口产业出现在市场上，方正证券研究所证券研究报告预计，社交直播市场规模将从 2016 年的 26 亿元增至 2020 年的 295 亿元，年复合增长率为 83%。
这种视频直播、高互动性的新业务，大量个人用户称为 UGC 内容的创造者，拿起手机就可以开始直播。平台之多必然会导致行业激烈竞争，同时也不乏包括恶意手段竞争以及各种乱象，所以出现了个别主播为了搏出位，打擦边球甚至做出一些不雅举动的现象。这对直播的内容监管提出了更高的要求，因为主播及房间基数庞大，基于人工的方式进行内容审查，对一个大的直播平台来说，几乎成为了不可能完成的任务。

## 视频处理
用户分享视频上传速度慢、失败率高；手机屏幕无法适配；有用手机进行直播的有普通的商家，又有请明星用专业设备来进行的大型直播活动，需要针对不同的并发场景、设备来灵活适应，弹性转码需求量，自定义转码需求，应对不同的应用场景。

## 录制回播
需要将平台上的直播视频录制保存，后续供用户点播观看及备案供有关部门审查。



