## 系统架构
![](//mc.qcloudimg.com/static/img/ed7c7e46ad1e25e4295165dc5bc51300/image.png)
**主要特性**：
- 通过腾讯云视频解决方案，用户可快速搭建一个完善的在线教育平台；
- 点播将服务于您的录播课程，覆盖全国的 800+ CDN 下发节点确保任意时间、任意地点的学生用户均可快速查看教学内容；
- 直播、互动直播将服务于教师的直播课程，支持标准 HLS / RTMP 直播源，也支持通过集成 SDK 搭建低延时互动直播课程；
- 云通信将服务于教师课程中的即时通讯场景，支持图文聊天，及文件的传输。

## 产品架构
### 直播
![](//mc.qcloudimg.com/static/img/e1faad07bc1646cf85a8ccb76bb2c367/image.png)
**主要特性**：
- 腾讯云直播借助超过 800+ 节点的直播发布平台，帮助用户具备和腾讯视频底层服务一致的发布能力；
- 系统可轻松接入专业视频录制设备、手机、PC 桌面等任意标准 HLS / RTMP 直播源，便于适配多种教学场景；
- 还可提供灵活的播放器，帮助服务商通过移动应用、网页等等各种展示方式，轻松触达学生。更可直接录制并对接点播平台，提供一站式视频服务。

### 互动直播
![](//mc.qcloudimg.com/static/img/f1e597bbc5b778b430749ceb8b82f97a/image.png)
**主要特性**：
- 腾讯云互动直播服务具备 400ms 超低延时，多人音视频互动，服务覆盖全球的特点，可快速搭建一对一，一对多，多对多的在线教育场景；
- 只需集成 SDK，就可实现音视频的采集、编解码、传输、渲染播放等工作，业界领先的云端流控策略，卓越的音视频技术，将保障您的服务在 Android、iOS、Windows、Web 主流平台及不同终端机型上都有着优异的直播效果，拥有与腾讯课堂一样的服务质量；
- 支持桌面分享，支持云端录制并对接点播服务实现存储、转码、分发等功能。

### 互动直播 + 直播
![](//mc.qcloudimg.com/static/img/9e41ef3cb74677e1b13293f4b0537f59/image.png)
**主要特性**：
集成腾讯云互动直播服务 SDK，搭建低延时互动在线教育场景的同时，通过旁路直播功能对接直播服务，可实现标准 HLS / RTMP 直播源的下发，通过播放器实现网页、移动应用上的单向直播，轻松兼容用户的原有直播系统。

### 点播
![](//mc.qcloudimg.com/static/img/15ddeb6c54f3716706e2ed3df226d531/image.png)
**主要特性**：
- 腾讯云点播服务为在线教育服务商提供便捷的一站式服务；
- 可通过灵活的控制台或者 API 方式上传拉取教学视频，更有播放器密码、黑白名单、动态 URL 防盗链三大安全功能，保护用户精心制作的教学内容万无一失；
- 强悍的转码能力和覆盖全国的 800+ CDN 下发节点确保任意时间、任意地点的学生用户均可快速查看教学内容；
- 提供全面开放播放器接口，便于用户自定义限时播放、禁止拖拽等各类教学功能。

### 云通信
![](//mc.qcloudimg.com/static/img/d66c1fda19456791005ed64d48d72e03/image.png)
**主要特性**：
集成腾讯云云通信 SDK，支持老师和学生之间跨平台进行文本、表情、图片等消息类型的 1 对 1 单聊和群聊，实现文件传输等教学常用功能，有效辅助师生交流。



