## 系统架构
![](//mc.qcloudimg.com/static/img/9eddaf8223f2380f086c7f52a04db224/image.png)
**主要特性**：
- 通过腾讯云通信解决方案，用户可高效低成本的受 QQ 同等优质的聊天能力；
- 云通信将帮助开发商快速实现完美的 C2C 单聊和群聊功能，通过 SDK 高效集成账号登录体系，完备的资料关系链和群组管理，配合高联通的接入在短期内极大的提升了用户活跃度，用户粘性明显增强；
- 互动直播将服务于您的音视频社交，通过 SDK 可集成跨平台，高质量的音视频通信。

## 产品架构
### C2C 单聊
![](//mc.qcloudimg.com/static/img/54cb73a7a45fc174a202ac5fd5ec842b/image.png)
**主要特性**：
- **丰富的消息类型**
支持 Android、iOS、Mac、PC、Web 等主流平台互通下的聊天功能，支持文本、表情、图片、语音、地理位置、文件等多种消息类型，支持自定义消息，满足用户多样个性的沟通需求。
- **多快省的图片服务**
自动裁剪成不同尺寸，根据需求支持缩略图、大图和原图发送，多连接多通道并发传输，利用 QQ 遍布全国的加速点加速下载，秒传图片，传输成功率达到 99.9%。
- **高联通的网络接入服务**
采用自研业界领先的最优寻址算法，智能选择单多连接，复用 QQ 全网调度能力，移动应用整体连通率高达 99.995%。

### 群聊
![](//mc.qcloudimg.com/static/img/9b5227aaa1c33ba1736bb3858b819026/image.png)
**主要特性**：
- **完善的群组管理**
支持讨论组、公开群、聊天室等多种类型的群组，支持最高亿级群数规模，一万人大群，完善的群组管理事件，满足各类群聊需求。
- **群组能力私人订制**
 - 自动裁剪成不同尺寸，根据需求支持缩略图、大图和原图发送，多连接多通道并发传输，利用 QQ 遍布全国的加速点加速下载，秒传图片，传输成功率达到 99.9%；
 - 支持群组管理权限自定义；
 - 支持群组功能自定义；
 - 管理能力任意组合，给开发商私人定制的服务体验。

### 用户资料和关系链管理
![](//mc.qcloudimg.com/static/img/ab2cf54293906253ea498aa6f0003d73/image.png)
**主要特性**：
- **完备的资料关系链体系**
使用了腾讯 QQ 同样完备的资料关系链服务体系，包括：关系链管理、好友推荐、黑名单管理、最近联系人、资料管理，并且提供自定义的资料关系链扩展能力。
- **增量更新用户数据**
支持用户资料和关系链增量更新，最大限度节省流量。

### 帐号登录集成
![](//mc.qcloudimg.com/static/img/179d6b1a370518567baf3bc833f2ffae/image.png)
**主要特性**：
- **丰富的账号体系支持**
 - 支持手机号注册登录；
 - 支持字符串注册登录；
 - 支持游客 / 匿名登录；
 - 支持 QQ / 微信 / 新浪微博等第三方账号；
 - 支持独立模式和托管模式两种集成方式。
- **快捷的账号登录集成**
开发者只需调用少量接口，即可快速实现注册/登录能力，无需关注细节，1 天内完成账号登录集成。
- **安全的账号保护**
腾讯账号登录体系采用高级别的安全加密逻辑，有效提升 App 的账号安全能力。开发者不用考虑密码存储，网络传输加密，拖库等问题。

### 互动直播
![](//mc.qcloudimg.com/static/img/3b8b73c5deaedd75b360ae1c5716aac2/image.png)
**主要特性**：
- 腾讯云互动直播服务具备 400ms 超低延时，多人音视频互动，服务覆盖全球的特点，支持单聊，群聊的音视频社交场景；
- 只需集成 SDK，就可实现音视频的采集、编解码、传输、渲染播放等工作，业界领先的云端流控策略，卓越的音视频技术，将保障您的服务在 Android、iOS、Windows、Web 主流平台及不同终端机型上都有着优异的音视频通信效果。




