## 一、金融云简介
腾讯金融云服务是面向金融行业客户（保险，证券，基金，银行，消费金融，互联网金融等）开放的行业解决方案；结合金融行业的特点，为用户解决行业安全合规性的要求，并开放腾讯多年互联网运营积累的高并发处理、海量数据存储、大数据挖掘及分析、高安全可靠的基础能力，具备高安全性，高可靠、高扩展性的特点，能灵活适配业务增长，帮助传统金融客户向金融云业务转型。
金融云客户能借助腾讯的互联网思维和丰富的互联网金融增值功能，摆脱传统IDC建设、规划和运营的烦恼，专注于核心业务来搭建互联的行业新生态，实现生态互联，改变传统生活方式，促进金融行业跨界转型升级。
腾讯金融云根据金融企业对合规性，隔离性等不同的要求，提供两类业务托管区：
1）针对保险，银行，消费金融，证券，基金 等金融机构，提供符合人民银行和银监合规标准的 **金融专区**， 专区为独立的金融行业专用机房，安全隔离和防护要求以及运维要求均为腾讯云内最高标准；
2）针对P2P，小贷，众筹，金融网销渠道 等互联网金融客户，在腾讯云现有公有云可用区中购买云服务资源，但提供安全登录，更高的安全防护级别，以及客户服务级别。
具体细节见以下章节：
## 二、金融客户使用金融专区介绍
**金融专区为高规格的合规区域，一般提供给有监管审计需求的金融机构使用，金融客户可通过提交工单申请使用金融专区， 金融专区提供的能力以及申请办法 如下：**
### 1.高规格机房和隔离性
专区采用金融行业专用最新、自建、规模化、高规格旗舰数据中心，机房的设计、建设完全严格遵循国标GB50174-A类机房要求；双路引入2路不同局向市电， UPS系统采用2N配置；具有非常高的可靠性。
专区网络和公有云可用区内网隔离，不互通，最大程度保障金融客户的网络独立性；
多个金融专区之间可内网互通，以支持跨中心和跨地域的数据同步以及容灾能力。
不同客户的云服务资源之间100%完全隔离；采用物理层和网络二层，三层多种隔离保障机制。
### 2.合规性
金融专区机房建设及云平台管理系统遵循的行业标准为：
  •	《商业银行数据中心监管指引》
  •	《银行集中式数据中心规范》
  •	《金融业信息系统机房动力系统测评规范》
  •	《金融行业信息系统信息安全等级保护测评指南》
  •	《商业银行信息科技风险管理指引》
  •	《银行业信息系统灾难恢复管理规范》
  •	《网上银行系统信息安全通用规范》
  •	《商业银行业务连续性监管指引》
参考的监管单位发文要求:
  •	《银行业金融机构外包风险管理指引》
  •	《银行业金融机构信息科技风险监管指引》
  •	《中国银监会办公厅关于加强银行业金融机构信息科技非驻场集中式外包风险管理的通知》
  •	《中国银监会办公厅关于开展银行业金融机构信息科技非驻场集中式外包监管评估工作的通知》
  •	《保险信息安全风险评估指标体系规范》
  •	《保险公司信息系统安全管理指引（试行）》
  •	《证券公司网上证券信息系统技术指引》
  •	《证券期货业信息系统安全等级保护测评要求》
### 3.提供的云服务：
金融合规区，提供的云服务有： 云服务器，负载均衡，私有网络，金融数据库tdsql, redis存储，人脸识别，物理服务器托管，专线和VPN对接服务，CDN，云监控，云拨测，金融专区最高规格的安全服务，维纳斯移动加速，蓝鲸工具平台，域名服务。
其中相对于现有公有云可用区，额外提供的有：**金融数据库tdsql，物理服务器托管**，金融专区最高规格的安全服务。
### 4.高规格安全服务
金融专区中客户业务：
•	默认尊享20Gb的更高DDOS防护规格
•	可使用VPN加密维护通道，多因素认证，堡垒机等登录安全保障机制
•	可享受独立物理服务器资源池
### 5.专区运维服务
金融云专区架构师提供7X24小时服务，覆盖业务全生命周期。相关的服务如下： **1 V 1架构师服务** 提供迁云咨询、技术指导以及架构建议、技术协助等全栈式服务。 **阿尔法专家团队服务** 提供长期顾问式辅导服务，紧贴需求，灵活应变，助力金融客户的业务抢跑金融市场。 **合规验收服务** 协助金融客户顺利通过合规验收 **灾备服务** 提供两地三中心灾备方案，为您数据的可靠性、安全性及业务灾备切换保驾护航，专业团队协助定期灾备演习。
### 6.如何申请
1）金融客户在注册后，进入用户中心控制台界面，选择正确的行业信息，并点击资质认证，填写认证所需材料进行认证
![](https://mccdn.qcloud.com/static/img/6cca37d6819fe9faf329b5c63f48f9ee/image.png)
![](https://mccdn.qcloud.com/static/img/aa9592c3150420b332b1bb854338d5b9/image.png)
完成认证后，即可以成为金融客户
2) 填写金融专区申请工单
进入用户管理中心，点击“支持”-》“我的工单”-》“发起工单”
![](https://mccdn.qcloud.com/static/img/3876ac38b728fd900cbca9cb0921b3d4/image.png)
选择工单类型 为“需求类”，产品模板为“其他”“申请金融专区购买权限”
按照问题描述模板填写反馈内容，提交即可；
我们的服务人员会及时反馈处理结果给您。
### 7.金融专区服务价格
金融专区中，云服务器，redis存储价格比公有云国内价格大概高60%；其他服务和国内公有云保持一致； 具体价格以官网购买页价格为准。
## 三、金融客户使用公有云可用区介绍
P2P，小贷，众筹等互联网金融客户，以及传统金融机构的网销渠道，互联网应用，移动应用等，推荐采用腾讯公有云现有可用区来部署，但相对于其他行业客户，金融客户在腾讯公有云中能享受到更多的安全服务以及客户服务，具体说明如下：
### 1.高规格安全服务
部署在公有云中的金融客户业务：
•	默认尊享10Gb的更高DDOS防护规格
•	可使用VPN加密维护通道，多因素认证，堡垒机等登录安全保障机制
### 2.	独享客户服务
金融客户在公有云中，享受架构师提供7X24小时服务，覆盖业务全生命周期。相关的服务如下：
1 V 1架构师服务
提供迁云咨询、技术指导以及架构建议、技术协助等全栈式服务。
阿尔法专家团队服务
提供长期顾问式辅导服务，紧贴需求，灵活应变，助力金融客户的业务抢跑金融市场。
灾备服务
提供同城双中心灾备方案，为您数据的可靠性、安全性及业务灾备切换保驾护航。
### 3.如何申请
金融客户在注册后，进入用户中心中，选择正确的行业信息，并点击资质认证，填写认证所需材料进行认证
![](https://mccdn.qcloud.com/static/img/6cca37d6819fe9faf329b5c63f48f9ee/image.png)
![](https://mccdn.qcloud.com/static/img/aa9592c3150420b332b1bb854338d5b9/image.png)
完成认证后，即可以成为金融客户，可以在公有云可用区中购买云服务，以及享受金融客户的所有服务。
### 4.金融客户在公有云区域服务价格
公有云地域和可用区中，金融客户购买产品的价格和其他行业用户完全一致。
## 四、金融云上云须知
1.账号
只有认证通过为金融行业类型的客户， 才可以提工单申请购买金融专区内的云资源；
有购买金融专区权限的客户，可以同时管理此账户下的公有云资源和金融专区内的资源，互不影响。
2.[金融云上云步骤](http://cloud.tencent.com/solution/solutionSubpage/finance.html)