对接的 HTTP 服务，可以是运行于 CVM 上或 CCS 上的 Web 服务，也可以是外网的某个服务。对接到具体的 HTTP 服务，需要提供的包括服务地址，服务路径，HTTP 方法，超时时间和映射参数等信息。

* 服务地址：具体的服务主机地址，可以是内部地址或外部地址，可以是 IP+Port 或域名。服务地址格式形如 `http://10.186.51.24:8080` 或 `https://demo.test.com`
* 服务路径：具体的后端服务请求路径。如果需要在路径中配置动态参数，请使用`{}` 符号，并在其中填入参数名，此参数名将用于在参数映射的配置中配置为来源于前端配置的入参。
* HTTP 方法：可选择 GET、POST、PUT、DELETE、PATCH、HEAD 方法，您需要根据后端服务具体的方法选择。前端配置中的 HTTP 方法和后端配置的 HTTP 方法可以不一样。支持 HTTPS。
* 超时时间：在 API 网关发起到后端服务调用的超时时间。超时时间的最大限制为 30 秒。在 API 网关调用后端服务，未在超时时间内获得响应时，API 网关将终止此次调用，并返回相应的错误信息。
* 映射参数：参数映射用于将前端的入参映射为实际后端服务的参数。映射参数默认会将入参以相同名字和参数位置进行映射。同时，您可以根据需求，变更参数的映射方式，例如将来源于 Path 的入参，映射为后端服务中 Query 参数。
* 映射参数：您可以根据需要，加入自行定义的常量参数。常量参数在每次 API 调用中都保持不变。同时，您可以利用系统参数，将所需的部分系统信息，传递给后端服务。
![http](//mc.qcloudimg.com/static/img/c926ce9e0c3eeb90b90123e7af26f18e/image.png)