API 网关通过记录 API 调用次数与流出流量两者来进行计费。客户端对 API 的一次请求调用返回记为一次调用。
> 说明：API 网关在内测和公测阶段，不收取费用。

API 网关的流出流量指的是相对 API 网关来说的流出，例如如果后端服务为 HTTP 调用，从 API 网关到 HTTP 服务的流量和 API 网关响应前端客户端的流量，称为流出流量。流量流出关系如下表：

| HTTP 类型 | 源 |  目的 | 流量类型 |
| --- | --- | --- | --- |
| HTTP 请求 | 客户端、浏览器、sdk | API 网关 | 入流量 | 
| HTTP 请求 | API 网关 | 后端服务 | 出流量 | 
| HTTP 响应 | 后端服务 | API 网关 | 入流量 | 
| HTTP 响应 | API 网关 | 客户端、浏览器、sdk | 出流量 | 


## 后端 HTTP 调用计费

HTTP 服务根据所在位置的不同，流量和计费方式如下表。

| HTTP 服务位置 |  HTTP地址 | 流量类型 | 流量计费 |
| ---          |   ---     | ---   | ---   |
| 腾讯云内与 API 服务同地域 |  内网地址 | 内网流量 | 免费 | 
| 腾讯云内与 API 服务同地域 |  外网地址 | 外网流量 | 收费 | 
| 腾讯云内与 API 服务不同地域 |  外网地址 | 外网流量 | 收费 | 
| 非腾讯云内、互联网地址 |  外网地址 | 外网流量 | 收费 | 

## 后端 Serverless Cloud Function 调用计费

SCF 云函数根据所在地域不同，流量和计费方式如下表。

| SCF 云函数位置 |  流量类型 | 流量计费 |
| ---          |   ---     | ---      |
| 与 API 服务同地域 |  内网流量 | 免费 | 
| 与 API 服务不同地域 |  外网流量 | 收费 | 
