Cloud Kafka与其他消息服务产品的性能对比详情如下：

| 特性 |	CKafka	|Apache Kafka	|RabbitMQ	|RocketMQ	|CMQ|
|:--------|:--------|:--------|:--------|:--------|:--------|
|优点|	吞吐量非常大<br>扩展性非常灵活<br>运维成本极低	|吞吐量大|	可靠性高	|可靠性高|	可靠性非常高<br>金融等强一致性场景|
|缺点|极端情况可能丢失消息	|可能丢失消息<br>扩展性不够灵活<br>依赖组件多，运维量大<br>安全防护功能有限，隔离和兼容性差|	性能较差<br>扩展不灵活	|HA切换需要手动支持，不能自动化	|为保证强一致性，吞吐量一般|
|开发语言	|C++	|Scala|	Erlang|	Java	|C++|
|可扩展性	|非常灵活、易于扩展，发送消息只需指明vip地址，broker的变化对于收发消息都透明|	不够灵活，发送消息需指明broker地址，接收消息需zookeeper协调调度|	不够灵活，发送消息需要指明broker地址|	较灵活，发送方、接收方和name server连接| 灵活、平滑、水平扩展，逻辑上单个 Queue可跨多个集群提供服务|
|吞吐量|	非常大|	较大	|一般|	一般|	一般|
|常规性能|	百万级QPS	|百万级QPS|	十万级QPS|	十万级QPS|	十万级QPS|
|2C 4GB压测|	读写22万 QPS|	读写20万 QPS|	读写 10万 QPS|	读写 10万 QPS|	读写12万 QPS|
|同步算法|	ISR（Replica）|	ISR（Replica）|	GM	|同步双写|	Raft|
|可用性	|可用性很高，主从自动切换，腾讯云消息服务承诺可用性99.95%|	可用性高，主从自动切换，但由于异步刷盘和复制，切换后可能会丢消息|	主备自动切换，用mirror queue支持m/s，master提供服务，slave仅备份|	不支持主从自动切换，master不可用时slave只读不写|	可用性很高，broker中存在2节点即可提供高可用服务|
|消费方式|	拉取方式|	拉取方式|	拉取和推送方式|	拉取方式|	拉取和推送方式|
|消息可靠性|	较高<br>可通过三副本方式提升可靠性，集群容灾性能好，故障情况极少发生|	低<br>broker只有异步刷盘机制并主备只有异步复制，可能会导致丢失部分消息	|高<br>发送消息时，指定消息为持久化就会写入到磁盘	|高<br>broker同步双写，主备都写成功才返回成功	|极高<br>保证消息不丢失同步刷盘，数据持久性99.999999%|
|数据校验	|CRC|	CRC	|无	|CRC	|checksum|
|消息回溯	|支持	|支持|	不支持|	不支持	|支持|
|安全防护|支持|	不支持|不支持|不支持|支持|	
|监控告警|支持|	不支持|不支持|不支持|支持|	
|服务支持|支持|	不支持|不支持|不支持|支持|	

注：“2C 4GB 压测”表示在 2核 4GB 内存服务器上压测的结果。
