## 产品概述

Cloud Kafka是基于腾讯自研CMQ消息队列引擎，提供高吞吐性能、高可扩展性的消息队列服务。Cloud Kafka完美兼容Apache kafka 0.9版本接口，在性能、扩展性以及业务安全保障、运维等方面具有超强优势，让您在享受低成本、超强功能的同时，免除繁琐运维工作。

### 应用场景
1. 网页追踪
Cloud Kafka通过实时处理网站活动（PV，搜索，用户其他活动等），并根据类型发布到topic中，这些信息流可以被用于实时监控或离线统计分析等。
由于每个用户的page view中会生成许多活动信息，因此网站活动跟踪需要很高的吞吐量，Cloud Kafka可以完美满足高吞吐、离线处理等要求。

2. 日志聚合
Cloud Kafka 提供了低延迟处理、易于支持多个数据源和分布式的数据处理（消费）的特性。相比于中心化的日志聚合系统，Cloud Kafka 可以在提供同样性能的条件下，实现更强的持久化保证以及更低的端到端延迟。
因此，Cloud Kafka 的特性决定它非常适合作为”日志收集中心”；多台主机/应用可以将操作日志”批量”“异步”的发送到 Cloud Kafka 集群中，而无需保存在本地或者 DB 中；Cloud Kafka 可以批量提交消息/压缩消息，这对生产者而言，几乎感觉不到性能的开支。此时 消费者可以使hadoop 等其他系统化的存储和分析系统对拉取日志进行统计分析。

3. 大数据场景
对于一些大数据相关的业务场景而言，需要对大量并发数据进行处理和汇总，此时对集群的处理性能和扩展性都有很高的要求。而Cloud Kafka在实现上，其数据分发机制，磁盘存储空间的分配、消息格式的处理、服务器选择以及数据压缩等方面，也决定其适合处理海量的实时消息，并能汇总分布式应用的数据，方便系统运维。

在具体的大数据场景中，Cloud Kafka能够很好地支持离线数据、流式数据的处理，并能够方便地进行数据聚合、分析等操作。

### 优势
1.解耦
　　有效解耦生产者、消费者之间的关系。在确保同样的接口约束的前提下，允许独立扩展或修改生产者/消费者间的处理过程。
  
2.可扩展性
　　由于消息的处理过程被解耦，只需要水平扩展处理过程，即可有效增加消息的入队效率和处理效率，十分灵活。
  
3.削峰填谷
　　消息队列能够抵挡突增的访问压力，而不会因为突发的超负荷的请求而完全崩溃，有效提升系统健壮性。
  
4.可恢复性
　　当系统的部分组件出现故障时，整个系统不会因此收到影响，增加了系统的容错能力。及时某一处理消息的进程故障，队列中的消息依然可以在系统恢复后被处理。

5.顺序读写
　　Cloud Kafka能够保证一个Partition内消息的有序性，和大部分的消息队列一致，Cloud Kafka可以保证数据按照顺序进行处理，极大提升磁盘效率。

6.异步通信
　　在业务无需立即处理消息的场景下，Cloud Kafka提供了消息的异步处理机制，访问量高时仅将消息放入队列中，在访问量降低后再对消息进行处理，缓解系统压力。
　　
## 名词解释

| 序号     |     名称 |   解释 |
| :-------- | :--------| :------ |
| 1|   Broker|  Cloud Kafka集群中的服务器|
| 2|   Topic|  消息类别，Cloud Kafka是面向消息的 |
| 3|   Partition| 一个物理上分区的概念，一个Topic可以包含一个或者多个partition，Cloud Kafka以partition作为分配单位  |
| 4|   Replica| partition 的副本，用于保障 partition 的高可用 |
| 5|  Offset | 消息在partition的唯一序号|
| 6|  Producer | 生产者，负责发布消息|
| 7|  Consumer | 消费者，从集群中消费消息|
| 8|  Consumer group | 消费者分组，每个consumer必须属于一个consumer group。每条消息能被多个consumer group消费，但只能被该group中的一个consumer消费 |
| 9|  Zookeeper | 用于存储集群的meta数据、进行leader选举、故障容错等 |


