## 简介
FPGA 云服务器（FPGA Cloud Computing）是基于 FPGA（Field Programmable Gate Array）现场可编程阵列的计算服务。具有高吞吐量、低延时、低功耗的特点。从硬件层面加速云计算在各个场景中的应用，降低大中小型企业以及用户的使用门槛和成本。适用于有非常大量的重复性、需要并行计算的工作。可应用于基因组学研究、金融分析、图像压缩和实时视频处理等需要进行高性能计算的场景。

## 配置信息
#### 硬件配置
- FX2 实例搭载 Xilinx Kintex UltraScale KU115 FPGA。
- 每个 FPGA 都具有 16GiB 本地 DDR4 ECC 受保护内存，并配有专用 PCle x8 连接。
- 每个 FPGA 大约包含 130 万个逻辑单元以及 5520 个数字信号处理（DSP）引擎。

#### 实例规格：
| 实例规格 | FPGA | DDR-4（GiB）| vCPU | 内存（GiB）| 数据盘 | 网络|
|---------|---------|---------|------|------------|------|----|
| FX2.7xlarge60 | 1 | 2 * 8| 14 | 60 | 搭载 SSD 云盘 | 万兆网络|
| FX2.14xlarge120 | 2 | 4 * 8 | 28 | 120 | 搭载 SSD 云盘 | 万兆网络|
| FX2.28xlarge240 | 4 | 8 * 8 | 56 | 240 | 搭载 SSD 云盘 | 万兆网络| 
> **注意：**
> 内测阶段，腾讯云提供的公共开发镜像为 CentOS 7.2 64位 + FPGA 驱动 + 硬件编程工具。

## 实例功能
### 硬件加速
FX2 实例使用 FPGA 硬件加速器协同执行浮点数计算和图形处理等。借助 FX2 实例，用户可以轻松地使用 FPGA 为其工作负载部署硬件加速，帮助应用程序降低处理时延并大幅提升处理能力。与仅使用 CPU 的服务器相比，应用程序运行速度最高可提升 20 倍。

### 可编程
FX2 实例的 FPGA 是可编程的，用户可以使用软件进行配置，灵活地更新和优化硬件加速，且无需重新设计任何硬件。
