## 是什么？
- [FPGA 是什么，我为什么需要它？](#Q1)
- [腾讯云 FPGA 云服务器是什么？](#Q2)
- [腾讯云 FPGA 云服务器 与传统 FPGA 解决方案相比如何？](#Q3)
- [腾讯云 FPGA IP 是什么？](#Q4)
- [腾讯云 FPGA Image 是什么？](#Q5)

## 怎么用？
- [我是否需要成为 FPGA 专家才能使用 FPGA 实例？](#Q6)
- [我是 FPGA 开发人员，如何开始使用 FPGA 实例？](#Q7)
- [我不是 FPGA 开发人员，如何开始使用 FPGA 实例？](#Q8)
- [我是否可以向任何云服务器 CVM 实例类型中添加 FPGA？](#Q9)
- [如何才能获取 FPGA 云服务器的内测资格？](#Q10)

-----
<span id="Q1"></span>
#### 1.  FPGA 是什么，我为什么需要它？
FPGA 是一种常用的定制硬件的方式。与专用硬件（如 ASIC）相比，FPGA 非常灵活，可以在插入 PC 主板后现场编程。
FPGA 是可以使用软件配置的可编程集成电路。与只使用 CPU 的服务器相比，通过使用 FPGA，用户可以将应用程序处理延时降低，处理能力提高。此外，FPGA 可重编程，因此可以灵活地更新和优化硬件加速，而无需重新设计硬件。
FPGA 本身是带有有限数量的简单逻辑门和存储单元的可编程芯片。FPGA 编程是用 HDL（硬件描述语言）将这些逻辑门和存储单元连接起来，组成可完全并行执行的多种操作。因此，非常适合用作定制硬件。在某些特殊应用中，比如大数据挖掘、金融风险分析等，能提供高达 30 倍的加速。
<span id="Q2"></span>
#### 2. 腾讯云 FPGA 云服务器是什么？
FPGA 云服务器 是一种新的计算服务，能够通过可编程的硬件实现应用程序加速。用户可以在几分钟内轻松获取并配置您的 FPGA 计算实例，只需单击几下即可完成部署并方便的访问 FPGA。我们为用户提供可重编程的环境，用户可以进行 FPGA 编程，无需重新设计硬件，为应用程序创建自定义硬件加速，更加专注于业务发展。
<span id="Q3"></span>
#### 3. 腾讯云 FPGA 云服务器 与传统 FPGA 解决方案相比如何？
FPGA 实例能够通过可编程的硬件实现应用程序加速。通过 FPGA 实例，用户只需单击几下即可访问 FPGA 硬件，从而节约全 FPGA 开发周期的时间和成本，并将部署时间从数年或数月缩减到数天。尽管 FPGA 技术已出现数十年，但是由于开发基础设施、硬件设计和大规模部署所需的时间和成本等因素，在加速器的开发和向传统企业销售自定义硬件的业务模式方面，导致应用程序加速的采用很难取得成功。通过此服务，客户可避免在本地数据中心开发 FPGA 的无差别的繁重工作.腾讯及其合作伙伴拥有大量 FPGA 的知识产权 (IP)，可帮助您加速产品上市进程，同时您也可以通过腾讯云市场，为其他客户提供您设计的 IP。
<span id="Q4"></span>
#### 4. 腾讯云 FPGA IP 是什么？
FPGA IP，FPGA Intellectual Property，即 FPGA 知识产权，腾讯及其合作伙伴拥有大量 FPGA 的知识产权 (IP)，可帮助您加速产品上市进程，同时您也可以通过腾讯云市场，为其他客户提供您设计的 FPGA IP。
<span id="Q5"></span>
#### 5. 腾讯云 FPGA Image 是什么？
腾讯云 FPGA Image 是包含 FPGA 的操作系统镜像，腾讯云提供的 FPGA Image 进行部署和开发，目前腾讯云官方提供的 FPGA Image 都是免费的，您可以调用深度学习的 alexnet 功能 IP，进行图片检测功能，加速您的产品应用。
<span id="Q6"></span>
#### 6. 我是否需要成为 FPGA 专家才能使用 FPGA 实例？
不用，本次腾讯云发布的 FPGA 实例，已经提供基于 FPGA 的用于图片分类的 Alexnet 模型的 API 接口，用户可以通过调用 API 接口的方式实现自己的应用程序。
我们稍后会通过提供 framework 的方式，腾讯云 FPGA 实例提供类似操作系统的支持，可以方便访问 DDR、使用 DMA 完成主机和 FPGA 之间通讯，开发者只需关注面向应用的逻辑设计。
<span id="Q7"></span>
#### 7. 我是 FPGA 开发人员，如何开始使用 FPGA 实例？
我们稍后将会通过提供 framework，该 framework 可以支持 C/C++、OpenCL、Verilog/VHDL 开发语言，FPGA 开发人员可以选择自己熟悉的语言方式进行 FPGA 逻辑设计。
<span id="Q8"></span>
#### 8. 我不是 FPGA 开发人员，如何开始使用 FPGA 实例？
我们已经提供基于 FPGA 的用于图片分类的 Alexnet 的 API 接口，用户可以通过调用 API 接口的方式实现自己的应用程序。具体可参考 [快速入门概述](https://cloud.tencent.com/document/product/565/8220)。
<span id="Q9"></span>
#### 9. 我是否可以向任何云服务器 CVM 实例类型中添加 FPGA？
不可以。FPGA 为腾讯云专门定制的实例硬件，目前 FPGA 实例具有 1 个实例规格，目前不支持 FPGA 弹性挂载到云服务器 CVM 上。
<span id="Q10"></span>
#### 10. 如何才能获取 FPGA 云服务器的内测资格？
FPGA 云服务器目前处于内测中，内测阶段仅提供给内测申请通过的用户使用，您可以 [立即申请](https://cloud.tencent.com/act/apply/fpga) 内测资格，如通过审核，我们将安排售前工程师与您联系安排内测使用。全网发布日期由腾讯云另行通知。
