For GCC instances, we now provide G2 instances which are suitable for general GPU computing applications.

**Applicable scenarios:** GCC instances are suitable for scenarios where server GPU computing workload is required, such as deep learning, graphic database, high-performance database, computational fluid dynamics, computational finance, earthquake analysis, molecular modeling, genomics and so on.

**Features:**
	•	High-frequency Intel Xeon E5-2680 (Broadwell) processor
	•	High-performance NVIDIA Tesla M40 GPU, each with 3,072 CUDA cores and 24 GB video memory
	•	Network enhancement is available by default (free).
	•      You can [Purchase Elastic Cloud Disk](https://cloud.tencent.com/document/product/362/2732) separately and mount them if you need to expand local SSD capacity.	
	
	
**G2 instances are provided in two configurations:**

| Model | GPU<br>(Tesla M40) | GPU Memory<br>(GDDR5) | vCPU<br>(Xeon E5 v4) | Memory<br>(DDR4) | Data Disk<br>(Local SSD) | Performance |
|---------|---------|---------|---------|---------|---------|---------|
| G2.large | 1 | 24 GB | 28 cores | 60 GB |  1,650 GB | Peak computing capacity for single machine: single-precision floating point arithmetic over 7T Flops; double-precision floating point arithmetic over 0.2T Flops.  |
| G2.2xlarge | 2 | 48 GB | 56 cores | 120 GB | 3,300 GB | Peak computing capacity for single machine: single-precision floating point arithmetic over 14T Flops; double-precision floating point arithmetic over 0.4T Flops.  |


