## 性能卓越可靠
**实时加速计算**
GPU 云服务器具有超强的计算性能：
- 采用 Intel 最新一代 Xeon E5 v4 CPU。
- 提供了强大的单双精度浮点功能，单机峰值计算能力最高突破 14T Flops 单精度浮点运算及 0.4T Flops 双精度浮点运算，在科学计算表现中性能比传统架构提高 50 倍。
- 利用硬件加速器来执行一些功能，如浮点数计算和图形处理，比在 CPU 上运行的软件更有效。

**低时延高 I/O 存储**
GPU 云服务器采用 SSD 本地盘， SSD 本地盘为实例提供块级别的数据访问能力，具有低时延、高随机 IOPS、高吞吐量的 I/O 能力。I/O 性能在普通本地盘的数 10 倍以上， 最高 300MB/s 的吞吐和 30000 随机 IOPS，详情请参考 [了解 SSD 本地盘详情 >>](https://cloud.tencent.com/doc/product/213/5798#ssd-.E6.9C.AC.E5.9C.B0.E7.9B.98)。
用户可以自由挂载或卸载云硬盘，云硬盘提供三副本专业存储策略，消除单点故障，保证数据可靠性，满足在不同虚拟机之间数据共享、迁移及长期存储的需求。
## 服务稳定安全
GPU 云服务器提供安全可靠的网络环境和完善的防护服务：
- GPU 云服务器位于 **全万兆** 网络环境中，内网时延低，提供优秀的计算能力。
- 支持和 [云服务器CVM](https://cloud.tencent.com/product/cvm.html) 、 [私有网络VPC](https://cloud.tencent.com/product/vpc.html?idx=1) 、 [负载均衡CLB](https://cloud.tencent.com/product/clb.html?idx=1)  等的业务对接，不增加额外的管理和运维成本，内网流量免费。
- 完善的 [安全组](https://cloud.tencent.com/doc/product/213/5221) 和 [网络 ACL](https://cloud.tencent.com/doc/product/215/5132) 设置，让您能控制进出实例和子网的网络入出站流量，并进行安全过滤。
- 与云安全无缝对接，享有云服务器同等的基础云安全基础防护和高防服务，详情请参考  [了解网络与安全性详情 >>](https://cloud.tencent.com/doc/product/213/5220)。

## 实例部署迅速
GPU 云服务器支付流程简单，即买即用，详情请参考 [购买指导 >>](https://cloud.tencent.com/document/product/560/10407)。
GPU 云服务器入门简单，用户可以迅速搭建一个 GPU 示例，并且与云服务器 CVM 采用一致的管理方式，无需跳板机登录，简单易用，详情请参考         [快速入门 >>]()。
GPU 云服务器与 [负载均衡CLB](https://cloud.tencent.com/product/clb.html?idx=1)、[SSD云硬盘](https://cloud.tencent.com/doc/product/213/5798) 等多种云产品无缝接入，清晰的 [Nvidia 显卡驱动的安装](https://cloud.tencent.com/document/product/560/8048)、部署指引，无需硬件扩展、驱动安装。











