## Excellent and Reliable Performance
**Accelerate computing in real time**
GCC instance provides superior computing capability:
- It uses the latest generation Intel Xeon E5 v4 CPU.
- It offers powerful single/double-precision floating point feature. Peak computing capacity for a single GCC instance is 14T Flops for single-precision floating point arithmetic and 0.4T Flops for double-precision floating point arithmetic. In scenario of scientific computing, its performance grew 50-fold compared to traditional architecture.
- It uses hardware accelerators to implement some features, such as floating-point computing and graphic processing, which can run software more effective than CCC instance.

**Low latency and high I/O storage**
GCC instance uses local SSD which provides instances with block-level data access capability with a low latency, high random IOPS, and high I/O throughput. I/O performance of Local SSD is ten times higher than that of local HDD, with a maximum of throughput 300 MB/sec and 30,000 random IOPS. For more information, please see [Learn more about local SSD >>](/doc/product/213/5798#ssd-.E6.9C.AC.E5.9C.B0.E7.9B.98).
You can mount/unmount your cloud storage freely. Cloud storage provides 3-copy professional storage strategy to eliminate single point of failure and ensure reliability of data, so as to meet the need for sharing, migration and long-term storage of data in different virtual machines.
## Stable and Secure Services
GCC instance provides secure and reliable network environment and perfect protection services:
- GCC instance resides in an environment all with **10 gigabit** networks, and provides a private network environment with low latency, offering outstanding computing capacity.
- It can be interfaced with [CVM](https://cloud.tencent.com/product/cvm.html), [VPC](https://cloud.tencent.com/product/vpc.html?idx=1), [CLB](https://cloud.tencent.com/product/clb.html?idx=1) and other businesses, without additional management and OPS costs. Private network traffic is free of charge.
- Well-established [Security Group](https://cloud.tencent.com/doc/product/213/5221) and [Network ACL](/doc/product/215/5132) settings allow you to control and securely filter the inbound and outbound network traffic to or from instances and subnets.
- It can seamlessly connect to Cloud Security, and has the basic protection and high defense services of Cloud Security equivalent to that of CVM. For more information, please see [Learn more about network and security >>](/doc/product/213/5220).

## Quick Instance Deployment
"Out of box" feature makes the payment process easier for GCC instances. For more information, please see [Purchase Guide](/doc/product/560/8120).
GCC instance is easy to get started with. Designed for ease of use, GCC instance can be quickly built and managed in the same way as with CVM, without the need to use jump server for login. For more information, please see [Quick Start >>](/doc/product/560/8123).
GCC instances can seamlessly connect to multiple Tencent Cloud products, such as [CLB](https://cloud.tencent.com/product/clb.html?idx=1) and [SSD Cloud Storage](/doc/product/213/5798). With clear guide on deployment and [Installation of Nvidia Graphics Card Driver](/doc/product/560/8048), you do not need to implement hardware expansion and driver installation manually.












