## 计算能力

**GPU云服务器使用硬件加速器来执行一些功能，如浮点数计算和图形处理，比在CPU 上运行的软件更有效。**

GPU云服务器采用高性能 NVIDIA Tesla M40 以及适用于使用 CUDA 和 OpenCL 编程模型的通用 GPU 计算设计。GPU云服务器提供了强大的单双精度浮点功能，每个 GPU 拥有高达 3072 个并行处理内核和 24GB 的 GDDR5 内存，非常适合深度学习、图形数据库、高性能数据库、计算流体动力学、计算金融、地震分析、分子建模、基因组学、渲染及其他服务器端 GPU 计算工作负载的场景。

GPU云服务器单机峰值计算能力突破 14T Flops 单精度浮点运算及 0.4T Flops 双精度浮点运算，在科学计算表现中性能比传统架构提高50倍。

同时，GPU云服务器采用 Intel 最新一代 Xeon E5 v4 CPU，计算性能领先；采用SSD本地存储，IO性能是普通本地盘的数十倍以上。
[了解SSD本地盘详情>>](https://cloud.tencent.com/doc/product/213/5798)

## 机型配置
我们提供以下配置供您选择：

| GPU (Tesla M40) | vCPU (Xeon E5 v4) | 内存 (DDR4)|GPU 内存 (GDDR5) | 性能 |
|---------|---------|---------|---------|---------|
| 1颗 | 28核 | 60GB | 24GB | 单机峰值计算能力突破7T Flops 单精度浮点运算，0.2T Flops 双精度浮点运算。 |
| 2颗 | 56核 | 120GB | 48GB | 单机峰值计算能力突破14T Flops单精度浮点运算，0.4T Flops 双精度浮点运算。 |

GPU 云服务器支持多种操作系统，如CentOS、Ubuntu、Windows等，以适应不同行业的专业软件及建模需求。

## 存储

采用SSD本地盘，IO性能在普通本地盘的数十倍以上。[了解SSD本地盘详情>>](https://cloud.tencent.com/doc/product/213/5798#ssd-.E6.9C.AC.E5.9C.B0.E7.9B.98)

您可以自由挂载或卸载SSD云硬盘，SSD云硬盘提供三副本专业存储策略，消除单点故障，保证数据可靠性，满足在不同虚拟机之间数据共享、迁移及长期存储的需求。
[了解SSD云硬盘详情>>](https://cloud.tencent.com/doc/product/213/5798#ssd-.E6.9C.AC.E5.9C.B0.E7.9B.98)

## 网络与安全性

GPU云服务器位于**全万兆**网络环境中，内网时延低，为您的业务提供优秀的计算能力。

采用与云服务器CVM一致的购买管理方式，包括内外网IP分配、安全组、子网管理等，简单易用。

支持和[云服务器CVM](https://cloud.tencent.com/product/cvm.html)、[私有网络VPC](https://cloud.tencent.com/product/vpc.html?idx=1)、[负载均衡CLB](https://cloud.tencent.com/product/clb.html?idx=1) 等的业务对接，不增加额外的管理和运维成本，内网流量免费。

完善的[安全组](https://cloud.tencent.com/doc/product/213/5221)和[网络 ACL](https://cloud.tencent.com/doc/product/215/5132)设置让您能控制进出实例和子网的网络入出站流量并进行安全过滤。

与云安全无缝对接，享有云服务器同等的基础云安全基础防护和高防服务。 
[了解网络与安全性详情>>](https://cloud.tencent.com/doc/product/213/5220)


