## GA2 Instance Overview
**GCC rendering GA2 instance** is suitable for generic GPU rendering applications. It is managed in the same way as with standard CVM. With powerful computing capacity and elastic expansion based on your business needs, GCC instance is optimal for high-performance rendering and computing.

## Applicable Scenario
GA2 Instance is especially suitable for GPU computing workloads requiring high-performance rendering and excellent graphic processing capacities.
 - Non-linear editing
 - Rendering scenarios
 - Remote workstations
 - Cloud desktops and so on

## Hardware Specification
- **CPU:** High-frequency Intel Xeon E5-2680 (Broadwell).
- **GPU:** AMD FirePro(tm) S7150.
- **Memory:** DDR4.
- **Storage:** Both system disk and data disk are SSD cloud storage. You can [Purchase Elastic Cloud Disk](/doc/product/362/2732) and mount it if you need to expand the capacity.	 
- **Network:** Network enhancement is available by default (free).

	
**GA2 instance is provided in the following configurations:**
<table>
		<thead>
		<tr>
			<th width=10%>Model</th>
			<th width=20%>GPU<br>(AMD S7150)</th>
			<th width=12%>vCPU</th>
			<th>Memory<br>(DDR4)</th>
			<th>Data Disk</th>
		</tr>
		</thead>
		<tbody>
			<tr>
				<td>GA2.2xlarge16</td>
				<td>&nbsp;1/4</td> 
				<td>&nbsp;8 cores</td>
				<td>&nbsp;16 GB</td>
				<td>&nbsp;<a href="/doc/product/362/2345">Cloud Block Storage</td>
				<td><b></b></td>
			</tr>
		</tbody>
</table>

## Service Options
- It supports [Prepaid](/doc/product/213/2180#1.-.E5.8C.85.E5.B9.B4.E5.8C.85.E6.9C.88) and [Postpaid](/doc/product/213/2180#2.-.E6.8C.89.E9.87.8F.E8.AE.A1.E8.B4.B9).
- It can be launched in basic network and [VPC](/doc/product/213/5227).
- It can be interfaced with [Load Balance](/doc/product/214/524) and other businesses, without additional management and OPS costs. Private network traffic is free of charge.




