GCC rendering GA2 instance launched by Tencent Cloud can be used in combination with the latest AMD S7150 GPU. Single GPU core has 2,048 processor kernels. Peak computing capacity for a single GCC instance is up to 3.77T Flops for single-precision floating point arithmetic. It is suitable for GPU rendering scenarios, such as non-linear editing, video encoding/decoding, graphics acceleration visualization, 3D design.


## Non-linear Editing
Non-linear editing is a modern editing method in film and TV post-production. To handle heavy graphic/image processing load, visualization GPU service is required for picture processing and visualization design. In addition, massive computing capacity, memory and storage are needed to store and process media asset data. With media asset data stored in the cloud, a project can be shared in the network editing environment. So, multiple users can work on the same project on their local machines at the same time, and perform tasks separately, such as editing, subtitling, adding special effects, coloring, and packaging.
![](//mc.qcloudimg.com/static/img/dc37675628ee0878f74cf68a52d8289d/image.png)

## Rendering
Rendering is the process of generating images from a model using a software, and is widely used in video, simulation, film and TV production and other fields. Rendering scenarios require GPU graphics card for graphics acceleration and real-time rendering, and also need massive computing capacity, memory and storage. High-performance computing and graphics rendering capabilities allow online graphics rendering, so as to greatly shorten the production cycle and improve the overall efficiency.
![](//mc.qcloudimg.com/static/img/d435c0552c632d715a582cf8f068659f/image.png)


## Remote Graphics Workstations
A remote graphics workstation connects to a server through private network for day-to-day work by separating server and client. Generally, the server is centrally deployed in the information data center to handle graphics workload using GPU graphics cards. Client terminals connect to the server by means of keyboard, mouse, monitor through private network for day-to-day work.
![](//mc.qcloudimg.com/static/img/5de2c3edd0287f17fc8b76f0ae8792e3/image.png)



