## 海量计算处理
GPU 云服务器超强的计算功能可应用于海量数据处理方面的运算，如搜索、大数据推荐、智能输入法等：
- 原本需要数天完成的数据量，采用 GPU 云服务器在数小时内即可完成运算。
- 原本需要数十台 CPU 云服务器共同运算集群，采用单台 GPU 云服务器可完成。

![](//mc.qcloudimg.com/static/img/b7318584c771454d34041ff8f1c4fbb1/image.png)
## 深度学习模型
GPU 云服务器可作为深度学习训练的平台：
1.	GPU 云服务器可直接加速计算服务，亦可直接与外界连接通信。
2.	GPU 云服务器和云服务器 CVM 搭配使用，云服务器为 GPU 云服务器提供计算平台。
3. 对象存储 COS 可以为 GPU 云服务器提供大数据量的云存储服务。

![](//mc.qcloudimg.com/static/img/8adde7aed6e85ccd082ca2b3d132c60c/image.png)
### 简单深度学习模型
用户可以使用 GPU 云服务器作为简单深度学习训练系统，帮助完成基本的深度学习模型。
![](//mc.qcloudimg.com/static/img/621341ff952d6377e87c499985ea81d3/image.png)
### 复杂深度学习模型
结合云服务器 CVM 提供的计算服务、对象存储 COS 提供的云存储服务、云数据库 MySQL 提供的在线数据库服务、云监控和大禹提供的安全监控服务，可搭建一个功能完备的深度学习离线训练系统，帮助高效、安全地完成各种离线训练任务。
![](//mc.qcloudimg.com/static/img/dfe9c205f88c60d1fad28b0d0f73029d/image.png)
## GPU 渲染场景
腾讯云即将推出渲染型 GPU 渲染型 【GA2】，搭配 AMD 最新 S7150 系列 GPU，单 GPU 核心具有 2048 个 处理器核心，单 GPU 最高可达 3.77 TFLOPS 单精度浮点运算，建议用于非线性编辑、 视频编解码、 图形加速可视化和 3D 设计等 GPU 渲染场景。
### 视频编解码
采用 GPU 云服务器进行渲染，利用 GPU 加速器指令，让数以千计的核心为您所用，加快图形图像编码渲染速度。
![](//mc.qcloudimg.com/static/img/85c7a647958308860a0932964b5c0ae1/image.png)
1. 用户发起请求获取图像集和视频集，负载均衡 CLB 将访问流量自动分发到 CVM 实例和 GPU 云服务器上。在 CVM 实例故障时，负载均衡也能提供无缝切换能力，提高容错性。
2. 云服务器 CVM 为 GPU 云服务器提供计算平台。
3. 云数据库 MySQL 可以为 GPU 云服务器提供在线数据库服务。