## 计费说明

**包年包月**：提前一次性支付一个月或多个月的费用。购买者具有 GPU 实例的使用及管理权限。
**按量计费**：计费时间粒度精确到秒，不需要提前支付费用，每小时整点进行一次结算。
GPU 实例包括网络、存储（系统盘、数据盘）、硬件（CPU 、 内存 、 GPU）。了解相关网络价格可参考 [网络价格总览](/doc/product/213/509)， 了解相关磁盘价格可参考 [磁盘价格总览](/doc/product/213/2255) 。
GPU 云服务器提供两种实例类型：计算型 GN2 和 渲染型 GA2 ， 用户可通过了解选型的配置与价格购买适合实际需要的 GPU 实例。
### 计算型 GN2
<table>
		<thead>
		<tr>
			<th width=10%>型号</th>
			<th width=20%>GPU<br>(Tesla M40)</th>
			<th width=11%>GPU 内存<br>(GDDR5)</th>
			<th width=12%>vCPU<br>(Xeon E5 v4)</th>
			<th>内存<br>(DDR4)</th>
			<th>数据盘<br>(本地 SSD 硬盘)</th>
			<th>包年包月</th>
			<th>按量计费</th>
		</tr>
		</thead>
			<tbody>
					<tr>
					<td>GN2.large</td>
					<td>&nbsp;1 颗</td>
					<td>&nbsp;24 GB</td>
					<td>&nbsp;28 核</td>
					<td>&nbsp;&nbsp;&nbsp;56 GB</td>
					<td>&nbsp;1650 GB</td>
					<td><b>4288 元/月</b></td>
					<td><b>13.86 元/小时</b>起</td>
					</tr>
				<tr>
				<td>GN2.2xlarge</td>
				<td>&nbsp;2 颗</td>
				<td>&nbsp;48 GB</td> 
				<td>&nbsp;56 核</td>
				<td>&nbsp;112 GB</td>
				<td>&nbsp;3300 GB</td>
				<td><b>8576 元/月</b></td>
				<td><b>27.71 元/小时</b>起</td>
				</tr>
			</tbody>
</table>

计算性能：
- GN2.large 单机峰值计算能力突破 7T Flops 单精度浮点运算，0.2T Flops 双精度浮点运算。
- GN2.2xlarge 单机峰值计算能力突破 14T Flops 单精度浮点运算，0.4T Flops 双精度浮点运算。

### 渲染型 GA2
> 注意：
>GPU 渲染型 GA2 现处于内测阶段，如需申请，请点击[这里](https://cloud.tencent.com/act/apply/ga2)

<table>
		<thead>
		<tr>
			<th width=10%>型号</th>
			<th width=20%>GPU<br>(AMD S7150)</th>
			<th width=12%>vCPU</th>
			<th>内存<br>(DDR4)</th>
			<th>数据盘</th>
			<th>包年包月</th>
			<th>按量计费</th>
		</tr>
		</thead>
		<tbody>
			<tr>
				<td>GA2.2xlarge</td>
				<td>&nbsp;1/4 颗</td> 
				<td>&nbsp;8 核</td>
				<td>&nbsp;16 GB</td>
				<td>&nbsp;<a href="/doc/product/362/2345">云硬盘</td>
				<td><b>1500 元/月</b></td>
				<td><b>5.21 元/小时</b>起</td>
			</tr>
		</tbody>
</table>

计算性能：
- 单 GPU 最高可达 3.77T Flops 单精度浮点运算。

## 续费说明
 包年包月类型 GPU 实例无法主动销毁，到期后 7 天，系统将自动销毁。
- 实例在到期当日关机并自动进入回收站并保留 7 个自然日，期间可选择续费。7 个自然日后仍未续费则该实例将被销毁。
- 支持在购买时设置自动续费。

建议到期前为实例进行续费，以防止其到期时关机导致服务中断。有关续费的更多操作请参考 [如何续费](https://cloud.tencent.com/document/product/560/8052)。
## 回收说明
 GPU 实例回收，与云服务器 CVM 回收机制一致，具体可参考云服务器 CVM  [实例回收](/doc/product/213/4931#.E5.AE.9E.E4.BE.8B.E5.9B.9E.E6.94.B6)。


