## 什么是镜像？
镜像提供启动实例所需的所有信息，指定需要的镜像后可以从该镜像启动所需任意数量的实例，也可以根据需要从任意多个不同的镜像启动实例。
## 镜像的作用
- **部署特定软件环境**
使用共享镜像、自定义镜像、服务市场镜像都能帮助快速搭建特定的软件环境，免去了自行配置环境、安装软件等繁琐且耗时的工作，并能满足建站、应用开发、可视化管理等多种个性化需求，让 GPU 云服务器“即开即用”，省时方便。
- **批量部署软件环境**
通过对已经部署好环境的实例制作镜像，然后在批量创建实例时使用该镜像作为操作系统，实例创建成功之后便具有和之前实例一致的软件环境，以此达到批量部署软件环境的目的。
- **服务器运行环境备份**
对一台实例制作镜像备份，如果该实例使用过程中软件环境被损坏，无法正常运行，则可以使用镜像恢复该实例。

了解更多镜像的内容，可以参阅 [CVM镜像概述](/doc/product/213/4940) 。
## 镜像类型
腾讯云提供的镜像包括以下几种：
- 公有镜像
- 自定义镜像
- 共享镜像
- 服务市场镜像

### 公有镜像
公共镜像是由腾讯云官方提供、支持和维护的镜像，包含基础操作系统和腾讯云提供的初始化组件，所有用户均可使用。共有镜像具有以下特征：
- **自选操作系统**：用户可自由选择操作系统（如：基于 Linux 类型系统或 Windows 类型系统），并可定期更新。
- **安全的环境**：集成腾讯云提供的软件包（如 API 等），支持多个版本的 Java、MySQL、SQL Server、Python、Ruby、Tomcat 等常见软件及其完全权限。
- **费用低廉**：除部分海外地域的 Windows 类型镜像需收取一定 License 费用外，其余全部免费。

### 自定义镜像
自定义镜像是由用户通过镜像制作功能制作的，或通过镜像导入功能导入的镜像。仅创建者与共享者可以使用。自定义镜像具有以下特征：
- **快速复制**：对一个已经部署好应用的实例创建镜像，以此来快速创建更多包含相同配置的实例。
- **自由管理**：支持用户创建、复制、分享和销毁。
- **限制数量**：每个地域下最多支持 10 个自定义镜像。
- **费用继承**：当公共镜像为部分海外地域的 Windows 类型涉及费用，具体价格以创建实例时显示的价格为准。跨地域复制自定义镜像暂不收费。

有关自定义镜像的更多内容，可以参阅 [创建自定义镜像](/doc/product/213/4942) 、 [复制自定义镜像](/doc/product/213/4943) 、 [共享自定义镜像](/doc/product/213/4944)  、[取消共享自定义镜像](/doc/product/213/7148) 、[删除自定义镜像](/doc/product/213/6036) 和 [导入自定义镜像](/doc/product/213/4945) 。
### 共享镜像
共享镜像是由其他腾讯云用户通过镜像共享功能，将其自定义的镜像共享给当前用户而来。被共享的镜像将在被共享用户的原镜像相同地域下展示。共享镜像具有以下特征：
- **快速部署**：通过共享镜像，帮助其他用户快速创建云主机。
- **数量限制**：每个自定义镜像最多可共享给 50 个腾讯云用户。
- **操作限制**：仅可用于创建云主机，不可以进行修改名称、复制、共享等其他操作；仅支持共享到对方账户相同地域下。
> **注意**：
> 共享的镜像不经过腾讯云审核，可能存在安全风险。因此，强烈建议不要接受未知来源镜像。

有关共享镜像的更多操作方法与限制，请参阅 [共享自定义镜像](https://cloud.tencent.com/doc/product/213/4944)、[取消共享自定义镜像](https://cloud.tencent.com/doc/product/213/7148) 。
### 服务市场镜像
 [服务市场镜像](http://market.qcloud.com/) 是由第三方服务商提供的镜像。经过腾讯云审核后发布，所有用户均可使用。服务市场镜像具有以下特征：
- **支持多种操作系统**：服务市场镜像支持多种常规类型的操作系统等预安装环境。
- **集成多软件环境**：服务市场镜像集成了如 PHP、Java、FTP、Nginx、Docker、WordPress、Discuz 等常用的热门软件环境。
- **内容安全**：入驻的服务商均经过腾讯云严格甄选并签订入驻协议，镜像本身均经过服务商严格测试，保证镜像内容的安全性。
服务市场镜像的使用费用由镜像的提供商定价，既有免费也有需要付费的服务市场镜像。使用付费镜像启动实例时，支付的费用包含实例费用和镜像费用两部分。



