下文中CVM实例即包括专用子机。

腾讯云为云服务器实例提供了不同类型的灵活、经济且易于使用的数据存储设备。不同的存储设备具有不同的性能和价格，适用于不同的使用场景。存储依据不同的维度来划分，可以分成以下几种：

<table class="cbscategory">
        <tbody><tr>
            <th style="width: 5%;">划分维度</th>
            <th style="width: 5%;" >分类</th>
            <th style="width: 20%;" >说明</th>
        </tr>
       
        <tr>
            <td rowspan="2">存储介质</td>
            <td>普通硬盘</td>
            <td>存储介质为机械硬盘。特点是价格较低，且能表现较优的读写速度。</td>
        </tr>
    			<tr>
    			    <td>SSD硬盘</td>
    					<td>存储介质采用固态硬盘(SSD)。特点是在IOPS、读写速度上均表现优异，相较于普通硬盘最大能达到20倍的IOPS和16倍的吞吐量。在价格上比普通硬盘更高。</td>
    					
    					        <tr>
            <td rowspan="2">使用场景</td>
            <td>系统盘</td>
            <td>用来存储控制、调度云服务器运行的系统集合，使用镜像来操作。<br>
    					</td>
        </tr>
    			<tr>
    			    <td>数据盘</td>
    					<td>用来存储所有用户数据。</td>
    					
    					<tr>
    					<td rowspan="3">架构模式</td>
            <td>云硬盘</td>
            <td>云硬盘是一种弹性、高可用、高可靠、低成本、可定制化的网络块设备，可以作为云服务器的独立可扩展硬盘使用。它提供数据块级别的数据存储，采用三副本的分布式机制，为CVM提供数据可靠性保证。<br><font color="red">选择云硬盘的云服务器可以进行硬件、磁盘和网络的调整</font><br>
    					</td>
        </tr>
    			<tr>
    			    <td>本地盘</td>
    					<td>本地盘来自CVM实例所在物理机的本地存储，是从CVM实例所在的物理机上划分的一块存储区域。数据访问可获得较低的时延，但存在数据单点故障的风险。<br>
    					<font color="red">选择本地盘的云服务器不支持硬件（CPU、内存）的升级，仅支持带宽的升级。</font>
    					</td>
<tr>
				    <td>对象存储</td>
						<td>对象存储是位于 Internet 上的数据存储设备，支持从云服务器实例或 Internet 上的任何位置检索数据，从而精简存储成本。不适合作为低时延、高 IO 场景下的存储介质。
						</td>
				</tbody></table>


## 云硬盘

云硬盘是数据块级别的持久存储设备，您可以像使用计算机的外置硬盘一样使用它。云硬盘具有高可用性、高可靠性的特点，采取分布式存储技术，保证您的数据可用性不低于99.99%，适合用作需要频繁和细粒度更新的数据的主存储设备，如文件系统和数据库等。

您可以将多块弹性云硬盘挂载到同一台实例上，或随时从一个实例上卸载下来并挂载到其他实例上。弹性云硬盘的生命周期独立于云服务器实例，可以作为重要数据的存储介质独立存储下来。

可以对云硬盘创建快照来保留数据的备份副本，并随时从快照创建新的云硬盘，并将其连接到另一个实例。有关云硬盘的更多信息，请参阅 [腾讯云云硬盘产品文档](https://cloud.tencent.com/doc/product/362) 。

## 本地盘

本地盘是与云服务器实例在同一台物理服务器上的存储介质，可以为实例提供时延小的存储。本地盘上的数据仅在云服务器实例的生命周期内保留，随云服务器销毁而丢失。有关更多信息，请参阅 [本地盘](/doc/product/213/5798)。

## 对象存储 COS

腾讯云 COS 是位于 Internet 上的数据存储设备，支持从云服务器实例或 Internet 上的任何位置检索数据，从而精简存储成本。例如，您可以使用 COS 来存储数据和应用程序的备份副本。有关更多信息，请参阅 [腾讯云 COS 产品文档](https://cloud.tencent.com/doc/product/430)。

## 块存储设备映射

每个实例均有一块系统盘用以保证基本运行数据，还可以向实例挂载更多数据盘。这些存储设备在实例中如何识别？事实上，实例使用块存储设备映射（device-mapping）来将这些存储设备映射为自身可以识别的位置。

块储存是以字节为单位分块的存储设备，支持随机访问。腾讯云支持两种类型的块储存设备：

- 本地盘
- 云硬盘

![](https://mc.qcloudimg.com/static/img/7e8715ce6bba831c61d0cc807bec8ce9/device-mapping.png)

此图显示了 CBS 如何将块存储设备映射到云服务器上，将 `/dev/vda` 映射到系统盘上，并将两块数据盘分别映射到`/dev/vdb`和`/dev/vdc`。

云服务器实例会自动为挂载至其的本地盘及云硬盘创建块存储设备映射。
