当用户在云服务器实例上部署的应用需要公开提供服务时，必须经由 Internet 传输数据。腾讯云提供的 Internet 访问均经由腾讯云数据中心高速互联网。国内多线 BGP 网络覆盖超过二十家网络运营商，BGP 公网出口秒级跨域切换，保证您的用户无论使用哪种网络，均能享受高速、安全的网络质量。

若您的云服务器实例要在 Internet 上提供服务，它必须具备一个 Internet 上的 IP 地址（亦称公网 IP 地址），这样才能与 Internet 上的其他服务互相通信。您还可以在 Internet 上登录有公网 IP 地址的云服务器实例对其进行相应配置，有关登录云服务器实例的更多内容，请参考[登录 Linux 实例](/doc/product/213/5436)和[登录 Windows 实例](/doc/product/213/5435)。

## 公网 IP 地址
公有 IP 地址是可以从 Internet 访问的 IP 地址，可以使用公用 IP 地址在实例和 Internet 之间进行通信。公有 IP 地址通过网络地址转换 (NAT) 映射到实例的[私有 IP 地址](/doc/product/213/5225)。腾讯云的所有公网接口统一由 Tencent Gateway（TGW）进行处理，TGW 具有可靠性高、扩展性强、性能高、抗攻击能力强等特点，提供了更加高效和安全的网络访问。因此，腾讯云云服务器实例的公网网卡在统一接口层 TGW 上配置，云服务器无感知。

这样的特点导致了当用户在云服务器中使用`ifconfig`等命令查看网络接口信息时，只能查看到[内网](/doc/product/213/5225)的信息。公网信息需要由用户自行登录[腾讯云控制台](https://console.cloud.tencent.com/)云服务器列表/详情页进行查看。

实例通过公网 IP 地址提供服务需要支付相应的费用，具体内容可以参考[购买网络带宽](https://cloud.tencent.com/doc/product/213/509#2.1.-.E5.B8.A6.E5.AE.BD.E5.8C.85.E8.AE.A1.E8.B4.B9)。

## 如何获得公网 IP 地址
腾讯云的网络（公网）计费方式有三种：按带宽计费、按流量计费和带宽包（有关网络计费模式的更多内容，可以参考 [购买网络带宽](https://cloud.tencent.com/doc/product/213/509#2.1.-.E5.B8.A6.E5.AE.BD.E5.8C.85.E8.AE.A1.E8.B4.B9)）。用户在[购买并启动云服务器实例](/doc/product/213/4855)时，在网络设置中：

- 选择按带宽计费，并将带宽设置为大于 0 Mbps 的值；
- 选择按流量计费，并将带宽上限设置为大于 0 Mbps 的值（包括无上限）；
- 选则带宽包，并将带宽设置为大于 0 Mbps 的值；

腾讯云系统会自动从腾讯云公有 IP 地址池中为该实例分配一个公有 IP 地址，此地址不可更改，并且不与您的腾讯云帐号关联。

## 公网 IP 地址的释放
用户无法主动关联或取消公网 IP 地址与实例的关联。在某些情况下，腾讯云系统会自动释放公网 IP 地址，或者为实例新分配一个地址。被释放的公网 IP 地址将返回到公网 IP 地址池中，并且您无法重新使用它。

- 当实例已经被销毁（主动销毁按量计费类型实例或包年包月类型实例到期后销毁），腾讯云将释放它的公网 IP 地址。
- 如果用户将[弹性公网 IP 地址](/doc/product/213/5733)与实例相关联，腾讯云将会释放实例原有的公网 IP 地址。当取消实例与弹性 IP 地址的关联时，实例会被自动分配一个新的公网 IP 地址。

由于公网 IP 地址与实例紧密相关，在上述情况下可能被释放，因此如果您需要一个固定的永久公网 IP 地址，可改为使用弹性公网 IP 地址。例如，如果您需要将自定义域名重新映射到一个新实例的公网 IP 上，可能需要十几个小时至几十个小时的时间使映射关系在 Internet 上传播更新，这段时间内新实例无法接收请求而请求将全部被解析到原有实例上。弹性 IP 可以解决这样的问题，保持域名映射关系不变而快速将其绑定到新的实例上即可。有关更多信息，请参阅[弹性公网 IP 地址](/doc/product/213/5733)。

## 获取实例的公网 IP 地址
您可以使用腾讯云控制台和 API 来确定实例的公网 IP 地址。您还可以使用实例元数据，从实例内确定实例的公网 IP 地址。有关更多信息，请参阅 [实例元数据](/doc/product/213/4934)。

### 使用控制台获取实例的公网IP地址

1) 打开[云主机控制台]( https://console.cloud.tencent.com/cvm/)。

2) 云服务器列表中列出了您名下的实例，鼠标移动到云服务器的公网IP后，出现复制按钮，点击即可复制该IP。

3) （可选）点击需要查看的专用子机实例 ID，即可进入云服务器详细信息页面，查看具体信息，包括**参数**、**监控**、**健康检查**、**安全组**、**操作日志**等。

> 公网 IP 地址通过 NAT 映射到内网 IP 地址。因此，如果在实例内部查看网络接口的属性（例如，通过 ifconfig (Linux) 或 ipconfig (Windows)），则不会显示公网 IP 地址。要从实例内部确定实例的公网 IP 地址，可以使用实例元数据。

### 使用 API 获取实例的公网 IP 地址
请参考 [DescribeInstances 接口](https://cloud.tencent.com/doc/api/229/831)。

### 使用实例元数据获取实例的公网 IP 地址

首先您需要登录云服务器实例，具体内容可以参考 [登录Linux实例](/doc/product/213/5436) 和 [登录Windows实例](/doc/product/213/5435)。

使用以下命令获取公网 IP 地址：

```
curl http://metadata.tencentyun.com/meta-data/public-ipv4
```
返回值有类似如下结构：
![](//mccdn.qcloud.com/img56a1f015c48e5.png)
