使用云服务器实例的第一步是登录云服务器实例，为保证实例的安全可靠，腾讯云提供两种加密登录方式：[密码登录](/doc/product/213/6093)和 SSH 密钥对登录。

腾讯云允许使用公有密钥密码术加密和解密对于 Linux 实例的登录信息。公有密钥密码术使用公有密钥加密某个数据（如一个密码），然后收件人可以使用私有密钥解密数据。公有和私有密钥被称为密钥对。用户可以通过密钥对安全地与云服务器进行连接，是一种比常规密码更安全的登录云服务器的方式。

要使用 SSH 密钥登录您的 Linux 实例，您必须首先创建一个密钥对，并在启动实例时指定密钥对的名称，然后使用私有密钥连接实例。腾讯云只会存储公有密钥，您需要存储私有密钥。拥有您的私有密钥的任何人都可以解密您的登录信息，因此将您的私有密钥保存在一个安全的位置非常重要。

> 注：Windows 实例不支持 SSH 密钥登录。

## 创建 SSH 密钥
1) 打开[云主机控制台](https://console.cloud.tencent.com/cvm/) 。
2) 单击导航窗格中的【SSH密钥】。
3) 点击【创建密钥】:
- 创建方式选择“创建新密钥对”的，输入密钥名称，点击【确定】按钮；
- 创建方式选择“使用已有公钥”的，除了输入密钥名称，还需要输入原有的公钥信息，最后点击【确定】按钮。
  4) 点击【确定】按钮后，弹出提示框，用户需要在10分钟内下载私钥。

## 将密钥绑定/解绑服务器
1) 打开[云主机控制台](https://console.cloud.tencent.com/cvm/) 。
2) 单击导航窗格中的【SSH密钥】。
3) 选中SSH密钥，点击【绑定/解绑云主机】按钮。
4) 选择地域，选择需要关联/解绑的服务器，并拖动到右边，点击确定。
5) 后台进行SSH密钥下发，下发完成会弹出结果窗口，比如关联成功和关联失败。
6) 点击【详情】链接，可以查看最近一次操作的结果。

## 修改 SSH 密钥名称/描述
1) 打开[云主机控制台](https://console.cloud.tencent.com/cvm/) 。
2) 单击导航窗格中的【SSH密钥】。
3) 勾选密钥列表中需要修改的密钥，点击上方【修改】按钮。
或在需要修改的密钥名称上右键单击，点击【修改】按钮。
4) 在弹框中输入新的名称及描述信息，点击【确定】。


## 删除 SSH 密钥

**注意**：若SSH 密钥关联云服务器或自定义镜像则不能删除。

1) 打开[云主机控制台](https://console.cloud.tencent.com/cvm/) 。
2) 单击导航窗格中的【SSH密钥】。
3) 勾选所有需要删除的 SSH 密钥，点击【删除】按钮。或在需要删除的密钥名称上右键单击，点击【删除】，在弹出窗口中点击【确认】。

## 使用 SSH 密钥登录 Linux 云服务器
要使用 SSH 密钥登录 Linux 云服务器，首先需要将 SSH 密钥绑定云服务器。

使用 SSH 密钥登录 Linux 云服务器的具体操作请参考 [登录 Linux 云服务器](/doc/product/213/5436)。
