下文中CVM实例即包括专用子机。

同处于腾讯云上的云产品可以经由 [Internet 访问](/doc/product/213/5224)，也可经由腾讯云内网互相访问。内网服务即局域网（LAN）服务，云服务之间经由内部链路互相访问。腾讯云机房均由底层万兆/千兆互联，提供带宽高、时延低的内网通信服务，且同地域下内网通信完全免费，帮助您灵活构建网络架构。

> - 内网服务具有用户属性，不同用户间相互隔离，即默认无法经由内网访问另一个用户的云服务。
> - 内网服务同时具有地域属性，不同地域间相互隔离，即默认无法经由内网访问同账户下不同地域的云服务。

## 内网 IP 地址

内网 IP 地址是无法通过 Internet 访问的 IP 地址，是腾讯云内网服务的实现形式。您可以使用私有 IP 地址在同一网络（基础网络 或 VPC）中实现实例之间的通信。每个实例都具有分配内网 IP 的默认网络接口（即eth0），内网 IP 地址可由腾讯云自动分配也可由用户自定义（仅在[私有网络]()环境下）。结合 [Internet 服务](/doc/product/213/5224)，腾讯云网络架构由以下两部分组成：

- 公网网卡：在统一接口层TGW上配置，云服务器无感知。当实例被分配[公网 IP 地址](/doc/product/213/5224)时，TGW 自动为其配置一个公网接口。
- 内网网卡：由腾讯云管理，支持用户自行配置。

因此，当用户在云服务器中使用`ifconfig`等命令查看网络接口信息时，只能查看到内网 IP 的信息。公网信息请用户自行登录[腾讯云控制台](https://console.cloud.tencent.com/)云服务器列表/详情页进行查看。需要注意的是，如果您在操作系统内部自行变更内网 IP，会导致内网通讯中断。

内网 IP 可以用于 CLB 的负载均衡，可以用于 CVM 实例之间内网互访，也可以用于 CVM 实例与其他云服务之间内网互访，如 CDN，CDB 等。

## 如何获得内网 IP 地址
每个云服务器实例在启动时都会被分配一个默认的内网 IP 地址。针对不同的[网络环境](/doc/product/213/5227)，内网 IP 也有所不同：
- 基础网络：内网 IP 地址由腾讯云自动分配，不可更改。
- 私有网络：初始内网 IP 地址由腾讯云自动在 VPC 网段中任意分配一个地址，用户可在`10.[0 - 255].0.0/8`、`172.[0 - 31].0.0/16` 和 `192.168.0.0/16` 三个网段内为云服务器实例自定义内网 IP 地址，具体的取值范围由实例所在私有网络决定，更多内容可以参考[私有网络和子网](https://cloud.tencent.com/doc/product/215/4927)。

## 内网 DNS 
内网 DNS 服务负责域名解析，如果 DNS 配置有误会造成域名无法访问。因此，腾讯云在不同地域均提供了可靠的内网 DNS 服务器。具体配置如下：
<table><tbody>
<tr><th>网络环境</th><th>地域</th><th>内网 DNS 服务器</th></tr>
<tr><td rowspan="7">基础网络</td><td>广州</td><td>10.225.30.181<br>10.225.30.223</td></tr>
<tr><td>上海</td><td>10.236.158.114<br>10.236.158.106</td></tr>
<tr><td>北京</td><td>10.53.216.182<br>10.53.216.198</td></tr>
<tr><td>上海金融</td><td>10.48.18.9<br>10.48.18.82</td></tr>
<tr><td>北美</td><td>10.116.19.188<br>10.116.19.185</td></tr>
<tr><td>香港</td><td>10.243.28.52<br>10.225.30.178</td></tr>
<tr><td>新加坡</td><td>100.78.90.19<br>100.78.90.8</td></tr>
<tr><td>私有网络</td><td>所有地域</td><td>183.60.83.19<br>183.60.82.98</td></tr>
</tbody>
</table>

在发现网络解析错误时，用户可以手动进行内网 DNS 设置。设置方法如下：

- 对于 Linux 系统而言，可以通过编辑 `/etc/resolv.conf` 文件修改云服务器 DNS。
  运行命令 `vi /etc/resolv.conf`，根据上表中对应的不同地域编辑该地域的 DNS IP。
  ![](https://mc.qcloudimg.com/static/img/fa8ecdf52b7f51361c369dbc96eea4ec/image.png)

- 对于 Windows 系统而言，用户可以打开【控制面板】—【网络和共享中心】-【更改适配器设备】，右键点击网卡【属性】，双击【Internet 协议版本4】来修改 DNS 服务器。
  ![](https://mc.qcloudimg.com/static/img/beb44bdaad8d90c9534891b725a1d3a6/image.png)
  ![](https://mc.qcloudimg.com/static/img/7f6590044c32188faa7f8e749aade9fe/image.png)

## 获取实例的内网 IP 地址
您可以使用腾讯云控制台和 API 来确定实例的内网 IP 地址。您还可以使用实例元数据，从实例内确定实例的内网 IP 地址。有关更多信息，请参阅 [实例元数据](/doc/product/213/4934)。

### 使用控制台获取实例的内网 IP 地址

1) 打开[云服务器CVM控制台]( https://console.cloud.tencent.com/cvm/)。

2) 云服务器列表中列出了您名下的实例，鼠标移动到云服务器的内网 IP 后，出现复制按钮，点击即可复制该 IP。

3)（可选）点击需要查看的 CVM 实例 ID，即可进入云服务器详细信息页面，查看具体信息，包括**参数**、**监控**、**健康检查**、**安全组**、**操作日志**。

> 公网 IP 地址通过 NAT 映射到内网 IP 地址。因此，如果在实例内部查看网络接口的属性（例如，通过 ifconfig (Linux) 或 ipconfig (Windows)），则不会显示公网 IP 地址。

### 使用 API 获取实例的内网 IP 地址
请参考 [DescribeInstances 接口](https://cloud.tencent.com/doc/api/229/831)。

### 使用实例元数据获取实例的内网 IP 地址

首先您需要登录云服务器实例，具体内容可以参考 [登录Linux实例](https://cloud.tencent.com/document/product/416/5436) 和 [登录Windows实例](https://cloud.tencent.com/document/product/416/5435)。

使用以下命令获取内网 IP 地址：

```
curl http://metadata.tencentyun.com/meta-data/local-ipv4
```
返回值如下
![](//mccdn.qcloud.com/img56a1eeb9557a8.png)
