下文中CVM实例即包括专用子机。

## 安全组概述

安全组是一种有状态的包过滤功能的虚拟防火墙，它用于设置单台或多台云服务器的网络访问控制，是腾讯云提供的重要的网络安全隔离手段。

安全组是一个逻辑上的分组，可以将同一地域内具有相同网络安全隔离需求的云服务器实例加到同一个安全组内。您可以通过安全组策略对云服务器的出入流量进行安全过滤。

在您创建 CVM 实例时，可以将一个或多个安全组与该实例相关联。为安全组添加规则，规定流入或流出其关联的 CVM 实例的流量。

您可以随时修改安全组的规则；新规则立即生效，应用于与该安全组相关联的所有 CVM 实例。您在 CVM 实例控制台中配置的安全组优先级，将作为我们判断该实例总的安全规则的评估依据。

腾讯云在每个地域均添加了三个默认安全组，分别为：默认安全组放通全部端口，Linux安全组放通22端口（允许ssh远程登录Linux服务器），Windows安全组放通3389端口（允许mstsc远程登录Windows服务器）。您可根据需要绑定默认安全组。

## 安全组规则
安全组规则可控制允许到达与安全组相关联的 CVM 实例的入站流量以及允许离开 CVM 实例的出站流量（从上到下依次筛选规则）。默认情况下，新建安全组将 All Drop （拒绝）所有流量。
对于安全组的每条规则，您可以指定以下几项内容：

●	协议类型：例如 TCP、UDP 或 ICMP 等。
●	端口：来源或目标的端口范围。
●	授权类型：地址段（CIDR/IP）访问，或安全组访问（安全组ID）；
●	来源（入站规则）或目标（出站规则）的以下选项之一：
　○	用 CIDR 表示法，指定的单个 IP 地址。
　○	用 CIDR 表示法，指定的 IP 地址范围（例如，203.0.113.0/24）。
　○	引用安全组ID。您可以引用以下安全组的ID之一：
　　■	当前安全组。(表示与安全组关联的CVM可/不可互访)
　　■	同一区域中的另一个安全组ID。

> 注意：引用安全组ID作为高阶功能，您可选择使用，这不会将规则从引用安全组添加到当前安全组，即：此时安全组ID代表他关联的 CVM 实例们的内网 IP 地址。

●	策略：允许或拒绝。
> 引用安全组ID且设置策略为允许时表示：与来源安全组ID关联的CVM 可以访问 与本安全组关联的CVM，或 与本安全组关联的CVM 可以访问 与目标安全组关联的CVM。

## 安全组的限制

- 安全组适用于任何[网络环境](/doc/product/213/5227)下的 CVM 实例。

- 每个用户在每个地域每个项目下最多可设置 50 个安全组。

- 一个安全组入站方向、出站方向的访问策略，各最多可设定100条。

- 一个 CVM 可以加入多个安全组，一个安全组可同时关联多个 CVM，数量无限制。

> 注意： 安全组内 CVM 实例个数虽无限制，但不宜过多。
> 如果您有大量个数的 CVM 实例需要互访，可以将他们分配到多个安全组内，并通过安全组ID的规则配置方式，进行互相授权允许互访。

| 功能描述       | 数量                  |
| ---------- | ------------------- |
| 安全组        | 50个/地域              |
| 访问策略       | 100条/入站方向，100条/出站方向 |
| CVM关联安全组个数 | 无限制                 |
| 安全组内CVM的个数 | 无限制                 |

## 安全组与网络ACL的区别

| 安全组                                      | 网络ACL                |
| ---------------------------------------- | -------------------- |
| 在 CVM 实例级别的操作（第一防御层）                     | 在子网级别的操作（第二防御层）      |
| 支持允许规则和拒绝规则                              | 支持允许规则和拒绝规则          |
| 有状态：返回数据流会被自动允许，不受任何规则的影响                | 无状态：返回数据流必须被规则明确允许   |
| 只有在启动 CVM 实例的同时指定安全组、或稍后将安全组与实例关联的情况下，操作才会被应用到实例 | 自动应用到关联子网内的所有 CVM 实例 |

## 创建安全组

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/) 。

2) 在导航窗格中，单击【安全组】。

3) 单击【新建】按钮。

4) 输入安全组的名称（例如，my-security-group）并提供说明。

## 删除安全组

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/)。

2) 在导航窗格中，单击【安全组】。

3) 单击列表中安全组项后面的【删除】按钮。

4) 在删除安全组对话框中，单击【确定】。若当前安全组有关联的CVM则需要先解除安全组才能进行删除。

## 克隆安全组

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/)。

2) 在导航窗格中，单击【安全组】。

3) 单击列表中安全组项后面的【克隆】按钮。

4) 在克隆安全组对话框中，选定目标地域、目标项目后，单击【确定】。若新安全组需关联CVM，请重新进行管理安全组内云主机。

## 向安全组中添加规则

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/)。

2) 在导航窗格中，单击【安全组】。

3) 选择需要更新的安全组，点击安全组ID。 详细信息窗格内会显示此安全组的详细信息，以及可供您使用入站规则和出站规则的选项卡。

4) 在入/出站规则选项卡上，单击【编辑】。从选项卡中选择用于入/出站规则的选项，然后填写所需信息。例如，选择 HTTP 或 HTTPS，将来源/目标指定为0.0.0.0/0。完成后，单击【保存】。

5) 还可允许/拒绝不同安全组关联的实例之间进行通信。在入/出站规则选项卡上，从规则协议列表中选择【All Traffic】 (所有流量)，来源/目标选择【安全组ID】，此操作会为您提供一个安全组列表。从该列表中选择安全组，然后单击保存。表示允许/拒绝本安全组关联的云服务器与选择安全组关联的云服务器进行通信。

## 配置 CVM 实例关联安全组

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/)。

2)	单击导航窗格中的【云主机】。

3)	在需要配置安全组的实例右侧操作栏中，点击【配置安全组】。

4)	在配置安全组对话框中，从列表中选择一个或多个安全组，点击【确定】。

或
1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/)。

2)	单击导航窗格中的【安全组】。

3) 选择需要关联的安全组，点击操作栏中的【管理云主机】按钮。

4) 在加入/移出云主机弹出框中，添加或删除需要关联本安全组的云主机，点击【确定】。
![](//mccdn.qcloud.com/img568cc2f621ea8.png)

## 导入导出安全组规则

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/)。

2) 在导航窗格中，单击【安全组】。

3) 选择需要更新的安全组，点击安全组ID。详细信息窗格内会显示此安全组的详细信息，以及可供您使用入站规则和出站规则的选项卡。

4) 在入/出站规则选项卡上，单击【编辑】。从选项卡中选择用于入/出站规则的选项，然后点击【导入规则】按钮。如原来您已有规则，则推荐您先导出现有规则，因为规则导入将覆盖原有规则，如原来为空规则，则可先导出模板，编辑好模板文件后，再将文件导入。


## 安全组云 API
安全组的开发者工具，您可通过云API来完成安全组操作，安全组与CVM实例的配置管理，点击[这里](http://cloud.tencent.com/doc/api/229/API%E6%A6%82%E8%A7%88#6.-安全组相关接口)。




