下文中CVM实例即包括专用子机。

弹性公网 IP 地址是专为动态云计算设计的静态 IP 地址。它是某地域下一个固定不变的公网 IP 地址。借助弹性公网 IP 地址，您可以快速将地址重新映射到账户中的另一个 CVM 实例（或 [NAT 网关](https://cloud.tencent.com/doc/product/215/%E7%BD%91%E5%85%B3#2.-nat.E7.BD.91.E5.85.B3)实例），从而屏蔽实例故障。

您的弹性 IP 地址与腾讯云账户相关联，而不是与某个 CVM 实例相关联，而且在您选择显式释放该地址，或欠费超过 7 天之前，它会一直与您的腾讯云账户保持关联。

## 使用范围

弹性公网 IP 地址同时适用于基础网络和私有网络的 CVM 实例，以及私有网络中的 [NAT 网关](/doc/product/215/4975)实例。弹性公网 IP 只能绑定在所处同一地域内的 CVM/NAT 网关实例上，支持动态的绑定和解绑。

>注：
- 1个弹性公网IP同一时间只能绑定到 1 个 CVM/NAT 网关 实例上
- 1个 CVM/NAT 网关实例同一时间只能绑定 1 个弹性公网 IP

将弹性 IP 地址与 CVM 实例绑定时，实例的当前公网 IP 地址会释放到基础网络公网 IP 地址池中。如果将弹性 IP 地址与 CVM 实例解绑时选择了重新分配公网IP，实例会很快自动分配到新的公网 IP 地址（无法保证与绑定前的公网 IP 一致）。此外，销毁实例也会断开与弹性 IP 地址的关联。

## 使用约束


- 每个腾讯云账户各个地域每天申购次数为（配额数*2）次。
- 每个腾讯云账户每个地域下最多可创建 20 个弹性公网 IP。
- 解绑EIP时，可免费重新分配公网 IP 的次数为每个腾讯云账户每天 10 次。

## 弹性公网 IP 的释放

- 用户可通过控制台或 云 API 主动释放弹性公网 IP；

- 欠费释放：当弹性 IP 未绑定资源时，将按小时计费。若用户账户金额在某一时刻开始 小于 0 元且持续超过 ** 2 ** 个小时后，如若仍未充值至大于 0 元，则所有弹性 IP 地址将在未来（24\*7）小时 内保持为 不可操作状态（直至续费帐号余额 > 0）。若过去（2+24\*7）小时后金额仍为负，所有弹性公网 IP 将自动释放；

## 弹性公网IP不通原因排查方法
弹性公网IP不通一般有如下原因： 

- 弹性公网IP没有绑定到云资源上，具体绑定方法见下方内容。

- 查看是否有生效的安全策略（[安全组](/doc/product/213/5221) 或 [网络 ACL](/doc/product/215/5132))，如果绑定的云产品实例有安全策略，例如：禁止 8080 端口访问，那么弹性公网 IP 的 8080 端口也是无法访问的。

## 弹性公网 IP 的计费
已经购买的弹性 IP，在<font color="red">没有绑定云产品实例（CVM 或 NAT 网关）时</font>，将按下表价格收取少量资源占用费用（不足1小时按1小时计，每小时结算1次）。<font color="red">绑定云产品实例（CVM 或 NAT 网关）的弹性 IP 均免费。</font>建议您及时将不再使用的弹性公网 IP 释放，以保证 IP 资源的合理利用，并节省您的费用。


| 弹性公网IP所在地域     | 未绑定时价格   |
| -------------- | -------- |
| 北京地域、上海地域、广州地域 | 0.20元/小时 |
| 香港地域           | 0.30元/小时 |
| 北美地域           | 0.25元/小时 |
| 新加坡地域          | 0.30元/小时 |

## 申请弹性公网 IP

1) 打开云服务器 [CVM 控制台](https://console.cloud.tencent.com/cvm) 。
​	
2) 在导航窗格中，单击弹性公网 IP。

3) 单击【申请】按钮。

4) 申请结束后即可在 EIP 列表中看到您申请的 EIP。

## 弹性公网 IP 绑定云产品

1) 打开云服务器 [CVM 控制台](https://console.cloud.tencent.com/cvm)。

2) 在导航窗格中，单击弹性公网 IP。

3) 在您想要绑定云产品的 EIP 列表项后，单击【绑定】按钮。若此时此弹性 IP 已绑定了某个云产品实例，此按钮将为不可用状态，请先解绑。
​	
4) 在弹出框中选择您需要绑定的云产品类型，并选择相应的云产品实例 ID，点击【绑定】按钮即可完成与云产品的绑定。

## 弹性公网 IP 解绑云产品

1) 打开云服务器 [CVM 控制台](https://console.cloud.tencent.com/cvm) 。

2) 在导航窗格中，单击弹性公网IP。

3) 在已绑定云产品的 EIP 列表项后，单击【解绑】按钮。

4) 点击【确定】。

此时云产品实例可能会被分配新的公网 IP，具体细节将依据云资源的不同产生差异，以实际情况为准。

## 释放弹性公网 IP
1) 打开云服务器 [CVM 控制台](https://console.cloud.tencent.com/cvm) 。

2) 在导航窗格中，单击弹性公网 IP。

3) 在您想要释放的 EIP 列表项后，单击【释放】按钮。

4) 点击确认。
