下文中CVM实例即包括专用子机。

弹性网卡是一种虚拟的网络接口，您可以将云主机绑定弹性网卡接入网络。弹性网卡在配置管理网络、搭建高可靠网络方案时有较大帮助。

弹性网卡具有私有网络、可用区和子网属性，只可以绑定相同可用区下的云服务器。一台云服务器可以绑定多个弹性网卡，具体绑定数量将根据主机规格而定。

## 基本信息

弹性网卡主要具有以下关联信息：

1.主网卡 或 辅助网卡：私有网络的云主机创建时联动创建的网卡为主网卡，用户自行创建的网卡为辅助网卡，其中主网卡不支持绑定和解绑，辅助网卡支持绑定解绑。

2.主内网IP：弹性网卡的主要内网IP，在弹性网卡创建时由系统随机分配或用户自行制定，主网卡的主内网IP支持修改，辅助网卡的主内网IP不支持修改。

3.辅助内网IP：弹性网卡主IP以外绑定的辅助内网IP，由用户在创建弹性网卡或编辑弹性网卡时自行配置，支持绑定和解绑。

4.弹性公网IP：与弹性网卡上的内网IP一一绑定。

5.安全组：弹性网卡可以绑定一个或多个安全组。

6.MAC地址：弹性网卡有全局唯一的MAC地址。

## 使用限制

根据CPU和内存配置不同，云服务器可以绑定的弹性网卡数和单网卡绑定内网IP数有较大不同，网卡和单网卡IP配额数如下表所示：

| 云主机配置               | 弹性网卡数 | 网卡绑定IP数 |
| ------------------- | :---- | :------ |
| CPU: 1核   内存: 1G    | 2     | 2       |
| CPU: 1核   内存: >1G   | 2     | 6       |
| CPU: 2核             | 2     | 10      |
| CPU: 4核   内存: < 16G | 4     | 10      |
| CPU: 4核   内存: > 16G | 4     | 20      |
| CPU: 8~12核          | 6     | 20      |
| CPU: >12核           | 8     | 30      |

## 查看弹性网卡

1)打开 [云服务器CVM控制台](https://console.cloud.tencent.com/cvm) 。

2)单击云服务器的实例ID进入云服务器详情页。

3)点击弹性网卡标签页，查看云主机绑定的弹性网卡信息。

## 分配内网IP（Qcloud控制台）

1)打开 [云服务器CVM控制台](https://console.cloud.tencent.com/cvm) 。

2)点击云服务器的【实例ID】进入云服务器详情页。

3)点击【弹性网卡标签页】，查看云主机弹性网卡上已绑定的内网IP和弹性公网IP。

4)点击【分配内网IP】按钮，弹窗展示“分配内网IP”窗口。

5)您可以选择“自动分配”或“手动填写”内网IP。

6)您可以点击【新增】按钮在“分配内网IP”窗口为弹性网卡分配多个IP。

7)点击【完成】按钮，完成控制台分配内网IP操作。

注：内网IP还需在云服务器内配置后才正式生效。

## 分配内网IP（云服务器系统内）

您可以通过两种方式在云服务器内配置内网IP，这里以centos 7.2为例示范配置过程。

**方式一**

1)以管理员身份登录云服务器。

2)执行命令

`ip addr add [ip/mask] dev [ifname]` 

示例：云服务器的网卡eth0上需要新增子网192.168.0.0/24内的IP 192.168.0.5，则只需执行命令

 `ip addr add 192.168.0.5/24 dev eth0`

3)内网IP配置完成。

注：此种方式配置的内网IP仅写在云服务器系统内存中，云服务器重启后内网IP配置将失效，需要重新配置。

**方式二**

1)以管理员身份登录云服务器。

2)执行以下命令

`cd /etc/sysconfig/network-scripts/`

`ls`

3)在列表中找到网卡名称，以腾讯云centos 7.2云服务器为例，需要在名称为 ifcfg-eth0 的网卡中绑定内网IP，因而执行命令用vim打开该网卡配置文件

`vim ifcfg-eth0`

系统原配置文件为：

`DEVICE='eth0'`

`MM_CONTROLLED='yes'`

`ONBOOT='yes'`

`IPADDR='192.168.0.3'`

`NETMASK='255.255.255.0'`

`GATEWAY='192.168.0.1'`

修改为：

`DEVICE='eth0'`

`MM_CONTROLLED='yes'`

`ONBOOT='yes'`

`IPADDR0='192.168.0.3'`

`IPADDR1='192.168.0.5'`

`NETMASK='255.255.255.0'`

`GATEWAY='192.168.0.1'`

修改后保存配置文件，并退出vim。

4)重启网卡

`systemctl restart network`

检查eth0网卡是否已经加入了IP地址

`ip addr`

5)完成内网IP绑定。

注：此种方式配置的内网IP在云服务器重启后依旧生效，但是如果为此云服务器制作自定义镜像后，使用此镜像创建的其他云服务器内网IP需要自行更新配置。

## 释放内网IP

1)打开 [云服务器CVM控制台](https://console.cloud.tencent.com/cvm) 。

2)点击云服务器的【实例ID】进入云服务器详情页。

3)点击【弹性网卡标签页】，查看云主机弹性网卡上已绑定的内网IP和弹性公网IP。

4)点击内网IP所在行操作栏的【释放】按钮。

5)点击【确认】完成操作。

注1：弹性网卡的主IP不支持释放，仅辅助IP支持释放。

注2：内网IP解绑后，将自动解关联弹性公网IP。

## 绑定弹性公网IP

1)打开 [云服务器CVM控制台](https://console.cloud.tencent.com/cvm) 。

2)点击云服务器的【实例ID】进入云服务器详情页。

3)点击【弹性网卡标签页】，查看云主机弹性网卡上已绑定的内网IP。

4)点击内网IP所在行已绑定弹性公网IP列的【绑定】按钮。

5)在弹窗内选择绑定【已有弹性IP】列表中的IP或【新建弹性IP】。

6)点击【确认】按钮，完成弹性IP绑定。

## 解绑弹性公网IP

1)打开 [云服务器CVM控制台](https://console.cloud.tencent.com/cvm) 。

2)点击云服务器的【实例ID】进入云服务器详情页。

3)点击【弹性网卡标签页】，查看云主机弹性网卡上已绑定的内网IP和弹性公网IP。

4)点击内网IP所在行已绑定弹性公网IP列的【解绑】按钮。

5)点击【确认】按钮，完成弹性公网IP解绑。

## 修改主内网IP

1)打开 [云服务器CVM控制台](https://console.cloud.tencent.com/cvm) 。

2)点击云服务器的【实例ID】进入云服务器详情页。

3)点击【弹性网卡标签页】，查看云主机弹性网卡的主内网IP。

4)点击主内网IP所在行操作列的【修改主IP】按钮。

5)在弹窗内输入新的主内网IP，点击【确认】完成修改。

## 修改弹性网卡所属子网

1)打开 [私有网络VPC控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)点击弹性网卡的【实例ID】，进入弹性网卡详情页。

4)在弹性网卡详情页的基本信息页面中，点击所属子网的【更换】按钮。

5)在弹窗中选择弹性网卡需要更换的子网，并指定新的主IP。

6)点击【保存】按钮，完成弹性网卡的所属子网更换。

注1：只有主网卡可以修改所属子网。

注2：弹性网卡更改所属子网前，请先解绑所有辅助IP。

注3：弹性网卡更改所属子网只可以修改为同可用区下的其他子网。

## 创建、绑定、解绑弹性网卡

弹性网卡功能暂时不支持在控制台创建、绑定弹性网卡，此部分即将上线，敬请期待。