下文中CVM实例即包括专用子机。

腾讯云的网络环境可以分为基础网络和私有网络（VPC）两种。

通过腾讯云基础网络，用户所有云上的资源都由腾讯云统一管理，相对而言配置和使用更为简单方便，可以帮助用户快速、易用管理云服务器。用户帐号下，相同地域的所有基础网络实例均可自由地通过[内网服务](/doc/product/213/5225)进行通信。大部分用户的需求都可以在基础网络中满足与实现，是您刚刚开始认识和使用腾讯云时最为方便合适的方式。

通过腾讯云私有网络（VPC），可以在云内自定义专属于您的逻辑隔离虚拟网络，并将云服务资源（如实例）启动到该隔离区中。即使在相同地域下，不同的 VPC 之间默认无法互相通信。VPC 与数据中心运行的传统网络极其相似，但同时可为您提供利用云上快速可扩展的基础设施。用户可以自定义网络拓扑和内网 IP 地址并配置 [路由表](https://cloud.tencent.com/doc/product/215/4954) 、网关和安全设置；支持通过[专线连接](https://cloud.tencent.com/doc/product/215/4976)到您本地的数据中心，快速扩展计算资源；自由地规划 VPC 与 Internet 如何通信。使用多种控制方式（包括 [安全组](/doc/product/213/5221) 和 [网络ACL](https://cloud.tencent.com/doc/product/215/5132)）保护 VPC 中的资源。有关更多信息，请参阅 [私有网络产品文档](https://cloud.tencent.com/doc/product/215)。私有网络可以帮助用户构建较为复杂的网络架构，适合对网络管理熟悉了解的用户。

## 基础网络与私有网络
![](//mccdn.qcloud.com/static/img/f1c113751199560fb87bc002b4bf0207/image.png)


私有网络和基础网络的功能区别如下表所示：

| 功能    | 私有网络                                     | 基础网络                         |
| ----- | ---------------------------------------- | ---------------------------- |
| 租户关联  | 基于GRE封装的逻辑隔离网络                           | 租户关联                         |
| 网络自定义 | 支持                                       | 不支持                          |
| 路由自定义 | 支持                                       | 不支持                          |
| 自定义IP | 支持                                       | 不支持                          |
| 互通规则  | 支持跨地域跨账号互通                               | 同租户同地域互通                     |
| 安全控制  | [安全组](/doc/product/213/5221)和[网络ACL](https://cloud.tencent.com/doc/product/215/5132) | [安全组](/doc/product/213/5221) |

## 使用 VPC 的优势

通过将实例启动到 VPC 内，您能够：

- 为实例分配 **您自定义的** 保持不变的静态内网 IP 地址。
- 为您的实例分配多个 IP 地址（即将上线）。
- 控制实例的入站流量和出站流量。
- 以网络访问控制列表 (ACL) 的方式为实例添加额外的访问控制层。

## 在基础网络与 VPC 之间共享和访问资源

腾讯云上一些云资源和功能可以在同时支持两种网络环境，可在不同网络之间共享或访问。

| 资源                              | 说明                                       |
| ------------------------------- | ---------------------------------------- |
| [镜像](/doc/product/213/4940)     | 可使用镜像在任何网络环境下启动云服务器实例                    |
| [弹性 IP](/doc/product/213/5733)  | 弹性 IP 可以绑定任何网络环境下的云服务器实例                 |
| 实例                              | 基础网络下的实例和私有网络内的实例可以通过[公网 IP](/doc/product/213/5224) 或 [基础网络互通](https://cloud.tencent.com/doc/product/215/5002) 功能实现相互通信 |
| [SSH 密钥](/doc/product/213/6092) | SSH 密钥支持加载至任何网络环境下的云服务器实例                |
| [安全组](/doc/product/213/5221)    | 安全组支持绑定任何网络环境下的云服务器实例                    |

> 注意：[负载均衡](https://cloud.tencent.com/doc/product/214)无法在基础网络与 VPC 之间共享。即不支持负载均衡同时绑定 VPC 内的实例和基础网络实例，即使 VPC 和基础网络实例通过基础网络互通建立起连接。

## 将基础网络内的实例迁移至 VPC 中
1) 对基础网络环境下的云服务器实例[创建自定义镜像](/doc/product/213/4942)。
2)（可选）对基础网络环境下的云服务器实例数据盘[创建快照](/doc/product/362/5755)。
3) [创建一个 VPC 和子网](https://cloud.tencent.com/doc/product/215/4927#.E5.88.9B.E5.BB.BA.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C.E3.80.81.E5.88.9D.E5.A7.8B.E5.8C.96.E5.AD.90.E7.BD.91.E5.92.8C.E8.B7.AF.E7.94.B1.E8.A1.A8)。
4) 在 VPC 内[购买并启动云服务器实例](/doc/product/213/4855)。