下文中CVM实例即包括专用子机。

除了使用[创建自定义镜像](/doc/product/213/4942)功能外，腾讯云同时支持使用导入功能，将本地或其他平台的服务器系统盘镜像文件导入至CVM自定义镜像中。导入后可以使用该导入镜像创建云服务器或对已有云服务器重装系统。

## 可以导入的Linux类型镜像
需要导入的本地Linux类型镜像需要符合以下条件：


| 镜像属性   | 条件                                       |
| ------ | ---------------------------------------- |
| 操作系统   | 基于CentOS、Redhat、Ubuntu、Debian、CoreOS、OpenSUSE、SUSE发行版的镜像。<br>支持32位和64位 |
| 镜像格式   | raw、vhd、qcow2、vmdk                       |
| 文件系统类型 | 使用 MBR 分区的ext3或ext4文件系统（不支持GPT分区）        |
| 系统盘大小  | 不超过50G。只支持系统盘的镜像，不支持数据盘的镜像               |
| 网络     | 不支持多个网络接口，只支持eth0；<br>不支持 IPv6 地址；<br>用户使用导入的镜像创建云服务器时，腾讯云会在系统中创建一份网络配置文件并保存在` /etc/qcloud-network-config.ini`中，此配置文件包含IP、子网掩码、网关、dns等信息。用户可在使用此镜像创建CVM后登录CVM自主配置网络。 |
| 驱动     | 必须安装虚拟化平台KVM的virtio驱动                    |
| 内核限制   | 最好是原生内核，如果有修改可能会导致虚拟机无法导入；<br><font color="red">导入的 Red Hat Enterprise Linux (RHEL) 镜像必须使用 BYOL 许可，需要用户自行向厂商购买产品序列号和服务。</font> |


## 可以导入的Windows类型镜像
需要导入的本地Windows类型镜像需要符合以下条件：


| 镜像属性   | 条件                                       |
| ------ | ---------------------------------------- |
| 操作系统   | Microsoft Windows Server 2008 R2（标准版、数据中心版、企业版）；<br>Microsoft Windows Server 2012 R2（标准版）；<br><font color="red">只支持64位系统</font> |
| 镜像格式   | raw、vhd、qcow2、vmdk                       |
| 文件系统类型 | 使用 MBR 分区的NTFS文件系统（不支持GPT分区）             |
| 系统盘大小  | 不超过50G。只支持系统盘镜像，不支持数据盘镜像                 |
| 网络     | 不支持多个网络接口，只支持eth0；<br>不支持 IPv6 地址；<br>用户使用导入的镜像创建云服务器时，腾讯云会在系统中创建一份网络配置文件并保存在` C:\qcloud-network-config.ini `中，此配置文件包含IP、子网掩码、网关、dns等信息。用户可在使用此镜像创建CVM后登录CVM自主配置网络。 |
| 驱动     | 必须安装虚拟化平台KVM的virtio驱动。然而Windows系统默认没有安装virtio驱动，用户可以在原外部平台机器上使用[腾讯云提供的软件包](http://windowsvirtio-10016717.file.myqcloud.com/InstallQCloud.exe)安装本驱动后再导出为本地镜像。 |
| 其他     | 导入的 Windows 镜像<font color="red">不提供</font>[Windows激活](https://cloud.tencent.com/doc/product/213/%E6%AD%A3%E7%89%88%E6%BF%80%E6%B4%BB)服务 |

## 通过控制台导入镜像
> 请确认您的腾讯云账户是否已申请了导入权限。如未开通，请提交相关信息至工单系统申请。

1) 打开[云服务器CVM控制台](https://console.cloud.tencent.com/cvm/) 。

2) 单击导航窗格中的【镜像】。

3) 单击【自定义镜像】，选中您要共享的CVM实例的自定义镜像。

4) 单击【导入镜像】按钮，按步骤要求，先开通腾讯云对象存储COS，将满足要求的镜像文件上传至COS，单击下一步；

5) 按照实际情况，填写表单，将请确保录入的对象存储文件URL准确，单机开始导入；

6) 导入成功或失败，会以短信、邮件的形式通知到您腾讯云账户绑定的手机或邮箱。