下文中CVM实例即包括专用子机。

## 什么是镜像？

腾讯云镜像提供启动云服务器实例所需的所有信息。指定需要的镜像后可以从该镜像启动所需任意数量的实例，也可以根据需要从任意多个不同的镜像启动实例。

镜像的主要作用有：

- 批量部署软件环境
  通过对已经部署好环境的 CVM 实例制作镜像，然后在批量创建 CVM 实例时使用该镜像作为操作系统， CVM 实例创建成功之后便具有和之前 CVM 实例一致的软件环境，以此达到批量部署软件环境的目的。

- 作为服务器运行环境的备份
  对一台 CVM 实例制作镜像，如果该 CVM 实例在后续使用过程中软件环境被损坏无法正常运行，则可以使用该镜像恢复该 CVM 实例。

## 镜像类型

腾讯云提供的镜像包括以下几种：

- 公有镜像：所有用户均可使用，涵盖大部分主流操作系统；
- 服务市场镜像：所有用户均可使用，除操作系统外还集成了某些特定应用程序；
- 自定义镜像：仅创建者和共享对象可以使用，由现有运行的实例创建而来或由外部导入而来。
- 共享镜像：由其他用户共享而来的镜像，仅能用作创建实例。

## 镜像的生命周期

下图总结了自定义镜像的生命周期。创建或导入了一个新自定义镜像之后，用户可以将其用于启动新实例（用户也可从现有的公共镜像或服务市场镜像启动实例）。自定义镜像可以被复制到同帐号的其他地域下，成为该地域下独立的镜像。用户还可以将自定义镜像共享给其他用户。

![](//mccdn.qcloud.com/static/img/d773034279721f814f9451e17e45c21c/image.png)

## 使用约束
公共镜像：暂无使用限制。

自定义镜像：
1)	跨地域复制自定义镜像暂不收费。

2)	目前每地域暂支持10个自定义镜像。

3)	每个用户每天操作次数不能操作5次（含云API操作，按每个地域计数）。

4)	镜像复制特性支持广州、北京、上海、香港，暂不支持北美地域。

共享镜像：
1)	每个自定义镜像最多可共享给50个腾讯云主账户；

2)	共享镜像无法更改名称，描述，仅可用于创建云主机；

3)	镜像共享支持共享到对方账户相同地域内；

服务市场镜像：暂无使用限制。

## 收费方式
当前腾讯云提供的所有公共镜像，除海外地区的Windows类型镜像需收取一定license费用外，其余全部免费；服务市场镜像的使用费用由镜像的提供商定价，使用镜像购买 CVM 实例时，支付的费用包含 CVM 实例费用和镜像费用两部分；另外，由于用户的自定义镜像是基于某标准镜像制作，因此使用自定义镜像时也可能涉及费用。具体的价格和收费方式，将在该商品页面公示。

## 安全性
腾讯云提供公共镜像由腾讯云内部专业安全运维团队制作，经过严格测试并可选内置腾讯云安全组件，您可放心使用。

服务市场中的镜像由第三方服务商制作，入驻的服务商均经过腾讯云严格甄选并签订入驻协议，镜像本身均经过服务商严格测试，并经过腾讯云官方审核，保证镜像内容的安全性，您可放心使用。

由其他用户共享的镜像由于不经过腾讯云审核，可能存在安全风险。因此，强烈建议您不要接受来自未知来源的镜像。
