下文中CVM实例即包括专用子机。

用户可以基于以下特性选择要使用的镜像：

- 位置（请参阅[地域和可用区](https://cloud.tencent.com/doc/product/213/6091)）
- 操作系统类型
- 架构（32 位或 64 位）

根据来源的不同腾讯云提供的镜像类型如下，用户可以选择合适的镜像。

## 公共镜像

公共镜像是由腾讯云官方提供、支持和维护的镜像，包含了基础操作系统和腾讯云提供的初始化组件，所有用户均可使用，并且可以自由选择基于 Linux 类型系统还是 Windows 类型系统。

腾讯云提供的公共镜像由腾讯云内部专业安全运维团队制作，经过严格测试并可选内置腾讯云安全组件。使用腾讯云公共镜像能支持：

- 稳定、安全和高性能的应用程序环境。
- 对多个版本的 Java、MySQL、SQL Server、Python、Ruby、Tomcat 等常见软件的支持及完全权限。
- 定期进行系统更新。
- 集成腾讯云提供的软件包（如 API 等）。
- 提供的操作系统完全合法合规，均使用官方正版操作系统。
- 除部分 ***海外*** 地域的 Windows 类型镜像需收取一定 License 费用外，其余全部免费。

## 服务市场镜像
[服务市场](http://market.qcloud.com/)镜像由第三方服务商提供。服务市场镜像除了常规的操作系统等预安装环境，通常还集成了如 PHP、Java、FTP、Nginx、Docker、WordPress、Discuz 等常用的热门软件环境。经过腾讯云审核后发布到服务市场的镜像，所有用户均可使用。

服务市场中的镜像由第三方服务商制作，入驻的服务商均经过腾讯云严格甄选并签订入驻协议，镜像本身均经过服务商严格测试，并经过腾讯云官方审核，保证镜像内容的安全性。服务市场镜像的使用费用由镜像的提供商定价，既有免费也有需要付费的服务市场镜像。使用付费镜像启动 CVM 实例时，支付的费用包含 CVM 实例费用和镜像费用两部分。

## 自定义镜像
自定义镜像是由用户通过镜像制作功能制作的，或是通过镜像导入功能导入的镜像，只有本帐号可以使用。您可以方便地对一个已经部署好应用的云服务器实例创建镜像，以此来快速创建更多包含相同配置的实例。自定义镜像支持用户自由创建、复制、分享和销毁，是腾讯云快速部署特性的一个重要组成部分。有关自定义镜像的更多内容，可以参阅[创建自定义镜像](/doc/product/213/4942)、[复制自定义镜像](/doc/product/213/4943)、[共享和取消共享自定义镜像](/doc/product/213/4944)和[导入自定义镜像](/doc/product/213/4945)。

由于用户的自定义镜像均是基于公共镜像制作，因此使用自定义镜像时也可能涉及费用（当原有公共镜像为部分海外地域的 Windows 类型时）。具体的价格以创建实例时显示的价格为准。

- 跨地域复制自定义镜像暂不收费。
- 每个地域下最多支持 10 个自定义镜像。
- 单个用户每天对自定义镜像的操作次数不能超过 5 次（含云 API 操作，按每个地域计数）。
- 镜像复制特性支持广州、北京、上海和香港地域，暂不支持北美和新加坡地域。

## 共享镜像
共享镜像由其他腾讯云用户通过镜像共享功能将他的自定义镜像共享给当前用户而来。被共享的镜像将在被共享用户的原镜像相同地域下展示。共享镜像仅可用于创建云主机，不可以进行修改名称、复制、共享等其他操作。

- 每个自定义镜像最多可共享给 50 个腾讯云用户。
- 共享镜像无法更改名称及描述，仅可用于创建云主机。
- 镜像共享仅支持共享到对方账户相同地域下。


