## 产品简介
专线接入提供了一种快速安全连接腾讯云与本地数据中心的方法，用户可以通过一条物理专线一次性打通位于多地域的腾讯云计算资源，实现灵活可靠的混合云部署。

## 组成部分
专线接入由三个部分组成：物理专线、专线通道和专线网关。
1) **物理专线**：连接腾讯云与本地数据中心的物理线路连接。有两种建设方式：用户自行与运营商沟通建设或由腾讯云建设。物理专线支持双线热备接入，双线接入点供电、网络管道完全隔离。
2) **专线通道**：专线通道是物理专线的网络链路划分。用户可以创建连接至不同专线网关的专线通道实现本地数据中心与多个私有网络的互联。
3) **专线网关**：私有网络的专线流量入口，可以通过接入多个专线通道与多个不同的 IDC 互联。专线网关通过集群方式实现，全路无单点故障风险，满足金融级网络互联要求。

专线网关是私有网络与物理专线打通的桥梁，您可以在物理专线内创建一条关联至某个专线网关的专线通道。专线网关可以连接来自多个物理专线的专线通道，从而与您的多个本地数据中心互通。用户可以在专线网关控制台为每个私有网络创建专线网关，每个私有网络仅支持创建一个专线网关，该专线网关可以连接来自不同物理专线的专线通道申请需求。

## 与IPsec VPN的区别
| 优势 | 专线接入 | IPsec VPN |
|---------|---------|---------|
| 稳定的网络延时 | 腾讯云专线接入网络延时可靠有保证，提供高于99.5%的网络时延保障，您可以通过固定的路由配置免去拥堵或故障绕行带来的时延不稳定困扰 | 腾讯云IPsecVPN接入网络连接基于Internet，可能由于网络高峰链路阻塞导致路由绕行，时延不稳定 |
|高可靠的容灾接入|腾讯云专线接入接入设备及网络转发设备均采用分布式集群化部署，全链路高可靠配置，支持带保护的双线接入，满足您高于99.95%可用性的苛刻要求|腾讯云IPsec VPN网关采用双机热备份配置，具备网关层高可靠，但由于Internet网络链路不可靠，无法提供专线级网络可靠保证|
|支持大带宽|腾讯云专线接入单线路最大支持10Gbps带宽连接，还可以接入多条10Gbps链路做网络负载均衡，无理论上限|腾讯云IPsec VPN单网关最大支持100Mbps带宽上限，私有网络支持多VPN网关配置，可以通过多VPN网关的配置满足大于100Mbps的VPN接入|
|安全性高|腾讯云专线接入网络链路用户独占，无数据泄露风险，安全性高，满足金融、政企等高等级网络连接要求|腾讯云IPsec VPN网络传输基于IKE协议的预共享秘钥的加密，可以满足绝大多数网络传输安全性要求|
|支持网络地址转换| 腾讯云专线接入支持在网关上配置网络地址转换服务，支持专线两端的IP映射和私有网络端的IP端口映射，完美搞定多第三方的网络互联时的地址冲突难题|暂不支持|




