## 1. 物理专线

物理专线指的是连接腾讯云与本地数据中心的物理线路连接，您可以通过第三方网络服务商在您的数据中心和腾讯云专线网络接入点间建立网络连接。

## 2. 专线通道

- 专线通道是物理专线的网络链路划分。
- 您可以创建连接至不同专线网关的专线通道实现本地数据中心与多个私有网络的互联。

## 3.	专线网关

专线网关是私有网络与物理专线建立专线通道的入口，私有网络支持最多2个专线网关（支持NAT+不支持NAT各1个）。专线网关可以和多个物理专线间建立专线通道，实现连接多地的混合云部署。

## 4. 网络地址转换（NAT）

网络地址转换是混合云连接时应对专线两端IP冲突问题的一种解决方案，您可以在专线网关上配置网络地址转换规则。网络地址转换（NAT）包含IP转换和IP端口转换两种。

### IP转换

IP转换指将原IP转换为新的IP实现网络互访，分为**本端IP转换**和**对端IP转换**两种。

IP转换不区分源、目的方向，映射IP既可以主动访问对端，也可以被对端主动访问。

#### 本端IP转换

指私有网络内原IP映射为新IP，并以新IP身份与专线对端互访互访。您可以配置多条本端IP转换规则，并为每条本端IP转换规则配置网络ACL，网络ACL支持源端口、目的IP、目的端口配置。网络地址转换规则仅对符合ACL限制的网络请求生效。本端IP转换不限制网络请求的方向，可以是私有网络主动访问专线对端，也支持专线对端主动访问私有网络。

![](//mccdn.qcloud.com/img5695b647a827a.png)

**示例：**
私有网络内 IPA 192.168.0.3 映射为IP B 10.100.0.3 ，则IP A对专线对端的主动访问网络包源IP将自动修改为10.100.0.3，所有专线对端访问的10.100.0.3的网络包将自动指向IP A 192.168.0.3。

#### 对端IP转换

指用户IDC内原IP映射为新IP，并以新IP身份与私有网络内IP互访。和本端IP转换不同，对端IP转换不支持网络ACL限制，因此一旦配置了对端IP转换规则，将对所有专线通道对端生效。对端IP转换不限制网络请求的方向，可以是私有网络主动访问专线对端，也支持专线对端主动访问私有网络。

![](//mccdn.qcloud.com/img5695b66d18c7e.png)

**示例：**
专线对端 IP D 10.0.0.3映射为IP C 172.16.0.3，则IP D 10.0.0.3 主动访问私有网络的网络包源IP将自动修改为IP C 172.16.0.3，所有私有网络访问IPC 172.16.0.3的网络包将自动指向专线对端IP D 10.0.0.3。

<font color="red">注意</font>：
1)配置本端、对端IP转换后，专线网关仅会将转换后IP的路由下发至专线对端，因而会未配置本端、对端IP转换的原IP将无法ping通专线对端。但专线网关无法代替专业的网络防火墙，如果您需要高级的网络防护，请在私有网络内配置安全组和网络ACL策略，同时在您的IDC机房部署专业的物理网络防火墙设备。
2)当专线网关同时配置对端IP转换时，本端源IP端口转换ACL规则的**目的IP**需要写**对端IP转换的映射IP**，而不是原IP。


### IP端口转换
IP端口转换指将原IP端口映射为新IP端口，并以新IP端口实现网络互访，包含**本端源IP端口转换**、**本端目的IP端口转换**两种。

IP端口转换强调方向性，源IP端口转换指主动外访，目的IP端口转换指被对端主动访问。

#### 本端源IP端口转换

指私有网络内IP通过专线网关主动外访时，以指定IP池内的随机IP的随机端口访问专线对端的用户IDC。本端源IP端口转换支持配置ACL规则，只有符合ACL规则的网络出访问才会匹配地址池转发规则。通过为地址池配置不同的ACL规则，即您可以灵活配置多个第三方接入时的网络地址转换规则。

![](//mccdn.qcloud.com/img5695b7459a76c.png)

本端源IP端口转换仅支持私有网络端主动发起的网络访问请求，如果专线对端需要主动访问私有网络内的IP端口，需要额外配置本端目的IP端口转换配置。本端源IP端口转换私有网络主动发起的网络请求为有状态连接，因而不用考虑网络回包的问题。

**示例：**
私有网络C网段为172.16.0.0/16, 通过专线连接第三方银行A和B，其中银行A对端网段为10.0.0.0/28，要求对接网段为192.168.0.0/28；银行B对端网段为10.1.0.0/28，要求对接网段为192.168.1.0/28。则可以按照下面配置两条本端源IP端口转换：

地址池A  192.168.0.1-192.168.0.15   ACL规则A 源IP 172.16.0.0/16 目的IP 10.0.0.0/28 目的端口 ALL
地址池B   192.168.1.1-192.168.1.15  ACL规则B 源IP 172.16.0.0/16 目的IP 10.1.0.0/28 目的端口 ALL

则私有网络内主动访问A、B的网络请求会根据ACL规则A、B分别转换为对应的地址池的随机端口访问对应的专线通道。

#### 本端目的IP端口转换
本端目的IP端口转换是专线对端主动访问私有网络的一种方法，通过将私有网络内指定IP的指定端口映射为新的IP和端口，专线对端则只可以通过访问映射后IP端口来与私有网络内指定IP端口通信，其他IP端口则不对专线对端暴露。

![](//mccdn.qcloud.com/img5695b8081dc51.png)

本端目的IP端口转换不支持ACL规则适配，因而IP端口转换规则将对专线网关所连接的所有专线通道生效。本端目的IP端口转换仅对专线通道对端主动访问私有网络生效，如果私有网络需要主动访问专线对端，可以配置本端源IP端口转换。本端目的IP端口转换的网络请求为有状态连接，无需考虑网络回包的问题。

**示例**
私有网络C的网段为172.16.0.0/16，只希望开放若干端口给专线对端主动访问，则可以按照下面方案进行配置：
映射A  原IP端口 172.16.0.1:80 映射IP端口 10.0.0.1:80
映射B  原IP端口 172.16.0.0:8080 映射IP端口 10.0.0.1:8080
则专线对端可以主动访问10.0.0.1:80、10.0.0.1:8080端口，实现对私有网络内172.16.0.1:80、172.16.0.0:8080两个端口的主动访问。

<font color="red">注意</font>：
1) 配置本端源、目的IP端口转换后，专线网关仅会将转换后IP端口路由下发至专线对端，因而会未配置的本端IP端口将无法主动发起请求或被动接受请求。但专线网关无法代替专业的网络防火墙，如果您需要高级的网络防护，请在私有网络内配置安全组和网络ACL策略，同时在您的IDC机房部署专业的物理网络防火墙设备。
2) 当同时配置IP转换和IP端口转换时，优先匹配IP转换，IP转换如果没有匹配中才会继续匹配IP端口转换。
3) 当专线网关同时配置对端IP转换时，本端源IP端口转换ACL规则的**目的IP**需要写**对端IP转换的映射IP**，而不是原IP。
