## 1. 专线网关的创建

1) 打开[腾讯云控制台](https://console.cloud.tencent.com/)，在顶部导航条选择【私有网络】，点击左导航栏【专线网关】选项卡。

2) 点击【新建】按钮，弹出专线网关创建页。

3) 填写名称、私有网络和地址映射模式，选择是否开启网络地址转换功能（**网络地址转换功能目前仅以内测方式提供**，请通过工单或您的客户经理开通网络地址转换功能）。

4) 填写完成后点击确认，完成专线网关的创建。

## 2. 专线网关的网络地址转换（NAT）配置


### 2.1. 配置IP转换

具体操作如下：
1) 打开[腾讯云控制台](https://console.cloud.tencent.com/)，在顶部导航条选择【私有网络】，点击左导航栏【专线网关】选项卡。

2) 点击专线网关ID进入专线网关详情页。

3) **配置本端IP转换**

在专线网关详情页，点击“本端IP转换”TAB页，本端IP转换配置分成两步：

第一步，编辑本端IP转换规则。

- 新增：在IP映射页左上角，点击蓝色“新增”，输入原IP、映射IP及备注即可；新增本端IP转换规则默认添加了ALL PASS的ACL规则，即本端IP转换对所有专线通道生效，您可以编辑本端IP转换的ACL规则，以改变本端IP转换的适用范围；
- 删除：点击IP转换规则行右边“删除“并确认即可，IP转换规则删除后将联动删除该IP转换规则下的ACL规则；
- 修改：点击IP转换规则行右边“修改IP映射”，即可编辑本端IP转换规则的原IP、映射IP和备注，点击确认后IP转换生效。

第二步，配置本端IP转换的网络ACL规则。
ACL规则支持TCP和UDP协议，本端IP映射ACL规则支持源端口、目的IP、目的端口。其中端口、IP不填代表ALL。当协议选择ALL时，端口和IP默认均选择ALL。

- 新增：在IP映射规则右边点击“编辑ACL规则”，在已有ACL规则底部点击“新增一条”即可添加；
- 删除：在IP映射规则右边点击“编辑ACL规则”进入ACL编辑态，点击“删除”并确认即可删除此ACL规则，也可以直接点击ACL规则旁边的“删除”按钮完成删除操作。
- 修改：在IP映射规则右边点击“编辑ACL规则”进入ACL编辑态，即可修改ACL规则，也可以直接点击ACL规则旁边的“修改”按钮完成修改操作。

<font color="red">注意</font>：当专线网关同时配置对端IP转换时，本端IP转换ACL规则的**目的IP**需要写**对端IP转换的映射IP**，而不是原IP。<br>

**规则限制**：
- 原IP必须在私有网络CIDR范围内
- 映射IP不可以在专线网关所在私有网络CIDR范围内 
- 原IP唯一不可以重复，即私有网络内1个IP只能唯一映射为1个IP
- 映射IP唯一不可以重复，即不支持多个私有网络IP映射为同1个IP
- 原、目的IP不支持广播地址（255.255.255.255）、D类地址（224.0.0.0~239.255.255.255）、E类地址（240.0.0.0~255.255.255.254）
- 专线网关的本端IP转换规则数上限为100条，每个本端IP转换最大支持20条ACL规则（如果有需求可以后台提高配额）


4) **配置对端IP转换**
在专线网关详情页，点击“对端IP转换”TAB页：
- 新增：在IP映射页左上角，点击蓝色“新增”，输入原IP、映射IP及备注即可；
- 删除：点击IP转换规则行右边“删除“并确认即可；
- 修改：点击IP转换规则行右边“修改IP映射”，即可编辑对端IP转换规则的原IP、映射IP和备注，点击确认后IP转换生效。

**规则限制**：
- 映射IP不可以在专线网关所在私有网络CIDR范围内
- 原IP唯一不可以重复，即专线对端1个IP只能唯一映射为1个IP
- 映射IP唯一不可以重复，即不支持多个专线对端IP映射为同1个IP
- 原、目的IP不支持广播地址（255.255.255.255）、D类地址（224.0.0.0~239.255.255.255）、E类地址（240.0.0.0~255.255.255.254）
- 专线网关的对端IP转换规则数上限为100条（如果有需要，可以后台提升配额）


### 2.2. 配置IP端口转换

1) 打开[腾讯云控制台](https://console.cloud.tencent.com/)，在顶部导航条选择【私有网络】，点击左导航栏【专线网关】选项卡。

2) 点击专线网关ID进入专线网关详情页。

3) **配置本端源IP端口转换**

在专线网关详情页，点击“本端源IP端口转换”TAB页，本端源IP端口转换配置分成两步：

第一步，配置本端IP端口转换地址池
- 新增：在映射IP池页面中点击“新增”，输入映射IP池（支持IP或IP段，IP段格式为“A-B”）和备注（可选）即可，新增IP池的ACL规则为ALL DROP，需要额外编辑ACL规则才可以实现网络转换；
- 删除：在IP地址池所在行右边点击“删除”即可删除此地址池，地址池删除后将自动删除地址池关联的ACL规则；
- 修改：在IP地址池所在行右边点击“修改映射IP池”，即可对此映射IP池的IP和备注进行编辑。

第二步，配置IP地址池的网络ACL规则
ACL规则支持配置协议（支持TCP或UDP）、源IP、源端口、目的IP、目的端口。
- 新增：在IP地址池所在行右边点击“编辑ACL规则”，即可进入ACL编辑态，点击规则最下方“新建一行”，即可添加新的ACL规则；
- 删除：在IP地址池所在行右边点击“编辑ACL规则”，即可进入ACL编辑态，点击规则最右边的“删除”即可删除此ACL规则，另外也可以在ACL规则展示态下，点击最右边“删除”；
- 修改：在IP地址池所在行右边点击“编辑ACL规则”，即可进入ACL编辑态，另外也可以在ACL规则展示态下，点击最右边“修改”。

<font color="red">注意</font>：当专线网关同时配置对端IP转换时，本端源IP端口转换ACL规则的**目的IP**需要写**对端IP转换的映射IP**，而不是原IP。<br>

**规则限制**
- IP地址池不可以在专线网关所在私有网络的CIDR范围内
- 多个IP地址池的ACL规则不可以重叠，否则会导致网络地址转换冲突
- 多个IP地址池之间IP不可以重叠
- IP地址池仅支持单IP或连续IP，且连续IP的/24网段需保持一致，即支持“192.168.0.1~192.168.0.6”，不支持“192.168.0.1~192.168.1.2”
- 地址池不支持广播地址（255.255.255.255）、D类地址（224.0.0.0~239.255.255.255）、E类地址（240.0.0.0~255.255.255.254）
- 本端源IP端口转换最大支持100个IP地址池，每个地址池支持最大20条ACL规则（如果有需求可以后台提高配额）

4) **配置本端目的IP端口转换**
在专线网关详情页，点击“本端目的IP端口转换”TAB页：
- 新增：在IP端口映射页点击“新增”，即可添加新的IP端口映射；
- 删除：在IP端口映射所在行右侧点击“删除”，即可删除此映射；
- 修改：在IP端口映射所在行右侧点击“修改IP端口映射”，即可修改此IP端口映射的映射关系及备注。

**规则限制**
- 原IP必须在专线网关所在私有网络CIDR范围之内
- 原IP端口唯一，即私有网络内同一IP端口只能唯一映射为一个IP端口
- 映射IP端口不可以在私有网络CIDR范围之内
- 映射IP端口不可以重复，即不存在一个IP端口映射多个私有网络IP端口
- 原IP和映射IP不支持广播地址（255.255.255.255）、D类地址（224.0.0.0~239.255.255.255）、E类地址（240.0.0.0~255.255.255.254）
- 本端目的IP端口转换最大支持100个IP端口映射（如果有需求可以后台提高配额）

<font color="red">**注意**</font>：同时配置IP转换和IP端口转换时，如果同时命中优先匹配IP映射。

## 3. 专线网关的删除

您在不使用专线网关后，可以对专线网关进行删除。删除专线网关将一同删除连接至此专线网关的专线通道，请确认专线网关删除不会影响到您的正常业务。

1) 打开[腾讯云控制台](https://console.cloud.tencent.com/)，在顶部导航条选择【私有网络】，点击【专线网关】选项卡。

2) 选择需要删除的专线网关，点击操作栏的【删除】按钮。

3) 确认删除后将完成专线网关的删除工作。



