## 通道申请

1）打开 [腾讯云专线控制台-专线通道](https://console.cloud.tencent.com/vpc/dcConn);

2）点击“新建通道”，发起专线通道的申请。创建专线通道您需要输入以下信息：



| 参数        | 描述                               | 备注       |
| --------- | -------------------------------- | -------- |
| 专线通道名称    |  请创建您的专线通道名称                     |          |
| 专线类型      | 独享专线指本账户的物理专线，共享专线指连接至其他账号下的物理专线 |          |
| 专线提供方     | 输入您需要共享的物理专线所属账号              | 仅对共享专线有效 |
| 物理专线      | 选择您需要建立专线通道的物理专线 ID            |          |
| 共享专线 ID      | 输入您需要建立专线通道的共享专线 ID            | 仅对共享专线有效         |
| 接入网络      | 支持私有网络和黑石网络                      |          |
| 私有网络/黑石网络 | 选择专线通道接入的网络 ID                    |          |
| 专线网关 | 选择专线通道接入的专线网关 ID                    |          |
| VLANID      | 输入非冲突的 VLANID，“共享专线”模式不允许 VLANID 为 0                     |          |
| 互联方式      | 支持自动分配和手动指定，手动指定请注意互联 IP 准确性                     |          |
| 路由方式      | 支持 BGP 路由和静态路由，静态路由方式需填上路由信息                     |          |
| BGP ASN   | 选填，不指定将由系统分配，私有ASN超出可选范围外可使用Fake ASN技术解决                     |          |
| BGP秘钥     | 选填，不指定将由系统分配                     |          |
| 对端网段     | 输入用户 IDC 的网段，非 NAT 模式下注意不能和 VPC 网段冲突                    | 仅对静态路由有效   |  |

**注意：**
1、物理专线未开启子接口不能再创建专线通道，原来未启用子接口创建了多通道连接多 VPC 的网络拓扑需整改为子接口模式才可以继续创建通道。
原因：专线通道的计费流量来源于物理专线子接口，若未启用子接口同时创建了同城、跨城甚至跨国际的通道互联，技术上无法区分不同通道的流量，计费将采集物理专线总接口的总流量，按照跨国际互联的费用标准进行计费，原来同城互联免费的流量也将被计费。
若您想继续创建或整改，请联系您的专线经理协助处理。
2、为了帮助您网络的精细化调度能力，请避免发布以下路由：10.0.0.0/8; 172.16.0.0/12; 192.168.0.0/16; 100.64.0.0/10。

## 通道变更

当前系统支持变更互联 IP 和对端网段，如需更改专线通道的 VLANID，请删除已有专线通道并重新创建。

## 通道删除

1）打开 [腾讯云专线控制台-专线通道](https://console.cloud.tencent.com/vpc/dcConn);

2）在列表中找到所要删除的专线通道，点击“删除”并确认；

3）专线经理将在三个工作日内完成专线通道的删除操作。

## 查看监控

专线通道支持监控信息（出、入带宽、时延）的查询，您可以在控制台或通过API查询专线通道的监控信息。控制台操作如下所示：

1）打开 [腾讯云专线控制台-专线通道](https://console.cloud.tencent.com/vpc/dcConn);

2）在列表中找到专线通道，并点击“监控”按钮，即可查询专线通道的监控信息。

## 配置告警

专线通道支持配置监控告警，配置步骤如下：

1）打开 [腾讯云云监控-告警策略控制台](https://console.cloud.tencent.com/monitor/policylist)；

2）输入告警策略名称；

3）点击“新增告警策略”，编辑告警策略编辑：

- 策略类型选择“专线通道”；
- 告警触发条件可以选择“出带宽”、“入带宽”、“丢包率”、“时延”；

4）点击“下一步：关联告警对象”，选择关联的专线通道；

5）设置接收组，点击确认即可完成告警策略的配置。

专线通道告警配置好后，即可根据告警接收组的设定情况收到系统告警。更多监控帮助请参考 [云监控帮助文档](https://cloud.tencent.com/doc/product/248/967)。