## 专线申请

腾讯云所有物理专线接入申请（包括黑石、ECN等）均需要在控制台统一发起并完成。腾讯云专线接入服务仅为腾讯云企业认证客户服务，企业认证的相关问题请参考相关文档 [如何完成企业认证](https://cloud.tencent.com/doc/product/378/3629#.E4.BC.81.E4.B8.9A.E7.94.A8.E6.88.B7.E6.80.8E.E4.B9.88.E5.AE.8C.E6.88.90.E4.BC.81.E4.B8.9A.E8.AE.A4.E8.AF.81.3F)。

腾讯云物理专线申请及建设分为如下几个步骤：

- 控制台申请
- 腾讯云资源审核及确认
- 控制台付款
- 物理专线接入及验收

### 控制台申请

1）打开 [腾讯云专线控制台-物理专线](https://console.cloud.tencent.com/vpc/dc);

2）点击”新建“，发起物理专线的申请。用户发起物理专线建设需要填入以下信息：

| 参数       | 描述                                       | 备注              |
| -------- | ---------------------------------------- | --------------- |
| 专线名称     | 物理专线的名称                                  |                 |
| 专线提供商    | 包含以下选项：中国电信、中国移动、中国联通、中国其他（国内所有非三大运营商的专线选择此项）、境外其他（境外专线统一选择此项） |                 |
| 端口类型     | 包含以下选项： 1000Base-T 千兆电口、1000Base-LX 千兆单模光口（10km）、10GBase-LR 万兆单模光口（10km） | 特殊端口请线下咨询专线客户经理 |
| 接入点      | 物理专线接入腾讯云的接入点，建议优先选择相同城市的专线接入点以降低运营商部分专线费用。相同城市多个专线接入点具备独立的网络设备资源用于您多专线接入容灾的需求。 |                 |
| 带宽       | 支持2~10000Mbps                            |                 |
| IDC地址    | 省、市、详细地址                                 |                 |
| 联系人手机    | 专线接入对接人联系手机                              |                 |
| 联系人email | 专线接入对接人联系email                           |                 |

建设申请发起后，物理专线状态将扭转为“申请中”，腾讯云专线经理将在3个工作日内对您的专线申请展开评估。

### 物理专线的评估

腾讯云专线经理在接受您的专线申请后，将综合评估专线资源并通过电话和您沟通专线接入的服务细节，在确认物理专线可以接入后，将物理专线状态扭转为待付款。

但是，物理专线在以下几种情况也可能出现申请驳回：

- 信息不准确 ：接入信息输入不完整，请根据专线经理反馈更新申请信息重新发起申请；
- 资源不足： 接入端口或上连带宽资源不满足，请根据专线经理反馈在专线资源具备后重新发起申请；
- 不具备资格 ：物理专线仅对规模型企业客户提供服务，请更新企业资质后重新发起专线申请。

### 物理专线的付款和建设

物理专线申请在腾讯云专线经理评估通过后即可在控制台完成付款。

1）打开 [腾讯云专线控制台-物理专线](https://console.cloud.tencent.com/vpc/dc);

2）在物理专线列表中找到待付款的物理专线，点击“去付款”；

3）在弹窗内再次确认专线接入信息后，点击“确认”；

4）进入计费平台完成付款。

控制台付款成功后，专线经理将立即授理接入请求，并协调相关资源帮忙建设接入。物理专线建设完毕后将自动进入“运行中”状态。

## 专线裁撤

目前不支持在控制台进行物理专线的接入裁撤，您可以连接对接的专线经理线下完成专线裁撤。

## 专线共享

您可以共享其他账号的物理专线建设专线通道，也可以将自己账号下的物理专线共享给其他腾讯云客户，具体操作请参考专线通道的[操作文档](https://cloud.tencent.com/doc/product/216/548)。

## 查看监控

物理专线支持监控信息（出、入带宽、丢包率、时延）的查询，您可以在控制台或通过API查询物理专线的监控信息。控制台操作如下所示：

1）打开 [腾讯云专线控制台-物理专线](https://console.cloud.tencent.com/vpc/dc);

2）在列表中找到物理专线，并点击“监控”按钮，即可查询物理专线的监控信息。

## 配置告警

物理专线支持配置监控告警，配置步骤如下：

1）打开 [腾讯云云监控-告警策略控制台](https://console.cloud.tencent.com/monitor/policylist)；

2）输入告警策略名称；

3）点击“新增告警策略”，编辑告警策略编辑：

- 策略类型选择“物理专线”；
- 告警触发条件可以选择“出带宽”、“入带宽”、“丢包率”、“时延”；

4）点击“下一步：关联告警对象”，选择关联的物理专线；

5）设置接收组，点击确认即可完成告警策略的配置。

物理专线告警配置好后，即可根据告警接收组的设定情况收到系统告警。更多监控帮助请参考 [云监控帮助文档](https://cloud.tencent.com/doc/product/248/967)。