## 1. Recommendations

Microsoft has announced to stop providing extended support for Windows Server 2003 and Windows Server 2003 R2 as of July 14, 2015. At the same time Tencent CVMs that run a Windows 2003 system will no longer have access to updates and patches from Microsoft and may be exposed to issues and risks like program incompatibility, instability and insecurity. In order to ensure the security and stability of your businesses, it's recommended that you migrate the CVMs that are currently running the Windows Server 2003 system to a Windows Server 2008 R2 version.

## 2. Instructions for Use
Starting September 14, 2015, Tencent Cloud will stop providing Windows 2003 system images (including public image, custom image and Image Marketplace image) to all users. If you are currently running Windows 2003 for your CVM, and want to continue to use it, you can submit a request using a work order. Upon approval you can apply for the continued access to the entryway to purchase Windows 2003 systems for the requested period.

> Note: Request for renewal of the 2003 system is supported in Guangzhou, Guangzhou OPEN, Shanghai, Beijing and Hong Kong

## 3. Risk Warning
Tencent Cloud reminds you to be fully aware of the following risks before applying for the continued use of Windows Server 2003 / Windows Server 2003 R2:
  
1) Continue to use the Tencent CVMs that contain Windows Server 2003 operating system. As of July 14, 2015, these Tencent CVMs will no longer receive updates and patches from Microsoft, and your applications and businesses may be exposed to a variety of risks, including but not limited to security issues, application incompatibility, compliance requirements, and other uncertain security risks arising from non-functional issues.

2) If you continue to use Tencent CVMs running Windows Server 2003 after July 14, 2015, Tencent Cloud will not be held responsible for any fault, security issue, incompatibility or other uncertain risks due to lack of support from Microsoft, and you will have to bear the risks, consequences and liabilities arising therefrom all by yourself.

## 4. Service Contents
Once you are fully aware of the risks and are willing to bear the possible consequences and liabilities, you can access the service that Tencent Cloud provides for you to continue to use Windows Server 2003, which contains:
  
- the ability to continue to use Tencent CVMs running the existing Windows Server 2003 operating system.
- the ability to continue to use a Windows Server 2003 image (including system image, existing custom image, Image Marketplace image) to purchase and create Tencent CVMs.
- the ability to query the Windows Server 2003 image lists provided by Tencent Cloud through the Console and Cloud API. (Creating custom images is not supported)
- the ability to continue to request annual and monthly renewals for your Tencent CVMs that are running Windows Server 2003.

## 5. Service Fee
No additional cost will apply to your continued use of Tencent CVMs running Windows Server 2003, while an appropriate service fee will be charged for purchases and renewals of Tencent CVMs.

## 6. Notes
Because Microsoft has ended the support for Windows Server 2003, you understand and agree that the following situations shall not be considered substandard service quality, failure or responsibility on the part of Tencent Cloud:

1) You instance that is running Windows Server 2003 may be exposed to high risk of failure, various security issues, incompatibilities, inability to work properly, or even total breakdown of the system.

2) In the case any application running in your Windows Server 2003 instance experiences any failure that needs to be resolved by installing Microsoft patches or through OS-level troubleshooting by Microsoft, we can only provide assistance in troubleshooting, and may not be able to provide a complete solution to the issue.

3) Due to limitations in terms of hardware compatibility and driver-related issues, new Tencent CVMs in the future may not be able to support the running of Windows Server 2003 images.

During the renewal period, you have the responsibility to protect the Tencent CVMs that are running Server 2003, and to monitor the security threats reported in Windows Server 2003 to avoid any impact on other Tencent Cloud users.

Although Tencent Cloud provides you with the ability to continue to use Windows Server 2003, we advise and encourage you to migrate the existing instances of Windows Server 2003 to the instances of Windows Server 2008 R2 and Windows Server 2012 R2 to protect your data and businesses.