This document is prepared to provide you a preliminary Cloud Virtual Machine (CVM) guide for effective use of Tencent Cloud CVM:<br><br>

**Basic Concepts**<br>
<br>[CVM Overview](https://cloud.tencent.com/doc/product/213/495)
<br>[Features of CVM](https://cloud.tencent.com/doc/product/213/3035)
<br>[Advantages of CVM](https://cloud.tencent.com/doc/product/213/3036)

Before using CVM, please make sure you've completed the [initial configurations](https://cloud.tencent.com/doc/product/213/6090).

**How to Select the CVM**

<br>1. If you are not sure which configurations to choose, see [Configuration recommendations](https://cloud.tencent.com/act/event/recommand.html). It covers the needs for 80% of the cloud users. 
<br>2. Click [Price calculator](https://buy.cloud.tencent.com/calculator/cvm) to view the price for the product portfolio that you need for estimation of resource costs. 
<br>3. When you are not sure how CVM charges you, [CVM pricing mode](https://cloud.tencent.com/doc/product/213/2180) can help you select the billing mode that suits your business scenarios.
<br>4. When you have no idea which model to choose among various options, [CVM model selection](https://cloud.tencent.com/document/product/213/7153) can help you learn about the applicable scenarios and performance of different models so that you can choose the one that is suitable for your business scenarios.

**Practice**

This practical guide provides detailed operation instructions to guide you through account registration, purchase, login and management of CVM. Please refer to this article for a quick start for the basic use of Windows and Linux CVM.

**Get Started with Windows CVM**
<br>[1. Sign up for a Tencent Cloud](https://cloud.tencent.com/doc/product/213/2764)
<br>[2. Confirm the region and configurations](https://cloud.tencent.com/doc/product/213/2762)
<br>[3. Launch the CVM](https://cloud.tencent.com/doc/product/213/2763)
<br>[4. Log in to the CVM](https://cloud.tencent.com/doc/product/213/2783)
<br>[5. Format the data disk](https://cloud.tencent.com/doc/product/213/2786)
<br>[6. Install and deploy applications](https://cloud.tencent.com/doc/product/213/2881)

**Get Started with Linux CVM**
<br>[1. Sign up for a Tencent Cloud](https://cloud.tencent.com/doc/product/213/2936)
<br>[2. Confirm the region and configurations](https://cloud.tencent.com/doc/product/213/2937)
<br>[3. Launch the CVM](https://cloud.tencent.com/doc/product/213/2972)
<br>[4. Log in to the CVM](https://cloud.tencent.com/doc/product/213/2973)
<br>[5. Partition and formatting](https://cloud.tencent.com/doc/product/213/2974)
<br>[6. Deploy application environment](https://cloud.tencent.com/doc/product/213/2975)

**Managing CVMs**

The advanced guide provides more detailed CVM management and operation instructions and assists you in environment configuration and program installation. Please refer to this article to complete the deployment of operation and maintenance of CVM under Window and Linux systems.

**Managing Windows CVMs**

[1. Log in to Windows CVM](http://cloud.tencent.com/doc/product/213/Windows%E6%9C%BA%E5%99%A8%E7%99%BB%E5%BD%95%E6%9C%89%E5%85%AC%E7%BD%91IP%E7%9A%84Windows%E4%BA%91%E6%9C%8D%E5%8A%A1%E5%99%A8)
<br>[2. Format data](http://cloud.tencent.com/doc/product/213/Windows%E4%BA%91%E6%9C%8D%E5%8A%A1%E5%99%A8%E6%95%B0%E6%8D%AE%E7%9B%98%E5%88%86%E5%8C%BA%E5%92%8C%E6%A0%BC%E5%BC%8F%E5%8C%96)
<br>[3. Configure environment](http://cloud.tencent.com/doc/product/213/%E5%AE%89%E8%A3%85%E9%85%8D%E7%BD%AEIIS%E5%8F%8APHP)
<br>[4. Install Windows programs](http://cloud.tencent.com/doc/product/213/%E4%B8%8A%E4%BC%A0%E6%96%87%E4%BB%B6%E5%88%B0Windows%E4%BA%91%E6%9C%8D%E5%8A%A1%E5%99%A8)

**Managing Linux CVMs**

<br>[1. Log in to Linux CVM](http://cloud.tencent.com/doc/product/213/Windows%E6%9C%BA%E5%99%A8%E4%BD%BF%E7%94%A8%E5%AF%86%E7%A0%81%E7%99%BB%E5%BD%95%E6%9C%89%E5%85%AC%E7%BD%91IP%E7%9A%84Linux%E4%BA%91%E6%9C%8D%E5%8A%A1%E5%99%A8)
<br>[2. Mount data disks](http://cloud.tencent.com/doc/product/213/%E4%BD%BF%E7%94%A8MBR%E5%88%86%E5%8C%BA%E8%A1%A8%E5%88%86%E5%8C%BA%E5%B9%B6%E6%A0%BC%E5%BC%8F%E5%8C%96)
<br>[3. Install software](http://cloud.tencent.com/doc/product/213/CentOS%E7%8E%AF%E5%A2%83%E4%B8%8B%E9%80%9A%E8%BF%87YUM%E5%AE%89%E8%A3%85%E8%BD%AF%E4%BB%B6)
<br>[4. Configure environment](http://cloud.tencent.com/doc/product/213/CentOS%E4%B8%8BLNMP%E7%8E%AF%E5%A2%83%E9%85%8D%E7%BD%AE)
<br>[5. Deploy codes](http://cloud.tencent.com/doc/product/213/Windows%E6%9C%BA%E5%99%A8%E9%80%9A%E8%BF%87WinSCP%E4%B8%8A%E4%BC%A0%E6%96%87%E4%BB%B6)
<br>[6. Common operations and commands](http://cloud.tencent.com/doc/product/213/Linux%E5%B8%B8%E7%94%A8%E6%93%8D%E4%BD%9C%E5%8F%8A%E5%91%BD%E4%BB%A4)
<br>[7. Connect CVMs without public IPs to Internet via CVMs with public IPs](http://cloud.tencent.com/doc/product/213/%E6%97%A0%E5%85%AC%E7%BD%91CVM%E9%80%9A%E8%BF%87%E5%B8%A6%E5%85%AC%E7%BD%91CVM%E5%87%BA%E8%AE%BF%E5%85%AC%E7%BD%91)

**Further Operations**

[Renew CVMs](https://cloud.tencent.com/doc/product/213/6143): renew your CVM in time manually or automatically, so to avoid data loss or service interruption due to instances being terminated upon expiration.

[Adjust the Instance Configuration](https://cloud.tencent.com/doc/product/213/5730): Change the configuration of CVMs according to your business volume easily and quickly.

Refer to [CVM Management FAQ](https://cloud.tencent.com/doc/product/213/2539) if you have problems. Email to tencentcloud@tencent.com or [submit a ticket](https://console.cloud.tencent.com/workorder?language=en) if you need further helps.