## Introduction of Tencent Cloud CVM
Tencent Cloud Cloud Virtual Machine (CVM) provides extendable calculating capacity on the cloud, frees you from estimation of resources usage and in-advance investment. With Tencent Cloud CVM, you can enable CVMs and deploy applications immediately. Tencent Cloud CVM allows you to configure your resources according to your actual requirements, such as CPU, memory, storage, network, security and so on. 

Glossary:

- [Instance](/doc/product/213/4939): Virtual computing resources on the cloud 
- [Region and availability zone](/doc/product/213/6091): Position of instances and other resources
- [Image](/doc/product/213/4940): A preset instance template, including pre-configuration environment of the server (operating system and other installed software)
- [Instance type](/doc/product/213/7153): Different configurations of instance: CPU, memory, storage, network, etc.
- [Local disk](/doc/product/213/5798): Devices that are located on the same physical server with instances and can be used for persistent storage by instances
- [Cloud Block Storage](/doc/product/213/4953): Distributed persistent block storage devices provided, can be used as system disk for instances or expandable data disk
- [SSH Key Login](/doc/product/213/6092): a more secured login method, in which the public key is kept by Tencent Cloud, and private key is kept by user); [Password Login](/doc/product/213/6093): log into Tencent Cloud using ordinary password.
- [Private IP address](/doc/product/213/5225): Internal service address of the instance; [Public IP address](/doc/product/213/5224): External service address of the instance
- [Security Group](/doc/product/213/5221): Secure access control of instances that specifies rules for IP, protocol and port of incoming and outbound instances
- [Virtual Private Cloud](/doc/product/215/4927): Customized virtual cyberspace, logically isolated from other resources
- [Elastic IP](/doc/product/213/5733): Static public IP designed specifically for dynamic network to meet demands for fast troubleshooting
- [Metadata](/doc/product/213/4934): Tag for identifying instance sources within the instances
- [Console](https://console.cloud.tencent.com/): Web-based user interface


If you're new to Tencent Cloud CVM, please refer to [Quick start for Windows CVM](/doc/product/213/2764) and [Quick start for Linux CVM](/doc/product/213/2936).


## Related Services

- [Service Market](market.cloud.tencent.com): You may use a template to enable new CVM. The preset template may include any environment or application that you want to be included in the CVM during initialization. Tencent Cloud provides a large number of approved vendor templates to help users quickly build environment.
- [Cloud Load Balance](/doc/product/214): may realize automatic distribution of request traffic from clients across multiple CVM instances. 
- [Auto Scaling](/doc/product/377): may automatically increase or decrease the quantity of server clusters at regular time or based on specific conditions. 
- [Cloud Monitor](/doc/product/248): can be used to monitor operation statistical data for CVM instances.
- [Cloud Database](/doc/product/236): can be used to deploy your relational database on the cloud. 


## Pricing of CVM

For pricing details of CVMs, see [here](/doc/product/213/2176).
