腾讯云云服务器托管机房分布在全球多个位置，这些位置都由地域（region）和可用区（zone）构成。

每个地域（region）都是一个独立的地理区域。每个地域内都有多个相互隔离的位置，称为可用区（zone）。每个地域都是完全独立的。每个可用区都是独立的，但同一地域下的可用区通过低时延的内网链路相连。

腾讯云支持用户在不同位置分配云资源，并且建议用户在设计系统时考虑将资源放置在不同可用区以屏蔽单点故障导致的服务不可用状态。
## 地域
腾讯云不同地域之间完全隔离，保证不同地域间最大程度的稳定性和容错性。当前覆盖国内华南、华东、华北三个地区；并有针对覆盖东南亚地区的香港节点、新加坡节点，覆盖北美地区的多伦多节点，覆盖美国西部的硅谷节点。我们将逐步增加区域供应以满足更多节点的覆盖。建议用户选择最靠近您客户的地域，可降低访问时延、提高下载速度。

用户启动实例、查看实例等动作都是区分地域属性的。若用户需要启动实例的镜像在本地域不存在，需要将镜像复制到本地域。更多信息可以参考[复制镜像](/doc/product/213/4943)。

- 即使处于不同可用区，同区域下的云资源之间均通过内网互通，可以直接使用[内网 IP](/doc/product/213/5225) 访问。
- 不同地域之间的云产品 <font color="red">默认不能通过内网通信</font>。
 - 云服务器默认不可跨地域内网互访，默认不可跨地域访问云数据库，云缓存Memcached；
 - 负载均衡服务绑定服务器时，只能选择绑定本地域的云服务器；
- 不同地域之间云资源可以通过[公网 IP](/doc/product/213/5224) 进行 Internet 访问；处于私有网络中的云服务也可以通过腾讯云提供的[对等连接](/doc/product/215/5000)经由腾讯云高速互联网络通信，以获得比 Internet 访问更稳定高速的互联。
- [负载均衡](https://cloud.tencent.com/doc/product/214)不支持跨地域的流量转发。
- 地域可用区名称是对机房覆盖范围最直接的代言，为了让地域可用区名称便于客户理解，地域命名采取【覆盖范围＋机房所在城市】的结构。前半段表示该机房的覆盖能力，后半段表示该机房所在或临近的城市，可用区命名采用【城市 + 编号】的结构；
- 上述内网互通是均指同一账户下的资源互通，不同账户的资源内网完全隔离。

**香港地区特别说明：**
- 下列云服务暂不提供：云缓存Memcached、弹性web引擎、对象存储服务、云硬盘、一键开服和分区分服域名绑定。
- 当您需要登录香港地域云服务器时，建议使用跳板机登录，以获得更好的运维体验。

**北美地域特殊说明：**
- 下列云服务暂不提供：云硬盘、弹性web引擎、对象存储服务、移动加速、云拨测、一键开服和分区分服域名绑定。
- 由于北美和国内时延较大，当您需要登录北美地域云服务器时，建议使用跳板机登录，以获得更好的运维体验。

)。

## 可用区
可用区（Zone）是指腾讯云在同一地域内电力和网络互相独立的物理数据中心。目标是能够保证可用区间故障相互隔离（大型灾害或者大型电力故障除外），不出现故障扩散，使得用户的业务持续在线服务。通过启动独立可用区内的实例，用户可以保护应用程序不受单一位置故障的影响。

用户启动实例时，可以选择指定地域下的任意可用区。当用户需要设计应用系统的高可靠性保持某个实例发生故障时服务仍然可以保持可用时，可以使用跨可用区的部署方案（如[负载均衡](https://cloud.tencent.com/doc/product/214)、[弹性IP](/doc/product/213/5733)等），以使另一可用区域中的实例可代为处理相关请求。

### 将实例迁移到其他可用区

一个已经启动的实例是无法更改其可用区的，但是用户可以通过其他方法把实例迁移至其他可用区。迁移过程包括从原始实例创建自定义镜像、使用自定义镜像在新可用区中启动实例以及更新新实例的配置。

1. 创建当前实例的自定义镜像。有关更多信息，请参阅 [创建自定义镜像](/doc/product/213/4942)。
2. 如果当前实例的网络环境为[私有网络](/doc/product/213/5227)且需要在迁移后保留当前私有 IP 地址，用户可以先删除当前可用区中的子网，然后在新可用区中用与原始子网相同的 IP 地址范围创建子网。需要注意的是，不包含可用实例的子网才可以被删除。因此，应该将在当前子网中的所有实例移至新子网。
3. 使用刚刚创建的自定义镜像在新的可用区中创建一个新实例。用户可以选择与原始实例相同的实例类型及配置，也可以选择新的实例类型及配置。有关更多信息，请参阅 [购买并启动实例](/doc/product/213/4855)。
4. 如果原始实例有关联的弹性 IP 地址，则将其与旧实例解关联并与新实例相关联。有关更多信息，请参阅 [弹性 IP](/doc/product/213/5733)。
5. （可选）若原有实例为[按量计费](https://cloud.tencent.com/doc/product/213/2180#2.-.E6.8C.89.E9.87.8F.E8.AE.A1.E8.B4.B9)类型，可选择销毁原始实例。有关更多信息，请参阅 [销毁实例](/doc/product/213/4930)。若原有实例为[包年包月](https://cloud.tencent.com/doc/product/213/2180#1.-.E5.8C.85.E5.B9.B4.E5.8C.85.E6.9C.88)类型，可选择等待其过期并回收。

## 如何选择地域和可用区
购买云服务时建议选择最靠近您客户的地域，可降低访问时延、提高下载速度。

## 资源的位置
这里说明腾讯云哪些资源是全球性的、哪些资源是区分地域不区分可用区的，以及哪些资源是基于可用区的。

<table>
<tr><th>资源</th><th>资源 ID 格式<br><资源缩写>-8位数字及字符</th><th>类型</th><th>说明</th></tr>
<tbody>
<tr>
  <td>用户帐号</td>
  <td>不限</td>
  <td>全球唯一</td>
  <td>用户可以使用同一个帐号访问腾讯云全球各地资源</td>
</tr>
<tr>
<td> <a href="/document/product/416/7594">SSH 密钥</a> </td>
  <td>skey-xxxxxxxx</td>
  <td>全地域可用</td>
  <td>用户可以使用 SSH 密钥绑定帐号下任何地域的云服务器</td>
</tr>
<tr>
<td> <a href="/doc/product/213/4939">CVM 实例</a> </td>
  <td>ins-xxxxxxxx</td>
  <td>只能在单地域的单个可用区下使用</td>
  <td>用户只能在特定可用区下创建 CVM 实例</td>
</tr>
<tr>
<td> <a href="/doc/product/213/4941">自定义镜像</a> </td>
  <td>img-xxxxxxxx</td>
  <td>单地域多可用区可用</td>
  <td>用户可以创建实例的自定义镜像，并在同个地域的不同可用区下使用。需要在其他地域使用时请使用复制镜像功能将自定义镜像复制到其他地域下</td>
</tr>
<tr>
<td> <a href="/doc/product/213/5733">弹性 IP</a> </td>
  <td>eip-xxxxxxxx</td>
  <td>单地域多可用区可用</td>
  <td>弹性 IP 地址在某个地域下创建，并且只能与同一地域的实例相关联。</td>
</tr>
<tr>
<td> <a href="/doc/product/213/5221">安全组</a> </td>
  <td>sg-xxxxxxxx</td>
  <td>单地域多可用区可用</td>
  <td>安全组在某个地域下创建，并且只能与同一地域的实例相关联。腾讯云为用户自动创建三条默认安全组</td>
</tr>
<tr>
<td> <a href="https://cloud.tencent.com/doc/product/362">（弹性）云硬盘</a> </td>
  <td>disk-xxxxxxxx</td>
  <td>单地域多可用区可用</td>
  <td>弹性云硬盘可单独在某个地域下创建，并且挂载在同一地域的实例上。</td>
</tr>
<tr>
<td> <a href="https://cloud.tencent.com/doc/product/362/2455">快照</a> </td>
  <td>snap-xxxxxxxx</td>
  <td>单地域多可用区可用</td>
  <td>为某块云硬盘创建快照后，用户可在该地域下使用该快照进行其他操作（如创建云硬盘等）</td>
</tr>
<tr>
<td> <a href="/doc/product/214/524">负载均衡</a> </td>
  <td>clb-xxxxxxxx</td>
  <td>单地域多可用区可用</td>
  <td>负载均衡可以绑定单地域下不同可用区的云服务器进行流量转发</td>
</tr>
<tr>
<td> <a href="/doc/product/215/535">私有网络</a> </td>
  <td>vpc-xxxxxxxx</td>
  <td>单地域多可用区可用</td>
  <td>私有网络创建在某一地域下，可以在不同可用区下创建属于同一个私有网络的资源</td>
</tr>
<tr>
<td> <a href="/doc/product/215/4927">子网</a> </td>
  <td>subnet-xxxxxxxx</td>
  <td>只能在单地域的单个可用区下使用</td>
  <td>用户不能跨可用区创建子网</td>
</tr>
<tr>
<td> <a href="/doc/product/215/4954">路由表</a> </td>
  <td>rtb-xxxxxxxx</td>
  <td>单地域多可用区可用</td>
  <td>用户创建路由表时需要指定特定的私有网络，因此跟随私有网络的位置属性</td>
</tr>
</tbody></table>

