为了方便您有效地使用腾讯云云服务器（CVM），本文档带您进行云服务器入门指导：

## 入门篇
入门篇帮助了解云服务器 CVM 基本概念，适合零基础和初用腾讯云服务的用户，您可以了解以下要点：

- [云服务器概述 ](/doc/product/213/495)
- [云服务器功能与优势 ](/doc/product/213/3035)

## 进阶篇
进阶篇助您在购买时，帮助您更好的选择适合您的云服务器：

在购买与使用云服务器之前，您需要首先完成  [注册与认证](/doc/product/213/6090) 。 

- 当您不知道如何挑选配置时，我们提供 [配置推荐](https://cloud.tencent.com/act/event/recommand.html)，80%的云上用户首选配置，买服务器，听大家的。
- 您可以点击 [价格计算器](https://buy.cloud.tencent.com/calculator/cvm) 查看您需要的产品组合的价格，估算资源成本，加入购买预算清单，更可实现一键购买。
- 当您不懂云服务器如何计费时，[云服务器计费模式说明](/doc/product/213/2180) 帮您选择适合您业务场景的计费模式。
- 当您面对丰富多样的机型不知如何选择时，[云服务器机型选择](/doc/product/213/7153) 助您了解不同机型的适用场景和性能，帮助您选择适合您业务场景的机型。
- 当您不清楚在何地配置时，[地域与可用区](/doc/product/213/6091) 助您了解地域与可用区的最优选择方案。

## 实战篇

实战篇提供非常详细的操作指引，帮助您从注册账号、购买、登录并管理云服务器，参照本篇您将快速入门 Windows 和 Linux 系统云服务器的简单使用。

### 常规思路

1. 注册帐号 
2. 确定地域及云服务器配置
3. 创建云服务器
4. 登录云服务器
5. 格式化数据盘与分区操作
6. 安装部署应用环境

详细的操作指引请参考 [快速入门 Windows 云服务器](/doc/product/213/2764) 、[快速入门 Linux 云服务器](/doc/product/213/2936) 。

### CVM 实验室
1. [体验 CentOS 系统 CVM ](https://cloud.tencent.com/developer/labs/lab/10078?utm_source=portal&utm_medium=docs&utm_campaign=cvm&utm_term=3687&utm_term=10078)
2. [体验 Ubuntu 系统 CVM ](https://cloud.tencent.com/developer/labs/lab/10081?utm_source=portal&utm_medium=docs&utm_campaign=cvm&utm_term=3687&utm_term=10081)


## 高阶篇

高阶篇提供更加详细的云服务器管理操作指引，帮助您配置环境和程序安装等，参照本篇，您将完成 Windows 和 Linux 系统云服务器运维部署。

### Windows系统云服务器运维手册

1. [登录 Windows 云服务器 ](/doc/product/213/5435)
2. [数据盘分区和格式化 ](/doc/product/213/2158)
3. [环境配置](/doc/product/213/2755)
4. [系统维护](/doc/product/213/2917)


### Linux系统云服务器运维手册

1. [登录 Linux 云服务器](/doc/product/213/5436)
2. [Linux挂载数据盘](/doc/product/213/2042)
3. [安装软件](/doc/product/213/2123)
4. [环境配置](/doc/product/213/2125)
5. [上传文件](/doc/product/213/2131)
6. [Linux 常用操作及命令](/doc/product/213/2150)
7. [访问公网](/document/product/213/2152)

## 其他
- **续费相关：**若您的云服务器到期，但您仍想继续使用，我们有 [云服务器续费](/doc/product/213/6143) 指引您进行手动续费或自动续费，以防实例到期后被系统销毁而导致数据丢失或服务中断。

- **调整实例配置：**若您在应用初期、请求量较小时选用较低的硬件配置，而随着应用快速增长、服务请求量剧增，您可以通过 [调整实例配置](/doc/product/213/5730) 快速调整硬件，提高服务的处理速度，更好地满足您变化的需求。

- **常见问题FAQ：**若您仍遇到其他 [云服务器管理常见问题](/doc/product/213/10339)，我们提供常见问题合集供您查阅，方便您快速定位及解决疑问。


- **问题反馈：**若您有其他疑问未得到解决，您可拨打服务热线 4009-100-100 或者 [发起工单](https://console.cloud.tencent.com/workorder/category) 反馈给我们，我们将在第一时间为您答疑解惑！