为了方便您有效地使用腾讯云云服务器（CVM），本文档带您进行云服务器入门指导：

## 入门篇

关于云服务器CVM，您需要了解以下要点：
- [云服务器概述 >>](https://cloud.tencent.com/doc/product/213/495)
- [云服务器主要功能 >>](https://cloud.tencent.com/doc/product/213/3035)
- [云服务器的优势 >>](https://cloud.tencent.com/doc/product/213/3036)

在使用云服务器之前，您需要首先完成  [初始配置 >>](https://cloud.tencent.com/doc/product/213/6090)

## 进阶篇

进阶篇助您在购买时，帮助您更好的选择适合您的云服务器：
- 当您不知道如何挑选配置时，我们提供 [配置推荐](https://cloud.tencent.com/act/event/recommand.html)，80%的云上用户首选配置，买服务器，听大家的。
- 您可以点击 [价格计算器](https://buy.cloud.tencent.com/calculator/cvm) 查看您需要的产品组合的价格，估算资源成本，加入购买预算清单，更可实现一键购买。
- 当您不懂云服务器如何计费时，[云服务器计费模式说明](https://cloud.tencent.com/doc/product/213/2180) 帮您选择适合您业务场景的计费模式。
- 当您面对丰富多样的机型不知如何选择时，[云服务器机型选择](https://cloud.tencent.com/document/product/213/7153) 助您了解不同机型的适用场景和性能，帮助您选择适合您业务场景的机型。

## 实战篇

实战篇提供非常详细的操作指引，帮助您从注册账号、购买、登录并管理云服务器，参照本篇您将快速入门 Windows 和 Linux 系统云服务器的简单使用。

### 快速入门Windows系统云服务器

1. [注册帐号 >>](https://cloud.tencent.com/doc/product/213/2764)
2. [确定地域及Windows云服务器配置 >>](https://cloud.tencent.com/doc/product/213/2762)
3. [创建Windows云服务器 >>](https://cloud.tencent.com/doc/product/213/2763)
4. [登录Windows云服务器 >>](https://cloud.tencent.com/doc/product/213/2783)
5. [格式化数据盘 >>](https://cloud.tencent.com/doc/product/213/2786)
6. [安装部署应用 >>](https://cloud.tencent.com/doc/product/213/2881)

### 快速入门Linux系统云服务器

1. [注册帐号 >>](https://cloud.tencent.com/doc/product/213/2936)
2. [确定地域及Linux主机配置 >>](https://cloud.tencent.com/doc/product/213/2937)
3. [创建Linux云服务器 >>](https://cloud.tencent.com/doc/product/213/2972)
4. [登录Linux云服务器 >>](https://cloud.tencent.com/doc/product/213/2973)
5. [分区及格式化 >>](https://cloud.tencent.com/doc/product/213/2974)
6. [部署应用环境 >>](https://cloud.tencent.com/doc/product/213/2975)

### CVM实验室
1. [体验 CentOS 系统 CVM ](https://cloud.tencent.com/developer/labs/lab/10078?utm_source=portal&utm_medium=docs&utm_campaign=cvm&utm_term=3687&utm_term=10078)
2. [体验 Ubuntu 系统 CVM ](https://cloud.tencent.com/developer/labs/lab/10081?utm_source=portal&utm_medium=docs&utm_campaign=cvm&utm_term=3687&utm_term=10081)


## 高阶篇

高阶篇提供更加详细的云服务器管理操作指引，帮助您配置环境和程序安装等，参照本篇，您将完成 Windows 和 Linux 系统云服务器运维部署。

### Windows系统云服务器运维手册

1. [登录Windows云服务器 >>](http://cloud.tencent.com/doc/product/213/Windows%E6%9C%BA%E5%99%A8%E7%99%BB%E5%BD%95%E6%9C%89%E5%85%AC%E7%BD%91IP%E7%9A%84Windows%E4%BA%91%E6%9C%8D%E5%8A%A1%E5%99%A8)
2. [Windows格式化数据 >>](http://cloud.tencent.com/doc/product/213/Windows%E4%BA%91%E6%9C%8D%E5%8A%A1%E5%99%A8%E6%95%B0%E6%8D%AE%E7%9B%98%E5%88%86%E5%8C%BA%E5%92%8C%E6%A0%BC%E5%BC%8F%E5%8C%96)
3. [Windows环境配置 >>](http://cloud.tencent.com/doc/product/213/%E5%AE%89%E8%A3%85%E9%85%8D%E7%BD%AEIIS%E5%8F%8APHP)
4. [Windows程序安装 >>](http://cloud.tencent.com/doc/product/213/%E4%B8%8A%E4%BC%A0%E6%96%87%E4%BB%B6%E5%88%B0Windows%E4%BA%91%E6%9C%8D%E5%8A%A1%E5%99%A8)

### Linux系统云服务器运维手册

1. [登录Linux云服务器 >>](http://cloud.tencent.com/doc/product/213/Windows%E6%9C%BA%E5%99%A8%E4%BD%BF%E7%94%A8%E5%AF%86%E7%A0%81%E7%99%BB%E5%BD%95%E6%9C%89%E5%85%AC%E7%BD%91IP%E7%9A%84Linux%E4%BA%91%E6%9C%8D%E5%8A%A1%E5%99%A8)
2. [Linux挂载数据盘 >>](http://cloud.tencent.com/doc/product/213/%E4%BD%BF%E7%94%A8MBR%E5%88%86%E5%8C%BA%E8%A1%A8%E5%88%86%E5%8C%BA%E5%B9%B6%E6%A0%BC%E5%BC%8F%E5%8C%96)
3. [安装软件 >>](http://cloud.tencent.com/doc/product/213/CentOS%E7%8E%AF%E5%A2%83%E4%B8%8B%E9%80%9A%E8%BF%87YUM%E5%AE%89%E8%A3%85%E8%BD%AF%E4%BB%B6)
4. [环境配置 >>](http://cloud.tencent.com/doc/product/213/CentOS%E4%B8%8BLNMP%E7%8E%AF%E5%A2%83%E9%85%8D%E7%BD%AE)
5. [代码部署 >>](http://cloud.tencent.com/doc/product/213/Windows%E6%9C%BA%E5%99%A8%E9%80%9A%E8%BF%87WinSCP%E4%B8%8A%E4%BC%A0%E6%96%87%E4%BB%B6)
6. [Linux常用操作及命令 >>](http://cloud.tencent.com/doc/product/213/Linux%E5%B8%B8%E7%94%A8%E6%93%8D%E4%BD%9C%E5%8F%8A%E5%91%BD%E4%BB%A4)
7. [无公网IP的云服务器通过带公网IP的机器访问公网 >>](http://cloud.tencent.com/doc/product/213/%E6%97%A0%E5%85%AC%E7%BD%91CVM%E9%80%9A%E8%BF%87%E5%B8%A6%E5%85%AC%E7%BD%91CVM%E5%87%BA%E8%AE%BF%E5%85%AC%E7%BD%91)


若您的云服务器到期，但您仍想继续使用，我们有 [云服务器续费](https://cloud.tencent.com/doc/product/213/6143) 指引您进行手动续费或自动续费，以防实例到期后被系统销毁而导致数据丢失或服务中断。

若您在应用初期、请求量较小时选用较低的硬件配置，而随着应用快速增长、服务请求量剧增，您可以通过 [调整实例配置](https://cloud.tencent.com/doc/product/213/5730) 快速调整硬件，提高服务的处理速度，更好地满足您变化的需求。

若您仍遇到其他 [云服务器管理常见问题](https://cloud.tencent.com/doc/product/213/2539)，我们提供常见问题合集供您查阅，方便您快速定位及解决疑问。


若您有其他疑问未得到解决，您可拨打服务热线 4009-100-100 或者 [发起工单](https://console.cloud.tencent.com/workorder/category) 反馈给我们，我们将在第一时间为您答疑解惑！