为了方便您有效地使用腾讯云云服务器（CVM），请完成以下步骤为使用 CVM 进行设置：

## 注册腾讯云帐号

若您已有一个腾讯云帐号，您可以跳过本注册步骤进行下面的设置。

如需在腾讯云官网进行【注册】，注册指引可参考 [注册腾讯云](https://cloud.tencent.com/document/product/378/9603)。
 
## 进行资质认证

当您注册成为腾讯云用户后，部分产品需要您通过资质认证方可使用（如按量计费类型云服务器、COS、CDN 等），通过资质认证后默认可以使用腾讯云所有服务（特定需要单独申请开通的除外）。

1. 注册成功后，点击页面右上角进入【用户中心】：
![](//mccdn.qcloud.com/static/img/61e2b15b057ef2508656e1972c422c1c/image.jpg)

2. 点击【资质认证】，按照页面指引进行资质认证：
![](//mccdn.qcloud.com/static/img/2e668e7e607ea863f1d2b4540397334d/image.png)

## （可选）创建 SSH 密钥
SSH 密钥是一种<font color="red">应用于 Linux 类型 CVM上的</font>、相较于普通密码登录更安全的实例登录方式。有关 SSH 密钥的更多信息，可以参考 [SSH 密钥](/doc/product/213/6092)。

1. 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【云服务器】，选择【SSH 密钥】选项卡。
2. 点击上方【创建密钥】按钮，选择【创建新密钥对】，输入一个方便您识别的名称，点击【确定】按钮。在限定时间内下载腾讯云下发的私钥。

## （可选）创建私有网络VPC

腾讯云私有网络允许您在自定义定义一个逻辑隔离的网络环境，并在其中启动腾讯云云资源。有关私有网络的更多信息，可以参考[私有网络产品文档](https://cloud.tencent.com/doc/product/215/535)。

私有网络至少包含一个子网，只有在子网中才可以添加云服务资源。

1. 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】，或者进入腾讯云[私有网络介绍页中](https://cloud.tencent.com/product/vpc.html)的【立即体验】按钮，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/)。

2. 选择列表上方下拉框中的地域，点击【新建】创建私有网络。

3. 填写私有网络和子网的名称和 [CIDR](https://cloud.tencent.com/doc/product/215/4925#cidr)，并选择子网的可用区。

4. 点击【创建】按钮。
![](//mccdn.qcloud.com/static/img/55cdba64e785d9b073bc4169a9459e39/image.png)

## （可选）创建安全组

安全组可以被视为云服务器的防火墙，在实例级别控制入站和出站的数据流。您必须在安全组中添加规则，以便能够使用 SSH 从您本地 IP 地址连接到实例。当然，还可以添加任意其他规则来限制实例的访问。

> 需要注意的是，如果您需要在多个 [地域](/doc/product/213/6091) 下启动实例，则需要在每个地域中创建安全组。腾讯云在每个地域下都预先创建好了几个安全组，用以允许用户远程登录实例，更多内容可以参考 [安全组](/doc/product/213/5221)。

1. 打开[腾讯云控制台](https://console.cloud.tencent.com/) 。选择【云服务器】，在导航窗格中，单击【安全组】。

2. 单击【新建】按钮，在弹出框中输入安全组的名称（例如，my-security-group）并提供说明。

3. 在返回的安全组列表页中，点击刚刚创建的安全组ID。详细信息窗格内会显示此安全组的详细信息，以及可供您使用入站规则和出站规则的选项卡。

4. 在入/出站规则选项卡上，单击【编辑】。从选项卡中选择用于入/出站规则的选项，然后填写所需信息。例如，选择 HTTP 或 HTTPS，将来源/目标指定为0.0.0.0/0，表示允许网络上任何位置对绑定的云服务器进行访问，或云服务器也可以访问网络上任何位置。完成后，单击【保存】。

## （可选）创建云 API 密钥

腾讯云[云 API](https://cloud.tencent.com/product/api.html) 为开发者提供了简单高效的调用接口，以便用户在开发环境中使用与管理腾讯云云服务。云 API 密钥是使用云 API 的先决条件，每一次调用云 API 时都必须使用云 API 密钥进行身份验证。关于使用云 API 密钥进行身份验证的更多信息，可以参考[签名方法](https://cloud.tencent.com/document/product/213/6984)。如果您尚未创建云 API 密钥，则可以按照以下步骤通过控制台自行创建。

1. 使用上述步骤创建的帐号，登录[腾讯云控制台](https://console.cloud.tencent.com/),在上方云产品下拉菜单中选择【云 API 密钥】。

2. 在【API 密钥】选项卡中，点击【新建密钥】按钮，即可完成密钥的创建。
> 注：每个帐号可以创建的云 API 密钥有数量限制，目前最多可以创建 2 个。

