腾讯云为云服务器实例提供了灵活、经济且易于使用的多种类型的数据存储设备。不同的存储设备具有不同的性能和价格，适用于不同的使用场景。
## 存储设备分类
存储设备根据不同的划分维度，可分成以下几种：
<table class="cbscategory">
        <tbody>
		<tr>
            <th style="width: 5%;">划分维度</th>
            <th style="width: 5%;" >分类</th>
            <th style="width: 20%;" >说明</th>
        </tr>
       
        <tr>
            <td rowspan="2">存储介质</td>
            <td>普通硬盘</td>
            <td>存储介质为机械硬盘。特点是价格较低，且能表现较优的读写速度。</td>
        </tr>
				<tr>
				    <td>SSD 硬盘</td>
					<td>存储介质采用固态硬盘(SSD)。特点是在 IOPS、读写速度上均表现优异，相较于普通硬盘最大能达到 20 倍的 IOPS 和 16 倍的吞吐量。在价格上比普通硬盘更高。</td>
						
			    <tr>
            		<td rowspan="2">使用场景</td>
            		<td>系统盘</td>
            		<td>用来存储控制、调度云服务器运行的系统集合，使用镜像来操作。</td>
        </tr>
				<tr>
				    <td>数据盘</td>
						<td>用来存储所有用户数据。</td>
						
						<tr>
						<td rowspan="3">架构模式</td>
            <td>云硬盘</td>
            <td>云硬盘是一种弹性、高可用、高可靠、低成本、可定制化的网络块设备，可以作为云服务器的独立可扩展硬盘使用。它提供数据块级别的数据存储，采用三副本的分布式机制，为 CVM 提供数据可靠性保证。<br><font style="font-weight:bold">选择云硬盘的云服务器可以进行硬件、磁盘和网络的调整</font><br>
						</td>
        </tr>
				<tr>
				    <td>本地盘</td>
						<td>本地盘来自 CVM 实例所在物理机的本地存储，是从 CVM 实例所在的物理机上划分的一块存储区域。数据访问可获得较低的时延，但存在数据单点故障的风险。<br>
						<font style="font-weight:bold">选择本地盘的云服务器不支持硬件（CPU、内存、磁盘）的升级，仅支持带宽的升级。</font>
						</td>
				<tr>
				    <td>对象存储</td>
						<td>对象存储是位于 Internet 上的数据存储设备，支持从云服务器实例或 Internet 上的任何位置检索数据，从而精简存储成本。不适合作为低时延、高 IO 场景下的存储介质。
						</td>
				</tbody></table>

## 块存储设备映射

每个实例均有一块系统盘用以保证基本运行数据，还可以向实例挂载更多数据盘。实例使用块存储设备映射（device-mapping）来将这些存储设备映射为自身可以识别的位置。
块储存是以字节为单位分块的存储设备，支持随机访问。腾讯云支持两种类型的块储存设备：本地盘和云硬盘。
![](https://mc.qcloudimg.com/static/img/7e8715ce6bba831c61d0cc807bec8ce9/device-mapping.png)
此图显示了 CBS 如何将块存储设备映射到云服务器上：将 `/dev/vda` 映射到系统盘上，并将两块数据盘分别映射到`/dev/vdb`和`/dev/vdc`。
云服务器实例会自动为挂载至其的本地盘及云硬盘创建块存储设备映射。

