## 概述
本地盘是与云服务器实例处于同一台物理服务器上的存储设备，具有高读写 IO、低时延的特性。
本地盘来自 CVM 实例所在物理机的本地存储，是从 CVM 实例所在的物理机上划分的一块存储区域。目前腾讯云的绝大多数实例规格系统盘和数据盘都支持选择本地盘。

- **生命周期：**本地盘的创建仅跟随云服务器实例。因此，本地盘跟随云服务器的生命周期而启动或终止。
- **购买：**本地盘仅能在启动云服务器时一同启动。因此，购买本地盘仅能在购买云服务器实例时指定。有关购买云服务器的更多内容，请参考 [购买并启动实例](/doc/product/213/4855)。

>**注意：**
>选择本地盘的云服务器不支持硬件（CPU、内存）的升级，仅支持带宽的升级。

## 类型
本地盘是来自云服务器所在物理机的本地存储，按介质不同可以分为普通本地盘和 SSD 本地盘。
### 普通本地盘
<table class="typical">
	<tbody>
	<tr>
		<th>规格</th>
		<th>购买策略</th>
		<th>性能</th>
		<th>价格</th>
	</tr>
	<tr>
		<td>系统盘</td>
		<td>固定为 50 GB，不可更改</td>
		<td rowspan="2">吞吐峰值 40 -100 以上 MB/s，IOPS 数百至 1000</td>
		<td rowspan="2">包年包月：0.3 元 /GB/ 月<br>按量计费：0.042 元 /100 G/ 小时</td>
	</tr>
	
	<tr>
		<td>数据盘</td>
		<td>支持最小 10 GB 到最大 1600 GB 的普通本地盘规格（以 10 G 为步长），且不同硬件配置可选普通本地磁盘规格极限不同。</td>
	</tr>
</tbody></table>

### SSD 本地盘
SSD 本地盘是来自云服务器所在物理机的本地存储，该类存储为实例提供全 SSD 介质块级别的数据访问能力，具有低时延、高随机 IOPS、高吞吐量的 I/O 能力。
<table class="SSD">
	<tbody>
	<tr>
		<th>规格</th>
		<th>购买策略</th>
		<th>性能</th>
		<th>价格</th>
	</tr>
	<tr>
		<td >系统盘</td>
		<td> 固定为 50GB，不可更改</td>
		<td rowspan="2">吞吐峰值 290 MB/s，IOPS 75000，访问时延小于 3 ms</td>
		<td rowspan="2">包年包月：0.8 元 /GB/ 月<br/>按量计费：0.0033 元 /GB/ 小时</td>
	</tr>
	<tr>
		<td>数据盘</td>
		<td>支持最小 10GB 到最大 7000GB 的 SSD 本地盘规格（以 10G 为步长），且不同硬件配置可选普通本地磁盘规格极限不同。</td>
	</tr>
</tbody></table>

SSD 本地盘适合在以下场景中使用：

- 低时延：提供微秒级的访问延时。 
- 分布式应用：NoSQL、MPP 数据仓库、分布式文件系统等 I/O 密集型应用，这类应用本身具备分布式数据冗余能力。 
- 大型在线应用程序日志：大型在线应用程序会产生大量的日志数据，需要高性能的存储，同时日志数据对存储的可靠性要求不高。 
- 单点风险： 存在单点故障风险，建议在应用层做数据冗余保证数据可用性。


