用户需要停止实例服务，或者需要执行关机状态才能修改的配置时，可以关机实例。关机实例相当于本地计算机的关机操作。

## 概述
 - **关机准备：**实例关机后将无法提供服务，因此在关机之前，请确保云服务器已暂停业务请求。
 - **关机操作方式：**您可使用系统命令进行关机（如 Windows 系统下的关机 和 Linux 系统下的 shutdown 命令），也可使用腾讯云控制台进行关机。推荐在关机时打卡控制台查看关机过程，以检视是否出现问题。
 - **关机过程：**实例正常关闭，状态先变为关机中，关机完成后变更为已关机。若关机时间过长可能出现问题，可参见  [关机相关](/doc/product/213/2917) ，避免强行关机。
 - **数据存储：**所有存储保持连接至实例状态，所有磁盘数据都被保留。内存中的数据将丢失。
 - **实例物理特性：**关机实例不改变实例的物理特性。实例公网 IP、内网 IP 保持不变； [弹性公网 IP](/doc/product/213/5733) 维持绑定关系，但访问这些 IP 会得到错误响应(因为服务已中断）； [基础网络互通](/doc/product/215/5002) 关系维持不变。
 - **负载均衡：**如果关机实例属于 [负载均衡实例的后端服务器集群](/doc/product/214/6095) ，关机后无法继续提供服务。若配置了健康检查策略，则可自动屏蔽关机实例并不再向其转发请求；若没有配置健康检查策略，客户端可能会收到 502 错误返回。有关更多信息，请参阅 [健康检查](/doc/product/214/3394) 。
 - **弹性伸缩：**如果关机实例处于 [弹性伸缩组](/doc/product/377/3590) ，则 Auto Scaling 服务会将关机的实例标记为运行状况不佳，可能会将其移出弹性伸缩组并启动替换实例。有关更多信息，请参阅 [弹性伸缩产品文档](/doc/product/377) 。

## 通过控制台关机实例
 1. 登录 [云主机控制台](https://console.cloud.tencent.com/cvm/) 。
 2. 关机单个实例：勾选需要关机的实例，在列表顶部，单击【关机】按键。或在右侧操作栏中，单击【更多】-【云主机状态】-【关机】。
 3. 重启多个实例：勾选所有需要关机的实例，在列表顶部，单击【关机】按键。即可批量关机实例。不能关机的实例会显示原因。

## 通过 API 关机实例
请参考 [StopInstances 接口](/doc/product/213/9383) 。

## 修改已关机实例
只有在实例关机状态时，您才能修改以下实例属性：
- **实例配置（CPU、内存）：**更改实例类型，请参阅 [调整实例配置](/doc/product/213/5730) 。
- **已挂载的云硬盘大小：**调整云硬盘大小，请参阅 [扩容云硬盘](/doc/product/362/5747) 。
- **修改密码：**请参阅 [登录密码](/doc/product/213/6093) 。
- **加载密钥：**请参阅[SSH 密钥](/doc/product/213/6092) 。

