腾讯云云服务器实例的生命周期是指实例从启动到销毁所经历的状态。通过对腾讯云实例从启动到销毁期间的合理的管理，可确保运行于实例上的应用程序高效经济地提供服务。

## 实例状态

- **实例有以下状态：**

| 状态名  | 	状态属性  | 状态描述  |
| ------ | ------ | ------ |
| 创建中  | 中间状态  | 实例创建后，进入运行中之前的状态。  |
| 运行中  | 稳定状态  | 实例正常运行状态，这个状态的实例可以上运行您的业务。  |
| 重启中  | 中间状态  | 实例受控制台或通过 API 执行重启操作后，进入运行中之前的状态。如果长时间处于该状态，可能出现异常。  |
| 重置中  | 中间状态  | 实例受控制台或通过 API 执行重装系统或重置磁盘操作后，进入运行中之前的状态。  |
| 关机中  | 中间状态  | 实例受控制台或通过 API 执行关机操作后，在进入已关机之前的状态。如果长时间处于该状态，则说明出现异常。不建议强制关机。  |
| 已关机  | 稳定状态  | 实例被正常停止，关机状态下的实例，不能对外提供业务。实例部分属性只能在关机状态下修改。  |
| 销毁中  | 中间状态  | 实例过期 7 天或用户主动执行销毁操作时，尚未完成销毁的状态。  |
| 已销毁  | 稳定状态  | 销毁操作执行完成，原实例不存在，无法提供服务，数据完全清除。  |
| 已回收  | 稳定状态  | 包年包月实例到期 7 天内，处于回收站内的状态。此状态不对外服务。  |

- **实例状态间转换：**
![](//mc.qcloudimg.com/static/img/551771757a0419084585ccbfad776d86/image.png)

## 实例启动
 - 执行启动实例操作后实例将进入创建中状态。创建中实例将按照指定的 [实例类型](/document/product/213/7153) 配置硬件规格，系统将使用在启动时指定的镜像来启动实例。
 - 实例完成创建后进入运行中状态。运行中状态的实例开启正常连接与访问服务。

更多实例启动信息请参考 [购买与启动实例](/doc/product/213/4855)、[登录 Windows 实例](/doc/product/213/5435) 和 [登录 Linux 实例](/doc/product/213/5436) 。

## 实例重启
我们建议用户任意选择腾讯云控制台、腾讯云 API 来重新启动实例，而非在实例中运行操作系统重启命令。
 - 执行重启实例操作后实例将进入重启中状态。
 - 重启实例相当于重启计算机，重启后实例仍保留其公有 IP 地址、私有 IP 地址以及其硬盘上的所有数据。
 - 重启实例通常需要花费几十秒至几分钟的时间，该时间具体取决于实例配置。

更多实例重启信息请参阅 [重启实例](/doc/product/213/4928) 。

## 实例关机
用户可以使用控制台或 API 等方法来关机实例。
 - 关机实例相当于关闭计算机。
 - 实例关机后不再对外提供服务，但不停止计费。
 - 关机的实例仍会在控制台中显示。
 - 关机是部分配置操作的前提，如调整硬件配置、重置密码等。
 - 关机操作本身不改变云服务器的公有 IP 地址、私有 IP 地址及其硬盘上的所有数据。
 
更多实例关机信息请参阅 [关机实例](/doc/product/213/4929) 。

## 实例销毁
用户不再需要云服务器实例时，可以终止该实例。可通过腾讯云控制台或腾讯云 API 实现。

- 手动销毁：用户可以主动通过控制台销毁按量计费实例与回收站中的包年包月实例。
- 自动销毁：按量计费实例不自动销毁；过期 7 天后的包年包月实例自动销毁。

实例销毁时实例的系统盘及购买时指定的数据盘会随之销毁，但挂载在其上的弹性云盘不受影响。
更多实例销毁信息请参阅 [销毁实例](/doc/product/213/4930) 。