
**Memory M2 instance** is designed to deliver high performance for the workload of large-sized datasets in process memory. It features a large memory, and a memory instance up to 384GB based on DDR4 is available. Its price is lower than any other memory instances with the same memory, which makes it the perfect choice for applications that need high memory computing. This type of instances is suitable for the following circumstances:

- Applications that need extensive memory operations, search, and computing, such as high-performance databases, and distributed memory caching.
- Users who build their own hadoop clusters or redis for like gene computing.

A Memory M2 instance features 2.4GHz Intel E5-Xeon Broadwell (v4) CPU processor and DDR4 memory. Its price is lower than any other memory instances with the same memory, which makes it the perfect choice for applications that need high memory computing. It also offers the options of local disks, common cloud disks and SSD cloud disks for the data disks (The option may vary with different hardware specifications).

For the available configurations when you purchase a Memory M2 instance, refer to [CVM Instance Configurations](https://cloud.tencent.com/doc/product/213/2177).


## Hardware Specification
The hardware specification of a Memory M2 instance is as follows:

- 2.4 GHz Intel Xeon  E5-2680 Broadwell (v4) processor, DDR4 memory
- Memory instances up to 368GB based on DDR4 available
- CPU performance is 20% higher than Series 1 Memory M1
- Network Enhanced type is used by default (up to 300k pps)
- With the options of local disks, common cloud disks and SSD cloud disks for the storage

## Requirements for Memory M2 instances
The requirements for M2 instances are as follows:

- M2 instance can be used on the basis of [postpaid](https://cloud.tencent.com/doc/product/213/2180#2.-.E6.8C.89.E9.87.8F.E8.AE.A1.E8.B4.B9), or as the production instance of memory host in dedicated hosts;
- Support I2 instance startup in basic network and [Virtual Private Cloud](https://cloud.tencent.com/doc/product/215/535#.E8.85.BE.E8.AE.AF.E4.BA.91.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C.E6.98.AF.E4.BB.80.E4.B9.88.EF.BC.9F);
- For the available configurations when you purchase a Memory M2 instance, refer to [CVM Instance Configurations](https://cloud.tencent.com/doc/product/213/2177).




