
创建腾讯云云服务器时，用户指定的**实例类型**决定了实例的主机硬件配置。每个实例类型提供不同的计算、内存和存储功能。用户可基于需要部署运行的应用规模，选择一种适当的实例类型。

## 实例类型
根据底层硬件的不同，腾讯云目前提供了 **系列一** 、**系列二** 和 **系列三**（下文也称为** 上一代实例 **、** 当前一代实例 **和** 最新一代实例 **）三种不同的实例系列。为获得最佳性能，我们建议您在新建实例时使用当前一代实例类型。
**系列对照：**

|  | 系列一| <B>系列二</B> | <B>系列三</B> |
| ------ | ------  | ------  |------  |
| 别称 | 上一代实例   | 当前一代实例 |最新一代实例  |
| 类型 | 标准型S1，高IO型I1，内存型M1  | [标准型S2](/doc/product/213/7154)，[高IO型I2](/doc/product/213/7155)，[内存型M2](/doc/product/213/7156)，[计算型C2](/doc/product/213/7157)，</br>[GPU计算型GN2](/doc/product/560)，[GPU 渲染型 GA2](https://cloud.tencent.com/document/product/213/11962)，[FPGA 型 FX2](/doc/product/565)  |标准型S3，计算型C3  | 
| CPU | Intel Xeon CPU |  Intel E5-Xeon Broadwell(v4) |Intel  Skylake|
| 内存 | DDR3 | DDR4 |DDR4 |


**类型对照：**

| | 标准型 | 高 IO 型 | 内存型 | 计算型 | GPU 计算型 |FPGA 型 |
| ------ | ------  | ------  | ------  | ------  | ------  | ------  |
| 系列一类型 | S1 | I1 | M1 |  |  |  |
| 系列二类型 | S2 | I2 | M2 | C2 | GN2、GA2 | FX2 |
| 适用场景 | 通用工作负载。 | 高磁盘 IO 负载。 | 大量的内存操作、查找和计算的应用。 | 要求高计算性能和高并发读写。 | 通用 GPU 计算应用程序。 | 要求可编程阵列计算。 |
| 适用举例 | 中小型 Web 应用；<br/>中小型数据库。 | NoSQL 数据库；<br/>群集化数据库；<br/>联机事务处理。 | 高性能数据库；<br/>分布式内存缓存；<br/>自建 hadoop 集群或 redis 用户 | 批处理工作负载；<br/>高流量 Web 服务器；<br/>大型多人联机游戏服务器；<br/>高性能计算。 | 图形数据库；<br/>计算流体动力学；<br/>计算金融；<br/>分子建模。 | 深度学习模型；<br/>实时图像压缩。 |
>注意：
>不同的地域与可用区下的系列、机型会有所不同。

## 配置选型
1. 确定付费方式。
我们建议先启动一个按量计费实例，并使用自己的基准测试应用程序。您可根据实际测试，了解按量计费和包年包月的方式哪种更适合您。

2. 确定实例类型。
我们建议您使用当前一代实例类型。您可根据测试结果，了解到您的需求是属内存型、计算型还是其他类型。创建好后的实例不能转换成其他类型。

3. 调整实例配置。
若您在使用过程中发现现有配置已不能满足您业务的增长，或不能满足您需求的变化时，仍可以调整实例的大小，更多信息请参考 [调整 CVM 硬件配置](/doc/product/213/5730) 。

## 推荐配置

腾讯云提供如下推荐配置：[【推荐配置】](https://cloud.tencent.com/act/event/recommand.html)
- 入门型：适用于起步阶段的个人网站。如：个人博客等小型网站。
- 基础型：适合有一定访问量的网站或应用。如：企业官网等简单的 Web 应用。
- 普及型：适合常使用云计算等一定计算量的需求。如：并发适中的 App 或普通数据处理。
- 专业型：适用于并发要求较高的应用及适合对云服务器网络及计算性能有一定要求的应用场景。如：企业运营活动、批量处理、分布式分析与视频和图片存储访问较大的网站。

若推荐的配置不能满足您的需求，您可以在[【更多机型】](https://buy.cloud.tencent.com/cvm)中根据实际需要比较各配置方案。当然您也可以在购买云服务器之后，根据您的需求随时进行 [配置升级](/doc/product/213/%E8%B0%83%E6%95%B4CVM%E5%AE%9E%E4%BE%8B%E9%85%8D%E7%BD%AE#1.-配置升级) 或 [配置降级](/doc/product/213/%E8%B0%83%E6%95%B4CVM%E5%AE%9E%E4%BE%8B%E9%85%8D%E7%BD%AE#2.-配置降级) 。







