## 高IO型 I2 概述
**高IO型 I2 实例**是经过优化的面相低延时 I/O 操作用户的实例方案。可以向应用程序提供每秒上万次低延迟性随机 I/O 操作 (IOPS)，是高磁盘 IO 的最佳选择。
高IO型 I2 实例支持购买配置，请参阅 [CVM 实例配置](/doc/product/213/2177) 。
>**注意：**
>高IO型 I2 实例数据存储是基于 SSD 的实例存储。系统盘和数据盘只在实例生命周期内存在。当实例到期或您主动销毁实例时，将擦除其实例存储中的应用程序和数据。我们建议您定期备份或复制您存储在实例存储中的数据。

## 适用场景
需要低时延的 I/O 密集型应用。
- NoSQL 数据库（例如 MongoDB）
- 群集化数据库
- 联机事务处理 (OLTP) 系统

## 硬件规格
- **CPU：**2.4 GHz   Intel E5-Xeon Broadwell（v4）处理器，CPU性能相比系列一高IO型 I1 提升 20%。
- **内存：**DDR4 内存。
- **存储：**采用 SSD 的实例存储，系统盘均为 SSD 本地盘；
	- 高随机 IOPS，典型场景下随机读 IOPS 可达 75000 （blocksize =4k ，iodepth =32）；
	- 高吞吐量，典型场景下随机读吞吐可达 290MB/s（blocksize =4k ，iodepth =32）；
- **网络：**默认网络增强型，无需额外付费，网络转发能力最高可达 30w pps。

## 支持范围
- 支持 [包年包月](/doc/product/213/2180#1.-.E5.8C.85.E5.B9.B4.E5.8C.85.E6.9C.88) 和 [按量计费](/doc/product/213/2180#2.-.E6.8C.89.E9.87.8F.E8.AE.A1.E8.B4.B9) 。
- 支持用作专用宿主机中高IO型宿主机生产的实例。
- 支持在 基础网络 和 [私有网络](/doc/product/213/5227) 中启动。



