## 安全组使用相关
### 问：为什么购买实例时需要选择安全组？
[安全组](/doc/product/213/5221) 是一种虚拟防火墙，用于设置单台或多台云服务器进行__出/入流量控制__。它是重要的网络安全隔离手段，__每个云主机至少属于一个安全组__。因此，在创建的时候就需要指定。
您可以在云主机 __购买页 __ 或  __控制台 __ 创建安全组（支持 __模板 __和 __自定义 __创建 ），通过配置安全组规则对出入云主机的数据包进行控制。安全组模板包括：
- Linux 放通 22 端口 ：仅暴露 SSH 登录的 TCP 22 端口到公网，内网端口全通。
- Windows 放通 3389 端口：仅暴露 MSTSC 登录的 TCP 3389 端口到公网，内网端口全通。
- 放通全部端口：暴露全部端口到公网和内网，有一定安全风险。

### 问：选择安全组不正确，会对绑定该安全组的实例有何影响？如何解决？
**问题隐患**
- 远程连接( SSH ) Linux 实例、远程登录桌面 Windows 实例可能失败。
- 远程 Ping 该安全组下的 CVM 实例的公网 IP 和内网 IP 可能失败。
- http 访问该安全组下的实例暴露的 Web 服务可能失败。
- 该安全组下实例可能无法访问 Internet 服务。

**解决方案**
- 如果发生以上问题，可以在控制台的安全组管理中重新设置安全组规则，例如：只绑定默认全通安全组。
- 具体设置安全组规则参考 [安全组操作指南](/doc/product/213/5221#.E5.BF.AB.E9.80.9F.E5.85.A5.E9.97.A88) 。

###  问：安全组策略的生效顺序是怎样？
从上至下。流量经过安全组时的策略匹配顺序是从上至下，一但匹配成功则策略生效。

###  问：什么是安全组的方向和策略？
安全组策略方向分为出和入，出方向是指过滤云主机的出流量，入方向是指过滤云主机的入流量。
策略分为**允许**和**拒绝**流量。

###  问：为什么安全组未允许的 IP 依然能访问云服务器 ？
- CVM 可能绑定了多个安全组，特定 IP 在其他安全组中允许。
- 特定 IP 属于审批过的腾讯云公共服务。

### 问：同时绑定多个安全组的优先级如何确定？
优先级数字越小，优先级越高。

### 问：如何调整安全组优先级？
登录 [控制台](https://console.cloud.tencent.com/cvm) - 详情页 - 安全组 - 已加入安全组 - 编辑。

### 问：云服务器已经全部退还，为何安全组无法删除?
请查看回收站内是否还有云主机。安全组绑定了回收站内的云服务器同样无法被删除。

### 问：使用了安全组是否意味着不可以使用 iptables ？
不是。安全组和 iptables 可以同时使用，您的流量会经过两次过滤，流量的走向如下：
- 出方向：实例上的进程 -> iptables -> 安全组。
- 入方向：安全组 -> iptables ->实例上的进程。

### 问：TCP 25 端口出方向被封禁？
无法使用TCP 25 端口连接外部地址。例如，运行Telnet smtp.***.com 25，该命令执行失败。

**原因**：为了提升腾讯云IP地址发邮件的质量，将默认限制云主机TCP 25 端口连接外部地址 。

**解封方法**：请提[工单申请](https://console.cloud.tencent.com/workorder/category/create?level1_id=6&level2_id=7&level1_name=%E8%AE%A1%E7%AE%97%E4%B8%8E%E7%BD%91%E7%BB%9C&level2_name=%E4%BA%91%E6%9C%8D%E5%8A%A1%E5%99%A8%20CVM)。
> 注意：如果您发起解封申请，腾讯云将默认您已确认并承诺：保证TCP 25 端口仅用来连接第三方的SMTP服务器，并从第三方的SMTP服务器向外发邮件。如发现您使用申请的IP直接通过SMTP发送邮件，腾讯云有权永久性封禁TCP 25端口，并不再提供解封服务。


## 安全组克隆相关

### 问：安全组跨项目跨地域克隆，会将安全组管理的云服务器一起复制过去吗？
不会，安全组跨地域克隆，只将原安全组出入口规则克隆，云服务器需另行关联。
### 问：安全组是否支持跨用户克隆？
暂不支持。
### 问：安全组跨项目跨地域克隆是否有云 API 支持？
目前为了方便使用控制台的客户，提供了 MC 的支持，暂无直接云 API 支持，您可通过原有的批量导入导出的安全组规则的云 API ，间接达到安全组的跨项目跨地域克隆。
### 问：安全组克隆时命名能否与目标区域的安全组相同？
不行。命名需保持与目标地域现有安全组名称不同。
