

本文档介绍 Windows 云服务器因CPU与内存占用率高导致无法登录的排查方法和解决方案。此处以 Windows server 2012 R2 为例，Windows 2008 操作方法相似。

## 步骤一：登录云服务器

 1. 远程桌面登录（ mstsc 方式登录）。本地主机快捷键【 Windows + R 】，输入【 mstsc 】，回车。在弹出框中输入云服务器公网 IP 与登录密码登录。

 2. 若云服务器负载高，无法通过上一步骤建立远程连接，则需通过 [控制台](https://console.cloud.tencent.com/cvm) 登录云服务器。

## 步骤二：查看进程占用情况

 1. 在云服务器中，右键单击 “任务栏”，单击【任务管理器(K)】。
![](//mc.qcloudimg.com/static/img/12539e5b76898e30bbb3bf510b0a5262/image.png)

 2. 查看资源占用情况。单击 CPU 或 内存，以升序/降序对进程进行排序。
![](//mc.qcloudimg.com/static/img/a708645531ccd6545196b3ebfbaee1f4/image.png)

## 步骤三：进程分析

查看任务管理器中进程，分析与排查问题，以采取对应解决方案。

 - 业务进程占用大量资源。如 IIS 、httpd 、PHP 、Java 等。
 	- 若当前业务量确实较大，则高负载是正常情况，需要考虑适当扩容。
 	- 若当前业务量不大，则需要进一步结合业务报错日志来分析，可能由于参数配置不当，导致空耗资源。

 - 系统进程占用大量资源。如 `svchost.exe` 等。
 	- 可以通过网络查询核实是否系统进程。
 	- 系统进程多数位于 `C:\windows\system32` 目录下，并且有完善的签名以及描述介绍。
 	- 重启系统 或 关闭不需要且安全的系统进程。
 	
 - 既非业务进程，亦非系统进程占用大量资源。
	 - 进程命名奇怪，没有签名描述，不在 `C:\windows\system32` 目录下，异常进程消耗资源，云服务器可能中毒。
	 - 检测服务器的安全情况，必要时考虑备份数据，重装系统。
