**监控与告警**是保证云服务器高可靠性、高可用性和高性能的重要部分。本文档概述为云服务器提供的监控与告警功能，更多详细内容可参见 [云监控产品文档](/doc/product/248) 。

## 概述
云服务器监控与告警是实时监控云服务器的管理工具。监控与告警功能可以展示最全、最详细的监控数据，实时对云服务器提取关键指标，以监控图表形式展示。方便您全面地了解云服务器的资源使用率、性能和运行状况。同时支持设置自定义告警阈值，并根据您自定义的规则发送通知。

## 基本功能
控制台为云服务器监控与告警提供以下功能的入口：

| 模块    | 能力             | 主要功能                                    |
| ----- | -------------- | --------------------------------------- |
| 监控概况  | 云监控概况          | 提供总体概况、告警概况、总体监控信息一览                    |
| 我的告警  | 支持用户自定义告警阈值    | 当前支持云服务器告警设置服务         |
| 云产品监控 | 查看云产品监控视图      | 当前云服务器监控视图 |
| 自定义监控 | 查看用户自定义的监控指标数据 | 用户预先定义好的自定义监控指标及上报的数据            |
| 流量监控  | 监控流量           | 查看用户整体带宽信息                              |
更多内容请见 [云监控提供的基本功能](/doc/product/248/967#.E4.BA.91.E7.9B.91.E6.8E.A7.E6.8F.90.E4.BE.9B.E7.9A.84.E5.9F.BA.E6.9C.AC.E5.8A.9F.E8.83.BD1) 。 

## 使用场景
 - **日常管理场景：**登录云监控控制台，查看各个云监控的运行状态。
 
 - **及时处理异常场景：**在监控数据达到告警阈值时发送告警信息，让您及时获取异常通知，查询异常原因。
 
 - **及时扩容场景：**对带宽、连接数、磁盘使用率等监控项设置告警规则后，可以让您方便的了解云服务现状，在业务量变大后及时收到告警通知进行服务扩容。
 
## 监控内容
监控实例性能基准，您应至少监控以下各项：

| 监控项 | 监控指标 | 
|---------|---------|
| CPU 利用率 | cpu_usage | 
| 内存利用率	 | mem_usage|
| 内网出带宽 | lan_outtraffic |
| 内网入带宽	 | lan_intraffic|
| 外网出带宽	 | wan_outtraffic|
| 外网入带宽	 | wan_intraffic|
|磁盘使用率	|disk_usage	|
|磁盘 I/O 等待时间	|disk_io_await	|

## 监控数据
 - **监控间隔：**当前云监控提供 1 分钟、5 分钟、1 小时、1 天多种监控数据统计粒度，云服务器能支持 1 分钟监控粒度，即每隔 1 分钟统计一次数据，默认情况间隔 5 分钟。
 
 - **数据存储：**1 分钟、5 分钟、1 小时粒度监控数据存储 31 天，1 天粒度监控数据，存储半年。

 - **告警展示：**数据展示为易读的图表形式，控制台集成了所有产品的监控数据，更有利于用户获得整体性的运行概览。

 - **告警设置：**可设置监控指标界限值，当到达条件时，及时发送告警信息至关心的群体中。详情参考 [创建告警](/doc/product/248/6126)。
