当用户在云服务器实例上部署的应用需要公开提供服务时，必须经由 Internet 传输数据，且必须具备一个 Internet 上的 IP 地址（亦称公网 IP 地址）。腾讯云提供的 Internet 访问均经由腾讯云数据中心高速互联网。国内多线 BGP 网络覆盖超过二十家网络运营商，BGP 公网出口秒级跨域切换，保证您的用户无论使用哪种网络，均能享受高速、安全的网络质量。



## 公网 IP 地址
 - **概述：**公网 IP 地址是 Internet 上的非保留地址，有公网 IP 地址的云服务器可以和 Internet 上的其他计算机互相访问。
 - **获取：**在创建云服务器时，在网络中设置带宽大于 0 Mbps ，完成后腾讯云系统会自动从腾讯云公有 IP 地址池中为该实例分配一个公有 IP 地址，此地址不可更改，并且不与您的腾讯云帐号关联。
 - **配置：**您可以在 Internet 上登录有公网 IP 地址的云服务器实例对其进行相应配置，有关登录云服务器实例的更多内容，请参考 [登录 Linux 实例](/doc/product/213/5436) 和 [登录 Windows 实例](/doc/product/213/5435) 。
 - **转换：**公有 IP 地址通过网络地址转换( NAT )映射到实例的 [私有 IP 地址](/doc/product/213/5225) 。
 - **维护：**腾讯云的所有公网接口统一由 Tencent Gateway( TGW )进行处理。腾讯云云服务器实例的公网网卡在统一接口层 TGW 上配置，云服务器无感知。所以，用户在云服务器中通过 `ifconfig (Linux)` 或 `ipconfig (Windows)` 命令查看网络接口信息时，只能查看到 [内网](/doc/product/213/5225) 的信息。公网信息需要由用户自行登录 [云服务器控制台](https://console.cloud.tencent.com/cvm) 云服务器列表/详情页进行查看。
 - **费用：**实例通过公网 IP 地址提供服务需要支付相应的费用，具体内容可以参考 [购买网络带宽](/doc/product/213/509#2.1.-.E5.B8.A6.E5.AE.BD.E5.8C.85.E8.AE.A1.E8.B4.B9) 。

## 公网 IP 地址释放
用户无法主动关联或释放与实例关联的公网 IP 地址。
出现下列情况下时，公网 IP 地址会被释放或重新分配：
- **销毁实例时。**用户主动销毁按量计费类型实例，或包年包月类型实例到期后销毁，腾讯云将释放它的公网 IP 地址。
- **[弹性公网 IP 地址](/doc/product/213/5733) 与实例关联和取消关联时。**实例关联弹性公网 IP 地址时，腾讯云将释放实例原有的公网 IP 地址。取消实例与弹性 IP 地址的关联时，实例会被自动分配一个新的公网 IP 地址，原有被释放的公网 IP 地址将返回到公网 IP 地址池中，并且您无法重新使用它。

如果您需要一个固定的永久公网 IP 地址，可使用 [弹性公网 IP 地址](/doc/product/213/5733) 。

## 获取实例公网 IP 地址

### 使用控制台获取

 1. 登录 [云服务器控制台](https://console.cloud.tencent.com/cvm/) 。

 2. 云服务器列表中列出了您名下的实例，鼠标移动到云服务器的公网 IP 后，出现复制按钮，单击即可复制该 IP 地址。
![](//mc.qcloudimg.com/static/img/be0c50402332ca78c347f372f7c54eef/image.png)

> **注意：**
> 公网 IP 地址通过 NAT 映射到内网 IP 地址。因此，如果在实例内部查看网络接口的属性（例如，通过 `ifconfig (Linux)` 或 `ipconfig (Windows)` 命令），则不会显示公网 IP 地址。要从实例内部确定实例的公网 IP 地址，可以参考 [使用实例元数据获取公网 IP 地址](#jump) 。

### 使用 API 获取
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;请参考 [DescribeInstances 接口](/doc/product/213/9388) 。

<span id = "jump">  </span>
### 使用实例元数据获取

 1. 登录云服务器实例。具体登录方法参考 [登录 Linux 实例](/doc/product/213/5436) 和 [登录 Windows 实例](/doc/product/213/5435) 。

 2. 输入命令：
```
curl http://metadata.tencentyun.com/meta-data/public-ipv4
```
返回值有类似如下结构，即可查看到公网 IP 地址：
![](//mccdn.qcloud.com/img56a1f015c48e5.png)
有关更多信息，请参阅 [实例元数据](/doc/product/213/4934) 。
