为保证实例的安全可靠，腾讯云提供两种加密登录方式： [密码登录](/doc/product/213/6093) 和 SSH 密钥对登录。本文档介绍 SSH 密钥对登录的相关配置内容。不同操作系统云服务器的用户可以分别参考 [自定义配置 Windows 云服务器](/doc/product/213/10516#.E8.AE.BE.E7.BD.AE.E4.BF.A1.E6.81.AF) 与 [自定义配置 Linux 云服务器](/doc/product/213/10517#.E8.AE.BE.E7.BD.AE.E4.BF.A1.E6.81.AF) 的设置信息部分，选择加密方式。

## SSH 密钥概述
腾讯云允许使用公有密钥密码术加密和解密对于 Linux 实例的登录信息。公有密钥密码术使用公有密钥加密某个数据（如一个密码），然后收件人可以使用私有密钥解密数据。公有和私有密钥被称为密钥对。用户可以通过密钥对安全地与云服务器进行连接，是一种比常规密码更安全的登录云服务器的方式。

腾讯云只会存储公有密钥，您需要存储私有密钥。拥有您的私有密钥的任何人都可以解密您的登录信息，因此将您的私有密钥保存在一个安全的位置非常重要。

> **注意：**
> Windows 实例不支持 SSH 密钥登录。

## 创建 SSH 密钥
 1. 登录 [云服务器控制台](https://console.cloud.tencent.com/cvm/) 。
 2. 单击左侧导航窗格中的【SSH 密钥】。
 3. 单击【创建密钥】
  - 若创建方式选择 "创建新密钥对" ，输入密钥名称，单击【确定】；
  - 若创建方式选择 "使用已有公钥" ，输入密钥名称，并输入原有的公钥信息，然后单击【确定】。
 4. 弹出提示框，单击【下载】（用户需要在 10 分钟内下载私钥）。

## 密钥绑定/解绑服务器
 1. 登录 [云服务器控制台](https://console.cloud.tencent.com/cvm/) 。
 2. 单击左侧导航窗格中的【SSH 密钥】。
 3. 勾选 SSH 密钥，单击【绑定/解绑云主机】（或在需要修改的密钥名称上右键单击，单击【绑定/解绑云主机】）。
 4. 选择地域，勾选需要关联/解绑的服务器（解绑时取消右侧已选择中的服务器），单击【确定】。
 5. 后台进行 SSH 密钥下发，下发完成会提示操作成功或操作失败。

## 修改 SSH 密钥名称/描述
 1. 登录 [云服务器控制台](https://console.cloud.tencent.com/cvm/) 。
 2. 单击左侧导航窗格中的【SSH 密钥】。
 3. 勾选密钥列表中需要修改的密钥，单击上方【修改】（或在需要修改的密钥名称上右键单击，单击【修改】）。
 4. 在弹框中输入新的名称及描述信息，单击【确定】。

## 删除 SSH 密钥
>**注意**：
>若 SSH 密钥已关联云服务器或已关联自定义镜像，则不能删除。

 1. 登录 [云服务器控制台](https://console.cloud.tencent.com/cvm/) 。
 2. 单击导航窗格中的【SSH 密钥】。
 3. 勾选所有需要删除的 SSH 密钥，单击【删除】按钮（或在需要删除的密钥名称上右键单击，单击【删除】，在弹出窗口中单击【确认】）。

## 使用 SSH 密钥登录 Linux 云服务器
使用 SSH 密钥登录 Linux 云服务器前，需要先完成创建 SSH 密钥，并将 SSH 密钥绑定云服务器。

具体操作请参考 [登录 Linux 云服务器](/doc/product/213/5436) 。
