内网服务即局域网（ LAN ）服务，云服务之间经由内部链路互相访问。腾讯云上的云产品可以经由 [Internet 访问](/doc/product/213/5224)，也可经由腾讯云内网互相访问。腾讯云机房均由底层万兆/千兆互联，提供带宽高、时延低的内网通信服务，且同地域下内网通信完全免费，帮助您灵活构建网络架构。

## 内网 IP 地址
### 概述
内网 IP 地址是无法通过 Internet 访问的 IP 地址，是腾讯云内网服务的实现形式。每个实例都具有分配内网 IP 的默认网络接口（即 eth0 ），内网 IP 地址可由腾讯云自动分配也可由用户自定义（仅在 [私有网络](/doc/product/215/4927) 环境下）。
>**注意：**
>在操作系统内部自行变更内网 IP 会导致内网通讯中断。

### 属性
 - 内网服务具有用户属性，不同用户间相互隔离，即默认无法经由内网访问另一个用户的云服务。
 - 内网服务具有地域属性，不同地域间相互隔离，即默认无法经由内网访问同账户下不同地域的云服务。

### 适用场景
内网 IP 可以用于负载均衡 CLB 、 CVM 实例之间内网互访、 CVM 实例与其他云服务（如 CDN、CDB 等）之间内网互访。

### 地址分配
每个云服务器实例在启动时都会被分配一个默认的内网 IP 地址。针对不同的 [网络环境](/doc/product/213/5227) ，内网 IP 也有所不同：
 - 基础网络：内网 IP 地址由腾讯云自动分配，不可更改。
 - 私有网络：初始内网 IP 地址由腾讯云自动在 VPC 网段中任意分配一个地址，用户可在`10.[0 - 255].0.0/8`、`172.[0 - 31].0.0/16` 和 `192.168.0.0/16` 三个网段内为云服务器实例自定义内网 IP 地址，具体的取值范围由实例所在私有网络决定，更多内容可以参考 [私有网络和子网](/doc/product/215/4927) 。

## 内网 DNS 
### DNS 服务器地址
内网 DNS 服务负责域名解析，如果 DNS 配置有误会造成域名无法访问。
腾讯云在不同地域均提供了可靠的内网 DNS 服务器。具体配置如下：
<table><tbody>
<tr><th>网络环境</th><th>地域</th><th>内网 DNS 服务器</th></tr>
<tr><td rowspan="13">基础网络</td><td>广州</td><td>10.225.30.181<br>10.225.30.223</td></tr>
<tr><td>上海</td><td>10.236.158.114<br>10.236.158.106</td></tr>
<tr><td>北京</td><td>10.53.216.182<br>10.53.216.198</td></tr>
<tr><td>上海金融</td><td>10.48.46.77<br>10.48.46.27</td></tr>
<tr><td>深圳金融</td><td>100.83.224.91<br>100.83.224.88</td></tr>
<tr><td>北美</td><td>10.116.19.188<br>10.116.19.185</td></tr>
<tr><td>香港</td><td>10.243.28.52<br>10.225.30.178</td></tr>
<tr><td>新加坡</td><td>100.78.90.19<br>100.78.90.8</td></tr>
<tr><td>广州Open</td><td>10.59.218.18<br>10.112.65.51</td></tr>
<tr><td>成都</td><td>100.88.222.14<br>100.88.222.16</td></tr>
<tr><td>硅谷</td><td>100.102.22.21<br>100.102.22.30</td></tr>
<tr><td>法兰克福</td><td>100.120.52.60<br>100.120.52.61</td></tr>
<tr><td>首尔</td><td>10.165.180.53<br>10.165.180.62</td></tr>
<tr><td>私有网络</td><td>所有地域</td><td>183.60.83.19<br>183.60.82.98</td></tr>
</tbody>
</table>

### 内网 DNS 设置
当网络解析出现错误时，用户可以手动进行内网 DNS 设置。设置方法如下：

- **对于 Linux 系统用户**。在云服务器上，通过编辑 `/etc/resolv.conf` 文件，修改云服务器 DNS 。
运行命令 `vi /etc/resolv.conf`，根据上表中对应的不同地域编辑修改 DNS IP。
![](//mc.qcloudimg.com/static/img/9c46100760f1049454b076a3c83c7f8a/image.png)

- **对于 Windows 系统用户**。在云服务器上，打开【控制面板】-【网络和共享中心】-【更改适配器设备】，右键单击以太网【属性】，双击【Internet 协议版本4】，修改 DNS 服务器 IP 。
![](//mc.qcloudimg.com/static/img/93b7bda1075530ff6e7ba5ece4ab71f4/image.png)

## 获取实例的内网 IP 地址

### 使用控制台获取

 1. 登录 [云服务器控制台]( https://console.cloud.tencent.com/cvm/) 。

 2. 云服务器列表中列出了您名下的实例，鼠标移动到云服务器的内网 IP 后，出现复制按钮，单击即可复制内网 IP 。

![](//mc.qcloudimg.com/static/img/2663aabcbe44c2ad372b5b8ba2bb6a1f/image.png)

### 使用 API 获取
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;请参考 [DescribeInstances 接口](/doc/product/213/9388) 。

### 使用实例元数据获取

 1. 登录云服务器实例。具体登录方法参考 [登录 Linux 实例](/doc/product/213/5436) 和 [登录 Windows 实例](/doc/product/213/5435) 。

 2. 输入命令：
```
curl http://metadata.tencentyun.com/meta-data/local-ipv4
```
返回值有类似如下结构，即可查看到内网 IP 地址：
![](//mc.qcloudimg.com/static/img/14a13eccebc7eee6f83bc026adb30902/image.png)
有关更多信息，请参阅 [实例元数据](/doc/product/213/4934) 。
