## 简介
安全组是一种有状态的包过滤虚拟防火墙，用于设置单台或多台云服务器的网络访问控制，是腾讯云提供的重要的网络安全隔离手段。

- 安全组是一个逻辑上的分组，您可以将同一地域内具有相同网络安全隔离需求的基础网络云服务器或弹性网卡实例加到同一个安全组内。
- 您可以通过安全组策略对实例的出入流量进行安全过滤，实例可以是基础网络云服务器或弹性网卡实例 。
- 您可以随时修改安全组的规则，新规则立即生效。

## 安全组模板
安全组支持自定义创建和模板创建，目前提供三个模板：

- 放通 22、80、443、3389 端口和 ICMP，放通 Windows 和 Linux 默认的登录端口和常见的 Web 服务端口到公网，内网端口全通。
- 放通全部端口：暴露全部端口到公网和内网，有一定安全风险。

## 安全组规则
安全组规则可控制允许到达与安全组相关联的实例的入站流量，以及允许离开实例的出站流量（从上到下依次筛选规则）。默认情况下，新建安全组将 All Drop （拒绝）所有流量，云服务器绑定一个无规则的安全组拒绝所有流量。

对于安全组的每条规则，您可以指定以下几项内容：

 - 协议类型：例如 TCP、UDP 或 ICMP 等。
 - 端口：来源或目标的端口范围。
 - 授权类型：地址段（ CIDR/IP ）访问，或安全组访问（安全组 ID ）。
 - 来源或目标：流量的源（入站规则） 或目标（出站规则），请指定以下选项之一：
  - 用 CIDR 表示法，指定的单个 IP 地址。
  - 用 CIDR 表示法，指定的 IP 地址范围（例如： 203.0.113.0/24 ）。
  - 引用安全组 ID ，您可以引用以下安全组的ID之一：
  	- 当前安全组：表示与安全组关联的 CVM 可/不可互访。
  	- 其他安全组：同一区域中的另一个安全组 ID 。
 - 策略：允许或拒绝。
  > **注意：**
  >  - 引用安全组 ID 法作为高阶功能，您可选择使用。引用安全组不会将规则添加到当前安全组。
  >  - 引用安全组 ID 且设置策略为允许时表示：关联来源安全组 ID 的 CVM 与关联原有安全组的 CVM 可以相互访问。

## 安全组优先级
- 实例绑定多个安全组时的优先级为：**数字越小，优先级越高**。
- 安全组内规则的优先级为：**位置越上，优先级越高**。

实例绑定安全组时，如果该安全组内无任何规则，将默认拒绝所有流量。

## 安全组与网络 ACL 的区别
<style> 
  table th:first-of-type { width: 20%; } 

  table th:first-of-type(3) { width: 40%; } 
 
 </style>
 
|对比项  | 安全组 | 网络 ACL |
|---------|---------|---------|
| 操作级别 | 在实例级别的操作（第一防御层） | 在子网级别的操作（第二防御层） |
| 支持的规则 | 支持允许规则和拒绝规则 |支持允许规则和拒绝规则 |
| 有无状态| 有状态：返回数据流会被自动允许，不受任何规则的影响 | 无状态：返回数据流必须被规则明确允许 |
| 应用实例 | 只有在启动实例的同时指定安全组、或稍后将安全组与实例关联的情况下，操作才会被应用到实例 | 自动应用到关联子网内的所有 CVM 实例 |
