
## 安全组概述
安全组是一种有状态的包过滤功能虚拟防火墙，用于设置单台或多台云服务器的网络访问控制，是腾讯云提供的重要的网络安全隔离手段。

- 安全组是一个逻辑上的分组，您可以将同一地域内具有相同网络安全隔离需求的基础网络云服务器或弹性网卡实例加到同一个安全组内。
- 您可以通过安全组策略对实例的出入流量进行安全过滤，实例可以是基础网络云服务器或弹性网卡实例 。
- 您可以随时修改安全组的规则。新规则立即生效。

## 安全组模板
安全组支持自定义创建和模板创建，目前提供三个模板：

- Linux 放通 22 端口 ：仅暴露 SSH 登录的 TCP 22 端口到公网，内网端口全通。 
- Windows 放通 3389 端口：仅暴露 MSTSC 登录的 TCP 3389 端口到公网，内网端口全通。
- 放通全部端口：暴露全部端口到公网和内网，有一定安全风险。

## 安全组规则
安全组规则可控制允许到达与安全组相关联的实例的入站流量，以及允许离开实例的出站流量（从上到下依次筛选规则）。默认情况下，新建安全组将 All Drop （拒绝）所有流量，云服务器绑定一个无规则的安全组拒绝所有流量。

对于安全组的每条规则，您可以指定以下几项内容：

 - 协议类型：例如 TCP、UDP 或 ICMP 等。
 - 端口：来源或目标的端口范围。
 - 授权类型：地址段（ CIDR/IP ）访问，或安全组访问（安全组 ID ）。
 - 来源或目标：流量的源（入站规则） 或目标（出站规则），请指定以下选项之一：
  - 用 CIDR 表示法，指定的单个 IP 地址。
  - 用 CIDR 表示法，指定的 IP 地址范围（例如： 203.0.113.0/24 ）。
  - 引用安全组 ID ，您可以引用以下安全组的ID之一：
  	- 当前安全组。（表示与安全组关联的 CVM 可/不可互访）
  	- 其他安全组。同一区域中的另一个安全组 ID 。
 - 策略：允许或拒绝。
  > **注意：**
  >  - 引用安全组 ID 法作为高阶功能，您可选择使用。引用安全组不会将规则添加到当前安全组。
  >  - 引用安全组 ID ，且设置策略为允许时表示：关联来源安全组 ID 的 CVM 与关联原有安全组的 CVM 可以相互访问。

## 安全组优先级
安全组优先级：**数字越小优先级越高。**
实例绑定多个安全组时，优先级为判断该实例总安全规则的评估依据。
另外，如果实例绑定的多个安全组的最后一条策略是【ALL Traffic 拒绝】，那么只有优先级最低的安全组的最后一条策略【ALL Traffic 拒绝】有效。

## 安全组的限制

- 安全组适用于任何处在 [网络环境](/doc/product/213/5227) 下的 CVM 实例。
- 每个用户在每个地域每个项目下最多可设置 50 个安全组。
- 一个安全组入站方向或出站方向的访问策略，各最多可设定 100 条。
- 一个 CVM 可以加入多个安全组，一个安全组可同时关联多个 CVM ，数量无限制。
- **基础网络** 内云服务器绑定的安全组 **无法过滤** 来自（或去往）腾讯云上的 CDB 、弹性缓存（ Redis 和 Memcached ）的数据包。如果您需要过滤这类实例的流量，您可以使用 iptables 实现。

| 功能描述 | 数量 | 
|---------|---------|
| 安全组 | 50 个/地域 |
| 访问策略 | 100 条/入站方向，100 条/出站方向 |
| 实例关联安全组个数 | 无限制 |
| 安全组内实例的个数 | 无限制 |

> **注意：**
> 如果您有大量实例需要互访，可以将他们分配到多个安全组内，并通过安全组 ID 的规则配置进行互相授权，允许互访。

## 操作指南
您可以使用云服务器控制台进行创建、查看、更新和删除等操作管理安全组及安全组规则。

### 快速入门
[安全组](/doc/product/213/500) 是腾讯云提供的实例级别防火墙，可以对任意云服务器进行入/出流量控制。

 1. 登录 [控制台-云主机](https://console.cloud.tencent.com/cvm/index) ，在左导航窗格中单击【安全组】。

 2. 单击【新建】按钮，输入安全组的名称（例如 my-security-group），选择**模板**创建或**自定义**创建，确认出入站规则后，单击【确定】。

 3. 在安全组列表右侧单击【加入实例】按钮，勾选需要关联的云主机，即可完成安全组关联云主机的操作。 

**或者**

&nbsp;&nbsp;&nbsp;&nbsp;4\. 您还可以进入云主机列表页,查看或修改某云主机已绑定的的安全组。在【云主机】列表页选择需要调整安全组的云主机，右侧单击【更多】-【配置安全组】，选择安全组绑定。
（例如：允许来自您本地计算机（IP：186.23.55.90）通过 HTTP 请求云服务器，可以创建一条类似下图的规则。）
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;![](//mc.qcloudimg.com/static/img/5a7f41e7a6e4fb76f33565fb9a860bf7/image.png)

### 创建安全组

 1. 打开 [控制台-安全组](https://console.cloud.tencent.com/cvm/securitygroup) 。

 2. 在左侧导航窗格中，单击【安全组】。

 3. 单击【新建】按钮。

 4. 输入安全组的名称（例如：my-security-group）并提供说明。
 
 5. 单击【确定】，完成创建。

### 向安全组中添加规则

 1. 打开 [控制台-安全组](https://console.cloud.tencent.com/cvm/securitygroup) 。

 2. 在左侧导航窗格中，单击【安全组】。

 3. 选择需要更新的安全组，单击【安全组ID】。 详细信息窗格内会显示此安全组的详细信息，以及可供您使用入站规则和出站规则的选项卡。

 4. 在入/出站规则选项卡上，单击【编辑】。从选项卡中选择用于入/出站规则的选项，然后填写所需信息，完成后，单击【保存】。

### 配置 CVM 实例关联安全组

 1. 打开 [控制台-云主机](https://console.cloud.tencent.com/cvm/) 。

 2. 在左侧导航窗格中，单击【云主机】。

 3. 在需要配置安全组的实例右侧操作栏中，单击【更多】，单击【配置安全组】。

 4. 在配置安全组对话框中，从列表中选择一个或多个安全组，单击【确定】。

**或者**

 1. 打开 [控制台-安全组](https://console.cloud.tencent.com/cvm/securitygroup)。

 2. 单击左侧导航窗格中的【安全组】。

 3. 选择需要关联的安全组，单击操作栏中的【加入实例】或【移出实例】按钮。

 4. 在加入/移出云主机弹出框中，添加或删除需要关联本安全组的云主机，单击【确定】。
 ![](//mc.qcloudimg.com/static/img/064ce4c28658b8fdc2015bcb58deafdd/image.png)

### 导入导出安全组规则
 1. 打开 [控制台-安全组](https://console.cloud.tencent.com/cvm/securitygroup)。

 2. 在左侧导航窗格中，单击【安全组】。

 3. 选择需要更新的安全组单击【安全组ID】。详细信息窗格内会显示此安全组的详细信息，以及可供您使用入站规则和出站规则的选项卡。

 4. 从选项卡中选择用于入/出站规则的选项，然后单击【导入规则】按钮。如原来您已有规则，则推荐您先导出现有规则，新规则导入将覆盖原有规则；如原来为空规则，则可先导出模板，编辑好模板文件后，再将文件导入。

### 克隆安全组

 1. 打开 [控制台-安全组](https://console.cloud.tencent.com/cvm/securitygroup)。

 2. 在左侧导航窗格中，单击【安全组】。

 3. 单击列表中安全组对应【克隆】按钮。

 4. 在克隆安全组对话框中，选定目标地域、目标项目后，单击【确定】。若新安全组需关联 CVM ，请重新进行安全组配置。

### 删除安全组

 1. 打开 [控制台-安全组](https://console.cloud.tencent.com/cvm/securitygroup)。

 2. 在左侧导航窗格中，单击【安全组】。

 3. 单击列表中安全组对应【删除】按钮。

 4. 在删除安全组对话框中，单击【确定】。若当前安全组有关联的 CVM ，则需要先解除安全组才能进行删除。

## 安全组与网络 ACL 的区别

| 安全组 | 网络ACL | 
|---------|---------|
| 在实例级别的操作（第一防御层） | 在子网级别的操作（第二防御层） |
| 支持允许规则和拒绝规则 | 支持允许规则和拒绝规则 |
| 有状态：返回数据流会被自动允许，不受任何规则的影响 | 无状态：返回数据流必须被规则明确允许 |
| 只有在启动实例的同时指定安全组、或稍后将安全组与实例关联的情况下，操作才会被应用到实例 | 自动应用到关联子网内的所有 CVM 实例 |

## 安全组云 API
安全组的开发者工具，您可通过云 API 来完成安全组操作、安全组与 CVM 实例的配置管理等，详见 [安全组相关接口](/doc/api/229/API%E6%A6%82%E8%A7%88#6.-安全组相关接口) 。




