[弹性网卡](https://cloud.tencent.com/product/eni) ( Elastic Network Interface,ENI )是绑定私有网络内云服务器的一种弹性网络接口，可在多个云服务器间自由迁移。弹性网卡在配置管理网络、搭建高可靠网络方案时有较大帮助。

弹性网卡具有私有网络、可用区和子网属性，只可以绑定相同可用区下的云服务器。一台云服务器可以绑定多个弹性网卡，具体绑定数量将根据云服务器规格而定。

## 相关概念

 - **主网卡与辅助网卡：**私有网络的云服务器创建时联动创建的网卡为主网卡，用户自行创建的网卡为辅助网卡，其中主网卡不支持绑定和解绑，辅助网卡支持绑定解绑。
 - **主内网 IP ：**弹性网卡的主要内网 IP ，在弹性网卡创建时由系统随机分配或用户自行制定，主网卡的主内网 IP 支持修改，辅助网卡的主内网 IP 不支持修改。
 - **辅助内网 IP ：**弹性网卡主 IP 以外绑定的辅助内网 IP ，由用户在创建弹性网卡或编辑弹性网卡时自行配置，支持绑定和解绑。
 - **弹性公网 IP ：**与弹性网卡上的内网 IP 一一绑定。
 - **安全组：**弹性网卡可以绑定一个或多个安全组。
 - **MAC 地址：**弹性网卡有全局唯一的 MAC 地址。

## 应用场景
- **内网、外网、管理网隔离**：
重要业务的网络部署一般会要求数据传输内网、外网和管理网三网隔离，通过不同的路由策略和安全组策略保证网络之间的数据安全和网络隔离。您可以像物理服务器一样，为云服务器绑定三个位于不同子网的弹性网卡来实现三网隔离。
- **高可靠应用部署：**
系统架构中的关键组件，都需要通过多机热备来保证系统的高可用性。腾讯云提供了可以灵活绑定和解绑的弹性网卡及内网 IP ，您可以配置 Keepalived 的容灾设置实现关键组件的高可用部署。

## 使用限制

根据 CPU 和内存配置不同，云服务器可以绑定的弹性网卡数和单网卡绑定内网 IP 数有较大不同，网卡和单网卡 IP 配额数如下表所示：

| 云服务器配置               | 弹性网卡数 | 网卡绑定 IP 数 |
| ------------------- | :---- | :------ |
| CPU: 1核   内存: 1G    | 2     | 2       |
| CPU: 1核   内存: > 1G   | 2     | 6       |
| CPU: 2核             | 2     | 10      |
| CPU: 4核   内存: < 16G | 4     | 10      |
| CPU: 4核   内存: > 16G | 4     | 20      |
| CPU: 8~12核          | 6     | 20      |
| CPU: >12核           | 8     | 30      |

## 配置操作指南
云服务器若需要使用弹性网卡，请参照以下配置步骤完成相应内容：
 1. [创建弹性网卡](/doc/product/215/6513#.E5.88.9B.E5.BB.BA.E5.BC.B9.E6.80.A7.E7.BD.91.E5.8D.A17) 。
 2. 弹性网卡 [绑定云服务器](/doc/product/215/6513#.E7.BB.91.E5.AE.9A.E4.BA.91.E4.B8.BB.E6.9C.BA8) 。
 3. 配置云服务器和私有网络路由表，参见 [私有网络与云主机的路由及安全配置](/doc/product/215/6513#.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C.E4.B8.8E.E4.BA.91.E4.B8.BB.E6.9C.BA.E7.9A.84.E8.B7.AF.E7.94.B1.E5.8F.8A.E5.AE.89.E5.85.A8.E9.85.8D.E7.BD.AE5) 。
 4. 进行 [云服务器内的弹性网卡配置](/doc/product/215/6513#.E4.BA.91.E4.B8.BB.E6.9C.BA.E5.86.85.E5.BC.B9.E6.80.A7.E7.BD.91.E5.8D.A1.E7.9A.84.E9.85.8D.E7.BD.AE.EF.BC.88.E4.BB.A5centos-7.2.E4.B8.BA.E4.BE.8B.EF.BC.899) 。
 5. 分配内网 IP 。可根据需求参见 [分配内网 IP（云服务器系统内）](/doc/product/215/6513#.E5.88.86.E9.85.8D.E5.86.85.E7.BD.91ip.EF.BC.88.E4.BA.91.E6.9C.8D.E5.8A.A1.E5.99.A8.E7.B3.BB.E7.BB.9F.E5.86.85.EF.BC.8911) 或 [分配内网 IP（Qcloud 控制台）](/doc/product/215/6513#.E5.88.86.E9.85.8D.E5.86.85.E7.BD.91ip.EF.BC.88qcloud.E6.8E.A7.E5.88.B6.E5.8F.B0.EF.BC.8910) 。

更多弹性网卡相关操作请参见 [弹性网卡操作指南](/doc/product/215/6513#.E6.93.8D.E4.BD.9C.E6.8C.87.E5.8D.974) 。

## API 概览
此处展示弹性网卡与云服务器相关的 API 接口，如下表所示。更多弹性网卡相关操作请参见 [弹性网卡 API 概览](/doc/product/215/6513#api.E6.A6.82.E8.A7.8819) 。

| 接口功能 | Action ID |  功能描述 |
|---------|---------|---------|
| 创建弹性网卡 | [CreateNetworkInterface](/doc/api/245/4811) |  创建弹性网卡 |
| 弹性网卡申请内网 IP  | [AssignPrivateIpAddresses](/doc/api/245/4817) | 弹性网卡申请内网 IP |
| 弹性网卡绑定云主机 | [AttachNetworkInterface](/doc/api/245/4820) | 弹性网卡绑定云主机 |



