为保证实例的安全可靠，腾讯云提供两种加密登录方式：密码登录和 [SSH 密钥对登录](/doc/product/213/6092) 。不同操作系统云服务器的用户可以分别参考 [自定义配置 Windows 云服务器](/doc/product/213/10516#.E8.AE.BE.E7.BD.AE.E4.BF.A1.E6.81.AF) 与 [自定义配置 Linux 云服务器](/doc/product/213/10517#.E8.AE.BE.E7.BD.AE.E4.BF.A1.E6.81.AF) 的设置信息部分，选择加密方式。

本文档介绍密码登录的相关配置内容。

密码是每台云服务器实例专有的登录凭据。任何拥有实例登录密码的人都可以通过被安全组允许的公网地址远程登录云服务器实例。因此，建议您使用较为安全的密码，有效保管并不定期修改。

## 设置初始密码
 - 选择【自动生成密码】的用户，会在控制台 [站内信](https://console.cloud.tencent.com/message) 中收到初始密码。
 - 选择【设置密码】的用户，自定义的密码即为初始密码。
 
1. 选择自定义配置云服务器的用户，在设置主机名及登录方式部分可以选择登录方式，默认为【设置密码】。

2. 按照规定的密码字符限制，输入主机密码和确认密码，单击立即购买，初始密码设置成功，待云服务器实例分配成功。

 >设置密码的字符限制：
 > - Linux 云服务器密码需 8 到 16 位， ```a-z 和 A-Z 和 0-9 和 ( ) ` ~ ! @ # $ % ^ & * - + = _ | { } [ ] : ; ' < > , . ? / ``` 中至少包括两项。
 > - Windows 云服务器密码需 12 到 16 位， ```a-z 和 A-Z 和 0-9 和 ( ) ` ~ ! @ # $ % ^ & * - + = _ | { } [ ] : ; ' < > , . ? / ``` 中至少包括三项。

## 查看密码
  自动生成密码，会发送到控制台 [站内信](https://console.cloud.tencent.com/message) 中。单击需要查看的信件即可查看到初始密码。
  登录 [云服务器控制台](https://console.cloud.tencent.com/cvm/) ，单击右上方 信封样式 [站内信](https://console.cloud.tencent.com/message) 图标。
  ![](//mc.qcloudimg.com/static/img/9c289677e1d79bafb13bd3692ec4f363/image.png)

## 重置密码
> **注意：**
> 只有关机状态下才可以对云服务器进行重置密码。如果云服务器处于运行中重置密码，将强制关机，可能会导致数据丢失或文件系统损坏。

 1. 登录 [云服务器控制台]( https://console.cloud.tencent.com/cvm/) 。

 2. 关机需要重置密码的云服务器。

 3. 打开密码重置框。
  - 对于单个关机的实例，在右侧操作栏中，单击【更多】-【重置密码】。
  - 对于批量实例，勾选所有需要重置密码的主机，在列表顶部，单击【重置密码】，即可批量修改主机登录密码。对于不能重置密码的实例会显示原因。

 4. 在重置密码弹出框中输入新密码、确认密码，单击【下一步】。

 5. 等待重置成功，您将收到重置成功的 [站内信](https://console.cloud.tencent.com/message) 消息，即可使用新密码开机使用云服务器。
