腾讯云的网络环境可以分为基础网络和 [私有网络](https://cloud.tencent.com/product/vpc?idx=2)（VPC）两种。

## 基础网络与私有网络
**基础网络**：
基础网络是腾讯云上所有用户的公共网络资源池。用户所有云上的资源都由腾讯云统一管理，管理简单、快捷。基础网络能满足与实现大部分用户的需求，是刚开始认识和使用腾讯云用户的合适选择。

**私有网络：**
腾讯云 [私有网络](/doc/product/215)（Virtual Private Cloud，VPC）是一块您在腾讯云上自定义的逻辑隔离网络空间。即使在相同地域下，不同的私有网络之间默认无法互相通信。与您在数据中心运行的传统网络相似，托管在腾讯云私有网络内的是您在腾讯云上的服务资源，包括 [云服务器](/doc/product/213/495) 、 [负载均衡](/doc/product/214/524) 、 [云数据库](/doc/product/236) 等云服务资源。用户可以完全掌握私有网络环境，更多详细配置与应用场景详见 [私有网络产品概述](/doc/product/215/535) 。私有网络能构建较为复杂的网络架构，是熟悉网络管理用户的合适选择。
![](//mccdn.qcloud.com/static/img/f1c113751199560fb87bc002b4bf0207/image.png)

**功能区别：**			

| **功能 **| **基础网络**| **私有网络** |
|---------|---------|---------|
| 租户关联 | 租户关联| 基于 GRE 封装的逻辑隔离网络 |
| 网络自定义 | 不支持| 支持|
| 路由自定义 | 不支持| 支持 |
| 自定义 IP | 不支持| 支持 |
| 互通规则 |同租户同地域互通| 支持跨地域跨账号互通 |
| 安全控制　| [安全组](/doc/product/213/5221)| [安全组](/doc/product/213/5221) 和 [网络 ACL](/doc/product/215/5132) |

## 基础网络与私有网络间资源共享与访问

腾讯云上一些云资源和功能可以在同时支持两种网络环境，可在不同网络之间共享或访问。

|**资源**|**说明**|
|--|--|
|[镜像](/doc/product/213/4940)|可使用镜像在任何网络环境下启动云服务器实例|
|[弹性 IP](/doc/product/213/5733)|弹性 IP 可以绑定任何网络环境下的云服务器实例|
|实例|基础网络下实例和私有网络内实例可以通过 [公网 IP](/doc/product/213/5224) 或 [基础网络互通](/doc/product/215/5002) 功能实现相互通信|
|[SSH 密钥](/doc/product/213/6092)|SSH 密钥支持加载至任何网络环境下的云服务器实例|
|[安全组](/doc/product/213/5221)|安全组支持绑定任何网络环境下的云服务器实例|

>** 注意：**
>[负载均衡](/doc/product/214) 无法在基础网络与私有网络之间共享。即使已建立网络互通连接，同样不支持负载均衡同时绑定私有网络内实例和基础网络实例。

## 基础网络内实例迁移至私有网络
 1. 在基础网络云服务器实例中，[创建自定义镜像](/doc/product/213/4942) 。
 2. （可选）在基础网络云服务器实例数据盘中，[创建快照](/doc/product/362/5755) 。
 3. [创建私有网络与子网](/doc/product/215/4927#.E5.88.9B.E5.BB.BA.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C.E3.80.81.E5.88.9D.E5.A7.8B.E5.8C.96.E5.AD.90.E7.BD.91.E5.92.8C.E8.B7.AF.E7.94.B1.E8.A1.A8) 。
 4. 在私有网络内， [购买并启动云服务器实例](/doc/product/213/4855) 。
