## 1. Purchase restrictions for prepaid CVMs


For each user, fixed quotas are allocated for Tencent Cloud prepaid CVMs in each region.


1) For each user in each availability zone, the monthly quotas for newly purchased (non-net) prepaid CVM instances are as follows. That is, each user can purchase the following numbers of new CVM instances in the availability zones each month.




| Guangzhou Zone 2 | Guangzhou Zone 3 | Shanghai Zone 1 | Beijing Zone 1 | Hong Kong Zone 1 | Singapore Zone 1 | North America Zone 1 |
|:---------:|:---------:|:---------:|:---------:|:---------:|:---------:|:---------:|
| 150 | 150|150 | 150 |100 |100 |100 |




2) The quota limit of prepaid CVM instances only covers <font color="red">newly purchased</font> machines. Existing machines and expired machines are excluded. The calculation rules are as follows:


| Number of newly purchased CVMs| Number of existing CVMs | Number of expired CVMs |
|:---------:|:---------:|:---------:|
|v| × | × |


3) The calculation period for each quota is a calendar month. For example, the calculation period for February 2016 is: 00:00:00 February 1 - 23:59:59 February 29


4) If you need to activate more prepaid CVMs, you can [submit an application](http://manage.qcloud.com/dbexp/apply.php?product=cvmmonthlyquota). We will increase your quota after evaluating your actual needs. The increased quota is valid for the calendar month. On the first day of the next month, the quota will turn to the original value. 


5) In case of suspected abnormal/malicious quota increase, Tencent Cloud the right to reject refund applications. Tencent Cloud reserves the right of final interpretation to the extent permitted by law.


## 2. Purchase restrictions for postpaid CVM instances
1) Before purchasing postpaid CVMs, you need to go to <a href="https://console.cloud.tencent.com/developer"> User Center </a> for identity verification. </font>


2) When purchasing postpaid CVM instances, note that the following features are <font color="red">not supported</font>:
- Agent payment 
- Voucher consumption
- Unconditional refund within five days
- Switch to Annual/Monthly Package mode
- CVMs with shared cores
- Bandwidth package users, postpaid users




3) Each user has a quota for the <font color="red">total number</font> of postpaid CVMs in each availability zone: 


| Guangzhou Zone 2 | Guangzhou Zone 3 | Shanghai Zone 1 | Beijing Zone 1 | Hong Kong Zone 1 | Singapore Zone 1 | North America Zone 1 |
|:---------:|:---------:|:---------:|:---------:|:---------:|:---------:|:---------:|
| 30 | 30 | 30 | 30 |20 |30 |20 |
