
腾讯云实例的硬件设备均可快速方便地调整，这是云上的虚拟服务器与物理服务器相比更易用的重要特性。用户在应用初期、请求量较小时可以选用较低的硬件配置，而在应用快速增长、服务请求量剧增时可以快速调整硬件，从而提高服务的处理速度，更好地满足需求。

>**注意：**
>只有当数据盘、系统盘均为云硬盘时，实例才具有硬件配置（CPU，内存）调整功能。

下文提及的配置升级与配置降级均在系统盘与数据盘是云硬盘的情况下进行。
您不必关机即可看到调整配置等操作，可在线操作，强制关机重启后生效。
>**注意：**
1.	若被操作实例是 **关机** 状态，直接可进行控制台变更操作。
2.	若被操作实例是 **开机** 状态，可在线进行，操作完成后，需要您确认强制关机。确认后，后台进行强制关机流程，变更操作，再次开机即生效。
3.	如果是 **批量操作**，可在线进行，操作完成后，只要有处于开机状态的机器，都需要用户确认进行强制关机。确认后，后台进行强制关机流程，变更操作，再次开机即生效。

 ## 配置升级
当用户的业务扩大，需要提升云服务器的硬件配置时，可以通过配置调整实现。对于所有云服务器类型，配置升级的生效时间均为即时生效，即当用户升级配置并支付可能产生的费用后，云服务器将立即按新的配置运行。升级次数无限制。
### 升级方法
#### 通过控制台升级实例配置
1. 登录 [腾讯云](https://console.cloud.tencent.com/cvm/overview)，单击左侧【云主机】。
2. 对于要调整配置的 CVM 实例，在右侧操作栏，单击【更多】->【云主机设置】->【调整配置】。
   ![](//mc.qcloudimg.com/static/img/2cf36c88b498d6e1a0f79141c0bc9ded/image.png)
3. 在调整配置弹出框中，选定升级后的 **目标 CPU 核数** 和 **目标内存容量** 后，单击 **确定**。核对订单无误后确认支付，完成支付即可即时调整实例配置。
 ![](https://mc.qcloudimg.com/static/img/a38af52306c38ab709b974432bb24895/7.png)
 
 >**注意：**
 >若要进行调整的实例为开机实例，系统会在选定升级配置后弹框提醒是否强制关机。您可选择手动关机后再进行升级调整，也可直接同意强制关机进行升级。


#### 通过 API 升级实例配置
用户可以使用 ResizeInstance 和 ResizeInstanceHour 接口升级实例配置。具体内容可以参考 [调整实例配置（包年包月）API](https://cloud.tencent.com/doc/api/229/1306) 和 [调整实例配置（按量计费） API](https://cloud.tencent.com/doc/api/229/1306)。

 ## 配置降级
当用户的业务缩减，需要降低云服务器的硬件配置时，可以在控制台通过配置调整实现。
对于不同类型的云服务器，具体的降级方式不同。

### 包年包月实例配置降级

- 购买了包年包月的云服务器实例后，用户随时可以进行配置降级。每个云服务器实例累计只能进行 **1** 次降配。
- 截止配置降级的时刻，用户实际支付费用的剩余价值与目标配置剩余价值的差值若大于零，则将该差值折算为目标配置所支持的时长来延长该服务器的到期时间；若该差值小于或等于零，将不会调整用户云服务器到期时间（通常为用户支付时使用折扣或代金券情况）。

>**注意：**
>- 对于符合配置降级规则的申请，系统将按照用户购买时的实际花费的非抵扣券部分（包括现金、分成、赠送金额、返货等，抵扣券部分不返还）的剩余价值折算成新配置的等效使用时长。 
>- 如出现疑似异常/恶意配置降级，腾讯云有权否决配置降级流程，腾讯云在法律范围保持最终解释权。 

#### 降级方法：
1. 登录 [腾讯云](https://console.cloud.tencent.com/cvm/overview)，单击左侧【云主机】。
2. 对于要调整配置的 **包年包月** CVM 实例，在右侧操作栏，单击【更多】->【云主机设置】->【调整配置】。 
    ![](//mc.qcloudimg.com/static/img/721ba1d6da68f07d1ba63a3065626e77/image.png)
3. 在调整配置弹出框中，选择降级后的 **目标 CPU 核数** 和 **目标内存容量** 后，单击确定，将即时降低主机配置并延长实例到期时间。
 ![](https://mc.qcloudimg.com/static/img/29a1e2cad004e54d1ba3f9b6a9d61b91/9.png)
 >**注意：**
 >若要进行调整的实例为开机实例，系统会在选定降级配置后弹框提醒是否强制关机。您可选择手动关机后再进行降级调整，也可直接同意强制关机进行降级。


### 按量计费实例配置降级 

购买了按量计费的云服务器实例后，用户随时可以降配。降级次数无限制。
#### 降级方法：
1. 登录 [腾讯云](https://console.cloud.tencent.com/cvm/overview)，单击左侧【云主机】。
2. 对于要调整配置的 **按量计费** CVM 实例，在右侧操作栏，单击【更多】->【云主机配置】->【调整配置】。
   ![](//mc.qcloudimg.com/static/img/f4b8b92472a34a22f5a3df8ae8011f0d/image.png)
3. 在调整配置弹出框中，选择降级后的 **目标 CPU 核数** 和 **目标内存容量** 后，单击确定，即时降级云服务器配置。
   ![](https://mc.qcloudimg.com/static/img/2822c18d89c9e3aefda0dfce9c40b493/11.png)
  
>**注意：**
>若要进行调整的实例为开机实例，系统会在选定降级配置后弹框提醒是否强制关机。您可选择手动关机后再进行降级调整，也可直接同意强制关机进行降级。


