
<!--阅读此文章之前，您需要先了解腾讯云云服务器 [网络计费模式概述]()。
本文档主要介绍共享网络下的计费模式。若需了解独享网络下的计费模式，请参阅 [独享网络计费]()。-->

共享网络是指多台云服务器共享网络服务的一种模式，多台云服务器之间互相影响。
腾讯云提供一种共享网络服务模式：带宽包计费。

>**注意：**
>用户可通过提交工单申请开启共享网络模式。


### 带宽包计费
带宽包是一种按月计费的共享网络计费方式，开通带宽包服务后系统将根据用户账户内云主机的共享带宽**月峰值**计费。此种计费方式的收费分成：**带宽包内带宽费用** 和 **超出带宽包的带宽费用** 两部分。

#### 收费标准
选择带宽包计费模式的用户仅可购买下个月的带宽包（如 1 月份仅可购买 2 月份带宽包）。用户首先选择带宽包内的最大带宽值，并根据下表所示的【带宽包内单价】费用进行支付。此时带宽包还未生效，下个自然月开始时带宽包开始生效。

| 地域 | 带宽包内带宽单价 | 超出带宽包的带宽单价 |
|---------|---------|---------|
| 北京、上海、广州、香港、新加坡、硅谷 | 100 元/Mbps | 108 元/Mbps |
| 多伦多 | 200 元/Mbps | 216 元/Mbps |

在结算时（自然月结束或用户主动退还带宽包），系统自动进行【带宽日均峰值】的计算，计算方法如下：
1. 计算每日带宽峰值
用户可在腾讯云控制台【云监控】选项卡的【流量监控】页面查看到每日统计的公网带宽峰值。腾讯云默认每 5 分钟统计一个值，每日可得到 288 个值。系统将从这 288 个值中，去掉最大的前 4 个值，取第 5 大的值作为每日带宽峰值。
2. 计算日均带宽峰值
日均带宽峰值的计算方法为：取带宽包使用周期内每日带宽峰值最高的 5 天，求其平均值。
3. 计算带宽包费用
 - 结算时，当账户日均带宽峰值（根据步骤2计算得来）未超出购买的带宽包最大带宽值时，无需额外支付任何费用；
 - 结算时，当账户日均带宽峰值（根据步骤2计算得来）超出带宽包时（带宽包不会限制账户内主机带宽实际使用），超出部分带宽按上表【超出带宽包的带宽单价】额外收费。
4. 带宽包账户使用不满 1 个月时，首先根据步骤 2 计算得来的日均带宽峰值计算步骤 3 的带宽包费用，实收费用 =带宽包费用 * 实际使用天数 / 30。

#### 购买流程
欲开通此计费模式，需先提交 [工单申请](https://console.cloud.tencent.com/workorder/category/create?level1_id=6&level2_id=7&level1_name=%E8%AE%A1%E7%AE%97%E4%B8%8E%E7%BD%91%E7%BB%9C&level2_name=%E4%BA%91%E6%9C%8D%E5%8A%A1%E5%99%A8%20CVM)。待工单申请通过后，[点击此处](http://manage.qcloud.com/shoppingcart/shop.php?tab=broadband) 前往购买页面。

#### 计费说明
- 当账户开通了分项目结算功能后，账户将整体根据上述规则计算带宽包的总费用，然后根据各个项目独立计算日均带宽峰值（根据步骤 2 计算得来），按比例计算各个项目所需支付费用。
- 普通账户购买带宽包时，原包年包月按带宽计费支付的带宽费用会根据主机剩余使用天数退还至账号的赠送账户。带宽包功能开通后，首月不支持额外购买带宽包，所有网络使用按照超出带宽计算。

#### 比价示例
假设用户在 3 月 20 日购买了在广州地域 4 月份 80Mbps 带宽包，则 4 月 1 日开始生效。若 4 月份实际日均带宽峰值为 120Mbps，则用户需要支付费用 = 80\*100 +（120-80）*108 = 12320元。
其中 8000 元在 3 月份购买带宽包时立即支付，剩余的 4320 元在 4 月份结束账单结算时进行扣费。


