<!--阅读此文章之前，您需要先了解腾讯云云服务器 [网络计费模式概述]()。
本文档主要介绍独享公网网络下的三种计费模式。若需了解共享网络下的计费模式，请参阅 [共享型公网网络计费]()。-->

独享网络是指用户在腾讯云购买的每台云服务器都有独立的外网网络，不同云服务器之间的网络计费时不重叠。
腾讯云为不同计费模式的云服务器提供了多种独享网络计费模式：

| 云服务器 | 独享型公网网络计费模式|
|---------|---------|---------|
| 包年包月云服务器| （包年包月）按带宽计费模式、按流量计费模式 |
| 按量计费云服务器| （按量计费）按带宽计费模式、按流量计费模式|


- **按带宽计费模式**可以理解为平时家庭网络环境下运营商提供的带宽模式，限定最大带宽值并按此值收费，与用户实际使用量无关。用户网络速度被限制在最大带宽中。
- **按流量计费模式**可以理解为移动网络运营商提供的流量模式，根据用户实际的网络使用量计费。由于按流量计费方式仅通过计算单台云服务器的出流量进行计费（计费单位为元/GB，每小时结算一次），对于包年包月云服务器和按量计费云服务器并无差别，后续将只进行一次说明。

>**注意：**
>每台云服务器只能在按带宽计费和按量计费两种网络计费模式之间转换 2 次。

### 包年包月主机按带宽计费

包年包月主机按带宽计费是供包年包月的预付费云服务器选择的一种独享网络计费模式。用户可选择的单台服务器的带宽值。带宽费用与主机、硬盘费用一起合并至总价格中。用户选择时间（月/年）后支付对应的总价格，则随即可在此段时间内使用云服务器、硬盘及网络。需要注意的是，单台云服务器的瞬时网络速度超过最大带宽值时将丢包。

包年包月按带宽计费模式的平均网络费用低于按流量计费网络，适合网络带宽使用较稳定的用户。

#### 收费标准
不同地域根据选择带宽的不同，单价不同，具体细则如下：

| 地域 |选择带宽 ≦ 2Mbps |  2Mbps < 选择带宽 ≦ 5Mbps | 选择带宽 >5Mbps |
|---------|---------|---------| --------| 
| 广州<br>上海<br>北京<br>香港<br>新加坡| 20 元/Mbps/月 |  ≦ 2Mbps 的部分：20 元/Mbps/月<br>\> 2Mbps 的部分：25 元/Mbps/月 | ≦ 2Mbps的部分：20 元/Mbps/月<br>\> 2Mbps 且 ≦ 5Mbps 的部分：25 元/Mbps/月<br>\> 5Mbps 的部分：90 元/Mbps/月 |

| 地域 |选择带宽 ≦ 5Mbps | 选择带宽 >5Mbps |
|---------|---------|---------| 
| 多伦多<br>硅谷 | 30 元/Mbps/月 |   ≦ 5Mbps 的部分：30 元/Mbps/月<br>\> 5Mbps 的部分：100 元/Mbps/月 |

#### 购买流程
用户在**选择地域与机型**步骤中，**计费模式** 选择【包年包月】；在**选择存储与网络**步骤中，**带宽计费模式** 选择【按带宽计费】；**带宽**、按实际需求选择。网络费用合并在总费用中。

#### 网络调整
此计费模式支持调整网络带宽。在已付费的包年/包月时间段内，网络带宽可升级，不可降级。

#### 计费说明
选择包年包月按带宽计费的用户需要购买最大外网出带宽（QoS），提前一次性支付一个月或多个月甚至几年的费用。当峰值带宽超过 QoS 时将丢包。

>**注意：**
>包年包月按带宽计费的独享网络计费模式仅支持包年包月云服务器使用。

### 按量计费主机按带宽计费

按量计费按带宽计费是供按量计费的后付费云服务器选择的一种独享网络计费模式。用户可选择的单台服务器的带宽值。带宽费用与主机、硬盘费用一起合并至小时单价中。用户确定选择后系统将冻结一个小时的总产品单价，并在每个整点进行上一计费周期的结算，所有产品计费均精确到秒。需要注意的是，单台云服务器的瞬时网络速度超过最大带宽值时将丢包。

按量计费按带宽计费的费用完全取决于用户配置与使用时间，弹性能力强，适合主机负载弹性能力要求高的客户。

#### 收费标准

不同地域根据选择带宽的不同，单价不同，具体细则如下：

| 地域 | 选择带宽 ≦ 5Mbps | 选择带宽 >5Mbps |
|---------|---------|---------| 
| 大陆、多伦多、硅谷 | 0.063 元/Mbps/小时 | ≦ 5Mbps的部分：0.063 元/Mbps/小时<br>＞5Mbps的部分：0.25 元/Mbps/小时  |
| 香港 | 0.08 元/Mbps/小时 | ≦ 5Mbps的部分：0.08 元/Mbps/小时<br>＞5Mbps的部分：0.25 元/Mbps/小时  |
| 新加坡 | 0.0625 元/Mbps/小时 | ≦ 5Mbps的部分：0.0625 元/Mbps/小时<br>＞5Mbps的部分：0.25 元/Mbps/小时  |

>**注意：**
- 若 1 小时内多次更换网络带宽，以最高带宽计费。
- 计费精确到秒，按小时结算。

#### 购买流程

用户在**选择地域与机型**步骤中，**计费模式** 选择【按量计费】；在**选择存储与网络**步骤中，**带宽计费模式** 选择【按带宽计费】；**带宽**按实际需求选择。网络费用与 CVM 费用分开计算，计算方式为按秒计费，按小时结算。

#### 网络调整
此计费模式支持随时调整网络带宽（可升可降）。小时内多次调整网络带宽，结算时将按最高带宽标准进行计费。

#### 计费说明
选择按量计费按带宽计费的用户需要设定最大外网出带宽（QoS），按照实际使用时长付费，精确到秒，按时结算。当峰值带宽超过 QoS 时将丢包。

>**注意：**
>按量计费按带宽计费的独享网络计费模式仅支持按量计费云服务器使用。

### 按流量计费
按流量计费的网络费用仅取决于单台云服务器的出流量，与云服务器付费模式（包年包月或按量计费）无关。用户可对机器设置带宽上限，云服务器瞬时网络速度超过此带宽上限时将丢包。

按流量计费的计费规则简单明了，按需付费，费用完全取决于单位时间出网流量。适合网络波动型的客户以降低其使用成本。

#### 收费标准
不同地域的流量单价不同，具体细则如下：

| 地域 |价格 | 
|---------|---------|
| 大陆、新加坡 | 0.80 元/GB | 
| 香港 | 1.00 元/GB | 
| 多伦多、硅谷 | 0.50 元/GB |

#### 购买流程
 
用户在**选择地域与机型**步骤中，**计费模式** 选择【包年包月】或【按量计费】；在**选择存储与网络**步骤中，**带宽计费模式** 选择【按使用流量】。网络费用单独计算，按照用户实际产生的流量，精确到秒，每小时结算一次。

#### 网络调整
此计费模式支持随时调整网络带宽上限，可升可降，实时生效。

#### 计费说明
按流量计费是根据用户实际产生的出网流量进行付费，通过设定最大带宽限制可能产生的短时间流量溢出。

#### 带宽上限范围
**带宽上限**根据云服务器的付费方式和配置的不同而有不同的可选择范围，具体细则见[公网网络带宽上限](https://cloud.tencent.com/document/product/213/12523)。

>**注意：**
>按流量计费的独享网络计费模式支持包年包月云服务器和按量计费云服务器使用。

### 比价示例
#### 示例一
假设购买一个月包年包月 5Mbps 带宽，费用为25元/Mbps/月 \* 5Mbps = 125 (元)。
设用户平均使用带宽为 3Mbps = 0.375MB/秒。
一个月折换流量0.375MB/秒 \* 30 \*24 \*60 \*60 = 972000 MB = 949.219 GB。
换算成按流量计费价格949.219GB \* 0.80 元/GB = 759.375 (元)
用户带宽较稳定的情况下，按带宽计费125 元/月 < 按流量计费759.375 元/月。
**带宽稳定的用户使用按带宽计费比按流量计费成本低。**

#### 示例二
同样假设购买一个月包年包月 5Mbps 带宽，费用为25元/Mbps/月 \* 5Mbps = 125 (元)。
125元换算成流量计费的流量为125 / (0.8 元/GB) = 156.25GB。
假设一天 24 小时中有 2.4 小时能跑满 5Mbps = 0.625 MB/秒，其他时间忽略。换算成流量为： 0.625 \* 30 \* 2.4 \* 60 \* 60 /1024 = 158.20GB （略大于包年包月等价月流量）。
2.4小时 / 24小时等于10%。
**在此案例中（带宽5Mbps以内），网络使用率低于10%时建议使用按流量计费。高于10%建议使用按带宽计费。**
