## 概述
**共享镜像** 是将自己已经创建好的 **自定义镜像** 共享给 **其他用户** 使用。用户可以方便地从其他用户那里获得共享镜像，并从中获得需要的组件及添加自定义内容。

>**注意：**
>腾讯云无法保证其他用户共享镜像的完整性或安全性，我们建议用户只使用来自可靠来源的共享镜像。

## 限制
 - 每个镜像最多可以共享给 50 个用户。
 - 共享镜像不能更改名称和描述，仅可用于创建云服务器实例。
 - 共享给其他用户的镜像不占用自身镜像配额。
 - 共享给其他用户的镜像可以删除，但需先取消该镜像所有的共享，取消共享操作详见 [取消共享自定义镜像](/doc/product/213/7148)。获取的共享镜像不可删除。
 - 镜像支持共享到对方账户相同地域内；若需共享到不同地域，需先复制镜像到不同地域再进行共享。已共享镜像
 - 不可将获取的镜像共享给其他用户。

## 操作
### 前提条件
腾讯云共享镜像通过对端账号唯一 ID 识别。获取对方用户的帐号唯一 ID 。可以通知该用户通过以下方式获取：
 1. 登录 [云主机控制台](https://console.cloud.tencent.com/cvm/) ，单击右上角账号名称。
 2. 查看账号信息中的账号 ID 。
 3. 通知对方将账号 ID 发送给自己。
![](//mc.qcloudimg.com/static/img/09ab4b511df275fe7818a867943668a2/image.png)

### 通过控制台共享
 1. 登录 [云主机控制台](https://console.cloud.tencent.com/cvm/) 。
 2. 单击左侧导航窗格中的【镜像】。
 3.  单击顶部【自定义镜像】选项卡。
 4.  在列表中选中您要共享的自定义镜像，单击右侧【共享】。
 5.  在弹出框中输入对方账户 ID ，单击【共享】。
 6. 通知对方登录 [云主机控制台](https://console.cloud.tencent.com/cvm/)  ，并选择【镜像】-【共享镜像】，即可查看共享给其的镜像。
 7. 若需要共享给多个用户，请重复上述步骤。

### 通过 API 共享
用户可以使用 ShareImage 接口共享镜像，具体内容可以参考 [共享镜像 API](/doc/api/229/2361) 。
