## 创建概述
### 常规思路
您可以先从一个公共镜像或服务市场镜像中启动实例，然后连接到您的实例并自行部署软件环境。实例正常运行的情况下，您可以根据自己的需要在其基础上创建新的自定义镜像，之后您可以使用这个镜像启动更多与原实例具有相同自定义项的新实例。

### 最佳实践
 - **关机实例：**
制作自定义镜像时，强烈建议您先将实例关机，以确保镜像与当前实例部署环境完全一致。实例运行状态下您也可以创建自定义镜像，但此时正在读写的一些数据可能无法被保存下来。
 - **数据迁移：**
如果您需要在启动新实例时同时保留原有实例数据盘上的数据，则您可以先对数据盘做 [快照](/doc/product/362/2455) ，在启动新实例时使用该数据盘快照创建新的 CBS 数据盘。有关更多信息，请参阅 [快照创建云硬盘](/doc/product/362/2455#6.-.E4.BD.BF.E7.94.A8.E5.BF.AB.E7.85.A7.E5.88.9B.E5.BB.BA.E7.A3.81.E7.9B.98) 。

### 创建限制
 - 每个地域暂支持 10 个自定义镜像。
 - 每个用户每天操作次数不能超过 5 次（含 API 操作，按每个地域计数）。 
 
## 创建方法
### 使用控制台从实例创建

 1. 登录 [云主机控制台](https://console.cloud.tencent.com/cvm/) 。
 2. 关机实例。勾选需要关机的实例，单击上方【关机】。
 3. 在需要制作镜像的实例右侧单击【更多】，单击【制作镜像】。
 4. 在弹出框中，输入“镜像名称”和“镜像描述”，单击【确定】提交创建。
 5. 鼠标移至控制台右上角【最近操作（时钟图标）】，即可查看创建进度。
 6. 创建成功后，单击左侧导航栏【镜像】，或单击【最近操作（时钟图标）】中镜像 ID ，即可跳转至镜像列表查看详细信息。
 7. 若需要购买与之前相同镜像的服务器。在镜像列表中，镜像右侧单击【创建云主机】。
![](//mc.qcloudimg.com/static/img/b44502e4494247574d23da9e09a20a19/image.png)

### 使用 API 创建
用户可以使用 CreateImage 接口创建自定义镜像，具体内容可以参考 [创建镜像 API](/doc/api/229/1273) 。
