除了使用 [创建自定义镜像](/doc/product/213/4942) 功能外，腾讯云同时支持使用导入功能。可将本地或其他平台的服务器系统盘镜像文件导入至 CVM 自定义镜像中。导入后可以使用该导入镜像创建云服务器或对已有云服务器重装系统。
## 导入准备
### 申请权限
在您使用本功能前，请确保您已经开通了导入镜像权限。若您需要开通权限，请联系商务经理，并提交相关信息至工单系统申请。

### 准备镜像文件
您需提前准备好符合导入限制的镜像文件。
 - **Linux 系统类型镜像限制：**

| 镜像属性 | 条件 |
|---------|---------|
| 操作系统 | <li>基于CentOS、Redhat、Ubuntu、Debian、CoreOS、OpenS3USE、SUSE发行版的镜像，<br><li>支持 32 位和 64 位。 |
| 镜像格式 | <li>支持RAW、VHD、QCOW2、VMDK镜像格式， <br><li>使用<code>qemu-img info imageName &#124; grep 'file format'</code>查看镜像格式。|
| 文件系统类型 | <li>支持使用 MBR 分区的 ext3 或 ext4 文件系统，<br><li>不支持 GPT 分区, <br><li>不支持逻辑卷管理（LVM）。 |
| 镜像大小 | <li>镜像实际大小不超过50G，使用<code>qemu-img info imageName &#124; grep 'disk size'</code>查看镜像实际大小，<br><li>镜像vsize不超过500G，使用<code>qemu-img info imageName &#124; grep 'virtual size'</code>查看镜像vsize。 |
| 系统盘 | <li>镜像存在根分区，<br><li>根分区包含`/etc/passwd`及`/etc/group`文件，<br><li>腾讯云只会导入根分区所在的盘符。 |
| 网络 | <li> 腾讯云默认为实例提供`eth0`网络接口，<br><li>腾讯云暂不支持IPV6，<br><li>用户可以在实例内通过metadata服务查询实例的网络配置，详见[实例元数据](/document/product/213/4934) 。|
| 驱动 | <li>镜像必须安装虚拟化平台 KVM 的 virtio 驱动，详情参考 [Linux导入镜像检查virtio驱动](/document/product/213/9929)，<br><li>镜像必须安装cloud-init，详情参考[Linux导入镜像安装cloudinit](/document/product/213/12587)。|
| 内核限制 | <li>镜像最好是原生内核，修改可能会导致虚拟机无法导入，<br><li>导入的 Red Hat Enterprise Linux (RHEL)    镜像必须使用 BYOL 许可，需要用户自行向厂商购买。 |

 - **Windows 系统类型镜像限制：**

| 镜像属性 | 条件 |
|---------|---------|
| 操作系统 | <li>Microsoft Windows Server 2008 R2（标准版、数据中心版、企业版)，Microsoft Windows Server 2012 R2（标准版），<br><li>只支持64位系统。 |
| 镜像格式 | <li>支持RAW、VHD、QCOW2、VMDK镜像格式， <br><li>使用<code>qemu-img info imageName &#124; grep 'file format'</code>查看镜像格式。 |
| 文件系统类型 | <li>支持使用 MBR 分区的 NTFS 文件系统，<br><li>不支持 GPT 分区, <br><li>不支持逻辑卷管理（LVM）。 |
| 镜像大小 | <li>镜像实际大小不超过50G，使用<code>qemu-img info imageName &#124; grep 'disk size'</code>查看镜像实际大小，<br><li>镜像vsize不超过500G，使用<code>qemu-img info imageName &#124; grep 'virtual size'</code>查看镜像vsize。 |
| 系统盘 | <li>镜像存在系统盘，<br><li>系统盘包含`/windows/system`及`/windows/system32`文件，<br><li>腾讯云只会导入系统盘。 |
| 网络 | <li> 腾讯云默认为实例提供`eth0`网络接口，<br><li>腾讯云暂不支持IPV6，<br><li>用户可以在实例内通过metadata服务查询实例的网络配置，详见[实例元数据](/document/product/213/4934) 。|
| 驱动 | <li>镜像必须安装虚拟化平台 KVM 的 virtio 驱动。Windows系统默认未安装 virtio 驱动，用户可安装[Windows virtio驱动](http://windowsvirtio-10016717.file.myqcloud.com/InstallQCloud.exe)后导出本地镜像。 |
| 其他 | <li>导入的 Windows 系统镜像 **不提供** [Windows激活](/doc/product/213/%E6%AD%A3%E7%89%88%E6%BF%80%E6%B4%BB) 服务 |

## 导入步骤
 1. 登录 [云主机控制台](https://console.cloud.tencent.com/cvm/) 。
 2. 单击左侧导航窗格中的【镜像】。
 3. 单击【自定义镜像】，再单击【导入镜像】按钮。
 4. 按步骤要求，先 [开通对象存储COS](https://console.cloud.tencent.com/cos4/index)，再 [创建bucket存储桶](/doc/product/436/6232) ，上传镜像文件到 bucket 并 [获取镜像文件 URL](/doc/product/436/6260) ，单击【下一步】。
 5. 按照实际情况，填写表单，将请确保录入的对象存储文件 URL 准确，单击【开始导入】。
 6. 导入成功或失败，会以短信、邮件的形式通知到您腾讯云账户绑定的手机或邮箱。

## 错误码
 
|错误码|错误原因|建议处理方式|
|-----|-----|-----|
|InvalidUrl|COS链接无效|检查COS链接与导入镜像链接是否相同。|
|InvalidFormatSize|格式或大小不符合条件|镜像需要满足[导入准备](#导入准备)中关于`镜像格式`和`镜像大小`的限制。|
|VirtioNotInstall|未安装virtio驱动|镜像需要安装virtio驱动，参考[导入准备](#导入准备)中的`驱动`部分。|
|PartitionNotPresent|未找到分区信息|镜像损坏，可能是错误的镜像制作方式导致的。|
|CloudInitNotInstalled|cloud-init未安装|linux镜像需要安装cloud-init,参考[导入准备](#导入准备)中的`驱动`部分。|
|RootPartitionNotFound|未检测到根分区|镜像损坏，可能是错误的镜像制作方式导致的。|
|InternalError|其他错误|请联系客服处理问题。|