## 什么是镜像？
腾讯云镜像提供启动云服务器实例所需的所有信息。指定需要的镜像后可以从该镜像启动所需任意数量的实例，也可以根据需要从任意多个不同的镜像启动实例。通俗的说，镜像就是云服务器的“装机盘”。

## 镜像类型
腾讯云提供的镜像包括以下几种：

- **公有镜像：**所有用户均可使用，涵盖大部分主流操作系统；
- **服务市场镜像：**所有用户均可使用，除操作系统外还集成了某些特定应用程序；
- **自定义镜像：**仅创建者和共享对象可以使用，由现有运行的实例创建而来或由外部导入而来；
- **共享镜像：**由其他用户共享而来的镜像，仅能用作创建实例。

更多镜像类型介绍详见 [镜像类型](/doc/product/213/4941) 。

## 镜像部署 VS 手动部署

| |**镜像部署 **|**手动部署** |
| ------|------ |------ |
|部署时长|&nbsp;&nbsp;&nbsp;3 - 5 分钟|&nbsp;&nbsp;&nbsp;1 - 2 天|
|部署过程|&nbsp;&nbsp;&nbsp;根据成熟的服务市场方案或已使用过的方案，快速创建合适的云服务器。|&nbsp;&nbsp;&nbsp;选择合适的操作系统、数据库、应用软件、插件等，并需要安装和调试。|
|安全性|&nbsp;&nbsp;&nbsp;除共享镜像来源需要用户自行甄别，其他公共镜像、自定义镜像、服务市场镜像都经过腾讯云测试和审核。|&nbsp;&nbsp;&nbsp;依赖开发部署人员的水平。|
|适用情况|&nbsp;&nbsp;&nbsp;公共镜像：正版操作系统，包含腾讯云提供的初始化组件；<br>&nbsp;&nbsp;&nbsp;服务市场镜像：快速依据成熟的搭建方案搭建个性化应用环境；<br>&nbsp;&nbsp;&nbsp;自定义镜像：快速创建跟已有云服务器相同软件环境，或进行环境备份；<br>&nbsp;&nbsp;&nbsp;共享镜像：快速创建跟其他用户已有云服务器相同软件环境。| &nbsp;&nbsp;&nbsp;完全自行配置，无基础设置。|

## 镜像应用
 - **部署特定软件环境**
使用共享镜像、自定义镜像、服务市场镜像都能帮助快速搭建特定的软件环境，免去了自行配置环境、安装软件等繁琐且耗时的工作，并能满足建站、应用开发、可视化管理等多种个性化需求，让云服务器“即开即用”，省时方便。

 - **批量部署软件环境**
通过对已经部署好环境的云服务器实例制作镜像，然后在批量创建云服务器实例时使用该镜像作为操作系统，云服务器实例创建成功之后便具有和之前云服务器实例一致的软件环境，以此达到批量部署软件环境的目的。

 - **服务器运行环境备份**
对一台云服务器实例制作镜像备份运行环境。若该云服务器实例使用过程中因软件环境被损坏而无法正常运行，则可以使用镜像恢复。

## 镜像生命周期

下图总结了自定义镜像的生命周期。创建或导入了一个新自定义镜像之后，用户可以将其用于启动新实例（用户也可从现有的公共镜像或服务市场镜像启动实例）。自定义镜像可以被复制到同帐号的其他地域下，成为该地域下独立的镜像。用户还可以将自定义镜像共享给其他用户。
![](//mc.qcloudimg.com/static/img/796e37b9837f2b102c4beaa45e9c13ca/image.png)


