用户可以基于以下特性选择镜像：

- 位置（请参阅 [地域和可用区](/doc/product/213/6091) ）
- 操作系统类型
- 架构（32 位或 64 位）

根据不同来源，腾讯云提供镜像类型有：公共镜像、自定义镜像、共享镜像、服务市场镜像。

## 公共镜像

**公共镜像** 是由腾讯云官方提供、支持和维护的镜像，包含基础操作系统和腾讯云提供的初始化组件，所有用户均可使用。

公共镜像特质：
 - **操作系统类型：**自由选择（如：基于 Linux 类型系统或 Windows 类型系统），并定期更新。
 - **软件支持：**集成腾讯云提供的软件包（如 API 等），并支持多版本的 Java、MySQL、SQL Server、Python、Ruby、Tomcat 等常见软件及其完全权限。
 - **安全：**提供的操作系统完全合法合规，均使用官方正版操作系统。腾讯云内部专业安全运维团队制作，经过严格测试并可选内置腾讯云安全组件。
 - **限制：**暂无使用限制。
 - **费用：**除部分海外地域的 Windows 类型镜像需收取一定 License 费用外，其余全部免费。

## 服务市场镜像
[**服务市场镜像**](http://market.qcloud.com/) 是由第三方服务商提供的镜像。经过腾讯云审核后发布，所有用户均可使用。

服务市场镜像特质：
 - **操作系统类型：**多种常规的操作系统等预安装环境。
 - **软件支持：**集成了如 PHP、Java、FTP、Nginx、Docker、WordPress、Discuz 等常用的热门软件环境。
 - **安全：**入驻服务商均经过腾讯云严格甄选并签订入驻协议，镜像均经过服务商与腾讯云严格测试，保证镜像内容的安全性。
 - **限制：**暂无使用限制。
 - **费用：**费用由镜像提供商定价，既有免费镜像，也有付费镜像。使用付费镜像启动实例时，费用包含实例费用和镜像费用两部分。

## 自定义镜像
**自定义镜像** 是用户通过镜像制作功能制作，或通过镜像导入功能导入的镜像。仅创建者与共享者可以使用。

自定义镜像特质：
 - **应用场景：**对一个已经部署好应用的云服务器实例创建镜像，以此快速创建更多包含相同配置的实例。
 - **功能支持：**支持用户自由创建、复制、分享和销毁。
 - **限制：**每个地域下最多支持 10 个自定义镜像。
 - **费用：**创建可能涉及费用，具体的价格以创建实例时显示的价格为准。跨地域复制自定义镜像暂不收费。

更多操作方法与限制，请参阅 [创建自定义镜像](/doc/product/213/4942)、[复制自定义镜像](/doc/product/213/4943)、[共享自定义镜像](/doc/product/213/4944)、[取消共享自定义镜像](/doc/product/213/7148)、[导入自定义镜像](/doc/product/213/4945) 。

## 共享镜像
**共享镜像** 是由其他腾讯云用户通过镜像共享功能，将其自定义镜像共享给当前用户。
被共享的镜像将在被共享用户的原镜像相同地域下展示。

共享镜像特质：
 - **应用场景：**帮助其他用户快速创建云主机。
 - **功能支持：**共享镜像仅可用于创建云主机，不可以进行修改名称、复制、共享等其他操作。
 - **安全：**共享的镜像不经过腾讯云审核，可能存在安全风险。因此，强烈建议不要接受未知来源镜像。
 - **限制：**每个自定义镜像最多可共享给 50 个腾讯云用户。镜像共享仅支持共享到对方账户相同地域下。

更多操作方法与限制，请参阅 [共享自定义镜像](/doc/product/213/4944)、[取消共享自定义镜像](/doc/product/213/7148) 。

