您可以创建云硬盘并将它连接到同一个可用区内的任何 CVM 实例。通过块储存设备映射，云硬盘被云服务器实例识别并使用。同时，用户也可基于先前创建的快照来启动新的云硬盘。有关更多信息，请参阅 [快照创建云硬盘](/doc/product/362/5757)，云硬盘在创建后不需要预热即可达到其最高性能。

根据云硬盘类型的不同，创建云硬盘的方式也不同，有关云硬盘类型的更多内容请参考 [云硬盘的分类](/doc/product/362/2353)。

## 创建弹性云盘 

### 使用控制台创建弹性云盘

1) 登录[云硬盘控制台](https://console.cloud.tencent.com/cvm/cbs)，点击![](//mccdn.qcloud.com/static/img/acaf7d7ec8c66cd55ab9dd1be3319dfb/image.png)即可开始购买。

2) 在弹出框中选择地域/可用区、计费模式（当前仅支持包年包月）、容量、购买数量和购买时长，点击【确定】按钮。

3) 在支付页面点击【确认支付】完成购买。您可在[云硬盘列表页](https://console.cloud.tencent.com/cvm/cbs)查看已购买的云硬盘，您刚刚购买的弹性云盘默认未命名，并显示为<font color="red">待挂载</font>状态。

> 注：
> 
- 弹性云盘可以在同一可用区内的云服务器之间自由挂载和卸载；
- 单盘容量可设置为10G-4000G，单次最多可创建10块弹性云硬盘；
- 如果您需要在新创建的磁盘中保留数据盘快照数据，那么您可以在该页面开启【使用快照创建磁盘】，并选择您要使用的快照。选择快照后，磁盘容量默认等于快照大小，您可以调整容量大于默认值。
![](//mccdn.qcloud.com/static/img/4fc60b3b41287146e6cbc8768a62f90b/image.png)

### 使用快照创建弹性云盘
如果您需要在新创建的磁盘中保留数据盘快照数据，则可以选择这种方式。

1) 登录[快照控制台](https://console.cloud.tencent.com/cvm/snapshot)，在您要使用的快照后，点击【新建云硬盘】即可开始购买。
![](//mccdn.qcloud.com/static/img/475d66590b426a60c862b9d20373a552/image.png)

2) 在弹出框中选择地域/可用区、计费模式（当前仅支持包年包月）、容量、购买数量和购买时长，点击【确定】按钮。
> 注：
> 
- 弹性云盘可以在同一可用区内的云服务器之间自由挂载和卸载；
- 新购买的磁盘容量默认等于快照大小，您可以调整容量大于默认值；
- 单次最多可创建10块弹性云硬盘。

3) 在支付页面点击【确认支付】完成购买。您可在[云硬盘列表页](https://console.cloud.tencent.com/cvm/cbs)查看已购买的云硬盘，您刚刚购买的弹性云硬盘默认名称为From snap-xxxxxxxx，并显示为<font color="red">待挂载</font>状态。


### 使用 API 创建弹性云盘
请参考 [CreateCbsStorage 接口](https://cloud.tencent.com/doc/api/364/2524)。

## 创建非弹性云盘
### 使用控制台创建非弹性云盘
非弹性云盘是随实例而创建的跟随实例生命周期的云硬盘，创建实例并选择非弹性云盘的操作可以参考[购买并启动实例](/doc/product/213/4855)。

### 使用 API 创建非弹性云盘
非弹性云盘是随实例而创建的跟随实例生命周期的云硬盘，创建实例并选择非弹性云盘的操作可以参考 [RunInstances 接口](https://cloud.tencent.com/doc/api/229/1248) 和 [RunInstancesHour 接口](https://cloud.tencent.com/doc/api/229/1350)。