




## 使用自定义镜像及数据盘快照启动新实例时自动挂载数据盘（linux）
在启动新的云服务器实例时，如果用户指定 ***自定义镜像*** 及***数据盘快照***，腾讯云云硬盘可以支持启动云服务器实例后自动挂载（即不需要进行一系列的添加、分区、格式化等操作可直接读写数据盘）。用户需要在制作自定义镜像和数据盘快照前在原实例上进行一些操作，下文将详细描述。

在 Linux 系统下如果用户希望指定数据盘快照生产出来的云硬盘能够自动挂载至新的云服务器实例，指定的自定义镜像和数据盘快照必须满足以下要求：
- 数据盘在制作快照前 ***必须*** 已经格式化过，也即在原云服务器上已经 mount 成功。
- 系统盘在制作自定义镜像前，需要在 `/etc/rc.local` 文件中添加以下命令，将数据盘挂载点写入文件中：

```
mkdir -p <mount-point>
mount <device-id> <mount-point>
```

其中：`<mount-point>`请填入文件系统的挂载点如 `/mydata`， `<device-id>`请填入用户的实际文件分区位置，如 `/dev/vdb(无分区有文件系统的设备名)` 和 `/dev/vdb1(有分区有文件系统)` 。

只有同时满足以上两个条件才能保证新启动的 Linux 云服务器实例数据盘可以被自动识别和挂载。




---





## 使用自定义镜像及数据盘快照启动新实例时自动挂载数据盘（windows）
在启动新的云服务器实例时，如果用户指定 ***自定义镜像*** 及***数据盘快照***，腾讯云云硬盘可以支持启动云服务器实例后自动挂载（即不需要进行一系列的添加、分区、格式化等操作可直接读写数据盘）。用户需要在制作自定义镜像和数据盘快照前在原实例上进行一些操作，下文将详细描述。

在 Windows 系统下如果用户希望指定数据盘快照生产出来的云硬盘能够自动挂载至新的云服务器实例，指定的自定义镜像和数据盘快照必须满足以下要求：

- 自定义镜像中的 SAN 策略为：`onlineAll`。腾讯云目前提供的 Windows 公有镜像已默认进行相关设置，但仍建议用户在制作自定义镜像前检查下此配置，检查方法如下：
![](//mccdn.qcloud.com/static/img/74e490afd81bd7ad9fc9590565b48a80/image.jpg)

- 数据盘在制作快照前必须已经被格式化为 `ntfs` 或 `fat32` 格式。

只有同时满足以上两个条件才能保证新启动的 Windows 云服务器实例数据盘可以被自动识别和联机。