云硬盘是一种高可用、高可靠、低成本、可定制化的网络块设备，可以作为云服务器的独立可扩展硬盘使用。它提供数据块级别的数据存储，采用三副本的分布式机制，为 CVM 提供数据可靠性保证。CBS 提供以下三种云硬盘类型，不同的硬盘类型性能特点和价格均不同，用户可根据部署的应用要求自行选择存储性能和相应成本：

## 普通云硬盘
### 简介

用户在官网购买页随主机一起购买的普通云硬盘（包括系统盘及数据盘）均为(非弹性)云硬盘。非弹性云盘不支持挂载和卸载，可随云服务器包年包月或按量计费进行购买，不可单独购买。

### 规格

系统盘：起始容量不得少于 50GB，最大支持 500 GB。
数据盘：提供最少 10GB 到最大16000GB（以10G为步长）的容量，且不同的硬件配置可选的(非弹性)云盘规格极限不同。

### 性能

提供数40-100MB/s的IO吞吐性能和数百-1000的随机IOPS性能。

### 价格

按量计费：0.01美元/100GB/时

### 使用场景

- 高数据可靠性：普通云盘采用机械磁盘作为存储介质，利用分布式三副本机制实现高可靠数据存储
- 适用于低负载业务：非常适合数据不被经常访问或者低 I/O 负载的应用场景

## SSD 云硬盘
### 简介

SSD云盘基于全 SSD 存储介质，利用腾讯云 CBS 三副本分布式存储技术，提供低时延、高随机 IOPS、高吞吐量的 I/O 能力及数据安全性 99.999999% 的高性能存储，可以作为云服务器的独立可扩展硬盘使用。

### 规格

提供最少 100GB 到最大 4TB（以10G为步长）的容量

### 性能

单块 SSD 云硬盘最高可提供 24000 随机读写IOPS、260MB/s吞吐量的存储性能。具体性能值与购买的容量相关：

| 性能指标 |计算 |
|---------|---------|
| IOPS | {min 24\*容量，max 24000}<br>每GB提供24个IOPS，上限是24000；最低IOPS峰值为6000； |
| 吞吐量 |{min 150+0.147\*(购买容量-250GB)，max 260} MB/s<br>最低吞吐峰值为150MB/s、每GB增加0.147MB/s，上限是260MB/s； |
| 时延 |	0.5-2ms |

SSD云硬盘相比普通云硬盘的随机IOPS性能有20+倍的性能提升、吞吐量有8~16倍的提升；同时，一般情况下，SSD云盘的IOPS性能出现10%左右的波动是正常的；

### 价格

按量计费：0.03美元/时/100GB

### 使用场景

- 高性能、高数据可靠性： 适用于高负载、核心关键业务系统。提供三份数据冗余，具备完善的数据备份、快照、数据秒级恢复能力 
- 中大型数据库：可支持百万行表级别的MySQL、Oracle、SQL Server、MongoDB等中大型关系数据库应用 
- 核心业务系统：对数据可靠性要求高的I/O密集型等核心业务系统 
- 大数据分析： 提供针对TB、PB级数据的分布式处理能力，适用于数据分析、挖掘、商业智能等领域

## 高性能云硬盘

### 规格

提供最少 50GB 到最大 4TB 的容量

### 性能

| 性能指标 |计算 |
|---------|---------|
| IOPS | {min 1500，max 4500}<br>计算公式：1500 + 磁盘容量\*8； |
| 吞吐量 | {min 75，max 130} MB/s<br>计算公式：75MB/s + 磁盘容量\*0.147；<br>最低吞吐峰值为75MB/s，上限是130MB/s； |
| 时延 |	0.5-2ms |

### 价格

按量计费：0.02美元/GB/小时

### 使用场景

以下需求时可通过购买高性能云硬盘来满足：

- 适用于90%的I/O场景，质优价廉的最佳选择
- 适用于中小型数据库、web服务器等，提供长期的稳定IO性能输出
- 满足核心业务测试、开发联调环境的IO需求


## 各种块存储设备的对比
<table class="cvmMonth">
        <tbody><tr>
            <th style="width: 10%;" rowspan="2">对比项</th>
            <th style="width: 40%;" colspan="2">本地盘</th>
            <th style="width: 50%;" colspan="3">云硬盘</th>
        </tr>
        <tr>
            <th>普通本地盘</th>
            <th>SSD本地盘</th>
			<th>普通云盘</th>
			<th>SSD云硬盘</th>
            <th>高性能云硬盘</th>
        </tr>
        <tr>
            <td>单盘规格(作为数据盘使用)</td>
            <td>10GB - 1000GB</td>
            <td>10GB - 250GB</td>
						<td>10GB - 16000GB</td>
            <td>100GB - 4000GB</td>
            <td>50GB - 4000GB</td>
        </tr>
        <tr>
            <td>最大吞吐量</td>
            <td>40-数百MB/s</td>
            <td>300MB/s</td>
						<td>40-100MB/s</td>
            <td>150 - 260MB/s</td>
            <td>75 - 130MB/s</td>
        </tr>
					<tr>
            <td>吞吐性能计算公式</td>
            <td>不适用</td>
            <td>不适用</td>
						<td>不适用</td>
            <td>吞吐量={min 150+0.147*(购买容量-250GB)，max 260}MB/s<br>
最低吞吐峰值为150MB/s、每GB增加0.147MB/s，上限是260MB/s；</td>
            <td>吞吐量={min 75+磁盘容量*0.147，max 130} MB/s<br>最低吞吐峰值为75MB/s，上限是130MB/s；
</td>
        </tr>
        <tr>
            <td>最大IOPS</td>
            <td>数百-2000</td>
            <td>30000</td>
						<td>数百-1000</td>
            <td>6000-24000</td>
            <td>1500-4500</td>
        </tr>
				<tr>
            <td>性能计算公式</td>
            <td>不适用</td>
            <td>不适用</td>
						<td>不适用</td>
            <td>IOPS={min 6000+24*容量，max 24000}<br>
每GB提供24个IOPS、上限是24000；最低IOPS峰值为6000；</td>
            <td>IOPS={min 1500+8*容量，max 4500}<br>
每GB提供8个IOPS、上限是4500；最低IOPS峰值为1500；；
</td>
        </tr>
								<tr>
            <td>价格（大陆地区）</td>
            <td><br>
按量计费：0.01美元/100G/小时</td>
            <td><br>
按量计费：0.03美元/时/100GB</td>
            <td><br>
按量计费：0.01美元/时/100GB</td>
						<td><br>
按量计费：0.03美元/时/100GB</td>
            <td><br>
按量计费：0.02美元/时/100GB</td>
        </tr>
        
    </tbody></table>
    
    
    
## 常见疑问

Q: 弹性云盘是否可作为系统盘使用？

A: 不支持，系统盘无法卸载、挂载

Q: 云盘是否可作为数据盘使用？

A: 所有类型的本地盘和云硬盘均可作为数据盘使用

Q: 云盘是否支持挂载/卸载？

A: 弹性云硬盘支持挂载/卸载

Q: 云盘是否支持容量调整？

A: 当CVM的数据盘为云硬盘时，支持磁盘扩容

Q: 是否支持快照？

A: 所有类型的云硬盘支持快照，本地盘不支持

Q: 是否独立计费？ 

A: 在控制台购买的弹性云盘，可独立计费，按**包年包月**方式计费

Q:是否支持CPU/内存扩容？

A:**只要root盘（系统盘）是云硬盘，就支持CPU/内存扩容**
