## 不同类型存储设备的应用场景介绍
### SSD本地盘应用场景
- 低时延：提供微秒级的访问延时

- 大型在线应用程序日志：大型在线应用程序会产生大量的日志数据，需要高性能的存储，同时日志数据对存储的可靠性要求不高

- 用作临时读缓存：本地SSD的随机读性能优秀（4KB/8KB/16KB随机读），适用作为mysql、oralce等关系型数据库的只读从库。由于内存的成本依然比固态磁盘昂贵，本地SSD还可以用作redis、memcache等缓存型业务的二级缓存。

- 单点风险： 存在单点故障风险，建议在应用层做数据冗余保证数据可用性。核心业务建议使用SSD云硬盘

### 普通云硬盘应用场景
- 价格低廉的存储，与SSD云硬盘相同的数据持久性，可用作重要业务的冷数据备份、归档，单磁盘容量达16TB 
- 适用于大文件顺序读写场景，如日志流水、流媒体业务，数据仓储等，满足hadoop框架下的TB级，海量数据离线分析的需求
- 不适于承载OLTP核心业务 

### 高性能云硬盘应用场景

- 适用于90%的I/O场景，质优价廉的最佳选择
- 适用于中小型数据库、web服务器等，提供长期的稳定IO性能输出 
- 满足核心业务测试、开发联调环境的IO需求 


### SSD云硬盘应用场景
- 高性能、高数据可靠性： 使用业界最优秀的NVMe固态存储作为磁盘介质。适用于I/O密集型业务，并提供长期稳定的，超高的单磁盘性能
- 中大型数据库：可支持百万行表级别的MySQL、Oracle、SQL Server、MongoDB等中大型关系数据库应用 
- 核心业务系统：对数据可靠性要求高的I/O密集型等核心业务系统 
- 大数据分析： 提供针对TB、PB级数据的分布式处理能力，适用于数据分析、挖掘、商业智能等领域

## 云硬盘的典型应用场景
### 去本地化
- **高性能高可靠数据存储**：高效支持虚拟机热迁移，提前避免物理故障带来的业务中断；提供三份数据冗余，具备完善的数据备份、快照、数据秒级恢复能力；适用于高负载、核心关键业务系统。
- **弹性扩容**：云盘可在区域内自由挂载、卸载，无需关闭/重启服务器；云盘的容量可弹性配置，按需升级容量；单台虚拟机最多可挂载10块云盘，容量达40TB
![](//mccdn.qcloud.com/static/img/b6611d7eb39538f8376c2ed32ac58a5e/image.png)

### 海量数据分析
典型的Spark-HDFS离线数据分析框架对于磁盘的读写 RDD read/write、shuffle write都是顺序IO，只有shuffle read IO是随机IO，95% IO读写都为顺序IO；CBS的多线程并发吞吐性能优秀，高效支持Hadoop-Mapreduce、HDFS、Spark，TB/PB级数据的离线处理。
多磁盘并发，单HDFS集群可达到1GB/s的吞吐性能。
小红书、巨人网络、饿了么、有货Yoho!、微票儿等大企业已在CBS上广泛开展数据分析、挖掘、商业智能等大数据实践！
![](//mccdn.qcloud.com/static/img/fcd7c911ceec7205a36562dcf5f5288a/image.png)
**部署环境**：12Core 40GB RAM 服务器5台，各挂载1TB SSD云盘、1TB 普通云盘，模拟离线数据分析
**测试性能**：1.5TB数据量，5块普通云盘提供500MB/s的读取速度，50分钟读取到内存；使用SSD云盘，可在25分钟完成！

### 核心数据库
SSD云盘适合对I/O性能要求高，同时对数据可靠性要求也高的场景。尤其适合如PostgreSQL、MySQL、Oracle、SQL Server等中大型关系数据库应用、对数据可靠性要求高的I/O密集型等核心业务系统以及对数据可靠性要求高的中大型开发测试环境。
CBS-SSD云硬盘，完美兼顾了数据可靠性与高性能表现，已为英魂之刃、问道、有货YoHo!、微票儿、小红书等大企业提供可靠支持！

![](//mccdn.qcloud.com/static/img/9867c8f2376fdf5d0878ca44159d6b66/image.png)
**部署环境**：在4台Core 8GB RAM虚拟机上挂载800G的SSD云盘，进行Mysql version 5.5.42部署。
**测试性能**：用sysbench模拟OLTP性能测试，测试集为1千万条记录，TPS可达1616，QPS达29000，单盘足以支撑每秒上万人的在线同时交易！
