## 1. 定期快照功能概览

腾讯云云硬盘快照对部分用户开放了**定期快照**的功能（如果您需要申请体验该功能，可以提交工单联系我们），该能力便于开发者灵活设置备份任务策略。常见的策略如：

- 非核心业务数据盘，可设定每周一零点进行一次自动快照备份，保存1个月后自动删除；
 
- 核心业务数据盘每隔12小时进行一次快照备份，保存1周后删除。
  
## 2. 定期快照策略说明

**对象** ：云盘-系统盘/数据盘

 **执行策略**：客户每周针对每个云盘可设置1个快照创建时间点，时间点可具体到星期-小时 （根据快照系统的业务压力，快照创建任务将于创建时间点1小时内完成创建）。执行策略保存后，长期有效。执行策略可修改，修改成功后立即生效。

**定期销毁（重要）**：定期快照提供定期销毁的功能，如您可设置超过7天（可勾选1-10天，默认填写7天）自动删除快照，降低备份成本，且默认勾选。若取消勾选，则快照将长期存留。

**批量**：先设定定期快照策略，可勾选多块云盘，针对多块云盘批量执行同一策略。
 
 **脚本暂停**：非使用中的普通云盘将不执行自动快照策略。非使用中指系统盘、数据盘关联的虚拟机关机或数据盘未挂载。

 **命名规则**：自动快照的命名：snap_yyyyMMdd_HH，yyyyMMdd 是当天的日期，HH 为小时，例如 snap_20140418_11 表示 2014年4月18日11时创建的自动快照。您也可以自行修改快照命名。

**生命周期（重要）**：快照的生命周期有2种，1、手动创建的快照，生命周期默认为 **长期保存** ，只要账户余额充足，则可长期保留；2、定期快照，根据创建规则，可设定 **定期销毁** 的时间点，该时间点可在快照详情页更改为**长期保存**，需要手动触发。

**快照冲突**：自动快照与自定义快照使用上没有冲突，当正在对某一块磁盘执行自动快照时，用户需要等待自动快照完成后，才能创建自动快照（反之同理）；如果磁盘数据量大，一次打快照时长超过两个自动快照时间点间隔，则下一个时间点不打快照自动跳过。例如：用户设置9:00、10:00、11:00为自动快照时间点，9:00打快照的时候时长为70分钟，也就是10:10才打完，那10:00预设时间点将不打快照，下个快照时间点为11:00。

 **快照额度**：每块磁盘具有64个快照额度，若某块磁盘的快照数量达到额度上限，自动快照任务会被挂起、阻塞。快照额度主要是为了避免开发者遗忘了某个自动快照策略，导致存储成本无止境攀升。
 
 **ASP**：ASP指的是定期快照策略，即Auto Snapshot Policy。

 **ASP额度**：单个账户下，每一个区域最多设定10个 ASP 策略。单个 ASP 最多关联50块硬盘。

**快照创建频率**：由于单个账户下最多10个 ASP，ASP 只允许指定1个时间点。某块云硬盘，只允许关联同一个ASP策略。

 **地域属性**：快照的地域属性为地域，即使用广州区快照文件可创建广州二区、广州三区的云硬盘。

 **保存周期**：对于自动快照，控制台会显示回收的倒计时时间。 对于手动创建快照，显示永久保留。自动快照可手动点击改为永久保留。

 
**ASP暂停功能**：ASP自动快照策略提供手动触发**暂停**的功能，暂停后，则不会再自动创建快照。但自动快照的生命周期不受影响，到期后会自动退订。例如生命周期为7天，到期后依然清退。

 
**操作日志**：操作日志会显示所有自动快照的创建过程，与手动添加的快照相同。
 

## 3. 操作指引


### 3.1 创建定期快照策略

您可在快照控制台创建定期快照策略。

![](//mc.qcloudimg.com/static/img/da713a35fc8e204baec28a4a61f4e418/image.jpg)

![](//mc.qcloudimg.com/static/img/dffffb2a9248765fd1782bceb57e001b/image.jpg)


### 3.2 关联云硬盘

您可以将云硬盘添加到定期策略中，实现自动快照能力。

![](//mc.qcloudimg.com/static/img/6aebd3dfb757ba73a2047d61fd56c2ed/image.jpg)


### 3.3 将自动快照转为永久保留的快照

![](//mc.qcloudimg.com/static/img/6238e66c512784793558bc0e23692e3c/image.jpg)

![](//mc.qcloudimg.com/static/img/db861fd909ed450ac3a10dbfc507490a/image.jpg)

