本文档将以在北京地域下创建一块空的弹性云盘 `cbs-test`（有关什么是弹性云盘可以参考 [云硬盘的分类](/doc/product/362/2353)，有关如何创建包含数据的云硬盘请参考[快照创建云硬盘](/doc/product/362/5757)）、连接到云服务器实例、创建文件系统并向其中写入一个名为 `qcloud.txt` 的文件为例，帮助用户了解如何初步使用腾讯云云硬盘。

## 前提条件
要根据本文档进行云硬盘的使用，请先确保您在创建云硬盘的地域和可用区（本示例为北京一区）下有可用的运行状态云服务器实例。有关如何购买并启动云服务器实例，请参考 [购买并启动云服务器](/doc/product/213/4855)。

## 购买云硬盘
本例通过控制台购买一块弹性普通云盘，有关如何创建云硬盘的更多内容，可以参考 [创建云硬盘](/doc/product/362/5744)。

1) 登录[云硬盘控制台](https://console.cloud.tencent.com/cvm/cbs)，点击![](//mccdn.qcloud.com/static/img/acaf7d7ec8c66cd55ab9dd1be3319dfb/image.png)开始购买。

2) 在弹出框中选择【华北地区（北京）】-【北京一区】、【包年包月】、【云硬盘】、【20GB】，并选择购买一个月，点击【确定】按钮。

3) 在支付页面点击【确认支付】完成购买。您可在[云硬盘列表页](https://console.cloud.tencent.com/cvm/cbs)查看已购买的云硬盘，您刚刚购买的弹性云盘默认未命名，并显示为<font color="red">待挂载</font>状态。点击编辑小图标，将它命名为“cbs-test”。

## 连接到云服务器实例
1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)。

2) 进入【云服务器】-【云硬盘】选项卡。

3) 在云硬盘列表页，点击刚刚创建的云硬盘后的【更多】-【挂载到云主机】按钮。

4) 在弹出框中选择需要挂载到的云服务器（见前提条件），点击【确定】按钮。

## 格式化、创建文件系统并写入文件
### 若连接到 Linux 类型实例

1) 执行`fdisk -l`命令，查看连接到实例的盘设备名称。找到创建的 20 GB 云硬盘，假设这里它的设备名为 `/dev/vdb`

2) 格式化该设备（本例使用 EXT4 文件系统）：执行 `mkfs.ext4 /dev/vdb`命令。

3) 挂载到 `/data` 挂载点下，执行以下命令：
```
mount /dev/vdb /data
```

4) 进入该设备，在其中写入一个名为 `qcloud.txt`的文件，执行如下命令：
```
cd /data
vi qcloud.txt
```
编辑态下写入一些内容，如：“This is my first test”。按 ESC 退出编辑态后输入 `wq`保存刚刚更改的内容，此时执行 `ls` 命令可发现刚刚的文件已经写入盘中了。

有关 Linux 系统下分区、格式化及创建文件系统的更多内容，请参考 [Linux系统分区、格式化、挂载及创建文件系统](/document/product/362/6735
)。

### 若连接到 Windows 类型实例
1) 找到类似（【开始】-）【服务器管理】-【存储/计算机管理】-【磁盘管理】的路径进入磁盘管理。

2) 在创建的空弹性云盘上右键点击，选择【联机】。

3) 右键点击该磁盘，在弹出的快捷菜单中选择【新建简单卷】，根据向导提示进行操作，输入整块磁盘的大小，点击【下一步】，选择文件系统（磁盘大于2TB时一定要选择GPT分区形式），格式化分区，点击【下一步】，点击【完成】按钮：

4) 显示正在格式化，待格式化完成后，该弹性云盘即可被使用。

5) 进入创建的盘中，新建一个名为 `qcloud.txt`的文件，输入您需要的内容，点击【保存】按钮。即完成写入文件操作。

有关 Windows 系统下Windows系统分区、格式化、联机及创建文件系统的更多内容，请参考 [Windows系统分区、格式化、联机及创建文件系统](https://cloud.tencent.com/document/product/362/6734
)。