云硬盘是云上可扩展的存储设备，用户可以在创建云硬盘后随时扩展其大小，以增加存储空间，同时不失去云硬盘上原有的数据。要达到扩容并使用扩容空间的目的，用户需要扩容实体云硬盘大小，然后扩展其上的文件系统以识别新近可用的空间。

> 如果云硬盘的最大容量（4T）都无法满足您的需求，您可以使用 RAID 跨多个物理硬盘来创建一个逻辑上的超大空间。有关更多信息，请参阅 [配置云硬盘 RAID 组](/document/product/362/2932)。

## 前提条件
- 对于包年包月和按量计费类型的云服务器，当且仅当其系统盘与数据盘均为<font color="red">云硬盘</font>时，才可对配置进行调整。
- 存量操作系统为 Linux 的 8G 系统盘可通过重装系统进行扩容，支持最少 20G 到最多 50G 的系统盘容量，腾讯云免费赠送前 20G。
- 要对 **系统盘** 及类型为 **非弹性云盘** 的数据盘进行扩容时，只有在所挂载的主机关机状态下才可以进行。
- 对弹性云盘进行扩容时，若弹性云盘未挂载则可直接进行扩容；若弹性云盘已经挂载在云服务器上，则需要先对云服务器关机再进行扩容或先卸载该弹性云盘、进行扩容后再挂载回原服务器。
- 磁盘扩容后需要您手动修改文件系统配置，把新增部分容量使用起来。具体内容请参考 [扩容 Linux 文件系统](https://cloud.tencent.com/document/product/362/6738
) 和 [扩容 Windows 文件系统](https://cloud.tencent.com/document/product/362/6737
)。
- 考虑到用户的安全性，磁盘容量只可扩容，不可缩容。

## 扩容弹性云盘
### 通过控制台扩容弹性云盘

1) 打开云服务器 [CVM控制台](https://console.cloud.tencent.com/cvm)。

2) 单击导航窗格中的【云硬盘】。

3) 只有显示为【未挂载】状态且【支持挂载/卸载】的硬盘可以扩容（即未挂载状态的弹性云盘），点击末尾【更多】-【扩容】按钮，选择需要的新大小（必须大于或等于当前大小）并支付即完成了实体硬盘的扩容操作。

> 对于已经连接到了实例的弹性云盘请先执行 [卸载云硬盘](https://cloud.tencent.com/document/product/362/6740
) 操作

### 通过API扩容弹性云盘
请参考 [ResizeCbsStorage 接口](https://cloud.tencent.com/doc/api/364/2527)。

## 扩容非弹性云硬盘
### 通过控制台扩容非弹性云盘
1) 打开云服务器 [CVM控制台](https://console.cloud.tencent.com/cvm)。

2) 单击导航窗格中的【云主机】。

3) 只有显示为【关机】状态且系统盘、数据盘均为云硬盘的实例可以扩容，点击末尾【更多】-【云主机设置】-【调整硬盘】按钮，选择需要的新大小（必须大于或等于当前大小）并支付即完成了实体硬盘的扩容操作。

> 对于正在运行的系统盘、数据盘均为云硬盘的实例，需要扩容请先执行 [实例关机](/doc/product/213/4929) 操作。

## 通过API扩容非弹性云盘
请参考 [ResizeInstance 接口](https://cloud.tencent.com/doc/api/229/1306) 和 [ResizeInstanceHour 接口](https://cloud.tencent.com/doc/api/229/1344)。