公网传输加速（ITA），Internet transport acceleration，是依托腾讯云自建骨干网络的网络优化服务。ITA 能够帮助您实现网络传输优化，减少延迟、抖动和丢包，提升服务在全国范围的访问体验。
当网络出现拥塞或故障时，腾讯云通过更改公网 IP 发布地的方式，引导入流量就近接入腾讯云骨干网，达到躲避拥堵的效果。腾讯云公网传输加速支持精细调度和秒级切换，能快速为您找到最优的网络路径，屏蔽运营商网络故障，为不同选项（包括 ISP 优选、本地优先、区域优先、AS PATH 最短优先、网络资源使用率、网络时延优化等）赋予不同权重求和给出最优配置方案，支持包含主机、网段、区域、AS 号、运营商等多维度的调度策略。

目前有公网传输加速包含两种服务：

**第一种：仅在网络拥塞或故障时进行调度。**

用户在购买公网网络时即可享受此服务，腾讯云将免费加速。所有客户均可购买。

躲避拥塞：
![躲避拥塞](//mc.qcloudimg.com/static/img/d2cc90d9db1581571994de66ab1b0a94/image.png)

屏蔽故障：
![屏蔽故障](//mc.qcloudimg.com/static/img/e3f2431de979e1bdc912ddd57cda6760/image.png)


**第二种：为客户提供常态的 IP 任播（Anycast) 服务。**

此服务在内测过程中，仅定向开放给部分客户，普通客户暂时无法购买。
我们可以帮客户把弹性公网 IP 任播到多个地域，从而实现：

- 多地域同服：用户的请求和响应都可以从最近的腾讯云出口进出，而后端的服务集群、数据库和存储只需要部署一套。因为 IP 任播后，后端服务可以借助腾讯云的内网专线覆盖多个地域。而传统模式下，通常是每个地域部署一套集群或者存储节点，服务附近客户。
- 多地域加速：所有客户端都不需要走漫长的公网，服务不受公网的拥堵、南北问题、运营商故障的影响。

使用 IP Anycast 加速前后的区别如下图：
![](http://mc.qcloudimg.com/static/img/6d4bb77fee1a03d8d57d766415a19b38/image.png)


理解 ITA(公网传输加速) 需要掌握以下几个概念：

**Anycast（任播）**：来自单个发送者的数据报被路由到几个目的地节点中的任何一个，基于最靠近，最低成本，最健康，具有最少拥塞路线或其他一些距离测量。

**Broadcast（广播）**：来自一个发送者的单个数据报被路由到与该广播地址相关联的所有可能的多个端点。 网络根据需要自动复制数据报，以到达广播范围内的所有接收者，广播通常是整个网络子网。

**Multicast（多播）**：寻址使用一对多或多对多关联; 数据报在一次传输中同时路由到许多收件人。 它与广播的区别在于，目的地址指定了一个子集，而不一定是全部的可访问节点。

**Unicast（单播）**：使用发送者和目的地之间的一对一关联：每个目的地地址唯一地标识单个接收者终端。

在 ITA（公网传输加速）服务中，第一种服务本质上还是使用单播，更换了 IP 地址单播所在的路由，使流量提前进入腾讯云骨干网，改走腾讯云的专线到达 CVM，从而躲开公网的拥堵部分。此过程用户不感知，腾讯云也不额外收取费用。

第二种服务需要用到任播，弹性公网 IP 是同时在多个腾讯云节点发布的。请求首包及回包一般会从最靠近客户端的地方进出。但这不是必然的，因为物理距离最近的路径不一定是最优路径——比如腾讯云最近的节点发生故障，或者客户端与离它最近的腾讯云路由之间公网条件非常恶劣。用户需要单独购买加速型弹性公网 IP。

不管是单播调度还是任播，都需要公有云厂商有强大的全球互连互通节点网和跨地域网络调度的能力。ITA 具备的基础能力如下：
- 多路运营商聚合：腾讯云具备 Tb 级 BGP 网络出口，35+ 运营商线路；
- 实现多节点互连互通：腾讯云全球 Tb 级骨干承载；
- 多维网络监控模型，全局网络监控告警，实时感知公网状况；
- 驾驭全网的 SDN 控制器，秒级更改 IP 发布地，能多维度、精细化控制；
- 自学习最优路径算法。
