某游戏公司，BACKEND 服务集群在北京。该公司不希望部署多套逻辑和数据层，从而降低成本。但又希望全国的客户能接入，同时需要全局漂移 IP 作为访问的唯一入口，并可做全局的就近分配、动态流量分配、故障剔除。
然而，客户自建的 IDC 和中小型公有云厂商不具备网络跨地域调度能力，更无 Anycast 能力，前期客户只能：
- 区分多个外网 IP，每个地域都部署集群，维护多个逻辑层，数据层跨地域读写，一致性和实时性很差；
- 只能寄望运营商链路质量。北京某运营商骨干网故障导致 A、U 等多家服务商 BGP 网络异常，部分地区无法访问。该游戏的用户流失严重；
- DDOS 攻击流量集中在一个 IP 上，影响巨大；

这显然无法让客户满意。

于是客户在腾讯云帮助下实现以下方案：
![方案图](http://mc.qcloudimg.com/static/img/28260e6ab50b6f4bb6b426eb8e291ec1/image.png)

方案重点如下：

- 多点接入，跨地域绑定，实现全球同服：
用户只用集中维护一套集群，然后 IP/LB 以跨地域绑定方式覆盖全国用户，真正意义的全球同服。该客户同时参与腾讯云的 Anycast EIP 的内测，后续能进一步提高业务全球服务能力————不用感知网络路径的选择，无需手动指定 IP 发布的位置，由腾讯云在合适的地域进行 IP 任播来达到质量最优。
 
- 更改 IP 发布路由躲拥堵/故障：
更改 IP 的发布地，让流量躲开拥堵地区，实现网络效果优化。出方向同样基于原路返回原则，快速响应 client 端。
比如当北京-河北的电信网络链路故障，可以停止北京的 BGP 接入路由器发布该游戏的服务 IP，改在广州和上海发布。河北地区游戏用户访问北京的流量会通过上海或广州的 BGP 流量入口绕行至腾讯云骨干承载网，再回到北京公有云的 CVM 上。

使用公网传输加速的类似客户还有乐港游戏、福建网龙、富途证券、英魂之刃等。
