本文档旨在介绍几种Linux环境下基本的软件安装和环境配置，您可以根据需要自行选择是否安装。<font color="red">新手用户并不是接下来的每一步都必须执行，请在确定了服务器用途后再进行相应配置。</font>

本文档均以CentOS 7.1 64位为例进行说明。

## 1. 安装及启动nginx
输入`yum install nginx`命令进行nginx的安装，当需要确认时输入”y“确认。
![](https://mccdn.qcloud.com/static/img/61147e054115619d36e6905673152e90/image.png)
![](https://mccdn.qcloud.com/static/img/794e597a0e98fee3a01b1a84723d2f9f/image.png)

输入`service nginx start`启动nginx服务。
![](https://mccdn.qcloud.com/static/img/e3119ba3fcb6e4d47073fd15314be999/image.png)

输入`wget http://127.0.0.1`测试nginx服务。
![](https://mccdn.qcloud.com/static/img/0bb46762a9fe83ccd465d84000d559c3/image.png)

## 2. 安装PHP及相应组件
输入`yum install php php-fpm`命令进行PHP的安装，当需要确认时输入”y“确认。
![](https://mccdn.qcloud.com/static/img/ec8844bef38f70027a97143a688f2dfc/image.png)
![](https://mccdn.qcloud.com/static/img/5c2039fd3cc49c6e6956780bc08e47d7/image.png)

输入`service php-fpm start`启动php-fpm服务，并使用命令`cat /etc/php-fpm.d/www.conf |grep -i 'listen ='`查看php-fpm配置。
![](https://mccdn.qcloud.com/static/img/8be48384350b88c1a2f46a4d6ce8a773/image.png)
![](https://mccdn.qcloud.com/static/img/8f44a5ab11d6c6dd600b4fae0940d00f/image.png)

上图可见php-fpm的默认配置的监听端口为9000，现在需要修改配置将php解析的请求转发到127.0.0.0：9000处理即可。

使用命令`nginx -t`查找nginx配置文件，并使用`vi`命令修改该配置文件：
![](https://mccdn.qcloud.com/static/img/43addfa0593b6daa1fb19f957dad1425/image.png)

在配置文件中找到以下片段，修改红色部分。

<div class="code">
<p>
</p>
<pre>  
server {
 <font color="red"> listen       80;</font>
  <font color="red">root   /usr/share/nginx/html;</font>
 <font color="red"> server_name  localhost;</font>
  #charset koi8-r;
  #access_log  /var/log/nginx/log/host.access.log  main;
  <font color="red">location / {
      index  index.html index.htm;
  }</font>
  #error_page  404              /404.html;
  # redirect server error pages to the static page /50x.html
  #
  error_page   500 502 503 504  /50x.html;
  location = /50x.html {
      root   /usr/share/nginx/html;
  }
  # pass the PHP scripts to FastCGI server listening on 127.0.0.1:9000
  #
  <font color="red">location ~ \.php$ {
      fastcgi_pass   127.0.0.1:9000;
      fastcgi_index   index.php;
      fastcgi_param  SCRIPT_FILENAME  $document_root$fastcgi_script_name;
      include        fastcgi_params;
  }</font>
 
}
</pre>



修改后保存，输入`service nginx restart`重启nginx服务。

在web目录下创建index.php：

```
vi /usr/share/nginx/html/index.php
```

写入如下内容：

```
<?php
echo "<title>Test Page</title>";
echo "hello world";
?>
```

在浏览器中，访问CentOS云服务器公网IP+php网页名称查看环境配置是否成功，如果页面可以显示“hello world”，说明配置成功。
![](https://mccdn.qcloud.com/static/img/eaf3dc9799b156e706225c3687f0ae60/image.png)

若您无法访问此网页，请查看您的服务器是否配置了安全组导致端口无法被访问。

## 3. 通过Filezilla实现本地Windows上传文件到Linux服务器/从Linux服务器下载文件
本方法仅适合本地为Windows系统的用户，可实现将本地文件上传至Linux服务器/下载Linux服务器上的文件。本地为Linux系统的用户可直接使用SCP命令进行上传下载。

本地安装Filezilla客户端，参考下载地址：https://www.filezilla.cn/download/client

点击【文件】-【站点管理器】，点击【新站点】按钮，输入以下内容：
![](https://mccdn.qcloud.com/static/img/58132d70663ac9ce5169462eb9ccb944/image.png)

- 主机：Linux云服务器的公网IP
- 端口：远程连接端口，默认22
- 协议：选择【SFTP】ssh文件传输协议
- 登录类型：选择正常
- 用户：Linux云服务器的登录用户，默认为root
- 密码：Linux云服务器的登录密码

点击【连接】按钮，等待连接Linux合作云服务器。
![](https://mccdn.qcloud.com/static/img/6653190a5e08b34c83d1f3d9ed9a84f6/image.png)

连接成功后，左侧为本地文件，右侧为服务器端文件。
- 需要上传本地文件至服务器时，在左侧需要上传的文件上右键单击【上传】按钮，文件即可上传到右侧服务器文件目录下；
- 需要下载服务器文件至本地时，在右侧需要下载的文件上右键单击【下载】按钮，文件即可下载到左侧本地文件目录下。
