## 密码重置
- 密码重置操作是依赖于蓝鲸底层平台来实现的，密码重置操作需要保证合作云服务器为开机状态、有公网IP且底层蓝鲸的Agent正常运作。如系统不可达或者Agent处于不正常状态会影响密码重置功能。如密码重置时间过长或者失败请联系[客服](https://www.qcloud.com/document/product/282/1558)处理，具体操作方式如下图。
![Alt text](https://mc.qcloudimg.com/static/img/17ae084bb1950c0fce12d4d193a6aab2/image.png)


## 配置变更
- 配置变更支持升配和降配。配置变更前需要关机，支持CPU、内存、磁盘和网络带宽的配置。 如升级配置当天生效，当天按照新的配置计费，如降低配置当天生效，从第二天开始按照新的配置计费。磁盘本地ssd仅限一块数据盘，san盘支持4块数据盘，网卡变更仅支持同类型的升降配。具体操作方式如下图。
![Alt text](https://mc.qcloudimg.com/static/img/15427bd0bdd74483fc2e8d7fa96781c4/image.jpg)


## 制作镜像
- 镜像支持跨地域使用，无需对镜像做跨地域复制。制作镜像默认需要先停机再处理。目前支持对系统盘和系统盘&数据盘两种模式的制作。制作镜像时系统盘默认会加入镜像中，数据盘可以根据实际使用需求灵活指定。如果使用镜像生产合作云服务器，系统盘、数据盘会按照镜像配置中数据盘和系统盘的大小以及数据盘对应的配置来配置，此配置无法修改，生产完成之后可支持灵活配置变更。默认单账号最大镜像个数为5，如存量已经达到5个则无法制作新的镜像，请合理使用镜像配额。具体操作方式如下图，可以按照实际需求选择磁盘的组合。
![Alt text](https://mc.qcloudimg.com/static/img/7c391d26ef4db2ad8c4e09a026c1ea69/image.png) 


## 秘钥管理
密钥管理依赖于蓝鲸的Agent实现，使用此功能时请保证合作云服务器为在线状态、有公网IP且Agent正常运转。
- 密钥添加
	- 支持直接生成和主动导入的添加方式。
- 密钥绑定
	- 对在线合作云服务器支持灵活的绑定操作，绑定完成即可使用密钥登录。秘钥包含项目属性，只可绑定对应项目的合作云服务器。
- 密钥解绑
	- 对在线合作云服务器支持灵活的解绑，解绑需谨慎。解绑完成后，使用该密钥登录的用户将无法登录。
- 密钥删除
	- 默认情况下，删除密钥操作需要先解绑所有相关的合作云服务器。

## 监控管理
监控目目前依赖于蓝鲸的Agent实现，使用此功能时请保证合作云服务器为在线状态、有公网IP且Agent正常运转，具体请点击合作云服务器详情就可以查看该合作云服务器的监控数据。
![Alt text](https://mc.qcloudimg.com/static/img/c2856f2f0a1560c98009680a2336e241/image.png) 
- 监控指标主要覆盖如下指标
	- CPU
	- 内存
	- 磁盘
	- 网络
- 监控力度
	- 目前支持分钟级的监控力度。
	- 目前仅支持一天的数据监控。 
## 销毁管理
- 随时销毁即时生效，销毁前请提前确认是否有风险。

## 安全终端
安全终端是一种基于 VPN 隧道和 VNC 协议的安全访问方式，访问过程中有多重身份认证机制保护，确保用户安全、可靠的访问目标云主机系统。使用安全终端登录云主机，您只需完成下面三步：
- 建立 VPN 连接：与目标云主机所在区域的 VPN 网关建立加密连接。
	- [下载：Windows7建立 VPN 连接的方法](https://mc.qcloudimg.com/static/pdf/5b28737984b35a5fcdc252c426a82d70/docfile.pdf) 
- 建立VNC连接：与目标云主机建立 VNC 内网连接。
	- [下载：Windows7的 VNC 客户端（只需安装 VNC viewer 组件）](https://mc.qcloudimg.com/static/archive/8f9ae9ab80eba582156776b0404bcb92/vnc-P4_2_5-x86_win32.zip)
	-  [下载：Windows7建立 VNC 连接的方法](https://mc.qcloudimg.com/static/pdf/75e5a78aa1010dcd8df0b5d42208a9a1/docfile.pdf)	
- 登录云主机：在 VNC 客户端窗口中，使用目标云主机的登录信息，直接登录系统。

