## Cluster Management
Tencent Cloud's CCS allows you to manage your container cluster easily and efficiently, to seamlessly connect to Tencent Cloud's computing, storage, network capabilities.

### Cluster Composition
- Currently, all the CVM types that support Cloud Block Storage are supported by Tencent Cloud, to help you build clusters flexibly.
- Exclusive use of container cluster and cross-zone deployment of cluster in VPC ensure the security and reliability of your cluster
- Flexible billing mode. Postpaid mode is supported now, and Prepaid mode will be available soon.

### Cluster Management
- Dynamic scalability of cluster is supported. Upgrade/Degrade is supported for nodes.
- Cross-zone management and deployment of nodes in the cluster, and cross-zone dispatch of containers in the service are supported.
- A wide range of monitoring metrics of modes in the cluster are provided. Cluster alarm policy can be customized.

## Service Management
Service management provides an efficient container management solution, and supports the following features: quick creation of service, quick scaling, load balancer, service discovery, service monitoring, health check, etc. You can manage your container conveniently by using this service.

### Improving Efficiency of Service Deployment
- By controlling service version with template and ensuring the consistency of environment using image, you can migrant and expand the service more quickly.
- Service discovery is supported. The service can be accessed using load balancer domain or both service name and port, to avoid the impact of IP change in case of change of service backend.
- Microservice is supported to reduce the maintenance costs, to meet the fast-changing business demands.

### Dynamic Scalability
- Flexible scale-out of service is supported to respond to the rapid changes in your business.
- Service container can be deployed in seconds, and the business update service cannot be interrupted by rolling update.

### Secure Operation
- An exceptional container can be restored automatically. Containers in the service can be deployed across the region and migrated in a fast way.
- Stateful service data can be stored persistently in many formats, to ensure the security of user data.

### Rapid OPS
- There is a wide range of monitoring data used to analyze the health status of service to provide rapid response.
- Custom monitor alarm is supported, to acquire service status information timely.

## Image Management
Tencent Cloud Image Warehouse contains Dockerhub official images and private user images. Image management allows you to quickly build the image and deploy the service.

### Dockerhub Official Image Management
- Sync with Dockerhub official images periodically.
- Accelerated pulling of Dockerhub official images is supported.

### Private Image Management
- Secure and reliable private image repository is provided.
- Images can be uploaded and downloaded quickly through private network.
- Images can be acquired in all regions through public network.
- On the premise of stable running of service in the cluster, the container allocates host resources in a find-grained way, and runs as many containers as possible, to improve the resources utilization of cluster.

