## 微服务架构
微服务架构适用于构建复杂的应用，将单体式应用从不同纬度拆分成多个微服务，每个微服务的内容使用一个 docker 镜像管理。
**腾讯云容器服务部署微服务优势**：
1. 简化了集群管理，无须安装、管理操作集群。
2. 无缝衔接了腾讯云的计算、网络、存储、监控、安全能力，直接使用腾讯云 IAAS 能力。
3. 支持服务编排，服务粒度管理应用，简单易懂，资源高度隔离、服务高可用。

![](https://mc.qcloudimg.com/static/img/0581dbeb97c869bbe6e62025dbc592d7/image.png)

## 持续集成与持续交付
通过持续集成与持续交付提供优秀的 DevOps 环境，极大提高软件发布效率。
**持续集成**：持续集成强调开发人员提交了新代码之后，立即进行构建、（单元）测试。根据测试结果，我们可以确定新代码和原有代码能否正确地集成在一起。
**持续交付**：持续交付在持续集成的基础上，将集成后的代码部署到运行环境。

**优势**： 
通过在腾讯云容器服务上部署服务，开发人员在 Git 或其他代码平台提交新代码后，可立即进行构建、测试、打包集成。在持续集成的基础上，将集成的代码部署到预发布环境和现网环境上。

![](https://mc.qcloudimg.com/static/img/1c6637249c43409e014d14558969ec78/image+%281%29.png)

## 业务快速上云
个人或企业业务迁移到腾讯云上，可选择腾讯云的容器服务来简化上云配置，简化集群管理，提升业务交付速率。
腾讯云容器服务让您一键点击创建服务，快速实现应用容器化部署，同时也可达到弹性扩缩、按需部署、高可用、易扩容、开发友好、降低人力成本的效果。

![](https://mc.qcloudimg.com/static/img/ba241e06581e58a7a342a4cf76fd3140/image+%282%29.png)



