## Microservice Architecture
Split user's current system into multiple microservices at different dimensions, and manage the content of each microservice with a Docker image.

## Stateless Business
With scaling-out capability based on CCS and auto-recovery capability, stateless business is ideal for containerization deployment.

## Accelerating Developing and Improving Developer's Efficiency
Encode the operating environment and configuration; lower the requirements of hardware and software; streamline the process of managing codes; provide a consistent environment from development to launch.

## Persistent Integration and Delivery
Create a self-built image warehouse through Tencent Cloud Hub image service and associate code source. Code update will automatically trigger the automatic building of Docker image.
Set the automatic deployment of image update, to realize persistent integration and delivery in a seamless way.

## Cross-Cloud Deployment
Direct deployment across multiple clouds and clusters can be realized based on Kubernetes cluster federation.

## Deployment of Multiple Pods on Single Host, Deployment of New Environment, Configuration Management
Since different containers run under isolated environments, you can deploy multiple pods on a single host, create new environment through Dockerfile, and deploy Docker image rapidly.

