
## 服务等级协议

### 1. 业务功能 
腾讯云提供的容器服务功能，具体包括:

- 集群：创建、删除、查看和扩展集群，删除集群节点，管理集群Namespace，管理集群项目，Kubectl操作集群等。
- 服务：创建、删除、查看和更新服务，重新部署服务，查看服务事件和日志，远程终端连接容器，服务标签管理等功能。
- 配置项：创建、删除、查看和修改配置项，将配置项导入到容器、配置项导入到环境变量等功能。
- Ingress：创建、删除、查看和修改Ingress，设置ingress的监听端口，设置ingress的转发规则。 
- 镜像仓库：创建、删除、查看和修改私有镜像，使用dockerhub和tencenthub镜像，源码构建镜像，设置镜像触发器等功能。

所有功能均已在官网提供详细的功能介绍和使用说明文档。

### 2. 业务可用性
容器服务承诺99.95%的业务可用性，即用户每月业务可用时间应为30天x 24小时 x 60分钟 x 99.95%=43178.4分钟，即允许存在43200-43178.4=21.6分钟的不可用时间，其中业务不可用的统计单元为用户单业务实例，对于容器而言，用户单业务实例即为集群。
其中不可用时间：容器服务在连续的10分钟或更长时间不可使用方计为不可用时间，以下情况不纳入不可用时间计算：
1. 不可使用的连续服务时间低于10分钟的，
2. 日常系统维护时间、所依赖的云主机服务、云数据盘服务、负载均衡服务、私有网络服务、云监控服务的不可用时间
3. 由用户原因、第三方原因或不可抗力导致的不可用时间。 

涉及相关云主机、云数据盘、负载均衡等产品可用性可查看对应的SLA。

### 3. 数据存储的持久性
容器服务承诺99.999999%的数据存储持久性，即用户每月每100000000个集群的数据，每月只有1个集群有数据丢失的可能性。

### 4. 故障恢复能力 
腾讯云提供专业团队7x24小时帮助维护，能够及时修复出现故障的容器服务集群。

### 5. 服务和数据可销毁性
在用户要求删除或销毁集群、集群内节点、集群Namespace、服务、ingress、配置项、镜像仓库等数据时，腾讯云将直接销毁相关数据，并无法复原。

### 6. 服务私密性
腾讯云容器服务通过配置网络策略，实现租户隔离，归属同一用户的容器集群才能内网互通，不同用户之间容器集群和集群内资源相互不可见，相互不能访问。

### 7. 服务知情权
1. 目前用户容器服务部署在四个地域，分别是：广州、上海、北京、新加坡。用户购买容器集群时可根据需求选择已有数据中心购买服务器。跟据用户述求，可设置跨地域网络互联。（可以通过提交工单咨询）
2. 用户已知的数据中心均遵守当地的法律和中华人民共和国相关法律。
3. 用户所有数据不会提供给任意第三方，除政府监管部门监管审计需要。
4. 用户所有数据不会存在国外数据中心或用于国外业务或数据分析。
5. 用户可查看其信息和应用的类型、数据存储的位置和名称、数据的备份。

### 8. 服务可审查性
腾讯云在依据现有法律法规体系下，出于配合政府监管部门的监管或安全取证调查等原因的需要，在符合流程和手续完备的情况下，可以提供容器服务的相关信息，包括关键组件的运行日志、运维人员的操作记录、用户操作记录等信息。

### 9. 服务计量准确性
腾讯云服务的费用在用户的选购页面和订单页面均有明确展示，用户可自行选择具体服务类型并按列明的价格进行购买。具体价格以腾讯云官网公布的价格为准，腾讯云按照用户选购的云服务规格和使用时长进行收费。
 
### 10. 数据可迁移性
容器服务提供的镜像仓库，可以同原生的docker push和pull命令进行上传和下载。可以很方便的将用户的容器镜像上传到云上，或将云上的容器镜像转存到本地服务器。
Docker push 可以将本地服务器的容器镜像上传到腾讯云或第三方镜像仓库中。
Docker pull  可以将云上的容器镜像下载到本地服务器。
通过docker push和pull命令可以无缝的进行数据迁移。

### 11. 服务补偿
#### 11.1 适用范围
因腾讯云设备故障、设计缺陷或操作不当导致用户所购买的容器服务无法正常使用，腾讯云将对不可用时间进行赔偿，但不包括主合同中的责任限制章节原因所导致的不可用时长。
#### 11.2 补偿标准原则
腾讯云对客户未能达到本服务等级协议约定业务可用性的每种服务按不可用时间的10倍赔偿。
赔付金额=未能达到业务可用性的每种服务在故障前24小时平均每分钟费用（若不足24小时，则按实际使用时长的平均值计算费用）x故障时间x10。
说明：
1. 容器服务所使用资源如云服务器、负载均衡器等资源遵循对应的云主机服务等级协议(SLA)和负载均衡服务等级协议等。
2. 容器服务本身故障时间=容器服务故障解决时间-容器服务故障开始时间。按分钟计算故障时间，故障时间小于1分钟的按1分钟计算。例如，故障时间为1分01秒，按2分钟算。
3. 赔偿只针对使用腾讯云容器服务本身并已产生费用的客户，赔付金额以代金券的形式发放，不折算现金返还，赔付金额不超过客户对该故障服务当次支付的费用总额。

### 12. 客户权利义务
您有权依照本协议约定使用您采购的腾讯云服务并获得腾讯云公司的技术支持和售后服务。
您在使用腾讯云服务时须遵守相关法律法规，维护互联网秩序和安全；不得从事包括但不限于以下行为，也不得为任何违反法律法规的行为提供便利：
1. 实施涉嫌博彩、赌博、“私服”、“外挂”等非法活动；
2. 实施诈欺、虚伪不实或误导行为，或实施侵害他人知识产权等任何合法权益的行为；
3. 发布、传播垃圾邮件（SPAM）或包含反动、封建迷信、淫秽、色情、低俗等违法违规信息；
4. 违反与腾讯云网络相联通之网络、设备或服务的操作规定；
5. 实施违法或未授权之接取、盗用、干扰或监测；
6. 实施任何破坏或试图破坏网络安全的行为，包括但不限于以病毒、木马、恶意代码、钓鱼等方式，对网站、服务器进行恶意扫描、非法侵入系统、非法获取数据等；
7. 实施任何改变或试图改变腾讯云服务提供的系统配置或破坏系统安全的行为；
8. 利用技术或其他手段破坏、扰乱腾讯云服务的运营或他人对腾讯云服务的使用；
9. 以任何方式干扰或企图干扰腾讯云公司任何产品或任何部分、功能的正常运行，或者制作、发布、传播上述工具、方法等；
10. 因从事包括但不限于“DNS解析”、“安全服务”、“域名代理”、“反向代理”等任何业务，导致您自己频繁遭受攻击（包括但不限于DDoS攻击）且未及时更正行为，或未根据腾讯云公司要求消除影响，从而对腾讯云服务平台或他人产生影响的。

您不应在腾讯云服务上安装、使用盗版软件等，并且您应按照国家有关规定对您使用的计算机信息系统采取安全保护措施，包括但不限于安装经国家许可的计算机信息系统安全专用产品等。
您应当按时付款。若您使用后付费服务且逾期付款的，您除应依约支付到期费用外，还应按所欠费用每天加收３‰的标准向腾讯云公司支付迟延履行金，直至缴清全部费用为止。若您逾期15天未支付到期费用的，腾讯云公司有权单方终止本协议。若您同时使用了预付费服务的，则您未使用的服务期限对应的费用将作为违约金归腾讯云公司所有。

### 13.其他
腾讯云有权根据变化对本协议的部分服务条款进行改变；涉及到客户使用的变更会以邮件形式进行推送。

