## 创建服务常见问题
### 1.服务的名称为什么不能重复？
服务名称是当前集群下的服务的唯一标识，服务之间可以通过服务名称+访问端口的形式互相访问。

### 2.创建服务能否使用非腾讯云或dockerhub镜像的第三方镜像？
可以通过登录到主机执行docker login命令登录到第三方镜像仓库拉取。
控制台使用第三方镜像即将开放。

### 3.使用外网服务的有什么前置条件？
确保集群内的云主机拥有外网带宽，否则外网服务将创建失败。

### 4.内存限制，CPU限制如何填写？
详情参考[容器服务资源限制说明](https://cloud.tencent.com/document/product/457/6767)。

### 5.创建服务时的特权级是什么意思？
开启该选项会使得容器内程序具有真正的root权限。在容器内程序需要进行高级系统操作时建议开启，如搭建nfs服务器。

## 更新服务容器数量常见问题
### 1.更新容器数量需注意哪些问题？
需确认CPU、内存资源充足，否则容器将创建失败。
### 2.能否将容器数量设为0？
可以，通过将容器数量设置为0，保存服务配置并且释放资源占用。

## 更新服务配置常见问题
### 1.更新服务是否支持滚动更新？
支持滚动更新和快速更新两种方式。

## 删除服务常见问题
### 1.删除服务后服务创建的负载均衡会自动销毁么？
删除服务会将该服务下的所有容器和外网负载均衡一并销毁，请提前备份好数据。

## 服务运行常见问题
### 1.如何设置容器系统时间为北京时间
容器默认使用UTC时间，使用容器时经常碰到容器系统时间和北京时间差8小时的问题，解决方法是在dockerfile中创建时区文件
```
RUN echo "Asia/shanghai" > /etc/timezone;
```

### 2.Dockerhub部分镜像如ubuntu、php和busybox等在容器服务里运行异常
运行异常是因为没有设置启动命令或者默认的启动命令为bash，导致容器执行完启动程序就退出了。要使容器一直运行，容器里PID为1的进程必须是常驻进程，否则PID为1的进程一结束容器就退出了。对于部分镜像如centos等，可以使用/bin/bash作为运行命令， -c sleep 800000作为运行参数来创建服务，在控制台填运行参数时-c和sleep 800000必须放在两行。

目前已知的使用默认参数启动不了服务的镜像包括这些:clearlinux、ros、mageia、amazonlinux、ubuntu、clojure、crux、gcc、photon、java、debian、oraclelinux、mono、bash、buildpack-deps、golang、sourcemage、swift、openjdk、centos、busybox、docker、alpine、ibmjava、php和python。
