﻿## 应用详情页面对服务进行操作

在应用详情页面，可以看到应用下所有服务的状态。服务的状态包括部署状态和运行状态。在对应服务的右侧，有服务操作的按钮，支持多种对服务的操作。

![管理应用内服务-01.png-38.6kB][1]

**部署状态： 服务内资源是否执行部署操作的描述**
|部署状态名称  |  部署状态说明 | 
|------------------|-----------------------|
| 未部署  | 服务只是编辑了模板内容，未执行部署操作 |
| 已部署  | 服务只是编辑了模板内容后，执行部署操作完成 |
| 部署待更新  | 服务只执行部署操作后，再次编辑模板内容(或者配置项) |
| 部署待删除  | 服务只执行部署操作后，在模板内容中删除该服务 |

> 在应用更新页面更新应用后，如果服务的模板内容有修改，则服务部署状态会改变。但服务的运行状态不会发生改变。

**服务状态: 服务部署后，实际的运行状态**

|服务状态名称  |  服务状态说明 | 
|------------------|-----------------------|
| 运行中  | 服务部署完成后，服务正常运行 |
| 启动中  | 服务部署后，服务正在启动 |
| 异常    | 服务部署后，服务实例运行异常 |
| 查询异常    | 服务部署后，查询服务信息失败 |
| -       | 服务未部署，显示空的服务状态信息 |

## 服务不同部署状态下支持的操作说明

在应用中的服务支持： `部署`，`取消部署`，`更新`，`删除`，`查看YAML`等操作。在服务的不同状态下，支持的操作如下表所示：

|状态名称  |  部署操作 | 取消部署操作|更新操作|删除部署操作| 查看YAML操作|
|------------------|-----------------------|----------------------|
| 待部署 | 支持   |不支持|不支持|不支持|支持|
| 已部署   | 不支持 |支持|不支持|不支持|支持|
| 待部署更新 |  不支持 |支持|支持|不支持|支持|
| 待删除部署 |  不支持 |不支持|不支持|支持|不支持|

## 服务差异化对比状态说明
在应用更新页面，会自动对比选择将要修改的模板内容和应用中现有的模板内容直接的差异。对比后用`新增`，`无变化`，`有更改`，`将删除`这几个状态。具体的状态说明如下表所示：
|状态名称  |  差异化状态说明 |
|------------------|-----------------------|----------------------|
| 新增 | 应用中没有该服务，但在修改的内容中增加了该服务 |
| 无变化 | 将要修改的模板内容与应用中该服务现有的模板内容无差异   |
| 有更改   | 将要修改的模板内容与应用中该服务现有的模板内容有差异|
| 删除 |  应用中有该服务，但在修改的内容中该服务不存在 |

  [1]: https://mc.qcloudimg.com/static/img/b663221cda12d355f8019eac3deae488/image.png