﻿## 新建应用模板
 
登录 [腾讯云容器服务控制台](https://console.cloud.tencent.com/ccs) 。在应用管理->[应用模板][1]页面点击新建
 
![应用模板列表][2]

## 应用模板增加服务

应用模板中增加服务，是通过导入服务相对应的模板内容实现的。导入服务模板内容包括两种可选的方式: 1. 从控制台导入 2. YAML文件导入

>**注意：**
>可以根据场景选择使用其中的任意一种方式

更多关于导入模板内容的说明，可以参考[应用模板内容操作指引][3]

**导入方法1： 控制台导入服务**：

点击导入服务按钮，弹出服务导入的控制台

![应用模板创建-005.png-76.3kB][4]

![应用模板创建-006.png-44.8kB][5]

在导入服务控制台，填写对应的参数后，点击确认，则自动生成服务的模板内容。更多关于控制台导入模板内容的说明，可以参考[应用模板内容操作指引-控制台导入服务][6]。

**导入方法2： YAML文件导入服务**：

点击服务添加按钮，添加服务

![应用模板创建-007.png-26.5kB][7]

将在服务编辑中，编辑服务的内容。可以直接拷贝模板内容到服务编辑框。下面是一个nginx示例的模板内容。更多关于YAML文件导入模板内容的说明，可以参考[应用模板内容操作指引-YAML文件导入模板内容][8]。

```
apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  annotations:
    description: nginx服务
  creationTimestamp: null
  name: nginx
  namespace: '{{.NAMESPACE}}'
spec:
  replicas: 1
  revisionHistoryLimit: 5
  selector: {}
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
    spec:
      containers:
      - image: nginx:latest
        imagePullPolicy: Always
        name: nginx
        resources:
          requests:
            cpu: 200m
        securityContext:
          privileged: false
      serviceAccountName: ""
      volumes: null
status: {}
---
apiVersion: v1
kind: Service
metadata:
  creationTimestamp: null
  name: nginx
  namespace: '{{.NAMESPACE}}'
spec:
  ports:
  - name: tcp-80-80-ai6zd
    nodePort: 0
    port: 80
    protocol: TCP
    targetPort: 80
  selector: {}
  type: LoadBalancer
status:
  loadBalancer: {}
```

## 应用模板内容编辑

在应用模板内容的编辑框中，可以编辑和修改对应服务的内容。例如：可以在模板内容中修改镜像的版本，从 "latest"修改为"stable"(镜像的版本从最新版修改为稳定版)。

![应用模板创建-009.png-48.7kB][9]

模板内容满足一定的编排语法规则，更多关于语法规则的说明可以参考[编排语法能力说明][10]。
  
## 应用模板配置项设置

在模板内容中，如果有些参数在不同环境下是不相同的，或者需要进行频繁的修改。可以将这部分参数转换成一个可配置的变量。例如在上面的示例中，可以将镜像版本设置为变量`IMAGE_VERSION`，在配置项中设置`IMAGE_VERSION`的值为"stable"。

具体的操作步骤如下:

**步骤一： 编辑模板内容，将参数用变量替换**
如下图所示将模板内容中镜像的版本这个参数使用`IMAGE_VERSION`变量替换。变量形式为"{{.xxxx}}"。更多关于变量设置的说明，可以参考[变量设置][11]。

![应用模板创建-011.png][12]

**步骤二： 提取模板中的变量作为配置项**

在配置项区域，可以点击`从模板内容导入`按钮，可以将模板内容中的变量提取成为配置项。

![应用模板创建-012.png][13]

**步骤三： 设置配置项中变量的值**

在配置项中设置`IMAGE_VERSION`的值为"stable"。这样在使用应用模板部署应用时，如果使用应用模板中的默认配置项，则会在部署时使用"stable"作为镜像的版本。当然也可以根据不同环境的需求，在配置项中将`IMAGE_VERSION`变量设置成不同的值，从而实现在不同环境下的使用不同的镜像版本进行部署。

![应用模板创建-013.png][14]

## 应用模板保存

在写好应用模板的内容和默认配置项后，可以点击`完成`按钮，保存新创建的应用模板。

![应用模板创建-008.png-24.8kB][15]

## 查看创建的模板

在[应用模板][16]列表页面，可查看到刚创建的应用模板。

![应用模板创建-010.png-39kB][17]


  [1]: https://console.cloud.tencent.com/ccs/template
  [2]: https://mc.qcloudimg.com/static/img/916facfa358f0ab96524c2e644a3b223/image.png
  [3]: https://cloud.tencent.com/document/product/457/12199
  [4]: https://mc.qcloudimg.com/static/img/e071d917c7f3b06ccaca50700e42d233/image.png
  [5]: https://mc.qcloudimg.com/static/img/c6f4b27b1b49cfe17f4f3ba91286c28c/image.png
  [6]: https://cloud.tencent.com/document/product/457/12199#.E6.8E.A7.E5.88.B6.E5.8F.B0.E5.AF.BC.E5.85.A5.E6.9C.8D.E5.8A.A1.E7.9A.84.E6.A8.A1.E6.9D.BF.E5.86.85.E5.AE.B9
  [7]: https://mc.qcloudimg.com/static/img/bcacd95ac7545135efabfbee1b802f37/image.png
  [8]: https://cloud.tencent.com/document/product/457/12199#yaml.E6.96.87.E4.BB.B6.E5.AF.BC.E5.85.A5.E6.A8.A1.E6.9D.BF.E5.86.85.E5.AE.B9
  [9]: https://mc.qcloudimg.com/static/img/339429c850d4d5359d018202b60ed534/image.png
  [10]: https://cloud.tencent.com/document/product/457/12200#.E7.BC.96.E6.8E.92.E8.AF.AD.E6.B3.95.E8.83.BD.E5.8A.9B.E8.AF.B4.E6.98.8E
  [11]: https://cloud.tencent.com/document/product/457/11956
  [12]: https://mc.qcloudimg.com/static/img/f15c3759fcb010aefabc8bf82a4e755a/image.png
  [13]: https://mc.qcloudimg.com/static/img/6881a3715cd30420b3f9f10f8c9397dc/image.png
  [14]: https://mc.qcloudimg.com/static/img/bdad7e3c9ffea42a2b959e8d156b320a/image.png
  [15]: https://mc.qcloudimg.com/static/img/434bace9cc2026205ec300299e2c1a47/image.png
  [16]: https://console.cloud.tencent.com/ccs/template
  [17]: https://mc.qcloudimg.com/static/img/ee06586b2b4743920a45a4e62918ba06/image.png