﻿在应用模板(或者应用)中，通过YAML格式的描述性语言将服务的部署信息保存成模板内容，从而实现多次复用和多环境下部署不同的应用。可以在模板内容区域导入和编辑服务的模板内容。

模板内容支持两种方式导入：1. 通过控制台导入  2. 通过YAML文件导入

>**注意：**
>可以根据场景选择使用其中的任意一种方式

**控制台导入**可以通过在控制台填写服务的相关参数，自动转换成模板内容的YAML描述文件，适用于YAML描述文件不存在的情况。**YAML文件导入**可以直接拷贝已经存在的YAML描述文件内容到模板内容区域，适用于YAML描述文件已经存在的情况。

![模板内容操作-001.png-31.8kB][1]

## 控制台导入服务的模板内容

在新建模板(或者新建应用)页面，点击`导入服务`按钮，可以在控制台填写对应的参数，自动转换成服务的模板内容。

![模板内容操作-002.png-71.9kB][2]
![模板内容操作-003.png-48kB][3]

服务导入页面参数设置，与服务创建页面参数设置保持一致。
主要参数包括： 服务的基本信息，数据卷设置，运行容器参数设置，实例数量设置，服务访问类型和端口等。

例如在示例中部署一个nginx服务，填写的参数如下：

设置服务的基本信息：
1. 填写服务名称`nginx`
2. 填写服务描述`nginx服务`

设置服务的数据卷信息：
未使用数据盘，无。

设置镜像参数：
4. 在设置容器运行参数中的镜像参数：
容器名称设置为`nginx`
镜像名称设置为`nginx`
版本号选择为`latest`

设置服务的实例数：
5. 服务的实例数设置为1

设置服务的访问方式：
6. 服务的访问方式设置为集群内访问
7. 服务的访问端口：容器端口和服务端口都设置成80

更多关于参数设置内容可以参考 [服务创建][4]操作的相关文档。

填写参数后，点击导入服务的`完成`按钮，控制台自动导入服务的模板内容。
![模板内容操作-004.png-47.4kB][5]

## YAML文件导入模板内容

如果已经存在服务对应的模板内容的YAML文件，可以直接将模板内容导入到编辑框中。具体的步骤如下：

**步骤一 创建对应的服务**：
在模板内容编辑区域，点击"+"号按钮，新增一个服务。

![模板内容操作-005.png-37.3kB][6]

**步骤二 导入模板内容**：

可以将下面YAML文件中的内容，直接拷贝到编辑框中，导入服务的模板内容。
```
apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  annotations:
    description: nginx服务
  creationTimestamp: null
  name: nginx
  namespace: default
spec:
  replicas: 1
  revisionHistoryLimit: 5
  selector: {}
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
    spec:
      containers:
      - image: nginx:latest
        imagePullPolicy: Always
        name: nginx
        resources:
          requests:
            cpu: 200m
        securityContext:
          privileged: false
      serviceAccountName: ""
      volumes: null
status: {}

---
apiVersion: v1
kind: Service
metadata:
  creationTimestamp: null
  name: nginx
  namespace: default
spec:
  ports:
  - name: tcp-80-80-xoq5o
    nodePort: 0
    port: 80
    protocol: TCP
    targetPort: 80
  selector: {}
  type: LoadBalancer
status:
  loadBalancer: {}
```

**步骤三 提取模板内容中的变量**：

在示例中，使用了`NAMESPACE`将`namespace`参数作为变量进行替换，更多关于变量替换的说明可以参考[变量替换][7]。

点击`从模板内容导入`按钮，提取模板内容中的变量作为配置项。然后在配置项中填写变量的默认值，这里设置成`default`。

![模板内容操作-010.png][8]

## 编辑模板内容

在模板内容区域，可以直接对模板内容进行编辑。例如在模板内容中将服务实例的副本数修改为`2`。

![模板内容操作-01.png][9]

模板内容的语法规则，满足Kubernetes定义的语法，更多关于模板内容规则的说明可以参考[编排语法能力说明][10]。

## 模板内容中参数配置化

在模板内容中，如果有些参数在不同环境下是不相同的，或者需要进行频繁的修改。可以将这部分参数转换成一个可配置的变量。例如，上面的服务实例副本数，可能在不同环境下是不相同的，我们可以将它转换成变量`NGINX_REPLICAS`。关于模板中变量的使用说明，可以参考[变量设置][11]。

![模板内容操作-012.png][12]

点击`从模板内容导入`按钮，提取模板内容中的变量作为配置项。然后在配置项中填写变量的默认值，这里设置成`2`。

![模板内容操作-013.png][14]

这样在不同的环境部署时，可以根据需要，选择不同的配置项，从而调整服务的实例数量。

  [1]: https://mc.qcloudimg.com/static/img/4497405adc55f7eaec00774dd28852c7/image.png
  [2]: https://mc.qcloudimg.com/static/img/14eb885cb7632ca3cc716f8ad75459c1/image.png
  [3]: https://mc.qcloudimg.com/static/img/7f9b250c592b2fe84200242d3b092cd6/image.png
  [4]: https://cloud.tencent.com/document/product/457/9096#.E5.88.9B.E5.BB.BA.E6.9C.8D.E5.8A.A1
  [5]: https://mc.qcloudimg.com/static/img/3bf0b1e4e7bbd80d2fe7e79cc77afee4/image.png
  [6]: https://mc.qcloudimg.com/static/img/d605189b3d46f89d029257700b58668b/image.png
  [7]: https://cloud.tencent.com/document/product/457/11956
  [8]: https://mc.qcloudimg.com/static/img/2dc286573bcc698be261f0d17019745e/image.png
  [9]: https://mc.qcloudimg.com/static/img/f7abcee2f2197e7a0d5a39d867089072/image.png
  [10]: https://cloud.tencent.com/document/product/457/12200#.E7.BC.96.E6.8E.92.E8.AF.AD.E6.B3.95.E8.83.BD.E5.8A.9B.E8.AF.B4.E6.98.8E
  [11]: https://cloud.tencent.com/document/product/457/11956
  [12]: https://mc.qcloudimg.com/static/img/1531eb257002f221036adf3c892c99f0/image.png
  [13]: https://mc.qcloudimg.com/static/img/be8495acb9c4628c214b79b25b41b280/image.png
  [14]: https://mc.qcloudimg.com/static/img/0a68386d7bc5957ddf4110fdfdd15a00/image.png
  [15]: https://mc.qcloudimg.com/static/img/8da35376ee2001cc76a1b1e6c2287e33/image.png