
本文档旨在帮助您了解腾讯云容器服务（Cloud Container Service，CCS）的基本知识，解答您在使用容器服务中可能遇到的问题，帮助您更快上手容器服务。


## 准备使用
1. 我想在基础网络中使用 CCS，可以吗？
容器服务当前仅支持 VPC 网络，不支持基础网络。

2. 我不懂 Kubernetes 影响使用 CCS 吗？
不影响，您可以不用了解容器服务的底层实现，我们提供了简单易用的控制台帮助您使用 CCS。

## 简单试用
1. 我该如何使用容器服务？
创建集群，创建服务两步即可使用，可以参考 [入门示例](/doc/product/457/11138)。

2. 是否可以选择已有的云主机加入集群？
支持，可以创建集群完成后添加已有云主机。

3. 为什么我的服务一直在启动中？
服务内容器若无持续运行的进程，会导致服务一直处于启动中, 更多服务启动的问题见 [事件常见问题](/doc/product/457/8187)。

4. 创建好的服务如何访问？
不同的访问方式提供不同的访问入口，详情见 [服务访问方式](/doc/product/457/9098)。

5.  容器怎么访问公网？
若容器所在主机有公网 IP 和带宽，则容器可直接访问外网，若容器所在主机无公网IP和带宽，则可以通过 NAT 网关访问外网。

## 部署业务
1. 我的业务需要配置很多文本或环境变量，该怎么管理？
您可以通过 [配置项](/doc/product/457/10173) 来管理配置文件。

2. 服务之间想互访该怎么办？
集群下相同 Namespace 的服务可以直接相互访问，不同 Namespace 的服务需要通过 <service-name\>.<namespace-name\>.svc.cluster.local 的形式来访问

3. ingress 与服务访问方式的“公网访问”有什么差异？
ingress 是将外部 HTTP(S) 流量路由到服务规则集合，与服务访问方式的公网访问无直接关系。

4.  我的业务是有状态的需要依赖于磁盘，可以吗？
可以通过挂载 CBS 数据卷的形式挂载数据盘到容器中。

5. 服务更新时业务会中断吗？
服务有两种更新方式：滚动更新和快速更新。选择滚动更新方式，业务不会中断。








