## 简介

### 容器是什么
容器是一种实现操作系统虚拟化的方式，使用容器可以在资源隔离的条件下运行应用程序及其相关依赖组件。容器服务允许您将一个应用程序的代码、配置及以依赖组件，轻松打包成易用的构建块，从而较好地实现环境兼容性和版本控制，提高运行效率和开发者生产力。容器服务可以保证应用部署的快速、稳定和一致性，而不受部署环境的影响。
Docker是其中一种容器平台。基于官方的定义，Docker以Docker容器为分隔资源和调度的基本单位，将软件包装在一个完整的文件系统中，其中包含软件和软件运行所需的所有内容，包括代码、运行库、系统工具、系统库等，保证软件在任何环境下都能运行。下图来自[docker官方说明](https://www.docker.com/what-docker)。

![Alt text](https://mc.qcloudimg.com/static/img/3bdd67129c8cee8965898f267d7b881f/Image+057.png)

### 腾讯云容器服务是什么
腾讯云容器服务(Cloud Container Service，即CCS)是高度可扩展的高性能容器管理服务，您可以在托管的云服务器实例集群上轻松运行应用程序。使用该服务，您将无需安装、运维、扩展您的集群管理基础设施，只需进行简单的API调用，便可启动和停止Docker应用程序，查询集群的完整状态，以及使用各种云服务。您可以根据您的资源需求和可用性要求在您的集群中部署容器，满足业务或应用程序的特定要求。

腾讯云容器服务涉及以下几个基本概念：

- 集群：是指容器运行所需云资源的集合，包含了若干台云服务器、负载均衡器等腾讯云资源。
- 节点：一台已注册到集群内的云服务器。
- 服务：由多个相同配置的实例和访问这些实例的规则组成的微服务。
- 批处理任务：包含若干个实例的一次性任务。任务与服务不同之处是任务正常停止后将不再提供服务。
- 实例：由相关的一个或多个容器构成一个实例，对应kubernetes的pod，这些容器共享相同的存储和网络空间。
- 镜像：Docker镜像，用于部署容器服务，每个镜像有特定的唯一标识（镜像的Registry地址+镜像名称+镜像Tag）。

对应关系如下图：

![Alt text](https://mc.qcloudimg.com/static/img/6ee1f51af42271069c9a46d46731370e/Image+053.png)


### 腾讯云容器服务怎么用
见下图，您只需要创建集群后，使用镜像创建服务，填写服务配置，等服务创建完成，即可运行服务。

![Alt text](https://mc.qcloudimg.com/static/img/cb0d84fd7c9547d492ab07f2992093d1/Image+054.png)

- 第一步：创建集群
- 第二步：创建服务
- 第三步：查看服务

我们提供了些入门示例来供大家初次试用容器服务。

- [创建简单的nginx服务](https://cloud.tencent.com/document/product/457/7851)
- [创建Hello World Node.js服务](https://cloud.tencent.com/document/product/457/7204)
- [创建单实例版wordpress服务](https://cloud.tencent.com/document/product/457/7205)
- [创建使用云数据库CDB的wordpress服务](https://cloud.tencent.com/document/product/457/7447)
