## 前提条件
挂载文件系统（CFS）的前提是您有创建好的文件系统。如果您还未创建文件系统，您需要先创建文件系统。有关如何创建文件系统的详细信息，参见 [创建文件系统及挂载点](/doc/product/582/9132) 。

>**注意：**
>若要挂载子目录，需要在挂载前创建好对应的子目录，容器服务挂载 CFS 盘不会自动创建不存在的目录。

## 查看文件系统
1. 登录 [文件存储控制台](https://console.cloud.tencent.com/cfs)。
2. 查看文件系统的可用区，本文档以北京一区为例。单击 ID/名称（如 cf-xxxxv0z），进入文件系统详情页。
![](//mc.qcloudimg.com/static/img/50dbda0d284e1e428bedcbf157af69ae/image.png)
3. 单击【挂载点信息】获取网络信息和挂载路径，这些信息将在后续步骤创建服务中使用。本例信息如下：
 - **网络信息**：docker-test 和 docker。
 - **挂载路径**：`10.0.0.7:/` 。
![](//mc.qcloudimg.com/static/img/c3286b417a5a73278a35665e4ef4e739/image.png)
 
## 创建集群 
容器可以挂载的文件系统需与集群在同一个 VPC 网络同一子网内，因此在创建集群时需要设置在同一个 VPC 网络同一子网内。有关如何创建集群的详细信息，参见 [新建集群](/doc/product/457/9091) 。创建集群时，需要注意以下设置：
- **可用区**：选择与文件系统相同的可用区。在本例中选择北京一区。
- **节点网络**：选择与文件系统相同的网络信息。在本例中选择 docker-test 和 docker。
- **容器网络**：选择与文件系统同一个网段内。
![](//mc.qcloudimg.com/static/img/f0a3e622d4fc71b354bb44e7faf38e73/image.png)

## 创建服务
有关如何创建服务的详细信息，参见 [服务的基本操作](/doc/product/457/9096)。创建服务时，需要注意以下设置：
1. 添加数据卷。
 - **类型**：选择 NFS 盘。
 - **名称**：数据卷的名称。本例中以 cfs 为例。
 - **路径**：填写文件系统的挂载路径。在本例中填写 `10.0.0.7:/`。
![](//mc.qcloudimg.com/static/img/a514e6fcb76a07182ced69ddfcd68df1/image.png)
2. 设置挂载点。
单击运行容器下的【显示高级设置】。填写挂载点的相关信息。
![](//mc.qcloudimg.com/static/img/1e6f5c80d5f78e58fb475d82676f9e88/image.png)
