## 单实例多容器实践
### 单实例多容器优势
**资源共享和通信**：实例的存在使同个实例下的容器之间能更方便的共享数据和通信。同个实例下的容器使用相同的网络命名空间、IP地址和端口区间，相互之间能通过localhost来发现和通信。在一个无层次的共享网络中，每个实例都有一个IP地址用于跟别的物理主机和容器通信，实例的名字就用作容器通信时的主机名。在同个实例内运行的容器还共享一块存储卷空间，存储卷内的数据不会在容器重启后丢失，同时能被同实例下别的容器读取。

**管理**：相比原生的容器接口，实例通过提供更高层次的抽象，简化了应用的部署和管理。实例就像一个管理和横向部署和管理的单元，主机托管、资源共享、协调复制和依赖管理都可以自动处理。


### 常用单实例多容器应用场景
实例能应用于构建垂直集成应用栈，但它的主要为了集中管理一些辅助程序，如：

- 内容管理，文件和数据加载进程，本地cache管理进程等
- 日志压缩、rotation、备份、快照等
- 数据变化监听、日志和监控适配器，事件分发等
- 代理，网桥和适配器等
- 控制、管理、配置、升级程序等

更多可查看[实例应用场景](https://kubernetes.io/docs/concepts/workloads/pods/pod/)
