## Label 标签概述
Label 标签本质上是一对  key / value 被关联到对象上，对象可以是 Pod，Node 等 Kubernetes 资源。标签的使用我们倾向于能够标识对象的特殊属性，并且这些属性对用户而言是有意义的（例如：标志这个 Pod 是做什么的）。标签是可以用来划分特定组的对象（例如：所有 appA 的服务）。标签可以在创建一个对象的时候直接标记，也可以在后期随时修改，每一个对象可以拥有多个标签，但 key 值必须是唯一的。
腾讯云容器服务支持对服务实例进行 Label 标注。搜索服务时，也支持通过标签进行过滤。

## 服务中 Label 标签的使用
### 服务 Label 标签的展示
在服务列表页面和服务的详情页面可以查看服务的标签。由于腾讯云容器服务自身会对服务增加一定的标签，因此服务的标签分为系统标签 ( 不可修改 ) 和用户标签 ( 可以修改 )。
**服务列表页展示服务的标签：**
![](//mc.qcloudimg.com/static/img/84129fe851591c95410ffef3720f424b/image.png)
**服务详情页展示的服务标签：**
![](//mc.qcloudimg.com/static/img/599de3ec9efbfda563bbafeffbed9564/image.png)
系统标签说明：

| 标签 Key 名称 | 标签 Value 意义 |
| ------| ------ |
| qcloud-app  | 服务名称  |

### 添加 / 删除 Label 标签
在服务列表页面或服务的详情列表，单击标签展示，即可以对标签进行编辑，编辑完成后保存新的标签。
>**注意：**
>系统标签不支持修改。

![](//mc.qcloudimg.com/static/img/28d324c9146e75f9097844666e7aa548/image.png)

### 按 Label 标签过滤服务
在服务列表页面，支持按照标签搜索服务通过标签筛选，只展示标记了相应标签的服务。
![](//mc.qcloudimg.com/static/img/21205041928dd8c15779a32aa0a5cb78/image.png)
