## 创建服务
1. 登录 [腾讯云容器服务控制台](https://console.cloud.tencent.com/ccs) 。
2. 单击左侧导航栏中的【服务】，单击服务列表页的【新建】。
![](//mc.qcloudimg.com/static/img/11f7f75d7b051a815da8bfe1e744a8e8/image.png)
3.  设置服务的基本信息。
 - **服务名称**：要创建的服务的名称，不超过 63 个字符。服务名称由小写字母、数字和 - 组成，且由小写字母开头，小写字母或数字结尾。
 - **所在地域**：选择您部署服务的所在地域。
 - **运行集群**：选择服务所要运行的集群。运行集群需要选择运行中和集群内有可用主机的集群。
 - **服务描述**：创建服务的相关信息。该信息将显示在 **服务信息** 页面。
![](//mc.qcloudimg.com/static/img/9254649a08d86761bcb8287fe5a45141/image.png)
4. 设置数据卷。
要指定容器挂载至指定路径时，单击【添加数据卷】。
>**注意：**
>源路径不指定时将默认分配临时路径。

 - **类型**： 支持使用本地硬盘、云硬盘、NFS 盘、配置文件四种类型的数据卷。相关详细介绍请参阅 [容器服务数据卷使用说明](https://cloud.tencent.com/document/product/457/9112#.E5.AE.B9.E5.99.A8.E6.9C.8D.E5.8A.A1.E6.95.B0.E6.8D.AE.E5.8D.B7.E4.BD.BF.E7.94.A8.E8.AF.B4.E6.98.8E)。
 - **名称**：数据卷的名称。
 - **路径**：指定容器要挂载的路径。
 ![](//mc.qcloudimg.com/static/img/2f3c75de6cb710e4163ff8c468a7e287/image.png)
5. 设置运行容器。
 - **名称** ：要创建容器的名称，不超过 63 个字符。
 - **镜像**：单击【选择镜像】，可选择在我的镜像、我的收藏、TencentHub 镜像、DockerHub 镜像和其他镜像下创建服务。
 - **版本**：容器服务默认选择版本。如果您需要使用镜像的其它版本，单击版本显示框选择。
 ![](//mc.qcloudimg.com/static/img/647899fd3bb0fccd34bdbbc2e32fbad0/image.png)
6. 其他设置。
 -  **实例数量**：一个实例由相关的一个或多个容器构成。可单击 + 和 - 控制实例数量。
 -  **服务访问方式**：服务的访问方式决定了这个服务的网络属性，不同访问方式的服务可以提供不同网络能力。提供的四种访问方式详细介绍请参阅 [服务访问方式设置](https://cloud.tencent.com/document/product/457/9098)。
 ![](//mc.qcloudimg.com/static/img/709ab652384bb5905718dc0ff01903f4/image.png)
7. 单击【创建服务】完成服务创建。

## 更新实例数量
1. 单击容器服务控制台左侧导航栏中的【服务】，进入服务列表，单击【更新实例数量】。
![](//mc.qcloudimg.com/static/img/4782b1195ccfddcd4226d6b103f83184/image.png)
2. 单击 + 和 - 控制新实例数量，设置完成后单击【确定】。
![](//mc.qcloudimg.com/static/img/a39aeaaeba2870606e610723b6fb5ddc/image.png)

## 更新服务
1. 单击容器服务控制台左侧导航栏中的【服务】，进入服务列表，单击【更新服务】。
![](//mc.qcloudimg.com/static/img/8d80f49ea7bb3e54ea43bd88f441f06e/image.png)
2. 单击 【开始更新】。
提供两种更新方式。
 -  **滚动更新**：对实例进行逐个更新，这种方式可以让您不中断业务实现对服务的更新。
 -  **快速更新**：直接关闭所有实例，启动相同数量的新实例。
 
## 重新部署
重新部署是将服务下的容器重新部署一次，并重新拉取镜像。
1. 单击容器服务控制台左侧导航栏中的【服务】，进入服务列表，单击【更多】，单击【重新部署】。
![](//mc.qcloudimg.com/static/img/7d481f62b9a68af878ff6ebd01139cf1/image.png)
2. 单击【确定】。
![](//mc.qcloudimg.com/static/img/1132a05be3cb4258cee3c591bdc50111/image.png)

## 删除服务
1. 单击容器服务控制台左侧导航栏中的【服务】，进入服务列表，单击【更多】，单击【删除】。
![](//mc.qcloudimg.com/static/img/215fa50d99b5f75012ae8676d4ce7057/image.png)
2. 单击【确定】。
![](//mc.qcloudimg.com/static/img/f38b465f64639cd71aa3bf75b900de7c/image.png)
>**注意**：
>删除服务后该服务下所有实例和外网负载均衡将一并销毁，请提前备份好数据。



