服务的访问方式决定了这个服务的网络属性，不同访问方式的服务可以提供不同网络能力。腾讯云容器服务提供四种服务访问方式：提供公网访问、仅在集群内访问、VPC 内网访问和不启用。

## 提供公网访问
提供公网访问的服务将提供一个可以从 Internet 访问入口（公网负载均衡器）。选择公网访问的服务，可以直接被公网访问，web 前台类的服务可以选择公网访问，如 wordpress 前台服务。
例如创建一个可以提供公网访问的 wordpress 服务，在设置服务访问方式时选择 **提供公网访问**。创建完成的服务可以通过 **负载均衡 IP + 服务端口**直接访问。
![](//mc.qcloudimg.com/static/img/897e21d4a2c48034bc2cc98bfaba21a8/image.png)
有关  wordpress 服务的具体创建操作，请参阅 [单实例版 wordpress](/doc/product/457/7205)。

## 仅在集群内访问
提供集群内访问的服务将会提供一个可以被集群内其他服务或容器访问的入口（服务 IP），数据库类等服务如 MySQL 可以选择集群内访问，以保证服务网络隔离。
例如创建一个可以提供公网访问的 MySQL 服务，在设置服务访问方式时选择 **仅在集群内访问**。创建完成后的服务可以通过 **服务 IP 或服务名称 + 服务端口** 直接访问。
![](//mc.qcloudimg.com/static/img/e4fdda7af379079f1811bb86af8c8419/image.png)

## VPC 内网访问
VPC（私有网络） 内网访问的服务将提供一个可以被集群所在 VPC 下的其他资源访问的入口（内网负载均衡器），需要被同一 VPC 下其他集群或 CVM（云服务器） 访问的服务可以选择 VPC 内网访问的形式。
例如创建一个可以提供公网访问的 MySQL 服务，在设置服务访问方式时选择 **VPC 内网访问**。创建完成后的服务可以通过 **内网 LB 的 IP + 服务端口** 直接访问。
![](//mc.qcloudimg.com/static/img/ea74a0fb808aa37987cea2d4be187bea/image.png)

## 不启用
选择不启用服务访问的服务，将不提供任何从前端服务访问到容器的入口，可用于使用自定义的服务发现或简单启用多个容器实例。

## 更多
除以上四种方式外还可以配置 7 层负载均衡（HTTP/HTTPS）转发到服务，详情请参阅 [负载均衡转发设置](/doc/product/457/9111)。
