## 监控

目前云监控为容器服务提供了以下维度的监控指标：

### 集群维度监控指标

namespace:qce/cvm

| 监控项      | 监控指标         | 单位   | 说明             |
| -------- | ------------ | ---- | -------------- |
| 集群CPU利用率 | dc_cpu_usage | %    | 集群内节点的平均CPU利用率 |
| 集群内存利用率  | dc_mem_usage | %    | 集群内节点的平均内存利用率  |

集群内云服务器的具体监控指标和获取监控数据的方法可以参考[监控云服务器](https://cloud.tencent.com/document/product/213/5178)。

### 服务维度监控指标

namespace:qce/docker
视图：docker_service

| 监控项           | 监控指标                          | 单位   | 说明                 |
| ------------- | ----------------------------- | ---- | ------------------ |
| 服务CPU使用情况     | service_cpu_used              | 核    | 服务内所有容器实例CPU使用之和   |
| 服务CPU使用率(占集群) | service_cpu_usage_for_cluster | %    | 服务使用CPU占集群比率       |
| 服务内存使用情况      | service_mem_used              | MiB  | 服务内所有容器实例内存使用之和    |
| 服务内存使用率(占集群)  | service_mem_usage_for_cluster | %    | 服务使用内存占集群比率        |
| 服务网络入流量       | service_in_flux               | MB   | 服务内所有实例在该时间窗口入流量之和 |
| 服务网络出流量       | service_out_flux              | MB   | 服务内所有实例在该时间窗口出流量之和 |
| 服务网络入带宽       | service_in_bandwidth          | Mbps | 服务内所有实例的入带宽之和      |
| 服务网络出带宽       | service_out_bandwidth         | Mbps | 服务内所有实例的出带宽之和      |
| 服务网络入包量       | service_in_packets            | 个/s  | 服务内所有实例的入包量之和      |
| 服务网络出包量       | service_out_packets           | 个/s  | 服务内所有实例的出包量之和      |

### 实例维度监控指标

namespace:qce/docker
视图：docker_pod

| 监控项     | 监控指标              | 单位   | 说明                        |
| ------- | ----------------- | ---- | ------------------------- |
| 实例网络入带宽 | pod_in_bandwidth  | Mbps | 同一实例内容器共享网络，实例(pod)的网络入带宽 |
| 实例网络出带宽 | pod_out_bandwidth | Mbps | 同一实例内容器共享网络，实例(pod)的网络出带宽 |
| 实例网络入流量 | pod_in_flux       | MB   | 同一实例内容器共享网络，实例(pod)的网络入流量 |
| 实例网络出流量 | pod_out_flux      | MB   | 同一实例内容器共享网络，实例(pod)的网络出流量 |
| 实例网络入包量 | pod_in_packets    | 个/s  | 同一实例内容器共享网络，实例(pod)的网络入包量 |
| 实例网络出包量 | pod_out_packets   | 个/s  | 同一实例内容器共享网络，实例(pod)的网络出包量 |

### 容器维度监控指标

namespace:qce/docker
视图：docker_container

| 监控项                | 监控指标                            | 单位    | 说明              |
| ------------------ | ------------------------------- | ----- | --------------- |
| 容器CPU使用情况          | container_cpu_used              | 核     | 容器CPU使用量        |
| 容器CPU使用率(占主机)      | container_cpu_usage_for_node    | %     | 容器CPU使用占主机      |
| 容器CPU使用率(占Request) | container_cpu_usage_for_request | %     | 容器CPU使用占Request |
| 容器CPU使用率(占Limit)   | container_cpu_usage_for_limit   | %     | 容器CPU使用占Limit   |
| 容器内存使用情况           | container_mem_used              | MiB   | 容器内存使用量         |
| 容器内存使用率(占主机)       | container_mem_usage_for_node    | %     | 容器内存使用占主机       |
| 容器内存使用率(占Request)  | container_mem_usage_for_request | %     | 容器内存使用占Request  |
| 容器内存使用率(占Limit)    | container_mem_usage_for_limit   | %     | 容器内存使用占Limit    |
| 容器磁盘读流量            | container_disk_read_traffic     | KB/s  | 容器对磁盘读流量        |
| 容器磁盘写流量            | container_disk_write_traffic    | KB/s  | 容器对磁盘写流量        |
| 容器磁盘读IOPS          | container_disk_read             | count | 容器对磁盘读IOPS      |
| 容器磁盘写IOPS          | container_disk_write            | count | 容器对磁盘写IOPS      |

有关更多如何使用容器服务的监控指标内容，可以查看云监控 API 中的[读取监控数据接口](https://cloud.tencent.com/document/product/248/4667)。
