## 设置集群和节点网络

集群网络与容器网络是集群的基本属性。通过设置集群网络和容器网络可以规划集群的网络划分。
- **集群网络**：将为集群内主机分配在节点网络地址范围内的 IP 地址，您可以选择私有网络中的子网用于集群的节点网络，更多私有网络介绍可看 [私有网络和子网](/doc/product/215/4927) 。
- **容器网络**：将为集群内容器分配在容器网络地址范围内的 IP 地址，您可以自定义三大私有网段作为容器网络， 根据您选择的集群内服务数量的上限，自动分配适当大小的CIDR段用于kubernetes service，同时容器网络自动为集群内每台云主机分配一个24位的网段用于该主机分配Pod的IP地址。

### 集群网络与容器网络的关系

- 集群网络和容器网络网段不能冲突
- 同一VPC内，不同集群的容器网络网段不能冲突
- 容器网络和 VPC 路由冲突时，优先在容器网络内转发

### 集群网络与腾讯云其他资源通信
- 集群内容器与容器之间互通
- 集群内容器与节点直接互通
- 集群内容器与 [云数据库CDB](https://cloud.tencent.com/product/cdb-overview)、[云存储Redis](/doc/product/239/3205)、[云缓存Memcached](/doc/product/241/7489) 等资源同一VPC下内网互通
