如果对业务安全有要求不希望业务直接暴露到公网，同时又希望访问公网，您可以使用腾讯云 [NAT网关](/doc/product/215/4975)。下文将介绍如何使用 NAT 网关来访问公网。
## 公网 IP
在默认的情况下，创建集群会为集群的节点分配公网 IP 。分配的公网 IP 将提供以下作用：
- 通过公网 IP 登录到集群的节点机器。
- 通过公网 IP 访问外网服务

## 外网带宽
创建外网服务时，外网负载均衡使用的是节点的带宽和流量，若需提供外网服务，节点需要有外网带宽。如果业务不需要外网服务，可以选择不购买外网带宽。

## NAT 网关
云主机不绑定弹性公网 IP ，所有访问 Internet 流量通过 NAT 网关转发。此种方案中，云主机访问 Internet 的流量会通过内网转发至 NAT 网关，因而不会受云主机购买时公网带宽的带宽上限限制，NAT 网关产生的网络流量费用也不会占用云主机的公网带宽出口。通过 NAT 网关访问 Internet，您需要完成以下两个步骤：

### 第一步：创建 NAT 网关
1. 登录 [腾讯云控制台](https://console.cloud.tencent.com/)，选择顶部导航栏中的 **云产品**，选择 **云计算与网络** 下的 **私有网络**，进入 [私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，单击左侧导航栏中的【NAT 网关】。
2. 单击左上角【新建】按钮，在弹出框中依次输入或确定以下参数：
- 网关名称。
- 网关类型（网关类型创建后可更改）。
- NAT 网关服务的私有网络。
- 为 NAT 网关分配弹性 IP，您可以选择已有的弹性 IP，或者重新购买并分配弹性 IP。
3. 选择结束后点击【确认】按钮，即可完成 NAT 网关的创建。
4. 创建完 NAT 网关，您需要在私有网络控制台路由表页配置路由规则，以将子网流量指向 NAT 网关。
>**注意：**
>NAT 网关创建时将会冻结 1 小时的租用费用。

### 第二步：配置相关子网所关联的路由表
1. 登录 [腾讯云控制台](https://console.cloud.tencent.com/)，选择顶部导航栏中的 **云产品**，选择 **云计算与网络** 下的 **私有网络**，进入 [私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，单击左侧导航栏中的【路由表】。
2. 在路由表列表中，单击需要访问 Internet 的子网所关联的路由表 ID 进入路由表详情页，在路由策略中单击【编辑】。
3. 单击【新增一行】，填入目的端，下一跳类型选择【NAT 网关】，并选择已创建的 NAT 网关 ID。
4. 单击【确定】。
5. 完成以上配置后，关联此路由表的子网内的云主机访问 Intenet 的流量将指向 NAT 网关。

## 其他方案
### 方案1：使用弹性公网 IP
云主机只绑定弹性公网 IP ，不使用 NAT 网关。此种方案，云主机所有访问 Internet 流量通过弹性公网 IP 出，会受到云主机购买时公网带宽的带宽上限限制。访问公网产生的相关费用，根据云主机网络计费模式而定。
使用方法：见 [弹性公网IP操作指南](/doc/product/215/4958#.E6.93.8D.E4.BD.9C.E6.8C.87.E5.8D.97)。

### 方案2：同时使用 NAT 网关和弹性公网 IP
如果你同时使用 NAT 网关和弹性公网 IP，此种方案中，所有云主机主动访问 Internet 的流量只通过内网转发至 NAT 网关，回包也经过 NAT 网关返回至云主机。此部分流量不会受云主机购买时公网带宽的带宽上限限制，NAT 网关产生的网络流量费用不会占用云主机的公网带宽出口。如果来自 Internet 的流量主动访问云主机的弹性公网 IP，则云主机回包统一通过弹性公网 IP 返回，这样产生的公网出流量收到云主机购买时公网带宽的带宽上限限制。访问公网产生的相关费用，根据云主机网络计费模式而定。

>**注意：**
>如果用户账号开通了带宽包共享带宽功能，则 NAT 网关产生的出流量按照带宽包整体结算（不再重复收取 0.8元/GB 的网络流量费），建议您限制 NAT 网关的出带宽，以避免因为 NAT 网关出带宽过高产生高额的带宽包费用。
