## 配置导入到容器
### 第一步：创建配置项
1. 进入控制台，创建配置项，填写`配置项名称`、`版本号`、`版本描述`
2. 支持按YAML语法编辑， 支持按可视化编辑

- YAML语法编辑，格式为`key：value`格式， value可以是字符串，也可以是文本。若Value是文本， 则用`“|”` 表示。YAML已缩进作为分割。
- 支持可视化编辑， 可视化的value支持字符串和文本。
如下图：
![Alt text](https://mc.qcloudimg.com/static/img/c3bc8b5c36986fa59493cce525430df4/%7B70371D71-F78F-4523-92EB-55C1218F4EAC%7D.png)
创建完成后，创建服务即可使用该配置项。

### 第二步：通过配置项定义数据卷
1. 进入控制台，点击创建/更新服务
2. 添加数据卷，并指定配置文件类型，选择需要挂载到容器的配置文件的Key.

- 选择`使用配置项`， 填写`数据卷名称`用于后续指定目录挂载。
- 这里测试填写名称`testname`, 选择上上述创建的配置项中的`testfilekey`
![Alt text](https://mc.qcloudimg.com/static/img/39bbb6a1ef33fedc573f15970e353598/%7B3095DD9A-DAC2-48DF-8318-1DB3FC10823C%7D.png)

### 第三步：将数据卷挂载到指定目录

- 填写容器镜像等基本信息，点击高级设置，填写挂载点
- 设置指定的挂载目录，这里我们挂载到`/config`目录下。
- 点击完成，创建完成后即可在容器中使用该配置文件， 导入到该路径后，配置文件的key将作为文件名存在。
![Alt text](https://mc.qcloudimg.com/static/img/3214c2ecac262baaecd38abeff985a51/%7B84A8993A-331C-4079-AD29-7C42EAB57592%7D.png)

### 第四步：登录容器验证

- 进入控制台，进入服务实例列表页，点击远程终端，登录到容器
- 查看容器内配置的挂载情况
![Alt text](https://mc.qcloudimg.com/static/img/351022df7843a0c3fb622801521d2947/%7BE525F58C-AAB0-4C19-921D-3B6A2DD77D55%7D.png)
![Alt text](https://mc.qcloudimg.com/static/img/a1aa8d30072d44441367b86db0f4eb25/%7B53F0E411-88A6-4661-8434-5156124BF057%7D.png)

### 第五步：设置应用程序读取配置
从第四步的验证结果中可以看到，配置项已经在容器启动时以数据卷的形式挂载到容器中了， 对于的业务代码或应用程序的容器镜像只需要在启动服务是按上述步骤，就可将配置挂载到容器中，供应用程序初始化等操作。
