## 配置项概述
### 什么是配置项

配置用来规定一些程序在启动时读入设定，提供了一种修改程序设置的手段， 针对不同的对象可以使用不同的配置。

配置项是多个配置的集合，配置项的值可以是字符串，也可以是文件。
配置项支持YAML格式和可视化编辑， 点击查看[YAML语法](https://zh.wikipedia.org/wiki/YAML)。
配置项只支持新增版本，不支持修改版本。

### 配置项有什么价值

1. 使用配置项功能可以帮您管理不同环境、不同业务的配置，支持多版本,支持Yaml格式
2. 方便您部署相同应用的不同环境，配置文件支持多版本，方便您进行更新和回滚应用
3. 方便您快速将您的配置以文件的形式导入到容器中

## 配置文件的操作和使用方法
### 配置文件的创建

1. 进入到配置文件列表页，点击新建
2. 填写基本信息和配置文件内容， 支持YAML格式和可视化编辑
3. 第二步：在容器配置中设置该数据卷的挂载路径
![Alt text](https://mc.qcloudimg.com/static/img/608b0501fdc822a00cf0e57142beaafc/%7B4D979ED1-07C6-421C-9364-93CEC4082E44%7D.png)
![Alt text](https://mc.qcloudimg.com/static/img/dde52abbf61fccb9b5b0c2249e6b2692/%7BABDEC50C-9DF0-4CF8-84A6-5652DF87D38A%7D.png)

### 配置文件的新版本修订

1. 点击配置文件ID，进入配置文件详情页
2. 选择任意一个版本，点击生成新版本，则是在该版本的基础上修改为一个新版本
![Alt text](https://mc.qcloudimg.com/static/img/780f58ee32be0c6a97cd0c94cca459c0/%7B69848654-B721-4460-A6CA-600B20FE361C%7D.png)

### 配置文件的删除
1. 配置文件详情页可删除指定版本
2. 配置文件列表页可删除该配置文件，并删除配置文件下所有版本

## 配置文件的使用
使用方法一： 将配置项中的配置以数据卷的形式挂载到容器中，[查看详情](https://cloud.tencent.com/document/product/457/11034)
使用方法二： 使用配置文件 + 应用模板来进行多环境部署，[查看详情](https://cloud.tencent.com/document/product/457/11033)
使用方法三： 创建服务时使用配置文件导入到环境变量，[查看详情](https://cloud.tencent.com/document/product/457/11034)




