## 镜像构建概述
容器持续集成提供在腾讯云容器平台上，自动、手动构建容器镜像的功能。

### 自动构建
容器镜像自动构建基于github或者gitlab代码仓库，要求**代码仓库里面必须包含Dockerfile文件**。用户需要先注册github或者gitlab服务器的token，如果代码仓库使用的是gitlab，**gitlab服务器要求必须能够公网访问**。用户可以针对代码仓库设置自动构建规则，当用户往代码仓库发起push操作时，如果符合自动构建规则，那么就会在腾讯云容器平台上进行容器镜像的自动构建，并将构建出来的容器镜像自动推送到腾讯云容器镜像仓库中。
自动构建需要执行以下步骤：
- 第一步：[源代码仓库授权](https://cloud.tencent.com/document/product/457/10153)
- 第二步：[构建规则设置](https://cloud.tencent.com/document/product/457/10152)
- 第三步：提交代码自动执行构建

### 手动构建
手动构建分两类：

- **基于github和gitlab代码仓库**
跟自动构建类似，同样代码仓库需要包含Dockerfile文件，以及如果代码仓库位于gitlab的话，gitlab需要支持公网访问。跟自动构建不同的是，自动构建的构建规则设置了，用户对仓库发起push操作时，会自动构建容器镜像，而手动构建需要用户在控制台上手动点击构建才会构建。

- **基于上传的Dockerfile**
用户可以在镜像仓库的控制台上传一个Dockerfile文件，腾讯云容器平台根据这个Dockerfile来构建容器镜像。

### 构建说明
- 对于git仓库中的Dockerfile或者用户手动上传的Dockerfile，如果Dockerfile里依赖了外部资源，外部资源也必须能够公网访问。
- 手动构建和自动构建都是在腾讯云容器平台上进行的，用户无需提供构建环境和服务器资源。

