A node is a CVM registered in a cluster. Multiple nodes compose a cluster. Tencent CCS supports adding both new and existing nodes to the cluster.
>**Note:**
>Currently, existing nodes can only be added to the cluster within the same VPC. The reuse of CVM resources in the basic network and different VPCs will be available in the future.

## Preconditions
You need to create a cluster first. For more information on how to create a cluster, please see [New Cluster](/doc/product/457/9091).

## Adding a Node
1. Log in to [CCS Console](https://console.cloud.tencent.com/ccs).
2. Click **Cluster** on the left navigation bar, and click **Add Node** on the right of the cluster list.
![](//mc.qcloudimg.com/static/img/630fefe69ca2d2bedd779246417f8c70/image.png)
2. Set **Network**, **Model** and **Configuration** for the new node.
![Alt text](https://mc.qcloudimg.com/static/img/74deca5e1fa716c6a0009c43be631870/image.png)
3. Then the new node will display on the node list.
![](//mc.qcloudimg.com/static/img/1707fa09977298f255c293aa62b1cc10/image.png)

## Adding an Existing Node
1. Log in to [CCS Console](https://console.cloud.tencent.com/ccs).
2. Click **Cluster** on the left navigation bar, and click **Add Existing Node** on the right of the cluster list.
![](https://mc.qcloudimg.com/static/img/86909604c01b659736074e92aa83870b/image.png)
3. Select a node on the left available node list, and then the ID of this node will display on the right column.
![](//mc.qcloudimg.com/static/img/991fc9fe1e65e0ab3c80c49043ac639b/image.png)
4. Enter CVM configuration. Three login methods are provided.
 - **Set Password**: Set a password according to instructions.
 - **Associate with key immediately**: Key pair is a pair of parameters generated by an algorithm. It is a more secure method to log in to CVM than a password. For more information, please see [SSH Key](/doc/product/213/503).
 - **Automatically generated password**: The automatically generated password is sent to you through the internal message.
![](//mc.qcloudimg.com/static/img/54696123752de29c95f72e4345de7afb/image.png)
5. Click **Finish**, and then the new node will be on the node list.
![](//mc.qcloudimg.com/static/img/0dbd5ce537c8f97f90545d40d45aeafb/image.png)
>**Note:**
>1. Currently, only the CVM under the same VPC can be added.
>2. If you add an existing CVM to the cluster, the operating system of CVM should be reinstalled.

## Viewing Node Information
1. Click **ID/Name**of the cluster (such as cls-098dghzt) in the cluster list.
![](//mc.qcloudimg.com/static/img/1e07d60a1a1da13cd500ab17a44f0b02/image.png)
2. Go to **Node List** to view the cluster node information.
![](//mc.qcloudimg.com/static/img/ad5db6f3a9071235e614f856c3ef7083/image.png)

## Removing a Node
1. Click **ID/Name**of the cluster (such as cls-098dghzt) in the cluster list.
![](//mc.qcloudimg.com/static/img/1e07d60a1a1da13cd500ab17a44f0b02/image.png)
2. Go to **Node List** page, and click **Remove** on the right side.
![](//mc.qcloudimg.com/static/img/cbb99d53f194ec9121fe29d840081ab7/image.png)
3. When a prompt page that displays details of the node appears, click **OK** to remove it.
![](//mc.qcloudimg.com/static/img/e9194e2947562271931fcc429e5788f8/image.png)

