## 1. 告警伸缩策略
如果您希望根据 CVM 指标情况调整业务部署，那么您可以自定义告警触发策略，当业务负载使得指标到达阈值时，该策略将帮助您自动增加或减少 CVM 实例数量，从而灵活应对业务负载变化，提高设备利用率，节省部署和实例成本。
+ 指标种类：CPU利用率、内存利用率、内网出带宽、内网入带宽、外网出带宽、外网入带宽
+ 监控周期：5分钟
+ 伸缩动作：增加/减少CVM实例数量

## 2. 定时伸缩策略
如果您的负载变化情况是可以预知的，那么您可以设置定时任务，对您的设备扩展活动进行规划，您可以使用此功能定时及周期性地自动增加或减少 CVM 实例，从而灵活应对业务负载变化，提高设备利用率，节省部署和实例成本。
+ 定时操作：设置最大伸缩数、最小伸缩数或期望实例数
+ 周期设置：支持按天/周/月重复操作

## 3. 替换不健康子机
弹性伸缩自动检测实例的健康状况，一旦发现异常，即自动复制出健康的实例，以替换状态异常的 CVM 实例，确保您的应用程序获得预期的计算容量，为您的业务保驾护航。
+ 执行操作：若检测主机 ping 不可达时间超过一分钟，则生成健康副本替换当前子机，保证业务健康运行

## 4. 自动配置负载均衡
通过告警策略新增的 CVM 实例还可直接关联已有负载均衡 CLB，以使伸缩组新增的实例承担分发流量，从而提高服务可用性。
+ 执行操作：新增子机自动注册到负载均衡（CLB）中
+ 权重设置：新增子机负载均衡权重默认设置为10
+ 负载均衡策略：沿用负载均衡中已定义的策略

## 5. 伸缩活动记录
弹性伸缩会根据您设定的伸缩策略自动增加或减少 CVM 实例，如果您想了解伸缩策略已执行情况，使用该功能查看即可，该功能可帮助您掌握弹性伸缩已执行的活动情况。
+ 记录内容：活动起因、活动结果、起止时间
+ 查询操作：支持按时间查询历史记录
+ 实时显示：当前进行中的伸缩活动变化


## 6. 异常提前检测
弹性伸缩会在伸缩活动发生前检测异常情况并通知到您，帮助您及时排除系统异常，以使伸缩活动顺利执行。弹性伸缩检测的异常情况包括：账户余额不足、启动配置的镜像已删除、除了伸缩组对应的 CLB已删除等。

## 7. 伸缩活动通知
您可以设置通知策略，发生指定事件（如扩容成功、缩容成功、扩容失败、缩容失败、健康替换成功、健康替换失败等）时，弹性伸缩可实时通过短信、邮件、站内信等方式通知您。
