## 1. 查看伸缩组列表

打开[控制台](https://console.cloud.tencent.com/autoscaling)，单击导航条中的【伸缩组】即可查看列表。
![](//mccdn.qcloud.com/static/img/ff713a0ff792e49e5e8e099e59251b5a/image.png)

## 2. 创建伸缩组

打开[控制台](https://console.cloud.tencent.com/autoscaling/config)，选择导航条中的【伸缩组】。

### a.选择区域

在控制台上方选择要创建的地域。区域的选择限制了可以手动添加的云主机和可以绑定的负载均衡。比如说，如果启动配置的区域选择了广州，那么伸缩组里自动添加的就是广州的云主机。在区域为广州的伸缩组里，将不能手动添加上海、北京、香港、多伦多等其他区域的云主机，也不能绑定上海、北京、香港、多伦多等其他区域的负载均衡。

![](https://mc.qcloudimg.com/static/img/fc2af25ac2023adb97f427aa68b72ff4/image.jpg)

### b.定义信息
点击“新建”按钮，定义伸缩组的属性：

  - **伸缩组名称**：用于标示这个伸缩组。比如“网站逻辑层”
  - **最小伸缩组**：指定伸缩组中最少的实例数量
  - **起始实例数**：指定伸缩组开始时**自动**生产的实例数量。伸缩组创建后会生产对应数量的实例
  - **最大伸缩数**：指定伸缩组中最大的实例数量
  - **启动配置**：指定创建好的启动配置，扩容时会按照启动配置来创建扩容机器
  - **支持网络**：选择的是扩容出来的机器的网络属性，即扩容出来的机器是在基础网络中的还是在某个私有网络（VPC）中的。除非您的集群已经用了VPC，一般选“基础网络”即可
  - **支持可用区**：指定自动扩容机器在哪个可用区生产。您可选择多个可用区，自动扩容的机器会随机地从您勾选的可用区创建，达到跨可用区容灾的效果
  - **移出策略**：当伸缩组要减少实例且有多个选择时，将根据移出策略来选择移出哪个CVM。一般选“移出最旧机器”即可。查看两种策略[详情](https://cloud.tencent.com/document/product/377/4166#13.-.E4.BC.B8.E7.BC.A9.E7.BB.84.E7.A7.BB.E5.87.BA.E7.AD.96.E7.95.A5.E7.9A.84.E5.85.B7.E4.BD.93.E8.A7.84.E5.88.99.E6.98.AF.E4.BB.80.E4.B9.88.EF.BC.9F)。
  - **负载均衡**：指定一个负载均衡，扩容出来的机器会自动挂载到该负载均衡下。

伸缩组即创建完成。此时伸缩组能容纳机器，但还没有智能扩缩容的能力。接下来，我们强烈建议您继续以下3个操作：
 - 加入已有的云服务器
 - 创建伸缩策略
 - 创建通知


## 3.修改伸缩组绑定的云主机
打开[控制台](https://console.cloud.tencent.com/autoscaling)，选择导航条中的【伸缩组】。

选择要修改的伸缩组，点击伸缩组ID进入伸缩组基本信息页面。
![](//mccdn.qcloud.com/static/img/bae3ec563534769d6c38143b60299d74/image.png)

在该页面中可查看该伸缩组所绑定的云主机列表。
- 如需手动添加CVM实例到伸缩组，点击【添加云主机】，选择要添加的实例（按住Shift可多选），然后点击【确定】；
- 如需解绑某个云主机，在相应的云主机条目后点击【移出】。
![](//mccdn.qcloud.com/static/img/ac4e495a20c3aa69836f3eefb6fdb609/image.png)

对自动生产的机器，移出后会销毁。
对手动加入的机器，移出后不会销毁，只会从伸缩组中移出，以及解绑负载均衡。

## 4. 定义自动扩容机器落在哪个可用区上
打开[控制台](https://console.cloud.tencent.com/autoscaling)，选择导航条中的【伸缩组】。

选择要修改的伸缩组，点击伸缩组ID进入伸缩组基本信息页面。
![](//mccdn.qcloud.com/static/img/bae3ec563534769d6c38143b60299d74/image.png)

点击【编辑】，可增加、减少可用区。


## 5. 修改伸缩组
打开[控制台](https://console.cloud.tencent.com/autoscaling)，选择导航条中的【伸缩组】。

选择要修改的伸缩组，点击伸缩组ID进入伸缩组基本信息页面。
![](//mccdn.qcloud.com/static/img/bae3ec563534769d6c38143b60299d74/image.png)

点击【编辑】，可修改伸缩组名称，调整最小、最大伸缩数，修改CVM实例移出策略等。
![](//mccdn.qcloud.com/static/img/19a6f7cc708a4288974a98d8a78263bd/image.png)

## 6. 删除伸缩组
打开[控制台](https://console.cloud.tencent.com/autoscaling)，选择导航条中的【伸缩组】。

在伸缩组列表中，每个伸缩组列表的最后都有“删除”按钮。注意，您需要将伸缩组中的实例删除后，才能删除伸缩组。


## 7. 将负载均衡与伸缩组结合
在 AS 添加和删除 CVM 实例时，您要确保跨所有 CVM 实例分配应用程序的流量，如果您希望扩容出来的机器在某个load balance下，并在无需您干预的情况下获得load balance转发的流量，您可给您的机器指定load balance。该load balance将作为到您的 Auto Scaling 组中的实例的所有传入流量的单一接触点。

### 为伸缩组添加负载均衡

伸缩组 与 CLB 集成，以便您将负载均衡器附加到现有 伸缩组。附加负载均衡器后，它自动注册组中的实例，并将传入流量分布到这些实例。

在AS[控制台](https://console.cloud.tencent.com/autoscaling)，选择【新建】，页面下方有个“负载均衡”选项，选择您需要的负载均衡。如果您没有事先创建好，可以点击选项下方的“新建”链接，创建新的负载均衡。

>注：
>伸缩组关联的负载均衡实例必须与伸缩组在同一个网络环境（VPC或同一地域的基础网络）中。


### 删除伸缩组的负载均衡
点击进入伸缩组的详情页，在详情下方点击“修改”，可以删除对应的LB。

删除后伸缩组中的机器也会自动与被删除的负载均衡解绑定。