## 1. 查看启动配置列表

启动配置是自动创建云服务器的模版，其中包括镜像ID、云服务器实例类型、系统盘及数据盘类型和容量、密钥对、安全组等。

>创建伸缩组时必须指定启动配置；
> 启动配置一经创建后其属性将不能编辑。

打开 [弹性伸缩控制台](https://console.cloud.tencent.com/autoscaling/config)，选择导航条的【启动配置】即可查看列表。
- 如需查看启动配置详情，请点击相应启动配置ID。
- 如需删除启动配置，请点击相应启动配置条目的【删除】。

> 注：已绑定伸缩组的启动配置无法删除。

![](//mccdn.qcloud.com/static/img/63162a40f0b01336f1c1d2dd6fa50f5b/image.png)


## 2. 创建启动配置

AS 需要提前知道扩容时以怎样的配置生产 CVM，您需提前指定相关资源，例如镜像、数据盘的数据、实例配置、密钥对、安全组和块储存设备等。

值得注意的是，启动配置只是一个模板，自动扩容时按此模板生产机器。**创建启动配置本身不会生产机器，因此完全免费，请您放心使用。**

登录 [弹性伸缩控制台](https://console.cloud.tencent.com/autoscaling/config)，点击导航条中的【启动配置】。

### step 1. 选择地域

在屏幕顶部的菜单上上，为伸缩组选择一个符合您需求的地域。

>注：
>这里要注意选择伸缩组想要绑定的云主机所在的地域，启动配置和伸缩组都是地域属性。比如说，如果启动配置的地域选择了广州，那么只能绑定广州的伸缩组，自动添加的CVM也是广州的CVM。

![](https://mc.qcloudimg.com/static/img/653ebf516d940a90fd79728e5d319cdc/image.png)

### step 2. 指定参数

之后点击【新建】，跟随指示创建启动配置，步骤与购买云主机时相同。

1. 填写【配置名称】，例如“前端服务器集群配置A”；

2. 选择机型，例如 1核1G，即1核CPU，1G 内存；

3. 选择镜像。可选择干净的“公有镜像”，或已经部署好业务的“自定义镜像”。
为了使机器创建完成后直接可用，强烈建议您将业务应用部署在自定义镜像中。**同时镜像里的业务应用应设置成随操作系统一起启动**，这样AS扩容出来的机器才能实现自动化。

4. 选择系统盘大小和数据盘大小。
如果您希望机器开通后数据盘自带数据，可以指定一个数据盘快照，这样机器生产出来后就自带快照中的数据。
> 注：
> - 由于伸缩组的机器一般是无状态的，方便起见，建议您把机器自带数据放到自定义镜像中。如果系统盘不够大，可提工单申请更大的系统盘。
> - 如果您希望采用数据盘存放数据，需要设置数据盘自动挂载，这样扩容无需人工参与。可参看[具体做法](https://cloud.tencent.com/document/product/377/4166#16.-.E5.90.AF.E5.8A.A8.E9.85.8D.E7.BD.AE.E4.B8.AD.E6.8C.87.E5.AE.9A.E4.BA.86.E6.95.B0.E6.8D.AE.E7.9B.98.E5.BF.AB.E7.85.A7.E8.A6.81.E6.B3.A8.E6.84.8F.E4.BB.80.E4.B9.88.EF.BC.9F)。

5. 选择带宽，与购买云服务器时的操作类似。

6. 设置用户名、密码、安全组。

7. 点击【完成】。

8. 基于该启动配置来创建伸缩组。启动配置决定扩容时创建什么机器，伸缩组决定什么时候扩容。


## 3. 更改启动配置

启动配置本身不允许编辑，但伸缩组可以更换启动配置。

如果应用程序升级、数据更新后，需要更换启动配置，请按以下步骤操作：

**step 1：** 新建一个启动配置；

**step 2：** 更换对应伸缩组的启动配置，在伸缩组的详情页面，点击“编辑”按钮，之后指向新的启动配置。如图：

![Alt text](https://mc.qcloudimg.com/static/img/bf9472ccbb0b0e02c8273aa4b37c207b/image.jpg)



## 4、 检测异常

AS 为您提供了非常贴心的服务：提前检测异常。

比如账户余额不足或您误删除了镜像，此类情况会导致您无法正常生产扩容所需的机器。AS 会提前检测到此类异常，并发出警告。您不必等到伸缩活动失败后才发现风险，帮您将损失止于萌芽中。

您可直接在启动配置列表中查看，如下图所示，若“有效性”显示为“失效”，说明您的启动配置已经被误操作过，导致不可用。光标停留在上面时，会显示失效原因。

![Alt text](https://mc.qcloudimg.com/static/img/c937dbaececd17cb8fc698decd4c90b3/1.jpg)


您还可通过点击启动配置的ID，进入启动配置的详情页，查看详细问题：

![Alt text](https://mc.qcloudimg.com/static/img/19bbb5acdc101393740d341047ae0803/2.jpg)
