## Overview

With cloud computing, high performance computing (HPC) can use applications with higher bandwidth and higher computing capacity to address complex scientific, engineering and business issues.

But the problems solved by HPC are usually based on projects, with huge demands for the high scalability of the cloud platform. This document describes how Tencent Cloud helps enterprises complete their HPC business using ultra-high computing capacity (such as CVM), high scalability (such as AS), high capacity (such as CBS) and cloud object storage (such as COS).

## Customer: iCarbonX (Shenzhen) Company Limited	

**Listed as 2017 Top 10 Most Innovative Companies in China by FastCompany, together with Alibaba, Tencent, Xiaomi, BBK Electronics, Huawei, and Wanda Group.**

iCarbonX allows customers to integrate the advantages of artificial intelligence into the abundant analyses and applications of big life data through data mining and machine learning, providing personalized products and services for the management of digital life.

![](https://mc.qcloudimg.com/static/img/a1037773a47161e495e2f6407d48e2b1/image.jpg)

(Ma Huateng is talking with Wang Jun, CEO of iCarbonX.)

## Challenges

- For multi-omics detection, the computing cluster must be able to scale up to 1,000+ cores and 100+ TB any time.
- The preparation for the environment of the computing nodes in the detection workflow is cumbersome and labor-intensive.

## How Can Tencent Cloud Help

![](https://mc.qcloudimg.com/static/img/e98b85e787c02b533f5ffd06a4166bac/31.png)

1. Output original data: Conduct initial processing for multi-omics data using detection devices.
2. Analyze multi-omics data: Tencent Cloud provides three core infrastructures for this operation.
	- A cluster of multiple high-performance servers with 30+ or even 60+ cores;
	- A data server composed of large and efficient cloud disks;
	- The complete HPC workflow management with Tencent Cloud auto scaling service.

The computing cluster to be urgently scaled up is deployed in the following way:

![Alt text](https://mc.qcloudimg.com/static/img/d7208378accfb11c320668ee5089a0c3/02.png)
 
Here, you can see that by placing the Compute Node urgently requiring massive scalability into AS, iCarbonX can create HPC clusters with 1,000+ cores and 100+ TB in minutes, and greatly improve the stability and real-timeness of the computing cluster while reducing human efforts, thus greatly saving the cost.

> Note:
> Tencent Cloud has completed the deployment of cloud disks with 60,000+ cores and 10,000+ TB for HPC customers, all of which are delivered in minutes.

## Customer Value

- Ultra-high computing capability and high scalability of Tencent Cloud enables customers to run high-performance computing on the cloud to improve research speed. With AS, iCarbonX has easily achieved the scale-out deployment of 1,000+ cores and 100+ TB.
- By combining the flexible cloud platform with Tencent Cloud pay-by-usage mode (in seconds), customers can receive quality computing services with the lowest investment for cost saving.

