## 1. 什么是冷却时间？
冷却时间是指在同一个伸缩组内，一个伸缩活动（增加或移出 CVM 实例）执行完成后的一段锁定时间。在这段时间内，该伸缩组不执行伸缩活动。冷却时间的可选范围是`0-999999`（秒）。
## 2. 手动加入的 CVM 是否需要经历冷却时间？
手动添加的 CVM 不需要经历冷却时间。
## 3. 弹性伸缩是否收费？
弹性伸缩（Auto Scaling）功能完全免费，请放心使用。
通过弹性伸缩自动创建或手动加入的 CVM 实例，按正常的按量计费 CVM 价格收费。
## 4. 如何增加伸缩组最大云服务器数？
目前腾讯云用户每个可用区均有`30`个按量计费类型 CVM 配额，如果希望伸缩组有超过 30 台按量计费的 CVM，请提交工单申请。

## 5. 什么样的机器适合使用弹性伸缩？
伸缩组中的云服务器实例中部署的应用需要是无状态、可替换的。因为伸缩组中的实例有可能在缩容中被回收，所以用于弹性伸缩的 CVM 实例不能保存应用的状态信息（如会话）和相关数据（如数据库、日志等）。如果应用中需要保存状态信息，可以考虑把状态信息保存到伸缩组以外的独立云服务器中。
## 6. 手动加入伸缩组的云服务器有什么要求？
手动加入伸缩组的云服务器必须满足以下要求：
- 与伸缩组属于同一个项目；
- 与伸缩组处在同一个地域内；
- 所在网络环境（VPC 或基础网络）与伸缩组一致；
- 处于运行中状态。

## 7. 伸缩组关联的负载均衡实例有什么要求？
伸缩组关联的负载均衡实例必须与伸缩组在同一个网络环境（VPC 或同一地域的基础网络）中。


## 8. 弹性伸缩是否能够自动升降 CVM 的配置？
弹性伸缩是根据用户的业务需求和策略，自动调整其弹性计算资源的管理服务。其能够在业务增长时自动增加 CVM 实例，并在业务下降时自动减少 CVM 实例。弹性伸缩目前还不能支持“纵向扩展”，即弹性伸缩暂时无法自动升降 CVM 的 CPU、内存和带宽。

## 9. 弹性伸缩一定要搭配负载均衡、云监控才能使用吗？
弹性伸缩可以单独扩展和收缩CVM实例，既可以搭配负载均衡一起部署，也可以不搭配。

## 10. 需要某个时间段扩容一批 CVM，该如何设置？
用户可以设置一对定时任务：一个定时任务定义扩容操作，将期望实例数设为您所要扩容的数量；另一个定时任务定义缩容操作，将期望实例数设置到所要缩容的数量。
详见[最佳实践示例 >>](https://cloud.tencent.com/document/product/377/8617#step-5.-.E8.AE.BE.E7.BD.AE.E6.89.A9.E7.BC.A9.E5.AE.B9.E7.AD.96.E7.95.A5.EF.BC.88.E9.87.8D.E7.82.B9.EF.BC.81.EF.BC.89)

## 11. 伸缩组移出策略的具体规则是什么？
腾讯云弹性伸缩提供两种移出策略：
- 删除最旧机器：删除最旧自动增加的机器。自动增加的机器删除完后，删除最早手动增加的机器。
- 删除最新机器：删除最新自动增加的机器。自动增加的机器删除完后，删除最新手动增加的机器。

## 12. 告警策略是如何统计云监控信息的？
以最大值为例，最大值统计的基本策略是每个周期对每台云服务器的设定监控项进行`1分钟`取值（每分钟取一个值），当取到的值连续多个周期（周期数用户可自定义）都符合设定的规则后，则会触发告警伸缩行为。

例如：某伸缩组中有 5 台 CVM，定义的告警伸缩策略是“连续 3 个周期 CPU 使用率超过 50%”。系统会每分钟对每台 CVM 取 1 个值，即一个周期（5分钟）里取了 25 个 CPU 使用率的值。如果这 25 个值中有超过阈值（50%）的，该周期符合告警伸缩规则。如果连续 3 个周期都符合此规则，则会触发伸缩行为。

## 13. 什么是期望实例数？
期望实例数是指伸缩组当前合理的实例数量，大小介于最小伸缩数和最大伸缩数之间。您可以手动调整期望实例数，也可以使用定时任务和告警伸缩任务触发调整。伸缩组会自动调整实际实例数，使之与期望实例数相等。
- 创建伸缩组时：若用户创建伸缩组时设定了初始实例数，则期望实例数为初始实例数。
- 告警伸缩任务调整：当告警伸缩被触发时，伸缩组将调整当前实例数到期望实例数。例如，触发动作是增加两台云服务器，后台会通过将期望实例数在当前基础上+2来实现。系统发现伸缩组的当前实例数与期望实例数不相等，就会增加两台云服务器，使当前实例数等于期望实例数。
- 定时或手动调整期望实例数：当用户通过定时任务或者直接修改的方式，更改了期望实例数，系统发现当前实例数与期望实例数不相等，就会触发伸缩，直到与期望实例数相等。
- 系统调整：期望实例数介于最大实例数和最小实例数之间，如果最大实例数或最小实例数变化，则有可能导致期望实例数变化。比如期望实例数是3，最小伸缩数是2，最大伸缩数是5；若最小伸缩数被调整到4，则期望实例数会被调整为4，以符合最小伸缩数。

## 14. 启动配置中指定了数据盘快照要注意什么？
若启动配置中指定数据盘快照，则需保证数据盘能被正确自动挂载，伸缩组方可成功自动扩容。您需要在设置弹性伸缩前对制作数据盘快照的原实例进行一些操作，才可以支持启动新的云服务器实例时自动挂载数据盘。
具体方法请参见：[使用自定义镜像及数据盘快照启动新实例时自动挂载数据盘的方法 >>](https://cloud.tencent.com/doc/product/362/5564)

## 15. 伸缩组停用后，什么操作会暂停？
设置了停用伸缩组后，自动触发的活动不会进行，但是伸缩组的限制还生效。
当设置了停用伸缩组后，自动进行的操作不进行：

- 告警伸缩；
- 定时任务；
- 健康检查；
- 手动造成期望实例数不匹配。

但为了确保业务正常，伸缩组的基本限制是继续存在的：

- 若手动移出时小于`min`，不允许移出；
- 若手动加入超过`max`，不允许加入；
- 手动提高`min`或`max`，不触发伸缩活动。

## 16. 自动加入伸缩组的云服务器的生命周期包括哪些阶段？
- Creating 创建中：子机在创建中
- InService 运行中：子机在运行中
- Removing 移除中：子机正在被移除
- Attaching 绑定中：子机正在被绑定到伸缩组
- Detaching 解绑中：子机正在从伸缩组解绑
- AttachLb 绑定LB中：子机正在绑定LB
- DetachLb 解绑LB中：子机正在解绑LB
- Preheating 预热中：子机正在预热


## 17. 移出子机的规则
- 手动加入的子机被移出：被移出的子机不再属于伸缩组的管理范围内，AS不会删除它，也不会解绑LB
- 自动扩容进去的子机被移出：子机会被销毁，也会解绑LB