创建完整的弹性伸缩方案，您需要通过以下3步来完成：
![](https://mc.qcloudimg.com/static/img/3c1cc8d6a0bcab10fb527ed941635287/1.png)

>注：以下示例中操作使用的控制台方式，如果您更倾向于使用 API 方式，请参见 [API 使用示例](https://cloud.tencent.com/document/product/377/4232)。

## 步骤1：创建启动配置
启动配置定义了用于弹性伸缩的 CVM 实例的配置信息，包括 CVM 的镜像、存储、网络、安全组、登录方式和其他配置信息。

> 注：创建启动配置服务**完全免费**，请放心创建。

登录[弹性伸缩控制台](https://console.cloud.tencent.com/autoscaling/config)，点击导航条中的【启动配置】。

### 选择区域

区域的选择限制了可以手动添加的云主机和可以绑定的负载均衡。比如说，如果启动配置的区域选择了广州，那么伸缩组里自动添加的就是广州的云主机。在区域为广州的伸缩组里，将不能手动添加上海、北京、香港、多伦多等其他区域的云主机，也不能绑定上海、北京、香港、多伦多等其他区域的负载均衡。

![](https://mc.qcloudimg.com/static/img/653ebf516d940a90fd79728e5d319cdc/image.png)


点击![](//mccdn.cloud.tencent.com/static/img/9d38f7bfbe02a922370765f3adfa58bf/image.png)，在弹出页面填写启动配置基本信息。

### 选择机型
- 命名配置名称。
- 选择和伸缩组想要绑定的云主机同样的机型。

![](https://mc.qcloudimg.com/static/img/4cecf25e8ad9caa67271159c67d0b770/image.png)


### 选择镜像
创建启动配置可使用公共镜像或自定义镜像。

此处强烈建议使用已经部署好环境的自定义镜像。原因如下：

- 如果您选择的是公共镜像，那么伸缩出来的云主机实例是干净的 OS，仍需要手动部署应用环境；
- 而如果选择的是自定义镜像，通过对已经部署好环境的 CVM 实例制作镜像，然后使用该镜像批量创建 CVM 实例， CVM 实例创建成功之后便具有和之前 CVM 实例一致的软件环境，以此可以达到批量部署的目的。

因此，这里推荐选择自定义镜像。
绑定“伸缩组想要绑定的云主机”的镜像。
[如何对“伸缩组想要绑定的云主机”制作镜像？](https://cloud.tencent.com/doc/product/213/%E9%95%9C%E5%83%8F%E6%93%8D%E4%BD%9C%E6%8C%87%E5%8D%97#1.-cvm实例制作自定义镜)
![](https://mc.qcloudimg.com/static/img/c9a614fedaccf6a5ab2c1a16634989cc/image.png)


### 选择存储和网络

在此页面设置磁盘和网络。

![](https://mc.qcloudimg.com/static/img/8e9c2fc896959e14364a2e17ce277e28/image.png)

这里要特别注意如果系统盘选择了云硬盘，那么数据盘就可以选择数据盘快照。

对于有大量数据的用户来说，他们经常会使用数据盘来存储数据。当数据盘A创建了快照文件，用户可使用该快照文件，快速克隆多块磁盘，达到快速部署服务器的目的。

在弹性伸缩自动添加新的云服务器实例时，如果启动配置数据盘指定了数据盘快照，腾讯云云硬盘可以支持启动云服务器实例后自动挂载包含设定数据的数据盘，满足数据自动拷贝的需求。

若启动配置中指定数据盘快照，则需保证数据盘能被正确自动挂载，伸缩组方可成功自动扩容。您需要在设置弹性伸缩前对制作数据盘快照的原实例进行一些操作，才可以支持启动新的云服务器实例时自动挂载数据盘。具体方法请参见：[使用自定义镜像及数据盘快照启动新实例时自动挂载数据盘的方法](https://cloud.tencent.com/doc/product/362/5564)

>注：
>-  弹性伸缩服务免费，新增的服务器、硬盘和网络将根据CVM实例、硬盘和网络按量收费，该页面将根据您的设置显示价格。

### 设置信息
![](https://mc.qcloudimg.com/static/img/bd8a3a728126fc866ccf0c17d15a5d27/image.png)
设置信息：在页面选择登录方式、安全组。通过弹性伸缩服务新增的CVM实例默认免费享受云安全和云监控服务。

完成配置后，此条目将显示在页面的启动配置列表中，示例如下：
![](https://mc.qcloudimg.com/static/img/67ba31fd6c1f12485bb8f96220aaf6af/image.png)


## 步骤2：创建伸缩组
伸缩组是遵循相同规则、面向同一场景的云服务器实例的集合。
登录[弹性伸缩控制台](https://console.cloud.tencent.com/autoscaling/config)，点击导航条中的【伸缩组】。

### 新建伸缩组
点击![](//mccdn.cloud.tencent.com/static/img/9d38f7bfbe02a922370765f3adfa58bf/image.png)，在弹出页面填写伸缩组基本信息。其中![](//mccdn.cloud.tencent.com/static/img/f9df27a1d1e0d42a7ff08dd884bfa34c/image.png)为必填项。

- 伸缩组的当前CVM实例数将维持在最小伸缩数与最大伸缩数之间。
	- 起始实例数定义了伸缩组一开始CVM实例的数量；
	- 若当前CVM实例数小于最小伸缩数，弹性伸缩服务将自动添加实例，使其等于最小伸缩数；
	- 若当前CVM实例数大于最大伸缩数，弹性伸缩服务将自动减少实例，使其等于最大伸缩数。
- 选择已有的启动配置，您也可以新建启动配置。
- 选择网络、可用区、移出策略。
- （可选）选择关联已有负载均衡策略或新建负载均衡。

![](https://mc.qcloudimg.com/static/img/2fb365611291fb8917637dba46f398f4/image.png)

配置完成后，此条目将显示在页面的伸缩组列表中，示例如下：
![](https://mc.qcloudimg.com/static/img/c1c64cdb16c11aaa6d31bc4781db62c4/image.png)

### 添加云主机(可选)
现在我们来绑定云主机。

在云主机列表添加进我们要绑定的云主机实例。完成配置后，此条目将显示在页面的启动配置列表中，示例如下：

![](https://mc.qcloudimg.com/static/img/e3232872ad5fe19e89c9eb7306418a3d/image.png)

> 注：如果在此处您遇到无法添加云主机或者无法移出云主机的情况，请检查您设置的最大伸缩数和最小伸缩数。

## 步骤3：创建伸缩策略
弹性伸缩组根据伸缩策略进行云服务器数量的增减：
- 创建**定时任务**，用于定时执行伸缩活动，您还可设置是否周期性执行；
- 创建**告警触发策略**，根据云监控指标（如CPU、内存使用率等）情况执行伸缩活动。

### 创建定时任务
如果您的负载变化情况是可以预知的，那么您可以设置定时任务，对您的设备扩展活动进行规划，您可以使用此功能定时及周期性地自动增加或减少 CVM 实例，从而灵活应对业务负载变化，提高设备利用率，节省部署和实例成本。

在【伸缩组】页面点击伸缩组ID，进入伸缩组管理页面。
![](https://mc.qcloudimg.com/static/img/ed6f655bf432ef76e6621d1bd83185d5/image.png)

选择【定时任务】选项卡，点击【新建】。
![](https://mc.qcloudimg.com/static/img/7220116ccd32f605cd95eb22b3ad4917/image.png)

在新建页面指定定时任务名称、执行时间和执行活动等信息。您也可以勾选【重复】以定义周期定时执行任务。
![](https://mc.qcloudimg.com/static/img/08db19c1a8385f99481151f1555671f3/image.png)

完成设置后，该定时任务将显示在页面的列表中，示例如下：
![](https://mc.qcloudimg.com/static/img/2ca03a7a966ff4c735894d23ccd434c8/image.png)

### 创建告警触发策略
如果您希望根据 CVM 指标情况调整业务部署，那么您可以自定义告警触发策略，当业务负载使得指标到达阈值时，该策略将帮助您自动增加或减少 CVM 实例数量，从而灵活应对业务负载变化，提高设备利用率，节省部署和实例成本。

> - 伸缩组建立时均会默认建立一条 ping 不可达告警触发策略，以替换不健康子机。
> - 在使用告警触发策略之前，需要在 CVM 的镜像里安装新版本的云监控 Agent。安装方法见：[安装监控组件](/doc/product/248/安装监控组件)

在【伸缩组】页面点击伸缩组ID，进入伸缩组管理页面。
![](https://mc.qcloudimg.com/static/img/ed6f655bf432ef76e6621d1bd83185d5/image.png)

选择【告警触发策略】选项卡，点击【新建】。
![](https://mc.qcloudimg.com/static/img/918a9b5b2ca2c7c050ac34170a16a4cb/image.png)

在新建页面设置告警策略，基于云监控性能指标（如CPU、内存、带宽等），自动为伸缩组增加或减少指定台数或指定百分比的CVM实例。

您还可通过复制策略(选填)，直接复制已有伸缩组的已有策略到当前伸缩组。
![](https://mc.qcloudimg.com/static/img/1b026efe9c6e27b2db0ae70d37b6dcc1/image.png)

完成设置后，该告警触发策略将显示在页面的列表中，示例如下：
![](https://mc.qcloudimg.com/static/img/043a68c9c0dbfecc61c566537b100679/image.png)


