启动配置定义了用于弹性伸缩的CVM实例的配置信息，包括CVM的镜像、存储、网络、安全组、登录方式和其他配置信息。
> 注：创建启动配置服务免费。

登录[弹性伸缩控制台](https://console.cloud.tencent.com/autoscaling/config)，点击导航条中的【启动配置】。

## 选择地域
![](https://mc.qcloudimg.com/static/img/653ebf516d940a90fd79728e5d319cdc/image.png)
这里要注意必须选择伸缩组想要绑定的云主机所在的地域。

地域的选择限制了可以手动添加的云主机和可以绑定的负载均衡。比如说，如果启动配置的地域选择了广州，那么伸缩组里自动添加的就是广州的云主机。在地域为广州的伸缩组里，将不能手动添加上海、北京、香港、多伦多等其他地域的云主机，也不能绑定上海、北京、香港、多伦多等其他地域的负载均衡。

## 选择机型
点击![](//mccdn.qcloud.com/static/img/9d38f7bfbe02a922370765f3adfa58bf/image.png)，在弹出页面填写启动配置基本信息。

![](https://mc.qcloudimg.com/static/img/4cecf25e8ad9caa67271159c67d0b770/image.png)


## 选择镜像
![](https://mc.qcloudimg.com/static/img/c9a614fedaccf6a5ab2c1a16634989cc/image.png)
这里可以选择的镜像分为公共镜像和自定义镜像。

如果选择公共镜像，要和伸缩组想要绑定的云主机的操作系统保持一致。如果选择自定义镜像，自定义镜像需要由用户通过云主机的镜像制作功能制作。

区别在于如果选择了公共镜像，那么伸缩出来的云主机实例是未经过激活的，不能直接使用，需要手动部署应用环境。而如果选择了自定义镜像，通过对已经部署好环境的 CVM 实例制作镜像，然后在批量创建 CVM 实例时使用该镜像作为操作系统， CVM 实例创建成功之后便具有和之前 CVM 实例一致的软件环境，以此可以达到批量部署软件环境的目的。

因此，这里推荐选择自定义镜像。绑定“伸缩组想要绑定的云主机”的镜像。

> 注：[如何对“伸缩组想要绑定的云主机”制作镜像？](https://cloud.tencent.com/doc/product/213/4942)

## 选择存储和网络
![](https://mc.qcloudimg.com/static/img/8e9c2fc896959e14364a2e17ce277e28/image.png)
选择存储和网络：在此页面设置磁盘和网络。

这里要特别注意如果系统盘选择了云硬盘,那么数据盘就可以选择数据盘快照。

对于有大量数据的用户来说，他们经常会使用数据盘来存储数据。当数据盘创建了快照文件，用户可使用该快照文件，快速克隆多块磁盘，达到快速部署服务器的目的。

在弹性伸缩自动添加新的云服务器实例时，如果启动配置数据盘指定了数据盘快照，腾讯云云硬盘可以支持启动云服务器实例后自动挂载包含设定数据的数据盘，满足数据自动拷贝的需求。

若启动配置中指定数据盘快照，则需保证数据盘能被正确自动挂载，伸缩组方可成功自动扩容。您需要在设置弹性伸缩前对制作数据盘快照的原实例进行一些操作，才可以支持启动新的云服务器实例时自动挂载数据盘。具体方法请参见：[使用自定义镜像及数据盘快照启动新实例时自动挂载数据盘的方法](https://cloud.tencent.com/doc/product/362/5564)
>注：
-  弹性伸缩服务免费，新增的服务器、硬盘和网络将根据CVM实例、硬盘和网络按量收费，该页面将根据您的设置显示价格。

## 设置信息
设置信息：在页面选择登录方式、安全组。
![](https://mc.qcloudimg.com/static/img/bd8a3a728126fc866ccf0c17d15a5d27/image.png)

> 注：通过弹性伸缩服务新增的CVM实例默认免费享受云安全和云监控服务。

完成配置后，此条目将显示在页面的启动配置列表中，示例如下：
![](https://mc.qcloudimg.com/static/img/67ba31fd6c1f12485bb8f96220aaf6af/image.png)