AS除支持根据业务负载扩缩容外，还支持您手动介入，达到快速手动扩缩容的效果。您可以通过以下两种方式达到手动扩容效果：

- 将已有的CVM实例加到伸缩组中
- 通过修改伸缩组的期望实例数，实现一键扩容

## 将已有的CVM实例添加到伸缩组中

伸缩组为您提供了一个选项，可通过将一个或多个 CVM 实例附加到现有伸缩组，与伸缩组的其他机器一起观察负载和管理。

### - 添加实例的条件

- 实例处于运行状态
- 实例与伸缩组位于同一地域
- 实例的网络属性必须与伸缩组一样，即同属基础网络或属于同一个 VPC

### - 手动添加实例后的处理

- AS 会将该组的所需容量与要附加的实例数相加。比如您伸缩组目前的期望实例数是5，手动增加3台实例后，您伸缩组的期望实例数会变为 5+3=8。（如果要附加的实例数加上所需容量超过组的最大大小，请求将失败）

- 如果伸缩组有关联一个或多个 CLB，手动添加的实例会自动注册到伸缩组的所有 CLB 中。

- 伸缩组缩容时会先移出自动创建的机器，没有自动创建的机器时，才会选择移出手动添加的机器。伸缩组移出手动添加的实例时，只是移出伸缩组和 CLB，不再通过伸缩组管理，而不会销毁您的实例。

### - 使用控制台手动添加实例示例

点击您要管理的伸缩组 ID，或点击其后的【管理】，进入伸缩组详情页，拉到网页下半部分，有 CVM 列表，点击【添加云主机】，在对话框中勾选对应的主机，然后点击【确定】即可。

![](https://mc.qcloudimg.com/static/img/ba54a0d85d885e75d0e07056050748ee/5.jpg)


## 修改期望实例数，一键扩容

如果您满足以下条件，建议您可以使用 AS 的手动一键扩容：

- 业务的波峰波谷较难预测，但不愿把扩缩容完全交给系统决定；（如果业务波峰波谷可预测，建议您使用定时任务扩容）
- 您的计算需求是项目性的，且每次用的机器都类似（比如社情舆论收集、基因测序、天气预测）。
这种情况下，您将云服务器的模板作出启动配置，并配置对应的伸缩组。以后要扩容，直接更改伸缩组所需要的容量即可。


### 在控制台进行一键扩容

1. 创建自定义镜像。
后续扩容的实例将依据此镜像部署好环境。
自定义镜像创建的推荐思路：您可选择已有的一台 CVM 或新创建一台 CVM，将您的业务部署好，并将业务设置成随操作系统一起启动，然后导出为自定义镜像。
如果遇到问题，可参照 [创建自定义镜像的详细方法](https://cloud.tencent.com/document/product/213/4942)。

2. 基于该自定义镜像创建启动配置。
您可 [参照创建启动配置的详细步骤](https://cloud.tencent.com/document/product/377/8544) 进行。

3. 创建伸缩组。
创建时选择已创建的启动配置，最小伸缩数、最大伸缩数、起始实例数根据您需要的服务器数量的下限、上限以及当前数量来填写。完成步骤三，您就可以随时扩容了。

4. 扩容。
业务需要扩容时（例如开始一次基因测序任务或开通请求类机器收集数据），您可直接修改伸缩组，提高最小伸缩数、最大伸缩数、期望实例数即可，AS将快速为您完成扩容。

**总结：**提前将 CLB 转发规则、机器配置、业务部署这类工作做好，需要扩容时只要一键修改伸缩组的参数即可，这样的业务才是敏捷的。

