## 简介

AS 支持根据监控的指标动态扩展伸缩组中的实例数量，您需定义告警触发策略，即触发扩展的监控指标状态以及如何按照需求变化进行扩展。

创建告警策略需指定条件和动作：
- 条件格式为：某个指标 + 阈值 + 周期 + 连续达到阈值的周期数 。即指标在连续N个周期都达到了阈值。
- 执行动作为：发送通知 + 增加/减少 指定数量的云服务器。

建议您为每个伸缩组各创建两个策略：一个策略用于扩展，另一个策略用于收缩。当业务量达到了告警策略指定的条件后， AS 将执行关联的策略对伸缩组进行收缩（通过终止实例）或扩展（通过启动实例）。

如下图所示：

![](https://mc.qcloudimg.com/static/img/cca3aaed563b1a5b97e32fa22eebdfa6/4.jpg)


## 场景示例

比如您有一个电商网站应用程序，当前使用了五个实例。您做了一个运营活动，担心访问量远大于您的预估，您可以设置当前实例上的负载上升到 70% 时额外启动两个新的实例，然后在负载下降到 40% 时终止多余的实例。您可以配置伸缩组，根据这些条件自动扩展。



![](https://mc.qcloudimg.com/static/img/d3320376422b51e1241591e432e2f3c5/7.jpg)

## 操作步骤

1. 打开[控制台](https://console.cloud.tencent.com/autoscaling/config)，选择导航条中的【伸缩组】。

2. 选择要修改的伸缩组，点击伸缩组ID进入伸缩组基本信息页面。
![](//mccdn.qcloud.com/static/img/bae3ec563534769d6c38143b60299d74/image.png)

3. 在上方的导航条中选择【告警触发策略】，在该页面管理与伸缩组相关联的告警触发策略。
	- 点击【新建】可添加新的告警触发策略；
	- 点击【删除】删除该条告警触发策略；

![](//mccdn.qcloud.com/static/img/7b4b02c3f0aa3fe5921029b6471d3ada/image.png)


##指定某台服务器不受告警伸缩策略影响
使用 auto scaling 前，也许您的系统已经有常用的服务器，您出于以下考虑，不希望机器被告警伸缩策略移出：

- **一机多用**：集群中某台服务器除了做集群所做的事情外，还兼做其他用途。比如网站建设初期，您的某台服务器既作为缓存服务器使用，又作为文件服务器。在缓存服务器集群放入伸缩组时，您不希望它被告警伸缩策略移出。

- **存放数据**：该服务器是有状态的或自带其他服务器没有的数据。比如集群中其他服务器运行中产生的增量数据，都统一保存到该服务器里。

- **更新镜像/快照**：固定使用该服务器定期做镜像和快照


**设置方法：**


**step 1** :您可以在[伸缩组列表](https://console.cloud.tencent.com/autoscaling)里点击服务器所在的伸缩组，进入管理页面；

**step 2**：在管理页面下方的“云主机列表”，对所要设置的云主机点击“设置移出保护”；
