## 场景描述
常见Web服务的服务器，都建议使用AS，免费地获得管理上的便利和业务上的健壮性。

如电商网站、视频网站、在线教育等，客户端的请求通过负载均衡到达应用服务器。当访问量快速变化时，弹性伸缩服务可根据请求量弹性扩缩应用服务器的数量。

![Alt text](https://mc.qcloudimg.com/static/img/ba977d67b59a73d6a137323b61d17ec4/01+%282%29.png)

## 使用方法
将以下集群均可纳入伸缩组中，为集群增加一层防护：

- 前端服务器集群(接入层)

- 应用服务器集群(逻辑层)

- 缓存服务器集群(数据层)

对有预期的业务高峰（如线上促销活动），还可以结合定时扩缩容策略。

>**TIPS:**将集群内的机器移入伸缩组中，对固定机器设置“缩容豁免”保证集群正常工作。同时设置告警扩缩容策略，防止突发流量或CC攻击。

## AS带来的帮助
1、为业务多加一层防护，应对意外请求流量和屏蔽单点故障；

2、无需按最高峰值预估资源，只要预估常驻资源即可，弹性部分资源由AS动态调整，节约IT开支；

3、遇到CC攻击可快速扩容，不至于请求丢包；



## 适用行业

所有网站均可采用此方案，其中负载波动大的网站尤其推荐：

- 电商网站

- 在线教育网站

- 视频网站

- 直播网站


## 常见疑问
> 一般的web服务，比如内部系统或流量平稳的网站是否推荐使用本方案？

即使普通网站，也会遇到意料之外的情况，比如CC攻击，或者无法预估的事件带来的扎堆访问。

本方案没有任何额外成本，只要对规划中的机器设置“免于缩容”，网站的设计和运行就不会受到影响。在遇到意外情况时，AS就会带来巨大的收益，避免了业务暂停。

因此本方案是我们强烈推荐的最佳实践。
