本节向您介绍，如果集群需要主动外访，那么如何设置固定外访IP。

## 需求场景

如果您伸缩组中的集群，同时存在这三个需求：
- 从负载均衡 CLB 接受请求
- 集群机器需要主动外访
- 外访时希望用**固定**的外网IP

那么您可以按如下方案进行设置。

## 方案简述
1. 通过负载均衡 CLB 接收和响应外部请求
2. 将机器放到 VPC 的子网中，将路由表指向 NAT 网关，主动外访请求统一经 NAT 网关的外网 IP 发出
3. 伸缩组的网络属性设为该子网，这样扩容出来的机器都会统一用 NAT 网关主动外访

如下图：

![](https://mc.qcloudimg.com/static/img/9cccdddfe99dbc065c97cad27448ed9f/image.png)



## 设置方法

### 第一步： 创建VPC和子网

#### **1. 创建VPC**

1. 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】，或者进入腾讯云[私有网络介绍页中](https://cloud.tencent.com/product/vpc.html)的【立即体验】按钮，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/)。

2. 选择列表上方下拉框中的地域，点击【新建】创建私有网络，例如，选择地域“华北地区（北京）”。

3. 填写私有网络和子网的名称和 CIDR，并选择子网的可用区。

4. 点击【创建】。


#### **2. 创建子网**

1. 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】，点击左导航栏中的【子网】。选择下拉框中的地域和私有网络。
![](https://mc.qcloudimg.com/static/img/02c52c44678a56597b4d7053f8f8c467/3.jpg)

2. 点击【新建】，填写子网络名称、CIDR、可用区和关联路由表。然后点击【创建】确认。

3. 新建完成后，您就可以购买机器到这个子网中了。


### 第二步：创建 NAT 网关
#### **1. 购买**
1. 登录[腾讯云控制台](https://console.cloud.tencent.com/)，选择【私有网络】选项卡，选择【NAT网关】。

2. 点击左上角【新建】按钮，在弹出框中依次输入或确定以下参数：
	- 网关名称
	- 网关类型（网关类型创建后可更改）
	- NAT 网关服务的私有网络（就是刚才您创建的私有网络）
	- 为 NAT 网关分配弹性 IP，这个 IP 就是以后您机器外访的固定 IP

3. 选择结束后点击【确认】按钮，即可完成 NAT 网关的创建。

4. 创建完 NAT 网关，您需要在私有网络控制台路由表页配置路由规则，以将子网流量指向 NAT 网关。

#### **2. 设置路由表(重点)**
1. 登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，选择【路由表】。

2. 在路由表列表中，点击需要访问 Internet 的子网所关联的路由表 ID 进入路由表详情页，在路由策略中点击【编辑】按钮。

3. 点击新增一行，填入目的端（比如这种场景下可以填“0.0.0.0/0”，下一跳类型选择【NAT网关】，并选择已创建的 NAT 网关 ID，然后点击确定。
![](https://mc.qcloudimg.com/static/img/3cd89bc5f80c66fd88c27cfc4e08d785/1.jpg)

至此，您在这个子网中的机器，即使没有公网IP，也可以经过NAT网关主动外访了，对外而言还是固定的IP。

如下图，即使我购买的是没有公网IP且带宽为0的主机，也可以主动外访：
![](https://mc.qcloudimg.com/static/img/17ed153e06272885b56764781d9ab581/49.jpg)
但伸缩组需要识别这个子网，并确保机器都在这个子网上创建。

### 第三步：设置伸缩组
这个步骤的目的是将子网信息指向伸缩组，伸缩组就会把新扩容的机器开在这个子网中。
**这样，扩容的机器会自动地用NAT网关的IP地址外访，达到固定出口IP的效果。**

在[弹性伸缩控制台](https://console.cloud.tencent.com/autoscaling)，点击新建：

- 填写好伸缩组名字、启动配置（启动配置需事先设置好）、最大伸缩数、最小伸缩数、起始实例数等信息
- 选择“网络”和“子网”，指向刚才设置好的VPC和子网**（重要）**。

如下图：
![](https://mc.qcloudimg.com/static/img/699ee5bde186a9d4686684346032eba5/16.jpg)

至此设置完成。
