## 自动扩容的机器设置服务开机启动
### 使用场景
用auto scaling扩容时，我们希望全程无人工介入。因此强烈为自动扩容的机器设置开机后服务自动启动，比如：

- **httpd**服务
- **mysqld**服务
- **php-fpm**服务
- **tomcat**服务
- 等等

其实花一分钟设置即可完成——修改 /etc/rc.d/rc.local文件！

### 设置方法（以centos为例）：


#### step 1： 打开rc.local文件
输入

    vim /etc/rc.d/rc.local

已有内容不动，在文件后面添加内容。

>>操作TIPS**（资深用户可跳过）：**
>
>输入“i"进入vim的insert模式，就可以输入内容，此时按方向键“↓”即可到达文件后面。


#### step 2： 写好要启动的服务

本例子是希望搭建的网站开机自启动httpd、mysqld、php-fpm服务。因此我在rc.local后面加入这几句：

    service httpd start
    service mysqld start
    service php-fpm start

![](https://mc.qcloudimg.com/static/img/db828b166419cd933e13573c8838a6aa/image.jpg)

保存并退出。之后这台server开机后，网站就自动可访问了。注意不同网站需要的服务不同，此步骤根据您的需要设置即可。


>操作TIPS**（资深用户可跳过）：**
>
>内容输入完成后，按esc键，然后**按住shift键+两下z**就可退出了。即输入ZZ。


#### step 3:验证（可选）
重启服务器（输入reboot即可重启，或者在控制台上重启），服务器重启完成后不进入服务器，直接刷新网站的网页看是否有响应。如有即设置成功。

#### step 4：基于这台的机器制作镜像，在制作启动配置时使用该镜像
此步骤比较简单，如果操作遇到困难可再参考以下教程：

[制作自定义镜像](https://cloud.tencent.com/doc/product/213/%E9%95%9C%E5%83%8F%E6%93%8D%E4%BD%9C%E6%8C%87%E5%8D%97#1.-cvm实例制作自定义镜)

[制作启动配置](https://cloud.tencent.com/document/product/377/8544)


