本项目将指导您利用腾讯云 [弹性伸缩](https://cloud.tencent.com/product/as) 完成部署弹性 Web 应用服务。弹性伸缩帮助您以最合适的实例数量应对业务情况。当业务需求增加时，为您无缝地自动增加适量 CVM 实例；当业务需求下降时，为您自动减少不需要的 CVM 实例，提高设备利用率，为您节省部署和实例成本。
本项目适合集群式部署的网站/APP。本项目中的网站结构比较简单，只有应用服务器一个集群。复杂的网站，会有应用服务器集群、前端服务器集群、缓存服务器集群等，每个集群都可进行类似操作，每个集群对应一个伸缩组。
**适用条件**
- 网站使用集群的方式，且集群超过 1 台以上的服务器。
- 网站有较长时间的空闲。大部分网站的高峰时间不超过 8 个小时，剩下的 16 个小时的时间，完全可以把闲置的服务器作缩容处理，这种方式能帮助您节约大量成本。

本项目以某休闲类网站为例，该网站 20：00-24：00 是访问高峰时段。
- 非高峰时段的负载部署固定资源，可采用包年包月 CVM。
- 高峰时段采用按量计费的 CVM。通过定时任务在 20：00 扩容 1 台 CVM 实例，并在 24：00 进行缩容。
![](//mc.qcloudimg.com/static/img/cd4f9a05923871165c6e7184b984336e/image.png)

### 一、创建集群自定义镜像
基于一台集群中现有的机器制作镜像。关于创建自定义镜像的更多信息，请参考 [制作自定义镜像](/doc/product/213/4942)。
1. 登录 [云主机控制台](https://console.cloud.tencent.com/cvm/index) 。
2. 在制作镜像前，需要关机实例。勾选需要关机的实例，单击上方【关机】。
3. 在需要制作镜像的实例右侧单击【更多】，单击【制作镜像】。
4. 在弹出框中，输入 **镜像名称** 和 **镜像描述**，单击【确定】提交创建。创建自定义镜像需要一定的时间，请耐心等待。
5. 创建成功后，单击左侧导航栏【镜像】，即可跳转至镜像列表查看详细信息。

> **注意：**
> 您需要提前部署好镜像中的环境，保证镜像里的应用能随操作系统启动，这样扩容出来的机器就能直接工作，无需人工介入。

### 二、创建启动配置

扩容时弹性伸缩以 **启动配置** 为模板创建机器，因此需要事先通过 **启动配置** 指定地域、机型、镜像。

1. 登录 [弹性伸缩控制台](https://console.cloud.tencent.com/autoscaling/config)，单击导航条中的【启动配置】。
2. 选择项目和地域，这里需要选择您的 Web 应用所在的项目和地域。本项目选择“默认项目”和“华南地区（广州）”。
![](//mc.qcloudimg.com/static/img/653ebf516d940a90fd79728e5d319cdc/image.png)
3. 选择机型。关于机型选择的更多信息，请参考 [推荐选型](https://cloud.tencent.com/act/recommended)。本项目选择系列 1 标准型 1 颗 CPU 1GB 内存。
![](//mc.qcloudimg.com/static/img/301ed9b779010186705029631853a6ab/image.png)
4. 选择镜像。在【自定义镜像】中，指定刚才您创建的镜像。本项目以“test”为例。
![](//mc.qcloudimg.com/static/img/192691062ce8fa93f2bbcd0f02af5bc2/image.png)
5. 选择存储和网络。
![](//mc.qcloudimg.com/static/img/2ec4987b14f97966851f90849c016167/image.png)
6. 设置信息。设置密码和安全组。
![](//mc.qcloudimg.com/static/img/ee9caea59c347e581fb82c273407e28d/image.png)

### 三、创建伸缩组
1. 在 [弹性伸缩控制台](https://console.cloud.tencent.com/autoscaling)，单击【伸缩组】>【新建】，填写集群的相关管理信息。确认无误后，单击【下一步】。
 - **名称**：伸缩组的名称。本项目以“应用服务器集群”为例。
 - **最小伸缩数**：集群服务器数量的下限。本项目填 0 即可。
 - **起始实例数**：伸缩组刚创建时，自动创建的机器数量。一般不会刚创建伸缩组就自动创建机器，建议这里填 0。
 - **最大伸缩数**：集群服务器数量的上限，这里按需填写。本项目以 5 为例，即伸缩组最多有 5 台机器。
 - **启动配置**：选择您刚才创建的启动配置。
 - **支持网络**：会话服务器的网络环境。本项目选择“基础网络”。
 - **支持可用区**：即选择扩容机器落在哪个可用区里，此处按会话服务器所在的可用区勾选即可。本项目选择“广州二区”。
 - **移出策略**：提供“移出最旧的云主机”和“移出最新的云主机”两种策略。本项目选择“移出最旧的云主机”。
![](//mc.qcloudimg.com/static/img/1dfcdab95c12ad0b999a09de98e8508a/image.png)
2. 选择负载均衡。扩容出来的机器会自动挂载到您关联的负载均衡下，您可以选择已有负载均衡或者新建负载均衡。确认无误后，单击【完成】，完成创建。
 - **负载均衡**：选择集群的负载均衡。本项目不选择负载均衡。
![](//mc.qcloudimg.com/static/img/2771bbfe477d54400fcb72b21014668b/image.png)

### 四、添加现有 CVM 实例进伸缩组

1. 在 [弹性伸缩控制台](https://console.cloud.tencent.com/autoscaling) 点击伸缩组名称，进入伸缩组管理页面，单击【关联云主机】>【添加云主机】。
![](//mc.qcloudimg.com/static/img/9063e98237388d8bfbbb72f267103a42/image.png)

2. 在弹出的对话框中，选择集群已有的服务器加入伸缩组。非高峰时期，建议退还集群中未充分利用的服务器以节约成本。
![](https://mc.qcloudimg.com/static/img/8a3ba69a5ffc9e9004e91c8a300149c2/image.jpg)

3. 单击【设置移出保护】对该云服务器设置移出保护。这样在缩容活动中，伸缩组不会选择这台服务器缩容。集群中这台机器永远在服务，弹性伸缩不会更改它。
![](https://mc.qcloudimg.com/static/img/de9840c7507a725d836f02ca77fd0490/image.jpg)

### 五、设置扩缩容策略

弹性伸缩支持定时扩缩容和基于告警动态扩缩容，可以设置接收扩缩容通知，以及查看历史扩缩容详情。
![](//mc.qcloudimg.com/static/img/9ff9af152c4d99a1955c837f1177f131/image.png)
本项目以设置定时扩缩容为例进行说明。在伸缩组管理页面，单击【定时任务】>【+新建】，弹出新建定时任务页面。
![](//mc.qcloudimg.com/static/img/98f7fd2432fd64b88c3090fa0487a2da/image.png)
-  **设置定时扩容任务**
![](https://mc.qcloudimg.com/static/img/e3c790c1fa7594643bcfb591e5ca949b/image.jpg)
> **注意：**
> 腾讯云 CVM 需要 1 分钟左右的创建时间。如果自定义镜像较大，可能需要更多时间。建议您将执行开始时间提早 5 分钟。
- **设置定时缩容任务**
![](https://mc.qcloudimg.com/static/img/e0fce491429b83cc77fa244db5382778/image.jpg)
至此，网站的后台集群变为“1 台固定应用服务器+1 台高峰时定时创建的应用服务器”。
