上文讲了启动配置的异常，启动配置异常意味着扩容后的模板损坏，因此伸缩组会失效。
类似的，还有几个原因可能导致伸缩组暂时失效。

>注：将导致伸缩组失效的因素排除后，伸缩组会重新生效。

## 如何辨别伸缩组失效

若在控制台看到伸缩组名字旁边有红色“！”标示，即说明伸缩组失效了。

## 伸缩组为什么会失效

伸缩组失效实际上是 **提前** 预判到了风险——您账户的环境无法创建机器（不管是手动购买还是通过 AS 购买），或者创建后所关联的资源被您删除了（CLB、VPC）。

伸缩组失效实际上是一种提前发现风险的机制，防止在真正需要扩容时才扩容失败，极大提高您集群的安全性。

## 查看伸缩组失效原因

光标停留在伸缩组旁边的"!"号，既可以查看失效的原因：

![](https://mc.qcloudimg.com/static/img/6eb6ec0402cfcc10951b39796ff6d5f0/009.jpg)

## 伸缩组失效原因归类

| 序号|  原因|描述|
| -------- | --------|-------- |
| 1|   账户余额不足|账户无足够资金用于支付扩容的资源|
|2|CLB 被删除|CLB 被删除，扩容的机器无法注册到 CLB 上
|3|CVM配额不足|腾讯云支持每个账户每个可用区最多持有 30 台按量计费 CVM |
|4|资源售罄|所在的可用区按量计费CVM售罄，手动和自动的方式都无法购买|
|5|私有网络或子网被删除|伸缩组指向的私有网络或子网被删除了，就无法创建机器|

## 伸缩组失效的影响

伸缩组失效后，不会马上停止工作：

- 正常的缩容活动不会受影响；
- 最大伸缩数、最小伸缩数、期望实例数的限制还在正常工作；
- 扩容活动不再进行，因为您的环境已经不具备创建 CVM 的条件。

## 恢复失效伸缩组

对应伸缩组失效的几个原因，您可以采取以下措施恢复您的伸缩组：

| 序号|     原因|恢复措施|
| -------- | --------|-------- |
|1|账户余额不足| 充值 |
|2|CLB被删除| 重新指向一个存在的CLB |
|3|CVM配额不足| 如果是大客户，可申请更高配额 |
|4|资源售罄| 稍后重试 |
|5|私有网络或子网被删除| 重新指向一个存在的子网 |
