本文提供有关未能通过 AS 启动的 CVM 实例的信息、可能原因以及可用来解决问题的步骤。

## AS 生产机器失败原因归类

扩容失败主要有以下6类：

| 序号 | 失败原因 | 原因描述 | 
|---------|---------|---------|
| 1 | 启动配置失效 | 如果启动配置显示失效，原因为启动配置的关联资源（镜像、快照、安全组等）被删除。您可进入启动配置详情页中，查看哪个资源被误删除。误删除的资源被标红。 | 
| 2 | 伸缩组异常 | 原因包括关联的 LB 或 VPC 被删除、账户余额不足。 | 
| 3 | CVM购买配额不足 | 每个用户都有 CVM 的购买配额，按量计费 CVM 的默认配额为每个可用区 30 台。如果您超过了这个配额，AS 就会无法开出机器。 | 
| 4 | 机型不存在 | 您启动配置里定义的机型不正确或已下架。 | 
| 5 | 资源售罄 | 腾讯云的资源售罄（此情况几乎不可能发生）。 | 
| 6 | 其他后台错误 | 详细原因可在伸缩活动详情页中查看（此情况几乎不可能发生）。 | 

## 排查步骤

### 1. 查看原因说明

腾讯云 AS 提供了业界最智能的伸缩组活动失败原因展示。

您可以在伸缩组管理的【伸缩活动】直接查看原因：

![](https://mc.qcloudimg.com/static/img/51e997b42d2d7e7ce6d8bf3f2e662411/0.jpg)

### 2. 根据提示执行对应操作

您可根据伸缩活动失败原因执行相应操作，参照下表。

| 序号 | 失败原因 | 执行操作 | 
|---------|---------|---------|
| 1 | 镜像被删除 | 	更换启动配置 | 
| 2 | CLB 被删除 | 修改 CLB | 
| 3 | 数据快照被删除 | 更换启动配置 | 
| 4 | 安全组被删除 | 更换启动配置 | 
| 5 | 子网被删除 | 请修改子网 | 
| 6 | 资源销磬 | 暂停扩容操作 | 
| 7 | 机型不存在 | 更换启动配置 | 
| 8 | 后台资源不足 | 暂停扩容操作 | 
| 9 | 配额不足 | 减少扩容子机数量，或者工单提高配额 | 
| 10 | 账户余额不足 | 请充值 | 
| 11 | 密钥被删除 | 更换启动配置 | 

