
## 作业
作业（Job）是用户提交批处理工作的最小单位，它由单个或多个有前后依赖关系的任务组成。可以通过非常易用的 DAG 语法，来给多个批处理任务设置依赖关系，共同组成一个作业，然后依次执行各个任务，直到所有任务完成，即作业完成。任务间的依赖关系只能在作业提交时指定，提交完成后不能进行修改。
![作业示例](https://mc.qcloudimg.com/static/img/cd1eff1cdfb7104c11a1b64473c325fa/image.png)
## 任务
任务（Task）是实际在一台云服务器上执行的应用程序的信息。Batch 调度系统根据用户提交的配置，自动创建 CVM，安装镜像，执行程序。任务不可以直接提交，必须放入一个作业后下才可以提交执行，作业支持放置单个任务，也可以放置多个任务。

任务最核心的可配置属性如下：
* ``CVM 实例配置`` ：任务是执行在 CVM 上的，你需要根据你计算任务的特性，去配置 CVM 实例的类型和配置，比如选择计算型实例(C2)还是高IO型实例（IO2）、内存和磁盘大小、实例所处于的 VPC 网络等等。
* ``执行环境``：包含镜像和命令配置，镜像一般是自定义镜像，里面包含你的应用程序和它所依赖的环境，而命令则指定如何启动这些应用程序来进行计算。
* ``远程存储映射``：支持将远程存储地址映射到本地文件系统地址，目前支持 COS，详细见后面单独名词解释。
* ``标准输出``：你可以配置标准输出的映射地址（COS），应用程序里输出到 stdout 和 stderr 的信息将会在任务完成后被上传到对应地址，这样可以在任务完成后回溯计算过程。

## 实例
实例即对应一个 CVM 实例，每个任务可以指定一个或多个实例（Instance）来执行同一个，实例是 Batch 调度和执行的最小单元。你可以在任务配置里设置需要并发执行的实例数目，Batch 会在任务被启动时以同样的配置创建指定数目的实例，你可以在执行程序里通过环境变量来区分这些实例。

多实例的典型运用场景是输入数据可切割然后并行处理的场景，这样可以充分的运用云上弹性资源的优势进行并行计算，提高工作效率。
## 镜像
镜像（Image）配置在任务里，创建实例时使用，它必须是一个标准的或者自定义的 CVM 镜像，你需要预先将计算环境和应用程序准备好并制作成自定义镜像，你可以在 [镜像控制台>>>](https://console.cloud.tencent.com/cvm/image?rid=1&imageType=1) 查看你的自定义镜像，如何制作自定义镜像请查看 [创建自定义镜像>>>](https://cloud.tencent.com/document/product/213/4942) 。
## 远程存储映射
存储映射即将远程存储地址映射到 CVM 的本地文件系统地址，这样你以操作本地文件系统的方式来读写远程存储地址。

比如 COS 目录为: cos://mybucket/batchcomputer/，你可以将这个COS 目录映射到本地 /user/batch/ 目录下，任务程序可以把它当做本地目录来处理。
