## 基因测序
生物信息公司或实验室利用测序仪获取基因组序列的原始文件，在完成基因组序列的初步分析后将信息上传到云上存储系统，比如对象存储 COS，然后通过腾讯云批量计算 Batch 对信息进行更进一步分析。

![基因测序](https://mc.qcloudimg.com/static/img/810c499a0a74a2fba07fbe439ff6c7b1/image.png)

#### 场景常见步骤
1. 生物信息专家从测序仪或私有云上的存储获取原始信息，并上传到腾讯云存储服务，比如 COS、CFS；
2. 用户定义用来分析信息的 Batch 作业，然后提交作业，作业的存储配置与前一步上传的原始信息关联；
3. Batch 自动调度资源，并将用户上传的自定义分析镜像部署到被调度的 CVM里，同时自动调度作业开始分析原始信息；
4. CVM 上的计算完毕后，Batch 会自动将分析结果上传到用户指定位置。
将待分析的原始信息上传到COS；

## 影视和效果图渲染
在影视、广告、建筑规划等视觉创作行业中，内容制作者和后期制作公司需要使用到海量机器来完成影视特效、三维动画、特效图等相关渲染工作，腾讯云批量处理 Batch 为用户提供了自动化内容渲染工作流水线的能力，用户可以构建自己的渲染依赖流程，同时利用 Batch 的海量资源和作业调度能力来高效的完成视觉创作工作。

![影视和效果图渲染](https://mc.qcloudimg.com/static/img/c667521cad604d95cd9ef0efe011a361/image.png)

#### 场景常见步骤
1. 用户准备好渲染需要的原始素材文件，并上传到腾讯云存储服务，比如 COS、CFS；
2. 用户定义用来分析信息的 Batch 作业，然后提交作业，作业的存储配置与前一步上传的原始信息关联；
3. Batch 自动调度资源，并将用户上传的自定义渲染镜像部署到被调度的 CVM里，同时自动调度作业开始渲染视频或效果图；
4. Batch 在 CVM上的渲染程序完成后，将生成的视频或效果图上传到用户指定位置。