Batch 支持 HTTP 的方式从 .tgz 格式文件里获取代码包，用户可以将代码打包后上传到 COS 里，相比 LOCAL 模式可以更方便的组织代码

## 1. 前置准备
请根据 [前置准备](https://cloud.tencent.com/document/product/599/10548) 里的说明完成准备，并了解如何配置自定义信息里的通用部分。

## 2. 查看和修改 Demo
使用编辑器打开 2_RemoteCodePkg.py 文件
```
# custom (Change to your info)
imageId = "img-i91njcmx"
Application = {
    "DeliveryForm": "PACKAGE",
    "Command": "python ./codepkg/fib.py",
    "PackagePath": "http://batchdemo-1251783334.cosgz.myqcloud.com/codepkg/codepkg.tgz"
}
StdoutRedirectPath = "your cos path"
StderrRedirectPath = "your cos path"
```
自定义部分 custom，除了 Application 以外其余都在前置准备里已经说明，下面重点介绍 Application 的含义
* DeliveryForm：应用程序的交付方式，包括软件打包、容器镜像、CVM 内部直接运行三种，这里 PACKAGE 代表的是软件打包的方式
* PackagePath：软件包的地址，HTTP 方式提供，必须是 .tgz 格式，Batch 会将这个软件包下载到被调度的 CVM 某个目录下，然后在该目录执行 Command
* Command：任务启动命令，这里直接调用了软件包里的一个 Python 脚本文件，你可以下载软件包并查看里面的文件结构和内容

fib.py 的内容如下
```
fib = lambda n:1 if n<=2 else fib(n-1)+fib(n-2)
print("Remote Code Package : %d"%(fib(20)))
```

2_RemoteCodePkg.py 较为简单，仅需要根据前置准备修改通用部分即可直接执行，所以这里无需再修改

## 3. 提交作业
Demo 里已经通过 Python脚本 + Batch 内测版本命令行工具的形式封装了提交作业流程，所以只需要按照下面的示例执行 Python 脚本即可
```
$ python 2_RemoteCodePkg.py
{
    "Response": {
        "RequestId": "d069ce2f-abfc-451f-81fd-9327dbf5cf39",
        "JobId": "job-clump52n"
    }
}
```

如果返回 JobId 字段则代表提交成功，没有则检查返回值排查错误，也可以加入 [用户反馈](https://cloud.tencent.com/document/product/599/10806) 里的沟通群向管理员咨询。

## 4. 查看状态
参考 [简单开始](https://cloud.tencent.com/document/product/599/10551) 同名章节

## 5. 查看结果
参考 [简单开始](https://cloud.tencent.com/document/product/599/10551) 同名章节

2_RemoteCodePkg.py 的执行结果如下
```
Remote Code Package : 6765
```