## 1. 前置准备
请根据 [前置准备](https://cloud.tencent.com/document/product/599/10548) 里的说明完成准备，并了解如何配置自定义信息里的通用部分。

## 2. 查看和修改 Demo
使用编辑器打开 1_SimpleStart.py 文件
```
# custom (Change to your info)
imageId = "img-i91njcmx"
Application = {
    "DeliveryForm": "LOCAL",
    "Command": " python -c \"fib=lambda n:1 if n<=2 else fib(n-1)+fib(n-2); print(fib(20))\" "
}
StdoutRedirectPath = "your cos path"
StderrRedirectPath = "your cos path"
```
自定义部分 custom，除了 Application 以外其余都在前置准备里已经说明，下面重点介绍 Application 的含义
* DeliveryForm：应用程序的交付方式，包括软件打包、容器镜像、CVM 内部直接运行三种，这里 LOCAL 代表的是 CVM 内部直接运行
* Command：任务启动命令，这里执行的是一段 Python 脚本，以 1 为起点，将斐波拉契数列的前 20 个数字求和并输出到 StdOutput里

1_SimpleStart.py 较为简单，仅需要根据前置准备修改通用部分即可直接执行，所以这里无需再修改

## 3. 提交作业
Demo 里已经通过 Python脚本 + Batch 内测版本命令行工具的形式封装了提交作业流程，所以只需要按照下面的示例执行 Python 脚本即可
```
$ python 1_SimpleStart.py
{
    "Response": {
        "RequestId": "d069ce2f-abfc-451f-81fd-9327dbf5cf39",
        "JobId": "job-clump52n"
    }
}
```

如果返回 JobId 字段则代表提交成功，没有则检查返回值排查错误，也可以加入 [用户反馈](https://cloud.tencent.com/document/product/599/10806) 里的沟通群向管理员咨询。

## 4. 查看状态

```
$ qcloudcli batch DescribeJob  --Version 2017-03-12 --JobId job-xxx
```
通过 DescribeJob 查看执行状态，--JobId 请替换成实际 JobId，常见状态见下
* STARTING  启动中
* RUNNING   执行中
* SUCCEED   执行成功
* FAILED    执行失败

完整返回信息如下

```
{
    "Response": {
        "JobState": "STARTING",
        "Zone": "ap-guangzhou-2",
        "JobName": "SimpleStart",
        "Priority": 1,
        "RequestId": "8e5ef77c-fa41-4b9f-8c80-107f2546e8ed",
        "TaskSet": [
            {
                "TaskName": "Task1",
                "TaskState": "STARTING"
            }
        ],
        "JobId": "job-n4ohivif",
        "DependenceSet": []
    }
}
```

## 5. 查看结果

结果保存在前置准备里配置的 StdoutRedirectPath 和 StderrRedirectPath 目录里，结果见后

![](https://mc.qcloudimg.com/static/img/1038bd36c2c897f7241643995757dd7f/COS_4.png)

成功时请查看标准输出 stdout.job-xxx.xxxx.0.log，内容如下
```
6765
```

失败时请查看标准错误 stderr.job-xxx.xxxx.0.log，可能的内容如下
```
/bin/sh: -c: line 0: syntax error near unexpected token `('
/bin/sh: -c: line 0: ` python -c \"fib=lambda n:1 if n<=2 else fib(n-1)+fib(n-2); print(fib(20))\" '
```



