## 控制台快速开始
### 控制台快速开始例子
本例子介绍如何使用控制台来提交一个作业，目的是统计日志文件中各个字母出现车次数。
> 如果还没有开通 Batch ，请先进行开通：[如何开通 Batch](
//cloud.tencent.com/document/product/599/10446?!preview&lang=cn)。 

### 步骤预览
* 任务模板准备
	* 左侧菜单点击任务模板后，进行任务模板新建
	* 进行基本配置
	* 进行程序运行配置
	* 预览 JSON 后点击完成生成任务模板
* 作业模板准备
	* 左侧菜单点击任务模板后，进行作业模板新建
	* 使用 DAG 编辑，确定出任务的依赖关系
	* 保存生成作业模板
* 提交作业
	* 左侧菜单点击任务模板，设置地域以后，进行作业新建
	* 填写基本信息点击完成即可生成作业
* 查看结果

### 1. 任务模板准备
#### (1) 上传程序包到 COS
请下载本例子的程序包：[Package]()。
将程序包 Package 上传到：
> cos://mybucket/batchcomputer/

* bucket 表示的是您创建的存储桶。
* 可参考[如何上传对象](//cloud.tencent.com/document/product/436/6255?!preview&lang=cn)来获得相关文档支持。

#### (3) 新建任务模板
进入控制台，点击左侧的任务模板后，点击新建任务模板。
![新建任务模板](https://mc.qcloudimg.com/static/img/df69a02f188bc101b2f758170a1e8477/image.jpg)
#### (4) 填写基本配置
填写名称、描述、选择资源配置（默认选择4核8GB），以及选择镜像。
#### (5) 进行程序运行配置
![程序运行配置](https://mc.qcloudimg.com/static/img/eddc5bcb4a52494e46fcd5b827865a60/image.jpg)
填写前面所上传的程序包所在的 COS 地址，以及 Stdout 日志, Stderr 日志地址。
`cos://mybucket/batchcomputer/package`

填写前面所上传的程序包所在的Stdout 日志地址。
`cos://mybucket/batchcomputer/log/stdout/`

填写前面所上传的程序包所在的 Stderr 日志地址。
`cos://mybucket/batchcomputer/log/stderr/`

输入命令行:

```
1. bcs sub "sh sum.sh" -p sum.sh -r cos://your-bucket/sum/inputs:/home/inputs/ -w cos://your-bucket/sum/outputs/:/home/outputs/
2. bcs j
3. bcs j 1
```
环境变量名(Key)设为：
`jobpath`
值(Value)设为：
`/home/test`
#### (6) 存储映射配置
![控制台存储映射的配置](https://mc.qcloudimg.com/static/img/7fcf46d6ee21e66e6bda8c91031bad73/image.jpg)
输入的 COS 路径如下：
`cos://mybucket/batchcomputer/log/stdout/`
映射到的本地输入路径如下：
`/user/batch/split.py`
输出的本地路径如下：
`/user/batch/out.txt`
映射到的 COS 输入路径如下：
`cos://mybucket/batchcomputer/log/stdout/`
#### (7) 预览 JSON 后，点击完成即可生成任务模板。
![预览JSON](https://mc.qcloudimg.com/static/img/4f341aaa4d238d33b4ed1491ab30a1ab/image.jpg)
#### (8) 重复上述步骤，将任务 count，merge 准备好。
### 2. 作业模板准备
####  新建作业模板
1. 进入控制台，点击左侧的任务模板后，点击新建作业模板。
![新建作业模板](https://mc.qcloudimg.com/static/img/9298592238775f9056d10da962ada6d8/image.jpg)
2. 填写名称以及描述。
![填写名称描述](https://mc.qcloudimg.com/static/img/c50631771d62d29595f73be659c176a9/image.jpg)
3. 进行 DAG 编辑，描述依赖关系，点击右上角开关按钮可预览 JSON，编辑完成以后点击下方的完成，即可生成作业模板。
![DAG编辑](https://mc.qcloudimg.com/static/img/8df1f260b80689858dbf550d457fac35/image.jpg)

### 3. 提交作业
1. 左侧菜单点击任务模板，本例设置地域为广州，点击新建。
![新建作业](https://mc.qcloudimg.com/static/img/812754c18259ef74ef2f71cd31b1e9d5/image.jpg)
2. 填写作业名称，设置优先级，选择作业模板，填写相关描述。
![新建作业第二步](https://mc.qcloudimg.com/static/img/785eaa5fe4cd36d1fd1de8c2dbc508e1/image.jpg)
3. 设置命令行参数
变量名为：
`job_index`
值为：
`1`
4. 设置环境变量
变量名为：
`job_path`
值为：
`/home/test`
5. 设置完毕后，点击完成后即可提交作业。

### 4.查看结果
点击控制台左边的菜单栏的作业，可以看到作业状态。
![作业状态](https://mc.qcloudimg.com/static/img/75f1746258e9eacd2faee88143534bb2/image.jpg)
点击可查看任务运行状况。
![任务运行情况](https://mc.qcloudimg.com/static/img/dc9f320cbe792eba5613f2d91d7ac08c/image.jpg)
可以通过点击查询日志查看到相应任务的日志。
![任务日志](https://mc.qcloudimg.com/static/img/f580dd5200edff7a78932ce6a8e74d7e/image.jpg)
同时还可以预览 JSON 文件所描述的依赖关系。
![JSON依赖关系](https://mc.qcloudimg.com/static/img/de4b50923ca8851cb42ed9fad3efe24e/image.jpg)