批量计算服务支持一个任务包含一个或多个任务，任务与任务之间有 DAG 依赖关系。即前面的任务完成以后，后继的任务才能够运行。

## 例一：
![多任务图1](https://mc.qcloudimg.com/static/img/802d18b2a0a9210311b3b6efa55c8ced/image.jpg)
在 Job description json 中这么描述：

```
{
	"Name": "job-01",
	"DAG": {
		...
		"Dependencies": {
			 "split": ["count"],
			 "count": ["merge"]
			 }
	}
}
```

* split 运行完成后，count 开始运行，count 完成后，merge 才开始运行。
* merge 运行完成，整个作业结束。

## 例二：
![多任务图2](https://mc.qcloudimg.com/static/img/49483ebacebedb457b1c3f2a8ce18129/image.jpg)
在 Job description json 中这么描述：

```
{
	"Name": "job-02",
	"DAG": {
		...
		"Dependencies": {
		"split": ["count1","count2"],
		"count1": ["merge"],
		"count2": ["merge"],
		}
	}
}
```

* split 运行完成后，count1 和 count2 可以同时开始运行，count1 和 count2 都完成以后，merge 才开始运行。
* merge 运行完成，整个作业结束。
