一个作业（Job）可以包含一个或多个任务（Task）。
## 通过JSON描述定义作业
通过命令行所提交的 Json 描述定义作业，请看下面一个仅包含一个任务的简单的例子：

```
{
	"JobName": "test job", //指定作业名为test job
	"JobDescription": "xxx", //根据需要可以增加适当描述
	"Priority": "1",  //设定优先级别为1
	"Tasks": [
	 {
		"TaskName": "hello",  //任务名为hello
		"TaskInstanceNum": 3,  //指定需要实例数：3台VM
		"Application": {
			"DeliveryForm": "PACKAGE",
			"Command": "python -c \"fib=lambda n:1 if n<=2 else fib(n-1)+fib(n-2); print(fib(20))\" "
		},
		"ComputeEnv": {
			"EnvType": "MANAGED",//指定运行环境
			"EnvData": {
				"InstanceType": "S1.SMALL1",//指定实例类型
				"ImageId": "img-01",//通过镜像ID指定镜像
				"VirtualPrivateCloud": {
					"VpcId": "vpc-01",  //指定专用网络环境
					"SubnetId": "subnet-01" //指定子网网段
				},
				"SystemDisk": {
					"DiskType": "CLOUD_BASIC",//指定 VM 系统盘类型
					"DiskSize": 50
				},
				"DataDisks": [
				{
					"DiskType": "CLOUD_BASIC",//指定 VM 数据盘类型
					"DiskSize": 50
				}
				]
			}
		},
		"RedirectInfo": {
		"StdoutRedirectPath": "cos://batchcompute/hello/logs/", //标准结果输出挂载到 COS 的指定目录
		"StderrRedirectPath": "cos://batchcomppute/hello/logs/" //标准错误输出挂载到 COS 的指定目录
		},
		"MaxRetryCount": 1,
		"Authentication": [
		{
			"Scene": "COS",
			"SecretId": "XXX",
			"SecretKey": "XXX"
		}
		]
	}
	]
}' --Placement '{
	"Zone": "ap-guangzhou-2" //指定区域为广州二区
}' 

```

