一个作业（Job）可以包含一个或多个任务（Task），一个任务可以在一个或多个实例（Instance）上运行。
## 如何并发
通过命令行所提交的 Json 描述说明可以指定每个任务需要的实例数，以下是一个求斐波那契数列例子：

```
{
	"JobName": "test job",
	"JobDescription": "xxx",
	"Priority": "1",
	"Tasks": [
	 {
		"TaskName": "hello",
		"TaskInstanceNum": 3,  //指定需要实例数：3台VM
		"Application": {
			"DeliveryForm": "PACKAGE",
			"Command": "python -c \"fib=lambda n:1 if n<=2 else fib(n-1)+fib(n-2); print(fib(20))\" "
		},
		"ComputeEnv": {
			"EnvType": "MANAGED",
			"EnvData": {
				"InstanceType": "S1.SMALL1",
				"ImageId": "img-01",
				"VirtualPrivateCloud": {
					"VpcId": "vpc-01",
					"SubnetId": "subnet-01"
				},
				"SystemDisk": {
					"DiskType": "CLOUD_BASIC",
					"DiskSize": 50
				},
				"DataDisks": [
				{
					"DiskType": "CLOUD_BASIC",
					"DiskSize": 50
				}
				]
			}
		},
		"RedirectInfo": {
		"StdoutRedirectPath": "cos://batchcompute/hello/logs/",
		"StderrRedirectPath": "cos://batchcomppute/hello/logs/"
		},
		"MaxRetryCount": 1,
		"Authentication": [
		{
			"Scene": "COS",
			"SecretId": "XXX",
			"SecretKey": "XXX"
		}
		]
	}
	]
}' --Placement '{
	"Zone": "ap-guangzhou-2"
}' 

```

以上的例子任务中配置了 TaskInstanceNum 为3，表示需要实例数为3台，即此任务会在三台 VM 上并发运行这个任务的程序，标准输出结果将会输出到 cos://batchcompute/hello/logs/ 目录。