## 简单易用

### 减少组件开销
使用云函数时，用户只需编写最重要的“核心代码”，不再需要关心负载均衡、自动伸缩、网关等周边组件，极大地降低了服务架构搭建的复杂性。

### 自动扩缩容
无需任何手动配置，云函数即可根据请求量自动横向扩缩。不管您的应用每天只有几个请求（如日志统计等定期事务），还是每秒有几千上万个请求（如移动应用的后端），云函数均可自动安排合理的计算资源满足业务需求

## 高效又创造性地开发

### 加速开发
云函数不要求特定框架或依赖，开发者可以专注于核心代码的开发。同时开发人员可以组成多个小团队，单个模块的开发无需了解其他团队的代码细节。独立开发和迭代的速度变得前所未有的快，帮助用户把握住产品上线的黄金时间。

### 复用第三方服务
您可以使用云函数编写一些目的单一、逻辑独立的业务模块，因而可以完全复用已经成熟的第三方代码实现，比如使用oAuth实现登录模块。

### 简化运维
每个函数都是单独运行、单独部署、单独伸缩的，用户上传代码后即可自动部署，免除单体式应用部署升级难的问题。

## 稳定可靠

### 高可用部署
云函数可以自动在每个地域中随机地选择可用区来运行。如果某个可用区因灾害或电力故障等导致瘫痪，云函数会自动地选择其他可用区的基础设施来运行，免除单可用区运行的故障风险。

### 与其他计算服务相辅相成
常驻的工作负载可以通过云服务器 CVM 来承载，而由事件触发的工作负载可以使用云函数。不同云服务满足不同的业务场景和业务需求，使得您的服务架构更加健壮。

## 简化管理
### 简化安全配置
用户不再需要对OS入侵、登录风险、文件系统安全、网络安全和端口监听做复杂的配置和管理，一切交由平台处理，平台通过定制化的容器保证每个用户的隔离性。

### 可视化管理
用户可直接在控制台管理函数代码及函数何时运行（即函数触发器），无需复杂的配置文件即可一键部署和测试函数

## 大幅度降低开销

### 永远不为空闲时间付费
函数在未执行时不产生任何费用，对一些并非常驻的业务进程来说开销将大大降低。函数执行时按请求数和计算资源的运行时间收费，价格优势明显，对初创期的开发者十分友好。

