腾讯云无服务器云函数（Serverless Cloud Function）帮助您在没有购买和管理服务器时仍能运行代码。您只需要进行核心代码的编写及设置代码运行的条件，代码即可在腾讯云基础设施上自动、安全地运行，是许多场景下理想的计算平台。

## 计算资源的变迁
随着云服务的发展，计算资源高度抽象化，腾讯云提供了从物理服务器到云函数的、横跨各种抽象程度的计算资源供用户选择。

- 黑石物理服务器：以物理机为扩展单位。用户完全拥有整台实体计算资源，安全性最好。
- 云服务器：以虚拟机为扩展单位，虚拟化硬件设备。用户和其他租户共享物理机资源，仍可自行配置CVM的各项指标，相对部署和迭代更加简单。
- 容器：以服务为扩展单位，虚拟化操作系统。测试和生产环境完全一致，测试和部署非常轻松。
- 无服务器云函数：以函数为扩展单位，虚拟化运行时环境（Runtime）。是现有计算资源的最小单位，具有完全自动、一键部署、高度可扩展等特点，是轻量级服务部署非常好的选择。

## 什么是无服务器Serverless

Serverless并不代表没有了服务器，只是用户不再需要关心这些底层资源了。当然，这也意味着用户无法登录服务器，并且也不需要想办法优化它。开发者只需关心最核心的代码片段，跳过复杂的、无聊的其他工作。这些代码完全由事件触发（event-trigger），平台根据请求自动平行调整服务资源，拥有近乎无限的扩容能力，空闲时则没有任何资源在运行。代码运行无状态，可以轻易实现快速迭代、极速部署。

## 腾讯云无服务器云函数简介

腾讯云云函数是腾讯云提供的无服务器（Serverless）执行环境。您只需编写简单的、目的单一的云函数，并将它与您的腾讯云基础设施及其他云服务产生的事件关联起来。
使用云函数时，用户只需关注自己的代码。腾讯云完全管理底层计算资源，包括服务器CPU、内存、网络和其他配置/资源维护、代码部署、弹性伸缩、负载均衡、安全升级、资源运行情况监控等，用户只需使用平台支持的语言（目前支持Python，Nodejs，Java）提供代码。同时，这意味着您无法登录或管理服务器、无法自定义系统和环境。

代码在执行时将根据请求负载扩缩容，无需人工配置和介入即可满足不同情景下服务的可用性和稳定性，从每天几个请求到每秒数千个请求，都由云函数底层自行伸缩。云函数自动地在地域内的多个可用区部署，提供极高的容错性。用户只需为运行中的云函数付费，代码未运行时不产生任何费用。

您可以自定义何时运行您的代码，比如在COS Bucket上传或删除了文件时、应用程序通过SDK调用了代码时，或自行指定代码定期执行。因此，您可以使用云函数作为COS服务的数据处理触发程序，轻松实现IFTTT逻辑。也可构建灵活的定时自动化任务来覆盖手工完成的操作，轻松构建灵活可控的软件架构。

如果用户需要管理您的计算资源，腾讯云还为您提供以下计算服务：

- [云服务器](https://cloud.tencent.com/product/cvm)提供各种规格的实例配置，您可以自定义计算资源的CPU、内存、操作系统、网络、安全等各项配置，但您需要自定义策略完成跨可用区容错、资源伸缩等。
- [容器服务](https://cloud.tencent.com/product/ccs)提供高度可扩展的容器管理服务，您可以根据资源需求和可用性要求在您的集群中安排容器，满足业务或应用程序的特定要求。
