本教程假设以下情况：
- 您的用户将上传照片至某个特定的COS Bucket
- 您要为用户上传的每个图像创建一个缩略图
- 创建完缩略图后保存至另一个 COS Bucket

```
注意：
1. 必须使用两个COS Bucket。如果使用同一个存储桶作为源和目标，上传到源存储桶的每个缩略图都会触发另一个对象创建事件，该事件将再次调用函数，从而产生无限的循环。
2. 请保证函数和 COS Bucket位于同一个地域下
```

## 实现概要

下面是该函数的实现流程：

- 创建函数与COS Bucket的事件源映射
- 用户将对象上传到 COS 中的源存储桶（对象创建事件）。
- COS Bucket检测到对象创建事件。
- COS 调用函数并将事件数据作为参数传递给函数，由此将 cos:ObjectCreated:* 事件发布给函数。
- SCF 平台接收到调用请求，执行函数。
- 函数通过收到的事件数据获得了 Bucket 名称和文件名称，从该源 Bucket中获取该文件，使用图形库创建缩略图，然后将其保存到目标Bucket上。

请注意，完成本教程后，您的账户中将具有以下资源：

- 一个创建缩略图的 SCF 函数。
- 两个COS Bucket：<example> 和 <exampleresized>（您自行指定的COS Bucket名称。例如：如果您将名为 example 的 Bucket 作为源，您将创建 exampleresized 作为目标 Bucket）
- 源 Bucket 上的通知配置：将 SCF 函数和 COS Bucket绑定将在该 Bucket 的通知配置上添加新项，用来标识 COS 将触发函数的事件类型（文件创建/删除）及要调用的函数名称。有关 COS 通知功能的更多信息，请参阅 [PutBucketNotification](https://cloud.tencent.com/document/product/436/8588) 接口。

本教程分为了两个主要部分：

- 完成创建函数的必要设置步骤，并使用 COS 示例事件数据手动调用该函数。旨在验证函数能够正常工作。
- 向源 Bucket 添加通知配置，使得 COS 在检测到文件创建事件时能够调用函数。