本教程主要介绍如何使用腾讯云无服务器云函数创建和调用 Hello World 函数。
### 创建 Hello World 函数

1. 登录 [腾讯云控制台](https://console.cloud.tencent.com/)，将鼠标依次移至【云产品】、【云计算与网络】，单击【无服务器云函数】进入无服务器云函数控制台。
![](https://mc.qcloudimg.com/static/img/a3c6da4402074ecac5d3636b080cc307/image.png)
2. 在控制台界面上方“函数服务”标题旁选择地域。单击【新建】，进入函数配置界面。
![](https://mc.qcloudimg.com/static/img/e1a26542efb20c8eece3a684ca9a39ff/image.png)
3. 按要求填写函数名称、运行环境、内存和超时时间（示例中函数名称为 hello-world，运行环境为 Python 2.7，内存为 128 MB，超时时间为 3 秒），单击【下一步】，进入函数代码编辑页面。 
![](https://mc.qcloudimg.com/static/img/379d6fbd425f11b6793c3bfd47753ade/image.png)

4. 在函数代码页面，默认选择【在线编辑】，在【模版】中选择`Hello World`模版，此时，执行方法和代码将填入对应模版的默认值。单击【下一步】，进入触发方式页面。
 - 执行方法为`index.main_handler`，表示无服务器云函数控制台会将此段代码自动保存为`index.py`文件，并压缩该文件上传至 SCF 平台以创建云函数。
 - 函数代码显示为以下代码片段：
```
# -*- coding: utf8 -*-
print('Start Hello World function')
def main_handler(event, context):
    print('Hello World')
    if 'key1' in event.keys():
        print("value1 = " + event['key1'])
    if 'key2' in event.keys():
        print("value2 = " + event['key2'])
    return "hello from scf"  #return
```
该示例代码将从`event`参数中获取类似以下形式的数据：
```
{
  "key1": "test value 1",
  "key2": "test value 2"
}
```

	![](https://mc.qcloudimg.com/static/img/a04b767515e0de779e6711e15dc4d6c1/image.png)

5. 在触发方式页面，可单击【添加触发方式】配置触发器。对于此示例代码来说，不需要配置任何触发器，直接单击【完成】按钮即可。
![](https://mc.qcloudimg.com/static/img/c4389513bf1626529846f72bf4d568c1/image.png)

6. 此时控制台自动生成代码程序包并上传至无服务器云函数平台以创建云函数。您可以在云函数列表页中单击【hello-world】进入云函数详情页。
![](https://mc.qcloudimg.com/static/img/02806b275609788392883c6f2c5de40c/1.png)

### 调用 Hello World 函数
1. 在无服务器云函数列表页单击【hello-world】进入云函数详情页。
![](https://mc.qcloudimg.com/static/img/02806b275609788392883c6f2c5de40c/1.png)
2. 单击页面右上方【测试】，弹出测试函数页面。
![](https://mc.qcloudimg.com/static/img/cdadd81fa4d7b3b32adee86e118dab9f/2.png)
3. 在【测试事件模版】中选择【Hello World 事件模版】，窗口出现如下图所示代码。用户可以任意更改该 JSON 数据的值（如将`test value 1`改为`my_own_data`），但不可改变该示例数据结构。
![](https://mc.qcloudimg.com/static/img/3e2a73916ba1fe974a9faa1139e828a9/image.png)
3. 单击【运行】，代码开始运行并显示测试结果。
![](https://mc.qcloudimg.com/static/img/831acaef8daa0d8a6c7969316bfb61ad/image.png)

### 日志
1. 在无服务器云函数列表页单击【hello-world】进入云函数详情页。
![](https://mc.qcloudimg.com/static/img/02806b275609788392883c6f2c5de40c/1.png)
2. 单击【日志】选项，显示如图所示日志界面。在日志界面中可查看调用时间和调用结果。
![](https://mc.qcloudimg.com/static/img/05f76117a7d5fa860e545687e48339a4/image.png)

### 监控
1. 在无服务器云函数列表页单击【hello-world】进入云函数详情页。
![](https://mc.qcloudimg.com/static/img/02806b275609788392883c6f2c5de40c/1.png)
2. 单击【监控】选项，显示如图所示监控界面。在监控界面中可清晰地针对某时间段监控调用次数、错误次数和运行时间。
![](https://mc.qcloudimg.com/static/img/39d08318de974171952ac0321f0f8503/image.png)

### 删除 Hello World 函数
1. 无服务器云函数列表页中显示所有您新建的函数，若想要删除函数，单击对应函数操作【删除】，弹出删除函数确认框。
![](https://mc.qcloudimg.com/static/img/c7c5c27826941963e2c559753f05c4ed/image.png)
2. 单击【确认】即可删除函数。
![](https://mc.qcloudimg.com/static/img/03ce1707d982a2d1d0967ac468207a2a/image.png)
