根据无服务器云函数的特点，我们推荐您这样使用：

- 以无状态的风格编写函数代码，确保您的代码不会进行任何状态维护。本地存储和内存结果都是可能丢失的，应当使用COS、Redis/Memcached等服务缓存中间信息并落地最终计算结果
- 在执行方法外实例化任何可能复用的对象（如数据库连接等）
- 请务必已在上传的 ZIP 中设置对您的文件的 +rx （可读及执行）权限，以确保代码能够执行
- 如果用户希望尽量降低启动延时，可以尽可能少地使用与处理当前事件无直接关系的启动代码，以降低开销并提高性能。并且，底层计算资源有一定程度的复用可能，如果用户希望尽可能降低启动延时，可定时执行函数来使得后续的调用都是“热启动”。
- 在代码中尽可能多地使用 log/print 语句，给调试工作带来充足的信息。
- 用户可以使用外部的代码管理服务（Git等）进行核心代码的版本和审计管理，保证代码的完备性（版本管理功能将后续加入）