用户在使用 SCF 平台支持的语言编写代码时，需要采用一个通用的范式，包含以下核心概念：

## 执行方法 
执行方法决定了 SCF 平台从何处开始执行您的代码，以`文件名.方法名`的形式被用户指定。SCF 在调用云函数时，将通过寻找执行方法来开始执行您的代码。例如，用户指定的执行方法为`index.handler`，则平台会首先寻找代码程序包中的 index 文件，并找到该文件中的 handler 方法开始执行。

用户在编写执行方法时需尊许平台特定的编程模型，该模型中指定固定的入参：事件数据 event 和环境数据 context。执行方法应该对参数进行处理，并且可任意调用代码中的任何其他方法。
 
## event 入参
SCF 平台将 event 对象作为第一个参数传递给执行方法。通过此 event 对象，代码将与触发函数的事件（event）交互。例如：由于文件上传触发了函数运行，代码可从 event 参数中获取该文件的所有信息，包括文件名、下载路径、文件类型、大小等。
 
## 日志
 
SCF 平台会将函数调用的所有记录及函数代码中的输出全部存储在日志中，请使用编程语言中的特定 log 语句将生成输出以便作调试及故障排除之用。

## 注意事项
由于无服务器云函数的特点，*必须* 以无状态的风格编写您的函数代码。本地文件存储等函数生命周期内的状态特征在函数调用结束后将随之销毁。因此，持久状态应存储在 COS、Memcached 或其他云存储服务中。

