用户在打包应用服务代码及相关依赖并将其上传到腾讯云云函数后，就创建了一个 SCF 云函数。云函数包含了用户上传的代码及依赖，以及一些与运行关联的配置信息。本文档将介绍云函数的具体配置及相关意义，帮助用户了解如何构建适合自身业务的云函数。

## 函数名称
腾讯云通过函数名称来唯一标识用户单个地域下的 SCF 云函数，函数名在函数创建后不可修改。函数名称应遵循以下规则：

- 长度在60个字符以内
- 只得包括`a-z，A-Z，0-9，-，_`
- 必须以字母为开头

## 地域
用户指定 SCF 云函数运行在哪个地域中，当前支持北京、上海和广州三个地域。云函数将自动在地域内的多个可用区进行高可用的部署。在函数创建后，地域属性不可更改。

## 计算资源
腾讯云支持用户自行定义 SCF 云函数分配的*内存量*，可从 `128MB - 1536MB`的区间中以128MB为增量。腾讯云将自动根据用户指定的内存为 SCF 函数自动分配成比例的 CPU 处理能力。例如：如果为 SCF 函数分配 1024 MB 内存，则函数获得的CPU将是分配 512MB 内存时的 *两倍*。因此，在常规场景下，提高函数的内存量通常能使代码实际运算的时间也相对

用户可以随时更改云函数所需的内存量，强烈建议您在测试时发现云函数运行消耗的内存已经接近或达到设置的内存量时提高此参数，避免因为函数内部因为 OOM 出错：

- 登录腾讯云控制台,点击【无服务器云函数】选项。
- 选择要更改内存大小的函数。
- 点击【函数配置】选项卡的【编辑】按钮，选择需要调整的内存量后保存。


## 超时时间
云函数根据运行时间和请求次数收费，为了防止云函数无限期运行（如代码中出现死循环时），每个云函数都有一个用户可自定义的超时时间，当前最大超时时间为 300 秒，默认设置为 3 秒。在达到超时时间时，若云函数仍在运行，则 SCF 平台将自动终止该函数。

用户可以随时更改云函数的超时时间，强烈建议您在测试时发现函数运行超时或实际运行时间已经接近超时时间时提高此参数，避免函数执行时间过长被超时时间限制而中断：

- 登录腾讯云控制台,点击【无服务器云函数】选项。
- 选择要更改超时时间的函数。
- 点击【函数配置】选项卡的【编辑】按钮，选择需要调整的超时时间后保存。

## 描述
用户可为函数设置及随时更改描述信息。

