部署程序包是 SCF 平台运行的所有代码和依赖项的 zip 集合文件，在创建函数时需要指定部署程序包。用户可以在本地环境创建部署程序包并上传至 SCF 平台，或直接在 SCF 控制台上编写代码由控制台为您创建并上传部署程序包。请根据以下条件确定您是否可使用该控制台创建部署程序包：

- 简单场景：如果自定义代码只需要使用标准 Python 库及腾讯云提供的COS、SCF 等 SDK 库，且只有一个 .py 文件时，则可以使用 SCF 控制台中的内联编辑器。控制台会将代码及相关的配置信息自动压缩至一个能够运行的部署程序包中。
- 高级场景：如果编写的代码需要用到其他资源（如使用图形库进行图像处理，使用 Web 框架进行 Web 编程等），则需要先在本地环境创建函数部署程序包，然后再使用控制台上传部署程序包。

下面展示在本地环境创建部署程序包的示例过程。
```
注意：
1. 通常情况下在本地安装的依赖库在 SCF 平台上也能很好运行，但少部分情况下安装的 binary 文件可能产生兼容性问题，如果发生了此问题请您尝试[联系我们](https://cloud.tencent.com/document/product/583/9712)。
2. 示例中将在本地使用 pip 安装依赖项，请确保您本地已经安装了 Python 和 pip。
```
## Linux下创建部署程序包
1) 创建一个目录：
```
mkdir /data/my-first-scf
```
2) 将创建的此函数所有 Python 源文件（.py 文件）保存在此目录，有关如何创建函数，请参考 [新手入门 - 创建 DownloadImage 函数](https://cloud.tencent.com/document/product/583/9211)部分。

3) 使用 pip 安装所有依赖项至此目录：

```
pip install <module-name> -t /data/my-first-scf
```
例如，以下命令会将 PIL 库安装在 my-first-scf 目录下：
```
pip install Pillow -t /data/my-first-scf
```

4) 在 my-first-scf 目录下，压缩所有内容。特别注意，需要压缩目录内的内容而不是目录本身：
```
zip my_first_scf.zip /data/my-first-scf/*
```

## Windows 下创建部署程序包
建议您将已经在 Linux 环境下运行成功的依赖包和代码打包成 zip 包作为函数的执行代码，具体操作请参考 [代码实操 - 获取COS上的图像并创建缩略图](https://cloud.tencent.com/document/product/583/9736)。

