用户可以编写 SCF 函数来处理定时任务。定时器会在指定时间自动触发 SCF 函数。定时触发器具有以下特点：

- **Push 模型**：定时器指定时间到达时直接调用相关函数的 Invoke 接口来触发函数。该事件源映射关系保存在 SCF 函数中。
- **异步调用**：定时器始终使用异步调用类型来调用函数，结果不会返回给调用方。有关调用类型的更多信息，请参阅[调用类型](https://cloud.tencent.com/document/product/583/9694#.E8.B0.83.E7.94.A8.E7.B1.BB.E5.9E.8B)。

## 定时触发器属性

- 定时器名称（必选）：最大支持 60 个字符，支持 `a-z`,`A-Z`,`0-9`,`-` 和 `_`。必须以字母开头，且一个函数下不支持同名的多个定时触发器。
- 触发周期（必选）：指定的函数触发时间。用户可以使用控制台上的默认值，或选择自定义标准的 CRON 表达式来决定何时触发函数。有关 CRON 表达式的更多信息，请参考下面的内容。

## Cron 表达式
创建定时触发器时，用户能够使用标准的 cron 表达式的形式自定义何时触发。

### Cron 表达式语法
Cron 表达式有六个必需字段，按空格分隔。

|第一位|第二位|第三位|第四位|第五位|第六位|
|--|--|--|--|--|--|
|分钟|小时|日|月|星期|年|

其中，每个字段都有相应的取值范围：

|字段|值|通配符|
|--|--|--|
|分钟|	0-59	|, - * /|
|小时|	0-23	|, - * /|
|日|	1-31|, - * ? / |
|月|	1-12 或 JAN-DEC|	, - * /|
|星期|1-7 或 SUN-SAT	|, - * ? / |
|年代|1970-2199|, - * /|

通配符分别代表了以下意义：

|通配符|含义|
|--|--|
|, (逗号)| 代表取用逗号隔开的字符的并集。例如：在“小时”字段中 1，2，3表示1点、2点和3点|
|- (破折号) |包含指定范围的所有值。例如：在“日”字段中，1-15 包含指定月份的 1 号到 15 号|
|* (星号) |表示所有值。在“小时”字段中，* 表示每个小时|
|/ (正斜杠)| 指定增量。在“分钟”字段中，输入 1/10 以指定从第一分钟开始的每隔十分钟重复。例如，第 11 分钟、第 21 分钟和第 31 分钟，依此类推|
| ? (问号)|表示忽略相应字段。例如，在“日”字段中输入 7，并希望不管 7 号是星期几都执行，则可以在“星期”字段中输入 ? |

### 注意事项

- 不支持快于 5 分钟的 Cron 表达式
- 不支持在 Cron 表达式中的“日”和“星期”字段同时指定值。如果在其中一个字段中指定了值，则必须在另一个字段中使用 ? 。

### 示例
下面展示了一些 Cron 表达式和相关含义的示例：

- `15	23	*	*	?	*`	每天晚上 23:15 运行
- `0	18	?	*	MON-FRI	*`	每个工作日下午 6:00 运行
- `0	8	1	*	?	*`	每个月 1 号上午 8:00 运行
- `0/15	*	*	*	?	*`	每 15 分钟运行一次