市面上已有林林种种的开源产品，CMQ的产品优势如下：

## 对比Kafka的优势：

1.	**Kafka不适合金融关键业务：**CMQ的同步刷盘机制，保证了数据的可靠生产。客户端生产的消息在set 中超过半数的broker 刷盘成功后会返回确认消息告知生产消息成功。如果在一定时间之内客户端没有收到确认信息需要重试来确保消息发送成功。Kafka使用异步刷盘方式，异步Replication，没法保证可靠传递，有丢的可能性。

2.	**kafka 消费失败不支持重试：** 例如充值类应用，当前时刻调用运营商网关，充值失败，可能是对方压力过多，稍后在调用就会成功，如支付宝到银行扣款也是类似需求。这里的重试需要可靠的重试，即失败重试的消息不因为consumer宕机导致丢失。CMQ支持多次重试消费。

3.	**Kafka定位问题较繁琐，CMQ提供消息轨迹能力：**消息轨迹指的是一条消息从生产方发出到消费方消费处理，整个过程中的各个相关节点的时间地点等数据汇聚而成的完整链路信息。便于金融业务快速定位问题。

## 对比RabbitMQ的优势

1. **CMQ-QPS优秀：**在保证高可靠前提下，同等物理设备，CMQ 吞吐量优于 RabbitMQ的四倍以上。单集群QPS超过10万。

2. **RabbitMQ不支持消息回溯：**rabbitMQ不支持消息回溯，CMQ支持按照时间来回溯消息，例如从一天之前的某时某分某秒开始重新消费消息。典型业务场景如consumer做订单分析，但是由于程序逻辑或者依赖的系统发生故障等原因，导致今天消费的消息全部无效，需要重新从昨天零点开始消费，那么以时间为起点的消息重放功能对于业务非常有帮助。

3. **一致性算法对比：**CMQ 和 RabbitMQ 都能够使用多台机器进行热备份，提高可用性。CMQ 基于 Raft 算法实现，简单易维护。RabbitMQ 使用自创的GM算法（Guaranteed Multicast），学习难度较高。

4. **RabbitMQ运维难度大：**RabbitMQ的开发语言用的是erlang，较小众、学习成本高。

## 对比RocketMQ的优势：

1. **RocketMQ在极端情况下，会丢失数据：**RocketMQ允许未刷盘就向客户端返回确认， 在机器异常宕机时，会丢消息。

2. **RocketMQ需搭建多master、slave才能保证业务高可用：**RocketMQ只有在ISR中有存活节点时，才能保证可用性和可靠性，ISR中无存活节点时，可用性和可靠性无法保证，开销较大。

因此，相比传统开源MQ应用，腾讯云CMQ具有以下优势：

| |腾讯云消息队列 | 开源消息中间件软件 | 
|---------|---------|---------|
|高性能|兼顾性能与可靠性，单 CMQ 实例 QPS 达到5000|数据可靠性与性能无法兼顾|
| 高扩展性 | 队列数量及队列存储容量可扩展性强<br><br>底层系统根据业务规模，自动弹性伸缩，上层业务无感知<br><br>高效支持亿级消息收发、推送，堆积，容量不设上线<br><br>提供北京、上海、广州地域的多地域服务| 队列数量和消息堆积数量有限<br><br>每个IDC机房必须重新部署购买设备、部署，非常繁琐 |
| 高可靠性 | 基于腾讯自研CRMQ（Cloud Reliable Message Queue)分布式框架，已在腾讯内部 QQ 微信红包、彩票等业务上得到广泛使用<br><br>消息服务每条消息在返回给用户写成功之时就确保数据已被复制3份写到不同物理机上，并且后台数据复制机制能够保证任何一台物理机故障时其上的数据能够快速的做迁移，时刻保证用户数据3份 copy 可用，可靠性达99.999999%<br><br>引入改良后的 Raft 一致性算法，保证数据强一致性<br><br>业务可用性承诺：99.95%| 数据单机或简单主从结构，存在数据单点问题，一旦丢失不可回溯<br><br>开源的 replicia 算法，在集群新增、删除服务器节点时，会引发全局的数据重新均衡，引起可用性急剧下降<br><br>如 Kafka 使用异步刷盘方式，异步 Replication，无法保证数据强一致性 |
| 业务安全 | 多纬度的安全防护和防DDoS攻击服务<br><br>每个消息服务提供单独命名空间，客户间数据严格隔离<br><br>支持HTTPS访问<br><br>支持跨地域的安全消息服务| 安全防护功能有限<br><br>考虑到公网的网络威胁，常常无法提供跨地域、跨IDC的公网服务 |
