﻿## Service Scope
Cloud Message Service (CMQ) enables developers to deliver requests easily and reliably between components of a distributed system and build asynchronous loose coupling systems. Users can send and receive messages via the network by calling the API provided by CMQ, and manage queues through the Web console. CMQ supports elastic scaling and provides pay-by-usage billing method based on cloud computing.

## Service Level Metrics
### Data Persistence
Data persistence: no less than 99.999999%.
### Data Privacy
Users can activate and create CMQ services on Tencent Cloud, and then can get a security encryption pair Access Key Id and Access Key Secret assigned by Tencent Cloud. The encryption pair is used for permission control and isolation on CMQ access API so as to protect users' data privacy.
### Right to Know Data
- Users have the right to know the geographical location of the data center that stores their data and the number of data backup.
- When activating cloud services, users must select a Region based on the geographical locations so that user data will be stored in the data center of the specified Region.
- Tencent Cloud's data centers must comply with local laws and regulations. Users have the right to know the compliance and can contact customer service personnel of Tencent Cloud for more information.
- All data, applications and behavior logs of users will not be disclosed to any third party except as permitted by laws and regulations or required by regulatory authorities for supervision and auditing. Users' behavior log will not present any personal information of users to others, unless such behavior log is used for the statistical analysis of the running status of Tencent Cloud products. All user data in Tencent Cloud's data centers within Chinese territory will not be stored in those outside China, and will not be used for overseas business or data analysis.

### Audit of Data
In accordance with the applicable laws and regulations and on condition of compliance with relevant process and availability of all necessary documents, Tencent Cloud may disclose information on the service used by users, including operation log of key components, operation records of operation & maintenance personnel and user operation records, if required by the regulatory authorities or it is necessary to do so for other reasons such as investigation into safety compliance, auditing and collection of evidences.
### Service Features
For more information on CMQ features, please see descriptions, technical documents and help documents provided on Tencent Cloud official website. Any CMQ feature changes that may affect users will be announced to them.
### Service Availability
The service availability is not less than 99.95%. CMQ availability statistics is based on the duration of service. A natural month is counted as a service period, and a duration less than a month will not be counted as a service period. The business unit for statistics is all resources of every user, and the duration is measured in minutes.

Unavailability duration: If the service provided by CMQ is not available for successive 5 minutes or more, the duration will be counted in unavailability duration; if this persists for less than 5 minutes, the duration will not be counted in unavailability duration. CMQ unavailability duration does not include daily maintenance duration of the system and unavailability duration caused by any user, third party or other force majeure.
### Resource Allocation Capability
CMQ does not impose any limit on the number of user queues. The system dynamically expands resources in real time according to user demands. The QPS of a single queue is up to 5,000.
### Failure Recovery Capability
With its cloud services for users that provide 7x24 maintenance service and technical support by means of online tickets, telephone and other channels, Tencent Cloud boasts a series of excellent emergency response mechanisms covering efficient failure monitoring, automatic alarm, fast positioning and rapid recovery.
### Network Access Performance
CMQ does not impose any limit on the bandwidth of public network ingress. With BGP multi-line access, it can ensure users' network access quality.
### Accuracy of Service Metering and Billing
With an accurate and transparent metering and billing system for CMQ, Tencent Cloud charges users according to their actual CMQ usage and deducts fees in real time. For more information on billing standards, please see the billing models and prices released on Tencent Cloud official website.
