## CMQ产品系列介绍
CMQ(Cloud Message Queue) 是腾讯云基于开源消息引擎自研的一个是分布式消息系统，兼容AMQP协议，消息生产实时3副本落盘、分布式Raft算法保证消息强一致，提供消息发布订阅、消息回溯、消息一对多投递、顺序消息等服务。具有高可靠、高可用、跨IDC、透明动态伸缩、消息接近生产消费等优势。 CMQ 的开发迭代历程超过7年，为腾讯内部包括微信、webank、QQ秀、手机QQ等大型业务提供异步的消息服务支持。

CMQ 是腾讯云正式商用的产品，目前在腾讯云全球多个地域提供了高可用消息云服务，机房硬件设施按照腾讯自建IDC的高标准来实施。单个地域内采用多机房部署，即使整个机房都不可用，仍然可以为应用提供消息发布服务。在深圳、上海金融专区，提供同城双活、多活的部署方案，为金融核心交易系统保驾护航。

CMQ 目前提供 HTTPS、MQTT、AMQP、MQTT等多种协议的接入，兼容开源RabbitMQ、RocketMQ、Kafka的客户端接口。提供php、java、python等丰富语言的SDK接入。



| 项目 |     CMQ（HTTPS接入）|   CMQ（TCP接入）| CKafka |  CMQ(MQTT接入）|
| :-------- | :--------| :------ |:------ |:------ |
| **面向场景**    |   金融级高可靠消息队列，适用于核心架构中系统间解耦、异步调用等场景。在腾讯云上提供https接入，并提供多语言的SDK接入支持。 |  产品功能、客户端接口完全兼容开源AMQP RabbitMQ、RocketMQ等开源产品 ，快速迁移上云“0门槛”！ | CMQ团队已是 Kafka 开源生态的主要代码贡献者。<br>开发者通过简单修改ip地址即可无缝迁移到腾讯云上（支持0.8、0.9、0.10等主流版本）。为开发者提供更安全、更可靠、免除运维的 Kafka 企业级消息服务 | 面向智能家居、工业物联网领域开发者，CMQ提供MQTT等物联网协议的完美支持。 |
| **亮点能力**    |   消息无限堆积、水平扩展<br>金融级消息高可靠，消息实时落盘<br>提供跨机房双活容灾能力<br>支持顺序消息、事务消息、死信队列、消息回溯、消息加密等高级能力 |  基于CMQ存储引擎，消息高可靠实时落盘<br>兼容RabbitMQ 3.6.11 版本、RocketMQ 4.1.0版本<br>开源原生版本客户端轻量配置，即可上云 | 超高读写性能，同等设备情况下是kafka开源版本2倍+性能。对比购买虚拟机搭建kafka，节省30-50%成本<br>免除运维烦恼，自持水平扩容，offset堆积无上限<br>提供上下游生态的技术咨询服务，针对您的Hadoop、Spark等实时、离线计算平台，提供快速接入、故障定位，性能调优等服务 | 提供基于MQTT的发布/订阅消息模式，支持1对多、1对1消息交互<br>提供TLS/SSL安全加密通信。支持百万级海量客户端长连接访问<br>支持上下线通知、Last will等亮点功能 |

> 注：

1、CMQ (TCP接入）、CMQ(MQTT）接入，正在内测中，欢迎工单联系售后工程师，将有专人为您开通内测服务

2、支持私有化部署，欢迎工单联系售后工程师，将有专人为您开通内测服务

## 产品概述

腾讯云消息队列（Cloud Message Queue，以下简称CMQ）是分布式的消息队列服务，用于存储进程间传输的消息，为分布式部署的不同应用之间或者一个应用的不同组件之间提供基于消息的可靠的异步通信服务。消息被存储在高可靠、高可用的消息队列中，多进程可以同时读写，互不干扰。使用腾讯云CMQ，用户可以在执行不同任务的应用程序的分布式组件之间传递信息，既不会丢失消息，也不要求各个组件始终处于可用状态。

队列在数据发送端以及数据接收端之间起到缓冲作用。这样，在数据发送端的工作速度快于数据接收端的情况下，或者在数据发送端或数据接收端仅间歇性地连接到网络的情况下，队列可解决因此而产生的问题。

消息队列中的“消息”指同一台计算机/不同计算机的进程间传送的数据，“消息队列”是在消息的传输过程中保存消息的容器。消息被发送到队列中，队列充当中间人将消息从它的源中继到它的目标。

下图是一个描述传统进程通信模式的例子：传统的进程通信模式由客户端请求服务器端的服务并等待服务器的响应。然而这种模式有很多弊端，比如当网络状况不好的情况下客户端的请求可能会丢失；又如服务器端处理时间过长可能导致客户端长时间等待以致请求超时而失败等。
![](//mccdn.qcloud.com/static/img/6c066f82f7e94e6ee58c782325860c02/image.jpg)

为此，腾讯云引入了消息队列服务进行消息分发和管理。使用腾讯云CMQ，您可以分离应用程序的组件以便其独立运行，同时还可以简化组件间的消息管理。分布式应用程序的任何组件均可将消息存储在队列中，腾讯云 CMQ 确保每条消息至少传送一次，并且支持多次读取和写入。单个队列可由多个分布式应用程序组件同时使用而无需这些组件之间的互相协作。所有组件均可使用 CMQ API 以编程方式检索和操作消息。


## 应用场景概述


在需要进行异步通信的应用情景中推荐使用CMQ。例如：

- 应用需要确保消息的可靠传递，即使发送消息时接收者由于断电、宕机或cpu负载过高等原因不可用，消息也可以在接收者可用时被送达。传统的消息队列把消息储存在内存中，故而不具备这一功能。腾讯云CMQ分布式消息队列中的消息会被持久化保存，直到接收者成功获取它。

- 需要在访问量与日俱增、囤积在队列中的消息数日益增长的情况下也能正常运转。传统的消息队列把消息存在本地内存中，单机的处理能力和内存容量都是有限的，不具备可扩展性。腾讯云CMQ的分布式架构保证了其扩容的简易性，更重要的是扩容对CMQ的使用者是完全透明的。

- 两个服务在网络不能互通或者应用的路由信息（比如ip和端口）不确定的情况下需要通信。例如，两个腾讯云上的服务在不知道对方地址的情况下需要进行通信，则可以通过约定队列名，一个向队列发送消息，一个从队列中收取消息而实现。

- 系统组件之间或者应用之间通信较多，需要组件或者应用自身维护彼此的网络连接，而且通信的内容不仅一种。这时，使用传统的架构会使得系统设计复杂。例如：当有一个中央处理服务需要向多个任务处理服务分派任务时（类似于master-worker模式），master需要维护与所有worker的连接，并判断worker是否开始处理任务从而决策是否需要重新分派任务。同时，worker的任务结果也需要汇报给master。要在一个层面维护这样的系统会导致设计复杂，实现难度和维护成本大。如下图所示，使用腾讯云CMQ减轻两方的之间耦合性会使系统简洁高效许多。
![](//mccdn.qcloud.com/static/img/c39a0f8227943738dceb85575f56e4eb/image.jpg)

- 系统组件之间或者应用之间耦合较紧，尤其对依赖的组件可控性较弱的情况下，希望降低耦合度。比如公司业务CGI收到用户提交的内容，将部分数据存储在自身的系统中，并将处理后的数据转发给其他业务应用（如数据分析系统、数据存储系统等）。传统的解决方案是服务间通过socket建立连接，此时如果接收方的IP或端口改变，或换了另一个接收方，则需要数据发送者进行修改。使用腾讯云CMQ，发送者和接收者对彼此信息无感知，耦合度大大降低。
