**Q1：CMQ调用中出现action不存在的情况？**

如下面这种情况，创建主题接口不存在
CMQServerException {"code":4000,"data":"{\"code\":4000,\"message\":\"(10430)action name CreateTopic is not existed\"

A1：您可能没有正确填写 endpoint
Queue 和 Topic 对应的 endpoint 不相同，具体如下：
Queue : http://cmq-queue-region.api.tencentyun.com/
Topic :http://cmq-topic-region.api.tencentyun.com/
具体使用时请将 region 替换为对应的区域：gz（广州）、sh（上海）、bj（北京）。
>注：以上 endpoint 采用的内网域名，外网域名将 tencentyun 替换为 qcloud 即可。需注意的是，推荐您使用内网域名，使用外网会收取流量费用，且外网时延可能较高。

**Q2：CMQ可以使用外网域名吗？**

A2：可以使用外网域名，将内网域名的 tencentyun 替换为 qcloud 即可。需注意的是，使用外网会收取流量费用，且外网时延可能较高。


**Q3：CMQ 支持https 吗？**

A3：目前内网域名不支持https，外网域名支持 https。


**Q4：协作者账户可以使用 CMQ 吗？**

A4：目前协作者，子账户均可以使用CMQ, 需要在CAM开通CMQ对应的资源操作权限。

**Q5：CMQ 目前有哪几种 SDK？如果没有需要的 SDK 应该怎么办？**

A5：CMQ 目前有c++，php，python 及 java 四种 SDK。如果没有对应的语言，可以按照官网文档中的规范自己组包调用 CMQ 服务。

**Q6：CMQ 的批量消费接口，如果当前队列里面的消息数小于当前请求的批量消费数量，请求会阻塞吗？**

A6：不会阻塞。


**Q7：API 秘钥是全局的秘钥，有没有方法能让秘钥只对 CMQ 的接口有用？**

A7：目前 CMQ 已经接入 CAM，您将可以使用 CAM 进行权限控制。

**Q8：目前SDK 是异步模式吗？**

A8：SDK所有操作均为同步模式，没有异步模式。


**Q9：删除消息失败？**


A9：很可能是因为消息句柄超时了。队列属性 visibilityTimeout 
表明了消息的可见时间，如果从消费消息到删除消息超过了这个时间，那么消息句柄会失效，从而导致无法删除消息。



**Q10：CMQ 有没有图形管理界面，在哪里可以看到队列的情况呢？**

A10：CMQ 提供可视化控制台，您可以很方便地查看当前队列情况。
[进入控制台 >>](https://console.cloud.tencent.com/mq/)

**Q11：CMQ目前支持 mqtt 协议吗？**

Q11：目前不支持，后续会支持。

**Q12: 调用 CMQ 的时候出现了异常：10250	qps throttling？**

Q12：这是因为 QPS 达到了上限值。QPS 默认值为 5000，表示该接口每秒钟被调用的上限次数为5000次。如果对QPS有要求，可以提工单申请提高 qps。

**Q13：队列或者主题个数是否有限制？**

Q13：有限制，目前限制如下：
每个账号的队列数不能超过1000个，每个账号的主题数不能超过1000个，每个主题下面的订阅数不能超过100个。

**Q14：CMQ通讯支持 kafka 吗？**

A14：目前不支持，Ckafka 正在研发，敬请期待。

**Q15：CMQ收发消息大小有限制吗？**

A15：CMQ目前消息的大小为1MB。
如果消息超过1MB，这里提供两种解决方法：
- 将消息存储在 COS 中，然后把 Object 地址放在 CMQ 消息中，消费的时候从 COS 下载消息进行处理。
- 对消息进行重新拆分。


**Q16：CMQ 使用哪种协议访问？**

A16：CMQ 使用 HTTP 协议，CMQ SDK 会维护 TCP 长连接。

**Q17：CMQ 会进行消息去重、失败重试吗？**

A17：目前 CMQ 不会对消息进行去重和失败重试操作，这些需要业务层自行实现。


**Q18：CMQ消费消息时，pull的长轮询是怎么做的？**

A18：目前 CMQ 消费消息时 pull 实现如下：
队列有 pollingWaitSeconds 属性，表示默认的队列长轮询时间。
消费消息时，如果有消息，则直接返回消息；
如果当前队列没有消息，则会等待pollingWaitSeconds 时间，如果在该时间内有消息则返回消息；
如果超过了该时间仍然没有消息，则会报没有消息的异常。
这里用户可以根据自己的需求来设置队列的这个属性，而且用户也可以在消费消息的时候指定 pollingWaitSeconds 时间，不用每次消费消息都使用这个默认值。

