## 一、创建/查看Topic

主要操作：

1. 输入Topic名称，一旦创建后不能再修改Topic名称，只能包含字母，数字，短横线(-)和下划线(_)，名称长度限制在3-64字节之间，长于64字节将被自动截取
2. 设定Topic的地域属性
3. 设定消息最大长度，Topic的MaximumMessageSize属性，允许发送到该主题的消息体的最大长度，单位为byte，有效值范围为：1024(1KB)-65536(64KB)，默认值为65536。
4. 输入备注
5. 消息生命周期：消息在本队列中最长的存活时间，从发送到该队列开始经过此参数指定的时间后，不论消息是否被取出过都将被删除；单位为秒，默认值为86400s，不允许修改。
6. 消息堆积：默认开启。存在生产者的消息，还未触发推送到订阅者，或订阅者接收消息失败，暂时堆积到TOPIC中
7. 当前消息堆积数：在topic查看详情处，可查看到当前消息堆积的总数，为近似的堆积数
8. 单个topic的Qps性能：单个Topic的生产、投递的QPS峰值为5000

## 二、修改Topic属性
1. Topic名称、资源id，两者都不可修改
2. 显示Topic的地域属性，不可修改
3. 设定消息最大长度：可修改，该项目为允许发送到该主题的消息体的最大长度，单位为byte，有效值范围为：1024(1KB)-65536(64KB)，默认值为65536。
4. 创建时间，最后修改时间，不可修改

## 三、添加订阅者
1. 输入Topic名称
2. Topic 资源id
3. 订阅名称，一经填写无法修改
4. 订阅终端协议，选项有: Queue消息服务、URL地址
5. 订阅地址，填写URL、Queue队列名称，目前只允许Topic发送给同一个账户下的Queue
6. 重试策略：订阅的NotifyStrategy属性，向接收端推送消息出现错误时的重试策略。该策略默认开启。有两个选项，二选一：a.退避重试：重试3次，间隔时间10-20s之间的一个随机值，超过3次后，该条消息对于该订阅者丢弃，不会再重试； b. 衰退指数重试：重试176次，总计重试时间为1天，间隔时间依次为：2^0，2^1, …, 512, 512, …, 512秒。默认让客户勾选 衰退指数重试 策略。两者必须勾选1个 
7. 重试验证：若https，返回码为200，则认为成功
8. 添加订阅者标签：添加订阅者时，可增加FilterTag，增加filtertag后，该订阅者仅能收到带该filtertag的消息。单个tag不超过16个字符的字符串，单个订阅者可最多添加10个tag。只要其中某个tag，能匹配topic的过滤标签，都能收到该次topic投递的消息，若消息不带任何标签，则该订阅者无法收到该类型消息。
9. 单个Topic订阅者上限 ：单个TOPIC下最多允许关联100个订阅者
10. 该订阅者关联的消息总数量：该数量为近似数值，说明某Topic还有多少消息，等待投递、重试投递到订阅者

## 四、修改、删除订阅者

修改时，可修改重试策略，订阅者标签，或消息投递格式，消息投递策略等

## 五、查看某Topic的所有订阅者
1. 订阅名称
2. 接收端地址
3. 重试策略
4. 消息推送格式
5. 订阅终端协议
6. 订阅地址
7. 创建时间
8. 订阅标签

## 六、生产者向Topic发布消息（Publish to topic）
1. Topic名称
2. Topic 资源id
3. 发布主题，客户可自定义填写
4. 发布内容：为消息的主体内容，客户自定义填写，CMQ不会进行任何编码、修改
5. 添加消息过滤标签：Tag，即消息标签、消息类型，用来区分某个CMQ的Topic下的消息分类。MQ允许消费者按照Tag对消息进行过滤，确保消费者最终只消费到他关心的消息类型。该功能默认不开启，未开启时，所有消息向所有订阅者发送，当订阅者设置了tag时，由于不匹配，该订阅者无法收到消息。消息过滤标签描述了该订阅中消息过滤的标签（标签一致的消息才会被推送）。单个tag不超过16个字符的字符串，单个message可最多添加10个tag

## 七、Topic向订阅者投递消息（Notification）
1. Topic会尽最大努力将生产者publish的消息，投递（notification）到订阅者
2. 当投递重试多次仍失败后，消息会堆积在Topic中，等待下一次投递，若持续失败，将在消息最大生命周期（1天）结束后，丢弃该消息

## 八、主题API请求地址（Topic access address）

该地址为用户，对Topic主题、订阅等进行增删改查发布等操作的访问地址，须配合密钥一起使用。
