CMQ 的 TOPIC 模式，近期已增加订阅筛选标签功能，类似于 rabbitMQ 的 direct_routing 模式，topic_pattern 模式在下个迭代提供。由于筛选标签的使用策略较复杂，具体说明如下：

**场景1：**Topic：test1 ，在12点01分，调用了订阅发布的API，定义该次操作为『发布test1』，发布后topic投递到订阅者，给A/B/C三个订阅者投递了200条消息，假设结果为：A有100条消息接收失败，B有30条消息接收失败，C的200条消息全部接收成功

场景分析：

- 消息堆积：由于A/B/C三个订阅者中，假定消息投递失败的总集合为110条（A有100条消息失败，B有30条失败，C全部成功，三者之间的失败消息有交错的部分），只要存在任意1个订阅者与某条消息存在关联关系，该消息都不会被立即退订
- 阻塞策略：以A为案例，topic投递给A200条消息，第101条失败时候，则后面的99条的投递会被阻塞。状态为有100条消息接收失败
- 重试策略（退避重试）：Topic-test1会每隔N秒给A重新投递消息，失败的100条里，按顺序，从第一条重新尝试，若失败三次，直接就丢弃，然后投递下一条消息，失败三次后再次丢弃，按顺序排列
- 重试策略（衰退指数重试）：以A为案例，topic会并发投递100条消息（无法保证先后顺序）当订阅者接收的第一条消息失败后，从第一条重新尝试，若失败，继续阻塞。后续新增的投递消息，会继续阻塞
- 消息生命周期不可延长：假定这110条堆积在topic-test1里的消息，中间无论被重试多少次，生命周期都为1天，从生产者推送到topic的时间点，作为起止时间点，到期后删除
- 重新推送：生产者不断往Topic中生产新的消息，客户在12点02分，又调用了订阅发布的API，加上之前失败堆积的110条消息，假设目前topic中共有110（失败堆积）+100（1分钟时间内新增的消息）=210条消息，再次投递。这时，A/B的重试策略为衰退指数重试，处于『失联』状态，则210条消息会继续堆积。 对于C，只接收新增的100条消息。

***核心：每一条消息的id，作为key，value是关联的订阅者、代表每个订阅者消费成功与否***


---


**场景2：**Topic：test2 ，在12点01分，调用了订阅发布的API，定义该次操作为『发布test2』，给A/B/C三个订阅者投递了200条消息，假设结果为：A/B/C的200条消息全部接收成功

场景分析：

- 若topic-test2，有且仅有A/B/C三个订阅者，且都确定消费成功后，topic会立即删除200条消息

---


**场景3：**假设我们有4个订阅者A/B/C/D，每个订阅者加上消息标签：A消息标签是apple，B消息标签是xiaomi，C没有设置任何标签，D的消息标签为imac+xiaomi。此时，有生产者publish到topic 100条消息，带的消息标签过滤为：apple，imac，iphone，macbook。此后topic立即投递到A/B/C/D.

场景分析：

- 对于订阅者A而言，由于apple能匹配消息过滤标签中的apple，则能正常收到100条消息
- 对于订阅者B而言，收不到任何消息
- 对于订阅者C，也收不到任何消息
- 对于订阅者D，由于其中一个标签imac能匹配，则能正常收到100条消息

---


**场景4：**假设Topic有且仅有4个订阅者A/B/C/D，四个订阅者都没有设置消息tag。此时，有生产者publish到topic 100条消息，带的消息标签过滤为：apple，imac，iphone，macbook。此后topic立即投递到A/B/C/D.

场景分析：

- 订阅者A/B/C/D，没有tag，则投递时不用匹配消息，A/B/C/D都能收到这100条消息


---


**场景5：**假设Topic有且仅有1个订阅者A，A的订阅标签设置为xiaomi。此时，有生产者publish到topic 100条消息，带的消息标签过滤为：apple，imac，iphone，macbook。此后topic立即投递到A

场景分析：

- 对于订阅者A，订阅标签不匹配，则A无法收到这100条消息。此时这100条消息立即丢弃，不会堆积在CMQ里
- 生产者publish到topic时，消息过滤tag只能在publish前设置一次，跟消息id绑定，不可修改

---


**总结：**

1. 对于消息A，没有消息TAG，订阅者有tag，则该订阅者不匹配，收不到消息
2. 对于消息B， 消息有TAG， 订阅者没有tag，投递时消息不用匹配，订阅者都能收到消息
3. 对于消息C，消息有TAG，订阅者也有tag的时候，两者匹配的，才能收到消息。支持N:M匹配，如消息有10个TAG，订阅者有4个TAG，其中有1个TAG相互能匹配上，则订阅者能收到消息
4. 对于消息D，消息没有TAG，订阅者也没有TAG，投递后，所有订阅者都能收到消息
