﻿## Overview

Tencent Cloud CMQ Messaging service enables permission management and control through **Users and Permissions**, and supports permission setting through **Policy Management** for specified **users** or **user groups**, with a granularity of <API> or <API Set>.

This document will introduce you the content related to permission setting, and the dimensions of CMQ permission setting.

## Ⅰ. Setting a Policy

The Users and Permissions of Tencent Cloud controls relevant permissions of users or user groups using **policy**. So you can first establish a sophisticated policy, and then associate specified users or user groups to the policy.

- [Functions of Policies >>](https://cloud.tencent.com/document/product/378/4513#.E7.AD.96.E7.95.A5.E7.9A.84.E4.BD.9C.E7.94.A8)
- [Understand Policy Types >>](https://cloud.tencent.com/document/product/378/4513#.E7.AD.96.E7.95.A5.E7.B1.BB.E5.9E.8B)
- [Understand Policy Composition >>](https://cloud.tencent.com/document/product/378/4513#.E7.AD.96.E7.95.A5.E7.BB.84.E6.88.90)

## Ⅱ. User and User Group

When setting permissions, you need to determine the users or user groups for which you want to specify the permissions; when setting users or user groups, you can associate them with relevant policies.

### User

- [Understand the Functions of Users >>](https://cloud.tencent.com/document/product/378/4509#.E7.94.A8.E6.88.B7.E7.AE.A1.E7.90.86.E7.9A.84.E4.BD.9C.E7.94.A8)
- [Learn How to Create a New Sub-user >>](https://cloud.tencent.com/document/product/378/4509#.E5.A6.82.E4.BD.95.E6.96.B0.E5.BB.BA.E5.AD.90.E7.94.A8.E6.88.B7)
- [Associate Users with Policies >>](https://cloud.tencent.com/document/product/378/4513#.E5.85.B3.E8.81.94.E7.AD.96.E7.95.A5)

### User Group

- [Understand the Functions of User Groups >>](https://cloud.tencent.com/document/product/378/4510#.E7.94.A8.E6.88.B7.E7.BB.84.E7.9A.84.E4.BD.9C.E7.94.A8)
- [How to Create a New User Group >>](https://cloud.tencent.com/document/product/378/4510#.E5.A6.82.E4.BD.95.E6.96.B0.E5.BB.BA.E7.94.A8.E6.88.B7.E7.BB.84)
- [Associate User Groups with Policies >>](https://cloud.tencent.com/document/product/378/4513#.E7.94.A8.E6.88.B7.E7.BB.84.E5.85.B3.E8.81.94.E7.AD.96.E7.95.A5)

## Ⅲ. CMQ Permission Dimension
This section will be supplemented in the near future.

## Ⅳ. Example of CMQ Permission Configuration

[Set Permissions via API >>](/document/product/406/8619)
[Set Permissions via Console >>](/document/product/406/8620)




