
私有网络（Virtual Private Cloud）是一块用户可自定义的逻辑隔离网络空间。在私有网络内，您可以自由定义网段划分、IP 地址和路由策略，部署 [云主机](https://cloud.tencent.com/doc/product/213/495)、[负载均衡](https://cloud.tencent.com/doc/product/214/524)、[云数据库](https://cloud.tencent.com/doc/product/236) 等云服务资源。您在腾讯云上的私有网络不仅可以灵活访问 Internet，而且有丰富的接入方式连接您的数据中心，助力您快速部署混合云。同时，腾讯云私有网络 [对等连接](https://cloud.tencent.com/doc/product/215/5000) 和 [基础网络互通](https://cloud.tencent.com/doc/product/215/5002) 功能可以轻松连接内网资源，帮助您轻松实现全球同服和两地三中心容灾。此外，腾讯云私有网络上的 [网络 ACL](https://cloud.tencent.com/doc/product/215/5132) 和 [安全组](https://cloud.tencent.com/doc/product/213/500) 帮您多维度全方位保证网络安全性。
![](//mccdn.qcloud.com/static/img/1d46050c949ddd8dbe75342638824e09/image.png)

## 自定义网络
您可以通过控制台或者 API 自定义私有网络网段、子网网段和路由控制策略，还可以进一步将网络继续划分为多个子网，并在子网内部署应用程序和服务。同时，通过合理设置路由策略，您可以灵活管理 VPC 内、公网和混合云等资源的网络转发流量。

## 灵活、高性能的 Internet 访问
腾讯云 VPC 为您提供灵活、高性能的 Internet 连接方式，包括弹性 IP、NAT 网关和公网网关。

| 功能 | 详述 |
|---------|---------|
|[**弹性 IP（EIP）**](https://cloud.tencent.com/doc/product/213/1941) | 弹性 IP（Elastic IP，EIP）是可以独立申请的公网 IP 地址，支持与实例（如：云主机、NAT 网关）的动态绑定和解绑，典型应用场景：<br>**`保留 IP`**。国内的  IP 和 DNS 之间需要域名备案。<br>**`屏蔽实例故障`**。例如：动态 DNS 映射把 DNS 名称映射到 IP 地址，传播这个映射变化到整个 Internet 可能需花费 24 小时，而弹性 IP 实现了 IP 从一个云主机到另一个云主机的漂移。在任何云主机出现故障时，只需启动另一个实例并重新映射它，从而快速屏蔽实例故障。|
|**[NAT 网关](https://cloud.tencent.com/document/product/215/5249) **|NAT 网关是私有网络访问 Internet 的一种方式，能在内外网隔离时，将私有网络中内网 IP 地址和公网 IP 地址进行转换，典型应用场景是:  <br>** `大带宽、高可用公网访问`。** NAT 网关最大支持 1000W 并发连接、5Gbps 带宽和 10 个弹性 IP， 双机热备，自动容灾，99.99% 服务可用性。针对需要超大带宽、公网 IP 使用量大、部署服务较多的公网访问应用场景。<br>**  `安全的公网访问`**腾讯云私有网络的 NAT 网关提供 IP 的安全转换。如果您希望隐藏私有网络内主机的公网 IP 以避免暴露其网络部署，同时又希望访问公网，使用腾讯云 NAT 网关即可。| 
|**[公网网关](https://cloud.tencent.com/doc/product/215/4972)**| 公网网关是一种云主机，具备转发 Internet 和私有网络之间流量的功能，没有外网 IP 但需要进行 Internet 访问的云服务器可通过公网网关来访问 Internet。|

## 稳定、可靠的用户数据中心连接
如果您希望构建企业的混合云部署，即连接您的云上计算资源及本地数据中心，那么可以使用公网 VPN/专线接入连接来实现。
- **[VPN 连接](https://cloud.tencent.com/doc/product/215/4956)** 是一种通过公网加密通道连接您 IDC 和腾讯云私有网络的方式。您可以在控制台创建私有网络的 VPN 网关、您 IDC 侧的对端网关和支持 IPsec 加密协议的 VPN 通道，快速实现私有网络和您本地数据中心的安全通信，助力您快速部署混合云。
- **[专线接入](https://cloud.tencent.com/doc/product/215/4976)** 是一种通过物理专线打通您数据中心和位于多个地域腾讯云计算资源的服务，帮助您建立灵活、可靠的混合云网络连接。专线接入支持双机热备、SLA 服务保障和国内外多地互联，完全满足金融等高质量网络互联要求。

## 腾讯云上资源灵活互通
您可以通过对等连接和基础网络互通实现私有网络内的资源与其它云资源的互通。
- **[对等连接](https://cloud.tencent.com/document/product/215/5000)** 是一种连接两个私有网络的服务，使被连接的两个私有网络就像处于同一私有网络，可以帮助您轻松实现全球同服和两地三中心容灾部署。
- **[基础网络互通](https://cloud.tencent.com/doc/product/215/5002)** 是指将基础网络内的云服务器关联至指定私有网络的服务，可以打通基础网络中的云服务器与私有网络之间的网络通信，实现内网资源平滑连接。
- **终端连接**可帮助您实现 VPC 内实例通过内网与基础网络实例通信，其原理是将基础网络实例 IP 与私有网络内 IP 建立映射，访问该私有网络 IP 即访问基础网络实例，支持的基础网络产品包括： LB、CDB、CMEM、REDIS、MongoDB，不支持跨地域/跨账号，方向：单向（VPC 访问基础网络），如果有需要，欢迎提供工单申请。

## 多维度、全方位安全防护
您可以通过网络 ACL 和安全组实现端口和实例维度的资源访问控制。帮助您全方位提高云主机安全性。
- **[网络访问控制列表（Access Control List，ACL）](https://cloud.tencent.com/doc/product/215/5132)** 是一个子网级别的无状态可选安全层，可作为防火墙以控制进出子网的数据流，可以精确到协议和端口维度。
- **[安全组](https://cloud.tencent.com/doc/product/213/500)** 是一个实例级别的包过滤功能的虚拟防火墙，它用于设置单台或多台实例的网络访问控制。您可以将同一地域内具有相同网络安全隔离需求的云服务器实例加到同一个安全组内，通过网络策略对云服务器的出入流量进行安全过滤。







