## 应用场景
很多公司基于用户分布情况，将 IT 系统部署在全球不同区域，尤其是游戏公司。
​
**用户痛点:**
- **核心数据集中部署**：尽量避免跨区域数据通信。
- **用户分地域就近接入**：降低时延。
- **各地域之间数据高速互联**：如进行跨服战等。
​
## 解决方案
腾讯给出游戏公司全球同服解决方案如下：
- **数据库集中部署**。腾讯云数据中心广布全球，现已在全球范围内开通 16 大数据中心，覆盖 5 大洲，游戏数据库中心服可根据业务需要选择部署在腾讯云几大核心机房之一。选择中心服部署的机房一般可从两个方面入手，一是跟产品运营同学确认游戏希望重点覆盖哪个区域的玩家，如欧美还是东南亚地区等，二是对比海外各大 IDC 的网络质量和覆盖面，选其最优节点进行部署。
​
-  **多地分区域接入玩家**。因全球 200 多个国家到游戏中心服网络时延不一，这可依托腾讯云分布世界各地的 IDC 就近部署一套接入服务，借助 DNSPod 云解析智能调度功能实现玩家的就近访问。另外考虑到大部分时间里玩家主要是跟本地域玩家一起游戏，所以玩家数据也可以做分区域缓存，定期回写中心数据库，避免因实时跨地域读取数据导致游戏体验下降。腾讯云在国内拥有北京、上海、广州三大数据中心，在海外还有北美、欧洲、亚太、南美等接入点供业务做分布部署和接入，如业务有使用缓存服务器则可直接选用腾讯云提供的 Redis 或 MongoDB 等存储产品，降低业务部署和运维门槛。
​
- **多地网络高速互联**。多地同服最大的难点在于如何解决玩家跨服 PVP 等同服玩法网络延迟高问题，为了减少游戏接入服到全局中心服之间的时延，腾讯云可通过跨地域对等连接实现各大区私有网络之间高速数据同步，大大降低跨区间数据访问的网络时延。 
​
## 操作步骤
1. 集中部署数据库,在靠近用户地域创建私有网络，在 [私有网络内部署数据库和云主机](https://cloud.tencent.com/document/product/215/4927#.E5.90.91.E5.AD.90.E7.BD.91.E4.B8.AD.E6.B7.BB.E5.8A.A0.E4.BA.91.E4.B8.BB.E6.9C.BA)。
2. 利用DNSPod云解析智能调度功能实现玩家的就近访问，查看 [DNSPod云解操作指南](https://cloud.tencent.com/document/product/302/3446)。
3. 利用腾讯云跨地域对等连接实现不同地域的私有网络高速互联，点击查看 [对等连接操作指南](https://cloud.tencent.com/document/product/215/5000#.E5.BF.AB.E9.80.9F.E5.85.A5.E9.97.A8)
