## 应用场景
用户担心公有云上多租户共享资源池的方式无法保证数据的安全，希望在公有云上使用一个完全隔离的网络环境部署云资源。
**用户核心痛点**：
与其它租户完全隔离，规避多租户共享带来的风险。

## 解决方案
腾讯云私有网络（Virtual Private Cloud，VPC）是一块您在腾讯云上自定义的逻辑隔离网络空间，与您在数据中心运行的传统网络相似，托管在腾讯云私有网络内的是您在腾讯云上的服务资源，包括云服务器、负载均衡、云数据库等云服务资源。您可以完全掌握您的私有网络环境，包括自定义网段划分、IP地址和路由策略等，并通过网络ACL和安全组等实现多层安全防护。同时，您也可以通过IPsec VPN/专线连通私有网络与您的数据中心，灵活部署混合云。

腾讯云上的网络分为私有网络和基础网络，其中：
- **基础网络**是腾讯云上所有用户的公共网络资源池（如左图所示）。所有云服务器的内网 IP 地址由腾讯云统一分配，配置简单，使用方便，适合对操作易用性要求比较高、需要快速使用云服务器的场景。
- **私有网络**是指用户在腾讯云上建立的一块逻辑隔离的网络空间（如右图所示）。在私有网络内，用户可以自由定义网段划分、IP地址和路由策略、同样可以部署云主机和数据库等服务。与基础网络相比，私有网络更适合有网络自定义配置需求的场景。
![](//mccdn.qcloud.com/static/img/f1c113751199560fb87bc002b4bf0207/image.png)
    　　　　　    　　　　　  图1： 基础网络和私有网络对比图

## 操作步骤
1) 创建私有网络、初始化子网和路由表
2) 创建子网
3) 新建路由表关联子网
4) 向子网中添加云主机、数据库等
[点击查看操作详情](https://cloud.tencent.com/document/product/215/8119)
