## 应用场景
用户已经具有大规模应用，其核心问题不再是担心基础设施部署速度无法满足业务增长，更多的是从稳定性、可靠性等寻求从单中心向多中心化发展，通过消灭单点，解决单数据中心故障带来的业务风险。

**用户核心痛点：**
1.多地容灾，提高基础设施可靠性。
2.快速部署，减少基础设施建设周期。
3.存量数据中心利旧，降低运行成本（买好的服务器暂时先用）。


## 解决方案
### 混合云容灾部署
**1.异地部署数据中心 **：本地数据中心和公有云数据中心构建主备集群。
**2.数据同步**：通过专线或 VPN 同步数据，避免单中心失效。
**3.流量切换 **：通过 DNS 将流量切换至有效中心，提供有损但不中断的基础业务服务。

### 云上两地三中心容灾部署
**1.跨可用区部署**：您可以在同一个私有网络内的不同可用区创建子网，部署服务。不同可用区的子网之间可以同步数据：使用不同可用区的目标是保证故障相互隔离。
**2.跨地域部署**：为了实现多地容灾，避免单地域故障扩散，高容灾保障，您可以在另外一个地域的私有网络内部署同样的服务。
**3.跨地域高速互联**：两个地域的私有网络之间通过跨地域对等连接实现跨地域互通。
**4.流量切换：**故障时，通过 DNS 将流量切换至有效中心，提供有损但不中断的基础业务服务。


## 操作步骤

### 混合云容灾部署操作步骤
1) 在腾讯云上创建私有网络，部署数据中心。[点击查看私有网络操作指南](https://cloud.tencent.com/document/product/215/4927#.E5.88.9B.E5.BB.BA.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C.E3.80.81.E5.88.9D.E5.A7.8B.E5.8C.96.E5.AD.90.E7.BD.91.E5.92.8C.E8.B7.AF.E7.94.B1.E8.A1.A8)。
2) 通过专线同步本地数据中和云上私有网络中数据中心。[点击查看专线操作指南](https://cloud.tencent.com/document/product/215/4976#.E6.93.8D.E4.BD.9C.E6.8C.87.E5.8D.97)。
3) 故障发生时，通过 DNS 将流量切换有效的数据中心。

### 云上两地三中心容灾部署操作步骤
1) 跨可用区部署。您可以在同一个私有网络内的不同可用区创建子网，部署主备同步的服务。不同可用区的子网之间可以同步数据，使用不同可用区的目标是保证故障相互隔离。[点击查看子网操作指南](https://cloud.tencent.com/document/product/215/4927#.E5.88.9B.E5.BB.BA.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C.E3.80.81.E5.88.9D.E5.A7.8B.E5.8C.96.E5.AD.90.E7.BD.91.E5.92.8C.E8.B7.AF.E7.94.B1.E8.A1.A8)。
2) 跨地域部署。为了实现多地容灾，避免单地域故障扩散，您可以在另外一个地域的私有网络内部署同样的服务。[点击查看私有网络操作指南](https://cloud.tencent.com/document/product/215/4927#.E5.88.9B.E5.BB.BA.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C.E3.80.81.E5.88.9D.E5.A7.8B.E5.8C.96.E5.AD.90.E7.BD.91.E5.92.8C.E8.B7.AF.E7.94.B1.E8.A1.A8)。
3) 跨地域高速互联。创建跨地域对等连接，实现两个私有网络高速同步数据。[点击查看对等连接操作指南](https://cloud.tencent.com/document/product/215/5000#.E5.BF.AB.E9.80.9F.E5.85.A5.E9.97.A8)。

