##  私有网络与子网

###  地域（Region）
[地域](https://cloud.tencent.com/doc/product/215/4927#.E5.9C.B0.E5.9F.9F.EF.BC.88region.EF.BC.89)是腾讯云托管机房分布地区，地域下有不同的可用区。例如，一个托管机房的地域是北京，可用区是北京一区。处于统一地域的云服务产品可以通过内网互通，不同地域云产品之间内网不互通，选择最靠近您客户的地域，可降低访问时延、提高下载速度。点击查看地域选择指南。

### 可用区（zone）
[可用区](https://cloud.tencent.com/doc/product/215/4927#.E5.8F.AF.E7.94.A8.E5.8C.BA.EF.BC.88zone.EF.BC.89)是同一地域下（如广州），电力和网络互相独立的物理区域（一般是一个物理机房），如广州一区，划分可用区的目是能够保证可用区间的故障隔离（大型灾害故障除外）。比如，您在可用区一和二部署了同样的业务，可用区一发生电力故障不会影响到可用区二，从而给您提供稳定高可用的服务，点击查看地域选择指南。

### 私有网络
私有网络（Virtual Private Cloud）能帮助您在腾讯云构建出独立的网络空间，与您在数据中心运行的传统网络极其相似，但是托管在腾讯云私有网络内的是您在腾讯云上的服务资源，包括：[云主机](https://cloud.tencent.com/doc/product/213/495)、[负载均衡](https://cloud.tencent.com/doc/product/214/524)、[云数据库](https://cloud.tencent.com/document/product/236)等云服务资源。您完全不用关心网络设备的采购和运维，而是通过软件自定义网段划分、IP地址、路由策略等。您不仅可以通过[弹性IP](https://cloud.tencent.com/doc/product/213/1941)、[NAT网关](https://cloud.tencent.com/doc/product/215/4975)和[公网网关](https://cloud.tencent.com/doc/product/215/4972)等灵活访问Internet，您也可以通过[VPN](https://cloud.tencent.com/doc/product/215/4956)[/专线接入](https://cloud.tencent.com/doc/product/215/4976)将私有网络与您的数据中心连通。同时，腾讯云私有网络的[对等连接](https://cloud.tencent.com/doc/product/215/5000)服务可以帮助您轻松实现全球同服和两地三中心容灾。另外，腾讯云私有网络中的[安全组](https://cloud.tencent.com/doc/product/213/500)和[网络ACL](https://cloud.tencent.com/doc/product/215/5132)可以多维度、全方位的满足您的网络安全需求。

### 基础网络
基础网络是腾讯云上所有用户的公共网络资源池，该资源池内云服务器内网 IP 地址由腾讯云统一分配，配置简单，使用方便，适合对操作易用性要求比较高、需要快速使用云主机的用户，而私有网络更适合有网络管理能力和需求的客户。[点击查看私有网络和基础网络的区别](https://cloud.tencent.com/document/product/215/535#.E9.80.89.E6.8B.A9.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C-or-.E5.9F.BA.E7.A1.80.E7.BD.91.E7.BB.9C.EF.BC.9F)。

### 子网
[子网](https://cloud.tencent.com/doc/product/215/4927)是对私有网络网段的灵活划分，您可以在不同子网内部署应用程序和服务，安全灵活地在腾讯云VPC中托管多层Web应用程序。

###  CIDR
CIDR由您指定的独立网络空间地址块，通过IP和掩码结合，实现对网络的整体划分。以10.1.0.0/16为例，斜杠左边为网络块的IP，斜杠右边为网络块的掩码。通过设定掩码的大小，可以调整网络块的大小设定。网络块包括的IP数 = 2^(32-掩码)，因而10.1.0.0/16网络块最多包含65536个IP地址，[点击查看CIDR详情](https://cloud.tencent.com/doc/product/215/4927#cidr)。

### 内网IP
内网IP是在腾讯云VPC或基础网络内分配给实例 IP 地址，内网IP地址无法通过 Internet 访问，但可用于VPC中或基础网络实例之间的通信

### 外网IP
外网IP 地址可通过 Internet 访问，并可用于实例与 Internet 之间或与其他具有公共终端节点的腾讯云资源（如，CDB）之间的通信。

## 路由
### 	路由表
[路由表](https://cloud.tencent.com/doc/product/215/4954)包含一系列路由策略，用于定义私有网络内每个子网的网络流量走向。每个子网有且只有一个关联路由表，每个路由表可以关联同一个私有网络中的多个子网。

### 	路由策略
[路由策略](https://cloud.tencent.com/document/product/215/4925?lang=cn#.E8.B7.AF.E7.94.B1.E7.AD.96.E7.95.A5)是网络流量所经过的途径规则，每条路由策略包含了三个参数：
- **目的端**：目的网段描述，目的端不可以为路由表所在私有网络内的IP段；
- **下一跳类型**：私有网络下一跳类型支持“公网网关”、“VPN网关”、“专线网关”等类型，您需要先创建此类网关，否则无法拉取到此下一跳类型；
- **下一跳**：指定关联到该路由表的子网流量具体跳转至哪个下一跳网关。
   点击查看路由策略设置详情。

##  访问Internet
### 	弹性IP
[弹性IP](https://cloud.tencent.com/doc/product/213/1941)（Elastic IP，EIP）是可以独立申请的公网IP地址，支持动态绑定和解绑。您可以将其与账户中的云主机（或 NAT 网关实例）绑定或者解绑，主要作用是：
- **保留IP**，因为国内的IP和dns之间是需要域名备案的。
- **屏蔽实例故障**，例如：动态DNS 映射把 DNS 名称映射到 IP 地址，传播这个映射变化到整个 Internet可能需花费24 小时，而弹性IP实现了IP从一个云主机到另一个云主机的漂移。在任何云主机出现故障时，只需启动另一个实例并重新映射它，从而快速响应实例故障。


###  	公网网关
[公网网关](https://cloud.tencent.com/doc/product/215/4972)是一种云主机，具备转发Internet和私有网络之间流量的能力，没有外网IP但需要进行Internet访问的云服务器可通过公网网关来访问Internet。

### 	NAT（网络地址转换）网关
[NAT网关](https://cloud.tencent.com/doc/product/215/4975)能在内外网隔离时，将私有网络中内网IP地址和公网IP地址进行转换，实现私有网络访问Internet功能。NAT网关支持最大满足5Gbps突增流量和1000w并发连接数。同时作为高可用网关，NAT网关实现了双机热备，单机出故障自动切换，业务无感知。


##  连接您的数据中心
### 	用户IDC
用户数据中心(Internet Data Center，IDC)，是用户部署在腾讯云外的一整套IT设施。
###  IPsec 
IPsec 是一个协议套件，通过验证和加密数据流的每个 IP 数据包来保护 Internet 协议 (IP) 通信安全。
###  IPsec VPN
[IPsec VPN](https://cloud.tencent.com/doc/product/215/4956)是一种通过公网加密通道连接您的IDC和私有网络的方式。腾讯云私有网络IPsec VPN接入分为以下几个组成部分：
- **VPN网关**：VPN网关是私有网络的IPsec VPN网关，与对端网关（您IDC侧的IPsec VPN服务网关）配合使用，主要用于私有网络和您的IDC之间建立安全可靠的加密网络通信对端网关。
- **对端网关**：对端网关指您IDC机房的IPsec VPN服务网关在私有网络内的映射，对端网关需与VPN网关配合使用，一个VPN网关可与多个对端网关建立带有加密的VPN网络通道。
- **VPN通道**：加密的公网IPsec VPN通道，在VPN网关和对端网关建立后，即可以建立VPN通道，用于私有网络和您的IDC之间的加密通信。


### 	专线接入
[专线接入](https://cloud.tencent.com/doc/product/215/4976)是一种快速连接腾讯云与本地数据中心的方法，您可以通过一条物理专线一次性打通位于多地域的腾讯云计算资源，实现灵活可靠的混合云部署。专线接入支持无单点的双线热备接入方式，满足金融等高网络互联要求。专线接入包括三个组成部分: 
- ** 物理专线**: 连接腾讯云与本地数据中心的物理线路连接，一个物理专线可以与多个地域的专线网关建立专线通道。
- ** 专线通道**: 是物理专线的网络链路划分，可以创建连接至不同专线网关的专线通道实现本地数据中心与多个私有网络的互联。
- ** 专线网关**： 私有网络的专线流量入口，可以接入多个专线通道与多个本地数据中心互联。


##  您在腾讯云上的资源互通
###  对等连接 
[对等连接](https://cloud.tencent.com/doc/product/215/5000)是不同私有网络建立的连接，支持跨账户和跨地域的私有网络之间流量互通。建立了对等连接的私有网络，可以实现IP流量互访，两端的云主机和云数据库等资源可以相互访问。

### 基础网络互通
[基础网络互通](https://cloud.tencent.com/doc/product/215/5002)是指腾讯云私有网络与基础网络之间云服务互通。与私有网络连通的基础网络云服务器可通过内网主动访问私有网络内的云服务器、云数据库等计算资源，私有网络内的云服务器也可以通过内网主动访问基础网络云服务器。

### 终端连接
**终端连接**可帮助您实现私有网络内实例通过内网与基础网络实例通信，其原理是将基础网络实例IP与私有网络中一个IP建立映射关系，访问该私有网络IP即为访问基础网络实例，支持的基础网络产品包括： LB、CDB、CMEM、REDIS、MongoDB，不支持跨地域/跨账号，方向：单向（VPC访问基础网络），如有需要，欢迎提供工单申请。

##  安全
### 	网络ACL
[网络访问控制列表（Access Control List，ACL）](https://cloud.tencent.com/doc/product/215/5132)是一个子网级别的无状态可选安全层，可作为防火墙以控制进出子网的数据流，可以精确到协议和端口维度。除此之外，网络ACL可以限制网络流量，提高网络性能。

### 	安全组
[安全组](https://cloud.tencent.com/doc/product/213/500)是一种有状态的包过滤功能的虚拟防火墙，它用于设置单台或多台云服务器的网络访问控制，可以将同一地域内具有相同网络安全隔离需求的云服务器实例加到同一个安全组内，通过安全组的网络策略对云服务器的出入流量进行安全过滤。




