不同私有网络之间在不做配置的情况下默认无法互相通过内网通信，可以由带有外网IP或弹性IP的云服务器通过Internet互相访问。需要经过内网的流量访问可以通过对等连接和路由实现。

## 1. 基本概念
私有网络互通提供跨私有网络的云资源访问能力，云主机可以访问互通私有网络中的云服务器、云数据库、CMEM和负载均衡资源。对等连接不依赖某个独立硬件，因而不存在单点故障或带宽瓶颈。

私有网络可以与<font color="red">同地域内</font>或<font color="red">跨地域</font>的相同用户/不同用户的多个私有网络互联。互联关系不发生传递，除非两个私有网络之间直接建立互联关系。

![](//mccdn.qcloud.com/img5695f223723bd.png)

>注：需要互通的私有网络在指定路由前默认不通，需要双方配置发包、回包路由才可以实现双方的流量出入。

## 2. 使用限制
- 对等连接双方的私有网络CIDR不可以有交集
- 跨地域对等连接时，与一个私有网络对等连接的多个VPC之间CIDR不可以有交集（同地域对等连接不受此限制）
- 一个私有网络最大支持同时与10个私有网络互通（包含已连接和申请中）
- 两个私有网络间最多创建一个对等连接
- 私有网络互通申请过期时间：1周
- 负载均衡不支持跨对等连接、跨私有网络绑定云服务器。

## 3. 同地域对等连接和跨地域对等连接
私有网络支持同地域和跨地域的对等连接。功能上都是连接不同的私有网络，但由于对等连接两端的物理距离不同，同地域和跨地域对等连接在功能和计费上存在一些差异，对比如下：

| 比较项 | 同地域对等连接 | 跨地域对等连接 |
|---------|---------|---------|
| 底层架构 | 基于腾讯云region内的本地内网 | 基于腾讯云跨region的内部MPLS网络 |
| 带宽 | 无带宽上限 | 	最大10Gbps，带宽上限可设定 |
| 计费规则 | 	免费 | 	根据对等连接两端所在地域和实际使用网络带宽按天计费，详见[价格总览](https://cloud.tencent.com/doc/product/215/%E4%BB%B7%E6%A0%BC%E6%80%BB%E8%A7%88) |	
| 可用性 | 99.95%以上，无单点故障 | 	99.95%以上，无单点故障 |	
| 跨账号连接 | 支持 | 支持 |	
| 访问权限 | 对等连接双方云服务器均可访问对端云服务器、数据库、负载均衡等全部资源 | 对等连接双方云服务器均可访问对端云服务器、数据库、负载均衡等全部资源 |	
| 功能限制 |对等连接两端VPC网段不可重复；多个对等连接间互不影响 | 对等连接两端VPC网段不可重复；<br><font color="red">一个VPC连接多个VPC时多个对端VPC网段不可重复</font> |	

## 4. 对等连接的生命周期
私有网络对等连接的流程和生命周期如下面两图所示。
申请流程：
![](//mccdn.qcloud.com/img5695f31b9c668.png)

删除流程：
![](//mccdn.qcloud.com/img5695f33e85c6c.png)
