## 1. 基本概念
网络访问控制列表（Access Control List，ACL）是一个子网级别的可选安全层，可作为防火墙以控制进出子网的数据流。您可以在子网上设置网络 ACL以便为您的VPC添加额外的安全层，其规则与安全组相似。除此之外，网络ACL可以限制网络流量，提高网络性能。

- 网络ACL有单独的入站和出站规则，每条规则可配置为允许或是拒绝数据流。
- 每个新建网络ACL最初都为关闭状态（不允许任何数据流），直至您添加规则为止。
- 网络ACL没有任何状态，对允许入站数据流的响应会随着出站数据流规则的变化而改变（反之亦然）。
- 网络ACL对所关联子网内CVM实例之间的互访不产生影响。

## 2. 网络ACL规则
您需要在网络ACL中添加或删除ACL规则。当您在网络 ACL 中添加或删除规则时，更改也会自动应用到与其相关联的子网。

网络ACL规则包括以下四个组成部分：
- 协议类型
- 端口或端口范围
- 源数据流或目标数据流IP（CIDR范围）
- 允许或拒绝选项


腾讯云根据与子网关联的ACL入站/出站规则评估数据包，判断数据包是否允许流向/流出子网。网络ACL规则的应用顺序保持由规则第一条（列表顶端）开始应用至最后一条（列表末尾）。若有规则/部分规则冲突，默认应用位置更前的规则。

例如需要允许所有源IP对云服务器所有端口进行访问，同时唯一拒绝源IP为192.168.200.11/24的机器HTTP访问80端口。则可按以下方式设置：

| 协议类型 | 端口 | 源IP | 策略| 
|---------|---------|---------|
| HTTP | 80 | 192.168.200.11/24 | 拒绝|
| ALL | ALL | 0.0.0.0/0 | 允许 |


## 3. 临时端口范围
由于网络ACL无状态的特性，即使允许了某些入站访问，也有可能因为出站规则未设置导致无法响应访问。此时发起请求的客户端会选择临时端口范围。根据客户端的操作系统不同，范围也随之更改。
- 许多 Linux 内核使用端口 32768-61000
- Windows Server 2003 使用端口 1025-5000
- Windows Server 2008 使用端口 49152-65535

因此，如果一项来自Internet上的Windows XP客户端的请求访问您的VPC内的Web服务器，则您的网络ACL必须有相应的出站规则，以启用目标为端口 1025-5000 的数据流。

## 4. 安全组与网络ACL的区别

| 安全组 | 网络ACL | 
|---------|---------|
| 在 CVM 实例级别的操作（第一防御层） | 在子网级别的操作（第二防御层） | 
| 支持允许规则和拒绝规则 | 支持允许规则和拒绝规则 | 
| 有状态：返回数据流会被自动允许，不受任何规则的影响 | 无状态：返回数据流必须被规则明确允许 | 
| 只有在启动 CVM 实例的同时指定安全组、或稍后将安全组与实例关联的情况下，操作才会被应用到实例 | 自动应用到关联子网内的所有 CVM 实例（备份防御层，若CVM 实例为绑定安全组，这里可以做备份防御） | 
