### VPC 兴起的背景
随着云计算的不断发展，对虚拟化网络的要求越来越高，比如网络的弹性（scalability）、安全性（security）、可靠性（reliability）以及私密性（privacy）等，并且还要求具有极高的互联性能（performance），因此催生了多种多样的网络虚拟化技术。

比较早的解决方案，是将虚拟机的网络和物理网络融合在一起，形成一个扁平的网络架构，例如大二层网络。随着虚拟化网络规模的扩大，这种方案中的 ARP 欺骗、广播风暴、主机扫描等问题会越来越严重。为了解决这些问题，出现了各种网络隔离技术，把物理网络和虚拟网络彻底隔开。其中一种技术是用户之间用 VLAN 进行隔离，但是 VLAN 的数量最大只能支持到 4096 个，无法支撑公共云的巨大用户量。

### VPC 原理描述
基于目前主流的隧道技术，专有网络（Virtual Private Cloud，简称VPC）隔离了虚拟网络。每个 VPC 都有一个独立的隧道号，一个隧道号对应着一张虚拟化网络。一个 VPC 内的 ECS 之间的传输数据包都会加上隧道封装，带有唯一的隧道 ID 标识，然后送到物理网络上进行传输。不同 VPC 内的 ECS 因为所在的隧道 ID 不同，本身处于两个不同的路由平面，所以不同 VPC 内的 ECS 无法进行通信，天然地进行了隔离。

### VPC 逻辑框架
VPC 包含交换机、网关和控制器三个重要的组件。

交换机和网关组成了数据通路的关键路径，控制器使用自研的协议下发转发表到网关和交换机，完成了配置通路的关键路径。整体架构里面，配置通路和数据通路互相分离。

交换机是分布式的结点，网关和控制器都是集群部署并且是多机房互备的，并且所有链路上都有冗余容灾，提升了 VPC 产品的整体可用性。

在产品上，除了给您一张独立的虚拟化网络，腾讯云还为每个 VPC 提供了独立的路由器、交换机组件，让您可以更加丰富地进行组网。

针对内网安全需求，您可以使用安全组功能在一个 VPC 内进行更加细粒度的访问控制和隔离。缺省情况下，VPC 内的 ECS 只能和本 VPC 内其它 ECS 或其它云服务之间进行通信。此外，您可以使用阿里云提供的和 VPC 相关的产品，比如弹性公网 IP 和高速通道，使 VPC 可以和 Internet、其它 VPC、本地自有的网络（如用户办公网络、用户数据中心）之间进行通信。
