##  Hosting Simple Websites
You can use a VPC just like an ordinary network to deploy simple web applications such as blog, website, and log system. Through [Security Group](https://cloud.tencent.com/doc/product/213/500), [Network ACL](https://cloud.tencent.com/doc/product/215/5132) and other firewalls, you can allow web applications to respond to requests such as HTTP, but prevent them from accessing the Internet, thus ensuring the security of web applications. You can also enable [Cloud Load Balance](https://cloud.tencent.com/doc/product/214/524) in VPC to deal with traffic surge easily.
![](//mccdn.qcloud.com/static/img/23729e8b1f865148f8851e82db3cfff5/image.png)
>Related products: [Cloud Virtual Machine (CVM)](https://cloud.tencent.com/doc/product/213/495), [Cloud Database](https://cloud.tencent.com/doc/product/236), [Cloud Load Balance](https://cloud.tencent.com/doc/product/214/524)

##  Hosting Multiple Layers of Web Applications
You can create different subnets within a VPC. The entire web layer can be put in a subnet to communicate with the external by configuring [Elastic IP](https://cloud.tencent.com/doc/product/213/1941)/[Public Network Gateway](https://cloud.tencent.com/doc/product/215/4972)/[NAT Gateway](https://cloud.tencent.com/doc/product/215/4975). The logical layer is put in another subnet, only communicating with the web layer and the data layer. The data layer is put in a third subnet, only communicating with the logical layer. The traffic between subnets can be controlled through [Network ACL](https://cloud.tencent.com/doc/product/215/5132). Tencent Cloud VPC can provide Internet services for your applications while protecting the security of the database server. You can host multiple layers of Web applications safely and flexibly in the Tencent Cloud VPC.
![](//mccdn.qcloud.com/static/img/64ac36b8359811995205cba91f788c85/image.png)
>Related products: [Cloud Virtual Machine (CVM)](https://cloud.tencent.com/doc/product/213/495), [Cloud Database](https://cloud.tencent.com/doc/product/ 236/3188), [Elastic IP](https://cloud.tencent.com/doc/product/213/1941), [NAT Gateway](https://cloud.tencent.com/doc/product/215/4975), [Public Network Gateway](https://cloud.tencent.com/doc/product/215/4972)

##  Elastic Hybrid Cloud Deployment
You can deploy your applications in a VPC, and deploy a database server in your enterprise data center. Tencent Cloud VPC provides stable and secure [IPsec VPN](https://cloud.tencent.com/doc/product/215/4956)/[Direct Connect](https://cloud.tencent.com/doc/product/215/4976) to help you connect the enterprise data center and cloud resources. You can use [Auto Scaling](https://cloud.tencent.com/doc/product/377/3154) service to flexibly expand the CVM and other resources of the application according to business volume. In this way, you can reduce the IT O&M costs of your enterprise without worrying about the proliferation of core data, thus achieving an elastic hybrid cloud deployment easily.
![](//mccdn.qcloud.com/static/img/23ac09921e7876e6d33d75704dc7f6db/image.png)
> Related products: [Cloud Virtual Machine (CVM)](https://cloud.tencent.com/doc/product/213/495), [Cloud Block Storage (CBS)](https://cloud.tencent.com/document/product/362/2345), [Auto Scaling (AS)](https://cloud.tencent.com/doc/product/377/3154), [Direct Connect](https://cloud.tencent.com/doc/product/215/4976), [VPN Connection](https://cloud.tencent.com/doc/product/215/4956)

