## 简介
参数模板是一组参数的集合，支持 IP 地址和协议端口两类，可被安全组规则引用，主要用于统一管理安全组规则的 IP 或协议端口组。

参数模板类型：
- IP 地址 (ipm) ：支持单个 IP、CIDR、IP 范围。
- IP 地址组 (ipmg)：多个 IP 地址对象集合。
- 协议端口 (ppm)：支持单个端口、多个端口、连续端口及所有端口，协议支持：TCP、UDP、ICMP、GRE 协议。
- 协议端口组 (ppmg) ：多个协议端口对象集合。

## 使用场景
参数模板主要用于统一管理 IP/协议端口，常用场景如下：
1、统一管理具有**相同**诉求的 IP/协议端口组
2、统一管理具有**频繁编辑**诉求的 IP/协议端口组
例如：某银行只允许第三方以指定公网 IP 访问某些云主机。
step1：创建一个 IP 地址对象，将指定公网 IP 加入该 IP 地址对象中。
step2：在这些云主机绑定的安全组上增加一条规则，允许源地址为该 IP 地址对象的访问。
step3：如果需要增加新的第三方公网 IP 时，只需往该 IP 地址组中增加 IP 即可，无需修改安全组规则或者新建安全组。

如果不使用参数模板功能，则需要重复多次编辑安全组规则，管理麻烦，易遗留、易出错。


## 使用约束
配额如下表所示，您还可以查看 VPC 其它产品的 [使用约束](https://cloud.tencent.com/document/product/215/537)。

| 实例 | 配额 | 
|---------|---------|
| IP 地址对象 (ipm)  | 每个租户上限 1000 |
| IP 地址组对象 (ipmg)  |每个租户上限 1000|
| 协议端口对象 (ppm)  | 每个租户上限 1000 |
| 协议端口组对象 (ppmg)  |每个租户上限 1000 |
| IP 地址对象 (ipm) 内的 IP 地址成员 | 每个租户上限 20 |
| IP 地址组对象 (ipmg)内的 IP 地址对象成员 (ipm) | 每个租户上限 20 |
| 协议端组对象 (ppm)内的协议端口成员 | 每个租户上限 20  |
| 协议端口组对象 (ppmg)内的协议端口对象成员 (ppm) | 每个租户上限 20 |
| IP 地址对象 (ipm) 可被多少个 IP 地址组对象 (ipmg)引用 | 每个租户上限 50 |
| 协议端口对象 (ppm)可被多少个协议端口组对象 (ppmg)引用  | 每个租户上限 50  |

>注：参数模板可被安全组引用，其功能类似于把参数模板展开成多条安全组规则，展开后，每个安全组规则条目数不能超过 512。

## 计费模式
免费，有关私有网络服务的更多价格信息，可以查看 [私有网络价格总览](https://cloud.tencent.com/document/product/215/3079)。


## 操作指南
### 创建 IP 地址
1) 登录腾讯云控制台点击导航条[【私有网络】](https://console.cloud.tencent.com/vpc/vpc?rid=1)，进入私有网络控制台，选择【安全】-【参数模板】-【IP地址】
2) 单击【新建】填写IP地址。
3) 单击【完成】，即可完成创建。

### 创建端口协议
1) 登录腾讯云控制台点击导航条[【私有网络】](https://console.cloud.tencent.com/vpc/vpc?rid=1)，进入私有网络控制台，选择【安全】-【参数模板】-【端口协议】
2) 单击【新建】填写端口协议。
3) 单击【完成】，即可完成创建。

### 在安全组中引用参数模板
1) 打开云服务器 CVM 控制台-选择[【安全组】](https://console.cloud.tencent.com/cvm/securitygroup)。
2) 单击指定安全组 ID，选择入/出规则，在源/目的，端口协议内选择对应的参数模板。
