## 简介
参数模板是一组参数的集合，支持IP地址和协议端口两类，可被安全组规则引用，主要用于统一管理安全组规则的IP 或 协议端口组。

参数模板类型：
- IP地址：支持单个IP、CIDR、IP范围。
- IP地址组：多个IP地址对象集合。
- 协议端口：支持单个端口、多个端口、连续端口及所有端口，协议支持：TCP、UDP、ICMP、GRE协议。
- 协议端口组：多个协议端口对象集合。

> 该产品目前处于灰度过程中，如需试用，请提工单申请。


## 使用场景
参数模板主要用于统一管理IP / 协议端口，常用场景如下：
1、统一管理具有**相同**诉求的IP/协议端口组
2、统一管理具有**频繁编辑**诉求的IP/协议端口组
例如：某银行只允许第三方以指定公网IP访问某些云主机。
step1：创建一个IP地址对象，将指定公网IP加入该IP地址对象中。
step2：在这些云主机绑定的安全组上增加一条规则，允许源地址为该IP地址对象的访问。
step3：如果需要增加新的第三方公网IP时，只需往该IP地址组中增加IP即可，无需修改安全组规则或者新建安全组。

如果不使用参数模板功能，则需要重复多次编辑安全组规则，管理麻烦，易遗留、易出错。


## 使用约束
配额如下表所示，您还可以查看 VPC 其它产品的[使用约束](https://cloud.tencent.com/document/product/215/537)。

| 实例 | 配额 | 
|---------|---------|
| IP地址 | 每个租户上限1000 |
| IP地址组 |每个租户上限1000|
| 协议端口 | 每个租户上限1000 |
| 协议端口组 |每个租户上限1000 |
| IP地址组内的IP地址对象 | 每个租户上限20 |
| 协议端口组内的协议端口对象 | 每个租户上限20  |

>注：参数模板可被安全组引用，其功能类似于把参数模板展开成多条安全组规则，展开后，每个安全组规则条目数不能超过512。

## 计费模式
免费，有关私有网络服务的更多价格信息，可以查看[私有网络价格总览](https://cloud.tencent.com/document/product/215/3079)。


## 操作指南
### 创建IP地址
1) 登录腾讯云控制台点击导航条[【私有网络】](https://console.cloud.tencent.com/vpc/vpc?rid=1)，进入私有网络控制台，选择【安全】-【参数模板】-【IP地址】
2) 点击新建填写IP地址。
3) 点击完成，即可完成创建。

### 创建端口协议
1) 登录腾讯云控制台点击导航条[【私有网络】](https://console.cloud.tencent.com/vpc/vpc?rid=1)，进入私有网络控制台，选择【安全】-【参数模板】-【端口协议】
2) 点击新建填写端口协议。
3) 点击完成，即可完成创建。

### 在安全组中引用参数模板
1) 打开云服务器CVM控制台-选择[【安全组】](https://console.cloud.tencent.com/cvm/securitygroup)。
2) 点击指定安全组ID，选择入/出规则，在源/目的，端口协议内选择对应的参数模板。
