弹性网卡是一种虚拟的网络接口，您可以将云主机绑定弹性网卡接入网络。弹性网卡在配置管理网络、搭建高可靠网络方案时有较大帮助。

弹性网卡具有私有网络、可用区和子网属性，只可以绑定相同可用区下的云服务器。一台云服务器可以绑定多个弹性网卡，具体绑定数量将根据主机规格而定。

## 基本信息

弹性网卡主要具有以下关联信息：

1.主网卡 或 辅助网卡：私有网络的云主机创建时联动创建的网卡为主网卡，用户自行创建的网卡为辅助网卡，其中主网卡不支持绑定和解绑，辅助网卡支持绑定解绑。

2.主内网 IP：弹性网卡的主要内网 IP，在弹性网卡创建时由系统随机分配或用户自行制定，主网卡的主内网 IP 支持修改，辅助网卡的主内网 IP 不支持修改。

3.辅助内网 IP：弹性网卡主 IP 以外绑定的辅助内网 IP，由用户在创建弹性网卡或编辑弹性网卡时自行配置，支持绑定和解绑。

4.弹性公网 IP：与弹性网卡上的内网 IP一一绑定。

5.安全组：弹性网卡可以绑定一个或多个安全组。

6.MAC 地址：弹性网卡有全局唯一的 MAC 地址。


## 使用约束

根据 CPU 和内存配置不同，云服务器可以绑定的弹性网卡数和单网卡绑定内网 IP 数有较大不同，网卡和单网卡 IP 配额数如下表所示，您还可以查看 [VPC 其它产品的使用约束](https://cloud.tencent.com/doc/product/215/537)。

| 云主机配置               | 弹性网卡数 | 网卡绑定 IP 数 |
| ------------------- | :---- | :------ |
| CPU: 1 核   内存: 1G    | 2     | 2       |
| CPU: 1 核   内存: >1G   | 2     | 6       |
| CPU: 2 核             | 2     | 10      |
| CPU: 4 核   内存: < 16G | 4     | 10      |
| CPU: 4 核   内存: > 16G | 4     | 20      |
| CPU: 8~12 核          | 6     | 20      |
| CPU: >12 核           | 8     | 30      |

## 计费方式
免费，有关私有网络服务的更多价格信息，可以查看[私有网络价格总览](https://cloud.tencent.com/doc/product/215/3079)。

## 操作指南

### 私有网络与云主机的路由及安全配置

新创建的弹性网卡绑定云主机后不会立即生效，您需要合理配置云主机和私有网络的路由表，才可以实现预期的网络流量分配。以示意图为例：

云主机绑定了两个网卡，其中 eth0 为主网卡，eth1 为辅助网卡，分别位于 ``10.0.1.0/24`` 的 subnet A 和 ``10.0.2.0/24`` subnet B 中。其中 subnet A  定位 Internet 联网的子网，subnet B 只和 subnet C 进行内网流量互访。
<div style="text-align:center">
![](//mc.qcloudimg.com/static/img/17d751e1f63fcffb4c09a44fe832e176/image.png)

</div>
**场景1：``10.0.1.1`` 主动访问 Internet**

a）查询云主机内路由表，和默认路由匹配走 eni0。

b）查询 eni0 所在子网 subnet A 的路由表，路由匹配 natgw-001，通过 NAT 网关访问 Internet。

c）Internet 回包通过 natgw-001 回包至 eni0，回到云主机。

**场景2  ``10.0.2.1`` 主动访问 internet**

a）查询云主机内路由表，和默认路由匹配走 eni0。

b）查询 eni0 所在子网 subnet A 的路由表，路由匹配 natgw-001，通过 NAT 网关访问 Internet。

c）回包检查目的 IP 在 eni1 中，则网络包通过 eni1 回到云主机。（出入不在一个网卡）

此场景下，由于路由出入不在相同网卡下，在 CVM 开启 rp_filter 校验时（检测出入网络包是否来自相同网卡的机制），此网络包将丢包，出现ping不通的情况。不建议按照场景2来配置网络，如果一定要使用可以关闭云主机内的 rp_filter 校验。

**安全组的作用**

由于安全组是与网卡绑定，eni0 中主动访问 Internet 的流量需要经过 eni0 所绑定的安全组出站过滤，回包会优先检测安全组的状态，如果已经有状态会直接绕过安全组的入站检测。

**网络 ACL 的作用**

网络 ACL 与子网相绑定，且为无状态检测。出入站流量都将根据源 IP 和目的 IP 的所在子网绑定的网络 ACL 进行检测。虽然在场景 2 中出入包不在相同子网，但是出站源 IP 和入站目的 IP 都是 ``10.0.2.1``，因而仅校验此 IP 所在子网的网络 ACL 配置。

### 查看弹性网卡

1)打开 [私有网络VPC控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)点击弹性网卡的【实例 ID】，进入弹性网卡详情页查看弹性网卡信息。

### 创建弹性网卡

1)打开 [私有网络VPC控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)点击左上角【创建】，在弹窗中选择弹性网卡的所在私有网络、子网。

4)选择弹性网卡分配的内网 IP 数（支持指定内网 IP）。

4)点击【确认】，完成弹性网卡的创建。

### 绑定云主机

1)打开 [私有网络 VPC 控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)找到弹性网卡所在行，点击操作栏中的【绑定云主机】（仅支持绑定和弹性网卡相同可用区的云主机）。

4)选择需要绑定的云主机，点击【确定】完成弹性网卡的绑定。

注意：弹性网卡在控制台绑定后，需要在云主机内进行配置后才可正常使用。

### 云主机内弹性网卡的配置（以 centos 7.2 为例）

云主机弹性网卡的配置主要分为以下几个步骤：

**1)查询云主机挂载的弹性网卡**

```
ip addr
```

**2)启动新绑定弹性网卡**

```
ip link set eth1 up
```

>注：eth1 指新挂载的网卡在云主机内编号，您可以通过 mac 地址对网卡进行进行辨识

**3)配置新绑定的弹性网卡的内网 IP**

```
ip addr add 10.0.3.133/24 dev eth1
```

>注1：``10.0.3.133/24`` 中 IP 为弹性网卡要绑定的内网 IP，掩码为弹性网卡所在子网的 CIDR 掩码。

>注2：eth1 为新挂载的网卡在云主机内编号。

**4)配置云主机内的路由表（重要）**

```
route add -net 192.168.0.0/16 dev eth1
```

>注1：``192.168.0.0/16`` 为新绑定网卡所配置的路由目的端，eth1 指该路由指向的下一跳网卡。

>注2：以上的网络配置在云主机重启后将失效，您可以通过修改云主机内网络配置文件来完成配置更改，修改网络配置文件方式需要重启网卡后生效。

>注3：云主机配置路由表配置错误，可能导致云主机网络不通，请参考上文的[私有网络和云主机的路由和安全配置说明](https://cloud.tencent.com/document/product/215/6513#.E7.A7.81.E6.9C.89.E7.BD.91.E7.BB.9C.E4.B8.8E.E4.BA.91.E4.B8.BB.E6.9C.BA.E7.9A.84.E8.B7.AF.E7.94.B1.E5.8F.8A.E5.AE.89.E5.85.A8.E9.85.8D.E7.BD.AE)。

### 分配内网 IP（ Qcloud 控制台）

1)打开 [私有网络 VPC 控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)点击弹性网卡的【实例 ID】，进入弹性网卡详情页查看弹性网卡信息。

4)点击【IP 管理标签页】，查看弹性网卡上已绑定的内网 IP 和弹性公网 IP。

5)点击【分配内网 IP】按钮，弹窗展示“分配内网 IP”窗口。

6)您可以选择“自动分配”或“手动填写”内网 IP。

7)您可以点击【新增】按钮在“分配内网 IP”窗口为弹性网卡分配多个 IP。

8)点击【完成】按钮，完成控制台分配内网 IP 操作。

>注：内网 IP 还需在云服务器内配置后才正式生效。



### 分配内网 IP（云服务器系统内）

您可以通过两种方式在云服务器内配置内网 IP，这里以 centos 7.2 为例示范配置过程。

**方式一**

1)以管理员身份登录云服务器。

2)执行命令

`ip addr add [ip/mask] dev [ifname]` 

示例：云服务器的网卡 eth0 上需要新增子网 ``192.168.0.0/24`` 内的 IP ``192.168.0.5``，则只需执行命令

 `ip addr add 192.168.0.5/24 dev eth0`

3)内网 IP 配置完成。

>注：此种方式配置的内网 IP 仅写在云服务器系统内存中，云服务器重启后内网 IP 配置将失效，需要重新配置。

****方式二****

1)以管理员身份登录云服务器。

2)执行以下命令

`cd /etc/sysconfig/network-scripts/`

`ls`

3)在列表中找到网卡名称，以腾讯云 centos 7.2 云服务器为例，需要在名称为 ifcfg-eth0 的网卡中绑定内网 IP，因而执行命令用 vim 打开该网卡配置文件

`vim ifcfg-eth0`

系统原配置文件为：

`DEVICE='eth0'`

`NM_CONTROLLED='yes'`

`ONBOOT='yes'`

`IPADDR='192.168.0.3'`

`NETMASK='255.255.255.0'`

`GATEWAY='192.168.0.1'`

修改为：

`DEVICE='eth0'`

`NM_CONTROLLED='yes'`

`ONBOOT='yes'`

` `

`IPADDR0='192.168.0.3'`


`NETMASK0='255.255.255.0'`


`GATEWAY0='192.168.0.1'`

` `

`IPADDR1='192.168.0.5'`


`NETMASK1='255.255.255.0'`


`GATEWAY1='192.168.0.1'`

` `

修改后保存配置文件，并退出 vim。

4)重启网卡

`systemctl restart network`

检查 eth0 网卡是否已经加入了 IP 地址

`ip addr`

5)完成内网 IP 绑定。

>注：此种方式配置的内网 IP 在云服务器重启后依旧生效，但是如果为此云服务器制作自定义镜像后，使用此镜像创建的其他云服务器内网 IP 需要自行更新配置。

### 释放内网 IP

1)打开 [私有网络 VPC 控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)点击弹性网卡的【实例 ID】，进入弹性网卡详情页查看弹性网卡信息。

4)点击【IP 管理标签页】，查看弹性网卡上已绑定的内网 IP 和弹性公网 IP。

5)点击内网 IP 所在行操作栏的【释放】按钮。

6)点击【确认】完成操作。

>注1：弹性网卡的主 IP 不支持释放，仅辅助 IP 支持释放。

>注2：内网 IP 解绑后，将自动解关联弹性公网 IP。

### 解绑云主机

1)打开 [私有网络 VPC 控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)找到弹性网卡所在行，点击操作栏中的【解绑云主机】。

4)点击【确认】，完成弹性网卡的解绑。

>**Tips：**弹性网卡解绑后，将保留其关联的内网 IP、弹性公网 IP、安全组等信息。

### 删除弹性网卡

1)打开 [私有网络 VPC 控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)找到弹性网卡所在行，点击操作栏中的【删除】。

4)点击【确认】，完成弹性网卡的删除。

>注1：弹性网卡删除后，将自动解关联内网 IP、弹性公网 IP 和安全组。

>注2：您只可以删除未关联云主机的弹性网卡。

>注3：主网卡将在云主机删除后一同删除。

### 绑定弹性公网 IP

1)打开 [私有网络 VPC 控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)点击弹性网卡的【实例 ID】，进入弹性网卡详情页查看弹性网卡信息。

4)点击【IP 管理标签页】，查看弹性网卡上已绑定的内网 IP。

5)点击内网 IP 所在行已绑定弹性公网 IP 列的【绑定】按钮。

6)在弹窗内选择绑定【已有弹性 IP】列表中的 IP 或【新建弹性 IP】。

7)点击【确认】按钮，完成弹性 IP 绑定。

### 解绑弹性公网 IP

1)打开 [私有网络 VPC 控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)点击弹性网卡的【实例 ID】，进入弹性网卡详情页查看弹性网卡信息。

4)点击【IP 管理标签页】，查看弹性网卡上已绑定的内网 IP 和弹性公网 IP。

5)点击内网 IP 所在行已绑定弹性公网 IP 列的【解绑】按钮。

6)点击【确认】按钮，完成弹性公网 IP 解绑。

### 修改主内网 IP

1)打开 [私有网络 VPC 控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)点击弹性网卡的【实例 ID】，进入弹性网卡详情页查看弹性网卡信息。

4)点击【IP 管理标签页】，查看弹性网卡上绑定的主内网 IP。

5)点击主内网 IP 所在行操作列的【修改主 IP】按钮。

6)在弹窗内输入新的主内网 IP，点击【确认】完成修改。

### 修改弹性网卡所属子网

1)打开 [私有网络 VPC 控制台](https://console.cloud.tencent.com/vpc) 。

2)点击左边栏【弹性网卡】，进入弹性网卡列表页。

3)点击弹性网卡的【实例 ID】，进入弹性网卡详情页。

4)在弹性网卡详情页的基本信息页面中，点击所属子网的【更换】按钮。

5)在弹窗中选择弹性网卡需要更换的子网，并指定新的主IP。

6)点击【保存】按钮，完成弹性网卡的所属子网更换。

>注1：只有主网卡可以修改所属子网。

>注2：弹性网卡更改所属子网前，请先解绑所有辅助 IP。

>注3：弹性网卡更改所属子网只可以修改为同可用区下的其他子网。

## API 概览
弹性网卡功能 API 概览如下表所示，有关 VPC 内其他资源的更多内容，可以查看[ VPC 所有 API 概览](https://cloud.tencent.com/doc/api/245/909)。


| 接口功能 | Action ID |  功能描述 |
|---------|---------|---------|
| 创建弹性网卡 | [CreateNetworkInterface](https://cloud.tencent.com/doc/api/245/4811) |  创建弹性网卡 |
| 删除弹性网卡 | [DeleteNetworkInterface](https://cloud.tencent.com/doc/api/245/4813) |  删除弹性网卡 |
| 查询弹性网卡信息 | [DescribeNetworkInterfaces](https://cloud.tencent.com/doc/api/245/4814) | 查询弹性网卡信息 |
| 弹性网卡申请内网 Ip | [AssignPrivateIpAddresses](https://cloud.tencent.com/doc/api/245/4817) | 弹性网卡申请内网 IP |
| 弹性网卡退还内网 IP | [UnassignPrivateIpAddresses](https://cloud.tencent.com/doc/api/245/4819) | 弹性网卡退还内网 IP |
| 弹性网卡绑定云主机 | [AttachNetworkInterface](https://cloud.tencent.com/doc/api/245/4820) | 弹性网卡绑定云主机 |
| 弹性网卡解绑云主机 | [DetachNetworkInterface](https://cloud.tencent.com/document/product/215/4822) | 弹性网卡解绑云主机 |
