## 1. 创建私有网络及初始子网
一个私有网络可以包含多个子网，您需要同时创建私有网络和子网后才可以向私有网络的子网内添加云服务资源。

您可以在控制台创建私有网络，创建时需要同步创建初始子网，以方便您向私有网络内添加云服务资源。

登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】，在私有网络控制台选择您想要创建私有网络的地域，然后点击【新建】创建私有网络。
![](//mccdn.qcloud.com/img567f9faf86cdc.png)

新建私有网络要求您指定私有网络和子网的CIDR网段，同时确定子网所在可用区，我们建议您创建时为私有网络和子网留出足够的IP资源以防业务扩容导致网络资源不足。

**关于CIDR** 

CIDR由用户指定的独立网络空间地址块，通过IP和掩码结合，实现对网络的整体划分。以10.1.0.0/16为例，斜杠左边为网络块的IP，斜杠右边为网络块的掩码。通过设定掩码的大小，可以调整网络块的大小设定。网络块包括的IP数 = 2^(32-掩码)，因而10.1.0.0/16网络块最多包含65536个IP地址。 

私有网络的掩码支持/28至/16之间，也就是您的私有网络空间最少包含16、最大包含65536个IP地址。 

私有网络支持三个网段的内网IP：10.a.0.0/8（a属于0~255）、172.b.0.0/16（b属于16到31）、192.168.0.0/16 。私有网络的CIDR可以为以上三个网段，或者是网段中的一部分。 

## 2. 新增子网
子网是对私有网络的划分，您需要先创建私有网络后，才可以在私有网络中划分子网。

登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】，在私有网络控制台选择【子网】选项卡，点击【新建】创建子网。

![](//mccdn.qcloud.com/img567fa0e851555.png)

- 私有网络可以有多个子网，每个子网的网络块均为私有网络的子集，且多个子网的CIDR网络块不可以重叠。
- 子网有可用区属性，同一子网内的云主机只能属于子网标记的可用区。
- 每个子网关联一个路由表，通过设定路由表可以指定子网的网络路由。