**Welcome to Tencent Cloud Cross-region Connection Service!**

**To use Tencent Cloud Cross-region Connection Service (hereinafter referred to as "Service"), you must read and abide by Tencent Cloud Cross-region Connection Service Agreement (hereinafter referred to as "Agreement"). Please make sure to carefully read and fully understand the terms and conditions herein, especially the restrictive or liability exemption terms, as well as any separate agreement or rules on the activation or use of a certain service. Restrictive or liability exemption terms may be highlighted in bold or with underlines for your attention.**

**Only after you have read and accepted all the terms and conditions of this Agreement as well as related agreements and rules can you use the Service. You agree to be subject to the terms and conditions of this Agreement as well as related agreements and rules by selecting "I have read the agreement" to go to the creation process or using the Service in any manner.**

**In the event of your violation of this Agreement, in any manner or by any means whatsoever, Tencent Cloud has the right to unilaterally take actions to restrict, suspend or terminate the provision of this Service to you depending on the severity of your violation, and to hold you liable for such violation.**

## 1. Definition of Service
The "Service" herein refers to the Tencent Cloud Cross-region Connection Service as well as related technical and network support services.

## 2. Service Fee
The billing method and standard (in RMB) are subject to the price published on Tencent Cloud official website, unless otherwise agreed by both parties.

### 3. Customer's Rights and Obligations
3.1 You have the right to use the Service you purchase as well as the technical support and after-sales services provided by Tencent Cloud in accordance with this Agreement.

3.2 During the use of the Service, you shall abide by any applicable laws or regulations, and maintain the order and security of the Internet, and shall not engage in or facilitate any activity in violation of such laws or regulations, including but not limited to the following activities: 
- Any Illegal activities involving lottery, gambling, "private server", "plug-in", etc.;
- Fraud or false or misleading behaviors or any behavior that infringes on any legitimate rights and interests of others such as intellectual property right;
- Release and dissemination of SPAM or reactionary, superstitious, obscene, pornographic, vulgar contents or illegal information;
- Any activities in violation of the operational rules of network, device or service linked with Tencent Cloud network;
- **Any activities that take up much of the cross-region connection resources and result in a heavy and unreasonable load on Tencent Cloud cross-region connection products or other users, or prevent Tencent Cloud network from running normally;**
- Any illegal or unauthorized interception, theft, interference or surveillance;
- Any activities that undermine or attempt to undermine the network security, including but not limited to malicious scanning over website and server, intrusion into a system and illegal acquisition of data by means of viruses, Trojan-horse programs, malicious codes, phishing and other methods;
- Any activities that change or attempt to change the system configuration provided by Tencent Cloud Cross-Region Connection Service or that compromise the system security;
- Any activities that prevent or disrupt the operation of Tencent Cloud Cross-region Connection Service or the use of such service by others by technical or other means;
- Any activities that disturb or attempt to disturb the normal operation of any of Tencent Cloud products, services and features in any way, or creation, release, dissemination of any tools and methods for such purposes;
- Any activities (including but not limited to "DNS resolution, "security service", "domain reselling" reverse proxy") that lead to frequent exposure of your business to such attacks as DDoS attack and affect Tencent Cloud service platform or others due to your failure to correct such activities in a timely manner or eliminate the effect of such activities as required by Tencent Cloud.


You shall not install or use any pirated software on Tencent Cloud service, and shall take effective measures to protect the security of your computer information system according to applicable national regulations, including but not limited to the installation of approved products specially designed for the security of computer information system.

You shall make payments on time. In the event of a late payment for a post-payment service, in addition to the fees due under the Agreement, you shall be liable to pay a late penalty to Tencent Cloud at a rate equal to 0.3% per day on the unpaid amount from the time due until the time the full outstanding amount including the penalty is paid. If you fail to make such payment within 15 days after the payment becomes due under this Agreement, Tencent Cloud has the right to unilaterally terminate this Agreement. If you have purchased pre-payment service at the same time, the paid amount for the unused service period will be owned by Tencent Cloud as such late penalty.

## 4. Tencent Cloud's Rights and Obligations

4.1 Tencent Cloud shall provide you with Tencent Cloud services and after-sale support according to this Agreement.

4.2 Tencent Cloud is only responsible for the operation and maintenance of Tencent Cloud services. It is your responsibility to ensure the security and stability of your network and devices. In the event of any of the following situations, you shall deal with the problem immediately and avoid the effect of such problem on Tencent Cloud services:
- Any problem with your internal network, including but not limited to overload;
- A failure of your self-owned device or a third-party device;
- Network interruption caused by your detach of devices or other operations without the content of Tencent Cloud;
- Any failure or network interruption on account of you.

4.3 If Tencent Cloud finds by itself or based on the information provided by competent authorities and the complaint filed by any right owner that you have violated any applicable laws or regulations or this Agreement, Tencent Cloud has the right to unilaterally take one or more of the following actions at its discretion:
- Request you to remove or modify any violating content immediately;
- Directly remove or block any violating content or disconnect the link;
- Restrict or suspend the provision of Tencent Cloud services to you (including but not limited to directly making some of your services offline and taking back related resources, setting restrictions on the operations of your Tencent Cloud account);
- In serious cases, Tencent Cloud has the right to terminate the provision of Tencent Cloud services to you or terminate this Agreement (including but not limited to directly making all of your services offline and taking back related resources). The amount paid by you for the unused service period will be owned by Tencent Cloud as the liquidated damages paid by you for the breach of the Agreement.

4.4 Tencent Cloud has the right to transfer the rights and obligations under this Agreement to a third party, in part or in whole, by giving a prior written notice of at least 90 days to you. Both parties agree to sign all the reasonably necessary documents and take all the reasonably necessary measures to bring this provision into effect.

