## 私有网络
私有网络（Virtual Private Cloud）能帮助您在腾讯云构建出独立的网络空间，与您在数据中心运行的传统网络极其相似，但是托管在腾讯云私有网络内的是您在腾讯云上的服务资源，包括：[云主机](https://cloud.tencent.com/doc/product/213/495)、[负载均衡](https://cloud.tencent.com/doc/product/214/524)、[云数据库](https://cloud.tencent.com/doc/product/236)等云服务资源。腾讯云私有网络为您提供以下功能：
- 通过控制台和 API 自定义网段划分、IP地址、路由策略等
- 通过[弹性 IP ](https://cloud.tencent.com/doc/product/213/1941)、[NAT 网关](https://cloud.tencent.com/doc/product/215/4975)和[公网网关](https://cloud.tencent.com/doc/product/215/4972)等灵活访问 Internet
- 通过[ VPN ](https://cloud.tencent.com/doc/product/215/4956)和[专线接入](https://cloud.tencent.com/doc/product/215/4976)将私有网络与您的数据中心连通
- 通过[对等连接](https://cloud.tencent.com/doc/product/215/5000)服务可实现全球同服和两地三中心容灾
- 通过基础网络互通，使得基础网络内主机可以和私有网络内主机通过内网通信
- 通过[安全组](https://cloud.tencent.com/doc/product/213/500)和[网络 ACL](https://cloud.tencent.com/doc/product/215/5132) 可以多维度、全方位的满足您的网络安全需求。

用户在创建 VPC 时，需要以无类域间路由（CIDR）块（例如 10.0.0.0/16）的形式为 VPC 指定 IP 地址组。私有网络有地域属性，比如VPC A 处于华南地区（广州），用户无法跨地域创建 VPC 。

## 子网
子网是 VPC 内的 IP 地址块，私有网络中的所有云资源都必须部署在子网内。子网具有可用区属性，如下图所示，在创建 VPC后，您可以在私有网络所属地域下的每个可用区中添加子网。可用区设计目的是隔离其他可用区的故障，通过启动独立可用区内的实例，您可以保护您的应用程序不受单一位置故障的影响。
![](//mccdn.qcloud.com/static/img/ed30d5720e70a9f25510216526c1c342/image.png)

## 私有网络的IP地址
您可以通过指定CIDR（无类别域间路由）实现对私有网络和子网整体 IP 划分，腾讯云私有网络中使用的IP地址分为三类：
- **内网IP地址**，是 VPC 内的实例必须指配的IP地址，用于 VPC 中实例之间的通信，无法用于 Internet 通信。
- **公网IP地址**，是用于 Internet 访问的 IP 地址，并可用于实例与 Internet 之间或与其他具有公共终端节点的腾讯云资源（如 CDB 等）之间的通信。
- **[弹性IP（EIP）](https://cloud.tencent.com/doc/product/213/1941)**，是可以独立申请的公网 IP 地址，支持与 CVM/NAT 网关实例的动态绑定和解绑。

## CIDR
CIDR（无类别域间路由，Classless Inter-Domain Routing）是由用户指定的独立网络空间地址块，通过IP和掩码结合，实现对网络的整体划分。以 `10.1.0.0/16` 为例，斜杠左边为网络块的IP，斜杠右边为网络块的掩码。通过设定掩码的大小就可以调整网络块的大小。网络块包括的IP数 = 2^(32-掩码)，因而 `10.1.0.0/16` 网络块最多包含65536个IP地址。

在规划CIDR时需要注意：
- 私有网络在创建时候必须指定 CIDR，创建后不可修改。
- 子网的 CIDR 必须是所在私有网络 CIDR 的一部分。
- 目前私有网络支持三个网段的内网IP：10.a.0.0/8（a属于0至255）、172.b.0.0/16（b属于0至31）、192.168.0.0/16 。私有网络的CIDR可以为以上三个网段，或者是网段中的一部分。
- 目前，私有网络 CIDR 的掩码支持/28至/16之间，亦即私有网络空间最少包含16个、最大包含65536个 IP 地址。
- 建立对等连接的私有网络之间的CIDR不能重叠。
- 基础网络互通服务仅支持10.[0~47].0.0/16及其子集的私有网络。
- VPN连接中每条SPD策略对应一个本端网段（私有网络网段）和对端网段（您的IDC网段），本段网段和对端网段不能重叠。

## 广播和组播
广播&组播是一对多的通信方式，通过单点到多点的高效数据传送，可以为企业极大节约网络带宽、降低网络负载。
广播：腾讯云支持子网维度的广播。
组播：腾讯云支持私有网络维度的组播。
该功能处于内测阶段，如有需要，欢迎提[工单申请](https://console.cloud.tencent.com/workorder/category/create?level1_id=6&level2_id=168&level1_name=%E8%AE%A1%E7%AE%97%E4%B8%8E%E7%BD%91%E7%BB%9C&level2_name=%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%20VPC)。

## 地域（Region）
腾讯云托管机房分布在全球多个位置，这些节点都由地域（region）和可用区（zone）构成。
创建私有网络时需要选择地域，创建子网时需要选择可用区，且子网必须选择在私有网络所在地域内的可用区。

地域命名采取【覆盖范围＋机房所在城市】的结构。前半段表示该机房的覆盖能力，后半段表示该机房所在或临近的城市；

**关于地域您需要了解：**
- 购买云服务时建议选择最靠近您客户的地域，可降低访问时延。
- 处在同一地域的云服务产品之间通过内网互通（不同用户间的云资源默认隔离）。
- 处在不同地域的云服务产品之间内网默认不能互通，如：云服务器不支持跨地域内网互访，不支持跨地域访问云数据库，云缓存Memcached。
- 负载均衡服务绑定服务器时，只能选择绑定本地域的云服务器。
- 腾讯云私有网络服务的地域可用性如下表所示，空白表示支持，X表示不支持。在部署您的应用程序前，请确保您可在该区域或可用区中创建需要的资源。

| 地域 |私有网络（子网） | 同地域对等连接 | 跨地域对等连接 |基础网络互通|NAT网关|公网网关|VPN网关|专线网关|
|---------|---------|---------| ---------|---------|---------| ---------|---------|---------|
| 华南地区（广州）| ||||||||
| 华南地区（广州Open）|||　　×||　　×||　　×|　　×|
|华南地区（深圳金融）|||||||||
|华东地区（上海）|||||||||
|华东地区（上海金融）|||||||||
|华北地区（北京）|||||||||
|西南地区（成都）|||||||||
|东南亚地区（香港）|||||||||
|东南亚地区（新加坡）||||||||　　|
|北美地区（多伦多）||||||||　　|
|美西地区（硅谷）|||||||| |
|欧洲地区（法兰克福）||||||||　　|

>注：
- 空白表示支持，X表示不支持。
- 更多问题请咨询商务。


## 可用区（Zone）
可用区是同一地域下电力和网络互相独立的物理区域（一般是一个物理机房），命名采用【城市+编号】的结构。例如，如下图所示，地域华南地区（广州）下有两个可用区：广州一区和广州二区。
![](//mccdn.qcloud.com/static/img/1e3fefd8da993577229ea4df2a34d559/image.png)

可用区的设计目标是保证不同可用区间故障相互隔离（大型灾害或者大型电力故障除外），不出现故障扩散，使得用户的业务持续在线服务。对于大型应用而言容灾是业务可用性的重要保障，多机房部署是容灾的通用做法；对于普通用户而言，多机房部署本是奢侈的投资，但腾讯云的多可用区设计让每个客户在不增加额外成本、运维复杂度的同时实现业务多机房容灾部署。

例如，如下图所示，您在可用区一和二部署了同样的业务，可用区1发生电力故障不会影响到可用2的服务，从而给您提供稳定高可用的服务。
![](//mccdn.qcloud.com/static/img/764997fbfa7359bb8c384f460f89be57/image.png)

- 容灾型架构：当您的业务需要更高可用性时，跨可用区的多机房部署在保证低延时的同时为用户提供了高容灾保障。例如：可以分别在广州一区和广州二区购买云服务器，单可用区故障不会影响其他可用区云服务的正常运行。
- 低延时架构：若应用内部更注重低网络时延，则可以将业务部署在同一个可用区中。
![](//mccdn.qcloud.com/static/img/756eac365c1a43c81a95abe976979ca7/image.png)

点击查看腾讯云私有网络支持的[地域和可用区列表](https://cloud.tencent.com/document/product/213/6091)
	
关于可用区您需要注意的是：
- 在同一地域内可用区与可用区之间内网互通，同一可用区内网络延时更小。
- 已购买的云服务资源和网络不支持可用区的更换。


## 使用约束
 关于私有网络、子网您需要注意的是：
- 私有网络有地域属性，支持在同地域内多个可用区之间部署。
- 私有网络创建后无法更改大小，如果需要您可以删除当前 VPC 并重新创建一个私有网络。
- 私有网络支持组播，子网支持广播，灰度中，欢迎提工单申请。
- 私有网络可以包含多个子网，每个子网的网络块均为私有网络CIDR的子集，多个子网的CIDR网络块不可以重叠。
- 子网有可用区属性，不支持跨可用区部署，且子网的可用区只能是其私有网络地域下的可用区，子网中的云主机需与子网在同一个可用区。
- 新建私有网络和子网时候需指定 CIDR 且创建后无法更改，我们建议您创建时为私有网络和子网留出足够的IP资源以防业务扩容导致网络资源不足。
- 腾讯云保留了各个子网的前面两个 IP 地址和最后一个 IP 地址，以作 IP 联网之用。
- 用户需要先创建好私有网络并划分子网后才可以在私有网络部署云服务资源，比如云主机和数据库等。
- 私有网络中添加云主机时，系统会在指定子网内为该实例默认随机分配一个内网 IP，用户可以在子机创建后重新指定每台云主机的内网 IP。
- 云服务器一旦选择了私有网络便不可变更，但支持在私有网络内更换子网。
- 云服务器更改私有网络的内网 IP 地址会导致主机重启，耗时会有一定差异，一般在两分钟左右。
- 私有网络内一台云服务器只能绑定一个内网 IP 和一个公网 IP
- 每个子网必须关联一个[路由表](https://cloud.tencent.com/doc/product/215/4954)，通过设定路由表可以指定子网的网络路由。


下表是关于私有网络和子网在个数方面的约束：

| 资源| 限制（个） |
|---------|---------|
| 同一地域内私有网络个数 | 5	 | 
| 每个私有网络内的子网数 | 10 | 
| 子网大小下限 | /28（或 14 个 IP 地址）|
| 每个私有网络内的路由表个数 | 10	 | 
| 每个子网关联路由表个数 | 1	 | 

有关更多信息可以点击查看[私有网络其它产品的使用约束](https://cloud.tencent.com/document/product/215/537)。

## 计费方式

** 免费产品**：
- 私有网络、子网、路由表、网络ACL、安全组的使用免费。
- 内网通信免费。即不同子网中实例间通信不需要支持带宽费用。
- 云服务在私有网络中价格与基础网络中保持一致，不额外收取费用。如云主机、云数据库等。

** 收费产品**：
- 使用公网\专线的通信收费，[点击查看公网通信收费详情](https://cloud.tencent.com/doc/product/213/509)。
- 跨地域对等连接、VPN网关、NAT网关收费，[点击查看收费详情](https://cloud.tencent.com/doc/product/215/3079)。

## 操作指南
### 创建私有网络、初始化子网和路由表
私有网络至少包含一个子网，只有在子网中才可以添加云服务资源。

1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)。
2)	选择一个列表上方下拉框中的地域，点击【新建】在此地域下创建私有网络。
3)	填写私有网络和子网的名称和[CIDR（点击查看CIDR规划的约束）](https://cloud.tencent.com/doc/product/215/4927#cidr)，并选择子网的可用区。
4)	点击【创建】即可完成私有网络及子网的创建。


### 新增子网
用户可以同时创建一个或多个子网。

1)	点击[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)左导航栏中的【子网】。
2)	选择需要创建子网的地域和私有网络。
3)	点击【新建】，填写子网络名称、CIDR、可用区和关联路由表。
4)	（可选）点击【新增一行】，可以同时创建多个子网。
5)	点击【创建】按钮完成子网创建。

### 关联子网和路由表
每个子网都必须关联一个[路由表](https://cloud.tencent.com/doc/product/215/4954)，用来指定子网的出站路由，您可以实时更改子网关联的路由表。如果需要新建路由表则可以参考[创建路由表](https://cloud.tencent.com/doc/product/215/4954#.E5.88.9B.E5.BB.BA.E8.87.AA.E5.AE.9A.E4.B9.89.E8.B7.AF.E7.94.B1.E8.A1.A8)。

1)	进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)选择左导航栏中的【子网】。
2)	鼠标移动到需要修改的【子网】一行，选择操作中的【更换路由表】。
3)	点击【保存】按钮即可完成子网与路由表的关联。


### 向子网中添加云主机
1)  进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)选择左导航栏中的【子网】。
2)  在需要添加云主机的子网所在行，点击增加云主机图标。

或者您可以：

1)	在[CVM介绍页](https://cloud.tencent.com/product/cvm.html)，点击立即选购按钮。
2)	在第三步，选择存储与网络，选择需要对应的私有网络和子网。

### 查看私有网络内的所有资源

1)	点击[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)左导航栏中的【私有网络】。
2)	在列表上方，选择需要查看的私有网络所在地域。
3)  点击私有网络ID，进入详情页，即可查看私有网络内的所有资源。

### 修改云主机内网IP
云主机主网卡的主内网IP支持修改，辅助网卡的主内网IP不支持修改，操作步骤如下：
1)  进入[云服务器控制台](https://console.cloud.tencent.com/cvm/)，点击左导航栏的云主机，进入云主机列表页。
2)  点击云主机ID，进入云主机详情页，点击上方tab：弹性网卡。
3)  点击修改主IP。
4)  填入新的IP，并保存即可。
![](https://mc.qcloudimg.com/static/img/9c08d3a7ead4707abd6315e2a092184b/A%7D%257Q%25R3C5QDOR%24JM%25I3U%28D.png)

您也可以在弹性网卡详情页修改主内网IP，点击查看[操作详情](https://cloud.tencent.com/doc/product/215/6513#.E4.BF.AE.E6.94.B9.E4.B8.BB.E5.86.85.E7.BD.91ip)。

### 删除私有网络
删除私有网络的前提条件是：私有网络内的IP没有被占用，同时私有网络内没有资源（例如：子网、NAT网关等）。

1)	点击[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)左导航栏中的【私有网络】。
2)	在列表上方，选择需要删除的私有网络所在地域。
3)	选择需要删除的私有网络所在列，点击操作列的【删除】。


### 删除子网
删除子网的前提条件是：子网内的IP没有被占用，同时子网内没有资源（例如：云主机等）。

1)	点击[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)左导航栏中的【子网】。
2)	选择需要删除的子网的所在地域和私有网络。
3)	选择需要删除的子网所在列，点击【删除】。

## API概览
您可以使用API操作来设置和管理您的私有网络和子网，点击查看[ VPC 所有 API 概览](https://cloud.tencent.com/doc/api/245/909)。

### VPC相关接口
| 接口功能 | Action ID | 功能描述 |
|---------|---------|---------|
| 创建私有网络 | [CreateVpc](http://cloud.tencent.com/doc/api/245/%E5%88%9B%E5%BB%BA%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C) | 创建私有网络，规划好您的网段。 |
| 删除私有网络 | [DeleteVpc](http://cloud.tencent.com/doc/api/245/%E5%88%A0%E9%99%A4%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C) | 删除某个私有网络。 |
| 修改私有网络名称 | [ModifyVpcAttribute](http://cloud.tencent.com/doc/api/245/%E4%BF%AE%E6%94%B9%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%E5%90%8D%E7%A7%B0) | 修改指定vpc的名称。 |
| 查询私有网络列表 | [DescribeVpcEx](http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%E5%88%97%E8%A1%A8) | 批量查询vpc信息，支持分页查询、模糊匹配等。|
| 查询私有网络详情 | [DescribeVpcs](http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%E8%AF%A6%E6%83%85) | 根据用户输入信息，如vpcId、私有网络名称等，查询对应私有网络的详细信息。|
| 绑定私有网络内主机与VIP | [AssociateVip](http://cloud.tencent.com/doc/api/245/%E7%BB%91%E5%AE%9A%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%E5%86%85%E4%B8%BB%E6%9C%BA%E4%B8%8EVIP) | 给vpc内云主机绑定一个VIP。 |
| 创建私有网络和基础网络设备互通 | [AttachClassicLinkVpc](https://cloud.tencent.com/doc/api/245/2098) | 创建私有网络和基础网络设备互通。 |
| 删除私有网络和基础网络设备互通 | [DetachClassicLinkVpc](https://cloud.tencent.com/doc/api/245/2097) | 删除私有网络和基础网络设备互通。 |
| 查询私有网络和基础网络设备互通 | [DescribeVpcClassicLink](https://cloud.tencent.com/doc/api/245/2097) | 查询私有网络和基础网络设备互通。 |

### 子网相关接口
| 接口功能 | Action ID | 功能描述 | 
|---------|---------|---------|
| 创建子网 | [CreateSubnet](http://cloud.tencent.com/doc/api/245/%E5%88%9B%E5%BB%BA%E5%AD%90%E7%BD%91) |  创建子网，并指定可用区。 |
| 删除子网 | [DeleteSubnet](http://cloud.tencent.com/doc/api/245/%E5%88%A0%E9%99%A4%E5%AD%90%E7%BD%91) | 删除指定子网。 |
| 修改子网名称 | [ModifySubnetAttribute](http://cloud.tencent.com/document/product/215/1313) | 修改指定子网名称。 |
| 查询子网列表 | [DescribeSubnetEx](http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E5%AD%90%E7%BD%91%E5%88%97%E8%A1%A8) | 批量查询子网信息，支持分页查询、模糊匹配等。|
| 查询子网详情 | [DescribeSubnet](http://cloud.tencent.com/doc/api/245/%E6%9F%A5%E8%AF%A2%E5%AD%90%E7%BD%91%E8%AF%A6%E6%83%85) | 根据用户输入信息，如subnetId、子网名称等，查询对应子网的详细信息。|

