
## 简介
VPC 对等连接是一种用于办公数据同步的跨VPC网络互联服务，可以使私有网络 IP 在对等 VPC 之间路由流量，就像它们属于同一网络一样。您可以实现同地域或跨地域的相同/不同用户的私有网络互联，通过在两端配置路由策略，可以实现不同私有网络的流量互通。对等连接不依赖某个独立硬件，因而不存在单点故障或带宽瓶颈。
跨地地域互联包括：私有网络（VPC）跨地域互联（即：跨地域对等连接） 和 基础网络跨地域互联（需提[工单申请](https://console.cloud.tencent.com/workorder/category/create?level1_id=6&level2_id=168&level1_name=%E8%AE%A1%E7%AE%97%E4%B8%8E%E7%BD%91%E7%BB%9C&level2_name=%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%20VPC)）

>注：点击查看[跨地域互联服务协议](https://cloud.tencent.com/document/product/215/7682)，您有违反该协议的任何行为时，腾讯云有权依照该协议根据您违反情况随时单方采取限制、中止或终止向您提供服务等措施，并有权追究您相关责任。

## 对等连接互通性不传递
对等连接使私有网络之间两两建立互联，但是这种互通关系不发生传递。例如，如下图所示，VPC 1 与 VPC 2 建立了对等连接，VPC 1 和 VPC 3 也建立了对等连接。然而由于对等连接的不传递性，VPC 2 和 VPC 3 的流量不能互通。
![](//mccdn.qcloud.com/static/img/9127397dcb1df231bfd8d32bcd628223/image.png)
>注：即使建立了对等连接，如果两端没有配置发包、回包路由，也无法实现通信。


## 同地域对等连接 和 私有网络跨地域对等连接（即：私有网络跨地域互联）
私有网络支持同地域和跨地域对等连接（即：私有网络跨地域互联），由于对等连接两端的物理距离不同，底层实现架构不一样，因此两者功能和计费上存在一些差异，对比如下：

| 比较项 | 同地域对等连接 | 跨地域对等连接 |
|---------|---------|---------|
| 底层架构 | 基于腾讯云单地域内的本地内网 | 基于腾讯云跨地域的内部 MPLS 网络 |
| 带宽 | 与公有云互联最大支持:5Gbps<br>与黑石互联最大支持:1Gbps| 	最大 1Gbps，带宽上限支持以下配置（单位Mbps）:<br>10、20、50、100、200、500、1000 |
| 计费规则 | 	免费 | 	根据对等连接两端所在地域和实际使用网络带宽按天计费，详见[价格总览](https://cloud.tencent.com/doc/product/215/%E4%BB%B7%E6%A0%BC%E6%80%BB%E8%A7%88) |	
| 可用性 | 99.95%以上，无单点故障 | 	99.95%以上，无单点故障 |	
| 跨账号连接 | 支持 | 支持 |	
| 访问权限 | 对等连接双方云服务器均可访问对端云服务器、数据库、负载均衡等全部资源 | 对等连接双方云服务器均可访问对端云服务器、数据库、负载均衡等全部资源 |	
| 功能限制 |对等连接两端 VPC 网段不可重复；多个对等连接间互不影响 | 对等连接两端 VPC 网段不可重复；<br><font color="red">一个 VPC 连接多个 VPC 时多个对端 VPC 网段也不可重复</font> |	

同地域对等连接主要用于打通同地域处于不同私有网络中的应用。
跨地域的对等连接（跨地域互联）的典型应用场景是：**跨地域容灾**，跨地域互通连接不同地域的私有网络，快速部署两地三中心容灾方案，大带宽高可靠，满足金融级网络容灾需求。


## 对等连接流控
对等连接流控包括两大功能：
- 监控明细展示 ：可展示所有内网IP流往对等连接的关键指标，便于您快速排查故障，定位异常流量，该监控明细数据可保存7天。 
- 对等连接精细化流控 ：可对某内网IP与对等连接之间的带宽进行限制，保障关键业务。

>注：该功能处于内测中，请提工单申请

## 跨地域互联时延数据
该时延数据仅供参考，不承诺SLA，因为会根据不同测试环境有些抖动（比如：时间、链路负载、包的大小、可用区等等）。

| 地域 | 深圳金融 |上海金融 |广州|上海 |北京|成都|香港|新加坡|多伦多|硅谷|法兰克福|
|---------|---------|---------|---------|---------|---------|--------|---------|---------|
| 深圳金融 | | 30.22 |7.83   |31.49|37.02|36.32|3.68|33.47 |211.44|159.64 |178.61|
| 上海金融 | | | 35.65  |0.52| 30.10 |59.33 |32.92 |60.21 |183.68 | 122.97|209.67|
| 广州 | | | |34.62 |41.87 |40.45 |12.61  |39.27  |215.68 |163.98 |190.22|
| 上海 | | | ||30.12 |62.81 | 31.35 |62.93  |183.86  |122.36 |207.31|
| 北京 |  | | || |70.30  |38.06 |69.81 | 217.73 |187.10 |208.02|
| 成都 |  | | || | |30.12 |59.99  | 244.80 |188.71  |218.32|
| 香港 |  | | || | || 30.27 |235.29  |152.25  |186.58|
| 新加坡 |  | | || | || | 265.17 |180.30  |210.83|
| 多伦多 |  | | || | || | | 83.38 |234.96|
| 硅谷 |  | | || | || | | |151.90|

## 建立和删除流程
### 对等连接建立流程
![](//mccdn.qcloud.com/static/img/9527bab04ca5213bdd72dbec99c9e9ef/image.png)

### 对等连接删除流程
![](//mccdn.qcloud.com/static/img/0e0ae950ebface4e307cd510de2b885e/image.png)

## 使用约束
关于对等连接，有以下几点您需要注意：
- 要使对等连接两端实现真正的通信，您必须在发起端和接收端的相关路由表上配置指向对端的路由规则。
- 跨地域的对等连接费用由对等连接申请方支付。
- 如果对方不接受对等连接请求，申请将在7天后自动过期失效。
- 请不要接受来自您不了解账户的对等连接申请，此类用户可能对您的网络带来风险。
- 对等连接的两端私有网络 CIDR 不可以重叠，重叠时创建会报错。
- 跨地域对等连接时，一个 VPC 的多个对等网络间 CIDR 不可重叠，重叠时会报错。
- 对等连接任意一方可以随时中断对等连接。中断后两个私有网络间流量则立即中断。
- 同地域对等连接无带宽上限，跨地域对等连接用户需要设定带宽上限。


| 资源 | 限制 | 说明|
|---------|---------|---------|
| 跨地域对等连接带宽上限 |1Gbps |如果需更大带宽请提起工单。同地域对等连接带宽无上限。|
| 每个私有网络支持的对等连接数 |10 |　|

>注：其它地域对等连接服务需要您提工单申请。

更多VPC其他服务限制可以查看[VPC其它服务限制](https://cloud.tencent.com/document/product/215/537)。

## 计费模式
### 计费方式说明
1) 同地域对等连接：免费。
2) 跨地域对等连接（即：私有网络跨地域互联） & 基础网络跨地域互联：
- 按天后付费日结，由对等连接发起方支付。
- 计算当日带宽峰值，乘以所在阶梯的单价。
- 当日带宽峰值计算方式：每5分钟采集一次，取当日出入带宽的最大值作为每日带宽峰值。
详情请参照下表：


<table>
        <tbody>
				<tr>
            <th style="width: 10%;" rowspan="2">功能</th>
            <th style="width: 25%;" rowspan="2">计费模式</th>
						<th style="width: 25%;" rowspan="2">配置</th>
            <th style="width: 40%;" colspan="4">价格</th>
        </tr>
				
				 <tr>
            <th>北京<br>成都<br>上海<br>上海金融<br>广州<br>深圳金融</th>
						<th>香港</th>
						<th>新加坡<br>硅谷<br>法兰克福</th>
            <th>多伦多</th>
        </tr>
				<tr>
        <td>同地域对等连接</td>
				<td colspan="6" >　　　　　　　　　　　　　　　　　　　　　免费</td>
				<tr>
				<tr>
            <td rowspan="5">跨地域对等连接</td>
						<td rowspan="5">当日带宽峰值<br><br>按天计费（元 / Mbps / 天）<br><br>峰值带宽按每 5min 平均带宽计<br></td>
						<td>(0 , 20] Mbps</td>
						<td>20</td>
						<td>-</td>
						<td>-</td>
						<td>-</td>
        </tr>
				
				<tr>
				<td>(20 ,100] Mbps</td>
						<td>12</td>
						<td>-</td>
						<td>-</td>
						<td>-</td>
				</tr>
				
				<tr>
				<td>(100 , 500] Mbps</td>
				<td colspan="4" rowspan="4">　　　　　　　请与商务洽谈<br>
				</tr>
				
				<tr>
				<td>(500 , 2000] Mbps</td>
				</tr>
				
			 <tr>
				<td >大于2000Mbps</td>
				</tr>
					<tr>
</tbody></table>

>更多价格咨询请与商务洽谈。

有关私有网络服务的更多价格信息，可以查看[私有网络价格总览](https://cloud.tencent.com/doc/product/215/3079)。

>注：
1、为了方便您查看费用，账单系统中把对等连接描述为：跨地域互通（大陆）账单：对等连接两端都在大陆地域的账单
2、基础网络跨地域互联暂**不支持的地域**是：上海金融、深圳金融、硅谷。


**例子：**
如果对等连接发起方在上海，接受方在广州，当日的出带宽峰值为20Mbps，入带宽峰值为30Mbps,那么当日费用为：30 * 12 = 360元，由发起方支付。



### 私有网络跨地域互联带宽免费送活动说明**（大客户默认享有该优惠，普通客户申请已结束）**
该活动针对VIP客户和普通客户的优惠力度如下：

**VIP客户**（成为VIP客户即可享有该优惠）
- 每条大陆地域对等连接提供100Mbps免费带宽（系统自动发放）。

** 普通客户** (活动申请已结束)
- 每条大陆地域的对等连接提供10Mbps免费带宽。

> 注：
- 带宽减免审核通过当日即可生效，超出部分按阶梯计费，有效期至2017.12.31。您可在对等连接创建弹窗中或详情页查看到减免额度。
- 如果您在腾讯云一个月内的消耗金额大于10万元，可申请成为VIP客户，享受至尊服务和相关优惠，[前往申请 >>](https://cloud.tencent.com/service/vip.html)
- **基础网络跨地域互联不享受该活动的优惠。**

## 操作指南

### 快速入门
VPC跨地域互联以及跨账号通信都是对等连接的高级功能，您可以通过以下步骤创建对等连接通信来实现跨账号和跨地域互联。

- 同账号创建对等连接通信需要2步：
  第一步：创建对等连接。
  第二步：在两端设置路由表。
	
- 跨账号创建对等连接通信需要3步：
  第一步：创建对等连接。
  第二步：接受对等连接。
  第三步：在两端设置路由表。

示例：
网段1：**广州**的VPC1中子网A`192.168.1.0/24`。
网段2: **北京**的VPC2中子网B`10.0.1.0/24`。
通过对等连接实现网段1和网段2互通需要以下步骤：
![](//mc.qcloudimg.com/static/img/4817a68077ccf82022ea167476871c41/3.jpg)
#### 第1步：创建对等连接
1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】。
2) 在私有网络控制台选择【对等连接】选项卡，在列表上方选择**地域：广州**，私有网络`VPC1`，然后点击【新建】，创建对等连接。
3) 输入名称（如：`PeerConn`）、选择对端**地域：北京**、对端账户类型及对端私有网络`VPC2`。

- 当对端账户类型为“ 我的账户 ”时，直接从下拉列表中选择。
- 当对端账户类型为“ 其他账户 ”时，需要手动输入对端账户的账号ID和私有网络的ID。

4) 选择带宽上限

- 同地域对等连接带宽无上限，**不可修改**。
- 跨地域对等连接可以选择带宽上限。如果您需要更大的跨地域带宽，请通过工单发起请求。

5) 同账户内私有网络进行连接，新建后对等连接立即生效；
   与其他账户私有网络创建对等连接，需要对端接受此对等连接后生效。
>注：跨地域的对等连接费用由对等连接申请方支付。

#### （可选）第二步：接受对等连接
如果VPC2是其它用户的私有网络，您需要通知该用户接受您的对等连接申请。
1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】，在私有网络控制台选择【对等连接】。
2) 在列表上方选择对应的**地域：北京**，找到您对等连接列表中待接受的对等连接：`PeerConn`，点击【接受】。
3) 对等连接完成建立。
>注：对等连接建立后，本端和对端私有网络**无法**直接互访，您还需在**双方**私有网络中添加指向对等连接的路由，才可以互通。

#### 第三步：为对等连接配置本端和对端路由表
1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】，在私有网络控制台选择【子网】选项卡。
2) 点击您对等连接本端指定子网（子网A）的关联路由表的ID（路由表A），进入路由表的详情页。
3) 点击编辑路由策略。目的端中填入对端 CIDR（`10.0.1.0/24`） ，下一跳类型选择【对等连接】，下一跳选择已建立的对等连接（PeerConn）。
4) 保存路由表。
**对端路由表的配置同上。**
>注：
1）您一定要在本端和对端都配置相关路由，才可以通过对等来接通信。
2) 两个私有网络之间本端多个网段与对端多个网段通信，只需要**增加对应的路由表项**，不需要建立多个对等连接。

路由表配置完成后，不同私有网络的网段之间即可进行通信。

### 查看对等连接相关的路由策略
1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】，在私有网络控制台选择【对等连接】。
2) 在列表上方筛选地域和私有网络。
3) 点击指定对等连接的ID，进入对等连接详情页，在相关路由策略中即可看到：下一跳是该对等连接的目的网段、关联子网以及相关路由表。
>注：如果您的建立了对等连接，但是无法通信，请先通过该步骤查看**本端和对端**路由表配置是否正确。

### 查看跨地域对等连接（跨地域互联）的网络流量**监控**数据
同地域对等连接的网络流量没有上限。
对等连接网络流量监控仅支持跨地域的。
1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】，在私有网络控制台选择【对等连接】。
2) 在列表上方筛选地域和私有网络。
3) 点击指定对等连接的监控图标，即可查看**出入带宽、出入包量和丢包率**。

### 配置跨地域对等连接（跨地域互联）的流控
同地域对等连接的网络流量免费，无流控功能，最大支持5Gbps。
跨地域对等连接支持流控。
1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】，在私有网络控制台选择【对等连接】。
2) 点击在列表页中对应对等连接的ID，进入详情页。
3) 在基本信息内点击【更改带宽】，选择对应带宽，保存即可生效。


### 开启对等连接流控明细
开启后，可查看某对等连接上过去7天内的经过该对等连接的IP流量指标，且可设置某个IP留向某对等连接的出带宽。

1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，选择【对等连接】。
2) 在 对等连接列表中点击 ID 进入 对等连接详情页。
3) 点击监控tab，开启右上角 开启对等连接流控明细 开关
开启对等连接流控明细，需要5-6采集数据、发布数据，一段时间您可在监控图表下方查看监控明细表格。

>注：该功能处于内测中，请提工单申请

### 设置对等连接流控明细
您在开启对等连接流控明细，可设置某个IP流向某对等连接的出带宽。
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，选择【对等连接】。
2) 在 对等连接列表中点击 ID 进入 对等连接详情页。
3) 点击监控tab，找到需要设置监控明细的IP，设置其出带宽限制。

### 查看对等连接流控明细
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，选择【对等连接】。
2) 在 对等连接列表中点击 ID 进入 对等连接详情页。
3) 点击监控tab，在对等连接流控明细表右上方，点击“查看已限制IP”。


### 拒绝对等连接
您可以拒绝“待接受”状态的对等连接申请。除了您信任的账户以外，您可以拒绝任何不必要的请求。

1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击导航条【私有网络】，在私有网络控制台选择【对等连接】选项卡。
2) 查看您对等连接列表中待接受的对等连接，在操作栏中点击【拒绝】按钮。
3) 对等连接已拒绝并消失。

### 删除对等连接
对等连接的任何一方都可以随时删除对等连接，对等连接删除后立即失效。对等连接删除后将一同删除路由表中包含此对等连接的路由项。

1) 登录腾讯云控制台，点击导航条【私有网络】。
2) 在私有网络控制台选择【对等连接】选项卡，查看您对等连接列表中已连接的对等连接，在操作栏中点击【删除】按钮。
3) 确认删除后，对等连接即被删除。

### 查看对端账号ID
您在创建跨账号对等连接/共享专线时，需要输入对端**开发商**账号ID，查看方式如下：
1) 登录腾讯云控制台，点击右上角账号名称。
2) 查看【[个人信息](https://console.cloud.tencent.com/developer)】中的账号ID。
![](https://mc.qcloudimg.com/static/img/d81098a69855b8461d67d181fbc4acdd/1.png)


### 删除对等连接
对等连接的任何一方都可以随时删除对等连接，对等连接删除后立即失效。对等连接删除后将一同删除路由表中包含此对等连接的路由项。

1) 登录腾讯云控制台，点击导航条【私有网络】。
2) 在私有网络控制台选择【对等连接】选项卡，查看您对等连接列表中已连接的对等连接，在操作栏中点击【删除】按钮。
3) 确认删除后，对等连接即被删除。

### 开通基础网络跨地域互联
基础网络跨地域互联请提[工单申请](https://console.cloud.tencent.com/workorder/category/create?level1_id=6&level2_id=168&level1_name=%E8%AE%A1%E7%AE%97%E4%B8%8E%E7%BD%91%E7%BB%9C&level2_name=%E7%A7%81%E6%9C%89%E7%BD%91%E7%BB%9C%20VPC)。

### 设置跨地域互联告警
1) 登录腾讯云控制台点击顶部导航条【云产品】-【监控与管理】-【云监控】，选择左导航栏内的【我的告警】-【[告警策略](https://console.cloud.tencent.com/monitor/policylist)】，点击：新增告警策略。
2) 填写告警策略名称，在策略类型中选择【对等连接】或【基础网络跨地域互联】，然后添加告警触发条件。
3) 关联告警对象：选择告警接收组，保存后即可在告警策略列表中查看已设置的告警策略。
4) 查看告警信息：告警条件被触发后，您将接受到短信/邮件/站内信等通知，同时可以在左导航【我的告警】-【告警列表】中查看。



## API概览
您可以使用API操作来设置和管理您的对等连接，有关 VPC 内其他资源的更多内容，可以查看 [VPC 所有 API 概览](https://cloud.tencent.com/doc/api/245/909)。
 
 
| 接口功能 | Action ID |  功能描述 |
|---------|---------|---------|
| 创建同地域对等连接 | [CreateVpcPeeringConnection](https://cloud.tencent.com/doc/api/245/%e5%88%9b%e5%bb%ba%e5%90%8c%e5%9c%b0%e5%9f%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5) | 创建同地域对等连接。 |
| 删除同地域对等连接 | [DeleteVpcPeeringConnection](https://cloud.tencent.com/doc/api/245/%e5%88%a0%e9%99%a4%e5%90%8c%e5%9c%b0%e5%9f%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5) | 删除同地域对等连接。 |
| 修改同地域对等连接 | [ModifyVpcPeeringConnection](https://cloud.tencent.com/doc/api/245/%e4%bf%ae%e6%94%b9%e5%90%8c%e5%9c%b0%e5%9f%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5%e5%b1%9e%e6%80%a7) | 修改同地域对等连接。 |
| 接受同地域对等连接 | [AcceptVpcPeeringConnection](https://cloud.tencent.com/doc/api/245/%e6%8e%a5%e5%8f%97%e5%90%8c%e5%9c%b0%e5%9f%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5) | 接受同地域对等连接。 |
| 驳回同地域对等连接 | [RejectVpcPeeringConnection](https://cloud.tencent.com/doc/api/245/%e9%a9%b3%e5%9b%9e%e5%90%8c%e5%9c%b0%e5%9f%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5) | 驳回同地域对等连接。 |
| 启用过期同地域对等连接 | [EnableVpcPeeringConnection](https://cloud.tencent.com/doc/api/245/%e5%90%af%e7%94%a8%e5%90%8c%e5%9c%b0%e5%9f%9f%e8%bf%87%e6%9c%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5) | 启用过期同地域对等连接。 |
| 创建跨地域对等连接 | [CreateVpcPeeringConnectionEx](https://cloud.tencent.com/doc/api/245/%e5%88%9b%e5%bb%ba%e8%b7%a8%e5%9c%b0%e5%9f%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5) | 创建跨地域对等连接。 |
| 删除跨地域对等连接 | [DeleteVpcPeeringConnectionEx](https://cloud.tencent.com/doc/api/245/%e5%88%a0%e9%99%a4%e8%b7%a8%e5%9c%b0%e5%9f%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5) | 删除跨地域对等连接。 |
| 修改跨地域对等连接 | [ModifyVpcPeeringConnectionEx](https://cloud.tencent.com/doc/api/245/%e4%bf%ae%e6%94%b9%e8%b7%a8%e5%9c%b0%e5%9f%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5%e5%b1%9e%e6%80%a7) | 修改跨地域对等连接。 |
| 接受跨地域对等连接 | [AcceptVpcPeeringConnectionEx](https://cloud.tencent.com/doc/api/245/%e6%8e%a5%e5%8f%97%e8%b7%a8%e5%9c%b0%e5%9f%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5) | 接受跨地域对等连接。 |
| 驳回跨地域对等连接 | [RejectVpcPeeringConnectionEx](https://cloud.tencent.com/doc/api/245/%e9%a9%b3%e5%9b%9e%e8%b7%a8%e5%9c%b0%e5%9f%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5) | 驳回跨地域对等连接。 |
| 启用过期跨地域对等连接 | [EnableVpcPeeringConnectionEx](https://cloud.tencent.com/doc/api/245/%e5%90%af%e7%94%a8%e8%b7%a8%e5%9c%b0%e5%9f%9f%e8%bf%87%e6%9c%9f%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5) | 启用过期跨地域对等连接。 |
| 查询对等连接 | [DescribeVpcPeeringConnections](https://cloud.tencent.com/doc/api/245/%e6%9f%a5%e8%af%a2%e5%af%b9%e7%ad%89%e8%bf%9e%e6%8e%a5) | 查询对等连接。 |

