<style rel="stylesheet">
table th:nth-of-type(1){
width:200px;
}</style>
<style rel="stylesheet">
table th:nth-of-type(2){
width:200px;
}</style>
<style rel="stylesheet">
table th:nth-of-type(3){
width:200px;
}</style>
<style rel="stylesheet">
table th:nth-of-type(4){
width:200px;
}</style>
<style rel="stylesheet">
table tr:hover {
background: #efefef; 
</style>
## 简介
NAT 网关是一种将私有网络中内网 IP 地址和公网 IP 地址进行转换的网关，是私有网络内无公网 IP 的云资源访问 Internet 的一种方式（但不支持 Internet 主动访问私有网络）。腾讯云私有网络 NAT 网关的典型应用场景如下：
- **大带宽、高可用公网访问。**针对用户需要超大带宽、公网 IP 使用量大、部署服务较多的公网访问应用场景，腾讯云 NAT 网关均可以满足需求。
- **安全的公网访问。**腾讯云私有网络的 NAT 网关提供 IP 的安全转换。如果用户希望隐藏私有网络内主机的公网 IP 以避免暴露其网络部署，同时又希望访问公网，那么使用腾讯云 NAT 网关可以满足这类需求。

## 网络拓扑关系
如下图所示，NAT 网关是一个处于 Internet 和 VPC 边界的网关，并接在 VPC 的路由器上。由这样的拓扑图可知，VPC 内云主机等资源通过 NAT 网关向外发送数据包时，数据会先经过路由器，按照路由策略进行路由选择。然后 NAT 网关通过绑定的弹性 IP 地址作为源 IP 地址，将流量发送到 Internet。
<div style="text-align:center">
![](//mccdn.qcloud.com/static/img/4772b9bc1e78436104f89f943f06ac97/image.png)

</div>
## NAT 网关和公网网关的区别
NAT 网关与公网网关都用于私有网络内云主机访问 Internet，但二者存在一些差异：

| 属性 | NAT网关 | 公网网关 |
|:----------:|---------|---------|
|可用性	|双机热备，自动热切换|	手动切换故障网关|
|公网带宽	|最大 5 Gbps	|取决于云服务器网络带宽|
|公网 IP	|最多绑定 10 个弹性 IP|	1 个弹性 IP or 普通公网 IP|
|公网限速	|无|	取决于云服务器限速|
|最大连接数	|1000 W|	50 W|
|内网 IP	|不占用私有网络用户的内网 IP|	占用子网内 IP|
|安全组|	NAT 网关不支持绑定安全组，可以对 NAT 网关后端云服务器绑定安全组	|支持|
|网络 ACL|	NAT 网关不支持绑定网络 ACL，可以对 NAT 网关后端云服务器所在子网绑定网络 ACL	|公网网关不支持绑定网络 ACL，可以对公网网关所在子网绑定网络 ACL|
|费用	|大陆地区：<br>小型（最大100 W 连接数）：0.5 元 /小时<br>中型（最大300 W 连接数）：1.5 元 / 小时<br>大型（最大1000 W 连接数）：5 元 / 小时 |取决于作为公网网关的云服务器规格，以大陆地区为例：<br>1 核 2 G：0.44 元 / 小时<br>4 核 8 G：1.76 元 / 小时<br>12 核 24 G：5.28 元 / 小时|

通过上表对比可知，腾讯云 NAT 网关具有三大优势：
- 大容量：最大支持 1000W 并发连接、5 Gbps 带宽和 10 个弹性 IP，满足大规模用户诉求。
- 双机热备高可用：单机故障自动切换，相比于公网网关的手动切换，实现了自动容灾，保障 99.99% 的服务可用性。
- 省成本：提供高、中、低三种配置，用户可按需购买，弹性计费，更省成本。

## 配置类型
NAT 网关支持绑定 10 个弹性 IP，同时提供了三种配置类型，最大满足 5 Gbps 突增流量和1000 W 并发连接数。

- 小型（最大 100 W 连接数）
- 中型（最大 300 W 连接数） 
- 大型（最大 1000 W 连接数）

NAT 网关最大外网出带宽（单位:Mbps）的可选值有：10, 20, 50, 100, 200, 500, 1000, 2000, 5000 。

## NAT 网关和弹性公网 IP 的使用

NAT 网关和弹性公网 IP 是云主机访问 Internet 的两种方式，您可以选择其中一种或两种用于您的公网访问架构设计。

### 方案1：只使用 NAT 网关

云主机不绑定弹性公网 IP，所有访问 Internet 流量通过 NAT 网关转发。此种方案中，云主机访问 Internet 的流量会通过内网转发至 NAT 网关，因而不会受云主机购买时公网带宽的带宽上限限制，NAT 网关产生的网络流量也不会占用云主机的公网带宽出口。

### 方案2：只使用弹性公网 IP

云主机只绑定弹性公网 IP，不使用 NAT 网关。此种方案，云主机所有访问 Internet 流量通过弹性公网 IP 出，会受到云主机购买时公网带宽的带宽上限限制。访问公网产生的相关费用，根据云主机网络计费模式而定。

### 方案3：同时使用 NAT 网关和弹性公网 IP

云主机绑定了弹性公网  IP，同时所在子网路由访问 Internet 流量指向了 NAT 网关。此种方案中，所有云主机主动访问 Internet 的流量 **只通过内网转发至 NAT 网关**，回包也经过 NAT 网关返回至云主机，此部分流量不会受云主机购买时公网带宽的带宽上限限制，NAT 网关产生的网络流量不会占用云主机的公网带宽出口。如果来自 Internet 的流量主动访问云主机的弹性公网 IP，则云主机回包统一通过弹性公网 IP 返回，这样产生的公网出流量受到云主机购买时公网带宽的带宽上限限制。访问公网产生的相关费用，根据云主机网络计费模式而定。

> <b>注意：</b>
> 如果用户账号开通了带宽包共享带宽功能，则 NAT 网关产生的出流量按照带宽包整体结算（不再重复收取 0.8 元 / GB 的网络流量费），建议您限制 NAT 网关的出带宽，以避免因为 NAT 网关出带宽过高产生高额的带宽包费用。


## 关键特性
NAT 网关主要有以下几点关键特性：
- SNAT：源网络地址转换，用于 VPC 内的云服务资源访问互联网。
- 高性能：NAT 网关可以支撑单实例 5 Gbps 级别的转发能力；
- 高可用：NAT 网关使用双机热备，单机出故障自动切换业务无感知。

## 使用限制
关于 NAT 网关的使用，您需要注意以下几点：
- 删除 NAT 网关会解除其弹性 IP 地址的关联，但不会从用户帐号释放该弹性 IP 地址。
- 不能为 NAT 网关关联安全组，但可以为私有子网中的实例使用安全组以便控制进出这些实例的流量。
- 用户无法直接使用网络 ACL 控制进出 NAT 网关的流量，但可以使用网络 ACL 控制进出 NAT 网关所关联子网的流量。
- 用户无法通过 VPC 对等连接、VPN 连接或专线接入将流量路由到 NAT 网关，这些连接另一端的资源不能使用 NAT 网关。例如，VPC 1 的发往 Internet 的流量都可以通过 NAT 网关实现，现在 VPC 1 和 VPC 2 建立了对等连接，VPC 2 里所有资源可以访问 VPC 1 中的所有资源，但 VPC 2 中的所有资源不可以经过 NAT 网关访问 Internet。
- NAT 网关支持 TCP、UDP 和 ICMP 协议，而 GRE 隧道和 IPSec 使用的 ESP、AH 则无法使用 NAT 网关，这是由于 NAT 网关本身的特性决定的，与服务提供商无关。幸运的是互联网大部分应用都是 TCP 应用，TCP 和 UDP 应用合起来占互联网应用类型的99%。
- NAT 网关资源支持限制如下表所示。您还可以查看 <a href="https://cloud.tencent.com/doc/product/215/537" target="_blank">VPC 其它产品的使用限制</a>。

| 资源| 限制 | 
|:---------:|:---------:|
| 每个私有网络支持的 NAT 网关数 | 3 个| 
| 每个 NAT 网关支持弹性 IP 个数| 10 个 |
| 每个 NAT 网关最多支持转发能力|5 Gbps|
