## 简介
公网网关是开启了转发功能的云主机，没有外网 IP 但需要进行 Internet 访问的云服务器可通过位于不同子网的公网网关来访问 Internet。公网网关主机将对公网流量进行源地址转换，所有其他主机访问外网的流量经过公网网关后，IP 都被转换为公网网关主机的 IP 地址，如下图：
![](//mccdn.qcloud.com/static/img/a0453fe63b0a2b1100c339b877242387/image.png)



## 公网网关和带有外网IP的云服务器的区别
公网网关在镜像里开通了公网流量路由转发功能，而带有外网 IP 的云主机默认不具备流量转发功能。Windows 公共镜像云主机无法做公网网关，因为 Windows 镜像中未开通流量转发功能。

## 使用约束
- 公网网关目前支持最大 100 Mbps 出口带宽，如果需要更多出口带宽，可以购买更多公网网关形成公网出口集群。通过在路由表中配置相同的目的端路由，转发流量可以在公网网关间自负载均衡。（注：该负载均衡暂时不支持健康检查，如果公网网关故障可能导致流量丢失）。
- 网关子网和普通子网不能关联同一张路由表，需要新建一张独立的网关路由表关联网关子网。
- 公网网关支持 NAT 接入，用户需要登录到主机上自行配置；专线网关、VPN网关暂时不支持 NAT 接入。

## 计费
由于公网网关本质上是一个云服务器实例，因此计费方式跟随云服务器计费，具体详情可以查看[这里](https://cloud.tencent.com/doc/product/213/2179)。

## 到期提醒
到期提醒模式与云服务器保持一致，具体详情可以查看[这里](https://cloud.tencent.com/doc/product/213/2181)。

## 操作指南
VPC 内无外网 IP 主机通过公网网关访问外网，需要完成以下四个步骤：

a) 创建网关子网；
b) 购买公网网关； 
c) 创建网关子网路由表；
d) 配置普通子网路由表。

### 创建网关子网
由于公网网关只能转发非所在子网的路由转发请求，因此公网网关不能和任何需要借助公网网关访问外网的 CVM 处于同一个子网下，需要先建立一个独立的网关子网。

1)	点击[私有网络控制台](https://console.cloud.tencent.com/vpc)左导航栏中的【子网】。
2)	选择 最上面的下拉框中的地域和私有网络。
3)	点击【新建】，填写子网络名称（如：公网网关子网）、CIDR、可用区和关联路由表（此时可以任意关联一个路由表）。
4)	点击【创建】，即可在子网列表页显示该创建的子网。

### 购买公网网关
公网网关和云服务器一样，在[腾讯云云服务器购买页](https://buy.cloud.tencent.com/cvm)进行购买。

1)	登录[腾讯云云服务器购买页](https://buy.cloud.tencent.com/cvm)，在第三步【选择存储与网络】页面中的网络类型中选择【私有网络】。
2)	选择私有网络及上一步创建的网关子网。
3)	勾选【用作公网网关】，完成购买后公网网关即创建完成。
 ![](//mccdn.qcloud.com/static/img/822d3a01ac4129f14ed62e00fb404f28/image.png)

### 创建网关子网路由表
网关子网和普通子网不能关联同一张路由表，需要新建一张独立的网关路由表，并且将这张路由表关联创建的网关子网关联该路由表。具体的路由策略可以只保留默认的 Local 策略。有关的操作可以参考创建[自定义路由表]()和[更改子网关联路由表]()。

### 配置普通子网路由表
配置普通子网的路由表，将路由指向公网网关主机，使得普通子网内的无公网 IP 主机能通过公网网关的路由转发能力访问外网。

1)	点击[私有网络控制台](https://console.cloud.tencent.com/vpc)左导航栏中的【路由表】，选择需要访问外网的普通子网关联的路由表（用户可以在[子网列表页](https://console.cloud.tencent.com/vpc/subnet)找到普通子网关联的路由表）。
2)	点击普通子网关联的路由表的 ID，进入路由表详情页。
3)	点击【编辑】按钮，配置默认路由经由公网网关云主机，使得普通子网内主机能通过公网网关的路由转发能力访问外网。
 ![](//mccdn.qcloud.com/static/img/da3afdaccc213d5ba400400f6e9b4c59/image.png)

## API概览
公网网关本质上一种云服务器实例，用户可以前往[云服务器 API 概览](https://cloud.tencent.com/doc/api/229/569)查看相关 API，也可以使用 VPC、子网及路由表等API共同管理实现公网网关的配置，更多内容可以查看[ VPC 所有 API 概览](https://cloud.tencent.com/doc/api/245/909)。
