<style rel="stylesheet">
table th:nth-of-type(1){
width:200px;
}</style>
<style rel="stylesheet">
table th:nth-of-type(2){
width:200px;
}</style>
<style rel="stylesheet">
table th:nth-of-type(3){
width:200px;
}</style>
<style rel="stylesheet">
table th:nth-of-type(4){
width:200px;
}</style>
<style rel="stylesheet">
table tr:hover {
background: #efefef; 
</style>
## 基本概念

弹性IP（Elastic IP，EIP）是可以独立申请的公网  IP 地址，支持与CVM/NAT 网关实例的动态绑定和解绑。如下图所示，您可以将其与账户中的云主机（或 NAT 网关实例）绑定或者解绑，主要作用是屏蔽实例故障。例如：动态 DNS 映射把 DNS 名称映射到 IP 地址，传播这个映射变化到整个 Internet 可能需花费 24 小时，而弹性 IP 实现了 IP 从一个云主机到另一个云主机的漂移。在任何云主机出现故障时，只需启动另一个实例并重新映射它，从而快速响应实例故障。
您的弹性 IP 地址与腾讯云账户相关联，而不是与某个 CVM 实例相关联，而且在您选择显式释放该地址，或欠费超过 7天之前，它会一直与您的腾讯云账户保持关联。
<div style="text-align:center">
![](//mccdn.qcloud.com/static/img/3dbf04b5fb9bff4bef632074ecf767da/image.png)

</div>
<p style="text-align:center">图1：弹性 IP 示意图</p>

## 使用范围
弹性公网 IP 地址同时适用于基础网络和私有网络的 CVM 实例，以及私有网络中的 NAT 网关实例，支持动态的绑定和解绑，您需要注意得是：

- 弹性 IP 与 CVM/NAT 网关是 1 对 1 的关系。如上图所示，1 个弹性公网 IP 同一时间只能绑定同一地域内的 1 个 CVM/NAT 网关实例上，1 个 CVM 实例同一时间只能绑定 1 个弹性公网 IP，1 个 NAT 网关同一时间最多支持绑定 10 个弹性公网 IP.  
- 弹性 IP 地址与 CVM 实例绑定时，实例的当前公网 IP 地址会被释放。
- 弹性 IP 地址与 CVM 实例解绑时选择了重新分配公网 IP，实例会自动分配到新的公网 IP。
- 销毁 CVM/NAT 网关实例会断开与弹性 IP 地址的关联。
- 私有网络中一个 CVM 实例绑定了弹性 IP，又处于关联了 NAT 网关的子网内，访问公网的数据包经过的是 NAT 网关，而不是弹性 IP。


## 弹性公网 IP 释放
弹性 IP 有两种释放方式：
- 用户可通过控制台或云 API 主动释放弹性公网 IP。
- 欠费释放：未绑定资源则开始按小时计费，金额为负的连续 2 个小时，如金额仍为负且未续费，将在未来（24ｘ7）小时内保持为不可操作状态（直至续费账户余额 > 0），即过（2+24ｘ7）小时后金额仍为负，弹性公网 IP 将自动释放。

## 弹性公网 IP 不通原因排查方法
弹性公网 IP 不通一般有如下原因：
- 弹性公网 IP 没有绑定到云资源上，具体绑定方法见云服务器绑定 EIP。
- 查看 CVM 实例内部是否有安全策略，如果 CVM 实例有安全组策略，例如：禁止 8080 端口访问，那么弹性公网 IP 的 8080 端口也是无法访问的。

## NAT 网关和弹性公网 IP 的使用

NAT 网关和弹性公网 IP 是云主机访问 Internet 的两种方式，您可以选择其中一种或两种用于您的公网访问架构设计：

### 方案1：只使用 NAT 网关
云主机不绑定弹性公网 IP，所有访问 Internet 流量通过 NAT 网关转发。此种方案中，云主机访问 Internet 的流量会通过内网转发至 NAT 网关，因而不会受云主机购买时公网带宽的带宽上限限制，NAT 网关产生的网络流量费用也不会占用云主机的公网带宽出口。

### 方案2：只使用弹性公网 IP
云主机只绑定弹性公网 IP，不使用NAT网关。此种方案，云主机所有访问 Internet 流量通过弹性公网 IP 出，会受到云主机购买时公网带宽的带宽上限限制。访问公网产生的相关费用，根据云主机网络计费模式而定。

### 方案3：同时使用 NAT 网关和弹性公网 IP
云主机绑定了弹性公网 IP，同时所在子网路由访问 Internet 流量指向了 NAT 网关。此种方案中，所有云主机主动访问 Internet 的流量**只通过内网转发至 NAT 网关**，回包也经过 NAT 网关返回至云主机，此部分流量不会受云主机购买时公网带宽的带宽上限限制，NAT 网关产生的网络流量费用不会占用云主机的公网带宽出口。如果来自 Internet 的流量主动访问云主机的弹性公网 IP，则云主机回包统一通过弹性公网 IP 返回，这样产生的公网出流量收到云主机购买时公网带宽的带宽上限限制。访问公网产生的相关费用，根据云主机网络计费模式而定。

> 注意：如果用户账号开通了带宽包共享带宽功能，则 NAT 网关产生的出流量按照带宽包整体结算（不再重复收取 0.8 元/GB 的网络流量费），建议您限制 NAT 网关的出带宽，以避免因为 NAT 网关出带宽过高产生高额的带宽包费用。


## 使用限制

备注：点击查看 VPC 内其他产品的使用限制。

| 资源 | 限制 |
|---------|:---------:|
| 每个腾讯云账户每个地域（region）配额弹性公网 IP 个数 | 20 |
|每个腾讯云账户各个地域（region）每天申购次数|配额数 X 2 次|
|解绑 EIP 时，每个账户每天可免费重新分配公网 IP 的次数| 10 次 |