## 基本概念

弹性IP（Elastic IP，EIP）是可以独立申请的公网IP地址，支持与CVM/NAT 网关实例的动态绑定和解绑。如下图所示，您可以将其与账户中的云主机（或 NAT 网关实例）绑定或者解绑，主要作用是屏蔽实例故障。例如：动态DNS 映射把 DNS 名称映射到 IP 地址，传播这个映射变化到整个 Internet可能需花费24 小时，而弹性IP实现了IP从一个云主机到另一个云主机的漂移。在任何云主机出现故障时，只需启动另一个实例并重新映射它，从而快速响应实例故障。
您的弹性 IP 地址与腾讯云账户相关联，而不是与某个 CVM 实例相关联，而且在您选择显式释放该地址，或欠费超过 7天之前，它会一直与您的腾讯云账户保持关联。
![](//mccdn.qcloud.com/static/img/3dbf04b5fb9bff4bef632074ecf767da/image.png)

## 使用范围
弹性公网IP地址同时适用于基础网络和私有网络的 CVM 实例，以及私有网络中的 NAT 网关实例，支持动态的绑定和解绑，您需要注意得是：

- 弹性IP与CVM/NAT 网关是1对1的关系。如上图所示，1个弹性公网IP同一时间只能绑定同一地域内的1个CVM/NAT 网关实例上，1个CVM实例同一时间只能绑定1个弹性公网IP，1个NAT网关同一时间最多支持绑定10个弹性公网IP.  
- 弹性IP地址与CVM实例绑定时，实例的当前公网IP地址会被释放。
- 弹性IP地址与CVM实例解绑时选择了重新分配公网IP，实例会自动分配到新的公网IP。
- 销毁CVM/NAT 网关实例会断开与弹性IP地址的关联。
- 私有网络中一个CVM实例绑定了弹性IP，又处于关联了NAT网关的子网内，访问公网的数据包经过的是NAT网关，而不是弹性IP。


## 弹性公网IP释放
弹性IP有两种释放方式：
- 用户可通过控制台或云API 主动释放弹性公网IP；
- 欠费释放：未绑定资源则开始按小时计费，金额为负的连续 2 个小时，如金额仍为负且未续费，将在未来（24ｘ7）小时内保持为不可操作状态（直至续费账户余额 > 0），即过（2+24ｘ7）小时后金额仍为负，弹性公网IP将自动释放；

## 弹性公网IP不通原因排查方法
弹性公网IP不通一般有如下原因：
- 弹性 IP 地址没有绑定云产品。具体绑定方法见 <a href="https://cloud.tencent.com/document/product/213/10656?!preview&lang=cn#jump2" target="_blank">弹性公网 IP 绑定云产品</a> 。
- 安全策略无效。查看是否有生效的安全策略（ <a href="https://cloud.tencent.com/doc/product/213/5221" target="_blank">安全组</a> 或 <a href="https://cloud.tencent.com/doc/product/215/5132" target="_blank">网络 ACL</a> )。如果绑定的云产品实例有安全策略，例如：禁止 `8080` 端口访问，那么弹性公网 IP 的 `8080` 端口也是无法访问的。

## NAT网关和弹性公网IP的使用

NAT网关和弹性公网IP是云主机访问Internet的两种方式，您可以选择其中一种或两种用于您的公网访问架构设计：

### 方案1：只使用NAT网关
云主机不绑定弹性公网IP，所有访问Internet流量通过NAT网关转发。此种方案中，云主机访问Internet的流量会通过内网转发至NAT网关，因而不会受云主机购买时公网带宽的带宽上限限制，NAT网关产生的网络流量费用也不会占用云主机的公网带宽出口。

### 方案2：只使用弹性公网IP
云主机只绑定弹性公网IP，不使用NAT网关。此种方案，云主机所有访问Internet流量通过弹性公网IP出，会受到云主机购买时公网带宽的带宽上限限制。访问公网产生的相关费用，根据云主机网络计费模式而定。

### 方案3：同时使用NAT网关和弹性公网IP
云主机绑定了弹性公网IP，同时所在子网路由访问Internet流量指向了NAT网关。此种方案中，所有云主机主动访问Internet的流量**只通过内网转发至NAT网关**，回包也经过NAT网关返回至云主机，此部分流量不会受云主机购买时公网带宽的带宽上限限制，NAT网关产生的网络流量费用不会占用云主机的公网带宽出口。如果来自Internet的流量主动访问云主机的弹性公网IP，则云主机回包统一通过弹性公网IP返回，这样产生的公网出流量收到云主机购买时公网带宽的带宽上限限制。访问公网产生的相关费用，根据云主机网络计费模式而定。

> 注意：如果用户账号开通了带宽包共享带宽功能，则NAT网关产生的出流量按照带宽包整体结算（不再重复收取0.8元/GB的网络流量费），建议您限制NAT网关的出带宽，以避免因为NAT网关出带宽过高产生高额的带宽包费用。


## 使用限制

备注：点击查看VPC内其他产品的使用限制。

| 资源 | 限制 |
|---------|---------|
| 每个腾讯云账户每个地域（region）配额弹性公网IP个数 | 20 |
|每个腾讯云账户各个地域（region）每天申购次数|配额数 X 2（次）|
|解绑EIP时，每个账户每天可免费重新分配公网IP的次数| 10次 |

## 弹性公网IP的计费
绑定云服务器（或NAT网关）的弹性IP均为免费。为了确保弹性 IP 地址的有效使用，未绑定CVM或NAT实例的弹性IP，将按小时收取少量资源占用费用（不足1小时按1小时计，每小时结算1次），详细计费标准如下表。建议您及时将不使用的弹性公网IP释放，以保证IP资源的合理利用，并节省您的费用。

| 弹性公网IP所在地域 | 未绑定时价格 |
|---------|---------|---------|
| 北京地域、上海地域、广州地域 | 0.20元/小时 | 
| 香港地域 | 0.30元/小时 | 
| 北美地域 | 0.25元/小时 | 
` 备注：点击查看私有网络内其它产品计费`


## 操作指南
###  申请EIP
1) 打开云服务器 CVM 控制台。
2) 在左侧导航窗格中，单击【弹性公网IP】。
3) 选择列表上方的地域，点击【申请】按钮。
4) 申请结束后即可在EIP列表中看到您申请的EIP。
![](//mccdn.qcloud.com/static/img/ba977c383635c2eca9b826d7a9520194/image.png)

### 修改EIP名称
1) 打开云服务器 CVM 控制台。
2) 在左侧导航窗格中，单击【弹性公网IP】。
3) 点击您要修改的EIP列表项中的改名按钮
4) 输入新名称，点击【确定】按钮。

### 云服务器绑定EIP
1) 打开云服务器 CVM 控制台。
2) 在左侧导航窗格中，单击【弹性公网IP】。
3) 在您想要绑定CVM的EIP列表项后，单击【绑定】按钮。若此时此弹性IP已绑定云服务器此按钮将为不可用状态，请先解绑。
4) 弹框处，根据CVM的实例ID，选中要绑定CVM实例。
5) 点击【绑定】。
或
1) 打开云服务器 CVM 控制台，进入CVM实例列表。
2) 在您需要绑定弹性IP的云主机右侧操作栏中，点击【绑定弹性IP】。
3) 在绑定弹性公网IP弹出框中选择您要绑定的EIP，点击【确定】按钮。

### 云服务器解绑EIP
1) 打开云服务器 CVM 控制台。
2) 在左侧导航窗格中，单击【弹性公网IP】。
3) 在已绑定云服务器的EIP列表项后，单击【解绑】按钮。
4) 点击【确定】。
或
1) 打开云服务器 CVM 控制台。
2) 在您需要解绑弹性IP的云主机右侧操作栏中，点击【解绑弹性IP】。
3) 在解绑弹性公网IP弹出框中，勾选是否需要免费分配公网IP后，点击【确定】按钮。

### 释放EIP
1) 打开云服务器 CVM 控制台。
2) 在左侧导航窗格中，单击【弹性公网IP】。
3) 在您想要释放的EIP列表项后，单击【释放】按钮。
4) 点击【确认】。



