## 操作指南
如果您选择使用专线接入打通您的数据中心和在腾讯云上的 VPC，那么您需要完成以下步骤：
第一步：创建物理专线
第二步：创建专线通道
第三步：创建专线网关接入专线通道，从而打通数据中心和您的VPC。
（可选）第四步：配置专线NAT
第五步：配置需要通信的子网所关联的路由表。

下面将对这些步骤进行详细描述：
### 第一步：创建物理专线
1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【专线接入】-【物理专线】选项卡，点击【新建】按钮。
2) 您需要仔细核实本地数据中心所在地、专线接入运营商和物理专线的网络带宽，这些参数一旦确认将无法更改。填入物理专线的基础申请信息后，我们会根据您的本地数据中心所在地给出推荐的价格，您的申请操作并不需要支付此部分费用。
3) 点击确认后，您即可在专线控制台【申请记录】页，找到您的专线申请记录。我们的专线经理将在1个工作日内与您联系，沟通专线接入的详细细节，确认专线接入条件满足后，专线申请记录将扭转为“待付款”状态。如果沟通后，腾讯云无法提供用户专线需求，专线经理将把专线申请记录扭转为“申请拒绝”。

根据建设模式不同，本地数据中心所在城市不同，专线接入带宽不同，您将支付不同的费用。一旦确认并成功支付后，我们将根据此信息进行施工，施工过程中如果出现参数错误，您将承担此条错误专线建设的全部费用。物理专线一旦进入施工中状态将无法删除，施工结束后您将在物理专线控制台看到此条物理专线状态为“运行中”。

![](//mccdn.qcloud.com/img567fa85e57aa3.png)

### 第二步：创建专线网关接入专线通道
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，点击【专线网关】选项卡。
2) 点击【新建】按钮，弹出专线网关创建页。
3) 填写名称、私有网络和地址映射模式，选择是否开启网络地址转换功能,（**网络地址转换功能目前仅以内测方式提供**，请通过工单或您的客户经理开通网络地址转换功能）。
4) 填写完成后点击确认，完成专线网关的创建。

### 第三步：创建专线通道
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【专线接入】-【专线通道】选项卡。
2) 当您有处于“运行中”的物理专线时，即可创建专线通道，用于物理专线内网络链路的建立。点击【新建】按钮，弹出专线通道创建页。

专线通道支持 BPG 路由和静态路由两种路由方式，BPG 路由需要填入 BGP ASN 和 BGP 秘钥。
我们将为您自动配置 Vlan ID 和 Peer IP。

专线通道创建后，我们需要1~2个工作日进行网路变更部署，期间有任何问题请与我们的专线经理直接沟通。

### （可选）第四步：配置专线 NAT
您可以在专线网关页配置网关的网络地址转换，网络地址转换分为 IP 转换和 IP 端口转换两种。
#### IP 转换配置
IP 转换指将原 IP 转换为新的 IP 实现网络互访，分为本端 IP 转换和对端 IP 转换两种。IP 转换不区分源、目的访问，新 IP 既可以主动访问对端，也可以被对端主动访问。具体操作如下：

1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，点击左导航栏【专线网关】选项卡。
2) 点击专线网关 ID 进入专线网关详情页。
3) 编辑【本端 IP 转换】规则。

- 新增：在 IP 映射页左上角，点击蓝色【新增】，输入原 IP、映射 IP 及备注即可；新增本端 IP 转换规则默认添加了 ALL PASS 的 ACL 规则，即本端 IP 转换对所有专线通道生效，您可以编辑本端 IP 转换的 ACL 规则，以改变本端 IP 转换的适用范围；
- 删除：点击 IP 转换规则行右边【删除】并确认即可，IP 转换规则删除后将联动删除该 IP 转换规则下的 ACL 规则；
- 修改：点击 IP 转换规则行右边【修改 IP 映射】，即可编辑本端 IP 转换规则的原 IP、映射 IP 和备注，点击确认后 IP 转换生效。

4）配置本端 IP 转换的网络 ACL 规则。
ACL 规则支持 TCP 和 UDP 协议，本端 IP 映射 ACL 规则支持源端口、目的 IP、目的端口。其中端口、IP 不填代表 ALL。当协议选择 ALL 时，端口和 IP 默认均选择 ALL。
- 新增：在 IP 映射规则右边点击【编辑 ACL 规则】，在已有 ACL 规则底部点击【新增一条】即可添加；
- 删除：在 IP 映射规则右边点击【编辑 ACL 规则】进入 ACL 编辑态，点击【删除】并确认即可删除此 ACL 规则，也可以直接点击 ACL 规则旁边的【删除】按钮完成删除操作。
- 修改：在 IP 映射规则右边点击【编辑 ACL 规则】进入 ACL 编辑态即可修改 ACL 规则，也可以直接点击 ACL 规则旁边的【修改】按钮完成修改操作。


#### IP 端口转换的配置
IP 端口转换指将原 IP 端口映射为新 IP 端口，并以新 IP 端口实现网络互访，包含**本端源 IP 端口转换**、**本端目的 IP 端口转换**两种。具体操作如下：

1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，点击左导航栏【专线网关】选项卡。
2) 点击专线网关 ID 进入专线网关详情页。
3) 在专线网关详情页，点击【本端源 IP 端口转换】，本端源 IP 端口转换配置分成两步：

**第一步：配置本端 IP 端口转换地址池**
- 新增：在映射 IP 池页面中点击【新增】，输入映射 IP 池（支持 IP 或 IP 段）和备注（可选）即可，新增 IP 池的 ACL 规则为 ALL DROP，需要额外编辑 ACL 规则才可以实现网络转换；
- 删除：在 IP 地址池所在行右边点击【删除】即可删除此地址池，地址池删除后将自动删除地址池关联的 ACL 规则；
- 修改：在 IP 地址池所在行右边点击【修改映射IP池】，即可对此映射 IP 池的 IP 和备注进行编辑。

**第二步：配置 IP 地址池的网络 ACL 规则**
ACL 规则支持配置协议（支持 TCP 或 UDP）、源 IP、源端口、目的 IP、目的端口。
- 新增：在 IP 地址池所在行右边点击【编辑ACL规则】，即可进入 ACL 编辑态，点击规则最下方【新建一行】，即可添加新的 ACL 规则；
- 删除：在 IP 地址池所在行右边点击【编辑ACL规则】，即可进入 ACL 编辑态，点击规则最右边的【删除】即可删除此 ACL 规则，另外也可以在 ACL 规则展示态下，点击最右边【删除】；
- 修改：在 IP 地址池所在行右边点击【编辑ACL规则】，即可进入 ACL 编辑态，另外也可以在 ACL 规则展示态下，点击最右边【修改】。

4) 配置本端目的 IP 端口转换
在专线网关详情页，点击【本端目的IP端口转换】选项卡。
新增：在 IP 端口映射页点击【新增】，即可添加新的 IP 端口映射；
删除：在 IP 端口映射所在行右侧点击【删除】，即可删除此映射；
修改：在 IP 端口映射所在行右侧点击【修改 IP 端口映射】，即可修改此 IP 端口映射的映射关系及备注。

### 第五步：配置需要通信的子网所关联的路由表。
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】, 进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)。
2)	点击左导航栏中【路由表】，点击需要通信的子网所关联的路由表 ID 进入详情页。
3)	点击【编辑按钮】，点击【新增一行】，输入目的端网段，选择下一跳类型【专线网关】，再选择下一跳网关名。
4)	点击【保存】。

### 第六步：设置告警
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击顶部导航条【云产品】-【监控与管理】-[【云监控】](https://console.cloud.tencent.com/monitor/overview)，选择左导航栏内的【我的告警】-[【告警策略】](https://console.cloud.tencent.com/monitor/policylist)，点击：新增告警策略。
2)	填写告警策略名称，在策略类型中选择【物理专线】或【专线通道】，然后添加告警触发条件。
3)	**关联告警对象**：选择告警接收组，保存后即可在告警策略列表中查看已设置的告警策略。
4)	**查看告警信息**：告警条件被触发后，您将接受到短信/邮件/站内信等通知，同时可以在左导航【我的告警】-【告警列表】中查看。有关告警的更多信息，请参考[创建告警](https://cloud.tencent.com/doc/product/248/1073)。

### 开启网关流控明细
开启后，可查看某专线网关上过去7天内的经过该网关的IP流量指标，且可设置某个IP流向某专线网关的出带宽。
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，选择【专线网关】。
2) 在 专线网关列表中点击 ID 进入 专线网关详情页。
3) 点击监控tab，开启右上角 开启网关流控明细 开关
开启网关流控名称，需要5-6采集数据、发布数据，一段时间您可在监控图表下方查看监控明细表格。


>注：该功能处于内测中，请提工单申请

### 设置网关流控明细
您在开启网关流控明细，可设置某个IP留向某专线网关的出带宽。
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，选择【专线网关】。
2) 在 专线网关列表中点击 ID 进入 专线网关详情页。
3) 点击监控tab，找到需要设置监控明细的IP，设置其出带宽限制。

### 查看网关流控明细
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，选择【专线网关】。
2) 在 专线网关列表中点击 ID 进入 专线网关详情页。
3) 点击监控tab，在网关流控明细表右上方，点击“查看已限制IP”。
