## 产品简介
专线接入提供了一种快速安全连接腾讯云与本地数据中心的方法，用户可以通过一条物理专线一次性打通位于多地域的腾讯云计算资源，实现灵活可靠的混合云部署。

## 组成部分
专线接入由三个部分组成：物理专线、专线通道和专线网关。
1) **物理专线**：连接腾讯云与本地数据中心的物理线路连接。有两种建设方式：用户自行与运营商沟通建设或由腾讯云建设。物理专线支持双线热备接入，双线接入点供电、网络管道完全隔离。
2) **专线通道**：专线通道是物理专线的网络链路划分。用户可以创建连接至不同专线网关的专线通道实现本地数据中心与多个私有网络的互联。
3) **专线网关**：私有网络的专线流量入口，可以通过接入多个专线通道与多个不同的 IDC 互联。专线网关通过集群方式实现，全路无单点故障风险，满足金融级网络互联要求。

专线网关是私有网络与物理专线打通的桥梁，您可以在物理专线内创建一条关联至某个专线网关的专线通道。专线网关可以连接来自多个物理专线的专线通道，从而与您的多个本地数据中心互通。用户可以在专线网关控制台为每个私有网络创建专线网关，每个私有网络仅支持创建一个专线网关，该专线网关可以连接来自不同物理专线的专线通道申请需求。

## 专线接入和VPN连接的区别
- **[VPN 连接](https://cloud.tencent.com/doc/product/215/4956)**利用公网和 IPsec 协议在您的数据中心和私有网络之间建立加密的网络连接。VPN 网关的购买、生效和配置可以在几分钟内完成。但是 VPN 连接可能会受到 Internet 抖动、阻塞等公网质量问题而中断，当用户业务对网络连接质量要求不高时，是一种快速部署的高性价比选择。
- **专线接入**则提供了一个您专用的专线网络连接方案，施工时间较长，但可以提供高质量、高可靠的网络连接服务，当用户业务对网络质量和网络安全要求较高时，可以选择此方案进行部署。

## 专线NAT
腾讯云专线NAT（Network Address Translation，网络地址转换）是混合云连接时将内网 IP 转换成其他 IP 的一种方式，包含 IP 转换和 IP 端口转换两种形式。使用专线 NAT 可以满足以下两种需求：
- 专线两端 IP 冲突。
- 需要屏蔽本端或对端的实际网段，不暴露给对方。

## IP 转换
IP 转换指将原 IP 转换为新的 IP 实现网络互访，分为**本端 IP 转换**和**对端 IP 转换**两种。IP转换不区分源、目的访问，新 IP 既可以主动访问对端，也可以被对端主动访问。

### 本端IP转换
指私有网络内原 IP 映射为新 IP，并以新 IP 身份与用户 IDC 互访。
本端 IP 转换中，原 IP 指私有网络内 IP，映射 IP ***不可以*** 位于私有网络 CIDR 范围内。
![](//mccdn.qcloud.com/static/img/89b1432e10828610a7287f1c5a150ec9/image.png)

**示例：**
私有网络内 IP A： `192.168.0.3` 映射为IP B： `10.100.0.3` ，则 IP A 对专线对端的主动访问网络包源 IP 将自动修改为 `10.100.0.3`，所有专线对端返回的 `10.100.0.3` 的网络包将自动指向IP A `192.168.0.3`。

**注意：**
- 您可以配置多条本端 IP 转换规则，并为每条本端 IP 转换规则配置网络 ACL，网络 ACL 支持源端口、目的 IP、目的端口配置。网络地址转换规则仅对符合 ACL 限制的网络请求生效。
- 本端 IP 转换不限制网络请求的方向，可以是私有网络主动访问专线对端，也支持专线对端主动访问私有网络。

### 对端IP转换
指用户 IDC 内原 IP 映射为新 IP，并以新 IP 身份与私有网络内 IP 互访。对端 IP 转换中，原 IP 指用户 IDC 的 IP，映射 IP ***不可以*** 位于私有网络 CIDR 范围内。
![](//mccdn.qcloud.com/static/img/a3cbf4c2a9b0c3ac3664b2a20d1768fd/image.png)

** 示例：**
专线对端 IP D： `10.0.0.3` 映射为 IP C： `172.16.0.3`，则 `10.0.0.3` 主动访问私有网络的网络包源 IP 将自动修改为 IP C `172.16.0.3`，所有私有网络返回给 IP C `172.16.0.3`的网络包将自动指向专线对端 IP D `10.0.0.3`。

![](//mccdn.qcloud.com/static/img/cfdd11f873c0db9a0027088e955e46b7/image.png)

** 注意：**
- 本端 IP 转换和对端 IP 转换映射 IP 不可以重叠，否则网络访问会出现异常。
- 当用户 IDC IP 与私有网络内 IP 冲突时，需要 ***同时*** 配置本端 IP 转换和对端 IP 转换，仅配置对端 IP 转换无法解决两边 IP 冲突的问题。
- 配置本端、对端 IP 转换后，专线网关仅会将转换后 IP 的路由下发至专线对端，因而本端、对端 IP 转换的原 IP 将无法 ping 通专线对端。但专线网关无法代替专业的网络防火墙，如果您需要高级的网络防护，请在私有网络内配置安全组和网络 ACL 策略，同时在您的 IDC 机房部署专业的物理网络防火墙设备。


## IP 端口转换
IP 端口转换指将源 IP 端口映射为新 IP 端口，并以新 IP 端口实现网络互访。IP 端口包含**本端源 IP 端口转换**、**本端目的 IP 端口转换**两种。
IP 端口转换强调方向性，源 IP 端口转换指主动外访，目的 IP 端口转换指被对端主动访问。

### 本端源 IP 端口转换
指私有网络内 IP 通过专线网关主动外访时，以指定 IP 池内的随机 IP 的随机端口访问专线对端的用户 IDC：
![](//mccdn.qcloud.com/static/img/4c4131dadd5b8c120f1f16c31cca46df/image.png)

** 示例：**

私有网络 C 网段为 `172.16.0.0/16`, 通过专线连接第三方银行 A 和 B，其中银行 A 对端网段为`10.0.0.0/28`，要求对接网段为 `192.168.0.0/28`；银行 B 对端网段为 `10.1.0.0/28`，要求对接网段为 `192.168.1.0/28`。则可以按照下面配置两条本端源IP端口转换：

- 地址池 A： `192.168.0.1-192.168.0.15`
- ACL 规则 A：源 IP `172.16.0.0/16` 目的 IP `10.0.0.0/28` 目的端口 `ALL`
- 地址池B： `192.168.1.1-192.168.1.15`
- ACL 规则 B：源 IP `172.16.0.0/16` 目的 IP `10.1.0.0/28` 目的端口 `ALL`

则私有网络内主动访问 A、B 的网络请求会根据 ACL 规则 A、B 分别转换为对应的地址池的随机端口访问对应的专线通道。

** 注意：**

- 本端源 IP 端口转换仅支持私有网络端主动发起的网络访问请求，如果专线对端需要主动访问私有网络内的 IP 端口，需要额外配置本端目的 IP 端口转换配置。
- 本端源 IP 端口转换私有网络主动发起的网络请求为有状态连接，因而不用考虑网络回包的问题。
- 本端源 IP 端口转换支持配置 ACL 规则，只有符合 ACL 规则的网络出访问才会匹配地址池转发规则。通过为地址池配置不同的 ACL 规则，您可以灵活配置多个第三方接入时的网络地址转换规则。

### 本端目的 IP 端口转换
指专线对端主动访问私有网络的一种方法，通过将私有网络内指定 IP 的指定端口映射为新的 IP 和端口，专线对端则只可以通过访问映射后 IP 端口来与私有网络内指定 IP 端口通信，其他 IP 端口则不对专线对端暴露：

![](//mccdn.qcloud.com/static/img/f5569c546acb766908cf99d7c7e15798/image.png)

** 示例：**
私有网络 C 的网段为 `172.16.0.0/16`，只希望开放若干端口给专线对端主动访问，则可以按照下面方案进行配置：
- 映射 A：原 IP 端口 `172.16.0.1:80` 映射 IP 端口 `10.0.0.1:80`
- 映射 B：原 IP 端口 `172.16.0.0:8080` 映射 IP 端口 `10.0.0.1:8080`

则专线对端可以主动访问 `10.0.0.1:80`、`10.0.0.1:8080`端口，实现对私有网络内 `172.16.0.1:80`、`172.16.0.0:8080`两个端口的主动访问。

** 注意：**

- 配置本端源、目的 IP 端口转换后，专线网关仅会将转换后 IP 端口路由下发至专线对端，因而会本端 IP 端口将无法主动发起请求或被动接受请求。但专线网关无法代替专业的网络防火墙，如果您需要高级的网络防护，请在私有网络内配置安全组和网络 ACL 策略，同时在您的 IDC 机房部署专业的物理网络防火墙设备。
- 当同时配置 IP 转换和 IP 端口转换时，优先匹配 IP 转换，IP 转换如果没有匹配中才会继续匹配IP 端口转换。
- 本端目的 IP 端口转换不支持 ACL 规则适配，因而 IP 端口转换规则将对专线网关所连接的所有专线通道生效。
- 本端目的 IP 端口转换仅对专线通道对端主动访问私有网络生效，如果私有网络需要主动访问专线对端，可以配置本端源 IP 端口转换。
- 本端目的 IP 端口转换的网络请求为有状态连接，无需考虑网络回包的问题。
- 本端目的 IP 端口转换中，您可以填入单个 IP 或一组连续的 IP 作为目的地址转换 IP 池。
- 本端目的 IP 端口转换中，您指定的原 IP 端口为私有网络内的 IP，映射 IP 端口为对端主动访问的转换后的 IP 端口，您在做端口映射规则时还需指定网络协议是 TCP 还是 UDP。



## 使用约束
关于**专线接入**您需要了解：
- 新建专线网关时，IP 转换和IP 端口转换内容默认为空，此时 IP 转换与 IP 端口转换均不生效。
- 专线通道支持 BPG 路由和静态路由两种路由方式。

关于**IP 转换**您需要了解：
- IP 地址池不可以在专线网关所在私有网络的 CIDR 范围内。
- 多个 IP 地址池的 ACL 规则不可以重叠，否则会导致网络地址转换冲突。
- 多个 IP 地址池之间 IP 不可以重叠。
- IP 地址池仅支持单 IP 或连续 IP，且连续 IP 的/24网段需保持一致，即支持 `192.168.0.1~192.168.0.6`，不支持 `192.168.0.1~192.168.1.2`。
- 地址池不支持广播地址（255.255.255.255）、D类地址（224.0.0.0~239.255.255.255）、E类地址（240.0.0.0~255.255.255.254）。
- 本端源 IP 端口转换最大支持 100 个 IP 地址池，每个地址池支持最大 20 条 ACL 规则（如果有需求可以发起工单提高配额）
- 当您需要从 IP 转换切换为 IP 端口转换时，请清空原 IP 转换规则，刷新页面后即可编辑 IP 端口转换规则。

关于**IP 端口转换**您需要了解：
- 原 IP 必须在专线网关所在私有网络 CIDR 范围之内
- 原 IP 端口唯一，即私有网络内同一 IP 端口只能唯一映射为一个 IP 端口
- 映射 IP 端口不可以在私有网络 CIDR 范围之内
- 映射 IP 端口不可以重复，即不存在一个 IP 端口映射多个私有网络 IP 端口
- 原 IP 和映射 IP 不支持广播地址（255.255.255.255）、D类地址（224.0.0.0~239.255.255.255）、E类地址（240.0.0.0~255.255.255.254）
- 本端目的 IP 端口转换最大支持 100 个 IP端口映射（如果有需求可以发起工单提高配额）
- 同时配置 IP 转换和 IP 端口转换时，如果同时命中优先匹配 IP 转换。

| 资源 | 限制 | 说明 |
|------|-----|-----|
| 物理专线 / 用户 | 10个 | |
| 专线通道 / 物理专线 | 10个 | |
| 专线网关 （支持NAT）/ 私有网络 | 1个 | |
| 专线网关 （不支持NAT）/ 私有网络 | 1个 | |
| 本端IP转换 / 专线网关 | 100条 | 可申请调高配额|
| 对端IP转换 / 专线网关 | 100条 | 可申请调高配额|
| 本端源IP端口转换IP数 / 专线网关 | 20个 | 可申请调高配额|
| 本端目的IP端口转换 / 专线网关 | 100条 | 可申请调高配额|

## 计费方式

物理专线目前共有两种建设模式：腾讯云建设、用户建设。
- 腾讯云建设专线由腾讯云向运营商发起建设，并承担全部的运维和管理；
- 用户建设物理专线由用户向运营商主动发起建设，并由运营商负责专线的运维和管理，腾讯云负责专线的接入调试和腾讯云部分设备的运维和管理。根据建设模式不同，专线接入收取不同的费用。

专线价格详情请联系专线经理或客服。

## 	到期处理
物理专线由于运营商原因，仅提供按年的预付费支付模式。在物理专线到期前 1 个月，专线经理将与您联系确认第二年的专线使用需求，您需要提前确认是否继续使用：
- 如果不继续使用，专线将在有效期失效后进入销毁流程，删除此专线及对应专线通道；
- 如果继续使用，请您在专线到期前及时续费，否则专线到期后将停止网络服务；
- 停服专线如果 1 个月内没有完成续费充值，专线将进入销毁流程，删除此专线及对应专线通道。
专线服务是否继续使用，需要您通过邮件告知作为参考依据。

## 操作指南
如果您选择使用专线接入打通您的数据中心和在腾讯云上的 VPC，那么您需要完成以下步骤：
第一步：创建物理专线
第二步：创建专线通道
第三步：创建专线网关接入专线通道，从而打通数据中心和您的VPC。
（可选）第四步：配置专线NAT
第五步：配置需要通信的子网所关联的路由表。

下面将对这些步骤进行详细描述：
### 第一步：创建物理专线
1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【专线接入】-【物理专线】选项卡，点击【新建】按钮。
2) 您需要仔细核实本地数据中心所在地、专线接入运营商和物理专线的网络带宽，这些参数一旦确认将无法更改。填入物理专线的基础申请信息后，我们会根据您的本地数据中心所在地给出推荐的价格，您的申请操作并不需要支付此部分费用。
3) 点击确认后，您即可在专线控制台【申请记录】页，找到您的专线申请记录。我们的专线经理将在1个工作日内与您联系，沟通专线接入的详细细节，确认专线接入条件满足后，专线申请记录将扭转为“待付款”状态。如果沟通后，腾讯云无法提供用户专线需求，专线经理将把专线申请记录扭转为“申请拒绝”。

根据建设模式不同，本地数据中心所在城市不同，专线接入带宽不同，您将支付不同的费用。一旦确认并成功支付后，我们将根据此信息进行施工，施工过程中如果出现参数错误，您将承担此条错误专线建设的全部费用。物理专线一旦进入施工中状态将无法删除，施工结束后您将在物理专线控制台看到此条物理专线状态为“运行中”。

![](//mccdn.qcloud.com/img567fa85e57aa3.png)

### 第二步：创建专线网关接入专线通道
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，点击【专线网关】选项卡。
2) 点击【新建】按钮，弹出专线网关创建页。
3) 填写名称、私有网络和地址映射模式，选择是否开启网络地址转换功能,（**网络地址转换功能目前仅以内测方式提供**，请通过工单或您的客户经理开通网络地址转换功能）。
4) 填写完成后点击确认，完成专线网关的创建。

### 第三步：创建专线通道
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【专线接入】-【专线通道】选项卡。
2) 当您有处于“运行中”的物理专线时，即可创建专线通道，用于物理专线内网络链路的建立。点击【新建】按钮，弹出专线通道创建页。

专线通道支持 BPG 路由和静态路由两种路由方式，BPG 路由需要填入 BGP ASN 和 BGP 秘钥。
我们将为您自动配置 Vlan ID 和 Peer IP。

专线通道创建后，我们需要1~2个工作日进行网路变更部署，期间有任何问题请与我们的专线经理直接沟通。

### （可选）第四步：配置专线 NAT
您可以在专线网关页配置网关的网络地址转换，网络地址转换分为 IP 转换和 IP 端口转换两种。
#### IP 转换配置
IP 转换指将原 IP 转换为新的 IP 实现网络互访，分为本端 IP 转换和对端 IP 转换两种。IP 转换不区分源、目的访问，新 IP 既可以主动访问对端，也可以被对端主动访问。具体操作如下：

1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，点击左导航栏【专线网关】选项卡。
2) 点击专线网关 ID 进入专线网关详情页。
3) 编辑【本端 IP 转换】规则。

- 新增：在 IP 映射页左上角，点击蓝色【新增】，输入原 IP、映射 IP 及备注即可；新增本端 IP 转换规则默认添加了 ALL PASS 的 ACL 规则，即本端 IP 转换对所有专线通道生效，您可以编辑本端 IP 转换的 ACL 规则，以改变本端 IP 转换的适用范围；
- 删除：点击 IP 转换规则行右边【删除】并确认即可，IP 转换规则删除后将联动删除该 IP 转换规则下的 ACL 规则；
- 修改：点击 IP 转换规则行右边【修改 IP 映射】，即可编辑本端 IP 转换规则的原 IP、映射 IP 和备注，点击确认后 IP 转换生效。

4）配置本端 IP 转换的网络 ACL 规则。
ACL 规则支持 TCP 和 UDP 协议，本端 IP 映射 ACL 规则支持源端口、目的 IP、目的端口。其中端口、IP 不填代表 ALL。当协议选择 ALL 时，端口和 IP 默认均选择 ALL。
- 新增：在 IP 映射规则右边点击【编辑 ACL 规则】，在已有 ACL 规则底部点击【新增一条】即可添加；
- 删除：在 IP 映射规则右边点击【编辑 ACL 规则】进入 ACL 编辑态，点击【删除】并确认即可删除此 ACL 规则，也可以直接点击 ACL 规则旁边的【删除】按钮完成删除操作。
- 修改：在 IP 映射规则右边点击【编辑 ACL 规则】进入 ACL 编辑态即可修改 ACL 规则，也可以直接点击 ACL 规则旁边的【修改】按钮完成修改操作。


#### IP 端口转换的配置
IP 端口转换指将原 IP 端口映射为新 IP 端口，并以新 IP 端口实现网络互访，包含**本端源 IP 端口转换**、**本端目的 IP 端口转换**两种。具体操作如下：

1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，点击左导航栏【专线网关】选项卡。
2) 点击专线网关 ID 进入专线网关详情页。
3) 在专线网关详情页，点击【本端源 IP 端口转换】，本端源 IP 端口转换配置分成两步：

**第一步：配置本端 IP 端口转换地址池**
- 新增：在映射 IP 池页面中点击【新增】，输入映射 IP 池（支持 IP 或 IP 段）和备注（可选）即可，新增 IP 池的 ACL 规则为 ALL DROP，需要额外编辑 ACL 规则才可以实现网络转换；
- 删除：在 IP 地址池所在行右边点击【删除】即可删除此地址池，地址池删除后将自动删除地址池关联的 ACL 规则；
- 修改：在 IP 地址池所在行右边点击【修改映射IP池】，即可对此映射 IP 池的 IP 和备注进行编辑。

**第二步：配置 IP 地址池的网络 ACL 规则**
ACL 规则支持配置协议（支持 TCP 或 UDP）、源 IP、源端口、目的 IP、目的端口。
- 新增：在 IP 地址池所在行右边点击【编辑ACL规则】，即可进入 ACL 编辑态，点击规则最下方【新建一行】，即可添加新的 ACL 规则；
- 删除：在 IP 地址池所在行右边点击【编辑ACL规则】，即可进入 ACL 编辑态，点击规则最右边的【删除】即可删除此 ACL 规则，另外也可以在 ACL 规则展示态下，点击最右边【删除】；
- 修改：在 IP 地址池所在行右边点击【编辑ACL规则】，即可进入 ACL 编辑态，另外也可以在 ACL 规则展示态下，点击最右边【修改】。

4) 配置本端目的 IP 端口转换
在专线网关详情页，点击【本端目的IP端口转换】选项卡。
新增：在 IP 端口映射页点击【新增】，即可添加新的 IP 端口映射；
删除：在 IP 端口映射所在行右侧点击【删除】，即可删除此映射；
修改：在 IP 端口映射所在行右侧点击【修改 IP 端口映射】，即可修改此 IP 端口映射的映射关系及备注。

### 第五步：配置需要通信的子网所关联的路由表。
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】, 进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)。
2)	点击左导航栏中【路由表】，点击需要通信的子网所关联的路由表 ID 进入详情页。
3)	点击【编辑按钮】，点击【新增一行】，输入目的端网段，选择下一跳类型【专线网关】，再选择下一跳网关名。
4)	点击【保存】。

### 第六步：设置告警
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击顶部导航条【云产品】-【监控与管理】-[【云监控】](https://console.cloud.tencent.com/monitor/overview)，选择左导航栏内的【我的告警】-[【告警策略】](https://console.cloud.tencent.com/monitor/policylist)，点击：新增告警策略。
2)	填写告警策略名称，在策略类型中选择【物理专线】或【专线通道】，然后添加告警触发条件。
3)	**关联告警对象**：选择告警接收组，保存后即可在告警策略列表中查看已设置的告警策略。
4)	**查看告警信息**：告警条件被触发后，您将接受到短信/邮件/站内信等通知，同时可以在左导航【我的告警】-【告警列表】中查看。有关告警的更多信息，请参考[创建告警](https://cloud.tencent.com/doc/product/248/1073)。


### 开启网关流控明细
开启后，可限制某个IP流向该专线网关的出带宽。
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，选择【专线网关】。
2) 在 NAT 网关列表中点击 ID 进入 NAT 网关详情页。
3) 点击监控tab，开启右上角 开启网关流控明细 开关
开启网关流控明细，需要5-6采集数据、发布数据，一段时间您可在监控图表下方查看监控明细表格。

>注：该功能处于内测中，请提工单申请

### 设置网关流控
您在开启网关流控明细，可设置某个IP待改专线网关的出带宽。
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，选择【专线网关】。
2) 在 NAT 网关列表中点击 ID 进入 NAT 网关详情页。
3) 点击监控tab，找到需要设置监控明细的IP，设置其出带宽限制。

### 查看网关流控
1)	登录[腾讯云控制台](https://console.cloud.tencent.com/)点击导航条【私有网络】，进入[私有网络控制台](https://console.cloud.tencent.com/vpc/vpc?rid=8)，选择【专线网关】。
2) 在 NAT 网关列表中点击 ID 进入 NAT 网关详情页。
3) 点击监控tab，在网关流控明细表右上方，点击“查看已限制IP”

## API概览
您可以使用命令行或API操作来设置和管理专线网关，有关 VPC API 的更多内容可以参考[私有网络所有 API 概览](https://cloud.tencent.com/doc/product/215/4954)。

| 接口功能 | Action ID |  功能描述 |
|---------|---------|---------|
| 创建专线网关 | [CreateDirectConnectGateway](https://cloud.tencent.com/doc/api/245/4824) | 创建专线网关。 |
| 修改专线网关属性 | [ModifyDirectConnectGateway](https://cloud.tencent.com/doc/api/245/4825) | 修改专线网关属性。|
| 删除专线网关 | [DeleteDirectConnectGateway](https://cloud.tencent.com/doc/api/245/4826) | 删除专线网关。 |
| 查询专线网关 | [DescribeDirectConnectGateway](https://cloud.tencent.com/doc/api/245/4827) | 查询专线网关。 |
| 添加专线网关本端IP转换 | [CreateLocalIPTranslationNatRule](https://cloud.tencent.com/doc/api/245/5185) | 添加专线网关本端IP转换。 |
| 删除专线网关本端IP转换 | [DeleteLocalIPTranslationNatRule](https://cloud.tencent.com/doc/api/245/5186) | 删除专线网关本端IP转换。 |
| 修改专线网关本端IP转换 | [ModifyLocalIPTranslationNatRule](https://cloud.tencent.com/doc/api/245/5187) | 修改专线网关本端IP转换。 |
| 查询专线网关本端IP转换 | [DescribeLocalIPTranslationNatRule](https://cloud.tencent.com/doc/api/245/5188) | 查询专线网关本端IP转换。 |
| 添加专线网关本端源IP端口转换 | [CreateLocalSourceIPPortTranslationNatRule](https://cloud.tencent.com/document/product/215/5190) | 添加专线网关本端源IP端口转换。 |
| 删除专线网关本端源IP端口转换 | [DeleteLocalSourceIPPortTranslationNatRule](https://cloud.tencent.com/document/product/215/5191) | 删除专线网关本端源IP端口转换。 |
| 修改专线网关本端源IP端口转换 | [ModifyLocalSourceIPPortTranslationNatRule](https://cloud.tencent.com/document/product/215/5192) | 修改专线网关本端源IP端口转换。 |
| 添加专线网关本端目的IP端口转换 | [CreateLocalDestinationIPPortTranslationNatRule](https://cloud.tencent.com/document/product/215/5195) | 添加专线网关本端目的IP端口转换。 |
| 删除专线网关本端目的IP端口转换 | [DeleteLocalDestinationIPPortTranslationNatRule](https://cloud.tencent.com/document/product/215/5196) | 删除专线网关本端目的IP端口转换。 |
| 修改专线网关本端目的IP端口转换 | [ModifyLocalDestinationIPPortTranslationNatRule](https://cloud.tencent.com/document/api/215/5197) | 修改专线网关本端目的IP端口转换。 |
| 查询专线网关本端目的IP端口转换 | [DescribeLocalDestinationIPPortTranslationNatRule](https://cloud.tencent.com/document/product/215/5198) | 查询专线网关本端目的IP端口转换。 |
| 添加专线网关对端IP转换 | [CreatePeerIPTranslationNatRule](https://cloud.tencent.com/doc/api/245/5190) | 添加专线网关对端IP转换。 |
| 删除专线网关对端IP转换 | [DeletePeerIPTranslationNatRule](https://cloud.tencent.com/doc/api/245/5191) | 删除专线网关对端IP转换。 |
| 修改专线网关对端IP转换 | [ModifyPeerIPTranslationNatRule](https://cloud.tencent.com/doc/api/245/5192) | 修改专线网关对端IP转换。 |
| 查询专线网关对端IP转换 | [DescribePeerIPTranslationNatRule](https://cloud.tencent.com/doc/api/245/5193) | 查询专线网关对端IP转换。 |
| 添加本端IP转换 acl策略 | [CreateLocalIPTranslationAclRule](https://cloud.tencent.com/doc/api/245/5205) | 添加本端IP转换 acl策略。 |
| 删除本端IP转换 acl策略 | [DeleteLocalIPTranslationAclRule](https://cloud.tencent.com/doc/api/245/5206) | 删除本端IP转换 acl策略。 |
| 修改本端IP转换 acl策略 | [ModifyLocalIPTranslationAclRule](https://cloud.tencent.com/doc/api/245/5207) | 修改本端IP转换 acl策略。 |
| 查询本端IP转换 acl策略 | [DescribeLocalIPTranslationAclRule](https://cloud.tencent.com/doc/api/245/5208) | 查询本端IP转换 acl策略。 |
| 添加本端IP端口转换 acl策略 | [CreateLocalSourceIPPortTranslationAclRule](https://cloud.tencent.com/doc/api/245/5211) | 添加本端IP端口转换 acl策略。 |
| 删除本端IP端口转换 acl策略 | [DeleteLocalSourceIPPortTranslationAclRule](https://cloud.tencent.com/doc/api/245/5212) | 删除本端IP端口转换 acl策略。 |
| 修改本端IP端口转换 acl策略 | [ModifyLocalSourceIPPortTranslationAclRule](https://cloud.tencent.com/doc/api/245/5213) | 修改本端IP端口转换 acl策略。 |
| 查询本端IP端口转换 acl策略 | [DescribeLocalSourceIPPortTranslationAclRule](https://cloud.tencent.com/doc/api/245/5214) | 查询本端IP端口转换 acl策略。 |
