负载均衡主要可以应用于以下场景中：

- 横向扩展应用系统的服务能力，适用于各种web server和app server。
- 消除应用系统的单点故障，当其中一部分CVM实例宕机后，应用系统仍能正常工作。

以下是一个四层协议中双向隐藏（出访公网/公网访问）后端服务器集群的例子：
![](https://mc.qcloudimg.com/static/img/cd7f959b5cb25840e4bf1207c0c5cfdb/image.png)

云服务器（CVM1、CVM2）部署在region1的VPC中，不具备公网IP，不可主动与公网通信。
- 当Internet上的资源访问云服务器上的服务时，必须通过统一的负载均衡服务VIP（115.159.xxx.xxx）进行访问。负载均衡器负责将所有请求使用一定的均衡策略分发到后端的服务器上，Internet对后端服务器集群完全无感知。后端服务器处理请求后，回包流量也通过负载均衡返回客户端，做到了对后端服务器的有效隐藏。
- 当云服务器集群需要主动出访公网时，不经过负载均衡，通过配置路由表并通过一个Internet网关（VM1）进行NAT转发。对于Internet上的资源来说，请求的地址始终为Internet网关的公网IP（115.159.111.xxx），Internet上的资源对后端服务器集群完全无感知,做到了服务器端的隐藏，提升了后端服务器的安全性。

## 流量分发
- 通过设置负载均衡的虚拟服务地址（VIP）和网站域名，将多台web接入层服务器虚拟成一个高性能、高可用的接入层服务池，所有的公网请求都通过CLB进入，既安全又节省了公网ip地址。
- 负载均衡将保证请求会均匀的转发到每一个接入层服务器，接入层服务器可使用廉价的、配置一致的虚拟机，或Docker容器来承载
![](//mccdn.qcloud.com/static/img/6585e3793ca8a62f369886a0bfb8a95b/image.jpg)

## 横向扩展
- 负载均衡结合Autoscaling动态伸缩组，可为您自动创建和释放CVM实例。接入层web服务器可随公网的访问压力的增加/减少，响应的增加/减少。
- 电商行业的的双11、6.18等大促销活动，web访问量可能瞬间陡增10倍，且只持续短暂的数小时。使用负载均衡及Autoscaling能最大限度的节省IT成本
![](//mccdn.qcloud.com/static/img/12c928f0c558e9b5340ae4a6abf6e57c/image.jpg)

## 业务分离
- 典型的WEB业务如论坛、网站等，建议将图片服务、文本服务等不同业务进行分离，便于网页开发迭代
- 业务分离后，每个负载均衡实例及后端关联服务器组作为一个独立的业务集群
- 在DNS服务商（如DNSpod）可添加多条A记录，从而实现不同业务之间的域名跳转、重定向
- 大型网站常有上百个业务子模块，使用负载均衡及DNS解析，对外的门户网站首页的访问地址，可收敛为负载均衡的1个公网地址以及1个自有域名。便于client端客户的访问
![](//mccdn.qcloud.com/static/img/4ac58aa5cd4385f9316a2099503b911c/image.png)
