负载均衡服务主要由负载均衡监听器提供。监听器负责监听负载均衡实例上的请求、执行策略分发至后端服务器等服务，具有以下功能。

## 1. 四层转发能力
负载均衡监听器监听负载均衡实例上的四层请求（即OSI网络协议模型第四层传输层），并将这些请求分发至后端服务器进行处理。四层转发能力通过以下配置实现：
### 1.1. 端口配置
- 协议：支持四层协议，包括TCP和UDP。
- 负载均衡端口：负载均衡器对外或对内提供服务时接收请求的前端端口。用户可以为下列 TCP 端口执行负载均衡：21（FTP）、25（SMTP）、80（Http）、443（Https），以及 1024-65535等端口。***前端端口在同一个负载均衡实例内可以重复*** ，比如用户可以创建 TCP：22-23  UDP 22-24 等端口。
- 后端服务器端口：后端服务器接受负载均衡分发流量的端口。在同一个负载均衡中，一个负载均衡端口可以对应多个云服务器端口。***后端端口在同一个负载均衡实例内不可重复***

四层转发情况下客户端来源IP将直接发送给后端服务器，获取客户端IP能力默认开启。
>注：对于私有网络中的内网型负载均衡实例，后端服务器无法获取客户端IP，仅能获取负载均衡器的VIP。

### 1.2. 健康检查
健康检查帮助用户自动识别后端服务器的运行状况，自动隔离异常的服务器。

四层转发的健康检查机制由负载均衡器向配置中指定的服务器端口发起访问请求，如果端口访问正常则视为后端服务器运行正常，否则视为后端服务器运行异常。对于TCP的业务，使用SYN包进行探测。对于UDP业务，使用ping进行检查。

- 响应超时时间： 2-60 秒 
- 检查间隔： 5-300 秒 
- 不健康阀值：2-10 次 （健康后端服务器出现此指定次数响应超时后，视为不健康）
- 健康阀值：2-10 次（不健康后端服务器出现此指定次数响应超时后，视为健康）

### 1.3. 后端服务器权重配置
四层转发能力使用加权轮询的分流方式，流量经负载均衡器后按权重比例分配到不同后端服务器上。后端服务器的权重默认为10，可设置0-100范围内的整数。

> 注：
- 当后端服务器权重配置为0时，负载均衡实例将不再往该服务器转发流量
- 负载均衡实例向后端服务器转发的流量，将按实际配置的权重比例计算。例如：一个负载均衡实例绑定了2台后端服务器，若A服务器配置权重为40，B服务器配置权重为60，则两台服务器的流量接收比例为2：3
- 当所有后端服务器权重设置值相同时（如默认值10），流量将均匀地转发至所有后端服务器。例如：一个负载均衡实例绑定了2台后端服务器，权重均为默认值10，则流量将按50：50的比例进行转发；若该负载均衡实例新增加了一台权重设置为默认值10的后端服务器，则流量将按33：33：33的比例进行转发；若该实例又新增加了一台权重设置为默认值10的后端服务器则流量将按25：25：25：25的比例进行转发
- 启用了会话保持功能后，流量则不会完全按照权重比例转发  

### 1.4. 会话保持
会话保持可使得来自同一IP（网段）的请求被转发到同一台后端服务器上。

四层转发情景支持简单会话保持能力，会话保持时间可设为 0-3600 秒中的任意整数值，超过该时间阀值，会话中无新请求则断开连接。关于简单会话保持的更多信息可以参考[这里](http://cloud.tencent.com/doc/product/214/%E4%BC%9A%E8%AF%9D%E4%BF%9D%E6%8C%81%E5%8E%9F%E7%90%86#3.1.-.E7.AE.80.E5.8D.95.E4.BC.9A.E8.AF.9D.E4.BF.9D.E6.8C.81.EF.BC.88.E5.9B.9B.E5.B1.82.E4.BC.9A.E8.AF.9D.E4.BF.9D.E6.8C.81.EF.BC.89)。

## 2. 七层转发能力
负载均衡监听器监听负载均衡实例上的七层请求（即OSI网络协议模型第七层应用层），并将这些请求分发至后端服务器进行处理。七层转发能力通过以下配置实现：
### 2.1. 端口配置
- 协议：支持七层协议中的HTTP/HTTPS协议。
- 负载均衡端口：负载均衡器对外或对内提供服务时接收请求的前端端口，***前端端口在同一个负载均衡实例内可以重复*** 。
- 后端服务器端口：后端服务器接受负载均衡分发流量的端口。在同一个负载均衡中，一个负载均衡端口可以对应多个云服务器端口。***后端端口在同一个负载均衡实例内不可重复***

七层转发情况下客户端来源IP将直接发送给后端服务器 （通过配置proxy_set_header X-Forwarded），获取客户端IP能力默认开启。
>注：对于私有网络中的内网型负载均衡实例，后端服务器无法获取客户端IP，仅能获取负载均衡器的VIP。

### 2.2. 健康检查
健康检查帮助用户自动识别后端服务器的运行状况，自动隔离异常的服务器。

七层转发的健康检查机制由负载均衡器向后端服务器发送 HTTP 请求来检测后端服务，负载均衡器会通过 HTTP 返回值是否为http_2xx、http_4xx来判断服务是否正常。后续将推出用户自定义的方式，对响应代码所代表的状态进行描述。假定在某场景下，HTTP返回值为 http_1xx、 http_2xx、http_3xx、http_4xx 和 http_5xx 这几种，用户可以根据业务需要编辑http_1xx及http_2xx为服务正常状态，并设置 http_3xx至http_5xx的返回值代表异常状态。

- 响应超时时间暂不能设置，默认为 5s 
- 检查间隔 6-300s，默认为6s 
- 不健康阀值：2-10 次，默认为3次 （健康后端服务器出现此指定次数响应超时后，视为不健康）
- 健康阀值：2-10 次，默认为3次（不健康后端服务器出现此指定次数响应超时后，视为健康）


### 2.3. 后端服务器权重配置
七层转发能力使用加权轮询和ip_hash的分流方式，后端服务器的权重默认为10，可设置1-100范围内的整数。流量经负载均衡器后按权重比例，或经过访问来源IP地址的哈希结果分配到不同后端服务器上。

使用加权轮询方式时需要注意：
- 当后端服务器权重配置为0时，负载均衡实例将不再往该服务器转发流量
- 负载均衡实例向后端服务器转发的流量，将按实际配置的权重比例计算。例如：一个负载均衡实例绑定了2台后端服务器，若A服务器配置权重为40，B服务器配置权重为60，则两台服务器的流量接收比例为2：3
- 当所有后端服务器权重设置值相同时（如默认值10），流量将均匀地转发至所有后端服务器。例如：一个负载均衡实例绑定了2台后端服务器，权重均为默认值10，则流量将按50：50的比例进行转发；若该负载均衡实例新增加了一台权重设置为默认值10的后端服务器，则流量将按33：33：33的比例进行转发；若该实例又新增加了一台权重设置为默认值10的后端服务器则流量将按25：25：25：25的比例进行转发
- 启用了会话保持功能后，流量则不会完全按照权重比例转发  

### 2.4. 会话保持
会话保持可使得来自同一（网段）IP的请求被转发到同一台后端服务器上。

七层转发情景支持基于cookie插入的会话保持能力（由负载均衡器向客户端植入 cookie）。

会话保持时间暂时不支持可调整，默认为75s。超过该时间阀值，会话中无新请求则断开连接。关于插入cookie会话保持的更多信息可以参考[这里](http://cloud.tencent.com/doc/product/214/%E4%BC%9A%E8%AF%9D%E4%BF%9D%E6%8C%81%E5%8E%9F%E7%90%86#3.3.-.E5.9F.BA.E4.BA.8Ecookie.E7.9A.84.E4.BC.9A.E8.AF.9D.E4.BF.9D.E6.8C.81.EF.BC.88.E4.B8.83.E5.B1.82.E4.BC.9A.E8.AF.9D.E4.BF.9D.E6.8C.81.EF.BC.89)。

