同所有云服务器一样，负载均衡的后端服务器实例可以通过 安全组 进行访问控制，起到防火墙的作用。可将一个或多个安全组与后端云服务器关联，并对每个安全组添加一条或多条规则控制不同服务器的流量访问权限。您可以随时修改某个安全组的规则，新规则会自动应用于与该安全组关联的所有实例。有关更多信息，请参阅 [安全组 产品文档](/doc/product/213/5221)。在 [私有网络](/doc/product/213/5227)环境中，您还可以使用 [网络ACL](/doc/product/215/5132)进行访问控制。
 
您可使用安全组使后端实例仅接收来自负载均衡的流量，也可以控制其可以接收其他来源的流量。但需要注意的是，<font color="red">必须确保实例的安全组允许负载均衡在其监听器端口和健康检查端口上与后端实例进行通信</font>。在 VPC 中，您的安全组和网络 ACL 必须在这些端口上允许两个方向的流量。

## 负载均衡安全组的推荐规则
LB安全组配置梳理如下：

![](https://mc.qcloudimg.com/static/img/3a6b17d397868d9f1de9e02eae38dccb/image.png)

|类型|SNAT处理|健康检查流量| 安全组推荐配置|备注|
| :-------- | :--------| :----- |:---- |:---- |
| 公网负载均衡 | 否| 通过LB vip发起 | 如果希望指定固定ip访问，则需放通client ip和LB vip；如果不需要指定ip访问，建议放通对应监听器端口的全部ip 即0.0.0.0/0 |  基础网络/VPC均适用 |
| 内网负载均衡（16年12月5日前购买）| 是 | 无需配置，默认放通健康检查ip | 由于client ip经过SNAT处理，需要放通LB vip |基础网络/VPC均适用 |
| 内网负载均衡（16年12月5日后购买）| 否 | 无需配置，默认放通健康检查ip | 放通client ip即可保证正常访问 |基础网络/VPC均适用 |

**应用场景1：**
公网负载均衡，监听器配置为TCP：80 端口，希望只允许client ip（clientA ip 和clientB ip）访问负载均衡，则后端服务器安全组规则配置如下：
```
clientA ip+80 allow
clientB ip+80 allow
LB vip +80 allow
0.0.0.0/0 +80 drop
```

**应用场景2：**
公网负载均衡，监听器配置为HTTP+port端口，希望开放80端口下所有ip的正常访问，则后端服务器安全组配置如下：
```
0.0.0.0/0 +80 allow
```

**应用场景3：**
内网负载均衡（16年12月5日之后的新购LB），在VPC私有网络下，配置为TCP:80端口，希望只允许client ip（clientA ip和clientB ip）访问负载均衡的vip，并且希望限制client ip只能访问该LB下绑定的后端主机。

a. 后端服务器安全组配置如下：
```
clientA ip+80 allow
clientB ip+80 allow
0.0.0.0/0 +80 drop
```
b. client端服务器安全组配置如下：
```
LB vip+80 allow
0.0.0.0/0 +80 drop
```
**应用场景4：黑名单**
如用户需要给某些client ip设置黑名单，拒绝其访问，可以通过配置云服务关联的安全组实现。安全组的规则需要按照如下步骤进行配置：
- 将需要拒绝访问的client IP+端口添加至安全组中，并在策略栏中选取拒绝该ip的访问。
- 设置完毕后，再添加一条安全组规则，默认开放该端口全部ip的访问。
配置完成后，安全组规则如下：
```
clientA ip+port drop
clientB ip+port drop
0.0.0.0/0+port accept
```
注:
上述配置步骤有***顺序要求***，顺序相反会导致黑名单配置失效。
安全组是有状态的，因此上述配置均为***出站规则***的配置，入站规则无需特殊配置。

## 使用控制台管理后端服务器安全组
1) 登录[负载均衡控制台](https://console.cloud.tencent.com/loadbalance)，点击相应的负载均衡实例 ID 进入负载均衡详情页。

2) 在【后端服务器】选项卡中，点击相应的后端服务器ID进入云服务器详情页。

3) 点击【安全组】选项卡，在【已加入安全组】下点击【编辑】按钮，即可编辑当前关联的安全组；点击【配置安全组】可以添加新的安全组关联。

## 使用 API 管理后端服务器安全组
请参考 [ModifySecurityGroupsOfInstance 接口](https://cloud.tencent.com/doc/api/229/1367) 和 [ModifySecurityGroupPolicy 接口](https://cloud.tencent.com/doc/api/229/1365)

