负载均衡将请求路由至运行正常的后端云服务器实例，如果请求对实例的需求上升，用户需要向负载均衡器添加更多实例以处理需求。

解绑后端服务器会解除负载均衡实例与云服务器实例的关联关系，立即停止对其的请求转发，<font color="red">但不会对云服务器的生命周期产生任何影响</font>，您可以在准备好时再次将它添加至后端服务器集群中。

如果负载均衡实例与某个弹性伸缩组关联，则该组中的实例会自动添加至负载均衡后端实例，从弹性伸缩组移除的云服务器实例会自动从负载均衡后端服务器中删除。

## 添加负载均衡后端实例
### 使用控制台添加负载均衡后端实例

1) 登录[负载均衡控制台](https://console.cloud.tencent.com/loadbalance)，点击相应的负载均衡实例 ID 进入负载均衡详情页。

2) 在绑定云主机选项卡中，点击【绑定云主机】按钮。

3) 在弹出框中会展示<font color="red"> 同地域、相同网络环境、未被隔离、未过期、带宽（峰值）不为 0 </font>的可选云服务器列表。选择所有需要关联的云服务器，点击【确定】按钮。

即可完成云服务器与负载均衡关联操作。

### 使用 API 添加负载均衡后端实例

请参考 [RegisterInstancesWithLoadBalancer 接口](https://cloud.tencent.com/doc/api/244/1265)。

## 修改负载均衡后端服务器权重
后端服务器权重决定了云服务器被转发的请求相对数量。有关负载均衡后端服务器权重的更多信息，可以参考 [负载均衡轮询方式](/doc/product/214/6153)。

### 使用控制台修改负载均衡后端服务器权重

1) 登录 [负载均衡控制台](https://console.cloud.tencent.com/loadbalance)，点击相应的负载均衡实例 ID 进入负载均衡详情页。

2) 在绑定云主机选项卡中，点击相应云主机权重栏的【修改】按钮，即可修改相应后端云服务器的权重。

### 使用 API 修改负载均衡后端服务器权重
请参考 [ModifyLoadBalancerBackends 接口](https://cloud.tencent.com/doc/api/244/1264)。

## 解绑负载均衡后端服务器

### 使用控制台解绑负载均衡后端服务器

1) 登录 [负载均衡控制台](https://console.cloud.tencent.com/loadbalance)，点击相应的负载均衡实例 ID 进入负载均衡详情页。

2) 在绑定云主机选项卡中，点击相应云主机后的【解绑】按钮，即可解除相应后端云服务器与负载均衡的绑定关系。
