
> 【分期乐】是一家专注于大学生分期购物的在线商城及金融服务提供商，提供分期贷款和还款服务。公司以“打造最受年轻人信赖的分期购物商城”为愿景，为高成长人群提供最新潮的分期购物及消费方式，提供简单快捷的办理流程。

![](//mc.qcloudimg.com/static/img/5607fd04d0d9592131f8d72b759b5c75/image.png)
 
## 1. 原有架构及问题

原分期乐（fenqile.com）的电商门户，有三十多个业务模块，通过多个二级域名、公网IP来分隔业务模块。门户的日PV超过亿次，峰值带宽超过5GB。因此，在兼顾服务性能的同时，怎样处理高峰时期的流量是很重要的问题。原方案是在分期乐的IDC中自行部署nginx做接入层的负载均衡，但出现了丢包频繁，二级域名无法精准匹配，域名解析速度慢等问题。因此，分期乐希望借助云平台中的负载均衡服务，助力双十一大促的业务保障。

## 2. 具体解决方案

本次大促的顺利进行，主要使用了腾讯云的[公网应用型负载均衡](https://cloud.tencent.com/product/clb.html)产品，分期乐作为前期受邀客户体验了应用型负载均衡。具体而言，腾讯云为分期乐提供了如下解决方案，保证了分期乐九月开学大促、双十一大促中流量的稳定分发。

![](//mc.qcloudimg.com/static/img/a2239aeb6f3373b779ba1b5b19d617d5/image.png)
 
### 1)	提供基于内容的路由转发能力

公网应用型负载均衡能够获取HTTP头部信息，并根据用户实际需要，将请求路由到不同的后端服务器集群，从而让负载均衡基于内容进行路由转发，实现了业务分离。此外，公网应用型负载均衡能够提供细致到转发组级别的健康检查，具有更强灵活性，满足多种业务场景。**大促当天，门户的日PV超过亿次，峰值带宽超过5GB，支持了过亿的交易额。**

例如，分期乐业务架构中，通过自定义域名/URL，实现了基于内容的路由转发。根据业务类型，分期乐配置了a.fenqile.com/image和a.fenqile.com/text两个URL路径。公网应用型负载均衡可以识别请求内容，将后缀带有/image的请求转发到后端服务器群组1，并将后缀带有/text的请求转发到后端服务器群组2。

### 2)	提升访问速度，减少DNS轮询

腾讯云公网应用型负载均衡支持用户通过自定义转发路径代替二级域名，有效减少DNS轮询次数，提升用户访问速度，保证服务的高效运行。手机app端客户访问分期乐，**速度提升15%以上。**

例如，分期乐业务架构中，原有服务需要a.fenqile.com和b.fenqile.com来承载，使用公网应用型负载均衡服务后，只需要通过a.fenqile.com/a和a.fenqile.com/b这两个转发规则承载，从而大幅减少二级域名的使用，减少了DNS轮询次数。

### 3)	专线混合云方案

腾讯云混合云业务，为企业提供海量计算、存储、CDN、网络等资源。通过灵活的权重配置将业务逐步迁移至云端，结合专线的数据传输，令企业实现灵活、快速、高可靠，低成本业务部署。

例如，分期乐客户采用腾讯云专线混合云方案，有如下优势：

- 客户可以逐步将业务迁移到云端，例如mall.fenqile.com/iphone这个域名，首先通过权重的配比，将30%的流量迁移到腾讯云，70%的流量回IDC。在稳定运营后，再逐步增加腾讯云端的权重，平稳替换原有数据中心IDC的服务。

- 云上机房可以实现弹性伸缩autoscaling，当流量增大时，可以及时横向扩展后端云服务器，有效应对流量骤增的业务场景。

- 私有网络VPC高速通道（专线DC）或VPN连接用户IDC与腾讯云，保证数据高速稳定传输。
