本文档将通过一个示例帮助新手用户了解如何初步使用腾讯云负载均衡：创建一个名为 `clb-test`的公网固定 IP 型负载均衡实例，绑定一个自定义域名来达到访问域名时转发 HTTP 请求给后端的两台云服务器。

## 前提条件
- 负载均衡只负责转发流量，不具备处理请求的能力。因此，您首先需要有用以处理用户请求的运行中的云服务器实例。本示例要求您只要具有两台云服务器实例，您也可以自行规划需要向多少云服务器转发请求。本例中已经在北京地域下创建了云服务器实例 `rs-1` 和 `rs-2`。有关如何创建云服务器实例，请参考 [购买并启动云服务器实例](/doc/product/213/4855)。
- 本例以 HTTP 转发为例，云服务器上必须部署相应的 Web 服务器，如 Apache、Nginx、IIS等。为了验证结果，示例在 `rs-1` 上部署了Apache 并返回一个带有 “This is rs-1” 的 HTML，在 `rs-2` 上部署了Apache 并返回一个带有 “This is rs-2” 的 HTML。有关如何在云服务器上部署服务的更多内容，请参考 [Windows 安装配置 IIS 和 PHP](https://cloud.tencent.com/doc/product/213/2755) 及 [Linux 系统环境配置（CentOS）](https://cloud.tencent.com/doc/product/213/2125)。

> 注：示例中后端服务器部署的服务返回值不同，实际情况下，为保持所有用户均有一致体验，后端服务器上一般是部署完全相同的服务。

## 购买并创建负载均衡实例
> 请注意，负载均衡只能将流量转发至同一地域下的云服务器实例。因此，请在前提条件下的云服务器同个地域下创建负载均衡实例。

1) 登录腾讯云，前往 [负载均衡购买页面](https://buy.cloud.tencent.com/lb)。

2) 本例地域选择与云服务器相同的【华北地区（北京）】，实例类型选择【公网固定IP】，网络环境选择【基础网络】

3) 点击【立即购买】按钮，完成付款。

有关负载均衡实例的更多内容，请参考 [公网负载均衡实例](/doc/product/214/6147) 和 [内网负载均衡实例](/doc/product/214/6148)。

## 创建负载均衡监听器
负载均衡监听器通过指定协议及端口来负责实际转发。本例以转发客户端的 HTTP 请求设置为例。

1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击【云产品】-【负载均衡】进入负载均衡控制台。

2) 在负载均衡实例列表中找到刚才创建的公网固定IP类型的负载均衡实例，点击 ID 进入负载均衡详情页。

3) 在【基本信息】部分，点击名称后的小图标修改名称为“clb-test”。

4) 在【监听器】部分，点击【新建】按钮新建负载均衡监听器。

5) 输入以下内容：

- 名称自定义为“Listener1”；
- 监听协议端口为 `HTTP：80`
- 后端端口为 `80`；
- 均衡方式选择 `按权重轮询`；
- 不勾选会话保持；
- 勾选健康检查。

点击【确定】按钮完成负载均衡监听器的创建。

有关负载均衡监听器的更多内容，请参考 [负载均衡监听器概述](/doc/product/214/6151)。

## 绑定后端云服务器

1) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击【云产品】-【负载均衡】进入负载均衡控制台。

2) 在负载均衡实例列表中找到刚才创建的 `clb-test`，点击 ID 进入负载均衡详情页。

3) 在【绑定云主机】部分，点击【绑定云主机】按钮，选择前提条件中同地域下的云服务器实例`rs-1` 和 `rs-2`，并设置权重均为默认值 `10`。

4) 点击【确定】按钮。

## 购买域名并解析到负载均衡实例
1) 打开[腾讯云域名注册页面](https://cloud.tencent.com/product/dm.html) 进行域名查询和注册。本例以 qcloudtest.com 为例。

相关文档可以参考[如何注册域名](https://cloud.tencent.com/doc/product/242/3717)

2) 登录[腾讯云控制台](https://console.cloud.tencent.com/)，点击【云产品】-【域名管理】-【解析】。


3) 点击【添加记录】按钮添加 CNAME 记录，输入以下内容：

- 记录类型：`CNAME`；
- 主机记录：即域名前缀。本例以解析所有前缀为例，设为 `*.qcloudtest.com`；
- 线路类型：默认；
- 关联云资源：选择`是`；
- 资源类型：选择【负载均衡】，勾选刚刚创建的 `clb-test`。
- TTL：设置为默认值 `10分钟`。

添加完毕后，点击【确定】。

云解析需要一段时间将该记录在 Internet 上传播。为测试域名是否解析正常，可以在添加完解析记录一段时间后，直接访问绑定后的CNAME域名（如例子中的www.qcloudtest.com ）。

## 验证负载均衡
在浏览器中输入为该负载均衡实例配置的公网域名 `www.qcloudtest.com`。查看测试结果，能够确定是否成功配置该负载均衡实例。

从以下两图可以看出，负载均衡可以按照用户配置的方式访问被绑定的两台后端服务器。
- 如用户开启会话保持功能，或关闭会话保持功能但选择ip_hash的调度方式，则请求持续分配到同一台后端服务器上去。
- 如用户关闭会话保持功能，选择轮询的方式进行调度，则请求依次分配到不同后端服务器上。

![](//mccdn.qcloud.com/static/img/6db39e63f01e0212b85811d17467e5be/image.png)
![](//mccdn.qcloud.com/static/img/3a3df321b536f701c172f200f36bddc7/image.png)


