## 概述

腾讯云云监控为负载均衡和后端实例提供数据收集和数据展示功能。使用腾讯云云监控，您可以查看负载均衡的统计数据，验证系统是否正常运行并创建相应告警。有关云监控的更多信息，请参阅 [云监控 产品文档](https://cloud.tencent.com/doc/product/248)。

目前**公网应用型、公网有IP型以及内网负载均衡**均支持通过云监控监控运行状态，您可以在负载均衡实例的列表页点击监控图标查看，也可以在负载均衡实例详情页点击【监听器监控】查看。

## 监控

目前**公网应用型、公网有IP型以及内网负载均衡**支持如下四个维度的监控视图展示：
- 负载均衡实例维度
- 监听器维度
- 后端云服务器维度
- 后端服务器端口维度

负载均衡不同维度的具体监控指标如下：

项目 | 单位 | 说明
----|------|----
公网连接数 | count  | 已建立 TCP 连接的统计
公网入带宽 | bps  | 从外部访问负载均衡所用的带宽的统计
公网出带宽 | bps  | 表示负载均衡访问外部所用的带宽统计
公网入包数 | count/s  | 表示负载均衡每秒接到的请求数据包数量
公网出包数 | count/s  | 表示负载均衡每秒发出的数据包数量
公网新建连接数 | count/s  | 每秒新建 TCP 的连接数

后端服务器的具体监控指标和获取监控数据的方法可以参考 [监控云服务器](/doc/product/213/5178)。

云监控从运行状态下的负载均衡实例中收集原始数据，并将数据展示为易读的图标形式。统计数据默认保存一个月，您可以观察实例一个月的运行情况，从而更好地了解应用服务的运行情况。

为获取更加详细的监控数据，负载均衡产品已经支持更细粒度(1 分钟)的监控数据。且支持不同时间段内统一纬度监控数据的横向对比。

不同产品的控制台页面可能根据云监控的原始数据显示一系列图表；云监控控制台集成了所有产品的监控数据，更有利于用户获得整体性的运行概览。您可以根据自身需求选择从不同入口获取实例数据。


## 告警

您可以为您关注的实例指标创建告警，使负载均衡实例在运行状态达到某一条件时，及时发送告警信息至关心的用户群体。这样能确保您及时发现异常状况从而采取相应措施，保持系统的稳定性和可靠性。更多内容请参考 [创建告警](/doc/product/248/6126)。

目前**公网应用型、公网有IP型以及内网负载均衡**支持如下两个维度的告警展示：
- 监听器维度
- 后端服务器端口维度

负载均衡告警的具体指标如下：

项目 | 单位 | 说明
----|------|----
公网入带宽 | bps  | 从外部访问负载均衡所用的带宽统计
公网出带宽 | bps  | 表示负载均衡访问外部所用的带宽统计
公网入包数 | count/s  | 表示负载均衡每秒接到的请求数据包数量
公网出包数 | count/s  | 表示负载均衡每秒发出的数据包数量
