<font color="red">目前仅 公网有固定 IP 负载均衡实例可使用此种方法配置自定义域名，用户可通过注册域名并添加 A 记录和 CNAME 记录进行访问。</font>

## 域名注册

注册域名可以通过打开[域名注册页面](https://cloud.tencent.com/product/dm.html) 进行域名查询和注册。

相关文档可以参考[如何注册域名](https://cloud.tencent.com/doc/product/242/3717)

## 添加 CNAME 记录

### 进入域名解析页面

登录腾讯云【管理中心】-【云产品】-【域名管理】-【解析】, 示例的主域名为 `qcloudtest.com`。

![](//mccdn.qcloud.com/static/img/196c66e6643ccd88eba9f8b9373a297e/image.png)

### 添加 CNAME 记录

在【解析】页面，点击【添加】，用户可以添加CNAME记录，操作指引如下：

1) 主机记录可以按照需求说明填写。

主机记录就是域名前缀，常见用法有：
- www：解析后的域名为 `www.qcloudtest.com`
- @：直接解析主域名`qcloudtest.com`
- *：泛解析，匹配其他所有域名`*.qcloudtest.com`

2) 记录类型，推荐用户选择 `CNAME记录`。

各个记录类型如下：

- A记录：地址记录，用来指定域名的IPv4地址（如：8.8.8.8），如果需要将域名指向一个IP地址，就需要添加A记录。
- CNAME： 如果需要将域名指向另一个域名，再由另一个域名提供ip地址，就需要添加CNAME记录。
- TXT：在这里可以填写任何东西，长度限制255。绝大多数的TXT记录是用来做SPF记录（反垃圾邮件）。
- NS：域名服务器记录，如果需要把子域名交给其他DNS服务商解析，就需要添加NS记录。
- AAAA：用来指定主机名（或域名）对应的IPv6地址（例如：ff06:0:0:0:0:0:0:c3）记录。
- MX：如果需要设置邮箱，让邮箱能收到邮件，就需要添加MX记录。
- 显性URL：从一个地址301重定向到另一个地址的时候，就需要添加显性URL记录（注：DNSPod目前只支持301重定向）。
- 隐性URL：类似于显性URL，区别在于隐性URL不会改变地址栏中的域名。
- SRV：记录了哪台计算机提供了哪个服务。格式为：服务的名字、点、协议的类型，例如：_xmpp-server._tcp。

3) 线路是为了让指定线路的用户访问这个域名。

若空间商只提供了一个 IP 地址或域名，选择「默认」就可以了。
常见用法有：
- 默认：必须添加，否则只有单独指定的线路才能访问您的网站。如果双线解析，建议「默认」线路填写「电信IP」
- 联通：单独为「联通用户」指定服务器 IP，其他用户依然访问「默认」
- 搜索引擎：指定一个服务器 IP 让蜘蛛抓取

4) CNAME记录值主要填写空间商给您提供的域名（即刚刚购买的域名）。

各类型的记录值一般是这样的：
- A记录：填写您服务器 IP，请咨询您的空间商。
- CNAME记录：填写空间商给您提供的域名，***例如：负载均衡中LB实例的域名1b16c9-0.ap-guangzhou.12345678.clb.myqcloud.com*** 。
- MX记录：填写您邮件服务器的IP地址或企业邮局给您提供的域名，如果您不知道，请咨询您的邮件服务提供商
- TXT记录：一般用于 Google、QQ等企业邮箱的反垃圾邮件设置
- 显性URL记录：填写要跳转到的网址，例如：http://cloud.tencent.com
- 隐性URL记录：填写要引用内容的网址，例如：http://cloud.tencent.com
- AAAA：不常用。解析到 IPv6 的地址。
- NS记录：不常用。系统默认添加的两个NS记录请不要修改。NS向下授权，填写dns域名，例如：f1g1ns1.dnspod.net
- SRV记录：不常用。格式为：优先级、空格、权重、空格、端口、空格、主机名，记录生成后会自动在域名后面补一个“.”，这是正常现象。例如：5 0 5269 xmpp-server.l.google.com.

其余值可以按照默认进行操作。添加完毕后，点击【确定】。

![](//mccdn.qcloud.com/static/img/3d952308d0e576fa3a2be640b3238074/image.png)

### 查看CNAME记录

添加记录完毕后，可以在【解析】页面查看所添加的CNAME记录，并对其进行修改、管理等操作。

### 测试解析结果

用户为测试域名是否解析正常，可以直接访问绑定后的CNAME域名（如例子中的www.qcloudtest.com ）。注: 解析大概需要十分钟左右生效。
