公网型负载均衡实例通过 Internet 从客户端获取请求，并向绑定监听器的后端服务器分发这些请求。创建负载均衡器后，腾讯云会给公网负载均衡器分配一个公网域名 和 一个 VIP 信息（仅公网有日租类型），DNS 服务器将会对域名及 VIP 信息进行解析，公网有固定 IP 型负载均衡也支持用户添加 CNAME 和 A 记录的绑定，将其映射到用户易读的自定义域名上。

可以为一个公网类型负载均衡实例添加多个[负载均衡监听器](/doc/product/214/6151),以执行不同类型的请求转发。

## 公网 DNS 域名

所有公网型负载均衡实例均会被分配一个固定域名，默认域名格式如下：

```
<name>.<region>.<number>.clb.myqcloud.com 
```

其中 `<name>` 和 `<number>` 是自动生成的字符串，`<region>`是负载均衡实例所在地域的 ID。

## 公网固定 IP 类型负载均衡实例

公网有固定 IP 型负载均衡实例均会被分配固定的 BGP 公网 IP，支持接收客户端的 HTTP、HTTPS、TCP、UDP 等请求转发。同时支持会话保持、健康检查等所有腾讯云负载均衡提供的服务。有关公网有固定 IP 类型负载均衡实例使用的限制，可以参考[使用约束](/doc/product/214/6187)。

### 使用场景
- 当对公网提供服务的是服务器群集，需要提供统一的入口，并将公网用户请求合理地分配到服务器集群时；
- 要对服务器集群做故障容错和故障恢复时；
- 为不同运营商的用户提供就近接入，做网络提速时；

推荐用户使用公网有固定 IP 负载均衡。

### 费用说明
- 公网有固定 IP 负载均衡实例费用为 0.02 元/小时。
- 提供服务所产生的公网带宽/流量费用在后端服务器进行计费。有关更多内容可以参考[购买网络带宽](https://cloud.tencent.com/doc/product/213/509)。

### 创建公网有固定 IP 类型负载均衡实例
创建公网有固定 IP 类型负载均衡实例，可以参考 [创建负载均衡实例](/doc/product/214/6149)。
