﻿Cloud load balancer instance of type public network gets requests from the client via the Internet, and allocates these requests to backend CVMs to which the listeners are bound. After creating a cloud load balancer, Tencent Cloud will assign a public network domain and a VIP (A daily rate is available for public network only) to the public network cloud load. DNS server will resolve the domain and VIP. Cloud load balancer of type "public network with fixed IP" will also allow users to bind CNAME and A Record, and map them to a customized and user-friendly domain.

You can  added multiple [Cloud Load Balancer Listener](/doc/product/214/6151) to a cloud load balancer instance of type public network to forward different requests.

## Public Network DNS Domain

Each cloud load balancer instances of type  public network will be assigned with a fixed domain. The default domain is as follows:

```
<name>.<region>.<number>.clb.myqcloud.com 
```

Where `<name>` and `<number>` are strings generated automatically, `<region>` is the ID of the region where the cloud load balancer instance resides.

## Example for a Cloud Load Balancer Instance of Type Public Network with Fixed IP

A cloud load balancer instance of type public network with fixed IP will be assigned with a fixed BGP public network IP, which supports forwarding of HTTPS, HTTP, TCP, UDP and other requests received from the client. Services such as session persistence, heath check provided by Tencent Cloud's Cloud Load Balancer are also supported. For the usage restrictions of cloud load balancer instances of type public network with fixed IP, refer to [Usage Restrictions](/doc/product/214/6187).

### Usage Scenarios
- When a server cluster is used to offer services to the public network and a uniform entry is required to properly allocate the requests from public network users to the server cluster;
- When fault-tolerant and failure recovery operations are to perform on the server cluster;
- When providing services of connecting to the nearest network to speed up Internet connection for the users of different network operators;

It is recommended for users to use cloud load balancer of type public network with fixed IP.

## Charges
- The charge for using cloud load balancer instance of type public network with fixed IP is RMB 1/day.
- Any public network bandwidth/traffic generated by this service will be charged to the bill for backend CVM. For more information, refer to [Purchase Network Bandwidth](https://cloud.tencent.com/doc/product/213/509).

### Creating Cloud Load Balancer Instance of Type Public Network with Fixed IP
For information on how to create a cloud load balancer instance of type public network with fixed IP, refer to [Creating Cloud Load Balancer Instance](/doc/product/214/6149).

## Cloud Load Balancer Instance of Type Public Network without Fixed IP

A cloud load balancer instance of type public network without fixed IP will not be assigned with a fixed public network IP (VIP). However, Tencent Cloud will provide a **second-level domain** for each cloud load balancer instance of type public network without fixed IP. Moreover, **Only HTTP protocol layer-7 forwarding feature is supported** for the cloud load balancer instance of type public network without fixed IP (for more information on forwarding feature, refer to [Request Forwarding](/doc/product/214/6152)), and the binding of A Record and Cname is not supported, which means user can only send the request to one domain provided by Tencent Cloud.

### Usage Scenarios

- When user needs a large number of domains;
- When a server cluster is used to offer HTTP services to the public network and a uniform entry is required to properly allocate the requests from public network users to the server cluster;
- When fault-tolerant and failure recovery operations are to perform on the HTTP server cluster;
- When redirecting from A system to B system within the company, providing LAN service within the enterprise, etc.;
- When providing services of connecting to the nearest network to speed up Internet connection for the users of different network operators;

It is recommended to use cloud load balancer of type public network without fixed IP.

## Charges

It's free of charge to using cloud load balancer instance of type public network without fixed IP.

## Creating a Cloud Load Balancer Instance of Type Public Network without Fixed IP
For information on how to create a cloud load balancer instance of type public network without fixed IP, refer to [Creating Cloud Load Balancer Instance](/doc/product/214/6149).
