## 业务流程图

公网应用型 CLB 的七层业务流程及四层业务流程如下所示：

![](//mc.qcloudimg.com/static/img/f0fa90984d263a9f7e26d4f6ee3b6c5f/image.png)

- 在公网应用型负载均衡的七层转发 http/https 中，一个 LB 实例的监听器中，新建转发规则时，用户可选添加一个对应的域名。
- 当用户只建立了一条转发规则时，访问 VIP+URL 可以对应相应的转发规则，并正常访问服务。
- 当用户建立了多条转发规则时，将强提示用户，此时访问 VIP+URL 不能保证访问到哪个 域名+URL，需要用户直接访问 域名+URL 来确保具体的转发规则生效。（也就是说，用户配置多个转发规则时，由于同一个VIP对应了多条域名，此时不建议通过 VIP+URL 访问服务，而应该通过具体的 域名+URL 访问服务。）

## 转发规则配置说明

### 域名配置规则
公网应用型负载均衡，七层监听器的转发规则配置域名时，支持正则表达式，长度限制为1-80。

- 非正则的域名支持的字符集如下：
`a-z` `0-9` `_` `.` `-` 
			
- 通配的域名，目前只支持  
`*.example.com` 或者 `www.example.*` 的形式，且单个域名中只支持\* 出现一次。 		

- 域名的正则表达式中不支持的字符集如下：
`"` `{` `}` `;` `~` `'` ` ` ` `空格` 

- 应用型负载均衡支持的正则域名举例如下：
`~^www\d+\.example\.com$`

### 健康检查配置规则

当用户填写域名为通配域名时，需要指定某一固定域名（非正则）为健康检查域名。该健康检查域名配置支持的字符集如下：
`a-z` `0-9`  `_` `.` `-` 

公网应用型负载均衡，七层监听器配置健康检查的路径时，默认/，必须以/开头。长度限制为1-80。暂不支持正则表达，建议指定某个固定URL路径（静态页面）进行健康检查。其中，健康检查路径配置支持的字符集如下：
`a-z` `A-Z` `0-9` `_` `.` `-` `/` `=` `?`

### 域名匹配规则示例

1. 转发规则中不配置域名，填写IP代替，并在转发组中配置多个URL。该服务通过 VIP+URL 进行访问。

2. 通过在转发规则中配置完整域名，并在转发组中配置多个URL。服务通过 域名+URL 进行访问。

3. 在转发规则中配置通配符域名，并在转发组中配置多个URL，通过匹配 请求域名+URL 进行访问。当客户希望不同的域名能够指向相同的URL地址时，可以参照这种方式进行配置。以 `example.qcould.com` 为例，格式如下所示：
	`example.qcloud.com` 精确匹配 example.qcloud.com 域名
  `\*.qcloud.com` 匹配所有以 qcloud.com 结尾的域名
 `example.qcloud.\*` 匹配所有以 example.qcloud 开头的域名
  >注：如果请求的域名匹配不到任意一条转发规则，则会返回403。

4. 在转发规则中配置域名，并在转发组中配置模糊匹配的URL。使用前缀匹配，可在最后加入通配符$进行完整匹配。
例如，客户通过配置转发组URL ~* \.(gif|jpg|bmp)$，希望匹配任何以 gif、 jpg 或 bmp 结尾的文件。

## 转发组URL匹配规则说明

### URL配置规则

公网应用型负载均衡七层监听器转发路径URL，默认/，必须以/开头。长度限制为1-80。支持正则表达。

非正则的URL路径，以/ 开头，支持的字符集如下：
`a-z` `A-Z` `0-9` `_` `.` `-`  `/` `=` `?`
		
正则的URL，不支持的字符集如下：
`"` `{` `}` `;` `\` ` ` ` `~`  `'` `空格`   

### URL匹配规则示例
![](//mc.qcloudimg.com/static/img/5e322824d13d70c55f12c5d34f066d4a/image.png)
 
1. 匹配规则：优先精确匹配，之后依照规则模糊匹配

	举例：依照下图配置转发规则及转发组后，如下几个请求将依次被匹配到不同的转发组中：
  
	a. example.qloud.com/test1/image/index1.html 由于精确匹配转发组1设置的URL规则，则该请求将被转发到转发组1所关联的后端云服务器中，图中即RS1和RS2的80端口。
	
  b. example.qloud.com/test1/image/hello.html 由于此请求无法精确匹配第一条规则，因此将继续匹配转发组2中的规则，发现模糊匹配成功。因此该请求将被转发到转发组2所关联的后端云服务器中，图中即RS2和RS3的81端口。
  
  c. example.qloud.com/test2/video/mp4/ 由于此请求无法精确匹配到前两条规则，因此将继续向下匹配，直至发现可以模糊匹配转发组3中的规则。因此该请求将被转发到转发组3所关联的后端云服务器中，图中即RS4的90端口。
  
  d. example.qloud.com/test3/hello/index.html 由于此请求无法匹配到前三个转发组中的规则，因此将匹配用户配置的最通用规则default URL。这个时候应该是nginx转发请求给后端应用服务器，比如FastCGI（php），tomcat（jsp），nginx作为方向代理服务器存在
  
  e. example.qloud.com/test2/ 由于请求无法精确匹配到前三个转发组中的规则，因此将匹配用户所配置的通用规则default URL。

2. 如果用户设置的URL规则中，服务不能正常运行，则匹配成功后，不会重定向到其他页面。
举例：如客户端请求example.qloud.com/test1/image/index1.html匹配了转发组1的URL规则，但此时转发组1的后端服务器运行异常，出现404的页面时，用户进行访问时页面则会显示404，不会跳转到其他页面。

3. ***建议用户设置default URL，将其指向服务稳定的页面（如静态页面、首页等），并绑定所有后端云服务器。***此时，如果所有规则均没有匹配成功时，系统会将请求指向default URL所在的页面，否则可能会出现404的问题。

4. 如果用户未设置default URL，且所有转发规则都不匹配时，此时访问服务，会返回404。
