负载均衡服务主要由负载均衡监听器提供。监听器负责监听负载均衡实例上的请求，执行策略分发流量至后端服务器等服务。

负载均衡监听器使用前端（客户端到负载均衡器）连接的协议和端口及后端（负载均衡器到后端实例）连接的端口进行配置。同时，负载均衡监听器还可以配置相应的 [会话保持](/doc/product/214/6154) 和 [健康检查](/doc/product/214/6097) 策略。

负载均衡监听器可以通过监听负载均衡实例上的四层和七层请求，并将这些请求分发到后端服务器上进行处理。四层和七层负载均衡的区别，主要体现在对后台的服务器进行负载均衡时，是依据四层的信息还是七层的信息来决定如何转发流量。其中四层为传输层协议，主要通过 VIP+端口接受请求并分配流量到后端服务器；七层为应用层协议，则基于 URL、HTTP头部等 应用层信息进行流量分发。

## 支持的协议类型
典型的 Web 应用程序之间的通信需要经由网络的各个分层，每层都会提供特定的通信功能。依据 OSI 网络模型，各个分层中都有标准的通信格式。腾讯云负载均衡涉及网络模型中的 四层（传输层） 和 七层（应用层）。

腾讯云负载均衡支持以下协议的请求转发：

- HTTP（应用层）
- HTTPS（应用层）
- TCP（传输层）
- UDP（传输层）

## 四层协议

如果使用四层协议转发，负载均衡实例会直接将请求转发到后端实例，而不修改任何数据包。负载均衡收到请求之后，会尝试在监听器配置中指定的端口上打开与后端实例的 TCP 连接。

## 七层协议

如果前端和后端连接均使用七层协议转发，负载均衡器会解析请求中有意义的应用层内容，并根据其内容选择后端服务器。因此，七层负载均衡器需要先代理后端服务器和客户端建立连接(三次握手)后，才可能接受到客户端发送的真正应用层内容的报文，然后再根据该报文中的特定字段，再加上负载均衡设备设置的服务器选择方式，决定最终选择的内部服务器。

因为负载均衡位于客户端和服务器之间，因此后端服务器访问日志中将仅含有负载均衡器的 IP 地址。如需查看客户端的实际 IP 地址，需要使用 X-Forwarded-For 请求头。具体内容可参考 [获取客户端 IP](/doc/product/214/3728)。

### HTTPS 监听器的安全机制

HTTPS 是一种安全的 HTTP 连接，通过使用 SSL 证书来确保服务器端和客户端的可信度。负载均衡通过证书解密来自客户端的请求，然后再将请求发送到后端实例上。有关更多信息，请参阅 [SSL 原理说明](/doc/product/214/4195)。

## 四层负载均衡和七层负载均衡的区别
四到七层负载均衡，就是在对后台的服务器进行负载均衡时，依据四层的信息或七层的信息来决定怎么样转发流量。

四层的负载均衡，就是通过三层的IP地址（VIP），然后加四层的端口号，来决定哪些流量需要做负载均衡，对需要处理的流量进行NAT处理，转发至后台服务器。

七层的负载均衡，就是在四层的基础上，再考虑应用层的特征（如HTTP头部、URL等），比如同一个Web服务器的负载均衡，除了根据VIP加80端口辨别是否需要处理的流量，还可根据七层的URL、浏览器类别、语言来决定是否要进行负载均衡。七层负载均衡也称为“内容交换”，也就是主要通过报文中的真正有意义的应用层内容，再加上负载均衡设备设置的服务器选择方式，决定最终选择的内部服务器。负载均衡设备如果要根据真正的应用层内容再选择服务器，只能先代理最终的服务器和客户端建立连接(三次握手)后，才可能接受到客户端发送的真正应用层内容的报文，然后再根据该报文中的特定字段，再加上负载均衡设备设置的服务器选择方式，决定最终选择的内部服务器。负载均衡设备在这种情况下，更类似于一个代理服务器。负载均衡和前端的客户端以及后端的服务器会分别建立TCP连接。



