腾讯云支持 四层转发 和 七层转发 两种监听器模式，针对不同的协议类型，分别作用于网络模型中的传输层和应用层。有关何种类型的负载均衡实例支持何种监听器模式的跟多内容，可以参考 [公网负载均衡实例](/doc/product/214/6147) 和 [内网负载均衡实例](/doc/product/214/6148)。

## 四层转发监听器协议及端口配置
负载均衡监听器监听负载均衡实例上的四层请求（即OSI网络协议模型第四层传输层），并将 TCP 及 UDP 请求分发至后端服务器进行处理。四层转发能力通过以下配置实现：

|前后端协议|前端端口（负载均衡端口）|后端端口（服务器端口）| 备注|
|--|--|--|--|
|四层协议，即 TCP 和 UDP|负载均衡器对外或对内提供服务时接收请求的前端端口。<br><br>用户可以为下列 TCP 端口执行负载均衡：21（FTP）、25（SMTP）、80（Http）、443（Https），以及 1024-65535等端口。|后端端口为云服务器提供服务的端口，会接受负载均衡分发的流量。在应用型负载均衡实例中，监听端口可以对应多个后端端口，在固定IP型负载均衡实例中，监听端口对应相同的后端端口 | **前端端口不可重复** ，比如用户不可以创建 TCP：23  UDP：23 端口。<br><br>**固定IP型LB后端端口不可重复，应用型LB后端端口可以重复**<br><br>四层转发情况下客户端来源 IP 将直接发送给后端服务器，获取客户端 IP 能力默认开启（不适用于私有网络中的内网型负载均衡实例）|


## 七层转发监听器协议及端口配置
负载均衡监听器监听负载均衡实例上的七层请求（即OSI网络协议模型第七层应用层），并将 HTTP(s) 请求分发至后端服务器进行处理。七层转发能力通过以下配置实现：

|前后端协议|前端端口（负载均衡端口）|后端端口（服务器端口）| 备注|
|--|--|--|--|
|七层协议，即 HTTP(HTTPS) 协议|负载均衡器对外或对内提供服务时接收请求的前端端口。<br>支持 1-65535 区间的端口|后端端口为云服务器提供服务的端口，会接受负载均衡分发的流量。在应用型负载均衡实例中，监听端口可以对应多个后端端口，在固定IP型负载均衡实例中，监听端口对应相同的后端端口 | **前端端口不可重复，比如客户不可以同时创建HTTP 80和TCP 80端口** <br><br>**固定IP型LB后端端口不可重复，应用型LB后端端口可以重复**<br><br>七层转发情况下客户端来源IP将直接发送给后端服务器 （通过配置proxy_set_header X-Forwarded），获取客户端IP能力默认开启。（不适用于私有网络中的内网型负载均衡实例）|


