## 购买渠道
用户可通过以下方式购买任何腾讯云提供的负载均衡实例类型：

### 官网购买
登录腾讯云 [负载均衡服务购买页](https://buy.cloud.tencent.com/lb)，可购买负载均衡产品。

### API购买
具体请见[负载均衡API](http://cloud.tencent.com/doc/api/244/%E7%AE%80%E4%BB%8B)。

## 计费说明
负载均衡服务的费用，包括实例租用费，以及后端服务器的带宽流量费。例如1台CLB实例纳管了3台CVM服务器，将计算CLB实例的费用，以及3台CVM实例的费用（实例费用计入网络计费部分）。

由于负载均衡为后付费类型产品，在账户未欠费时，除用户主动退还（删除）外负载均衡实例均不会被系统清退。在账户欠费情况下， 负载均衡实例会在当月21日被系统隔离，仍未续费情况下会在当月28日被系统回收，回收后将会断开所有与后端服务器的绑定关系。 

>注：当云服务器进入隔离状态（包年包月云服务器进入回收站、按量计费云服务器欠费两小时以上）时，会强制解除与LB的绑定关系。  

## 价格总览
### 负载均衡实例费用及产品定位
​
购买公网应用型以及公网有固定IP实例，将冻结30元（整月费用）。请确保您的账户余额足够。

| 产品类型 | 价格 | 英文名称 | 定义 | 目标场景 |
|---------|---------|---------|---------|---------|---------|
| 公网应用型负载均衡 | 1 元/天 |Cloud Application Load Balancer | 满足中大型复杂网站流量均衡的需求，可基于Http请求内容（域名/URL路径等），提供高级路由均衡能力。支持应用层HTTPS、HTTP协议转发。 | **大型电商、大型门户网站：**适用于日PV超千万、亿级别的web业务。满足复杂二级域名、业务模块间，路由分发的需求。</br> **基于内容的路由：**如果您的应用程序由不同的服务构成，则应用程序负载均衡器可以基于请求内容(域名、URL)将请求路由至某个服务 </br>**减少DNS轮询：**通过自定义URL转发路径，可有效减少二级域名的数量，从而减少DNS轮询的次数，提升网页访问的效率</br>**更精准的健康检查：**可判断二级域名/URL的健康水平，更细粒度的反馈业务的运行状况</br>**HTTP/2 支持:** HTTP/2使用单个多路复用连接，支持通过同一连接发送多个请求。它还可以压缩标头数据并以二进制格式发送这些数据，且支持使用 TLS 连接客户端。 |
| 公网（固定IP型）负载均衡 | 1 元/天 | Cloud Load Balancer (with fixed IP address) | 满足90%的流量负载均衡的场景，它可以让您实现更高水平的应用程序容错能力，从而无缝提供分配应用程序流量所需的负载均衡容量。适用于中小型web网站等业务。支持HTTPS、HTTP、TCP、UDP等协议转发。 | **适用于中小型网站：**适用于日PV百万以下的，服务架构相对简单，业务模块较少，二级域名较少的web业务。<br>**私有协议均衡：**传输层使用TCP监听可保证您应用层的私有协议，获得可靠的流量均衡。如游戏业务服务器请求分发，使用ip会话保持，保证用户掉线后重连<br>**长连接：**满足应用层（Http、websocket）的长期运行 TCP 连接的需求，如借助 WebSocket，服务器可以与最终用户交换实时消息，且最终用户无需请求（或轮询）服务器提供更新 |
| 公网（无固定IP型）负载均衡 | 免费 | Cloud Load Balancer (without fixed IP address) | 免费试用产品。无固定公网IP，仅支持HTTP协议七层转发功能，不支持A记录，不支持Cname绑定 | **新手试用：**便于新用户上手了解并熟悉负载均衡的基础功能</br>**测试环境：**用于用户搭建流量均衡的测试环境，不建议用作生产系统 |
| 内网型负载均衡 | 免费 | Internal Cloud Load Balancer | 满足用户企业内部模块间转发的需求。只能在腾讯云内部访问，不能通过Internet访问。支持TCP/UDP四层协议。 | **局域网服务：**用于企业内部模块间的请求转发。 |

> 注：当用户提前停用负载均衡服务时，将按照具体的使用日期，相应的扣除账户中部分冻结的费用，并将剩余费用退还至账户。

### 负载均衡带宽费用

#### 带宽费用付费场景
1) 云服务器按带宽计费：带宽消耗使用的是云服务器已包含的公网带宽，不另外收取带宽费用；
2) 云服务器按流量计费：用户使用公网负载均衡会产生出流量，需支付对应的流量费用。 
​
#### 带宽费用付费标准
在上述场景2) 下CLB负载均衡器的带宽费用，收取的是后端CVM云主机产生的网络费用。具体计费模式参见[网络计费](http://cloud.tencent.com/doc/product/213/%E8%B4%AD%E4%B9%B0%E7%BD%91%E7%BB%9C%E5%B8%A6%E5%AE%BD)。
