## Pricing Overview
### Prices and Product Positioning of Cloud Load Balancer Instances


| Product Type | Name | Definition | Target Scenario |
|---------|---------|---------|---------|---------|
| Public network application-based cloud load balancer |Cloud Application Load Balancer | Satisfies traffic balancing needs for medium to large sized complex websites. Able to provide advanced route balance capabilities based on Http request content (domain, URL path and so on). Supports HTTPS, HTTP protocol forwarding on the application layer.  | **Large-scale e-commerce and portal websites:** Suitable for web business with above tens to hundreds of millions of daily PV. Satisfies demand for route distribution between complex second level domains and business modules. </br> **Routing based on content:** If your application consists of different services, the application load balancer can route a request to a certain service based on the request content (domain, URL) </br>**Reduces DNS polling:** Reduces the number of second level domains significantly by forwarding paths via custom URLs, which will improve efficiency for accessing pages</br>**More accurate health check:** Able to determine the health status of second level domains/URLs, providing feedback regarding the status of running business with a higher granularity</br>**Supports HTTP/2:** HTTP/2 uses a single multiplexed connection, able to send multiple requests using the same connection. It can also compress header data and send the data in binary format, as well as connect clients using TLS.  |
| Public network (static IP) cloud load balancer | Cloud Load Balancer (with fixed IP address) | Satisfies 90% of traffic load balancing scenarios, it allows you to achieve higher level of application error tolerance and provides cloud load balance capacity needed for allocating application traffic with perfection. Suitable for medium to small sized websites and other businesses. Supports forwarding of HTTPS, HTTP, TCP, UDP and other protocols.  | **Suitable for medium to small sized websites:**Suitable for web businesses whose daily PV is below one million, with relatively simple service structure, few business modules and second level domains.<br>** Private protocol balancing:** The transport layer uses TCP listening to ensure that private protocols at your application layer can acquire reliable traffic balancing. For example: game service server request distribution uses IP session persistence to ensure that users are able to reconnect after being disconnected<br>**Persistent connection:** Satisfies demand of persistent TCP connections at the application layer (Http, websocket). For example, servers may exchange real-time information with end users with the help of WebSocket, in which case end users don't need to request (or poll) servers to provide update |
| Public network (without static IP) cloud load balancer | Cloud Load Balancer (without fixed IP address) | Free trial product. No static public network IP, only supports layer 7 HTTP protocol forwarding, A Record and Cname binding are not supported | **Trial:** Helps new users learn and get familiar with the basic features of cloud load balancing</br>** Testing environment:** Used to create testing environment for traffic balancers. It is not recommended to use it as production system |
| Private network cloud load balancer | Internal Cloud Load Balancer | Satisfies forwarding needs between internal modules within the user enterprise. Can only be accessed from within Tencent Cloud. Accessing via Internet is not supported. Supports TCP/UDP layer 4 protocols.  | **LAN service: **Used to forward requests between internal modules within the enterprise.  |

> Note: When a user cancels cloud load balance service in advance, the corresponding charges will be deducted from blocked balance in the user account according to the actual usage period. The remaining balance will be returned to the account.

### Cloud Load Balance Bandwidth Fee

#### Bandwidth Fee Billing Scenario
1) CVM is paid by bandwidth: Consumed bandwidth is public network bandwidth already contained in the CVM. No additional bandwidth fee will be charged;
2) CVM is paid by traffic: Public network cloud load balancer used by the user will cause traffic, which will incur a corresponding cost. 
​
#### Bandwidth Fee Billing Standard
In the above mentioned scenario 2), the actual bandwidth fee for using CLB refers to the network fee incurred by backend CVMs. Please refer to [Network Billing](http://cloud.tencent.com/doc/product/213/%E8%B4%AD%E4%B9%B0%E7%BD%91%E7%BB%9C%E5%B8%A6%E5%AE%BD) for detailed billing methods.

