## 计费项说明
负载均衡服务的费用，包括实例租用费，以及后端服务器的带宽流量费。例如1台CLB实例关联了3台CVM服务器，将计算CLB实例的费用，以及3台CVM实例的费用（实例费用计入网络计费部分）。

## 按量计费说明
负载均衡于17年6月全面降价，采用按量计费的弹性计费模式，支持按小时计费。您可以随时开通/销毁负载均衡实例，按实际使用量付费。调整策略说明如下：

1、公网负载均衡将由之前的预付费30元(1元/天的价格)调整为后付费，采用按小时计费的方式，调整后价格为0.02元/小时，降价50%以上；
2、当前支持用户新购的负载均衡为按量计费模式；
3、存量客户已经于2017年7月31日凌晨清算上月费用，并切换为新的按量计费策略，请保持您账户中有足够的余额。
4、内网负载均衡继续保持免费；

按小时计费的模式，不需要提前支付费用，每小时整点进行一次结算。

开通按量计费负载均衡实例时，会预先冻结该 CLB一个小时的配置费用，并在每个整点（北京时间）进行一次结算。冻结的CLB实例费用将在您删除实例后解冻。
购买时负载均衡实例单价按小时，结算时按实际使用小时数计价。计费的起点以负载均衡实例创建成功的时间点为准，终点以您发起销毁操作的时间点为准。使用不足一小时将按照一小时进行扣费。

> 注
按量计费的负载均衡实例创建时会预先扣除一个小时的实例费用，请保证您的账户余额足够；
负载均衡购买后，即使处于闲置状态（无访问，未绑定后端主机）也会持续收取0.02元/小时配置费用。

## 欠费隔离策略

- 实例欠费后延时24小时停服，在欠费后24小时内会以短信/邮件的方式提醒用户尽快续费，在欠费后24小时内进行充值，您的服务将不会受到停服影响。

- 实例欠费24小时后如果用户未完成续费操作，则暂停实例服务，进入**隔离状态**。实例被隔离后将停止服务，用户所占用的负载均衡实例也将停止计费。实例相关配置数据会保留7天。用户在7天内充值补足欠费后，服务会自动开启，可以继续使用。欠费超过7天，将视为用户主动放弃使用负载均衡服务，相关配置数据也会被释放。

- 腾讯云将在隔离状态实例释放前的1天进行短信/邮件提醒，实例被释放后相关配置数据将被永久删除，不可恢复。

>注：负载均衡不会主动解除与CVM的绑定关系，但当**云服务器**进入隔离状态（包年包月云服务器进入回收站、按量计费云服务器欠费两小时以上）时，会强制解除与LB的绑定关系。 

## 常见问题FAQ：

1、按小时计费，多长时间扣一次费用？
答：每小时扣1次费用；

2、计费调整前后，降价50%的计算方式？
答：旧的计费方式中，1元/天，则连续使用30天需要支付30×1=30元。
新的计费方式中，0.02元/小时，则连续使用30天需要支付0.02×24×30=14.4元。因此，节省费用(30-14.4)/30×100%=52%

3、为什么要更改计费方式？
答：按量计费的方式更加灵活、无需预先冻结费用，客户不需要时可以随时释放实例，仅需要支付按小时使用的费用，降低客户使用成本。

## 跨地域绑定计费说明

负载均衡跨地域绑定功能，允许您修改后端主机的地域属性，实现【北京】【上海】等地的LB跨地域绑定到后端集群如【广州】。当前该功能灰度中，如果您需要体验该功能，请通过
[工单申请](https://console.cloud.tencent.com/workorder/category/create?level1_id=6&level2_id=163&level1_name=%E8%AE%A1%E7%AE%97%E4%B8%8E%E7%BD%91%E7%BB%9C&level2_name=%E8%B4%9F%E8%BD%BD%E5%9D%87%E8%A1%A1%20LB)

其收费方式如下：
1) 同地域绑定：免费。
2) 跨地域绑定（即：私有网络跨地域绑定 & 基础网络跨地域绑定 ）
- 按天后付费日结。
- 计算当日带宽峰值，乘以所在阶梯的单价。
- 当日带宽峰值计算方式：每5分钟采集一次，取当日出入带宽的最大值作为每日带宽峰值。
详情请参照下表：

<table>
        <tbody>
                <tr>
            <th style="width: 10%;" rowspan="2">功能</th>
            <th style="width: 25%;" rowspan="2">计费模式</th>
                        <th style="width: 25%;" rowspan="2">配置</th>
            <th style="width: 40%;" colspan="4">价格</th>
        </tr>
        <tr>
            <th>北京<br>成都<br>上海<br>上海金融<br>广州<br>深圳金融</th>
                        <th>香港</th>
                        <th>新加坡<br>硅谷<br>法兰克福</th>
            <th>多伦多</th>
        </tr>
                <tr>
        <td>同地域绑定</td>
                <td colspan="6" >　　　　　　　　　　　　　　　　　　　　　免费</td>
                <tr>
                <tr>
            <td rowspan="5">跨地域绑定</td>
                        <td rowspan="5">当日带宽峰值<br><br>按天计费（元 / Mbps / 天）<br><br>峰值带宽按每 5min 平均带宽计<br></td>
                        <td>(0 , 20] Mbps</td>
                        <td>20</td>
                        <td>-</td>
                        <td>-</td>
                        <td>-</td>
        </tr>
           <tr>
                <td>(20 ,100] Mbps</td>
                        <td>12</td>
                        <td>-</td>
                        <td>-</td>
                        <td>-</td>
                </tr>
                <tr>
                <td>(100 , 500] Mbps</td>
                <td colspan="4" rowspan="4">　　　　　　　请与商务洽谈<br>
                </tr>
                <tr>
                <td>(500 , 2000] Mbps</td>
                </tr>
             <tr>
                <td >大于2000Mbps</td>
                </tr>
                    <tr>
</tbody></table>

>更多价格咨询请与商务洽谈。

**例子：**
如果负载均衡在上海，后端主机在广州，当日的出带宽峰值为20Mbps，入带宽峰值为30Mbps,那么当日费用为：30 * 12 = 360元，由负载均衡侧收取该费用。

