## 1. 四层排查

TCP协议下，负载均衡使用SYN包进行探测；UDP协议下，负载均衡使用ping命令进行探测。

在页面查看LB后端服务器端口的健康状态，若不健康，排查思路如下：

- 确定CLB后端服务器是否有配置有防火墙影响了服务，如果有请关闭 
- 使用netstat命令，确定后端服务器的端口是否有进程在监听，若未启动，则重新启动服务

## 2. 七层排查
针对7层（HTTP协议）服务，当某一监听出现健康检查“异常”时，可以通过如下方面进行排查：

- 由于负载均衡的七层健康检查服务与后端CVM之间的通讯是走内网的，您需要登录服务器检查应用服务器端口是否正常监听在内网地址上，如果没有监听在内网地址，请将应用服务器端口监听到内网上，从而确保负载均衡系统和后端CVM之间的通讯正常。

假设负载均衡前端端口是80，CVM后端端口也是80，CVM内网IP是：1.1.1.10

Windows系统服务器使用如下命令：

```
netstat -ano | findstr :80
```

Linux系统服务器使用如下命令：

```
netstat -anp | grep :80
```

如果能看到1.1.1.10:80的监听或0.0.0.0:80的监听则说明这部分正常。

- 请确保后端服务器开启了相应的端口，该端口必须与您在负载均衡监听配置中配置的后端端口保持一致。

如果是4层负载均衡，只要后端端口telnet有响应即可，可以使用`telnet 1.1.1.10 80`来测试。如果是7层负载均衡，需要HTTP状态码是200 等代表正常的状态码。检验方法如下：

Windows系统可以直接在CVM内的浏览器输入内网IP测试是否正常，本例为：`http://1.1.1.10`   
Linux系统可以通过`curl -I`命令看看状态是否为HTTP/1.1 200 OK，本例是：`curl -I 1.1.1.10`

- 检查后端CVM内部是否有防火墙或其他安全类防护软件，这类软件很容易将负载均衡系统的本地IP地址屏蔽，从而导致负载均衡系统无法跟后端服务器进行通讯。

检查服务器内网防火墙是否放行80端口，可以暂时关闭防火墙进行测试。

Windows系统可以运行输入`firewall.cpl `操作关闭
Linux系统可以输入`/etc/init.d/iptables stop`关闭

- 检查负载均衡健康检查参数设置是否正确，建议参照[这里](http://cloud.tencent.com/doc/product/214/%E5%8A%9F%E8%83%BD%E4%BB%8B%E7%BB%8D#2.2.-.E5.81.A5.E5.BA.B7.E6.A3.80.E6.9F.A5)提供的健康检查参数默认值进行设置。
- 健康检查指定的检测文件，建议是以html形式的简单页面，只用于检查返回结果，不建议用php等动态脚本语言。
- 检查后端是否有较高负载导致CVM对外提供服务响应慢。
