Tencent Cloud provides a wide range of CPMs to cater for different business scenarios. All the CPMs are purchased from reliable world-class CPM manufacturers, including HP, Inspur, Dell, Lenovo, Huawei, IBM, etc., to provide a reliable hardware environment for you. You can purchase CPMs with different configurations based on your business needs.</br>
Next, we will introduce the types of CPMs and scenarios where these CPMs are applicable.

## Compute-optimized
The computing CPM is an ideal choice for performance-sensitive applications, and is recommended for large game servers and advertisement service engines, high performance computing (HPC) and other compute-intensive applications.
<table>
<tr>
<th>Model</th>
<th>Code</th>
<th>CPU</th>
<th>Memory</th>
<th>Hard Disk</th>
<th>RAID</th>
<th>NIC Rate</th>
</tr>

<tr>
<td>Computing</td>
<td>	PC100</td>
<td>E5-2620v3 (6-core)*2</td>
<td>	64 GB</td>
<td>2*300 GB (SAS)</td>
<td>Yes</td>
<td>Ten-Gigabit NIC</td>
</tr>


</table>





## Memory-optimized
The memory CPM is an ideal choice for memory-intensive applications, and is recommended for database, Memcached, or Redis applications.
<table>
<tr>
<th>Model</th>
<th>Code</th>
<th>CPU</th>
<th>Memory</th>
<th>Hard Disk</th>
<th>RAID</th>
<th>NIC Rate</th>
</tr>

<tr>
<td>Memory</td>
<td>	PM100</td>
<td>E5-2620v3 (6-core)*2</td>
<td>	384 G</td>
<td>4*300 GB (SAS)</td>
<td>Yes</td>
<td>Ten-Gigabit NIC</td>
</tr>

<tr>
<td>Memory</td>
<td>	PM101</td>
<td>E5-2670v3 (12-core)*2</td>
<td>	384 G</td>
<td>12*300 GB (SAS)</td>
<td>Yes</td>
<td>Ten-Gigabit NIC</td>
</tr>
</table>



## High I/O
The high I/O CPM is an ideal choice for applications with a high demand for I/O performance, and is recommended for applications such as OLTP, SPARK, etc.
<table>
<tr>
<th>Model</th>
<th>Code</th>
<th>CPU</th>
<th>Memory</th>
<th>Hard Disk</th>
<th>RAID</th>
<th>NIC Rate</th>
</tr>





<tr>
<td>Storage</td>
<td>	PI100</td>
<td>E5-2670v3 (12-core)*2</td>
<td>	256 GB</td>
<td>12*800 GB (SSD)</td>
<td>Yes</td>
<td>Ten-Gigabit NIC</td>
</tr>


<tr>
<td>Storage</td>
<td>	PI103</td>
<td>E5-2620v3 (6-core)*2</td>
<td>	128 GB</td>
<td>4*600 G (SAS) + 1*1.2 T (High performance SSD PCIE card)</td>
<td>Yes</td>
<td>Ten-Gigabit NIC</td>
</tr>

<tr>
<td>Storage</td>
<td>	PI110</td>
<td>E5-2620v3 (6-core)*2</td>
<td>64 GB</td>
<td>4*1.8 T (NVMe SSD) + 1*80 G (SSD)</td>
<td>No</td>
<td>Ten-Gigabit NIC</td>
</tr>

</table>

## Standard
The standard instance is able to achieve the balance among computing, memory and network resources, and is a great choice for many applications. It is recommended for the applications such as medium and small-sized Web applications and databases.
<table>
<tr>
<th>Model</th>
<th>Code</th>
<th>CPU</th>
<th>Memory</th>
<th>Hard Disk</th>
<th>RAID</th>
<th>NIC Rate</th>
</tr>

<tr>
<td>Standard</td>
<td>	PS100</td>
<td>E5-2670v3 (12-core)*2</td>
<td>	128 G</td>
<td>12*300 GB (SAS)</td>
<td>Yes</td>
<td>Ten-Gigabit NIC</td>
</tr>



</table>



## Other Models
BM also provides GPU CPMs, high-performance IBM openpower CPMs, CPMs with FPGA chips suitable for applications such as deep learning and HPC, and even allows users to customize the CPM configurations.
</br>Please pay attention to the sales information on Tencent Cloud official website.
