
本章节介绍如何配置服务器，包括选择操作系统、配置RAID以及定义操作系统分区，还包括添加外网访问能力等。

## 选择操作系统
请选择好服务器配置后点击【下一步：选择操作系统】
请根据界面的提示选择操作系统，我们选择CentOS 6.5
![](http://mc.qcloudimg.com/static/img/e00158153200502aa737fc9b70cceb52/image.png)

*云服务器可以使用虚拟化技术屏蔽硬件的兼容性，所以在云服务器上安装操作系统无须考虑硬件兼容性。  
但黑石服务器提供的是物理服务器裸机，页面中可供选择的操作系统都需经过服务器厂商的认证和腾讯云的测试以保证能在数据中心正常使用。
如果没有您需要的操作系统，请联系腾讯云客服，我们将与您沟通操作系统的需求。*

## 配置RAID
请选择好操作系统后，点击【下一步：选择存储与网络】
这一步，您可以选择需要使用的RAID级别。在页面中可以看到，PC100支持RAID0和RAID1两种RAID级别。【NO RAID】模式指将RAID卡设置为HBA工作模式，既不创建RAID存储组。  
Web应用服务器，只用于保存程序log, 不需要冗余保存，所以使用RAID 0 即可
![](http://mc.qcloudimg.com/static/img/d5e9db2ef6fc4d5a490e7f26b72eeb3d/image.png)
*RAID相关的更详细说明，请参考[设置RAID级别](/doc/product/386/7142 "设置RAID级别")章节*

## 配置操作系统分区
在安装操作系统前，允许您配置操作系统分区大小。  
在本场景没有特殊需求，则按页面提示的分区大小安装划分分区。
![](http://mc.qcloudimg.com/static/img/d3778be090dac54af50964a103fbcb50/image.png)</br>
*如果有特殊要求，可以指定分区大小。更详细说明，请参考[自定义磁盘分区](/doc/product/386/7141 "自定义磁盘分区")章节*

## 网络隔离
私有网络 VPC 允许您在云中预配置独立的网络空间，您可以自定义在虚拟网络中部署的云资源。您可以自定义网段划分和 IP 地址、自定义路由策略等，实现全面网络逻辑隔离。
请选择您的服务器所在的VPC和子网。

## 外网访问的方式
黑石服务器提供两种外网访问方式，分别为弹性公网IP和负载均衡。</br>

<li>弹性公网IP</li> 
是专用于动态云计算的静态 IP 地址。与传统静态 IP 地址不同，弹性IP可以与任一服务器绑定，您可以绑定至A服务器也可以绑定至B服务器。 当服务器发生故障或可用区存在故障时，您可以将 IP 地址重新映射到健康的服务器上，这样您便可以在处理服务器问题的同时提供服务。  
*详情请了解[弹性公网IP](/doc/product/386/7144)章节*

<li>负载均衡</li> 
负载均衡在多个服务器间自动分配应用程序的访问流量。它可以让您实现更大的应用程序容错性能，同时持续提供响应应用程序传入流量所需要的负载均衡容量。负载均衡可以检测出群体里不健康的服务器，并自动更改路由，使其指向健康的服务器，直到不健康的实例恢复为止。您可以在单个可用区或多个可用区中启用负载均衡，以提高应用性能的一致性。

接下来我们构建一个简单的外网访问场景，选择绑定弹性公网IP的方式提供外网访问。

## 绑定弹性公网IP
请在购买页，选择【免费分配弹性公网IP】，这样将交付一台已经绑定好弹性公网IP的黑石服务器给您。
![](http://mc.qcloudimg.com/static/img/37b974f6f3bd6ff5367d660845ef3fbc/image.png)
*请访问[弹性公网IP](/doc/product/386/7144)章节，以了解更多关于弹性公网IP的特性*	
