自定义脚本用于批量执行后台命令，具备管理脚本、执行任务、查看结果的相关能力，可减轻后端操作的复杂度，提高运维效率。

【前置条件】

- 服务器需安装[运维辅助组件](https://cloud.tencent.com/document/product/386/9793)


【安全约束】

- 强制鉴权：由于可能用于现网设备维护，这里在腾讯云标准鉴权基础上，强制验证系统“用户名”与“密码”，确保执行人拥有该设备必要权限。
- 区分鉴权：由于系统中不同用户权限不同，鉴权时使用的“用户名”用于约束执行权限，将使用该用户的权限执行脚本。

【风险提示】

- 自定义脚本是一个基础工具，仅用于辅助操作。相关操作结果与脚本内容有关，请合理使用本功能。


# 脚本管理

脚本管理页面，可由黑石物理机控制台进入访问。
该页面中，点击"新建"、“修改”、“删除”、“运行”按钮，可以分别进行“增、删、改、执行”相关操作。
![](https://mc.qcloudimg.com/static/img/62de9bb71afd5c06223d695d652e0398/image.png)

## 新建脚本
新建脚本需要填写相关信息：

| 属性 | 用途 | 约束 |
|---------|---------|---------|
| 名称 | 描述脚本用途 | 最大长度60个字符，支持中文、英文、数字、下划线、连字符、小数点 |
| 适用系统 | 区分使用环境 | linux系统与windows系统 |
| 脚本内容 | 具体执行脚本代码 | 最大长度4096字符，无特殊字符限制 |

![](https://mc.qcloudimg.com/static/img/baa5c3034bc08931f1d8c4cc8caf05d5/image.png)


## 修改脚本
点击修改按钮，弹出修改页面。格式与新建脚本格式相同，但不允许修改适用系统，可修改名称与脚本内容。
![](https://mc.qcloudimg.com/static/img/11b9d3121accc8684782a37947f8d9af/image.png)

## 删除脚本
删除脚本支持单独删除与复选删除。

__单独删除__：点击每行删除按钮。
![](https://mc.qcloudimg.com/static/img/bf81dafc0d6af6b0e68227637b3d5315/image.png)

__批量删除__：点击页面左上角删除按钮。
![](https://mc.qcloudimg.com/static/img/94e8ce0b8d59bc90497fac89b027c9c0/image.png)


## 执行脚本
点击运行按钮，并在弹出窗口中，按提示填写脚本执行所需信息。点击执行后，将跳转任务日志页面，便于查看执行效果。
【注意】脚本超时时长为3600秒。未执行完成的任务将判定为执行失败。同时可并发执行任务数为5个。

| 属性 | 用途 | 是否可为空 | 约束 |
|---------|---------|---------|
| 地域 | 区分地域 | 否 |下拉选中 | 
| 选择物理主机 | 选择待执行命令服务器 | 否 | 最多同时选中 1000 台 | 
| 用户名 | 用于鉴权 | 否 | 脚本将以该用户权限执行 |
| 密码 | 用于鉴权 | 否 | 无 |
| 参数 | 用于输入脚本参数 | 是 | 无 |

__选择物理服务器__
![](https://mc.qcloudimg.com/static/img/b8db5745ccfebe036fab33c4fe19826c/image.png)

__设置信息__
![](https://mc.qcloudimg.com/static/img/35134c6ff5d57e4b77ae53376852f3bc/image.png)

# 任务日志
任务日志用于展示与记录脚本执行结果。通过切换地域，查看不同地域的任务执行情况。

任务列表各列信息说明：

| 标题 | 说明 |
|---------|---------|
| 任务ID | 平台自动生成的唯一任务ID，用于区分不同任务 |
| 状态 | 任务执行状态。运行中：所有服务器执行完成。已结束：所有服务器完成脚本执行。 |
| 运行脚本 | 任务执行时使用的脚本名称。执行时脚本内容与最新脚本内容可能不同。执行内容请点击任务ID，查看详细 |
| 运行服务器数量 | 任务指定的服务器数量。|
| 成功个数 | 成功下发并执行脚本的服务器数量。|
| 失败个数 | 鉴权失败、无法下发、或执行超时的服务器数量。|
| 运行时间 | 任务启动时间 |

【注】脚本状态为“成功”，仅说明脚本在该服务器鉴权通过，并在服务器启动，且未执行超时。脚本执行是否达到预期，不做为成功与否的判定标准。

![](https://mc.qcloudimg.com/static/img/bba00c95d48bbc879098cf24de1d65a3/image.png)

## 查看日志

点击任务ID后，跳转到任务详细信息。可查 详细任务日志与执行内容。

__详细任务日志__
![](https://mc.qcloudimg.com/static/img/2348338991802dce2c4eaee8dae2180c/image.png)

__执行内容__
【注】执行内容为该任务运行时的脚本内容，可能与该脚本最新内容不同。
![](https://mc.qcloudimg.com/static/img/1e56886f6c55e3e76362454747efec90/image.png)