
RAID的中文名称叫：独立硬盘冗余阵列（RAID, Redundant Array of Independent Disks），简称磁盘阵列。

其基本思想就是把多个相对便宜的硬盘组合起来，成为一个磁盘阵列。根本RAID级别不同，磁盘阵列比单块硬盘有着更强的数据集成度、容错功能、更高的处理量或容量。概括地说，RAID的目标是提高读写性能以及容错能力。

另外，磁盘阵列对于服务器来说，看起来就像一个单独的硬盘或逻辑存储单元。

## 设置RAID级别

在购买和重装黑石服务器时，均允许您设置RAID级别。一般步骤为：

<li>购买一台带RAID卡的服务器。</br>
不带RAID卡则无法设置RAID级别；带RAID卡的服务器，是可以设置为HBA模式，即NO-RAID。</li>

<li>
根据您的业务场景选择合适的RAID级别
</li>

下面，将以购买一台PS100服务器为场景，介绍如何设置RAID。

### 选购带RAID卡的服务器
![](http://mc.qcloudimg.com/static/img/dd57a46f906360a82803191f3df53030/image.png)
*请注意购买页中的服务器选购列表，RAID字段明确说明了这款服务器是否带RAID卡*

在这步我们选择PS100型号的服务器。

### 设置RAID级别
![](http://mc.qcloudimg.com/static/img/6008262c2f3ed43d8d44f11cd3f24e41/image.png)
请在界面中选择不同的RAID级别。

### 常用的RAID级别
<table>
<tr>
<th>RAID级别</th>
<th>介绍</th>
<th>需要磁盘数</th>
<th>磁盘空间利用率</th>

</tr>

<tr>
<th>RAID0</th>
<td>是种简单的、无数据校验的数据条带化技术,它并不提供冗余和容错能力。 </br>RAID0将数据分散存储在所有磁盘中，以独立访问方式实现多块磁盘同时读写操作。 </br>所以RAID0是所有RAID级别中性能最高的。</td>
<td>n≥1</td>
<td>100%</td>


<tr>
<th>RAID1</th>
<td>称为镜像，它将数据完全一致地分别写到【工作磁盘】和【镜像磁盘】</br>
在数据写入时，响应时间会有所影响，但是读数据的时候没有影响。 </br> 提供了最佳的数据保护，一旦工作磁盘发生故障，系统自动从镜像磁盘读取数据，不会影响用户工作。</td>
<td>2</td>
<td>50%</td>


<tr>
<th>RAID5</th>
<td>RAID 5 是一种存储性能、数据安全和存储成本兼顾的存储解决方案</br>
数据以块为单位分布到各个硬盘上。RAID 5不对数据进行备份，而是把数据和与对应的奇偶校验信息存储到各个磁盘上，并且数据和校验信息存储在不同磁盘。当一个磁盘数据损坏后，利用剩下的数据和校验信息去恢复数据。</td>
<td>n>=3</td>
<td>(n-1)/n %</td>


</table>



## 重装时选择RAID级别
![](http://mc.qcloudimg.com/static/img/0f493a30a26797694ce4e80ce1cb126f/image.png)
重装时，仍然可以选择RAID级别。

*请注意，重建RAID时会<font color='red'>格式化磁盘</font> 请提前做好数据备份。*




