## 监控组件用途
&nbsp;&nbsp;&nbsp;&nbsp;监控组件需要提前安装到物理服务器中，安装后可提供 __性能监控、硬件故障监控、异常现象监控__。

### 缺失影响

- 无法获取监控数据 

	无法定制告警消息，影响用户对设备情况的及时掌握。

- 无法主动发现硬件故障

	无法由平台发现故障，需由用户识别故障，并报障处理。影响业务可用性时长。

## 监控信息配置
&nbsp;&nbsp;&nbsp;&nbsp;在[云监控控制台](https://console.cloud.tencent.com/monitor/policylist)，可针对黑石物理机监控指标自定义告警策略，关联(作用到)告警对象(黑石物理机)，管理告警接收组。
<br  />
&nbsp;&nbsp;&nbsp;&nbsp;支持自定义告警阈值的指标包括（__性能监控__）：   _CPU使用率，CPU平均负载，MEM内存使用量，应用内存使用量，虚拟内存使用量，内存使用率，磁盘IO读流量，磁盘IO写流量，磁盘IO等待时间，磁盘IO的CPU使用率，磁盘IO的服务时间，磁盘空间使用率，网卡出带宽，网卡入带宽，网卡出包量，网卡入包量，外网出带宽，外网入带宽，外网出包量，外网入包量，外网出流量_  。
<br  />
&nbsp;&nbsp;&nbsp;&nbsp;现象发生后触发的告警包括（__异常现象监控__）：   _磁盘只读告警 (某个逻辑盘不可写入，可能的原因是磁盘满或者文件系统故障等)_ 。
<br  />
&nbsp;&nbsp;&nbsp;&nbsp;较明确原因的硬件故障告警包括（__硬件故障监控__）：  _硬盘故障（有冗余），RAID卡电池故障，RAID卡缓存故障，硬盘故障（无冗余），硬盘即将故障（有冗余），硬盘故障（有冗余，槽位未知），电源故障（有冗余），风扇故障，硬盘故障（无冗余，在线换盘），SSD硬盘故障（无冗余），网卡故障，内存故障，SSD硬盘寿命耗尽(关机换盘)[表示需要关机换盘，否则存在极大风险]，SSD硬盘温度过高(关机换盘)，SSD硬盘坏块率过高(关机换盘) ，HBA卡故障 ，操作系统硬盘故障（无冗余），主板故障 ，CPU故障 ，电源故障（无冗余），硬盘即将故障（无冗余）_  。
<br  />
&nbsp;&nbsp;&nbsp;&nbsp; 说明：对于硬件故障告警，即使用户未在云监控控制台进行告警配置，腾讯云黑石平台发现后，会有售后支持主动通知用户(通常是售后支持群)的流程保障硬件故障能及时跟进和处理；其他两类告警需要用户自行在云监控控制台进行相应的配置。

## 监控组件安装（修复）指引

### Linux操作系统
- 下载：
wget http://mirrors.tencentyun.com/install/monitor_bm/AgentInstall.tgz
- 解压：
tar zxvf AgentInstall.tgz
- 安装：
cd AgentInstall;./setupagent.sh
- 验证：
执行 ps -ef |grep agenttools 可以看到5个相关进程
```
[root@centos ~]# ps -ef |grep agenttools
root      3900     1  0 Jul10 ?        00:00:03 /usr/local/agenttools/agent/agent -c /usr/local/agenttools/agent/client.conf
root      3907     1  0 Jul10 ?        00:00:00 /usr/local/agenttools/agent/agentPlugInD
root      3915     1  0 Jul10 ?        00:01:05 /usr/local/agenttools/agent/base -d5 -c1 -m4 -s /usr/local/agenttools/agent/base.conf
root      3921     1  0 Jul10 ?        00:00:00 /usr/local/agenttools/agent/tcvmstat
root      3935     1  0 Jul10 ?        00:00:06 /usr/local/agenttools/agent/sysddd
root     41565 41419  0 15:50 pts/0    00:00:00 grep agenttools
```

### Windows操作系统
- 下载：
进入到黑石物理机os内，通过浏览器下载：
http://mirrors.tencentyun.com/install/monitor_bm/AgentInstall_win64.zip
- 解压：
将安装包解压成文件夹win-agent，放到c:盘根目录下，目录结构为：
``` 
c:\win-agent\
    |--adssensor.dll
    |--agentplugin.dll
    |--agentRepNum.exe
    |--agentRepStr.exe
    ……
``` 

- 安装
运行c:\win-agent\uninstall.bat，运行c:\win-agent\setup.bat
 
- 验证：
打开我的电脑，在地址栏输入 "cmd" 并回车
![](https://mc.qcloudimg.com/static/img/a04a39f2b78d0d98e3df65c073e2ddf4/001.png)
输入命令 netstat -ano  并回车，可以看到联接远端9922端口
![](https://mc.qcloudimg.com/static/img/5aa69ae7ffcea1a3b6775fec1fde3576/002.png)
