## BM访问管理策略示例

您可以通过使用 CAM （Cloud Access Management，访问管理）策略让用户拥有在 BM （Bare Mental，黑石物理机服务器）控制台中查看和使用特定资源的权限。该部分的示例能够使用户使用控制台的特定部分的策略。
### BM 的全读写策略
如果您想让用户拥有创建和管理 BM 实例的权限，您可以对该用户使用名称为：QcloudBMFullAccess的策略。
您可以进入[策略管理界面](https://console.cloud.tencent.com/cam/policy)，并在右边的全部服务中选择【黑石物理服务器】，就可以在图中位置找到该策略。

策略语法如下：

```
{
    "version": "2.0",
    "statement": [
        {
            "action": [
                "name/bm:*",
                "name/bmeip:*",
                "name/bmlb:*",
                "name/bmvpc:*"
            ],
            "resource": "*",
            "effect": "allow"
        }
    ]
}
```
以上策略是通过让用户分别对 bm，bmeip, bmlb, bmvpc中所有资源都具有操作的权限来达到目的。

### BM 的只读策略
如果您只想让用户拥有查询 BM 实例的权限，但是不具有创建、删除、开关机的权限，您可以对该用户使用名称为：QcloudBMReadOnlyAccess的策略。


您可以进入[策略管理界面](https://console.cloud.tencent.com/cam/policy)，并在右边的全部服务中选择【黑石物理服务器】，就可以在图中位置找到该策略。


策略语法如下：

```
{
    "version": "2.0",
    "statement": [
        {
            "action": [
                "name/bm:Describe*",
                "name/bmeip:Describe*",
                "name/bmlb:Describe*",
                "name/bmvpc:Describe*",
                "name/bmvpc:Query*",
                "name/bm:Get*",
                "name/bmlb:Get*"
            ],
            "resource": "*",
            "effect": "allow"
        }
    ]
}
```
以上策略是通过让用户分别对如下操作 BM 中所有以单词" Describe ", "Get ", "Query "开头的所有操作具有操作的权限来达到目的。


### 自定义策略

如果您觉得预设策略不能满足您所想要的要求，您也可以创建自定义策略。

简单的自定义的策略语法举例如下：
```
{
    "version": "2.0",
    "statement": [
        {
            "effect": "allow",
            "action": [
                "name/bm:DescribeDeviceHardwareInfo",
                "name/bm:DescribeDevicePartition",
                "name/bm:ModifyDeviceAlias",
                "name/bm:ModifyDeviceAutoRenewFlag",
                "name/bm:ModifyPayModePre2Post",
                "name/bm:OfflineDevice",
                "name/bm:RebootDevice",
                "name/bm:ReloadDeviceOs",
                "name/bm:ResetDevicePasswd",
                "name/bm:SetOutBandVPNAuthPwd",
                "name/bm:ShutdownDevice",
                "name/bm:StartDevice"
            ],
            "resource": [
                "qcs::bm:::instance/*"
            ]
        }
    ]
}
```
上面的策略，指定了具体的操作接口的权限。 并可以在resource中指定具体的资源。

BM的策略是支持条件密钥，如下示例
```
{
    "version": "2.0",
    "statement": [
        {
            "effect": "allow",
            "action": [                
                "name/bm:RebootDevice",
                "name/bm:ReloadDeviceOs",
                "name/bm:ShutdownDevice",
                "name/bm:StartDevice"
            ],
            "resource": [
                "qcs::bm:::instance/*"
            ],
             "condition": {
                "string_equal": {
                    "bm:vpcId": "vpc-34cxlz7z",
                    "bm:subnetId": "subnet-lmh5tcwi"
                }
            }
        }
    ]
}
```
示例中的"condition"就是条件密钥， 用户可以按照vpc和subnet来进行指定权限。vpc和subnet都是可选的。



