资源级权限指的是能够指定允许用户对哪些资源具有执行操作的能力。 CVM 部分支持资源级权限，这意味着对于某些 CVM 操作，您可以控制何时允许用户执行操作 (基于必须满足的条件)或是允许用户使用的特定资源。下表将向您介绍一下， CVM 可授权的资源类型。

CAM 中可授权的资源类型：

| 资源类型 | 授权策略中的资源描述方法 |
| :-------- | -------------- |
| 黑石物理服务器相关 |  ` qcs::bm:$region::instance/* `|

下表将介绍当前支持资源级权限的 BM （Bare Mental, 黑石物理服务器） API 操作，以及每个操作支持的资源和条件密钥。指定资源路径的时候，您可以在路径中使用 * 通配符。
> **注意**：
> 如果某一个 BM API 操作在下表中没有列出，则它不支持资源级权限。如果 BM API 操作不支持资源级权限，那么您还是可以向用户授予使用该操作的权限，但是必须为策略语句的资源元素指定 *  。

#### 云服务器实例相关：
| API操作 | 资源路径 | 条件密钥 |
| :-------- | :--------| :------ |
|ShutdownDevice|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|StartDevice|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|BindEip|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|UnbindEip|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|DescribeDeviceHardwareInfo|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|DescribeDeviceOperationLog|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|DescribeDevicePrice|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|DescribeDevicePartition|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|GetDeviceDeployProcess|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|GetDeviceOutBandInfo|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|ModifyPayModePre2Post|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|ModifyDeviceAutoRenewFlag|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|ShutdownDevice|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|OfflineDevice|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|RebootDevice|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|ReloadDeviceOs|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|
|ResetDevicePasswd|qcs::bm:$region:$account:instance/* <br/> qcs::bm:$region:$account:instance/*|bm:vpcId <br/> bm:subnetId|