本章节描述如何配置黑石服务器，以提供外访内的公网服务，并购买公网出口带宽。

## 公网访问的方式
黑石服务器提供两种公网访问方式，分别为弹性公网IP和负载均衡。</br>

<li>弹性公网IP</li> 
是专用于动态云计算的静态 IP 地址。与传统静态 IP 地址不同，弹性IP可以与任一服务器绑定，您可以绑定至A服务器也可以绑定至B服务器。 当服务器发生故障或可用区存在故障时，您可以将 IP 地址重新映射到健康的服务器上，这样您便可以在处理服务器问题的同时提供服务。  
*详情请了解[弹性公网IP](/doc/product/386/7144)章节*

<li>负载均衡</li> 
负载均衡在多个服务器间自动分配应用程序的访问流量。它可以让您实现更大的应用程序容错性能，同时持续提供响应应用程序传入流量所需要的负载均衡容量。负载均衡可以检测出群体里不健康的服务器，并自动更改路由，使其指向健康的服务器，直到不健康的实例恢复为止。您可以在单个可用区或多个可用区中启用负载均衡，以提高应用性能的一致性。



## 公网出口费
公网出口费有三种计费模式，分别为：【按流量计费】【按固定带宽计费】【按实际带宽计费】

*允许更改公网出口计费模式。更改后，将在下一自然小时生效。</br>*
*同一自然小时内，在相同计费模式下修改带宽峰值实时生效，但按最后一次修改的带宽峰值作为当前计费周期的公出出口费用*


<a id='byliuliangjifei'></a>
### 按流量计费 
<li >按实际产生流量计费，后付费，按小时计费和扣费</li>
单价:0.8元/GByte , 没有带宽峰值上限（即不限速）
则当月的公网出口费用 = 实际使用的流量总和 * 单价 。

<a id='bygudingdaikuanjifei'></a>
### 按固定带宽计费
<li >即按购买的带宽峰值计费，公网出口速度无法超过设置的带宽峰值，且无论达到峰值与否，都按购买的峰值计费，以下是阶梯价：</li>
<table>
<tr>
<th>阶梯</th>
<th>价格</th>
</tr>
<tr>
<td>≤5M的部份</td>
<td>按0.0625元/M/小时收费</td>
</tr>
<tr>
<td>≤大于>5M的部份</td>
<td>按0.25元/M/每小时收费</td>
</tr>
</table>
该费用为后付费，按小时扣费，不足1小时按1小时计。 </br>
则当月的公网出口费用 = 带宽峰值 * 单价 * 实际使用的小时数 。

<a id='byshijidaikuanjifei'></a>
### 按实际带宽计费
即按规则计算当月使用的带宽峰值，乘以单价计算实际公网费用。计费规则如下：</br>

>每分钟取 随机10秒内 <font color='red'>所有地域的弹性公网IP和负载均衡产生的流量总和</font>，并求平均值 作为【分钟级别的带宽】</br>
每5分钟取最大的【分钟级带宽带宽】作为【 5分钟级别的带宽】。一天有288个【5分钟级别带宽】</br>
取当天第五大 的【5分钟级别带宽】作为【日级别带宽】。每月有30个【日级别带宽】</br>
每月取前五大 的 【日级别带宽】 并均其平均值。作为 【当月的带宽峰值】

则当月的公网出口费用 = 【当月的带宽峰值】 * 单价 。 
*该类计费模式仅供腾讯云大客户使用， 如需使用请联系腾讯云商务同事。*


## 如何配置公网服务

- 绑定黑石弹性公网IP

请在购买黑石弹性公网IP时，选择公网出口计费模式。请按您的需求，匹配相应的计费模式，并与黑石服务器绑定。
![](http://mc.qcloudimg.com/static/img/f99e8be2dbb895a8e0cbdc53942c15a4/image.png)


- 绑定黑石负载均衡

请在购买黑石负载均衡实例时，选择公网出口计费模式。
![](http://mc.qcloudimg.com/static/img/fad1dd8905c67a727bdec95a4ffc712b/image.png)

监听器的公网出口计费模式与负载均衡实例相同，请在创建监听器时匹配相应的公网出口计费模式。
![](http://mc.qcloudimg.com/static/img/e109f9d8503abf2b034cc50037238f4a/image.png)


## 公网出口费账单

### 黑石弹性公网IP公网出口费账单

以【按固定带宽计费】为例。

黑石EIP公网出口-按固定带宽计费-x月扣费，记录所选时间区间内黑石弹性公网IP购买的峰值带宽情况和扣费详情
![](http://mc.qcloudimg.com/static/img/84562d836f248f54a93fbf811176ac42/image.png)

黑石弹性IP-x月扣费,记录所选时间区间内所有黑石弹性公网IP的闲置情况和扣费详情
![](http://mc.qcloudimg.com/static/img/21e4a12a3e18993d87d9360dfaca2fb3/image.png)

### 黑石负载均衡公网出口费账单

以【按固定带宽计费】为例。

黑石LB公网出口-按固定带宽计费-x月扣费，记录所选时间区间内黑石负载均衡所有监听器购买的峰值带宽情况和扣费详情
![](http://mc.qcloudimg.com/static/img/bd39ae2719bdb598e2de1199d92ede18/image.png)

黑石LB公网出口-x月扣费,记录所选时间区间内所有【按固定带宽计费】的监听器的公网出口费扣费详情
![](http://mc.qcloudimg.com/static/img/ec571b3bab983b62f6ff1b867abcaec7/image.png)

### 黑石公网出口- 按实际带宽计费 账单

账单列表页
![](http://mc.qcloudimg.com/static/img/16bea0387f39696ae85e4069df932415/image.png)

账单详情页
![](http://mc.qcloudimg.com/static/img/9593ca24dc52d5780ae9e51264ee9816/image.png)

