为方便.NET开发者调试和接入云 API， 我们提供了基于 .NET 的 SDK。

[从 Github 访问 >>](https://github.com/QcloudApi/qcloudapi-sdk-dotnet)
[点击下载 .Net SDK >>](https://mc.qcloudimg.com/static/archive/b55098d83c78db530c53fb10f44c3fef/qcloudapi-sdk-dotnet-master.zip)

qcloudapi-sdk-dotnet 是为了让 .Net 开发者能够在自己的代码里更快捷方便的使用腾讯云的 API 而开发的 SDK 工具包。

## 1. 资源
见不同模块API的公共参数、API概览、错误码。如[云服务器API公共参数](http://cloud.tencent.com/document/api/213/6976)、[云服务器API概览](http://cloud.tencent.com/doc/api/229/API%E6%A6%82%E8%A7%88)、[云服务器API错误码](http://cloud.tencent.com/doc/api/229/%E9%94%99%E8%AF%AF%E7%A0%81)。

## 2. 入门
1. [获取安全凭证](https://console.cloud.tencent.com/capi)。在第一次使用云API之前，用户首先需要在腾讯云控制台上申请安全凭证，安全凭证包括 SecretId 和 SecretKey, SecretId 是用于标识 API 调用者的身份，SecretKey是用于加密签名字符串和服务器端验证签名字符串的密钥。SecretKey 必须严格保管，避免泄露。

2. 下载SDK，放入到您的程序目录。详细使用方法请参考下面的示例。
[从 Github 访问 >>](https://github.com/QcloudApi/qcloudapi-sdk-dotnet)
[点击下载 .Net SDK >>](https://mc.qcloudimg.com/static/archive/b55098d83c78db530c53fb10f44c3fef/qcloudapi-sdk-dotnet-master.zip)

## 3. 示例
```
 static void Main(string[] args)
    {
        SortedDictionary<string, object> config = new SortedDictionary<string, object>(StringComparer.Ordinal);
        config["SecretId"] = "你的secretId";
        config["SecretKey"] = "你的secretKey";
        config["RequestMethod"] = "GET";
        config["DefaultRegion"] = "gz";

        QCloudAPIModuleCenter module = new QCloudAPIModuleCenter(new Cvm(), config);
        SortedDictionary<string, object> requestParams = new SortedDictionary<string, object>(StringComparer.Ordinal);
        requestParams["offset"] = 0;
        requestParams["limit"] = 3;
        Console.WriteLine(module.GenerateUrl("DescribeInstances", requestParams));
        Console.WriteLine(module.Call("DescribeInstances", requestParams));


        //SortedDictionary<string, object> config = new SortedDictionary<string, object>(StringComparer.Ordinal);
        //config["SecretId"] = "你的secretId";
        //config["SecretKey"] = "你的secretKey";
        //config["RequestMethod"] = "POST";
        //config["DefaultRegion"] = "gz";

        //UploadCdnEntity
        //string fileName = "c:\\del.bat";
        //SortedDictionary<string, object> requestParams = new SortedDictionary<string, object>(StringComparer.Ordinal);
        //requestParams["entityFileName"] = "/upload/del.bat";
        //requestParams["entityFile"] = fileName;
        //QCloudAPIModuleCenter module = new QCloudAPIModuleCenter(new Cdn(), config);
        //Console.WriteLine(module.Call("UploadCdnEntity", requestParams));

        Console.ReadKey();
    }
```
