We provide .NET based SDK to make it easy for developers to debug and access Cloud API.

Download from: https://github.com/QcloudApi/qcloudapi-sdk-dotnet

The qcloudapi-sdk-dotnet SDK is designed to make it easy for .Net developers to use Tencent Cloud API in their codes.

## 1. Resources
For details, refer to API common parameters, overview and error codes in different modules. For instance, [CVM API Common Parameters](http://cloud.tencent.com/document/api/213/6976), [CVM API Overview](http://cloud.tencent.com/doc/api/229/API%E6%A6%82%E8%A7%88) and [CVM API Error Codes](http://cloud.tencent.com/doc/api/229/%E9%94%99%E8%AF%AF%E7%A0%81).

## 2. Quick Start
1) [Get Security Credential](https://console.cloud.tencent.com/capi). Before calling the Cloud API for the first time, you need to apply for a security credential on the Tencent Cloud console. A security credential consists of a SecretId, which is used to identify an API caller, and a SecretKey, which is used to encrypt the signature string and verify the string on the server. You must keep your SecretKey strictly confidential to avoid disclosure.

2) [Download SDK](https://github.com/QcloudApi/qcloudapi-sdk-dotnet), and put it in your program directory. For details, refer to the example below.

## 3. Example
```
 static void Main(string[] args)
    {
        SortedDictionary<string, object> config = new SortedDictionary<string, object>(StringComparer.Ordinal);
        config["SecretId"] = "Your secretId";
        config["SecretKey"] = "Your secretKey";
        config["RequestMethod"] = "GET";
        config["DefaultRegion"] = "gz";

        QCloudAPIModuleCenter module = new QCloudAPIModuleCenter(new Cvm(), config);
        SortedDictionary<string, object> requestParams = new SortedDictionary<string, object>(StringComparer.Ordinal);
        requestParams["offset"] = 0;
        requestParams["limit"] = 3;
        Console.WriteLine(module.GenerateUrl("DescribeInstances", requestParams));
        Console.WriteLine(module.Call("DescribeInstances", requestParams));


        //SortedDictionary<string, object> config = new SortedDictionary<string, object>(StringComparer.Ordinal);
        //config["SecretId"] = "Your secretId";
        //config["SecretKey"] = "Your secretKey";
        //config["RequestMethod"] = "POST";
        //config["DefaultRegion"] = "gz";

        //UploadCdnEntity
        //string fileName = "c:\\del.bat";
        //SortedDictionary<string, object> requestParams = new SortedDictionary<string, object>(StringComparer.Ordinal);
        //requestParams["entityFileName"] = "/upload/del.bat";
        //requestParams["entityFile"] = fileName;
        //QCloudAPIModuleCenter module = new QCloudAPIModuleCenter(new Cdn(), config);
        //Console.WriteLine(module.Call("UploadCdnEntity", requestParams));

        Console.ReadKey();
    }
```
