| **Benefits** | **With Auto Scaling (AS)** | **Without AS** |
| -------- | --------|-------- |
| **Automation** | **Automatically scale instances without human intervention**<br><br>Auto Scaling can automatically and dynamically create and release CVM instances based on your business load to help you ensure that your application always has the right amount of capacity to handle the current traffic demands. No human intervention is needed throughout the process, freeing you from the burden of manual deployment. </br><br>For example, you can set a scaling policy to add new CVM instances to the scaling group when the CPU utilization is high, and the added CVM instances will be charged by seconds. Similarly, you can also set a policy to remove instances from the scaling group when the CPU utilization is low. If your load changes are predictable, you can set a scheduled task to plan your scaling activities. </br><br>The added instances can also directly be associated with the existing cloud load balancing (CLB) to allow the added instances in the scaling group to share the distributed traffic and to improve service availability. You can also send an alarm to the administrator to keep an eye on any abnormalities for you. </br>|**Cumbersome manual operation** <br><br>Manually create and terminate resources, and the cloud load balance needs to be configured manually;<br>Manual operation is prone to error, which has impact on the business. </br>|
| **Costs effectiveness** |**Appropriate scaling of instances to save costs**<br> <br>Auto Scaling helps you to cope with business situations with the most appropriate number of instances. When the demand increases, it can seamlessly and automatically add an appropriate amount of CVM instances, and when the demand decreases, it can automatically reduce the unnecessary CVM instances, which improves device utilization, and saves the costs of deployment and instance. </br>| **Idle resources resulting in waste**<br><br>Extra CVMs need to be reserved to ensure the application always has enough capacity to meet demand. </br>|
| **Fault Tolerance** |**Automatic detection of the system, timely fault tolerance**<br><br>Auto Scaling automatically detects the health of instances. When an instance is detected to be unhealthy, Auto Scaling can create a healthy one to replace it, so that your application has the desired computing capacity to keep your business up and running. </br>| **Inability of timely fault tolerance**<br><br>Usually, an unhealthy instance is not replaced until a business interruption is discovered, which compromises the business availability. </br>|

