## 1 云安全违规事件的等级划分说明
### 1.1 等级划分
<table style="display:table;width:80%;">
<tbody><tr>
<th width="120"> <b>风险等级</b>
</th><th width="180"> <b>风险类型</b>
</th><th width="250"> <b>风险说明</b>
</th><th width="60"><b>备注</b>
</th></tr>
<tr>
<td rowspan="6">一级：对平台有重大风险，如造成关系链泄漏、平台服务不可用等，或利用云服务器进行恶意行。
</td><td> 开发者云服务器被入侵对平台造成影响。
</td><td> 1）造成关系链等平台核心数据泄漏；<br>
<p>2）开发者权限过高，存在进一步向内网渗透的风险。<br>
</p>
</td><td> 入侵类
</td></tr>
<tr>
<td> 开发者由于主观因素或者被入侵等被动因素，导致平台敏感数据泄露。
</td><td> 导致平台用户数据、关系链等敏感数据泄露，会对用户造成骚扰，损害平台利益。
</td><td> 数据安全类
</td></tr>
<tr>
<td> 利用云服务器传播垃圾邮件。
</td><td> 利用平台对外散发垃圾邮件（包括不限于广告、反动、色情、钓鱼、挂马、欺诈等有害信息的电子邮件）。
</td><td rowspan="3">网络攻击类
</td></tr>
<tr>
<td> 利用云服务器进行破坏或试图破坏的黑客行为。
</td><td> 利用平台对外进行涉嫌黑客攻击行为（包括但不限于对其他网站、服务器进行如扫描、嗅探、ARP欺骗、SYN Flood、UDP Flood、ICMP Flood、CC等攻击行为）。
</td></tr>
<tr>
<td> 开发者应用遭受大规模DDoS攻击（影响平台其他开发者正常服务）。
</td><td> 开发者应用受到大规模DDoS攻击，影响平台其他开发者正常服务（包括不限于：SYN Flood、UDP Flood、ICMP Flood、CC等DDoS攻击手法）。
</td></tr>
<tr>
<td> <font color="red">部署在腾讯云上的业务违反国家政策法规及《腾讯云服务协议》相关协议、规则，涉及黄、赌、毒、低俗、色情、暴力、欺诈等违规内容。</font>
</td><td> <font color="red">因违法违规等问题给平台带来安全风险。</font>
</td><td> <font color="red">内容违规类
</font></td></tr>
<tr>
<td colspan="6"> &nbsp;
</td></tr>
<tr>
<td rowspan="12">二级：会导致开发者云服务器被入侵、数据被盗取、或服务不可用。
</td><td> 开发者云服务器被上传webshell。
</td><td>web shell常常被称为匿名用户(入侵者)，通过WEB服务端口对WEB服务器有某种程度上操作的权限，由于其大多是以网页脚本的形式出现，也有人称之为网站后门工具。
</td><td rowspan="3">入侵类
</td></tr>
<tr>
<td> 开发者云服务器被发现暴力破解ssh帐号，异常登录等问题。
</td><td> 暴力破解是指遍历可能的密码组合，猜解用户帐号的行为。若密码强度不够，则很容易破解成功。
</td></tr>
<tr>
<td> 开发者云服务器发生其他安全入侵类故障（只影响开发者自身）。
</td><td> 1）由于开发者的应用原因导致应用系统受到入侵，核心用户数据、计费帐务数据等受到入侵，或者系统文件给恶意窜改；
<p>2）应用首页给非法窜改内容、内容涉及危害性大。
</p>
</td></tr>
<tr>
<td> 受到小规模DDoS攻击（仅影响开发者自身）。
</td><td> 开发商应用受到小规模DDoS攻击，仅影响开发者自身（包括不限于：SYN Flood、UDP Flood、ICMP Flood、CC等DDoS攻击手法）。
</td><td> 网络攻击类
</td></tr>
<tr>
<td> SQL注入
</td><td> 指开发在拼接查询数据库的sql语句时未校验sql中的值是否合法，导致可以任意读取DB数据。
</td><td rowspan="8">漏洞类
</td></tr>
<tr>
<td> 管理后台对外
</td><td> 指内部管理系统对外开发，可导致黑客进入后台。
</td></tr>
<tr>
<td> 任意远程命令执行
</td><td> 指通过web程序执行服务器任意命令。
</td></tr>
<tr>
<td> 通用软件低版本
</td><td> 指使用类似struts通用软件的低版本导致的安全漏洞。
</td></tr>
<tr>
<td> 上传漏洞
</td><td> 指未对上传的内容做内容校验，导致可以上传后门程序。
</td></tr>
<tr>
<td>高危服务对外开放
</td><td> 指未经腾讯审批，对外开放端口；或者是对外开放mysql/ssh等高危服务。
</td></tr>
<tr>
<td> 管理后台对外
</td><td> 指内部管理系统对外开发，可导致黑客进入后台。
</td></tr>
<tr>
<td> 任意文件读取
</td><td> 指通过web程序可以读取服务器上的任意文件。
</td></tr>
<tr>
<td colspan="6"> &nbsp;
</td></tr>
<tr>
<td rowspan="8">三级：影响开发商数据、服务可用性
</td><td> CSRF
</td><td> 指可以通过伪造用户身份进行修改或读取用户资料。
</td><td rowspan="8">漏洞类
</td></tr>
<tr>
<td> XSS
</td><td> 指未严格校验用户输入，导致用户cookie被盗取等情况。
</td></tr>
<tr>
<td> 目录浏览
</td><td> 指webserver配置不当导致的服务器信息泄漏。
</td></tr>
<tr>
<td> 错误信息提示
</td><td> 指webserver配置不当导致的服务器信息泄漏。
</td></tr>
<tr>
<td> 跳转
</td><td> 指跳转用CGI未校验跳转的目标地址，从而可以用来指定目标地址为钓鱼网站，从而进行钓鱼。
</td></tr>
<tr>
<td> 测试文件
</td><td> 指将测试文件放在web目录下，导致敏感信息泄漏
</td></tr>
<tr>
<td> 源代码泄漏(压缩包、webserver配置不当等)
</td><td> 指将压缩包等放在web目录下，导致敏感信息泄漏。
</td></tr>
<tr>
<td> 弱口令
</td><td> 开发者云服务器登录帐号存在弱口令，存在被暴力破解风险。
</td></tr></tbody></table>
### 1.2 违规信息类型说明
违规信息的类型包含但不限于以下情况：
   　　（1）违反宪法确定的基本原则的；
　　（2）危害国家安全，泄露国家秘密，颠覆国家政权，破坏国家统一的；
　　（3）损害国家荣誉和利益的；
　　（4）煽动民族仇恨、民族歧视，破坏民族团结的；
　　（5）破坏国家宗教政策，宣扬邪教和封建迷信的；
　　（6）散布谣言，扰乱社会秩序，破坏社会稳定的；
　　（7）散布淫秽、色情、赌博、暴力、恐怖或者教唆犯罪的；
　　（8）侮辱或者诽谤他人，侵害他人合法权益的；
　　（9）煽动非法集会、结社、游行、示威、聚众扰乱社会秩序；
　　（10）以非法民间组织名义活动的；
　　（11）含有侵害他人名誉权、肖像权、知识产权、商业秘密等合法权利的内容；
　　（12）涉及他人隐私、个人信息或资料的内容；
　　（13）发表、传送、传播骚扰信息、广告信息及垃圾信息或含有任何性或性暗示的内容；
　　（14）含有法律、行政法规禁止的其他内容的。
## 2 云安全违规事件的处理说明

<table class="t">
<tbody><tr>
<th width="120"> <b>名称</b>
</th><th width="500"> <b>详细说明</b>
</th></tr>
<tr>
<td> 违规处理策略
</td><td> 1.对于涉及一级风险违规，腾讯云要求开发者立即修复（需要在2小时内完成）。如开发者通知不上，或不能在通知期限内修改完毕，涉及违规的服务器将会被执行隔离操作；被隔离的服务器可在问题修复后联系客服进行解除隔离；
<br> 2.对于二级风险建议开发者在24小时内修复，三级风险建议开发者在48小时内修复；  
<br>3.特别说明：
对于90天内累积有过3次及以上涉及一级风险违规的开发者账号，违规的服务器会被立即隔离；
如果违规类型属于“内容违规类”，将会对账户进行隔离和清退操作（当月的服务费不退还）；
如果因应用遭受大规模DDoS攻击影响平台其他开发者正常服务，将有可能对账户进行隔离和清退操作（服务费计算至隔离当日）；
如果违规影响面较大，服务会被立即执行隔离操作。<br>
</td></tr>
<tr>
<td> 隔离详情
</td><td> 对违规机器进行部分隔离操作（除了内网的22、36000、3389登录接口，其余网络访问全部隔离，开发者可以通过跳板机的方式登陆服务器）。
</td></tr>
<tr>
<td> 计费说明
</td><td> 当部分隔离时，开发商还可以登录，继续计费。
</td></tr></tbody></table>
## 3 云安全违规事件的解决方案

如果不是您个人行为导致的一级违规，那么您的服务器有可能已被恶意入侵，解决方案请参考：[链接](https://cloud.tencent.com/doc/product/296)。