## INTRODUCTION 

This Acceptable Use Policy sets out rules of good behaviour applicable to your use of Tencent Cloud.  By using Tencent Cloud, you agree to this Policy.

Should you have any questions about, or any person’s compliance with, this Policy, please contact us at `cloudlegalenquiries@tencent.com`. 

Any terms used in this Policy will have the same meaning as the equivalent defined terms in the Tencent Cloud Terms of Service, unless the context requires otherwise. 

## PROHIBITED ACTIVITIES

You agree not to (and to not allow any person (including any End Users) to) engage in any of the following prohibited activities (or encourage any person to engage in such prohibited activities) on or in relation to Tencent Cloud. 

+ **No breach of the Tencent Cloud Terms of Service.** You may not use Tencent Cloud in any manner or for any purpose which breaches the Tencent Cloud Terms of Service (including this Policy) or which breaches the terms of service of any other Tencent service or product.
+ **No illegal, harmful or offensive use or content.** You may not use Tencent Cloud to:
   - violate any applicable laws or regulations; 
   - engage in any illegal (or potentially illegal) activities;
   - send any unsolicited, unauthorised spam, advertising or promotional messages; 
   - share or publish any other person’s personally identifiable information using Tencent Cloud without their express consent; 
   - create multiple accounts for disruptive or abusive purposes;
   - create multiple accounts for disruptive or abusive purposes;
   - submit, upload, store, transmit or display any content (whether displayed publicly or not) which in fact or in our reasonable opinion: 

		- violates any applicable laws or regulations; 
		- infringes our rights or any third party’s rights – including any intellectual property rights, contractual rights, confidentiality rights or privacy rights; 
		- creates a risk of loss or damage to any person or property; 
		- is fraudulent, false, misleading or deceptive; 
		- harms or exploits any person (whether adult or minor) in any way, including via bullying, harassment or threats of violence; 
		- is hateful, harassing, abusive, racially or ethnically offensive, defamatory, humiliating to other people (publicly or otherwise), threatening, profane or otherwise objectionable; 
		- promotes or encourages self-harming; or
		- is pornographic, sexually explicit, violent or otherwise of a mature nature; or 
   - impersonate any person or misrepresent your affiliation with any person or entity in registering an account (including by creating a misrepresentative account name or accessing another user’s account) or in making any communications or sharing or publishing any content or information using Tencent Cloud. 
+ **No security breach or network abuse.** You may not use Tencent Cloud to:
   - interfere with, or attempt to interfere with, any user’s or any other party’s access to Tencent Cloud;
   - disable, interfere with or circumvent any parts of Tencent Cloud;  
   - intentionally distribute viruses, worms, Trojan horses, corrupted files or other malicious code or items; 
   - probe or test the vulnerability of, or otherwise circumvent (or attempt to circumvent) any security features on, Tencent Cloud, our Systems or other users' Systems. **"Systems"** means any network, computer or telecommunication systems; 
   - decompile, reverse compile or reverse engineer any of Tencent Cloud Software, or seek to do any of the foregoing, except to the extent that applicable laws and regulations do not allow us to prevent you from doing this;
   - interfere with our, any user's or any other party's Systems – including via unauthorised access; interception of data or connections; falsifying the origin of your data or connections; or attacking any Systems in an unauthorised manner (including by "Denial of Service" attacks or broadcast attacks); or  
   - operating any Systems or services on (or that connect to) Tencent Cloud that are prohibited by us, at our sole discretion. 
   
## RESTRICTIONS ON YOUR USE OF TENCENT CLOUD SOFTWARE

You may not, and you may not permit any other person (including any End Users) to (except where we expressly permit you to do so):

   - sub-license, rent, lease or sell Tencent Cloud Software;
   - use Tencent Cloud Software to gain unauthorised access to any system, account or data;
   - directly or indirectly charge others for use or access to Tencent Cloud Software;
   - directly or indirectly suggest our support or endorsement of any product, service or content (including any personal web site);
   - make Tencent Cloud Software publicly available or available on any network for copying, download or use by any person or persons;
   - remove, obscure or modify any copyright, trade mark or other proprietary rights notice, marks or indications found in or on Tencent Cloud Software;
   - misrepresent the source or ownership of Tencent Cloud Software;
   - copy, reproduce, adapt, modify, translate or create derivate works from Tencent Cloud Software, lend, hire, rent, perform, sub-license, make available to the public, broadcast, distribute, transmit or otherwise use any Licensed Item in whole or in part, or attempt to do any of the foregoing;
   - attempt to disrupt or interfere with Tencent Cloud Software, including manipulating the legitimate operation of Tencent Cloud Software;
   - use cheats, exploits, automation software or any unauthorised third party software designed to modify or interfere with Tencent Cloud Software;
   - disrupt or overburden any computer or server used to offer or support Tencent Cloud Software, or other users’ use of Tencent Cloud Software; or
   - develop any plug-ins, external components, compatibles or interconnection elements or other technology that inter-operate with Tencent Cloud Software, except where we expressly permit you to do so via Tencent Cloud Software. Where we have granted you such express permission, such use by you of the Tencent Cloud Software will be subject to the Tencent Cloud Terms of Service and any Additional Terms as notified by us to you. 
   - 
Please note that there may be technological measures in Tencent Cloud Software that are designed to prevent unlicensed or unauthorised use of Tencent Cloud Software or use of Tencent Cloud Software in breach of this Policy.  You agree that we may use these measures and that you will not seek to disable or circumvent them in any way.

## PROHIBITED USERS

In addition to any prohibitions as set out in the Tencent Cloud Terms of Use, you may not register for or use Tencent Cloud if: 

   - you are less than 13 years of age; or
   - we have previously terminated your account and advised you that you may no longer use Tencent Cloud or any of our other services.

## BREACH OF THIS POLICY OR MISUSE OF TENCENT CLOUD

We reserve the right, but are not obliged, to investigate any alleged breach of this Policy or misuse of Tencent Cloud. We may terminate any user's use of or access to Tencent Cloud in accordance with the Tencent Cloud Terms of Service. In addition, and to the extent not already allowed by the Tencent Cloud Terms of Service, we may report any activity that violates (or may violate) any applicable laws or regulations to appropriate law enforcement or regulatory authorities or other appropriate third parties, and cooperate with such authorities or third parties in any related investigations. Such cooperation may include disclosing: 

   - Your Content in accordance with the Tencent Cloud Terms of Service; 
   - any Tencent Cloud-related information that relates to the alleged breach of this Policy or misuse of Tencent Cloud; and/or
   - any other information or materials as allowed by the Tencent Cloud Terms of Service. 

