## Elastic

- Obtain any number of instances in a few minutes; purchase, configure, expand and manage your services with just one click
- Instantly **upgrade/degrade** hardware configurations of CBS-based CVMs (same for prepaid and postpaid CVMs)
- Instantly **expand disk capacity** of CBS-based CVMs (same for prepaid and postpaid CVMs)
- Instantly upgrade/degrade bandwidth (only upgrading for prepaid CVMs)
- Change network billing mode from bill-by-bandwidth to bill-by-traffic (only for prepaid CVMs)
- Switch between Windows and Linux systems at any time with the CVM (same for prepaid and postpaid CVMs)
- Bind EIPs with CVMs with various network environments
......

## Reliability
- 99.95% service availability and 99.999% data reliability
- Cloud Block Storage provides 3-copy storage strategy to eliminate single point of failure and ensure reliability of data
- Stable network architecture, well developed network virtualization technology and ENI binding technology for high network availability. Operation in T3+ data center ensures reliability of operating environment

## Multi-line access
Provide BGP second-level switch function that covers more than 20 Internet Service Providers (ISP) so that users with different ISPs from different regions can enjoy the same top-speed experience.

## Safety
Data security: perfect backup and rollback mechanisms to protect the safety of your data.

Server security: DDoS protection, DNS hijacking detection, intrusion detection, vulnerability scanning, webshell detection, and login protection.

Tencent Cloud security service features the following highlights:

- Comprehensive safety protection
Comprehensive security services are provided for CVM including security examination (vulnerability scanning, embedded Trojan detection, web backdoor detection, port security inspection, etc.) and security protection (DDoS protection, intrusion detection, and access control for ensuring data safety and user privacy).

- Real-time alarm with regular analysis
7\*24-hour security services so that vulnerabilities can be identified in first time and be notified to you for free in real time.

- Free and easily accessible security protection
Without having to purchase expensive security equipment for your CVM, your purchase of Cloud services comes with free Cloud Security services. Convenient one-click activation without deployment that can be performed with ease.

- Professional team giving you reliable protection
Cloud security developed by Tencent security team with years of expertise and experience in security provides professional and trustworthy security services to cloud services users.

## Ease of use
- Provide console and sound API system which allow you to fully control your instances, e.g. starting up, configuration adjustment and system re-installations, just as operating on physical machines.
- Provide a wide range of officially verified application software and operation and maintenance tools to make operation and maintenance more convenient.
- Provide comprehensive API system which can be used for easy integration of CVM and your internal monitoring and operation systems to achieve business operation and maintenance system that closely meets business demands and is fully automated.

## Low Cost
- CVM instance and its network deployment both support prepaid and postpaid modes in order to meet the demands of different scenarios;
- You can make the purchase depending on your own demands. Reasonable consumption is realized as pre-purchase or preparation for hardware resources is not required. This will help you effectively reduce investment in infrastructure.



