
## 基于 Kubernetes
腾讯云容器服务是基于 Kubernetes 实现的，Kubernetes(k8s) 是 Google 开源的容器集群管理系统。在 Docker 技术的基础上，为容器化的应用提供部署运行、资源调度、服务发现和动态伸缩等一系列完整功能，提高了大规模容器集群管理的便捷性。

### Kubernetes 的优势
- Kubernetes 采用优雅的软件工程设计，通过模块化、微服务的方式，实现模块化设计，使得用户可以根据自己的使用场景，通过灵活插拔方式，采用自定义的网络、存储、调度、监控、日志等模块。
- Kubernetes 项目的社区秉承开源、开放的心态，可以支持容器、网络、存储实施方案。
- **对比其他容器编排工具 Swarm 和 Mesos** ：
  **对比 Swarm**，从功能上 Kubernetes 的概念更多，分层更细，功能更多，支持一些高级功能如秘钥管理、配置管理、自动拓容等。
  **对比 Mesos**， Mesos 注重资源调度，而 Kubernetes 则更是面向分布式应用、微服务和大规模集群管理（其中融入了谷歌独有的“集群管理”不仅仅是资源调度和编排的理念）。

## CCS 和自建容器服务对比

| 优势 | 腾讯云容器服务（CCS）|自建容器服务 |
|---------|---------|---------|
|简单易用 |<b>简化集群管理</b><br> <li> 腾讯云容器服务提供超大规模容器集群管理、资源调度、容器编排、代码构建，屏蔽了底层基础构架的差异，简化了分布式应用的管理和运维，您无需再操作集群管理软件或设计容错集群架构，因此也无需参与任何相关的管理或扩展工作。<li>  您只需启动容器集群，并指定想要运行的任务即可，腾讯云容器服务帮您完成所有的集群管理工作，让您可以集中精力开发 Docker 化的应用程序。| 自建容器管理基础设施通常涉及安装、操作、扩展自己的集群管理软件、配置管理系统和监控解决方案，管理复杂。|
|灵活扩展 |<b>灵活集群托管，集成负载均衡</b><br> <li> 您可以使用容器服务灵活安排长期运行的应用程序和批量作业。您还可以使用 API 获得最新的集群状态信息，以便集成您自己的自定义计划程序和第三方计划程序。<li>腾讯云容器服务与负载均衡集成，支持在多个容器之间分配流量。您只需指定容器配置和要使用的负载均衡器，容器服务管理程序将自动添加和删除。另外腾讯云容器服务可以自动恢复运行状况不佳的容器，保证容器数量满足您的需求，以便为应用程序提供支持。| 需要根据业务流量情况和健康情况人工确定容器服务的部署，可用性和可扩展性差|
|安全可靠 |<b>资源高度隔离，服务高可用</b><br><li>容器服务在您自己的云服务器实例中启动，不与其他客户共享计算资源。<li>您的集群在私有网络中运行，因此您可以使用您自己的安全组和网络 ACL，这些功能为您提供了高隔离水平，并帮助您使用云服务器构建高度安全可靠的应用程序。<li>容器服务采用分布式服务架构，保证服务的故障自动恢复、快速迁移；结合有状态服务后端的分布式存储，实现服务和数据的安全、高可用。| 自建容器服务因其内核问题及 Namespace 不够完善，租户、设备、内核模块隔离性都比较差|
|高效 |<b>镜像快速部署，业务持续集成</b><br><li>腾讯云容器服务运行在您的私有网络中，高品质的 BGP 网络保证镜像极速上传下载，轻松支持海量容器秒级启动，极大程度降低了运行开销，使您的部署更加专注于业务运行。<li>您可以在腾讯云容器服务上部署业务，开发人员在 GitHub 或其他代码平台提交代码后，容器服务可立即进行构建、测试、打包集成，将集成的代码部署到预发布环境和现网环境上。| 自建容器服务的网络无保证，因此无法保证使用镜像创建容器的效率 |
|低成本 |<b>容器服务免费</b><br>腾讯云容器服务没有任何附加费用，您可以在容器中免费调用 API 构建您的集群管理程序。您只需为您创建的用于存储和运行应用程序的云服务资源（例如云服务器、云硬盘等）付费。|需要投入资金构建、安装、运维、扩展自己的集群管理基础设施，成本开销大|

## CCS 监控与自建容器监控对比
腾讯云容器服务监控为容器集群、服务、实例提供数据收集和数据展示功能。使用容器服务监控，您可以查看集群、节点、服务、实例，容器近 30 个指标的监控统计数据，验证集群是否正常运行并创建相应告警，监控指标覆盖面全，并且在持续增加中。

|优势 | 腾讯云容器服务（CCS）|自建容器服务 |
|---------|---------|---------|
|指标完整|涉及到集群，服务，容器，pod 近 30 个指标|指标不完整，很多需要开发|
|搭建成本低|创建集群时自带|人工搭建，成本高|
|运维成本低|平台助力运维，保证数据准确性|人工维护|
|存储成本低|每个指标免费保存 3 个月数据|根据存储大小计算|
|扩展性高|平台侧会不断完善和增加新的指标项|需要技术人员大量投入开发新指标|
|告警|有|无|
|问题排查手段|控制台可以方便查看容器 log， 并与 webshell 结合一键登陆容器快速排查问题|需要手动登陆到容器或者机器排查|

## 快速开发、提升开发者效率
运行环境和配置代码化，降低软硬件要求，代码流水线管理，提供开发到线上一致的环境。

